private rule architecture {
	meta:
		bits = 64
		endianness = "little"
		architecture = "ARM"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "_wcsnset"
		size = 124
	strings:
		$1 = { FF C3 00 D1 E0 0F 00 F9 E1 03 00 79 E2 13 00 F9 E8 0F 40 F9 E8 07 00 F9 08 00 80 D2 E8 0B 00 F9 07 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB 40 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E9 07 40 F9 E8 03 40 79 28 01 00 79 EE FF FF 17 E0 0F 40 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
		size = 156
		refs = "0024 __acrt_locale_changed_data 0030 __acrt_initial_locale_pointers 0044 __acrt_getptd 0060 __acrt_update_locale_info 006c __acrt_update_multibyte_info"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 62 00 39 81 00 00 B4 28 24 40 A9 68 A6 00 A9 1B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? C8 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 29 40 A9 69 AA 00 A9 13 00 00 14 ?? ?? ?? ?? 61 22 00 91 60 02 00 F9 08 48 40 F9 68 06 00 F9 09 44 40 F9 69 0A 00 F9 ?? ?? ?? ?? 60 02 40 F9 61 42 00 91 ?? ?? ?? ?? 69 02 40 F9 28 A9 43 B9 A8 00 08 37 08 01 1F 32 2A 00 80 52 28 A9 03 B9 6A 62 00 39 60 02 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_1_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QEAA@XZ"
		size = 28
	strings:
		$1 = { 08 60 40 39 A8 00 00 34 0A 00 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_1_3_0 {
	meta:
		name = "__acrt_locale_changed"
		size = 20
		refs = "0000 __acrt_locale_changed_data"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_53_101_0 {
	meta:
		name = "__acrt_eagerly_load_locale_apis"
		size = 60
		refs = "0008 ?try_get_AreFileApisANSI@@YAP6AHXZXZ 000c ?try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ 0010 ?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ 0014 ?try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ 0018 ?try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ 001c ?try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ 0020 ?try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ 0024 ?try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ 0028 ?try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ 002c ?try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ 0030 ?try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_553_6_4 {
	meta:
		name = "__acrt_has_user_matherr"
		size = 92
		refs = "0008 ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A 0010 ?value@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAAEAP6AHPEAU_exception@@@ZXZ 0020 ??$__crt_fast_decode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_62_4 {
	meta:
		name = "__acrt_initialize_ptd"
		size = 108
		refs = "0008 ?destroy_fls@@YAXPEAX@Z 0010 __acrt_FlsAlloc 0018 ?__acrt_flsindex@@3KA 003c __acrt_getptd_noexit 0054 __acrt_uninitialize_ptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 B9 ?? ?? ?? ?? E8 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 61 00 00 54 00 00 80 52 0B 00 00 14 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A1 00 00 54 00 00 80 52 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_37_4 {
	meta:
		name = "__acrt_update_thread_multibyte_data"
		size = 64
		refs = "0008 __acrt_current_multibyte_data 0010 ?value@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAAEAPEAU__crt_multibyte_data@@XZ 0018 __acrt_getptd 002c ?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 01 01 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_8_4 {
	meta:
		name = "__daylight"
		size = 36
		refs = "0008 ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 0010 ?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_435_0_2 {
	meta:
		name = "__dcrt_lowio_initialize_console_input"
		size = 72
		refs = "0008 ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 000c __imp_CreateFileW 0038 __dcrt_lowio_console_input_handle"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 06 00 80 D2 05 00 80 52 64 00 80 52 03 00 80 D2 62 00 80 52 01 00 B8 52 20 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_271_0_0 {
	meta:
		name = "__dcrt_lowio_initialize_console_output"
		size = 72
		refs = "0008 ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 000c __imp_CreateFileW 0038 __dcrt_lowio_console_output_handle"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 06 00 80 D2 05 00 80 52 64 00 80 52 03 00 80 D2 62 00 80 52 01 00 A8 52 20 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_9_2 {
	meta:
		name = "__dstbias"
		size = 36
		refs = "0008 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0010 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_574_2_0 {
	meta:
		name = "__p__fmode"
		size = 36
		refs = "0008 _fmode 0010 ?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_38_2 {
	meta:
		name = "__p__mbcasemap"
		size = 40
		refs = "0008 _mbcasemap 0010 ?value@?$dual_state_global@PEAE@__crt_state_management@@QEAAAEAPEAEXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_39_4 {
	meta:
		name = "__p__mbctype"
		size = 40
		refs = "0008 _mbctype 0010 ?value@?$dual_state_global@PEAE@__crt_state_management@@QEAAAEAPEAEXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_10_0 {
	meta:
		name = "__timezone"
		size = 36
		refs = "0008 ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0010 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_11_4 {
	meta:
		name = "__tzname"
		size = 40
		refs = "0008 ?_tzname@@3V?$dual_state_global@PEAPEAD@__crt_state_management@@A 0010 ?value@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAAEAPEAPEADXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_19_4 {
	meta:
		name = "__tzset"
		size = 144
		refs = "0008 ?first_time@?1??__tzset@@9@4JA 0010 ??$__crt_interlocked_read@J@@YAJPEDJ@Z 002c __acrt_lock 0050 ?tzset_nolock@@YAXXZ 0080 __acrt_unlock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 13 00 B9 A8 13 40 B9 1F 01 00 71 40 00 00 54 18 00 00 14 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 17 00 B9 A8 17 40 B9 1F 01 00 71 40 00 00 54 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 C0 00 80 52 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_432_8_2 {
	meta:
		name = "_get_invalid_parameter_handler"
		size = 52
		refs = "0008 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A 0010 ?value@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAAEAP6AXPEB_W00I_K@ZXZ 0020 ??$__crt_fast_decode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_256_0_3 {
	meta:
		name = "_heapchk"
		size = 64
		refs = "0008 __acrt_heap 000c __imp_HeapValidate"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 02 00 80 D2 01 00 80 52 20 01 3F D6 69 00 80 12 28 00 80 12 1F 00 00 71 20 01 88 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_280_0_3 {
	meta:
		name = "_heapmin"
		size = 56
		refs = "0008 __acrt_heap 000c __imp_HeapCompact"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 01 00 80 52 20 01 3F D6 08 00 80 12 1F 00 00 F1 00 01 9F 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_38_3 {
	meta:
		name = "_is_c_termination_complete"
		size = 36
		refs = "0008 ?c_termination_complete@@3JA 0010 ??$__crt_interlocked_read@J@@YAJPEDJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_533_4_3 {
	meta:
		name = "_query_new_mode"
		size = 48
		refs = "0008 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A 0010 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ 001c ??$__crt_interlocked_read@J@@YAJPEDJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_1_3 {
	meta:
		name = "initialize_c"
		size = 44
		refs = "0008 __acrt_atexit_table 0010 _initialize_onexit_table 0014 __acrt_at_quick_exit_table"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_0_3 {
	meta:
		name = "initialize_global_variables"
		size = 40
		refs = "0008 __acrt_initial_locale_data 0010 __acrt_current_locale_data 0018 ?initialize@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAXQEAU__crt_locale_data@@@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_93_4 {
	meta:
		name = "sync_legacy_variables_lk"
		size = 144
		refs = "0008 __acrt_current_locale_data 0010 ?value@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAAEAPEAU__crt_locale_data@@XZ 0024 __acrt_lconv 0050 _pctype 007c __mb_cur_max"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 08 01 40 F9 08 E1 03 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 08 01 40 F9 08 01 00 91 08 01 00 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 01 40 F9 08 01 00 91 08 21 00 91 ?? ?? ?? ?? 08 01 40 B9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_1_5_0 {
	meta:
		name = "_mbscmp_l"
		size = 412
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GO@IGMKIECK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 _CrtDbgReportW 0058 _errno 0078 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc ??_C@_1BE@DOKJHEJA@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00cc _invalid_parameter 00ec strcmp"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 06 80 52 ?? ?? ?? ?? 14 00 00 14 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 29 00 00 14 ED 13 40 F9 A8 09 40 B9 A8 00 00 35 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 22 00 00 14 8A 16 40 38 48 1D 00 53 A8 C1 28 8B 09 65 40 39 09 01 10 36 8B 02 40 39 6B 00 00 35 0B 00 80 52 03 00 00 14 6B 21 0A 2A 94 06 00 91 6A 3D 00 53 6B 16 40 38 68 1D 00 53 A8 C1 28 8B 09 65 40 39 09 01 10 36 6C 02 40 39 6C 00 00 35 0C 00 80 52 03 00 00 14 8C 21 0B 2A 73 06 00 91 8B 3D 00 53 5F 01 0B 6B 81 00 00 54 CA FC FF 35 00 00 80 52 05 00 00 14 5F 01 0B 6B 29 00 80 52 08 00 80 12 20 81 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_2_5_0 {
	meta:
		name = "_mbsncat_l"
		size = 476
		refs = "0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_1HA@IJCJEBKI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0070 ??_C@_1BG@OHIMALLN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0080 _invalid_parameter 0094 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0100 strncat 0128 _ismbslead_l 0184 _mbsbtype_l"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 14 00 00 91 37 00 00 91 56 00 00 91 56 0D 00 B4 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 50 00 00 14 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 06 80 52 ?? ?? ?? ?? E6 FF FF 17 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 09 40 B9 E8 00 00 35 C2 02 00 91 E1 02 00 91 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 29 00 00 14 95 02 00 91 93 02 00 91 88 16 40 38 C8 FF FF 35 E2 63 00 91 61 02 00 91 A0 02 00 91 ?? ?? ?? ?? 40 00 00 34 73 06 00 D1 ED 13 40 F9 EA 16 40 38 D6 06 00 D1 48 01 0D 8B 09 65 40 39 89 02 10 36 6A 02 00 39 EA 02 40 39 F7 06 00 91 6A 06 00 39 73 0A 00 91 0A 02 00 35 7F E2 1F 38 7F 02 15 EB E0 01 00 54 69 02 15 4B 2A 05 00 51 41 7D 40 93 E2 63 00 91 A0 02 00 91 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 7F F2 1F 38 06 00 00 14 6A 16 00 38 6A FE FF 34 56 FE FF B4 E5 FF FF 17 7F 02 00 39 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 A0 02 00 91 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_0_0 {
	meta:
		name = "??$common_splitpath@D@@YAXQEBDQEAD111@Z"
		size = 296
		refs = "011c ??$common_splitpath_internal@DV<lambda_53a6356d19cc262edbc98b4248a685b4>@@V<lambda_040cbb5784310d69116e1bf4e70bcac8>@@@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@V<lambda_53a6356d19cc262edbc98b4248a685b4>@@V<lambda_040cbb5784310d69116e1bf4e70bcac8>@@@Z"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 27 00 F9 E1 17 00 F9 E2 1B 00 F9 E3 1F 00 F9 E4 23 00 F9 E8 17 40 F9 E8 2B 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 68 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 E8 2F 00 F9 E8 1B 40 F9 E8 33 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 E8 37 00 F9 E8 1F 40 F9 E8 3B 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 08 7D 40 93 E8 3F 00 F9 E8 23 40 F9 E8 43 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 08 7D 40 93 E8 47 00 F9 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E9 47 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E3 43 40 39 E2 47 40 39 E1 43 01 91 E0 27 40 F9 ?? ?? ?? ?? FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_1_0 {
	meta:
		name = "??$common_splitpath@_W@@YAXQEB_WQEA_W111@Z"
		size = 296
		refs = "011c ??$common_splitpath_internal@_WV<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@V<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@Z"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 27 00 F9 E1 17 00 F9 E2 1B 00 F9 E3 1F 00 F9 E4 23 00 F9 E8 17 40 F9 E8 2B 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 68 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 E8 2F 00 F9 E8 1B 40 F9 E8 33 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 E8 37 00 F9 E8 1F 40 F9 E8 3B 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 08 7D 40 93 E8 3F 00 F9 E8 23 40 F9 E8 43 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 08 20 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 08 7D 40 93 E8 47 00 F9 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E9 47 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E3 43 40 39 E2 47 40 39 E1 43 01 91 E0 27 40 F9 ?? ?? ?? ?? FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_6_0 {
	meta:
		name = "??$common_splitpath_s@D@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@@Z"
		size = 84
		refs = "0040 ??$common_splitpath_internal@DV<lambda_83031056ba654f505b43b9a7be717f27>@@V<lambda_7224c10e0d9cf27ffd5accaa7469d6af>@@@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@V<lambda_83031056ba654f505b43b9a7be717f27>@@V<lambda_7224c10e0d9cf27ffd5accaa7469d6af>@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E9 47 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E3 43 40 39 E2 47 40 39 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_7_0 {
	meta:
		name = "??$common_splitpath_s@_W@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@@Z"
		size = 84
		refs = "0040 ??$common_splitpath_internal@_WV<lambda_6db719bd719b7ee2efde762101b1367f>@@V<lambda_b90d8f84996fccaedfcae156869b1630>@@@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@V<lambda_6db719bd719b7ee2efde762101b1367f>@@V<lambda_b90d8f84996fccaedfcae156869b1630>@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E9 47 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E3 43 40 39 E2 47 40 39 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_12_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEAD_KAEAPEBDAEB_K@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_KAEAPEBDAEB_K@Z"
		size = 76
		refs = "0038 strncpy_s"
		altNames = "??$tcsncpy_s@AEAPEAD_KAEAPEADAEB_K@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_K0AEB_K@Z ??$tcsncpy_s@PEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEBQEBD1@Z ??$tcsncpy_s@PEAD_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBQEBDAEB_K@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_20_3 {
	meta:
		name = "??$tcsncat_s@AEAPEADAEB_KAEBQEBD_K@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEBD$$QEA_K@Z"
		size = 76
		refs = "0038 strncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_21_3 {
	meta:
		name = "??$tcsncat_s@AEAPEA_WAEB_KAEBQEB_W_K@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEB_W$$QEA_K@Z"
		size = 76
		refs = "0038 wcsncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_35_0 {
	meta:
		name = "??$tcsncat_s@AEBQEADAEB_KAEAPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEBD$$QEA_K@Z"
		size = 76
		refs = "0038 strncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_36_4 {
	meta:
		name = "??$tcsncat_s@AEBQEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD1@Z"
		size = 76
		refs = "0038 strncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_37_2 {
	meta:
		name = "??$tcsncat_s@AEBQEADAEB_KPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD$$QEA_K@Z"
		size = 76
		refs = "0038 strncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_38_2 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KAEAPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEB_W$$QEA_K@Z"
		size = 76
		refs = "0038 wcsncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_39_4 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W1@Z"
		size = 76
		refs = "0038 wcsncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_40_4 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W$$QEA_K@Z"
		size = 76
		refs = "0038 wcsncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_22_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEA_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_K0AEB_K@Z"
		size = 76
		refs = "0038 wcsncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_14_3 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_KAEAPEB_WAEB_K@Z"
		size = 76
		refs = "0038 wcsncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_25_3 {
	meta:
		name = "??$tcsncpy_s@PEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEBQEB_W1@Z"
		size = 76
		refs = "0038 wcsncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_26_3 {
	meta:
		name = "??$tcsncpy_s@PEA_W_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBQEB_WAEB_K@Z"
		size = 76
		refs = "0038 wcsncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 F9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_13_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEAD_KAEAPEBDH@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_KAEAPEBD$$QEAH@Z"
		size = 84
		refs = "0040 strncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 08 01 40 B9 03 7D 40 93 63 00 00 91 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_15_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEB_WH@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_KAEAPEB_W$$QEAH@Z"
		size = 84
		refs = "0040 wcsncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 08 01 40 B9 03 7D 40 93 63 00 00 91 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_24_0 {
	meta:
		name = "?is_lead_byte@@YA_ND@Z"
		size = 84
		refs = "0018 _ismbblead"
		altNames = "?should_copy_another_character@@YA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 E0 43 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_25_0 {
	meta:
		name = "?is_lead_byte@@YA_N_W@Z"
		size = 20
		altNames = "?should_copy_another_character@@YA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_26_0 {
	meta:
		name = "_splitpath"
		size = 60
		refs = "0030 ??$common_splitpath@D@@YAXQEBDQEAD111@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_28_0 {
	meta:
		name = "_wsplitpath"
		size = 60
		refs = "0030 ??$common_splitpath@_W@@YAXQEB_WQEA_W111@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_27_0 {
	meta:
		name = "_splitpath_s"
		size = 132
		refs = "0070 ??$common_splitpath_s@D@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2B 00 F9 E1 0F 00 F9 E2 13 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E6 23 00 F9 E7 27 00 F9 E8 0F 40 F9 E8 2F 00 F9 E8 13 40 F9 E8 33 00 F9 E8 17 40 F9 E8 37 00 F9 E8 1B 40 F9 E8 3B 00 F9 E8 1F 40 F9 E8 3F 00 F9 E8 23 40 F9 E8 43 00 F9 E8 27 40 F9 E8 47 00 F9 E8 53 40 F9 E8 4B 00 F9 E1 63 01 91 E0 2B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_3_29_0 {
	meta:
		name = "_wsplitpath_s"
		size = 132
		refs = "0070 ??$common_splitpath_s@_W@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2B 00 F9 E1 0F 00 F9 E2 13 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E6 23 00 F9 E7 27 00 F9 E8 0F 40 F9 E8 2F 00 F9 E8 13 40 F9 E8 33 00 F9 E8 17 40 F9 E8 37 00 F9 E8 1B 40 F9 E8 3B 00 F9 E8 1F 40 F9 E8 3F 00 F9 E8 23 40 F9 E8 43 00 F9 E8 27 40 F9 E8 47 00 F9 E8 53 40 F9 E8 4B 00 F9 E1 63 01 91 E0 2B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "??$common_ctime@JD@@YAPEADQEBJ@Z"
		size = 348
		refs = "0008 __security_push_cookie 0048 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c8 _invalid_parameter 0110 ??$localtime_s@PEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@AEBQEBJ@Z 0140 ??$tasctime@PEAUtm@@@?$__crt_char_traits@D@@SAPEAD$$QEAPEAUtm@@@Z 0150 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 B9 E9 0B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1F 00 00 14 E8 0F 40 F9 08 01 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 14 00 00 14 E8 23 01 91 E8 1B 00 F9 E1 63 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 07 00 00 14 E8 23 01 91 E8 1F 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "??$common_ctime@J_W@@YAPEA_WQEBJ@Z"
		size = 348
		refs = "0008 __security_push_cookie 0048 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c8 _invalid_parameter 0110 ??$localtime_s@PEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@AEBQEBJ@Z 0140 ??$tasctime@PEAUtm@@@?$__crt_char_traits@_W@@SAPEA_W$$QEAPEAUtm@@@Z 0150 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 B9 E9 0B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1F 00 00 14 E8 0F 40 F9 08 01 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 14 00 00 14 E8 23 01 91 E8 1B 00 F9 E1 63 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 07 00 00 14 E8 23 01 91 E8 1F 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_2_0 {
	meta:
		name = "??$common_ctime@_JD@@YAPEADQEB_J@Z"
		size = 348
		refs = "0008 __security_push_cookie 0048 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c8 _invalid_parameter 0110 ??$localtime_s@PEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@AEBQEB_J@Z 0140 ??$tasctime@PEAUtm@@@?$__crt_char_traits@D@@SAPEAD$$QEAPEAUtm@@@Z 0150 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 B9 E9 0B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1F 00 00 14 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 14 00 00 14 E8 23 01 91 E8 1B 00 F9 E1 63 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 07 00 00 14 E8 23 01 91 E8 1F 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_3_0 {
	meta:
		name = "??$common_ctime@_J_W@@YAPEA_WQEB_J@Z"
		size = 348
		refs = "0008 __security_push_cookie 0048 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c8 _invalid_parameter 0110 ??$localtime_s@PEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@AEBQEB_J@Z 0140 ??$tasctime@PEAUtm@@@?$__crt_char_traits@_W@@SAPEA_W$$QEAPEAUtm@@@Z 0150 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 B9 E9 0B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1F 00 00 14 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 14 00 00 14 E8 23 01 91 E8 1B 00 F9 E1 63 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 07 00 00 14 E8 23 01 91 E8 1F 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_4_0 {
	meta:
		name = "??$common_ctime_s@JD@@YAHQEAD_KQEBJ@Z"
		size = 900
		refs = "0008 __security_push_cookie 005c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 0120 _CrtGetDebugFillThreshold 0170 memset 01a8 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0268 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0330 ??$localtime_s@PEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@AEBQEBJ@Z 0368 ??$tasctime_s@AEBQEADAEB_KPEAUtm@@@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEAUtm@@@Z 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 17 00 F9 E1 03 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 03 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A4 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 03 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 03 40 F9 1F 01 09 EB 40 03 00 54 E9 03 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 03 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 D1 E8 2F 00 F9 E8 17 40 F9 00 05 00 91 E2 2F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 03 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 51 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 21 00 00 14 E8 27 40 F9 08 01 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 16 00 00 14 E8 63 02 91 E8 47 00 F9 E1 23 01 91 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 E0 23 40 B9 09 00 00 14 E8 63 02 91 E8 4B 00 F9 E2 43 02 91 E1 03 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 43 00 B9 E0 43 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_5_0 {
	meta:
		name = "??$common_ctime_s@J_W@@YAHQEA_W_KQEBJ@Z"
		size = 912
		refs = "0008 __security_push_cookie 005c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 0120 _CrtGetDebugFillThreshold 017c memset 01b4 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0274 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 033c ??$localtime_s@PEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@AEBQEBJ@Z 0374 ??$tasctime_s@AEBQEA_WAEB_KPEAUtm@@@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEAUtm@@@Z 0384 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 17 00 F9 E1 03 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 03 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A7 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 03 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 03 40 F9 1F 01 09 EB A0 03 00 54 E9 03 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 03 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 D1 E8 2F 00 F9 E9 2F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 03 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 51 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 21 00 00 14 E8 27 40 F9 08 01 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 16 00 00 14 E8 63 02 91 E8 47 00 F9 E1 23 01 91 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 E0 23 40 B9 09 00 00 14 E8 63 02 91 E8 4B 00 F9 E2 43 02 91 E1 03 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 43 00 B9 E0 43 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_6_0 {
	meta:
		name = "??$common_ctime_s@_JD@@YAHQEAD_KQEB_J@Z"
		size = 900
		refs = "0008 __security_push_cookie 005c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 0120 _CrtGetDebugFillThreshold 0170 memset 01a8 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0268 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0330 ??$localtime_s@PEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@AEBQEB_J@Z 0368 ??$tasctime_s@AEBQEADAEB_KPEAUtm@@@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEAUtm@@@Z 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 17 00 F9 E1 03 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 03 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A4 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 03 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 03 40 F9 1F 01 09 EB 40 03 00 54 E9 03 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 03 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 D1 E8 2F 00 F9 E8 17 40 F9 00 05 00 91 E2 2F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 03 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 51 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 21 00 00 14 E8 27 40 F9 08 01 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 16 00 00 14 E8 63 02 91 E8 47 00 F9 E1 23 01 91 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 E0 23 40 B9 09 00 00 14 E8 63 02 91 E8 4B 00 F9 E2 43 02 91 E1 03 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 43 00 B9 E0 43 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_7_0 {
	meta:
		name = "??$common_ctime_s@_J_W@@YAHQEA_W_KQEB_J@Z"
		size = 912
		refs = "0008 __security_push_cookie 005c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 0120 _CrtGetDebugFillThreshold 017c memset 01b4 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0274 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 033c ??$localtime_s@PEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@AEBQEB_J@Z 0374 ??$tasctime_s@AEBQEA_WAEB_KPEAUtm@@@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEAUtm@@@Z 0384 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 17 00 F9 E1 03 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 03 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A7 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 03 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 03 40 F9 1F 01 09 EB A0 03 00 54 E9 03 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 03 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 D1 E8 2F 00 F9 E9 2F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 03 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 51 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 21 00 00 14 E8 27 40 F9 08 01 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 16 00 00 14 E8 63 02 91 E8 47 00 F9 E1 23 01 91 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 E0 23 40 B9 09 00 00 14 E8 63 02 91 E8 4B 00 F9 E2 43 02 91 E1 03 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 43 00 B9 E0 43 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_8_0 {
	meta:
		name = "??$localtime_s@PEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@AEBQEBJ@Z"
		size = 52
		refs = "0020 _localtime32_s"
		altNames = "??$localtime_s@AEBQEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@AEBQEBJ@Z ??$localtime_s@PEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@$$QEAPEAJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_4_0 {
	meta:
		name = "??$gmtime_s@AEBQEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@AEBQEBJ@Z"
		size = 52
		refs = "0020 _gmtime32_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_5_2 {
	meta:
		name = "??$gmtime_s@AEBQEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@AEBQEB_J@Z"
		size = 52
		refs = "0020 _gmtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_6_3 {
	meta:
		name = "??$gmtime_s@AEBQEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@$$QEAPEAJ@Z"
		size = 52
		refs = "0020 _gmtime32_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_7_3 {
	meta:
		name = "??$gmtime_s@AEBQEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@$$QEAPEA_J@Z"
		size = 52
		refs = "0020 _gmtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_6_2 {
	meta:
		name = "??$gmtime_s@PEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@$$QEAPEAJ@Z"
		size = 52
		refs = "0020 _gmtime32_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_7_2 {
	meta:
		name = "??$gmtime_s@PEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@$$QEAPEA_J@Z"
		size = 52
		refs = "0020 _gmtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_9_2 {
	meta:
		name = "??$localtime_s@AEBQEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@AEBQEB_J@Z"
		size = 52
		refs = "0020 _localtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_9_3 {
	meta:
		name = "??$localtime_s@PEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@AEBQEB_J@Z"
		size = 52
		refs = "0020 _localtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_9_3 {
	meta:
		name = "??$localtime_s@PEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@$$QEAPEA_J@Z"
		size = 52
		refs = "0020 _localtime64_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_10_0 {
	meta:
		name = "??$tasctime@PEAUtm@@@?$__crt_char_traits@D@@SAPEAD$$QEAPEAUtm@@@Z"
		size = 40
		refs = "0014 asctime"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_11_0 {
	meta:
		name = "??$tasctime@PEAUtm@@@?$__crt_char_traits@_W@@SAPEA_W$$QEAPEAUtm@@@Z"
		size = 40
		refs = "0014 _wasctime"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_22_0 {
	meta:
		name = "??$tcslen@AEAPEAD@?$__crt_char_traits@D@@SA_KAEAPEAD@Z"
		size = 40
		refs = "0014 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_23_3 {
	meta:
		name = "??$tcslen@AEAPEA_W@?$__crt_char_traits@_W@@SA_KAEAPEA_W@Z"
		size = 40
		refs = "0014 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_28_3 {
	meta:
		name = "??$tcslen@AEAPEBD@?$__crt_char_traits@D@@SA_KAEAPEBD@Z"
		size = 40
		refs = "0014 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_29_4 {
	meta:
		name = "??$tcslen@AEAPEB_W@?$__crt_char_traits@_W@@SA_KAEAPEB_W@Z"
		size = 40
		refs = "0014 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_24_3 {
	meta:
		name = "??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z"
		size = 40
		refs = "0014 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_7_3 {
	meta:
		name = "??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z"
		size = 40
		refs = "0014 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_18_3 {
	meta:
		name = "??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z"
		size = 40
		refs = "0014 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_21_4 {
	meta:
		name = "??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z"
		size = 40
		refs = "0014 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_32_3 {
	meta:
		name = "??$tcslen@PEAD@?$__crt_char_traits@D@@SA_K$$QEAPEAD@Z"
		size = 40
		refs = "0014 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_33_0 {
	meta:
		name = "??$tcslen@PEA_W@?$__crt_char_traits@_W@@SA_K$$QEAPEA_W@Z"
		size = 40
		refs = "0014 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_11_2 {
	meta:
		name = "??$time@PEA_J@?$__crt_integer_traits@_J@@SA_J$$QEAPEA_J@Z"
		size = 40
		refs = "0014 _time64"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_12_0 {
	meta:
		name = "??$tasctime_s@AEBQEADAEB_KPEAUtm@@@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEAUtm@@@Z"
		size = 64
		refs = "002c asctime_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_13_2 {
	meta:
		name = "??$tasctime_s@AEBQEA_WAEB_KPEAUtm@@@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEAUtm@@@Z"
		size = 64
		refs = "002c _wasctime_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_19_0 {
	meta:
		name = "??$tcscat_s@AEBQEADAEB_KAEAPEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEAD@Z"
		size = 64
		refs = "002c strcat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_20_0 {
	meta:
		name = "??$tcscat_s@AEBQEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD@Z"
		size = 64
		refs = "002c strcat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_21_0 {
	meta:
		name = "??$tcscat_s@AEBQEADAEB_KPEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD@Z"
		size = 64
		refs = "002c strcat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_22_4 {
	meta:
		name = "??$tcscat_s@AEBQEA_WAEB_KAEAPEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEA_W@Z"
		size = 64
		refs = "002c wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_23_3 {
	meta:
		name = "??$tcscat_s@AEBQEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W@Z"
		size = 64
		refs = "002c wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_24_3 {
	meta:
		name = "??$tcscat_s@AEBQEA_WAEB_KPEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W@Z"
		size = 64
		refs = "002c wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_18_0 {
	meta:
		name = "??$tcscpy_s@AEAPEADAEB_KAEBQEAD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEAD@Z"
		size = 64
		refs = "002c strcpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_19_3 {
	meta:
		name = "??$tcscpy_s@AEAPEA_WAEB_KAEBQEA_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEA_W@Z"
		size = 64
		refs = "002c wcscpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_20_2 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KAEBQEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K0@Z"
		size = 64
		refs = "002c strcpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_12_4 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD@Z"
		size = 64
		refs = "002c strcpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_27_2 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KPEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD@Z"
		size = 64
		refs = "002c strcpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_21_3 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KAEBQEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K0@Z"
		size = 64
		refs = "002c wcscpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_13_0 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W@Z"
		size = 64
		refs = "002c wcscpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_28_0 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KPEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W@Z"
		size = 64
		refs = "002c wcscpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_14_0 {
	meta:
		name = "_ctime32"
		size = 36
		refs = "0010 ??$common_ctime@JD@@YAPEADQEBJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_13_3 {
	meta:
		name = "??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPEAUHINSTANCE__@@PEDSEAU0@@Z"
		size = 36
		refs = "0010 ?__crt_interlocked_read_64@@YA_JPED_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_14_0 {
	meta:
		name = "??$__crt_interlocked_read_pointer@X@@YAPEAXPEDSEAX@Z"
		size = 36
		refs = "0010 ?__crt_interlocked_read_64@@YA_JPED_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_241_2 {
	meta:
		name = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 36
		refs = "0010 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_29_0 {
	meta:
		name = "??$tcslen@AEAY0BAF@D@?$__crt_char_traits@D@@SA_KAEAY0BAF@D@Z"
		size = 36
		refs = "0010 strlen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_30_4 {
	meta:
		name = "??$tcslen@AEAY0BAF@_W@?$__crt_char_traits@_W@@SA_KAEAY0BAF@_W@Z"
		size = 36
		refs = "0010 wcslen"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_34_4 {
	meta:
		name = "__wcserror"
		size = 36
		refs = "0010 ??$common_strerror@_W@@YAPEA_WQEB_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_16_3 {
	meta:
		name = "_ctime64"
		size = 36
		refs = "0010 ??$common_ctime@_JD@@YAPEADQEB_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_14_4 {
	meta:
		name = "_gmtime32"
		size = 36
		refs = "0010 ??$common_gmtime@J@@YAPEAUtm@@QEBJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_16_3 {
	meta:
		name = "_gmtime64"
		size = 36
		refs = "0010 ??$common_gmtime@_J@@YAPEAUtm@@QEB_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_11_3 {
	meta:
		name = "_localtime32"
		size = 36
		refs = "0010 ??$common_localtime@J@@YAPEAUtm@@QEBJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_13_0 {
	meta:
		name = "_localtime64"
		size = 36
		refs = "0010 ??$common_localtime@_J@@YAPEAUtm@@QEB_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_12_3 {
	meta:
		name = "_mktemp"
		size = 36
		refs = "0010 ??$common_mktemp@D@@YAPEADQEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_4_4 {
	meta:
		name = "_strdate"
		size = 36
		refs = "0010 ??$common_strdate@D@@YAPEADQEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_38_0 {
	meta:
		name = "_strerror"
		size = 36
		refs = "0010 ??$common_strerror@D@@YAPEADQEBD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_4_2 {
	meta:
		name = "_strtime"
		size = 36
		refs = "0010 ??$common_strtime@D@@YAPEADQEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_5_0 {
	meta:
		name = "_time64"
		size = 36
		refs = "0010 ??$common_time@_J@@YA_JQEA_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_22_3 {
	meta:
		name = "_wasctime"
		size = 36
		refs = "0010 ??$common_asctime@_W@@YAPEA_WQEBUtm@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_18_4 {
	meta:
		name = "_wctime32"
		size = 36
		refs = "0010 ??$common_ctime@J_W@@YAPEA_WQEBJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_20_2 {
	meta:
		name = "_wctime64"
		size = 36
		refs = "0010 ??$common_ctime@_J_W@@YAPEA_WQEB_J@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_14_4 {
	meta:
		name = "_wmktemp"
		size = 36
		refs = "0010 ??$common_mktemp@_W@@YAPEA_WQEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_6_2 {
	meta:
		name = "_wstrdate"
		size = 36
		refs = "0010 ??$common_strdate@_W@@YAPEA_WQEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_6_4 {
	meta:
		name = "_wstrtime"
		size = 36
		refs = "0010 ??$common_strtime@_W@@YAPEA_WQEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_458_1_4 {
	meta:
		name = "abort"
		size = 104
		refs = "0008 __abort_behavior 0014 ??_C@_1DA@LLLMNMKI@?$AAa?$AAb?$AAo?$AAr?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AAh?$AAa?$AAs?$AA?5?$AAb?$AAe?$AAe?$AAn?$AA?5?$AAc?$AAa?$AAl?$AAl?$AAe?$AAd?$AA?$AA@ 001c __acrt_report_runtime_error 0020 __acrt_get_sigabrt_handler 0040 raise 005c _exit"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 88 00 00 36 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 60 00 00 54 C0 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 00 08 36 E0 00 80 52 60 00 3E D4 60 00 80 52 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_24_4 {
	meta:
		name = "asctime"
		size = 36
		refs = "0010 ??$common_asctime@D@@YAPEADQEBUtm@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_15_0 {
	meta:
		name = "_ctime32_s"
		size = 52
		refs = "0020 ??$common_ctime_s@JD@@YAHQEAD_KQEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_35_2 {
	meta:
		name = "__wcserror_s"
		size = 52
		refs = "0020 ??$common_strerror_s@_W@@YAHQEA_W_KQEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_17_0 {
	meta:
		name = "_ctime64_s"
		size = 52
		refs = "0020 ??$common_ctime_s@_JD@@YAHQEAD_KQEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_39_0 {
	meta:
		name = "_strerror_s"
		size = 52
		refs = "0020 ??$common_strerror_s@D@@YAHQEAD_KQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_23_3 {
	meta:
		name = "_wasctime_s"
		size = 52
		refs = "0020 ??$common_asctime_s@_W@@YAHQEA_W_KQEBUtm@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_19_0 {
	meta:
		name = "_wctime32_s"
		size = 52
		refs = "0020 ??$common_ctime_s@J_W@@YAHQEA_W_KQEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_4_21_4 {
	meta:
		name = "_wctime64_s"
		size = 52
		refs = "0020 ??$common_ctime_s@_J_W@@YAHQEA_W_KQEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_13_3 {
	meta:
		name = "_wfopen_s"
		size = 52
		refs = "0020 ??$common_fopen_s@_W@@YAHQEAPEAU_iobuf@@QEB_W1@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_25_0 {
	meta:
		name = "asctime_s"
		size = 52
		refs = "0020 ??$common_asctime_s@D@@YAHQEAD_KQEBUtm@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_16_2 {
	meta:
		name = "fopen_s"
		size = 52
		refs = "0020 ??$common_fopen_s@D@@YAHQEAPEAU_iobuf@@QEBD1@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_161_1_0 {
	meta:
		name = "strcat_s"
		size = 52
		refs = "0020 ??$common_tcscat_s@D@@YAHQEAD_KQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_682_1_4 {
	meta:
		name = "strcpy_s"
		size = 52
		refs = "0020 ??$common_tcscpy_s@D@@YAHQEAD_KQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_556_1_0 {
	meta:
		name = "wcscat_s"
		size = 52
		refs = "0020 ??$common_tcscat_s@_W@@YAHQEA_W_KQEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_470_1_4 {
	meta:
		name = "wcscpy_s"
		size = 52
		refs = "0020 ??$common_tcscpy_s@_W@@YAHQEA_W_KQEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
		size = 416
		refs = "0064 __acrt_locale_changed 0088 __acrt_initial_locale_pointers 00a0 __acrt_getptd 011c __acrt_update_locale_info 013c __acrt_update_multibyte_info"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 09 61 00 91 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 01 00 F1 E0 01 00 54 EA C3 00 91 4A 01 00 91 E8 13 40 F9 08 01 00 91 09 21 40 A9 49 21 00 A9 E8 0F 40 F9 0A 21 00 91 4A 01 00 91 E8 C3 00 91 08 01 00 91 09 21 40 A9 49 21 00 A9 4D 00 00 14 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 0A 21 00 91 4A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 91 09 21 40 A9 49 21 00 A9 3E 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 01 00 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 0A 41 02 91 E8 0F 40 F9 08 21 00 91 09 01 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 0A 21 02 91 E8 0F 40 F9 08 21 00 91 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 00 91 01 01 00 91 E8 0F 40 F9 08 01 00 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 21 00 91 01 21 00 91 E8 0F 40 F9 08 01 00 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 A1 0E 91 08 01 40 B9 08 02 08 37 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 A1 0E 91 08 01 40 B9 09 01 1F 32 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 A1 0E 91 09 01 00 B9 E8 0F 40 F9 09 61 00 91 28 00 80 52 28 01 00 39 E0 0F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QEAA@XZ"
		size = 84
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 03 40 F9 08 01 00 91 08 01 40 F9 08 A1 0E 91 08 01 40 B9 09 79 1E 12 E8 03 40 F9 08 01 00 91 08 01 40 F9 08 A1 0E 91 09 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_2_0 {
	meta:
		name = "?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 00 21 00 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_3_0 {
	meta:
		name = "__acrt_locale_changed"
		size = 60
		refs = "0004 __acrt_locale_changed_data"
	strings:
		$1 = { FF 43 00 D1 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_4_0 {
	meta:
		name = "__ascii_stricmp"
		size = 224
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 03 00 B9 E8 03 40 B9 E8 0B 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 B9 1F 05 01 71 0B 01 00 54 E8 03 40 B9 1F 69 01 71 AC 00 00 54 E9 03 40 B9 E8 03 80 12 28 01 08 4B E8 03 00 B9 E8 0F 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 07 00 B9 E8 07 40 B9 E8 0F 00 B9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0F 40 B9 1F 05 01 71 0B 01 00 54 E8 07 40 B9 1F 69 01 71 AC 00 00 54 E9 07 40 B9 E8 03 80 12 28 01 08 4B E8 07 00 B9 E8 03 40 B9 1F 01 00 71 A0 00 00 54 E9 07 40 B9 E8 03 40 B9 1F 01 09 6B 40 FA FF 54 E9 03 40 B9 E8 07 40 B9 20 01 08 4B 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_5_0 {
	meta:
		name = "_stricmp"
		size = 484
		refs = "0010 __acrt_locale_changed 005c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BC@JLGKKIIG@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 __ascii_stricmp 01d0 _stricmp_l"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 0D 00 54 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 0E 00 00 14 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 08 00 00 14 07 00 00 14 02 00 80 D2 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 33 00 B9 E0 33 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_5_6_0 {
	meta:
		name = "_stricmp_l"
		size = 736
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BG@GLLONOEH@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01f4 __ascii_stricmp 0240 _tolower_l"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 37 00 F9 E1 37 40 F9 E0 63 02 91 ?? ?? ?? ?? E0 5F 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 3F 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 3F 40 B9 7A 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 47 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 47 40 B9 46 00 00 14 E0 63 02 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 81 01 00 54 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 4F 40 B9 32 00 00 14 2A 00 00 14 E0 63 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 17 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 53 00 B9 E1 47 40 F9 E0 53 40 B9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 13 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E0 63 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 1B 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 5B 00 B9 E1 4B 40 F9 E0 5B 40 B9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 27 00 B9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 13 40 B9 1F 01 00 71 A0 00 00 54 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B 00 FB FF 54 E9 13 40 B9 E8 27 40 B9 28 01 08 4B E8 63 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 63 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "_cabs"
		size = 44
		refs = "0018 _hypot"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E1 13 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 0B 00 FD E0 0B 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "strcspn"
		size = 448
		refs = "0008 __security_push_cookie 0068 __report_rangecheckfailure 01b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 17 40 F9 E8 07 00 F9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 81 00 71 EA 01 00 54 E8 03 40 B9 08 7D 40 93 E8 0F 00 F9 E8 0F 40 F9 1F 81 00 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 C3 00 91 E8 0F 40 F9 29 01 08 8B 08 00 80 52 28 01 00 39 ED FF FF 17 E8 07 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 04 00 54 E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 0A 01 09 8B E8 07 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 09 21 C9 1A 48 01 40 39 08 01 00 11 0A 01 09 2A E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 DB FF FF 17 08 00 80 52 E8 03 00 B9 E8 C3 40 39 08 01 00 11 08 01 00 32 08 1D 00 53 E8 C3 00 39 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 08 01 09 8B 0A 01 40 39 4A 01 00 11 E8 0B 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 08 21 C9 1A 48 01 08 0A 1F 01 00 71 01 01 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E6 FF FF 17 E8 03 40 B9 00 7D 40 93 00 00 00 91 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_8_0_0 {
	meta:
		name = "fetestexcept"
		size = 52
		refs = "001c fegetexceptflag"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 08 00 80 52 E8 13 00 B9 E1 17 40 B9 E0 43 00 91 ?? ?? ?? ?? E8 13 40 B9 00 11 00 12 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "_getpid"
		size = 36
		refs = "0008 __imp_GetCurrentProcessId"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "??$__crt_interlocked_read@H@@YAHPEDH@Z"
		size = 36
		refs = "0010 ?__crt_interlocked_read_32@@YAHPEDH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_0_3 {
	meta:
		name = "??$__crt_interlocked_read@J@@YAJPEDJ@Z"
		size = 36
		refs = "0010 ?__crt_interlocked_read_32@@YAHPEDH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_6_2 {
	meta:
		name = "?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPEAW4AppPolicyThreadInitializationType@@@Z"
		size = 36
		refs = "0010 __acrt_AppPolicyGetThreadInitializationTypeInternal"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_7_2 {
	meta:
		name = "?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPEAW4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 36
		refs = "0010 __acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_8_0 {
	meta:
		name = "?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPEAW4AppPolicyProcessTerminationMethod@@@Z"
		size = 36
		refs = "0010 __acrt_AppPolicyGetProcessTerminationMethodInternal"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_9_4 {
	meta:
		name = "?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPEAW4AppPolicyWindowingModel@@@Z"
		size = 36
		refs = "0010 __acrt_AppPolicyGetWindowingModelInternal"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_9_0 {
	meta:
		name = "__acrt_initialize_new_handler"
		size = 36
		refs = "0010 ?__acrt_new_handler@@3V?$dual_state_global@P6AH_K@Z@__crt_state_management@@A 0018 ?initialize@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAXQ6AH_K@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_553_7_4 {
	meta:
		name = "__acrt_initialize_user_matherr"
		size = 36
		refs = "0010 ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A 0018 ?initialize@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAXQ6AHPEAU_exception@@@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_65_0 {
	meta:
		name = "__threadid"
		size = 36
		refs = "0008 __imp_GetCurrentThreadId"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_523_3_4 {
	meta:
		name = "_ftime32_s"
		size = 36
		refs = "0010 ??$common_ftime_s@JU__timeb32@@@@YAHQEAU__timeb32@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_523_5_4 {
	meta:
		name = "_ftime64_s"
		size = 36
		refs = "0010 ??$common_ftime_s@_JU__timeb64@@@@YAHQEAU__timeb64@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_10_3 {
	meta:
		name = "_getc_nolock"
		size = 36
		refs = "0010 _fgetc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_4_4 {
	meta:
		name = "_time32"
		size = 36
		refs = "0010 ??$common_time@J@@YAJQEAJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_380_6_4 {
	meta:
		name = "_unlink"
		size = 36
		refs = "0010 remove"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_215_1_0 {
	meta:
		name = "_wunlink"
		size = 36
		refs = "0010 _wremove"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_13_0 {
	meta:
		name = "getc"
		size = 36
		refs = "0010 fgetc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "_reduce"
		size = 72
		refs = "001c _frnd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD 11 10 66 1E F0 0B 40 FD 20 0A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 0F 00 FD F1 00 00 5C F0 0F 40 FD 20 0A 70 1E 00 40 60 1E FD 7B C2 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 B0 3F }
	condition:
		$1
}

rule file_10_1_0 {
	meta:
		name = "pow"
		size = 3424
		refs = "0018 _ctrlfp 0034 _fpclass 00a0 _d_inttype 00cc _d_inf 00d4 _copysign 011c _except2 0294 _handle_qnan2 02b0 _powhlp 0360 _d_ind 03ac ymax 04b4 _decomp 0580 _get_exp 0638 a1 0730 log 073c log2inv 07a0 a2 0808 p4 0818 p3 082c p2 0840 p1 0860 K 08c8 _reduce 09ac _ovfx 0a00 _uflx 0adc q7 0aec q6 0b00 q5 0b14 q4 0b28 q3 0b3c q2 0b50 q1 0bf8 _set_exp"
	strings:
		$1 = { FD 7B A1 A9 FD 03 00 91 E0 13 00 FD E1 0B 00 FD 81 69 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 17 00 F9 F0 13 40 FD F0 27 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 C3 00 B9 E8 C3 40 B9 08 05 1B 12 1F 01 00 71 C0 00 00 54 A1 67 00 58 E0 17 40 F9 ?? ?? ?? ?? 00 10 6E 1E 37 03 00 14 E0 13 40 FD ?? ?? ?? ?? E0 C7 00 B9 E8 C7 40 B9 08 05 1B 12 1F 01 00 71 00 08 00 54 E8 2F 40 79 08 01 00 11 09 2D 1D 12 08 FF 8F 52 3F 01 08 6B 61 00 00 54 E0 0B 40 FD 28 03 00 14 E0 0B 40 FD ?? ?? ?? ?? E0 CB 00 B9 E8 CB 40 B9 E8 93 00 B9 F0 0B 40 FD 08 22 60 1E C2 03 00 54 E8 93 40 B9 1F 05 00 71 21 01 00 54 E1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 97 00 FD F0 97 40 FD F0 7F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 7F 00 FD F0 7F 40 FD F0 37 00 FD E8 17 40 F9 02 01 7F B2 42 00 00 91 E2 37 40 FD E1 0B 40 FD E0 27 40 FD A1 03 80 52 80 00 80 52 ?? ?? ?? ?? E0 9B 00 FD E0 9B 40 FD 04 03 00 14 13 00 00 14 F0 0B 40 FD 08 22 60 1E 0D 02 00 54 E8 93 40 B9 1F 05 00 71 81 00 00 54 F0 13 40 FD F0 83 00 FD 03 00 00 14 B0 5F 00 5C F0 83 00 FD F0 83 40 FD F0 37 00 FD E1 5E 00 58 E0 17 40 F9 ?? ?? ?? ?? E0 37 40 FD F1 02 00 14 E8 4F 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B E0 00 00 54 E8 2F 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B E1 0A 00 54 E8 4F 40 79 08 01 00 11 09 2D 1D 12 08 FE 8F 52 3F 01 08 6B 01 01 00 54 E8 27 40 B9 08 49 13 53 1F 01 00 71 21 02 00 54 E8 23 40 B9 1F 01 00 71 C1 01 00 54 E8 2F 40 79 08 01 00 11 09 2D 1D 12 08 FE 8F 52 3F 01 08 6B A1 02 00 54 E8 17 40 B9 08 49 13 53 1F 01 00 71 81 00 00 54 E8 13 40 B9 1F 01 00 71 C0 01 00 54 F1 13 40 FD F0 0B 40 FD 22 2A 70 1E E2 17 40 F9 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 00 01 80 52 ?? ?? ?? ?? E0 9F 00 FD E0 9F 40 FD BE 02 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 61 00 00 54 00 10 6E 1E B8 02 00 14 E8 4F 40 79 08 01 00 11 09 2D 1D 12 08 FF 8F 52 3F 01 08 6B E0 00 00 54 E8 2F 40 79 08 01 00 11 09 2D 1D 12 08 FF 8F 52 3F 01 08 6B E1 00 00 54 E1 0B 40 FD E0 13 40 FD ?? ?? ?? ?? E0 A3 00 FD E0 A3 40 FD A6 02 00 14 E0 A3 01 91 E1 0B 40 FD E0 13 40 FD ?? ?? ?? ?? E0 CF 00 B9 E8 CF 40 B9 1F 01 00 71 60 01 00 54 E2 17 40 F9 E2 37 40 FD E1 0B 40 FD E0 27 40 FD A1 03 80 52 00 01 80 52 ?? ?? ?? ?? E0 A7 00 FD E0 A7 40 FD 94 02 00 14 A1 52 00 58 E0 17 40 F9 ?? ?? ?? ?? E0 37 40 FD 8F 02 00 14 10 10 6E 1E F0 23 00 FD F0 13 40 FD 08 22 60 1E C2 03 00 54 E0 0B 40 FD ?? ?? ?? ?? E0 D3 00 B9 E8 D3 40 B9 E8 97 00 B9 E8 97 40 B9 1F 05 00 71 A0 00 00 54 E8 97 40 B9 1F 09 00 71 80 00 00 54 07 00 00 14 10 10 7E 1E F0 23 00 FD F0 13 40 FD 10 42 61 1E F0 13 00 FD 0C 00 00 14 E2 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 0B 40 FD E0 27 40 FD A1 03 80 52 00 01 80 52 ?? ?? ?? ?? E0 AB 00 FD E0 AB 40 FD 6D 02 00 14 F0 0B 40 FD 08 22 60 1E A2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 87 00 FD 03 00 00 14 F0 0B 40 FD F0 87 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 87 40 FD 00 22 71 1E 8D 07 00 54 F0 0B 40 FD 08 22 60 1E 02 01 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 11 10 6E 1E F0 13 40 FD 30 1A 70 1E F0 13 00 FD 11 10 6E 1E F0 13 40 FD 00 22 71 1E 4D 02 00 54 E8 17 40 F9 02 01 7E B2 F1 23 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 AF 00 FD E0 AF 40 FD 41 02 00 14 1D 00 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 22 02 00 54 E8 17 40 F9 02 01 7D B2 F1 23 40 FD 90 47 00 5C 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 B3 00 FD E0 B3 40 FD 2D 02 00 14 09 00 00 14 A1 45 00 58 E0 17 40 F9 ?? ?? ?? ?? F1 23 40 FD 10 10 6E 1E 20 0A 70 1E 00 40 60 1E 24 02 00 14 E0 73 01 91 E0 13 40 FD ?? ?? ?? ?? E0 B7 00 FD F0 B7 40 FD F0 3F 00 FD 71 44 00 5C F0 0B 40 FD 00 22 71 1E 08 0B 00 54 E0 13 40 FD ?? ?? ?? ?? E0 D7 00 B9 E8 D7 40 B9 1F 01 00 71 40 0A 00 54 E0 0B 40 FD ?? ?? ?? ?? E0 DB 00 B9 E8 DB 40 B9 1F 01 00 71 80 09 00 54 F0 0B 40 FD 08 22 60 1E 2D 09 00 54 F0 0B 40 FD 08 02 78 1E E8 5B 00 B9 E9 5F 40 B9 E8 5B 40 B9 28 7D 08 1B E8 73 00 B9 10 10 6E 1E F0 2B 00 FD 08 00 00 14 E8 5B 40 B9 08 7D 01 13 E8 5B 00 B9 F1 3F 40 FD F0 3F 40 FD 30 0A 70 1E F0 3F 00 FD E8 5B 40 B9 1F 01 00 71 00 01 00 54 E8 5B 40 B9 A8 00 00 36 F1 2B 40 FD F0 3F 40 FD 30 0A 70 1E F0 2B 00 FD F0 FF FF 17 E0 2B 40 FD ?? ?? ?? ?? E0 DF 00 B9 E9 DF 40 B9 E8 73 40 B9 28 01 08 0B E8 33 00 B9 E8 33 40 B9 1F 01 28 71 2D 02 00 54 F1 23 40 FD F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 22 0A 70 1E E2 17 40 F9 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 BB 00 FD E0 BB 40 FD D6 01 00 14 E8 33 40 B9 1F F5 27 31 0A 02 00 54 F1 23 40 FD F0 2B 40 FD 31 0A 70 1E 70 3A 00 5C 22 0A 70 1E E2 17 40 F9 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 BF 00 FD E0 BF 40 FD C4 01 00 14 6C 01 00 14 28 00 80 52 E8 1B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 40 FD 00 22 71 1E 68 00 00 54 28 01 80 52 E8 1B 00 B9 E8 1B 40 B9 08 11 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3F 40 FD 00 22 71 1E 88 00 00 54 E8 1B 40 B9 08 11 00 11 E8 1B 00 B9 E8 1B 40 B9 08 09 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3F 40 FD 00 22 71 1E 88 00 00 54 E8 1B 40 B9 08 09 00 11 E8 1B 00 B9 E9 5F 40 B9 08 02 80 52 29 7D 08 1B E8 1B 40 B9 28 01 08 4B 1F 01 00 71 2A 01 00 54 E9 5F 40 B9 08 02 80 52 29 7D 08 1B E8 1B 40 B9 28 01 08 4B E8 03 08 4B E8 9B 00 B9 07 00 00 14 E9 5F 40 B9 08 02 80 52 29 7D 08 1B E8 1B 40 B9 28 01 08 4B E8 9B 00 B9 E8 9B 40 B9 1F 05 00 71 81 01 00 54 E0 13 40 FD ?? ?? ?? ?? E0 C3 00 FD F1 C3 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 77 00 FD F0 2F 00 5C F0 8B 00 FD 5C 00 00 14 E8 1B 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B F1 3F 40 FD 10 01 40 FD 31 3A 70 1E E8 1B 40 B9 09 05 00 11 48 00 80 52 28 0D C8 1A 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD 32 3A 70 1E E8 1B 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B F1 3F 40 FD 10 01 40 FD 30 2A 70 1E 50 1A 70 1E F0 43 00 FD F1 43 40 FD F0 43 40 FD 30 2A 70 1E F0 43 00 FD F1 43 40 FD F0 43 40 FD 30 0A 70 1E F0 5B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 5B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 5B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 5B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 5B 40 FD 31 0A 70 1E F0 43 40 FD 30 0A 70 1E F0 5F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 5F 40 FD 31 0A 70 1E F0 5F 40 FD 10 2A 71 1E F0 5F 00 FD F1 43 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 5F 40 FD 11 2A 71 1E F0 43 40 FD 30 2A 70 1E F0 8B 00 FD E9 5F 40 B9 08 02 80 52 29 7D 08 1B E8 1B 40 B9 28 01 08 4B 11 01 62 1E 10 25 00 5C 30 0A 70 1E F0 77 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 C7 00 FD F0 C7 40 FD F0 8F 00 FD F1 0B 40 FD F0 8F 40 FD 30 3A 70 1E F0 CB 00 FD F1 8B 40 FD F0 0B 40 FD 32 0A 70 1E F1 77 40 FD F0 CB 40 FD 30 0A 70 1E 50 2A 70 1E F0 47 00 FD E0 47 40 FD ?? ?? ?? ?? E0 CF 00 FD F0 CF 40 FD F0 57 00 FD F1 47 40 FD F0 57 40 FD 30 3A 70 1E F0 1F 00 FD F1 77 40 FD F0 8F 40 FD 31 0A 70 1E F0 57 40 FD 10 2A 71 1E F0 47 00 FD E0 47 40 FD ?? ?? ?? ?? E0 D3 00 FD F0 D3 40 FD F0 57 00 FD F1 47 40 FD F0 57 40 FD 31 3A 70 1E F0 1F 40 FD 10 2A 71 1E F0 1F 00 FD E0 1F 40 FD ?? ?? ?? ?? E0 D7 00 FD F0 D7 40 FD F0 47 00 FD F1 57 40 FD F0 47 40 FD 31 2A 70 1E 10 10 66 1E 10 0A 71 1E F0 7B 00 FD F1 1F 40 FD F0 47 40 FD 30 3A 70 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 7B 40 FD 00 22 71 1E 2D 02 00 54 E8 17 40 F9 02 01 7E B2 F1 23 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 DB 00 FD E0 DB 40 FD CF 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 7B 40 FD 00 22 71 1E 02 02 00 54 E8 17 40 F9 02 01 7D B2 F1 23 40 FD 50 19 00 5C 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 DF 00 FD E0 DF 40 FD BB 00 00 14 F0 7B 40 FD 08 02 78 1E E8 63 00 B9 F0 1F 40 FD 08 22 60 1E 0D 01 00 54 E8 63 40 B9 08 05 00 11 E8 63 00 B9 F1 1F 40 FD 10 17 00 5C 30 3A 70 1E F0 1F 00 FD E8 63 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 52 E8 9F 00 B9 03 00 00 14 28 00 80 52 E8 9F 00 B9 E8 9F 40 B9 E8 E3 00 B9 E9 63 40 B9 08 02 80 52 29 0D C8 1A E8 E3 40 B9 28 01 08 0B E8 73 00 B9 E9 73 40 B9 08 02 80 52 29 7D 08 1B E8 63 40 B9 28 01 08 4B E8 A3 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1F 40 FD 30 0A 70 1E F0 2B 00 FD E8 A3 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 A3 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 2B 40 FD 31 0A 70 1E 50 01 40 FD 10 2A 71 1E F0 2B 00 FD E0 2B 40 FD ?? ?? ?? ?? E0 E7 00 B9 E9 E7 40 B9 E8 73 40 B9 28 01 08 0B E8 33 00 B9 E8 33 40 B9 1F 01 10 71 6D 03 00 54 E8 33 40 B9 00 01 18 51 00 00 00 11 E0 2B 40 FD ?? ?? ?? ?? E0 E3 00 FD F1 23 40 FD F0 E3 40 FD 30 0A 70 1E F0 37 00 FD E8 17 40 F9 02 01 7E B2 F1 23 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 E7 00 FD E0 E7 40 FD 3B 00 00 14 E8 33 40 B9 1F F5 0F 31 4A 03 00 54 E8 33 40 B9 00 01 18 11 00 00 00 11 E0 2B 40 FD ?? ?? ?? ?? E0 EB 00 FD F1 23 40 FD F0 EB 40 FD 30 0A 70 1E F0 37 00 FD E8 17 40 F9 02 01 7D B2 F1 23 40 FD D0 05 00 5C 22 0A 70 1E 42 00 00 91 42 40 60 1E E1 0B 40 FD E0 27 40 FD A1 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 EF 00 FD E0 EF 40 FD 1F 00 00 14 E0 33 40 B9 E0 2B 40 FD ?? ?? ?? ?? E0 F3 00 FD F1 23 40 FD F0 F3 40 FD 30 0A 70 1E F0 37 00 FD E8 17 40 F9 1F 01 00 F1 20 01 00 54 E8 17 40 F9 00 01 7C B2 61 02 00 58 00 00 00 91 ?? ?? ?? ?? E0 37 40 FD 0D 00 00 14 0C 00 00 14 E8 17 40 F9 02 01 7C B2 42 00 00 91 E2 37 40 FD E1 0B 40 FD E0 27 40 FD A1 03 80 52 00 02 80 52 ?? ?? ?? ?? E0 F7 00 FD E0 F7 40 FD FD 7B DF A8 C0 03 5F D6 00 9F C0 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 60 40 00 00 00 00 00 00 B0 3F }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "_mbccpy"
		size = 20
		refs = "0010 _mbccpy_s_l"
	strings:
		$1 = { 23 00 00 91 41 00 80 D2 04 00 80 D2 02 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_3_0 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 28
		refs = "0000 __guard_check_icall_fptr 0008 _guard_check_icall_nop"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3F 01 08 EB E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_11_1_0 {
	meta:
		name = "_mbccpy_l"
		size = 20
		refs = "0010 _mbccpy_s_l"
	strings:
		$1 = { 44 00 00 91 23 00 00 91 02 00 80 D2 41 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "atan2l"
		size = 44
		refs = "0018 atan2"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_288_2_0 {
	meta:
		name = "_nextafter"
		size = 44
		refs = "0018 nextafter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_461_3_4 {
	meta:
		name = "fmodl"
		size = 44
		refs = "0018 fmod"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_214_1_0 {
	meta:
		name = "hypot"
		size = 44
		refs = "0018 _hypot"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_591_1_4 {
	meta:
		name = "hypotl"
		size = 44
		refs = "0018 _hypot"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_564_0_2 {
	meta:
		name = "nextafter"
		size = 44
		refs = "0018 nexttoward"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_417_0_3 {
	meta:
		name = "nextafterl"
		size = 44
		refs = "0018 nexttowardl"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_229_3_3 {
	meta:
		name = "powl"
		size = 44
		refs = "0018 pow"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "catanhl"
		size = 1344
		refs = "0018 creall 0030 cimagl 0044 _ldtest 00c0 piby2 013c _LZero_C 0260 big 03bc log1pl 0404 atan2l 0430 _fperrraise 0434 _LInf_C 0464 sqrtl 0494 logl 0518 _LCbuild"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 57 00 FD E1 5B 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 13 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 0B 00 FD E0 83 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 33 00 79 E0 43 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 53 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 61 04 00 54 E8 53 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 13 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 19 00 00 14 E8 53 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 70 24 00 5C F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 33 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 33 00 FD F0 33 40 FD F0 1B 00 FD 05 00 00 14 F0 13 40 FD F0 1F 00 FD F0 13 40 FD F0 1B 00 FD 05 01 00 14 E8 53 C0 79 08 01 00 11 1F 09 00 71 A1 03 00 54 E8 33 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 33 C0 79 08 01 00 11 1F 01 00 71 01 02 00 54 E8 4F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 37 00 FD 03 00 00 14 50 1F 00 5C F0 37 00 FD F0 37 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 05 00 00 14 F0 0B 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD E5 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 61 03 00 54 F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3B 00 FD 03 00 00 14 50 1C 00 5C F0 3B 00 FD F0 3B 40 FD F0 1F 00 FD E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD F0 3F 40 FD F0 1B 00 FD C7 00 00 14 E8 2F 40 79 08 01 00 11 A8 00 78 36 F0 0B 40 FD 10 42 61 1E F0 43 00 FD 03 00 00 14 F0 0B 40 FD F0 43 00 FD F0 43 40 FD F0 27 00 FD F0 13 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 47 00 B9 F0 13 40 FD 10 42 61 1E F0 13 00 FD 06 00 00 14 08 00 80 52 E8 47 00 B9 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 03 00 54 F1 0B 40 FD F0 13 40 FD 30 1A 70 1E F0 47 00 FD 11 10 6E 1E F0 13 40 FD 32 1A 70 1E F1 47 40 FD F0 47 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD F0 4B 40 FD F0 1B 00 FD 83 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 03 00 54 F1 13 40 FD F0 0B 40 FD 30 1A 70 1E F0 2B 00 FD F1 2B 40 FD F0 0B 40 FD 32 1A 70 1E F1 2B 40 FD F0 2B 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 00 FD F0 4F 40 FD F0 1B 00 FD 62 00 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 80 05 00 54 11 10 6E 1E F0 13 40 FD 30 3A 70 1E F0 2F 00 FD F1 27 40 FD F0 27 40 FD 30 0A 70 1E F0 53 00 FD 11 10 62 1E F0 13 40 FD 32 0A 70 1E F1 2F 40 FD F0 2F 40 FD 31 0A 70 1E F0 53 40 FD 30 2A 70 1E 40 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 67 00 FD 11 10 6A 1E F0 67 40 FD 30 0A 70 1E F0 1F 00 FD 11 10 6E 1E F0 13 40 FD 31 2A 70 1E F0 2F 40 FD 11 0A 71 1E F0 53 40 FD 21 3A 70 1E 11 10 60 1E F0 0B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E0 6B 00 FD 11 10 6C 1E F0 6B 40 FD 30 0A 70 1E F0 1B 00 FD 33 00 00 14 F0 0B 40 FD 08 22 60 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 28 00 00 14 F1 0B 40 FD F0 0B 40 FD 31 0A 70 1E 10 10 62 1E 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 6F 00 FD E0 6F 40 FD ?? ?? ?? ?? E0 73 00 FD E0 27 40 FD ?? ?? ?? ?? E0 77 00 FD F1 73 40 FD F0 77 40 FD 20 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1F 00 FD 01 10 60 1E E0 27 40 FD ?? ?? ?? ?? E0 7F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 7F 40 FD 31 2A 70 1E 10 10 6C 1E 10 0A 71 1E F0 1B 00 FD F0 0B 40 FD 08 22 60 1E 82 00 00 54 F0 1B 40 FD 10 42 61 1E F0 1B 00 FD E8 47 40 B9 1F 01 00 71 A0 00 00 54 F0 1F 40 FD 10 42 61 1E F0 1F 00 FD 04 00 00 14 F0 1B 40 FD 10 42 61 1E F0 1B 00 FD E1 1B 40 FD E0 1F 40 FD ?? ?? ?? ?? E1 87 00 FD E0 83 00 FD E0 83 40 FD E1 87 40 FD FD 7B D1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "catanh"
		size = 1344
		refs = "0018 creal 0030 cimag 0044 _dtest 00c0 piby2 013c _Zero_C 0260 big 03bc log1p 0404 atan2 0430 _fperrraise 0434 _Inf_C 0464 sqrt 0494 log 0518 _Cbuild"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 57 00 FD E1 5B 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 13 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 0B 00 FD E0 83 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 33 00 79 E0 43 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 53 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 61 04 00 54 E8 53 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 13 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 19 00 00 14 E8 53 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 70 24 00 5C F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 33 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 33 00 FD F0 33 40 FD F0 1B 00 FD 05 00 00 14 F0 13 40 FD F0 1F 00 FD F0 13 40 FD F0 1B 00 FD 05 01 00 14 E8 53 C0 79 08 01 00 11 1F 09 00 71 A1 03 00 54 E8 33 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 33 C0 79 08 01 00 11 1F 01 00 71 01 02 00 54 E8 4F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 37 00 FD 03 00 00 14 50 1F 00 5C F0 37 00 FD F0 37 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 05 00 00 14 F0 0B 40 FD F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD E5 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 61 03 00 54 F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3B 00 FD 03 00 00 14 50 1C 00 5C F0 3B 00 FD F0 3B 40 FD F0 1F 00 FD E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD F0 3F 40 FD F0 1B 00 FD C7 00 00 14 E8 2F 40 79 08 01 00 11 A8 00 78 36 F0 0B 40 FD 10 42 61 1E F0 43 00 FD 03 00 00 14 F0 0B 40 FD F0 43 00 FD F0 43 40 FD F0 27 00 FD F0 13 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 47 00 B9 F0 13 40 FD 10 42 61 1E F0 13 00 FD 06 00 00 14 08 00 80 52 E8 47 00 B9 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 03 00 54 F1 0B 40 FD F0 13 40 FD 30 1A 70 1E F0 47 00 FD 11 10 6E 1E F0 13 40 FD 32 1A 70 1E F1 47 40 FD F0 47 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD F0 4B 40 FD F0 1B 00 FD 83 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 03 00 54 F1 13 40 FD F0 0B 40 FD 30 1A 70 1E F0 2B 00 FD F1 2B 40 FD F0 0B 40 FD 32 1A 70 1E F1 2B 40 FD F0 2B 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 1F 00 FD F0 0B 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 00 FD F0 4F 40 FD F0 1B 00 FD 62 00 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 80 05 00 54 11 10 6E 1E F0 13 40 FD 30 3A 70 1E F0 2F 00 FD F1 27 40 FD F0 27 40 FD 30 0A 70 1E F0 53 00 FD 11 10 62 1E F0 13 40 FD 32 0A 70 1E F1 2F 40 FD F0 2F 40 FD 31 0A 70 1E F0 53 40 FD 30 2A 70 1E 40 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 67 00 FD 11 10 6A 1E F0 67 40 FD 30 0A 70 1E F0 1F 00 FD 11 10 6E 1E F0 13 40 FD 31 2A 70 1E F0 2F 40 FD 11 0A 71 1E F0 53 40 FD 21 3A 70 1E 11 10 60 1E F0 0B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E0 6B 00 FD 11 10 6C 1E F0 6B 40 FD 30 0A 70 1E F0 1B 00 FD 33 00 00 14 F0 0B 40 FD 08 22 60 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 00 FD F0 0B 40 FD F0 1B 00 FD 28 00 00 14 F1 0B 40 FD F0 0B 40 FD 31 0A 70 1E 10 10 62 1E 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 6F 00 FD E0 6F 40 FD ?? ?? ?? ?? E0 73 00 FD E0 27 40 FD ?? ?? ?? ?? E0 77 00 FD F1 73 40 FD F0 77 40 FD 20 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1F 00 FD 01 10 60 1E E0 27 40 FD ?? ?? ?? ?? E0 7F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 7F 40 FD 31 2A 70 1E 10 10 6C 1E 10 0A 71 1E F0 1B 00 FD F0 0B 40 FD 08 22 60 1E 82 00 00 54 F0 1B 40 FD 10 42 61 1E F0 1B 00 FD E8 47 40 B9 1F 01 00 71 A0 00 00 54 F0 1F 40 FD 10 42 61 1E F0 1F 00 FD 04 00 00 14 F0 1B 40 FD 10 42 61 1E F0 1B 00 FD E1 1B 40 FD E0 1F 40 FD ?? ?? ?? ?? E1 87 00 FD E0 83 00 FD E0 83 40 FD E1 87 40 FD FD 7B D1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_12_2_0 {
	meta:
		name = "logl"
		size = 36
		refs = "0010 log"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_263_1_3 {
	meta:
		name = "cosl"
		size = 36
		refs = "0010 cos"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_196_0_4 {
	meta:
		name = "expl"
		size = 36
		refs = "0010 exp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_168_1_3 {
	meta:
		name = "fabs"
		size = 36
		refs = "0010 ?fabs_intrinsic@@YANN@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_592_1_2 {
	meta:
		name = "sinhl"
		size = 36
		refs = "0010 sinh"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_263_2_3 {
	meta:
		name = "sinl"
		size = 36
		refs = "0010 sin"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_140_2_4 {
	meta:
		name = "sqrtl"
		size = 36
		refs = "0010 sqrt"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_592_3_3 {
	meta:
		name = "tanl"
		size = 36
		refs = "0010 tan"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "_errcode"
		size = 128
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 88 00 28 36 A8 00 80 52 E8 03 00 B9 17 00 00 14 E8 07 40 B9 88 00 18 36 28 00 80 52 E8 03 00 B9 12 00 00 14 E8 07 40 B9 88 00 10 36 48 00 80 52 E8 03 00 B9 0D 00 00 14 E8 07 40 B9 88 00 00 36 68 00 80 52 E8 03 00 B9 08 00 00 14 E8 07 40 B9 88 00 08 36 88 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_1_0 {
	meta:
		name = "_except1"
		size = 264
		refs = "0008 __security_push_cookie 0030 _handle_exc 0068 _raise_exc 0070 _errcode 0080 __acrt_has_user_matherr 00bc _umatherr 00d4 _set_errno_from_matherr 00e0 _ctrlfp 00ec __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 07 00 B9 E1 0F 00 B9 E0 17 00 FD E1 0F 00 FD E2 0B 00 F9 E2 0B 40 F9 E1 63 00 91 E0 07 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 61 01 00 54 E8 83 40 B9 08 79 1F 12 E8 83 00 B9 E5 63 00 91 E4 A3 00 91 E3 0F 40 B9 E2 07 40 B9 E1 43 00 91 E0 03 01 91 ?? ?? ?? ?? E0 07 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 0B 00 B9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0B 40 B9 1F 01 00 71 80 01 00 54 E2 0B 40 F9 E2 0F 40 FD 61 02 00 5C E0 17 40 FD E1 0F 40 B9 E0 0B 40 B9 ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 08 00 00 14 03 00 00 14 E0 0B 40 B9 ?? ?? ?? ?? 41 01 00 58 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 40 FD FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_13_2_0 {
	meta:
		name = "_except2"
		size = 288
		refs = "0008 __security_push_cookie 0034 _handle_exc 0084 _raise_exc 008c _errcode 009c __acrt_has_user_matherr 00d8 _umatherr 00f0 _set_errno_from_matherr 00fc _ctrlfp 0108 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 07 00 B9 E1 0F 00 B9 E0 1B 00 FD E1 17 00 FD E2 0F 00 FD E2 0B 00 F9 E2 0B 40 F9 E1 63 00 91 E0 07 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 E8 83 40 B9 08 01 00 32 E8 83 00 B9 E9 83 40 B9 28 00 80 52 09 0D 1F 33 E9 83 00 B9 F0 17 40 FD F0 3B 00 FD E5 63 00 91 E4 C3 00 91 E3 0F 40 B9 E2 07 40 B9 E1 43 00 91 E0 03 01 91 ?? ?? ?? ?? E0 07 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 0B 00 B9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0B 40 B9 1F 01 00 71 80 01 00 54 E2 0B 40 F9 E2 0F 40 FD E1 17 40 FD E0 1B 40 FD E1 0F 40 B9 E0 0B 40 B9 ?? ?? ?? ?? E0 1F 00 FD E0 1F 40 FD 08 00 00 14 03 00 00 14 E0 0B 40 B9 ?? ?? ?? ?? 21 01 00 58 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 40 FD FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_13_3_0 {
	meta:
		name = "_get_fname"
		size = 148
		refs = "003c ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 75 00 71 0A 03 00 54 E8 03 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 E9 07 40 B9 08 01 40 B9 1F 01 09 6B 61 01 00 54 E8 03 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 00 01 40 F9 03 00 00 14 E4 FF FF 17 00 00 80 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_4_0 {
	meta:
		name = "_handle_exc"
		size = 1016
		refs = "0034 _set_statfp 0114 _d_inf 0164 _d_max 0254 _decomp"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 B9 E1 17 00 F9 E2 1F 00 F9 E8 23 40 B9 08 11 00 12 E8 13 00 B9 E8 23 40 B9 28 01 18 36 E8 1F 40 F9 E8 00 40 36 20 00 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1C 12 E8 13 00 B9 D7 00 00 14 E8 23 40 B9 28 01 10 36 E8 1F 40 F9 E8 00 48 36 40 00 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1D 12 E8 13 00 B9 CD 00 00 14 E8 23 40 B9 E8 0C 00 36 E8 1F 40 F9 A8 0C 50 36 80 00 80 D2 ?? ?? ?? ?? E8 1F 40 F9 08 05 6A 92 E8 2F 00 F9 09 18 A0 D2 E8 2F 40 F9 1F 01 09 EB 08 0B 00 54 E8 2F 40 F9 08 01 00 11 E8 4B 00 B9 09 10 A0 52 E8 4B 40 B9 1F 01 09 6B A8 01 00 54 09 10 A0 52 E8 4B 40 B9 1F 01 09 6B C0 05 00 54 E8 4B 40 B9 1F 01 00 71 60 01 00 54 09 08 A0 52 E8 4B 40 B9 1F 01 09 6B E0 02 00 54 45 00 00 14 09 18 A0 52 E8 4B 40 B9 1F 01 09 6B 40 06 00 54 40 00 00 14 E8 17 40 F9 10 01 40 FD 08 22 60 1E AD 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 33 00 FD 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 33 00 FD E8 17 40 F9 F0 33 40 FD 10 01 00 FD 30 00 00 14 E8 17 40 F9 10 01 40 FD 08 22 60 1E AD 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 37 00 FD 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 37 00 FD E8 17 40 F9 F0 37 40 FD 10 01 00 FD 20 00 00 14 E8 17 40 F9 10 01 40 FD 08 22 60 1E AD 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 00 FD 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3B 00 FD E8 17 40 F9 F0 3B 40 FD 10 01 00 FD 10 00 00 14 E8 17 40 F9 10 01 40 FD 08 22 60 1E AD 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3F 00 FD E8 17 40 F9 F0 3F 40 FD 10 01 00 FD E8 13 40 B9 08 79 1F 12 E8 13 00 B9 65 00 00 14 E8 23 40 B9 68 0C 08 36 E8 1F 40 F9 28 0C 58 36 08 00 80 52 E8 27 00 B9 E8 23 40 B9 68 00 20 36 28 00 80 52 E8 27 00 B9 E8 17 40 F9 10 01 40 FD 08 22 60 1E A0 09 00 54 E0 43 01 91 E8 17 40 F9 00 01 40 FD ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 0F 00 FD E8 53 40 B9 08 01 18 51 E8 33 00 B9 E8 33 40 B9 1F C9 10 31 0A 01 00 54 F1 0F 40 FD 90 0B 00 5C 30 0A 70 1E F0 0F 00 FD 28 00 80 52 E8 27 00 B9 35 00 00 14 F0 0F 40 FD 08 22 60 1E 82 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 57 00 B9 E8 3F 40 79 08 01 00 11 08 0D 00 12 08 3D 00 53 E8 3F 00 79 E8 3F 40 79 08 01 00 11 08 01 1C 32 08 3D 00 53 E8 3F 00 79 04 00 00 14 E8 33 40 B9 08 05 00 11 E8 33 00 B9 E8 33 40 B9 1F F5 0F 31 8A 02 00 54 E8 1B 40 B9 C8 00 00 36 E8 27 40 B9 1F 01 00 71 61 00 00 54 28 00 80 52 E8 27 00 B9 E8 1B 40 B9 08 7D 01 53 E8 1B 00 B9 E8 1F 40 B9 88 00 00 36 E8 1B 40 B9 08 01 01 32 E8 1B 00 B9 E8 1F 40 B9 08 7D 01 53 E8 1F 00 B9 E8 FF FF 17 E8 57 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD E8 17 40 F9 F0 0F 40 FD 10 01 00 FD 03 00 00 14 28 00 80 52 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 60 00 00 54 00 01 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1E 12 E8 13 00 B9 E8 23 40 B9 08 01 20 36 E8 1F 40 F9 C8 00 60 36 00 02 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1B 12 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 E8 47 00 B9 03 00 00 14 28 00 80 52 E8 47 00 B9 E0 47 40 B9 FD 7B C9 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_13_5_0 {
	meta:
		name = "_handle_qnan2"
		size = 40
	strings:
		$1 = { FF 83 00 D1 E0 03 00 FD E1 07 00 FD F1 03 40 FD F0 07 40 FD 30 2A 70 1E F0 0B 00 FD E0 0B 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_6_0 {
	meta:
		name = "_raise_exc"
		size = 72
		refs = "003c _raise_exc_ex"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 17 00 B9 E3 13 00 B9 E4 13 00 F9 E5 0F 00 F9 06 00 80 52 E5 0F 40 F9 E4 13 40 F9 E3 13 40 B9 E2 17 40 B9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_7_0 {
	meta:
		name = "_raise_exc_ex"
		size = 1912
		refs = "0278 _statfp 05a8 _clrfp 05bc __imp_RaiseException"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 27 00 B9 E3 63 00 B9 E4 3B 00 F9 E5 2F 00 F9 E6 43 00 B9 E8 39 00 18 E8 23 00 B9 E8 0B 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 31 00 91 08 00 80 52 28 01 00 B9 E8 27 40 B9 48 01 20 36 08 38 00 18 E8 23 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 27 40 B9 48 01 08 36 C8 36 00 18 E8 23 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 01 1F 32 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 27 40 B9 48 01 00 36 88 35 00 18 E8 23 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 01 1E 32 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 27 40 B9 48 01 10 36 48 34 00 18 E8 23 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 01 1D 32 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 27 40 B9 48 01 18 36 08 33 00 18 E8 23 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 01 1C 32 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 88 00 40 36 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 0B 40 F9 08 21 00 91 09 01 40 B9 E8 2B 40 B9 09 01 1C 33 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 88 00 48 36 08 00 80 52 E8 2F 00 B9 03 00 00 14 28 00 80 52 E8 2F 00 B9 E8 0B 40 F9 08 21 00 91 09 01 40 B9 E8 2F 40 B9 09 01 1D 33 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 88 00 50 36 08 00 80 52 E8 33 00 B9 03 00 00 14 28 00 80 52 E8 33 00 B9 E8 0B 40 F9 08 21 00 91 09 01 40 B9 E8 33 40 B9 09 01 1E 33 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 88 00 58 36 08 00 80 52 E8 37 00 B9 03 00 00 14 28 00 80 52 E8 37 00 B9 E8 0B 40 F9 08 21 00 91 09 01 40 B9 E8 37 40 B9 09 01 1F 33 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 88 00 60 36 08 00 80 52 E8 3B 00 B9 03 00 00 14 28 00 80 52 E8 3B 00 B9 E8 0B 40 F9 08 21 00 91 09 01 40 B9 E8 3B 40 B9 09 01 00 33 E8 0B 40 F9 08 21 00 91 09 01 00 B9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 27 00 F9 E8 27 40 F9 08 01 00 36 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 01 1C 32 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 08 01 08 36 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 01 1D 32 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 08 01 10 36 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 01 1E 32 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 08 01 18 36 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 01 1F 32 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 08 01 20 36 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 0F 40 F9 08 01 40 F9 08 05 6A 92 E8 37 00 F9 09 18 A0 D2 E8 37 40 F9 1F 01 09 EB 48 07 00 54 E8 37 40 F9 08 01 00 11 E8 53 00 B9 09 10 A0 52 E8 53 40 B9 1F 01 09 6B A8 01 00 54 09 10 A0 52 E8 53 40 B9 1F 01 09 6B E0 03 00 54 E8 53 40 B9 1F 01 00 71 A0 04 00 54 09 08 A0 52 E8 53 40 B9 1F 01 09 6B E0 01 00 54 27 00 00 14 09 18 A0 52 E8 53 40 B9 1F 01 09 6B 40 00 00 54 22 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 09 05 00 32 E8 0B 40 F9 08 01 00 91 09 01 00 B9 1A 00 00 14 E8 0B 40 F9 08 01 00 91 09 01 40 B9 48 00 80 52 09 05 00 33 E8 0B 40 F9 08 01 00 91 09 01 00 B9 11 00 00 14 E8 0B 40 F9 08 01 00 91 09 01 40 B9 28 00 80 52 09 05 00 33 E8 0B 40 F9 08 01 00 91 09 01 00 B9 08 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 09 75 1E 12 E8 0B 40 F9 08 01 00 91 09 01 00 B9 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 63 40 B9 09 2D 1B 33 E8 0B 40 F9 08 01 00 91 09 01 00 B9 E8 43 40 B9 1F 01 00 71 00 05 00 54 E8 0B 40 F9 08 81 00 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 81 00 91 09 01 00 B9 E8 0B 40 F9 08 81 00 91 08 01 40 B9 09 6D 1B 12 E8 0B 40 F9 08 81 00 91 09 01 00 B9 E8 0B 40 F9 09 41 00 91 E8 3B 40 F9 10 01 40 BD 30 01 00 BD E8 0B 40 F9 08 81 01 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 81 01 91 09 01 00 B9 E8 0B 40 F9 08 81 01 91 08 01 40 B9 09 6D 1B 12 E8 0B 40 F9 08 81 01 91 09 01 00 B9 E8 0B 40 F9 09 41 01 91 E8 2F 40 F9 10 01 40 BD 30 01 00 BD 29 00 00 14 E8 0B 40 F9 08 81 00 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 81 00 91 09 01 00 B9 E8 0B 40 F9 08 81 00 91 09 01 40 B9 28 00 80 52 09 0D 1F 33 E8 0B 40 F9 08 81 00 91 09 01 00 B9 E8 0B 40 F9 09 41 00 91 E8 3B 40 F9 10 01 40 FD 30 01 00 FD E8 0B 40 F9 08 81 01 91 08 01 40 B9 09 01 00 32 E8 0B 40 F9 08 81 01 91 09 01 00 B9 E8 0B 40 F9 08 81 01 91 09 01 40 B9 28 00 80 52 09 0D 1F 33 E8 0B 40 F9 08 81 01 91 09 01 00 B9 E8 0B 40 F9 09 41 01 91 E8 2F 40 F9 10 01 40 FD 30 01 00 FD ?? ?? ?? ?? E3 43 00 91 22 00 80 52 01 00 80 52 E0 23 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0B 40 F9 08 21 00 91 08 01 40 B9 C8 00 20 36 E8 0F 40 F9 08 01 40 F9 09 F9 77 92 E8 0F 40 F9 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 C8 00 18 36 E8 0F 40 F9 08 01 40 F9 09 F9 76 92 E8 0F 40 F9 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 C8 00 10 36 E8 0F 40 F9 08 01 40 F9 09 F9 75 92 E8 0F 40 F9 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 C8 00 08 36 E8 0F 40 F9 08 01 40 F9 09 F9 74 92 E8 0F 40 F9 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 C8 00 00 36 E8 0F 40 F9 08 01 40 F9 09 F9 73 92 E8 0F 40 F9 09 01 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 B9 08 05 00 12 E8 3F 00 B9 E8 3F 40 B9 1F 0D 00 71 28 04 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 16 0F 08 01 E8 0F 40 F9 09 01 40 F9 68 00 80 D2 09 05 6A B3 E8 0F 40 F9 09 01 00 F9 14 00 00 14 E8 0F 40 F9 09 01 40 F9 28 00 80 D2 09 05 6A B3 E8 0F 40 F9 09 01 00 F9 0D 00 00 14 E8 0F 40 F9 09 01 40 F9 48 00 80 D2 09 05 6A B3 E8 0F 40 F9 09 01 00 F9 06 00 00 14 E8 0F 40 F9 08 01 40 F9 09 F5 68 92 E8 0F 40 F9 09 01 00 F9 E8 43 40 B9 1F 01 00 71 E0 00 00 54 E8 0B 40 F9 09 41 01 91 E8 2F 40 F9 30 01 40 BD 10 01 00 BD 06 00 00 14 E8 0B 40 F9 09 41 01 91 E8 2F 40 F9 30 01 40 FD 10 01 00 FD FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 0D 00 00 C0 8F 00 00 C0 93 00 00 C0 91 00 00 C0 8E 00 00 C0 90 00 00 C0 }
	condition:
		$1
}

rule file_13_8_0 {
	meta:
		name = "_raise_excf"
		size = 72
		refs = "003c _raise_exc_ex"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 17 00 B9 E3 13 00 B9 E4 13 00 F9 E5 0F 00 F9 26 00 80 52 E5 0F 40 F9 E4 13 40 F9 E3 13 40 B9 E2 17 40 B9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_9_0 {
	meta:
		name = "_set_errno_from_matherr"
		size = 112
		refs = "003c _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 00 01 00 54 E8 13 40 B9 1F 05 00 71 0D 02 00 54 E8 13 40 B9 1F 0D 00 71 0D 01 00 54 0C 00 00 14 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 28 04 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 48 04 80 52 28 01 00 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_13_10_0 {
	meta:
		name = "_umatherr"
		size = 216
		refs = "0024 _get_fname 0080 _ctrlfp 0088 __acrt_invoke_user_matherr 00a0 _set_errno_from_matherr"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E1 17 00 B9 E0 17 00 FD E1 1B 00 FD E2 13 00 FD E2 1F 00 F9 E0 17 40 B9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 A0 03 00 54 E8 13 40 B9 E8 43 00 B9 E8 2B 40 B9 E8 53 00 B9 E8 2F 40 B9 E8 57 00 B9 E8 33 40 B9 E8 5B 00 B9 E8 37 40 B9 E8 5F 00 B9 E8 23 40 B9 E8 63 00 B9 E8 27 40 B9 E8 67 00 B9 C1 02 00 58 E0 1F 40 F9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 E0 13 40 B9 ?? ?? ?? ?? E0 33 40 FD 08 00 00 14 07 00 00 14 01 01 00 58 E0 1F 40 F9 ?? ?? ?? ?? E0 13 40 B9 ?? ?? ?? ?? E0 13 40 FD FD 7B C7 A8 C0 03 5F D6 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_14_4_0 {
	meta:
		name = "_wcsxfrm_l"
		size = 1208
		refs = "0058 ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GE@EEOADBAP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BG@BGLDKGGG@?$AA_?$AAw?$AAc?$AAs?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 0124 ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 01e4 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0278 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0284 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02b4 wcsncpy 02bc wcslen 02d0 ??1_LocaleUpdate@@QEAA@XZ 0310 __acrt_LCMapStringW"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E2 0F 00 F9 E3 3F 00 F9 08 00 B0 12 E8 13 00 B9 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B2 F4 00 00 14 E8 13 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 33 00 B9 03 00 00 14 28 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B2 C1 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B2 91 00 00 14 E1 3F 40 F9 E0 43 03 91 ?? ?? ?? ?? E0 7B 00 F9 E0 43 03 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 C1 01 00 54 E2 0F 40 F9 E1 23 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 23 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 4B 00 F9 E0 43 03 91 ?? ?? ?? ?? E0 4B 40 F9 76 00 00 14 E0 43 03 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 05 00 80 52 04 00 80 D2 03 00 80 12 E2 23 40 F9 01 80 80 52 00 01 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 13 00 B9 E9 13 40 B9 08 00 80 52 1F 01 09 6B 21 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 48 05 80 52 28 01 00 B9 08 00 B0 12 E8 13 00 B9 53 00 00 14 E8 0F 40 F9 09 01 00 11 E8 13 40 B9 1F 01 09 6B AC 07 00 54 E0 43 03 91 ?? ?? ?? ?? E0 57 00 F9 E8 0F 40 F9 05 01 00 11 E8 57 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 A5 00 00 11 E4 13 40 F9 03 00 80 12 E2 23 40 F9 01 80 80 52 00 01 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 13 00 B9 E9 13 40 B9 08 00 80 52 1F 01 09 6B 21 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 48 05 80 52 28 01 00 B9 08 00 B0 12 E8 13 00 B9 1D 00 00 14 E8 13 40 B9 08 7D 40 93 E8 0F 00 F9 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 0F 40 F9 E8 5F 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 5F 40 F9 1F 01 00 F1 E9 01 00 54 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 40 39 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 79 EB FF FF 17 12 00 00 14 E8 13 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 1F 01 00 F1 29 01 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 48 04 80 52 28 01 00 B9 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 E8 67 00 F9 E0 43 03 91 ?? ?? ?? ?? E0 67 40 F9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_14_5_0 {
	meta:
		name = "wcsxfrm"
		size = 56
		refs = "0024 _wcsxfrm_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_13_0 {
	meta:
		name = "_aligned_realloc_base"
		size = 56
		refs = "0024 _aligned_offset_realloc_base"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_516_5_0 {
	meta:
		name = "strxfrm"
		size = 56
		refs = "0024 _strxfrm_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_9_0 {
	meta:
		name = "wcstombs"
		size = 56
		refs = "0024 ?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "_logb"
		size = 328
		refs = "0060 ??_C@_05JGDBENOH@_logb?$AA@ 0068 _handle_error 00d8 _handle_nan"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD F0 13 40 FD F0 17 00 FD E8 17 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 E8 0F 00 F9 E8 0B 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 E1 07 00 5C E0 13 40 FD 45 04 80 52 84 00 80 52 43 00 80 52 02 FE FF D2 A1 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 31 00 00 14 30 00 00 14 E9 0F 40 F9 A8 7F 80 92 1F 01 09 EB 2C 01 00 54 E8 0F 40 F9 1F FD 0F F1 CC 00 00 54 E8 0F 40 F9 00 01 62 9E 00 40 60 1E 25 00 00 14 24 00 00 14 E8 0F 40 F9 1F FD 0F F1 CD 01 00 54 E8 0B 40 F9 08 CD 40 92 1F 01 00 F1 81 00 00 54 E0 13 40 FD 1B 00 00 14 06 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 00 FD E0 1F 40 FD 15 00 00 14 14 00 00 14 E8 0B 40 F9 08 CD 40 92 E8 0B 00 F9 A8 7F 80 92 E8 0F 00 F9 09 02 E0 D2 E8 0B 40 F9 1F 01 09 EB 02 01 00 54 E8 0B 40 F9 08 F9 7F D3 E8 0B 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F6 FF FF 17 E8 0F 40 F9 00 01 62 9E 00 40 60 1E FD 7B C4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "_lfind"
		size = 1172
		refs = "0050 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1O@OHGEBJAD@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e0 ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 02a0 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0360 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0450 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 43 00 F9 E1 37 00 F9 E2 33 00 F9 E3 13 00 B9 E4 3F 00 F9 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 ED 00 00 14 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 BD 00 00 14 E8 37 40 F9 1F 01 00 F1 01 01 00 54 E8 33 40 F9 08 01 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 E8 27 00 B9 03 00 00 14 28 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 89 00 00 14 E8 13 40 B9 1F 01 00 71 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 59 00 00 14 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 29 00 00 14 E8 37 40 F9 E8 3B 00 F9 E8 33 40 F9 09 01 40 B9 E8 13 40 B9 28 7D 08 1B 09 7D 40 D3 E8 3B 40 F9 08 01 09 8B E8 5F 00 F9 E8 3B 40 F9 E8 23 00 F9 06 00 00 14 E8 13 40 B9 09 7D 40 D3 E8 23 40 F9 08 01 09 8B E8 23 00 F9 E9 5F 40 F9 E8 23 40 F9 1F 01 09 EB 40 02 00 54 E8 3F 40 F9 E8 47 00 F9 EF 47 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 23 40 F9 E0 43 40 F9 E8 47 40 F9 00 01 3F D6 E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 61 00 00 54 E0 23 40 F9 03 00 00 14 E7 FF FF 17 00 00 80 D2 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_17_5_0 {
	meta:
		name = "_mbsnextc_l"
		size = 212
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1HC@OKGOOFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0044 _CrtDbgReportW 0054 _errno 0060 ??_C@_1BI@IOLGAJKA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAe?$AAx?$AAt?$AAc?$AA_?$AAl?$AA?$AA@ 0078 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 E0 43 00 91 14 00 80 52 ?? ?? ?? ?? 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0C 00 00 14 6A 02 40 39 E8 13 40 F9 48 01 08 8B 09 65 40 39 A9 00 10 36 68 06 40 39 68 00 00 34 54 5D 18 53 73 06 00 91 68 02 40 39 00 01 14 0B E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "?is_lfh_enabled@@YA_NXZ"
		size = 128
		refs = "0020 __acrt_heap 0028 __imp_HeapQueryInformation"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 08 00 80 12 E8 13 00 B9 04 00 80 D2 83 00 80 D2 E2 43 00 91 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 13 40 B9 1F 09 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_18_1_0 {
	meta:
		name = "_expand"
		size = 56
		refs = "0024 _expand_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 22 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_76_0 {
	meta:
		name = "_tempnam"
		size = 56
		refs = "0024 ??$common_tempnam@D@@YAPEADQEBD0H0H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 22 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_78_0 {
	meta:
		name = "_wtempnam"
		size = 56
		refs = "0024 ??$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 22 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "calloc"
		size = 56
		refs = "0024 _calloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 22 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_454_0_0 {
	meta:
		name = "realloc"
		size = 56
		refs = "0024 _realloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 22 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_18_2_0 {
	meta:
		name = "_expand_base"
		size = 516
		refs = "0044 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@GEKPJHID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BK@JMCGJOCC@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00c4 _invalid_parameter 0100 __acrt_heap 0108 __imp_HeapSize 015c __imp_HeapReAlloc 01a8 ?is_lfh_enabled@@YA_NXZ 01c8 __imp_GetLastError 01dc __acrt_errno_from_os_error"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 4C 00 00 14 E8 1F 40 F9 1F 81 00 B1 09 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 42 00 00 14 E2 13 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 F9 E8 3B 40 F9 E8 2B 00 F9 E8 1F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 D2 E8 23 00 F9 03 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 E8 2F 00 F9 E3 2F 40 F9 E2 13 40 F9 01 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 F9 E8 3F 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 60 00 00 54 E0 27 40 F9 1E 00 00 14 09 00 88 D2 E8 2B 40 F9 1F 01 09 EB A8 01 00 54 E9 2B 40 F9 E8 2F 40 F9 1F 01 09 EB 28 01 00 54 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 E0 13 40 F9 0E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 E8 33 40 B9 28 01 00 B9 00 00 80 D2 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_19_3_0 {
	meta:
		name = "?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
		size = 708
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0084 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00a8 _CrtDbgReportW 00f8 strnlen 010c ??1_LocaleUpdate@@QEAA@XZ 0158 __imp_MultiByteToWideChar 0174 _errno 0228 _isleadbyte_l"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 1F 00 F9 E1 13 00 F9 E2 3B 00 F9 E1 3B 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 6B 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 80 03 00 54 E0 43 01 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 09 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 43 01 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 61 01 00 54 E1 13 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 53 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 53 40 F9 6A 00 00 14 E0 43 01 91 ?? ?? ?? ?? E0 57 00 F9 E8 13 40 F9 03 01 00 11 E8 57 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 05 00 80 52 04 00 80 D2 63 00 00 11 E2 1F 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 E8 5F 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 5F 40 F9 48 00 00 14 08 00 80 D2 E8 23 00 F9 08 00 80 D2 E8 0F 00 F9 E8 1F 40 F9 E8 0B 00 F9 0A 00 00 14 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB C2 04 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 04 00 54 E0 43 01 91 ?? ?? ?? ?? E0 63 00 F9 E8 0B 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 E1 63 40 F9 00 00 00 11 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 40 02 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB 43 00 00 54 0B 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 CF FF FF 17 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB 83 00 00 54 E8 13 40 F9 E8 27 00 F9 03 00 00 14 E8 23 40 F9 E8 27 00 F9 E8 27 40 F9 E8 67 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 67 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_19_5_0 {
	meta:
		name = "_mbstrlen"
		size = 88
		refs = "000c __acrt_locale_changed 0028 strlen 0044 _mbstrlen_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 07 00 00 14 06 00 00 14 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_19_6_0 {
	meta:
		name = "_mbstrlen_l"
		size = 48
		refs = "001c ?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E2 0B 40 F9 01 00 80 92 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_19_7_0 {
	meta:
		name = "_mbstrnlen"
		size = 48
		refs = "001c _mbstrnlen_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_3_0 {
	meta:
		name = "_aligned_malloc_base"
		size = 48
		refs = "001c _aligned_offset_malloc_base"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_19_8_0 {
	meta:
		name = "_mbstrnlen_l"
		size = 440
		refs = "0048 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@NDCACHED@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAr?$AAn?$AAl?$AAe?$AAn?$AA_?$AAl?$AA?$AA@ 00c8 _invalid_parameter 010c ??_C@_1CI@DJIFDDII@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01a4 ?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 27 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 38 00 00 14 E9 7B 40 B2 E8 17 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 07 00 00 14 E2 27 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_20_4_0 {
	meta:
		name = "_wcsicmp"
		size = 744
		refs = "0010 __acrt_locale_changed 005c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BC@NHIBDOMC@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02d4 _wcsicmp_l"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 15 00 54 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 7F 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 4F 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3B 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 08 3D 00 53 E8 2B 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 27 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 3F 01 08 6B 20 F8 FF 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 20 01 08 4B 00 00 00 11 08 00 00 14 07 00 00 14 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E0 4B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_20_5_0 {
	meta:
		name = "_wcsicmp_l"
		size = 956
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BG@EELGPCPD@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0310 _towlower_l"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 33 00 F9 E1 33 40 F9 E0 43 02 91 ?? ?? ?? ?? E0 5B 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 4F 00 B9 E0 43 02 91 ?? ?? ?? ?? E0 4F 40 B9 B1 00 00 14 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 57 00 B9 E0 43 02 91 ?? ?? ?? ?? E0 57 40 B9 7D 00 00 14 E0 43 02 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 41 08 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 43 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 08 3D 00 53 E8 23 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 47 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 47 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 20 F8 FF 54 29 00 00 14 E0 43 02 91 ?? ?? ?? ?? E0 43 00 F9 E8 0F 40 F9 08 01 40 79 E8 53 00 79 E1 43 40 F9 E0 53 40 79 ?? ?? ?? ?? E0 57 00 79 E8 57 40 79 E8 23 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 13 40 F9 08 01 40 79 E8 5B 00 79 E1 47 40 F9 E0 5B 40 79 ?? ?? ?? ?? E0 5F 00 79 E8 5F 40 79 E8 27 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 20 FB FF 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 28 01 08 4B E8 5B 00 B9 E0 43 02 91 ?? ?? ?? ?? E0 5B 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_21_2_0 {
	meta:
		name = "??$common_system@D@@YAHQEBD@Z"
		size = 412
		refs = "000c __security_push_cookie 0014 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c ?comspec_name@?1???$common_system@D@@YAHQEBD@Z@4QBDB 003c _dupenv_s_dbg 0060 _access_s 0078 ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0080 ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c _CrtDbgReportW 00b0 ?slash_c@?1???$common_system@D@@YAHQEBD@Z@4QBDB 00c4 _errno 00e4 _spawnve 0130 ?cmd_exe@?1???$common_system@D@@YAHQEBD@Z@4QBDB 014c _spawnvpe 015c _free_dbg 0168 __security_pop_cookie 0180 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 0184 ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 0198 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 13 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 1F 58 00 71 A0 09 00 54 53 01 00 B5 E0 03 40 F9 60 00 00 B5 13 00 80 52 40 00 00 14 01 00 80 52 ?? ?? ?? ?? 1F 00 00 71 F3 17 9F 1A 3A 00 00 14 68 02 C0 39 C8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E8 03 40 F9 ?? ?? ?? ?? F3 FF 01 A9 ?? ?? ?? ?? E8 A7 00 A9 88 03 00 B4 ?? ?? ?? ?? 14 00 40 B9 ?? ?? ?? ?? 03 00 80 D2 1F 00 00 B9 E1 07 40 F9 E2 23 00 91 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 80 00 00 54 ?? ?? ?? ?? 14 00 00 B9 16 00 00 14 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 E0 00 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 35 00 71 60 00 00 54 13 00 80 12 0C 00 00 14 ?? ?? ?? ?? 14 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E8 07 00 F9 E2 23 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF 83 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_3_0 {
	meta:
		name = "??$common_system@_W@@YAHQEB_W@Z"
		size = 412
		refs = "000c __security_push_cookie 0014 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c ?comspec_name@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 003c _wdupenv_s_dbg 0060 _waccess_s 0078 ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0080 ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c _CrtDbgReportW 00b0 ?slash_c@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 00c4 _errno 00e4 _wspawnve 0130 ?cmd_exe@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 014c _wspawnvpe 015c _free_dbg 0168 __security_pop_cookie 0180 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 0184 ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 0198 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 13 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 1F 58 00 71 A0 09 00 54 53 01 00 B5 E0 03 40 F9 60 00 00 B5 13 00 80 52 40 00 00 14 01 00 80 52 ?? ?? ?? ?? 1F 00 00 71 F3 17 9F 1A 3A 00 00 14 68 02 40 79 C8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E8 03 40 F9 ?? ?? ?? ?? F3 FF 01 A9 ?? ?? ?? ?? E8 A7 00 A9 88 03 00 B4 ?? ?? ?? ?? 14 00 40 B9 ?? ?? ?? ?? 03 00 80 D2 1F 00 00 B9 E1 07 40 F9 E2 23 00 91 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 80 00 00 54 ?? ?? ?? ?? 14 00 00 B9 16 00 00 14 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 E0 00 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 35 00 71 60 00 00 54 13 00 80 12 0C 00 00 14 ?? ?? ?? ?? 14 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E8 07 00 F9 E2 23 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF 83 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_6_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEAD$$TAEAY07$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEAY07$$CBD@Z"
		size = 28
		refs = "0000 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0018 _dupenv_s_dbg"
		altNames = "??$tdupenv_s_crt@PEAPEAD$$TAEAY04$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEAY04$$CBD@Z ??$tdupenv_s_crt@PEAPEAD$$TAEAY0L@$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEAY0L@$$CBD@Z"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 F9 45 0D 80 52 43 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_15_3 {
	meta:
		name = "??$tcscat_s@AEAPEADAEB_KPEAD@?$__crt_char_traits@D@@SAHAEAPEADAEB_K$$QEAPEAD@Z"
		size = 16
		refs = "000c strcat_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_17_3 {
	meta:
		name = "??$tcscat_s@AEAPEA_WAEB_KPEA_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_K$$QEAPEA_W@Z"
		size = 16
		refs = "000c wcscat_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_18_3 {
	meta:
		name = "??$tcscat_s@PEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEBQEBD@Z"
		size = 16
		refs = "000c strcat_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_19_3 {
	meta:
		name = "??$tcscat_s@PEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscat_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_18_4 {
	meta:
		name = "??$tcscpy_s@AEAPEADAEA_KAEBQEBD@?$__crt_char_traits@D@@SAHAEAPEADAEA_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_18_2 {
	meta:
		name = "??$tcscpy_s@AEAPEADAEB_KAEAPEAD@?$__crt_char_traits@D@@SAHAEAPEADAEB_K0@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_20_2 {
	meta:
		name = "??$tcscpy_s@AEAPEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_8_3 {
	meta:
		name = "??$tcscpy_s@AEAPEAD_KAEBQEBD@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_21_4 {
	meta:
		name = "??$tcscpy_s@AEAPEA_WAEA_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEA_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_19_0 {
	meta:
		name = "??$tcscpy_s@AEAPEA_WAEB_KAEAPEA_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_K0@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_21_0 {
	meta:
		name = "??$tcscpy_s@AEAPEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_23_2 {
	meta:
		name = "??$tcscpy_s@AEAPEA_W_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_10_3 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KAEAPEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEAD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_20_2 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KAEBQEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K0@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_22_4 {
	meta:
		name = "??$tcscpy_s@AEBQEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_11_4 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KAEAPEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEA_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_21_2 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KAEBQEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K0@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_23_2 {
	meta:
		name = "??$tcscpy_s@AEBQEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_357_22_2 {
	meta:
		name = "??$tcscpy_s@PEADAEB_KAEAPEAD@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEAPEAD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_22_2 {
	meta:
		name = "??$tcscpy_s@PEADAEB_KAEAPEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEAPEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_31_3 {
	meta:
		name = "??$tcscpy_s@PEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_281_19_3 {
	meta:
		name = "??$tcscpy_s@PEAD_KAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBQEBD@Z"
		size = 16
		refs = "000c strcpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_357_23_2 {
	meta:
		name = "??$tcscpy_s@PEA_WAEB_KAEAPEA_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEAPEA_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_24_4 {
	meta:
		name = "??$tcscpy_s@PEA_WAEB_KAEAPEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEAPEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_32_3 {
	meta:
		name = "??$tcscpy_s@PEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_281_21_4 {
	meta:
		name = "??$tcscpy_s@PEA_W_KAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBQEB_W@Z"
		size = 16
		refs = "000c wcscpy_s"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_28_0 {
	meta:
		name = "??$tcsnicoll@AEAPEADAEBQEBDAEB_K@?$__crt_char_traits@D@@SAHAEAPEADAEBQEBDAEB_K@Z"
		size = 16
		refs = "000c _strnicoll"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_29_3 {
	meta:
		name = "??$tcsnicoll@AEAPEA_WAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_WAEBQEB_WAEB_K@Z"
		size = 16
		refs = "000c _wcsnicoll"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_26_3 {
	meta:
		name = "??$tcsnicoll@AEBQEBDAEAPEADAEB_K@?$__crt_char_traits@D@@SAHAEBQEBDAEAPEADAEB_K@Z"
		size = 16
		refs = "000c _strnicoll"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_27_4 {
	meta:
		name = "??$tcsnicoll@AEBQEB_WAEAPEA_WAEB_K@?$__crt_char_traits@_W@@SAHAEBQEB_WAEAPEA_WAEB_K@Z"
		size = 16
		refs = "000c _wcsnicoll"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_128_4 {
	meta:
		name = "??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z"
		size = 16
		refs = "000c strtol"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_129_0 {
	meta:
		name = "??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 16
		refs = "000c wcstol"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_130_2 {
	meta:
		name = "??$tcstol@PEBDPEAPEADH@?$__crt_char_traits@D@@SAJ$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z"
		size = 16
		refs = "000c strtol"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_131_2 {
	meta:
		name = "??$tcstol@PEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJ$$QEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 16
		refs = "000c wcstol"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_64_0 {
	meta:
		name = "??$tcstoull@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SA_KAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 16
		refs = "000c wcstoull"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_65_0 {
	meta:
		name = "??$tcstoull@PEBDPEAPEADH@?$__crt_char_traits@D@@SA_K$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z"
		size = 16
		refs = "000c strtoull"
	strings:
		$1 = { 42 00 40 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_20_0 {
	meta:
		name = "??$tfullpath@AEBQEADAEBQEBDAEB_K@?$__crt_char_traits@D@@SAPEADAEBQEADAEBQEBDAEB_K@Z"
		size = 16
		refs = "000c _fullpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_21_0 {
	meta:
		name = "??$tfullpath@AEBQEA_WAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_WAEBQEB_WAEB_K@Z"
		size = 16
		refs = "000c _wfullpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_22_2 {
	meta:
		name = "??$tgetpath@AEAPEADAEAPEADH@?$__crt_char_traits@D@@SAPEADAEAPEAD0$$QEAH@Z"
		size = 16
		refs = "000c __acrt_getpath"
	strings:
		$1 = { 42 00 80 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_22_0 {
	meta:
		name = "??$tgetpath@AEAPEADAEAPEAD_K@?$__crt_char_traits@D@@SAPEADAEAPEAD0$$QEA_K@Z"
		size = 16
		refs = "000c __acrt_getpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_23_3 {
	meta:
		name = "??$tgetpath@AEAPEA_WAEAPEA_WH@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_W0$$QEAH@Z"
		size = 16
		refs = "000c __acrt_wgetpath"
	strings:
		$1 = { 42 00 80 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_23_4 {
	meta:
		name = "??$tgetpath@AEAPEA_WAEAPEA_W_K@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_W0$$QEA_K@Z"
		size = 16
		refs = "000c __acrt_wgetpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_45_3 {
	meta:
		name = "??$tgetpath@AEAPEBDPEADH@?$__crt_char_traits@D@@SAPEADAEAPEBD$$QEAPEAD$$QEAH@Z"
		size = 16
		refs = "000c __acrt_getpath"
	strings:
		$1 = { 42 00 80 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_46_3 {
	meta:
		name = "??$tgetpath@AEAPEB_WPEA_WH@?$__crt_char_traits@_W@@SAPEA_WAEAPEB_W$$QEAPEA_W$$QEAH@Z"
		size = 16
		refs = "000c __acrt_wgetpath"
	strings:
		$1 = { 42 00 80 B9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_24_2 {
	meta:
		name = "??$tgetpath@AEBQEADAEAPEAD_K@?$__crt_char_traits@D@@SAPEADAEBQEADAEAPEAD$$QEA_K@Z"
		size = 16
		refs = "000c __acrt_getpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_25_2 {
	meta:
		name = "??$tgetpath@AEBQEA_WAEAPEA_W_K@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_WAEAPEA_W$$QEA_K@Z"
		size = 16
		refs = "000c __acrt_wgetpath"
	strings:
		$1 = { 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_8_3 {
	meta:
		name = "??$tspawnve@HAEAPEBDAEAY03PEBD$$T@?$__crt_char_traits@D@@SA_J$$QEAHAEAPEBDAEAY03PEBD$$QEA$$T@Z"
		size = 16
		refs = "000c _spawnve"
	strings:
		$1 = { 63 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_9_4 {
	meta:
		name = "??$tspawnve@HAEAPEB_WAEAY03PEB_W$$T@?$__crt_char_traits@_W@@SA_J$$QEAHAEAPEB_WAEAY03PEB_W$$QEA$$T@Z"
		size = 16
		refs = "000c _wspawnve"
	strings:
		$1 = { 63 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_10_4 {
	meta:
		name = "??$tspawnvpe@HAEAPEBDAEAY03PEBD$$T@?$__crt_char_traits@D@@SA_J$$QEAHAEAPEBDAEAY03PEBD$$QEA$$T@Z"
		size = 16
		refs = "000c _spawnvpe"
	strings:
		$1 = { 63 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_11_4 {
	meta:
		name = "??$tspawnvpe@HAEAPEB_WAEAY03PEB_W$$T@?$__crt_char_traits@_W@@SA_J$$QEAHAEAPEB_WAEAY03PEB_W$$QEA$$T@Z"
		size = 16
		refs = "000c _wspawnvpe"
	strings:
		$1 = { 63 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_7_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEA_W$$TAEAY07$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEAY07$$CB_W@Z"
		size = 28
		refs = "0000 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0018 _wdupenv_s_dbg"
		altNames = "??$tdupenv_s_crt@PEAPEA_W$$TAEAY04$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEAY04$$CB_W@Z ??$tdupenv_s_crt@PEAPEA_W$$TAEAY0L@$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEAY0L@$$CB_W@Z"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 F9 25 0F 80 52 43 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_14_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 44
		refs = "0018 _free_dbg"
		altNames = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ ??1?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 F9 41 00 80 52 ?? ?? ?? ?? 7F 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_21_16_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 16
		altNames = "??B?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEBA_NXZ ??B?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEBA_NXZ ??B?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEBA_NXZ ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ ??B?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ ??B?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ ??B?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEBA_NXZ ?is_valid@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEBA_NXZ ?is_valid@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { 08 00 40 F9 1F 01 00 F1 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_21_26_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 52
		refs = "0030 _invoke_watson"
	strings:
		$1 = { 68 00 00 91 89 00 00 91 80 00 00 34 1F 00 01 6B 04 10 42 7A 40 00 00 54 C0 03 5F D6 E4 00 00 91 C3 00 00 11 A2 00 00 91 21 01 00 91 00 01 00 91 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_27_0 {
	meta:
		name = "_wsystem"
		size = 452
		refs = "000c __security_push_cookie 0014 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c ?comspec_name@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 003c _wdupenv_s_dbg 005c _free_dbg 006c _waccess_s 0094 ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 009c ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 _CrtDbgReportW 00cc ?slash_c@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 00e0 _errno 0100 _wspawnve 0158 ?cmd_exe@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 0174 _wspawnvpe 0190 __security_pop_cookie 01a8 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 01ac ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 01c0 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 13 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 1F 58 00 71 E0 0A 00 54 33 02 00 B5 E0 03 40 F9 C0 00 00 B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 13 00 80 52 49 00 00 14 01 00 80 52 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 03 40 F9 ?? ?? ?? ?? 7F 02 00 71 F3 17 9F 1A 40 00 00 14 68 02 40 79 C8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E8 03 40 F9 ?? ?? ?? ?? F3 FF 01 A9 ?? ?? ?? ?? E8 A7 00 A9 E8 03 00 B4 ?? ?? ?? ?? 14 00 40 B9 ?? ?? ?? ?? 03 00 80 D2 1F 00 00 B9 E1 07 40 F9 E2 23 00 91 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 80 00 00 54 ?? ?? ?? ?? 14 00 00 B9 19 00 00 14 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 40 01 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 35 00 71 C0 00 00 54 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 13 00 80 12 0F 00 00 14 ?? ?? ?? ?? 14 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E8 07 00 F9 E2 23 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? 13 00 00 91 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF 83 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_28_0 {
	meta:
		name = "system"
		size = 452
		refs = "000c __security_push_cookie 0014 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c ?comspec_name@?1???$common_system@D@@YAHQEBD@Z@4QBDB 003c _dupenv_s_dbg 005c _free_dbg 006c _access_s 0094 ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 009c ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 _CrtDbgReportW 00cc ?slash_c@?1???$common_system@D@@YAHQEBD@Z@4QBDB 00e0 _errno 0100 _spawnve 0158 ?cmd_exe@?1???$common_system@D@@YAHQEBD@Z@4QBDB 0174 _spawnvpe 0190 __security_pop_cookie 01a8 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 01ac ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 01c0 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 13 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 1F 58 00 71 E0 0A 00 54 33 02 00 B5 E0 03 40 F9 C0 00 00 B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 13 00 80 52 49 00 00 14 01 00 80 52 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 03 40 F9 ?? ?? ?? ?? 7F 02 00 71 F3 17 9F 1A 40 00 00 14 68 02 C0 39 C8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E8 03 40 F9 ?? ?? ?? ?? F3 FF 01 A9 ?? ?? ?? ?? E8 A7 00 A9 E8 03 00 B4 ?? ?? ?? ?? 14 00 40 B9 ?? ?? ?? ?? 03 00 80 D2 1F 00 00 B9 E1 07 40 F9 E2 23 00 91 00 00 80 52 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 80 00 00 54 ?? ?? ?? ?? 14 00 00 B9 19 00 00 14 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 40 01 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 35 00 71 C0 00 00 54 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 13 00 80 12 0F 00 00 14 ?? ?? ?? ?? 14 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E8 07 00 F9 E2 23 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? 13 00 00 91 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF 83 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "_msize"
		size = 40
		refs = "0014 _msize_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 21 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_14_0 {
	meta:
		name = "_mktime64"
		size = 40
		refs = "0014 ??$common_mktime@_J@@YA_JQEAUtm@@_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 21 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_22_1_0 {
	meta:
		name = "_msize_base"
		size = 248
		refs = "0040 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FM@MMDMNOHM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BI@MHNDMCP@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00c0 _invalid_parameter 00d4 __acrt_heap 00dc __imp_HeapSize"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 0A 00 00 14 E2 13 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "??$assemble_floating_point_ind@M@__crt_strtox@@YAXAEAM@Z"
		size = 112
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 E8 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 01 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 1D 09 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 01 00 91 09 01 40 B9 08 08 A0 52 09 59 00 33 E8 03 40 F9 08 01 00 91 09 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_1_0 {
	meta:
		name = "??$assemble_floating_point_ind@N@__crt_strtox@@YAXAEAN@Z"
		size = 112
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 E8 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 F9 09 01 41 B2 E8 03 40 F9 08 01 00 91 09 01 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 F9 09 29 4C B2 E8 03 40 F9 08 01 00 91 09 01 00 F9 E8 03 40 F9 08 01 00 91 09 01 40 F9 08 01 E0 D2 09 CD 40 B3 E8 03 40 F9 08 01 00 91 09 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_2_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 152
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 09 01 01 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 1D 09 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 21 09 12 E8 07 40 F9 08 01 00 91 09 01 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_3_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 156
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 01 41 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 29 4C B2 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 2D 4C 92 E8 07 40 F9 08 01 00 91 09 01 00 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_4_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 152
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 09 01 01 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 1D 09 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 59 00 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_5_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 156
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 01 41 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 29 4C B2 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 CD 40 B2 E8 07 40 F9 08 01 00 91 09 01 00 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_6_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 156
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 09 01 01 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 1D 09 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 28 00 80 52 09 59 00 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_7_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 160
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 01 41 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 29 4C B2 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 09 01 40 F9 28 00 80 D2 09 CD 40 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_8_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAM@Z"
		size = 148
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 07 00 B9 E2 0F 00 F9 E3 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 EA 03 40 39 4A 01 00 11 E8 07 40 F9 08 01 00 91 09 01 40 B9 49 01 01 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 B9 0A FD 01 11 E8 07 40 F9 08 01 00 91 09 01 40 B9 49 1D 09 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 0F 40 F9 0A 01 00 11 E8 07 40 F9 08 01 00 91 09 01 40 B9 49 59 00 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_9_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAN@Z"
		size = 152
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 07 00 B9 E2 0F 00 F9 E3 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 01 41 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 B9 08 FD 0F 11 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 29 4C B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 09 01 40 F9 E8 0F 40 F9 09 CD 40 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_10_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 152
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 09 01 01 33 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 5D 01 12 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 21 09 12 E8 07 40 F9 08 01 00 91 09 01 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_11_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 156
	strings:
		$1 = { FF 83 00 D1 E0 03 00 39 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 0A 7D 40 93 E8 07 40 F9 08 01 00 91 09 01 40 F9 49 01 41 B3 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 D1 41 92 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 2D 4C 92 E8 07 40 F9 08 01 00 91 09 01 00 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_12_0 {
	meta:
		name = "??$common_strtod_l@MD@@YAMQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		size = 412
		refs = "0060 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 00f4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0118 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 012c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0140 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z 0188 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 27 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E9 1B 40 F9 E8 1F 40 F9 28 01 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 05 00 1C 2A 00 00 14 E1 27 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 F0 04 00 1C F0 1F 00 BD E8 83 02 91 E8 2B 00 F9 E2 1B 40 F9 E1 1F 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 03 02 91 ?? ?? ?? ?? E0 37 00 F9 E2 73 00 91 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 0D 00 71 80 00 00 54 E8 1B 40 B9 1F 09 00 71 C1 00 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 04 80 52 28 01 00 B9 F0 1F 40 BD F0 2B 00 BD E0 03 02 91 ?? ?? ?? ?? E0 2B 40 BD FD 7B CB A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_23_13_0 {
	meta:
		name = "??$common_strtod_l@M_W@@YAMQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
		size = 412
		refs = "0060 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 00f4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0118 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 012c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0140 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAM@Z 0188 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 27 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E9 1B 40 F9 E8 1F 40 F9 28 01 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 05 00 1C 2A 00 00 14 E1 27 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 F0 04 00 1C F0 1F 00 BD E8 83 02 91 E8 2B 00 F9 E2 1B 40 F9 E1 1F 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 03 02 91 ?? ?? ?? ?? E0 37 00 F9 E2 73 00 91 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 0D 00 71 80 00 00 54 E8 1B 40 B9 1F 09 00 71 C1 00 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 04 80 52 28 01 00 B9 F0 1F 40 BD F0 2B 00 BD E0 03 02 91 ?? ?? ?? ?? E0 2B 40 BD FD 7B CB A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_23_14_0 {
	meta:
		name = "??$common_strtod_l@ND@@YANQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		size = 416
		refs = "0060 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 00f4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0118 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 012c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0140 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z 0188 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 05 00 5C 2A 00 00 14 E1 27 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 43 00 F9 F0 04 00 5C F0 1F 00 FD E8 A3 02 91 E8 2B 00 F9 E2 17 40 F9 E1 1B 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 37 00 F9 E2 E3 00 91 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 0D 00 71 80 00 00 54 E8 1B 40 B9 1F 09 00 71 C1 00 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 04 80 52 28 01 00 B9 F0 1F 40 FD F0 3F 00 FD E0 23 02 91 ?? ?? ?? ?? E0 3F 40 FD FD 7B CC A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_23_15_0 {
	meta:
		name = "??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
		size = 416
		refs = "0060 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 00f4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0118 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 012c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0140 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z 0188 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 27 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 05 00 5C 2A 00 00 14 E1 27 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 43 00 F9 F0 04 00 5C F0 1F 00 FD E8 A3 02 91 E8 2B 00 F9 E2 17 40 F9 E1 1B 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 37 00 F9 E2 E3 00 91 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 0D 00 71 80 00 00 54 E8 1B 40 B9 1F 09 00 71 C1 00 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 04 80 52 28 01 00 B9 F0 1F 40 FD F0 3F 00 FD E0 23 02 91 ?? ?? ?? ?? E0 3F 40 FD FD 7B CC A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_23_16_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 60
		refs = "0018 ??0floating_point_value@__crt_strtox@@QEAA@QEAM@Z 0028 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_17_2 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 60
		refs = "0018 ??0floating_point_value@__crt_strtox@@QEAA@QEAN@Z 0028 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_18_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 60
		refs = "0018 ??0floating_point_value@__crt_strtox@@QEAA@QEAM@Z 0028 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_27_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 60
		refs = "0018 ??0floating_point_value@__crt_strtox@@QEAA@QEAN@Z 0028 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_20_0 {
	meta:
		name = "??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z"
		size = 52
		refs = "0020 ??0?$c_string_character_source@D@__crt_strtox@@QEAA@QEBDQEAPEBD@Z"
		altNames = "??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_21_0 {
	meta:
		name = "??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z"
		size = 52
		refs = "0020 ??0?$c_string_character_source@_W@__crt_strtox@@QEAA@QEB_WQEAPEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_21_0 {
	meta:
		name = "??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z"
		size = 52
		refs = "0020 ??0?$c_string_character_source@_W@__crt_strtox@@QEAA@QEB_WQEAPEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_22_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_23_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_5_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAU_LDBL12@@@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAU_LDBL12@@@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_24_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_25_2 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_45_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_46_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_47_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_48_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_49_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_50_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_51_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_52_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 528
		refs = "0008 __security_push_cookie 0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00d0 _invalid_parameter 00e0 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 0120 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 01e4 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0204 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0D D1 E0 1F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 1F 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 40 B9 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 40 B9 12 00 00 14 E2 63 01 91 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E2 23 40 F9 E1 63 01 91 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 37 40 B9 FF 83 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_26_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$c_string_character_source@D@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ 0050 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ 0070 ??0<lambda_a4d13f8896d4166bcf1a62c02ca9256c>@@QEAA@AEAV?$c_string_character_source@D@__crt_strtox@@AEADAEAPEBD@Z 007c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z 0180 ??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z 0220 ?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z 02d0 ?parse_digit@__crt_strtox@@YAID@Z 048c ??R<lambda_a4d13f8896d4166bcf1a62c02ca9256c>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 5F 00 F9 E1 13 00 F9 E2 2B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FB 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FF 00 39 E8 FF C0 39 E8 43 00 39 E3 03 02 91 E2 43 00 91 E1 13 40 F9 E0 A3 03 91 ?? ?? ?? ?? E1 5F 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB C0 39 E8 43 00 39 F3 FF FF 17 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 77 00 B9 03 00 00 14 08 00 80 52 E8 77 00 B9 E8 2B 40 F9 09 21 0C 91 E8 77 40 B9 08 1D 00 53 28 01 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F A5 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 93 00 B9 E0 93 40 B9 DD 01 00 14 E8 43 C0 39 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B9 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 97 00 B9 E0 97 40 B9 CE 01 00 14 08 00 80 52 E8 47 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 C0 39 E8 4F 00 39 E8 4F C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 4F C0 39 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 47 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 6F 40 F9 E8 43 00 F9 04 00 00 14 E1 4F C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 2B 40 F9 08 21 00 91 E8 47 00 F9 E8 2B 40 F9 08 21 0C 91 E8 63 00 F9 E8 2B 40 F9 08 21 00 91 E8 23 00 F9 08 00 80 52 E8 4F 00 B9 08 00 80 52 E8 4B 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7B 00 B9 03 00 00 14 28 01 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 9F 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 E8 5B 00 B9 E9 9F 40 B9 E8 5B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 5B 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 4F 40 B9 08 05 00 11 E8 4F 00 B9 D6 FF FF 17 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 C3 00 39 E9 43 C0 39 29 01 00 11 E8 C3 C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 01 02 00 54 E8 43 C0 39 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4B 00 39 E8 4F 40 B9 08 05 00 51 E8 4F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB C0 39 E8 43 00 39 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 5F 00 B9 03 00 00 14 28 01 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 A7 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 A3 00 B9 E8 A3 40 B9 E8 63 00 B9 E9 A7 40 B9 E8 63 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 63 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 D9 FF FF 17 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 C0 39 E8 43 00 39 08 00 80 52 E8 53 00 39 E8 43 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 1F 95 01 71 6C 01 00 54 E8 4B 40 B9 1F 95 01 71 80 01 00 54 E8 4B 40 B9 1F 15 01 71 20 01 00 54 E8 4B 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 4B 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 47 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 EF 00 39 E8 43 C0 39 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF C0 39 E8 43 00 39 08 00 80 52 E8 57 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 C0 39 E8 43 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 B3 00 B9 E8 B3 40 B9 E8 6B 00 B9 E8 6B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 6B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 B9 E8 AB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB C0 39 E8 43 00 39 F5 FF FF 17 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 C0 39 E8 43 00 39 03 00 00 14 E0 00 80 52 56 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 60 01 00 54 E8 23 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 23 40 F9 08 05 00 D1 E8 23 00 F9 F3 FF FF 17 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 6F 00 B9 03 00 00 14 28 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 AF 00 B9 E9 4F 40 B9 E8 AF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 2B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 23 40 F9 E8 47 40 F9 28 01 08 CB 09 01 00 11 E8 2B 40 F9 08 11 00 91 09 01 00 B9 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E0 73 40 B9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_53_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0050 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 0070 ??0<lambda_987679f592fad43c4bd3fe4c5bcc8c0e>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 007c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0180 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0220 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 02d0 ?parse_digit@__crt_strtox@@YAID@Z 048c ??R<lambda_987679f592fad43c4bd3fe4c5bcc8c0e>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 5F 00 F9 E1 13 00 F9 E2 2B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FB 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FF 00 39 E8 FF C0 39 E8 43 00 39 E3 03 02 91 E2 43 00 91 E1 13 40 F9 E0 A3 03 91 ?? ?? ?? ?? E1 5F 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB C0 39 E8 43 00 39 F3 FF FF 17 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 77 00 B9 03 00 00 14 08 00 80 52 E8 77 00 B9 E8 2B 40 F9 09 21 0C 91 E8 77 40 B9 08 1D 00 53 28 01 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F A5 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 93 00 B9 E0 93 40 B9 DD 01 00 14 E8 43 C0 39 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B9 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 97 00 B9 E0 97 40 B9 CE 01 00 14 08 00 80 52 E8 47 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 C0 39 E8 4F 00 39 E8 4F C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 4F C0 39 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 47 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 6F 40 F9 E8 43 00 F9 04 00 00 14 E1 4F C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 2B 40 F9 08 21 00 91 E8 47 00 F9 E8 2B 40 F9 08 21 0C 91 E8 63 00 F9 E8 2B 40 F9 08 21 00 91 E8 23 00 F9 08 00 80 52 E8 4F 00 B9 08 00 80 52 E8 4B 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7B 00 B9 03 00 00 14 28 01 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 9F 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 E8 5B 00 B9 E9 9F 40 B9 E8 5B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 5B 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 4F 40 B9 08 05 00 11 E8 4F 00 B9 D6 FF FF 17 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 C3 00 39 E9 43 C0 39 29 01 00 11 E8 C3 C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 01 02 00 54 E8 43 C0 39 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4B 00 39 E8 4F 40 B9 08 05 00 51 E8 4F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB C0 39 E8 43 00 39 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 5F 00 B9 03 00 00 14 28 01 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 A7 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 A3 00 B9 E8 A3 40 B9 E8 63 00 B9 E9 A7 40 B9 E8 63 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 63 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 D9 FF FF 17 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 C0 39 E8 43 00 39 08 00 80 52 E8 53 00 39 E8 43 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 1F 95 01 71 6C 01 00 54 E8 4B 40 B9 1F 95 01 71 80 01 00 54 E8 4B 40 B9 1F 15 01 71 20 01 00 54 E8 4B 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 4B 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 47 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 EF 00 39 E8 43 C0 39 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF C0 39 E8 43 00 39 08 00 80 52 E8 57 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 C0 39 E8 43 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 B3 00 B9 E8 B3 40 B9 E8 6B 00 B9 E8 6B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 6B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 B9 E8 AB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB C0 39 E8 43 00 39 F5 FF FF 17 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 C0 39 E8 43 00 39 03 00 00 14 E0 00 80 52 56 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 60 01 00 54 E8 23 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 23 40 F9 08 05 00 D1 E8 23 00 F9 F3 FF FF 17 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 6F 00 B9 03 00 00 14 28 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 AF 00 B9 E9 4F 40 B9 E8 AF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 2B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 23 40 F9 E8 47 40 F9 28 01 08 CB 09 01 00 11 E8 2B 40 F9 08 11 00 91 09 01 00 B9 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E0 73 40 B9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_55_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0050 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 0070 ??0<lambda_1db4d925c2db10274e92824f631ccf5d>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 007c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0180 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0220 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 02d0 ?parse_digit@__crt_strtox@@YAID@Z 048c ??R<lambda_1db4d925c2db10274e92824f631ccf5d>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 5F 00 F9 E1 13 00 F9 E2 2B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FB 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 FF 00 39 E8 FF C0 39 E8 43 00 39 E3 03 02 91 E2 43 00 91 E1 13 40 F9 E0 A3 03 91 ?? ?? ?? ?? E1 5F 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB C0 39 E8 43 00 39 F3 FF FF 17 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 77 00 B9 03 00 00 14 08 00 80 52 E8 77 00 B9 E8 2B 40 F9 09 21 0C 91 E8 77 40 B9 08 1D 00 53 28 01 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F A5 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 93 00 B9 E0 93 40 B9 DD 01 00 14 E8 43 C0 39 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B9 01 71 01 01 00 54 E2 43 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 97 00 B9 E0 97 40 B9 CE 01 00 14 08 00 80 52 E8 47 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 C0 39 E8 4F 00 39 E8 4F C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 4F C0 39 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 47 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 6F 40 F9 E8 43 00 F9 04 00 00 14 E1 4F C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 2B 40 F9 08 21 00 91 E8 47 00 F9 E8 2B 40 F9 08 21 0C 91 E8 63 00 F9 E8 2B 40 F9 08 21 00 91 E8 23 00 F9 08 00 80 52 E8 4F 00 B9 08 00 80 52 E8 4B 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7B 00 B9 03 00 00 14 28 01 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 9F 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 E8 5B 00 B9 E9 9F 40 B9 E8 5B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 5B 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 4F 40 B9 08 05 00 11 E8 4F 00 B9 D6 FF FF 17 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 C3 00 39 E9 43 C0 39 29 01 00 11 E8 C3 C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 01 02 00 54 E8 43 C0 39 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4B 00 39 E8 4F 40 B9 08 05 00 51 E8 4F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB C0 39 E8 43 00 39 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF C0 39 E8 43 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 5F 00 B9 03 00 00 14 28 01 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 A7 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 A3 00 B9 E8 A3 40 B9 E8 63 00 B9 E9 A7 40 B9 E8 63 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4B 00 39 E9 63 40 F9 E8 23 40 F9 1F 01 09 EB 00 01 00 54 E8 63 40 B9 09 1D 00 53 E8 23 40 F9 09 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 D9 FF FF 17 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 C0 39 E8 43 00 39 08 00 80 52 E8 53 00 39 E8 43 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 1F 95 01 71 6C 01 00 54 E8 4B 40 B9 1F 95 01 71 80 01 00 54 E8 4B 40 B9 1F 15 01 71 20 01 00 54 E8 4B 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 4B 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 47 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB C0 39 E8 43 00 39 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 EF 00 39 E8 43 C0 39 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF C0 39 E8 43 00 39 08 00 80 52 E8 57 00 39 E8 43 C0 39 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 C0 39 E8 43 00 39 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 C0 39 E8 43 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 B3 00 B9 E8 B3 40 B9 E8 6B 00 B9 E8 6B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 6B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 B9 E8 AB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB C0 39 E8 43 00 39 F5 FF FF 17 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 A3 03 91 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 C0 39 E8 43 00 39 03 00 00 14 E0 00 80 52 56 00 00 14 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 60 01 00 54 E8 23 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 23 40 F9 08 05 00 D1 E8 23 00 F9 F3 FF FF 17 E9 47 40 F9 E8 23 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 6F 00 B9 03 00 00 14 28 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 AF 00 B9 E9 4F 40 B9 E8 AF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 2B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 23 40 F9 E8 47 40 F9 28 01 08 CB 09 01 00 11 E8 2B 40 F9 08 11 00 91 09 01 00 B9 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E0 73 40 B9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_27_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$c_string_character_source@_W@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ 0050 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ 0070 ??0<lambda_74a2d8e426d717992967bf549d0b1d46>@@QEAA@AEAV?$c_string_character_source@_W@__crt_strtox@@AEA_WAEAPEB_W@Z 007c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z 0180 ??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z 0220 ?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z 02d0 ?parse_digit@__crt_strtox@@YAI_W@Z 048c ??R<lambda_74a2d8e426d717992967bf549d0b1d46>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 6F 00 F9 E1 13 00 F9 E2 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 79 E8 CB 40 79 E8 23 00 79 E3 83 02 91 E2 43 00 91 E1 13 40 F9 E0 23 04 91 ?? ?? ?? ?? E1 6F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 79 E8 CF 40 79 E8 23 00 79 F3 FF FF 17 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 97 00 B9 03 00 00 14 08 00 80 52 E8 97 00 B9 E8 3B 40 F9 09 21 0C 91 E8 97 40 B9 08 1D 00 53 28 01 00 39 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 D3 00 79 E8 D3 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F A5 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B3 00 B9 E0 B3 40 B9 DD 01 00 14 E8 23 40 79 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B9 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B7 00 B9 E0 B7 40 B9 CE 01 00 14 08 00 80 52 E8 4B 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 7F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 63 00 79 E8 63 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 63 40 79 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 E8 7F 40 F9 E8 53 00 F9 04 00 00 14 E1 63 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 3B 40 F9 08 21 00 91 E8 57 00 F9 E8 3B 40 F9 08 21 0C 91 E8 73 00 F9 E8 3B 40 F9 08 21 00 91 E8 1F 00 F9 08 00 80 52 E8 47 00 B9 08 00 80 52 E8 4F 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4F 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 9B 00 79 E8 9B 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 9F 00 79 E8 9F 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 9B 00 B9 03 00 00 14 28 01 80 52 E8 9B 00 B9 E8 9B 40 B9 E8 BF 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 BB 00 B9 E8 BB 40 B9 E8 7B 00 B9 E9 BF 40 B9 E8 7B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 7B 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 47 40 B9 08 05 00 11 E8 47 00 B9 D6 FF FF 17 E8 6F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 AF 00 39 E9 23 40 79 29 01 00 11 E8 AF C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 79 E8 A3 40 79 E8 23 00 79 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 01 02 00 54 E8 23 40 79 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4F 00 39 E8 47 40 B9 08 05 00 51 E8 47 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 79 E8 A7 40 79 E8 23 00 79 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 79 E8 AB 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7F 00 B9 03 00 00 14 28 01 80 52 E8 7F 00 B9 E8 7F 40 B9 E8 C7 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 C3 00 B9 E8 C3 40 B9 E8 83 00 B9 E9 C7 40 B9 E8 83 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 83 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 D9 FF FF 17 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 79 E8 AF 40 79 E8 23 00 79 08 00 80 52 E8 53 00 39 E8 23 40 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 1F 95 01 71 6C 01 00 54 E8 43 40 B9 1F 95 01 71 80 01 00 54 E8 43 40 B9 1F 15 01 71 20 01 00 54 E8 43 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 43 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 87 00 B9 03 00 00 14 08 00 80 52 E8 87 00 B9 E8 87 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 4B 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 79 E8 C7 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 B7 00 39 E8 23 40 79 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 79 E8 B3 40 79 E8 23 00 79 08 00 80 52 E8 57 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 79 E8 B7 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 79 E8 BB 40 79 E8 23 00 79 E0 23 40 79 ?? ?? ?? ?? E0 D3 00 B9 E8 D3 40 B9 E8 8B 00 B9 E8 8B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 8B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 23 40 79 ?? ?? ?? ?? E0 CB 00 B9 E8 CB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 79 E8 BF 40 79 E8 23 00 79 F5 FF FF 17 E8 B7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C3 00 79 E8 C3 40 79 E8 23 00 79 03 00 00 14 E0 00 80 52 56 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 60 01 00 54 E8 1F 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 F3 FF FF 17 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 8F 00 B9 03 00 00 14 28 00 80 52 E8 8F 00 B9 E8 8F 40 B9 E8 CF 00 B9 E9 47 40 B9 E8 CF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 3B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 1F 40 F9 E8 57 40 F9 28 01 08 CB 09 01 00 11 E8 3B 40 F9 08 11 00 91 09 01 00 B9 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E0 93 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_54_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0050 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 0070 ??0<lambda_2869a9057330eafa474e853b0696fc23>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 007c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0180 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0220 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 02d0 ?parse_digit@__crt_strtox@@YAI_W@Z 048c ??R<lambda_2869a9057330eafa474e853b0696fc23>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 6F 00 F9 E1 13 00 F9 E2 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 79 E8 CB 40 79 E8 23 00 79 E3 83 02 91 E2 43 00 91 E1 13 40 F9 E0 23 04 91 ?? ?? ?? ?? E1 6F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 79 E8 CF 40 79 E8 23 00 79 F3 FF FF 17 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 97 00 B9 03 00 00 14 08 00 80 52 E8 97 00 B9 E8 3B 40 F9 09 21 0C 91 E8 97 40 B9 08 1D 00 53 28 01 00 39 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 D3 00 79 E8 D3 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F A5 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B3 00 B9 E0 B3 40 B9 DD 01 00 14 E8 23 40 79 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B9 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B7 00 B9 E0 B7 40 B9 CE 01 00 14 08 00 80 52 E8 4B 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 7F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 63 00 79 E8 63 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 63 40 79 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 E8 7F 40 F9 E8 53 00 F9 04 00 00 14 E1 63 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 3B 40 F9 08 21 00 91 E8 57 00 F9 E8 3B 40 F9 08 21 0C 91 E8 73 00 F9 E8 3B 40 F9 08 21 00 91 E8 1F 00 F9 08 00 80 52 E8 47 00 B9 08 00 80 52 E8 4F 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4F 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 9B 00 79 E8 9B 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 9F 00 79 E8 9F 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 9B 00 B9 03 00 00 14 28 01 80 52 E8 9B 00 B9 E8 9B 40 B9 E8 BF 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 BB 00 B9 E8 BB 40 B9 E8 7B 00 B9 E9 BF 40 B9 E8 7B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 7B 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 47 40 B9 08 05 00 11 E8 47 00 B9 D6 FF FF 17 E8 6F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 AF 00 39 E9 23 40 79 29 01 00 11 E8 AF C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 79 E8 A3 40 79 E8 23 00 79 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 01 02 00 54 E8 23 40 79 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4F 00 39 E8 47 40 B9 08 05 00 51 E8 47 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 79 E8 A7 40 79 E8 23 00 79 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 79 E8 AB 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7F 00 B9 03 00 00 14 28 01 80 52 E8 7F 00 B9 E8 7F 40 B9 E8 C7 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 C3 00 B9 E8 C3 40 B9 E8 83 00 B9 E9 C7 40 B9 E8 83 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 83 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 D9 FF FF 17 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 79 E8 AF 40 79 E8 23 00 79 08 00 80 52 E8 53 00 39 E8 23 40 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 1F 95 01 71 6C 01 00 54 E8 43 40 B9 1F 95 01 71 80 01 00 54 E8 43 40 B9 1F 15 01 71 20 01 00 54 E8 43 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 43 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 87 00 B9 03 00 00 14 08 00 80 52 E8 87 00 B9 E8 87 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 4B 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 79 E8 C7 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 B7 00 39 E8 23 40 79 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 79 E8 B3 40 79 E8 23 00 79 08 00 80 52 E8 57 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 79 E8 B7 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 79 E8 BB 40 79 E8 23 00 79 E0 23 40 79 ?? ?? ?? ?? E0 D3 00 B9 E8 D3 40 B9 E8 8B 00 B9 E8 8B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 8B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 23 40 79 ?? ?? ?? ?? E0 CB 00 B9 E8 CB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 79 E8 BF 40 79 E8 23 00 79 F5 FF FF 17 E8 B7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C3 00 79 E8 C3 40 79 E8 23 00 79 03 00 00 14 E0 00 80 52 56 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 60 01 00 54 E8 1F 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 F3 FF FF 17 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 8F 00 B9 03 00 00 14 28 00 80 52 E8 8F 00 B9 E8 8F 40 B9 E8 CF 00 B9 E9 47 40 B9 E8 CF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 3B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 1F 40 F9 E8 57 40 F9 28 01 08 CB 09 01 00 11 E8 3B 40 F9 08 11 00 91 09 01 00 B9 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E0 93 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_56_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2252
		refs = "0018 ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 003c ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0050 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 0070 ??0<lambda_ab71cf08e5e7ad30a15505f224e9f7a9>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 007c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0144 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0180 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0220 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 02d0 ?parse_digit@__crt_strtox@@YAI_W@Z 048c ??R<lambda_ab71cf08e5e7ad30a15505f224e9f7a9>@@QEBA_NXZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 6F 00 F9 E1 13 00 F9 E2 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 24 02 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 CB 00 79 E8 CB 40 79 E8 23 00 79 E3 83 02 91 E2 43 00 91 E1 13 40 F9 E0 23 04 91 ?? ?? ?? ?? E1 6F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 CF 00 79 E8 CF 40 79 E8 23 00 79 F3 FF FF 17 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 97 00 B9 03 00 00 14 08 00 80 52 E8 97 00 B9 E8 3B 40 F9 09 21 0C 91 E8 97 40 B9 08 1D 00 53 28 01 00 39 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 D3 00 79 E8 D3 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F 25 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F A5 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B3 00 B9 E0 B3 40 B9 DD 01 00 14 E8 23 40 79 08 01 00 11 1F 39 01 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B9 01 71 01 01 00 54 E2 53 40 F9 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 B7 00 B9 E0 B7 40 B9 CE 01 00 14 08 00 80 52 E8 4B 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 01 04 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 7F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 63 00 79 E8 63 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 63 40 79 08 01 00 11 1F 61 01 71 61 01 00 54 28 00 80 52 E8 4B 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 E8 7F 40 F9 E8 53 00 F9 04 00 00 14 E1 63 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 3B 40 F9 08 21 00 91 E8 57 00 F9 E8 3B 40 F9 08 21 0C 91 E8 73 00 F9 E8 3B 40 F9 08 21 00 91 E8 1F 00 F9 08 00 80 52 E8 47 00 B9 08 00 80 52 E8 4F 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 4F 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 9B 00 79 E8 9B 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 9F 00 79 E8 9F 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 9B 00 B9 03 00 00 14 28 01 80 52 E8 9B 00 B9 E8 9B 40 B9 E8 BF 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 BB 00 B9 E8 BB 40 B9 E8 7B 00 B9 E9 BF 40 B9 E8 7B 40 B9 1F 01 09 6B 49 00 00 54 12 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 7B 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 47 40 B9 08 05 00 11 E8 47 00 B9 D6 FF FF 17 E8 6F 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 AF 00 39 E9 23 40 79 29 01 00 11 E8 AF C0 39 08 01 00 11 3F 01 08 6B 41 08 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 79 E8 A3 40 79 E8 23 00 79 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 01 02 00 54 E8 23 40 79 08 01 00 11 1F C1 00 71 81 01 00 54 28 00 80 52 E8 4F 00 39 E8 47 40 B9 08 05 00 51 E8 47 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 79 E8 A7 40 79 E8 23 00 79 F2 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 AB 00 79 E8 AB 40 79 E8 23 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 01 80 52 E8 7F 00 B9 03 00 00 14 28 01 80 52 E8 7F 00 B9 E8 7F 40 B9 E8 C7 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 C3 00 B9 E8 C3 40 B9 E8 83 00 B9 E9 C7 40 B9 E8 83 40 B9 1F 01 09 6B 49 00 00 54 0F 00 00 14 28 00 80 52 E8 4F 00 39 E9 73 40 F9 E8 1F 40 F9 1F 01 09 EB 00 01 00 54 E8 83 40 B9 09 1D 00 53 E8 1F 40 F9 09 01 00 39 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 D9 FF FF 17 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 E0 00 80 52 07 01 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 40 00 80 52 01 01 00 14 03 00 00 14 E0 00 80 52 FE 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 53 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 79 E8 AF 40 79 E8 23 00 79 08 00 80 52 E8 53 00 39 E8 23 40 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 1F 95 01 71 6C 01 00 54 E8 43 40 B9 1F 95 01 71 80 01 00 54 E8 43 40 B9 1F 15 01 71 20 01 00 54 E8 43 40 B9 1F 41 01 71 60 02 00 54 14 00 00 14 E8 43 40 B9 1F C1 01 71 E0 01 00 54 10 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 87 00 B9 03 00 00 14 08 00 80 52 E8 87 00 B9 E8 87 40 B9 08 1D 00 53 E8 53 00 39 03 00 00 14 E8 4B 40 39 E8 53 00 39 08 00 80 52 E8 1B 00 B9 E8 53 40 39 08 01 00 11 1F 01 00 71 20 0E 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 79 E8 C7 40 79 E8 23 00 79 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 A3 00 39 03 00 00 14 08 00 80 52 E8 A3 00 39 E8 A3 40 39 E8 B7 00 39 E8 23 40 79 08 01 00 11 1F AD 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B5 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 79 E8 B3 40 79 E8 23 00 79 08 00 80 52 E8 57 00 39 E8 23 40 79 08 01 00 11 1F C1 00 71 21 01 00 54 28 00 80 52 E8 57 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 79 E8 B7 40 79 E8 23 00 79 F5 FF FF 17 06 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 79 E8 BB 40 79 E8 23 00 79 E0 23 40 79 ?? ?? ?? ?? E0 D3 00 B9 E8 D3 40 B9 E8 8B 00 B9 E8 8B 40 B9 1F 29 00 71 43 00 00 54 11 00 00 14 28 00 80 52 E8 57 00 39 E9 1B 40 B9 48 01 80 52 29 7D 08 1B E8 8B 40 B9 28 01 08 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 8D 00 00 54 28 8A 82 52 E8 1B 00 B9 02 00 00 14 E3 FF FF 17 E0 23 40 79 ?? ?? ?? ?? E0 CB 00 B9 E8 CB 40 B9 1F 29 00 71 E2 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 79 E8 BF 40 79 E8 23 00 79 F5 FF FF 17 E8 B7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E8 57 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E0 23 04 91 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 C3 00 79 E8 C3 40 79 E8 23 00 79 03 00 00 14 E0 00 80 52 56 00 00 14 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 60 01 00 54 E8 1F 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 F3 FF FF 17 E9 57 40 F9 E8 1F 40 F9 1F 01 09 EB 61 00 00 54 40 00 80 52 3F 00 00 14 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 39 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 33 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 8F 00 B9 03 00 00 14 28 00 80 52 E8 8F 00 B9 E8 8F 40 B9 E8 CF 00 B9 E9 47 40 B9 E8 CF 40 B9 29 7D 08 1B E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 09 8A 82 52 E8 1B 40 B9 1F 01 09 6B 6D 00 00 54 20 01 80 52 1C 00 00 14 E9 89 82 12 E8 1B 40 B9 1F 01 09 6B 6A 00 00 54 00 01 80 52 16 00 00 14 E8 3B 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E9 1F 40 F9 E8 57 40 F9 28 01 08 CB 09 01 00 11 E8 3B 40 F9 08 11 00 91 09 01 00 B9 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E0 93 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_28_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z"
		size = 304
		refs = "0024 ??0<lambda_85175643e3245fab8ee1d5c9ffbed652>@@QEAA@AEAV?$c_string_character_source@D@__crt_strtox@@AEADAEAPEBD@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z 0060 ??R<lambda_85175643e3245fab8ee1d5c9ffbed652>@@QEBA_NXZ 0078 ?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ 0094 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_57_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 304
		refs = "0024 ??0<lambda_1232a416a9149be513dc40db5f8b835d>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_1232a416a9149be513dc40db5f8b835d>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_58_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 304
		refs = "0024 ??0<lambda_ee7c83d9f0cd4f1299194e0a8d424b67>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_ee7c83d9f0cd4f1299194e0a8d424b67>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_29_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z"
		size = 304
		refs = "0024 ??0<lambda_b2e4b863da30a29f1a9fc7ecc6d00735>@@QEAA@AEAV?$c_string_character_source@_W@__crt_strtox@@AEA_WAEAPEB_W@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z 0060 ??R<lambda_b2e4b863da30a29f1a9fc7ecc6d00735>@@QEBA_NXZ 0078 ?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ 0094 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 79 E9 13 40 F9 E8 2B 40 79 28 01 00 79 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_59_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 304
		refs = "0024 ??0<lambda_3fab6266ebbbb6a80db50646f7fd7b75>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_3fab6266ebbbb6a80db50646f7fd7b75>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 79 E9 13 40 F9 E8 2B 40 79 28 01 00 79 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_60_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 304
		refs = "0024 ??0<lambda_283d5cd4935f5253d095a945c5771a1b>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_283d5cd4935f5253d095a945c5771a1b>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 00b4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00bc ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E3 C3 00 91 E2 13 40 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E4 0F 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 03 01 91 ?? ?? ?? ?? E0 00 80 52 30 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 79 E9 13 40 F9 E8 2B 40 79 28 01 00 79 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 03 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 68 00 80 52 E8 2B 00 B9 03 00 00 14 E8 00 80 52 E8 2B 00 B9 E0 2B 40 B9 06 00 00 14 E8 13 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_30_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z"
		size = 632
		refs = "0024 ??0<lambda_aaca0f6c2c612c0ee38e1ea27fdc2ad6>@@QEAA@AEAV?$c_string_character_source@D@__crt_strtox@@AEADAEAPEBD@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 003c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z 0060 ??R<lambda_aaca0f6c2c612c0ee38e1ea27fdc2ad6>@@QEBA_NXZ 0078 ?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ 0094 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ 0114 ??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 23 00 F9 E3 03 01 91 E2 13 40 F9 E1 17 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 17 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 4F 00 39 E9 13 40 F9 E8 4F C0 39 28 01 00 39 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 04 00 54 E8 13 40 F9 00 01 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5F 00 39 E8 5F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 63 00 39 E9 13 40 F9 E8 63 C0 39 28 01 00 39 D8 FF FF 17 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_61_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 632
		refs = "0024 ??0<lambda_156378f40168adef48d7ddfcff3a1264>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_156378f40168adef48d7ddfcff3a1264>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 0114 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 23 00 F9 E3 03 01 91 E2 13 40 F9 E1 17 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 17 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 4F 00 39 E9 13 40 F9 E8 4F C0 39 28 01 00 39 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 04 00 54 E8 13 40 F9 00 01 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5F 00 39 E8 5F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 63 00 39 E9 13 40 F9 E8 63 C0 39 28 01 00 39 D8 FF FF 17 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_62_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 632
		refs = "0024 ??0<lambda_bdd123a27a08a14f93fbf44b617d0736>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AEADAEA_K@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0044 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_bdd123a27a08a14f93fbf44b617d0736>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0080 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 0114 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 23 00 F9 E3 03 01 91 E2 13 40 F9 E1 17 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 17 40 F9 E3 13 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 47 00 39 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 4F 00 39 E9 13 40 F9 E8 4F C0 39 28 01 00 39 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 04 00 54 E8 13 40 F9 00 01 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5F 00 39 E8 5F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 63 00 39 E9 13 40 F9 E8 63 C0 39 28 01 00 39 D8 FF FF 17 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_31_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z"
		size = 632
		refs = "0024 ??0<lambda_c728f12739a3597330a783bb0930d4cc>@@QEAA@AEAV?$c_string_character_source@_W@__crt_strtox@@AEA_WAEAPEB_W@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 003c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z 0060 ??R<lambda_c728f12739a3597330a783bb0930d4cc>@@QEBA_NXZ 0078 ?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ 0094 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ 0114 ??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 23 00 F9 E3 03 01 91 E2 0F 40 F9 E1 13 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 13 40 F9 E3 0F 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 79 E9 0F 40 F9 E8 53 40 79 28 01 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 79 E9 0F 40 F9 E8 57 40 79 28 01 00 79 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 04 00 54 E8 0F 40 F9 00 01 40 79 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 79 E9 0F 40 F9 E8 5B 40 79 28 01 00 79 D8 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_63_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 632
		refs = "0024 ??0<lambda_6c6d19daa7c7d45df7f17119b7c25976>@@QEAA@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_6c6d19daa7c7d45df7f17119b7c25976>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 0114 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 23 00 F9 E3 03 01 91 E2 0F 40 F9 E1 13 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 13 40 F9 E3 0F 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 79 E9 0F 40 F9 E8 53 40 79 28 01 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 79 E9 0F 40 F9 E8 57 40 79 28 01 00 79 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 04 00 54 E8 0F 40 F9 00 01 40 79 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 79 E9 0F 40 F9 E8 5B 40 79 28 01 00 79 D8 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_64_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 632
		refs = "0024 ??0<lambda_a9f975f7e8316be0241b8392d74a98d8>@@QEAA@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AEA_WAEA_K@Z 0034 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0044 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0060 ??R<lambda_a9f975f7e8316be0241b8392d74a98d8>@@QEBA_NXZ 0078 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0080 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0094 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 0114 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 014c ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 01b4 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 23 00 F9 E3 03 01 91 E2 0F 40 F9 E1 13 40 F9 E0 43 01 91 ?? ?? ?? ?? E4 13 40 F9 E3 0F 40 F9 62 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E0 43 01 91 ?? ?? ?? ?? E0 00 80 52 82 00 00 14 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 79 E9 0F 40 F9 E8 53 40 79 28 01 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A1 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 33 00 B9 03 00 00 14 E8 00 80 52 E8 33 00 B9 E0 33 40 B9 60 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 79 E9 0F 40 F9 E8 57 40 79 28 01 00 79 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? A0 00 80 52 4C 00 00 14 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 01 01 40 79 E0 13 40 F9 ?? ?? ?? ?? C0 00 80 52 3E 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 A0 04 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 04 00 54 E8 0F 40 F9 00 01 40 79 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 37 00 B9 03 00 00 14 E8 00 80 52 E8 37 00 B9 E0 37 40 B9 1C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 79 E9 0F 40 F9 E8 5B 40 79 28 01 00 79 D8 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F A5 00 71 E0 01 00 54 E0 43 01 91 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 3B 00 B9 03 00 00 14 E8 00 80 52 E8 3B 00 B9 E0 3B 40 B9 02 00 00 14 80 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_32_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_65_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_66_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_32_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_67_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_68_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 82 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_34_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_69_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_70_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 002c ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_34_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_71_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_72_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "001c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 002c ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 A2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_36_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z"
		size = 412
		refs = "0050 ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z 0068 ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z 0088 ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAEAM@Z 00a4 ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAEAM@Z 00c0 ??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAEAM@Z 00dc ??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAEAM@Z 00ec ??$assemble_floating_point_ind@M@__crt_strtox@@YAXAEAM@Z 0150 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0174 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 17 00 F9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 25 00 71 08 09 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 0F 16 1D 24 2B 2F 34 3B 3B 3B E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 4E 00 00 14 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 48 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 41 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 3A 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 2C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? 00 00 80 52 28 00 00 14 E1 17 40 F9 00 00 80 52 ?? ?? ?? ?? 20 00 80 52 23 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 40 00 80 52 1C 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 60 00 80 52 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_37_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z"
		size = 412
		refs = "0050 ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z 0068 ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z 0088 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAEAN@Z 00a4 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAEAN@Z 00c0 ??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAEAN@Z 00dc ??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAEAN@Z 00ec ??$assemble_floating_point_ind@N@__crt_strtox@@YAXAEAN@Z 0150 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0174 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 17 00 F9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 25 00 71 08 09 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 0F 16 1D 24 2B 2F 34 3B 3B 3B E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 4E 00 00 14 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 48 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 41 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 3A 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 2C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? 00 00 80 52 28 00 00 14 E1 17 40 F9 00 00 80 52 ?? ?? ?? ?? 20 00 80 52 23 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 40 00 80 52 1C 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 60 00 80 52 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_11_0 {
	meta:
		name = "??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAU_LDBL12@@@Z"
		size = 412
		refs = "0050 ?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEAU_LDBL12@@@Z 0068 ?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEAU_LDBL12@@@Z 0088 ?assemble_floating_point_zero@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z 00a4 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z 00c0 ?assemble_floating_point_qnan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z 00dc ?assemble_floating_point_snan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z 00ec ?assemble_floating_point_ind@__crt_strtox@@YAXAEAU_LDBL12@@@Z 0150 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0174 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 17 00 F9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 25 00 71 08 09 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 0F 16 1D 24 2B 2F 34 3B 3B 3B E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 4E 00 00 14 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 48 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 41 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 3A 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 00 00 80 52 2C 00 00 14 E0 17 40 F9 ?? ?? ?? ?? 00 00 80 52 28 00 00 14 E1 17 40 F9 00 00 80 52 ?? ?? ?? ?? 20 00 80 52 23 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 40 00 80 52 1C 00 00 14 E8 1B 40 F9 08 21 0C 91 E1 17 40 F9 00 01 40 39 ?? ?? ?? ?? 60 00 80 52 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_38_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 212
		refs = "00b0 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 43 00 39 E9 13 40 F9 E8 43 C0 39 28 01 00 39 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_79_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 212
		refs = "00b0 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 43 00 39 E9 13 40 F9 E8 43 C0 39 28 01 00 39 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_80_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 212
		refs = "00b0 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 C0 39 4A 01 00 11 E9 0F 40 F9 28 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 43 00 39 E9 13 40 F9 E8 43 C0 39 28 01 00 39 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_39_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 212
		refs = "00b0 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 23 00 79 E9 13 40 F9 E8 23 40 79 28 01 00 79 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_81_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 212
		refs = "00b0 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 23 00 79 E9 13 40 F9 E8 23 40 79 28 01 00 79 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_82_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 212
		refs = "00b0 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E2 17 00 F9 E3 13 00 F9 E4 23 00 F9 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 40 04 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B E0 01 00 54 E8 13 40 F9 0A 01 40 79 4A 01 00 11 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B 60 00 00 54 00 00 80 52 09 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 23 00 79 E9 13 40 F9 E8 23 40 79 28 01 00 79 D9 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_46_0 {
	meta:
		name = "??0?$c_string_character_source@D@__crt_strtox@@QEAA@QEBDQEAPEBD@Z"
		size = 84
		altNames = "??0?$c_string_character_source@_W@__crt_strtox@@QEAA@QEB_WQEAPEB_W@Z"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E2 03 00 F9 E8 07 40 F9 09 01 00 91 E8 0B 40 F9 28 01 00 F9 E8 07 40 F9 09 21 00 91 E8 03 40 F9 28 01 00 F9 E8 03 40 F9 1F 01 00 F1 80 00 00 54 E9 03 40 F9 E8 0B 40 F9 28 01 00 F9 E0 07 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_49_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QEAA@AEBU01@@Z"
		size = 112
		refs = "0060 memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 0A 01 00 91 E8 0F 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0B 40 F9 08 01 00 91 08 01 40 B9 09 7D 40 D3 88 00 80 D2 23 7D 08 9B E8 0B 40 F9 02 11 00 91 E8 0F 40 F9 00 11 00 91 63 00 00 91 42 00 00 91 81 39 80 D2 00 00 00 91 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_50_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QEAA@XZ"
		size = 64
		refs = "0030 memset"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 00 11 00 91 82 39 80 D2 81 19 80 52 00 00 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_51_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QEAA@QEAM@Z"
		size = 136
		refs = "003c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 09 21 00 91 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 32 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_52_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QEAA@QEAN@Z"
		size = 136
		refs = "003c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 09 21 00 91 28 00 80 52 28 01 00 39 E8 13 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_53_0 {
	meta:
		name = "??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ"
		size = 64
		altNames = "??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 00 01 00 54 E8 03 40 F9 0A 01 00 91 E8 03 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 28 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_57_0 {
	meta:
		name = "??M__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 328
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E8 07 40 F9 0A 01 00 91 E8 0B 40 F9 08 01 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 69 00 00 54 00 00 80 52 44 00 00 14 E8 07 40 F9 0A 01 00 91 E8 0B 40 F9 08 01 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 62 00 00 54 20 00 80 52 3A 00 00 14 E8 07 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E8 03 40 B9 1F 05 00 31 80 02 00 54 E8 07 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 0B 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 68 01 40 B9 1F 01 09 6B 41 00 00 54 E8 FF FF 17 E8 03 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 16 00 00 14 E8 07 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 0B 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 68 01 40 B9 1F 01 09 6B 68 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_65_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQEBE0AEAUbig_integer@1@@Z"
		size = 236
		refs = "0060 ?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 006c ?add@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 00cc ?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 13 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 17 00 B9 E8 17 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 80 03 00 54 E8 17 40 B9 1F 25 00 71 61 01 00 54 81 04 00 18 E0 13 40 F9 ?? ?? ?? ?? E1 13 40 B9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 17 00 B9 E9 13 40 B9 48 01 80 52 28 7D 08 1B E8 13 00 B9 E8 0F 40 F9 09 01 40 39 29 01 00 11 E8 13 40 B9 08 01 09 0B E8 13 00 B9 E8 17 40 B9 08 05 00 11 E8 17 00 B9 DF FF FF 17 E8 17 40 B9 1F 01 00 71 E0 00 00 54 E1 17 40 B9 E0 13 40 F9 ?? ?? ?? ?? E1 13 40 B9 E0 13 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 CA 9A 3B }
	condition:
		$1
}

rule file_23_66_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 372
		refs = "0008 __security_push_cookie 0144 ??0big_integer@__crt_strtox@@QEAA@XZ 0154 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 0168 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 07 D1 E0 07 00 F9 E1 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 13 40 B9 E8 07 00 B9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 03 40 B9 1F 01 09 6B A0 03 00 54 E8 07 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 09 7D 40 D3 E8 07 40 B9 08 7D 40 D3 28 01 08 8B E8 0F 00 F9 E8 0F 40 F9 0B 01 00 11 E8 07 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 B9 E8 0F 40 F9 08 FD 60 D3 08 01 00 11 E8 07 00 B9 DC FF FF 17 E8 07 40 B9 1F 01 00 71 20 04 00 54 E8 07 40 F9 08 01 00 91 08 01 40 B9 1F CD 01 71 82 02 00 54 E8 07 40 F9 0A 11 00 91 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 49 01 08 8B E8 07 40 B9 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 05 00 11 E8 07 40 F9 08 01 00 91 09 01 00 B9 09 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 07 40 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FF C3 07 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_67_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAEAIII@Z"
		size = 96
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 03 00 B9 E2 07 00 B9 E8 07 40 F9 08 01 40 B9 09 7D 40 D3 E8 03 40 B9 08 7D 40 D3 29 01 08 8B E8 07 40 B9 08 7D 40 D3 28 01 08 8B E8 0B 00 F9 E8 0B 40 F9 09 01 00 11 E8 07 40 F9 09 01 00 B9 E8 0B 40 F9 08 FD 60 D3 00 01 00 11 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_68_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAEAIIII@Z"
		size = 100
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 B9 E2 07 00 B9 E3 0B 00 B9 E8 03 40 B9 09 7D 40 D3 E8 07 40 B9 08 7D 40 D3 29 7D 08 9B E8 0B 40 F9 08 01 40 B9 08 7D 40 D3 29 01 08 8B E8 0B 40 B9 08 7D 40 D3 28 01 08 8B E8 0F 00 F9 E8 0F 40 F9 09 01 00 11 E8 0B 40 F9 09 01 00 B9 E0 1F 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_69_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ"
		size = 180
		refs = "0024 ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 008c ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0094 ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 009c _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 04 00 80 D2 E3 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_70_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ"
		size = 180
		refs = "0024 ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 008c ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0094 ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 009c _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 04 00 80 D2 A3 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_71_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 104
		refs = "0014 ?is_double@floating_point_value@__crt_strtox@@QEBA_NXZ 0030 ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 0040 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAEAN@Z 004c ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 005c ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAEAM@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 43 00 39 E1 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 43 40 39 ?? ?? ?? ?? 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 43 40 39 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_74_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 104
		refs = "0014 ?is_double@floating_point_value@__crt_strtox@@QEBA_NXZ 0030 ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 0040 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAEAN@Z 004c ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 005c ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAEAM@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 43 00 39 E1 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 43 40 39 ?? ?? ?? ?? 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 43 40 39 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_72_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
		size = 768
		refs = "0020 ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 0034 ?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ 0070 ?maximum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ 0090 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z 00a4 ?minimum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ 00c0 ?exponent_bias@floating_point_value@__crt_strtox@@QEBAHXZ 0120 ?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z 0144 ?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z 0154 ?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ 01dc ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ 0280 ?is_double@floating_point_value@__crt_strtox@@QEBA_NXZ 029c ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 02b4 ??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAN@Z 02cc ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 02e4 ??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAM@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 3B 00 F9 E1 43 00 B9 E2 43 00 39 E3 47 00 39 E4 1B 00 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 53 00 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 E8 53 40 B9 28 01 08 4B E8 27 00 B9 E9 43 40 B9 E8 27 40 B9 28 01 08 4B E8 3B 00 B9 E8 3B 40 F9 E8 0F 00 F9 E8 3B 40 B9 E8 2B 00 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 E8 3B 40 B9 1F 01 09 6B ED 00 00 54 E1 1B 40 F9 E0 43 40 39 ?? ?? ?? ?? 60 00 80 52 98 00 00 14 71 00 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 E8 3B 40 B9 1F 01 09 6B 6A 07 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E9 27 40 B9 E8 3B 40 B9 29 01 08 0B E8 5F 40 B9 28 01 08 0B 08 05 00 51 E8 3F 00 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 E8 03 08 4B E8 2B 00 B9 E8 3F 40 B9 1F 01 00 71 4A 04 00 54 E8 3F 40 B9 E2 03 08 4B E3 47 40 39 42 00 00 11 E1 0F 40 F9 E0 43 40 39 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C1 00 00 54 E1 1B 40 F9 E0 43 40 39 ?? ?? ?? ?? 40 00 80 52 6B 00 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 E8 0F 40 F9 1F 01 09 EB 09 01 00 54 E8 3F 40 B9 09 05 00 11 E8 43 40 B9 09 01 09 4B E8 27 40 B9 28 01 08 4B E8 2B 00 B9 06 00 00 14 E8 3F 40 B9 09 7D 40 93 E8 0F 40 F9 08 21 C9 9A E8 0F 00 F9 30 00 00 14 E8 27 40 B9 1F 01 00 71 AA 04 00 54 E8 27 40 B9 E2 03 08 4B E3 47 40 39 42 00 00 11 E1 0F 40 F9 E0 43 40 39 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 0F 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 E8 0F 40 F9 1F 01 09 EB 69 02 00 54 E8 0F 40 F9 08 FD 41 D3 E8 0F 00 F9 E8 2B 40 B9 08 05 00 11 E8 2B 00 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 E8 2B 40 B9 1F 01 09 6B CD 00 00 54 E1 1B 40 F9 E0 43 40 39 ?? ?? ?? ?? 60 00 80 52 30 00 00 14 09 00 00 14 E8 27 40 B9 1F 01 00 71 CD 00 00 54 E8 27 40 B9 09 7D 40 93 E8 0F 40 F9 08 21 C9 9A E8 0F 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E9 0F 40 F9 E8 4F 40 F9 28 01 08 8A E8 0F 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 53 00 F9 E3 53 40 F9 E2 0F 40 F9 E1 2B 40 B9 E0 43 40 39 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 47 00 B9 0C 00 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 57 00 F9 E3 57 40 F9 E2 0F 40 F9 E1 2B 40 B9 E0 43 40 39 ?? ?? ?? ?? E0 6F 00 B9 E8 6F 40 B9 E8 47 00 B9 E0 47 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_73_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z"
		size = 1240
		refs = "0020 ?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ 010c ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 F9 E1 37 00 B9 E2 4F 00 39 E3 47 00 39 E4 37 00 F9 E0 37 40 F9 ?? ?? ?? ?? E0 A3 00 B9 E8 A3 40 B9 08 05 00 51 E8 3B 00 B9 E8 37 40 B9 1F 01 01 71 08 07 00 54 E8 3B 40 B9 E8 7B 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C9 00 00 54 E8 13 40 F9 08 11 00 91 08 01 40 B9 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 73 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 1F 05 00 71 C9 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 B9 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 77 00 B9 E8 73 40 B9 09 7D 40 D3 E8 77 40 B9 08 7D 40 D3 08 7D 60 D3 28 01 08 8B E8 57 00 F9 E8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 53 00 39 03 00 00 14 08 00 80 52 E8 53 00 39 E4 37 40 F9 E3 53 40 39 E2 4F 40 39 E1 7B 40 B9 E0 57 40 F9 ?? ?? ?? ?? E0 7F 00 B9 E0 7F 40 B9 EE 00 00 14 EA 37 40 B9 09 04 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 2B 00 B9 E9 37 40 B9 08 04 80 52 28 09 C8 1A E8 3F 00 B9 E8 3F 40 B9 08 05 00 51 E8 57 00 B9 E8 3F 40 B9 08 09 00 51 E8 1B 00 B9 E8 2B 40 B9 1F 01 00 71 21 0A 00 54 E9 1B 40 B9 08 04 80 52 29 7D 08 1B E8 3B 40 B9 08 01 09 0B E8 83 00 B9 E8 13 40 F9 0A 11 00 91 E8 1B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 0B 7D 40 D3 E8 13 40 F9 0A 11 00 91 E8 57 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 08 7D 40 D3 08 7D 60 D3 68 01 08 8B E8 5B 00 F9 E8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 08 1D 00 53 E8 43 00 39 08 00 80 52 E8 2F 00 B9 04 00 00 14 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 E9 1B 40 B9 E8 2F 40 B9 1F 01 09 6B E0 02 00 54 E8 13 40 F9 0A 11 00 91 E8 2F 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E9 43 40 39 29 01 00 11 E8 4F 40 B9 28 01 08 0A 08 1D 00 53 E8 43 00 39 E4 FF FF 17 E4 37 40 F9 E3 43 40 39 E2 4F 40 39 E1 83 40 B9 E0 5B 40 F9 ?? ?? ?? ?? E0 87 00 B9 E0 87 40 B9 8B 00 00 14 29 00 80 52 E8 2B 40 B9 28 21 C8 1A 08 05 00 51 E8 43 00 B9 09 08 80 52 E8 2B 40 B9 28 01 08 4B E8 53 00 B9 E8 53 40 B9 08 81 00 51 E8 8F 00 B9 09 04 80 52 E8 2B 40 B9 28 01 08 4B E8 8B 00 B9 E8 43 40 B9 E8 03 28 2A E8 93 00 B9 09 04 80 52 E8 8B 40 B9 28 01 08 4B E8 97 00 B9 E9 1B 40 B9 08 04 80 52 29 7D 08 1B E8 3B 40 B9 09 01 09 0B E8 2B 40 B9 28 01 08 0B E8 9B 00 B9 E8 13 40 F9 0A 11 00 91 E8 3F 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 43 40 B9 28 01 08 0A 09 7D 40 D3 E8 53 40 B9 08 7D 40 D3 2B 21 C8 9A E8 13 40 F9 0A 11 00 91 E8 57 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 09 7D 40 D3 E8 8F 40 B9 08 7D 40 D3 28 21 C8 9A 6B 01 08 8B E8 13 40 F9 0A 11 00 91 E8 1B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 93 40 B9 28 01 08 0A 09 7D 40 D3 E8 97 40 B9 08 7D 40 D3 28 25 C8 9A 68 01 08 8B E8 5F 00 F9 E8 47 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E8 13 40 F9 0A 11 00 91 E8 1B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 43 40 B9 28 01 08 0A 1F 01 00 71 81 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 08 1D 00 53 E8 4B 00 39 08 00 80 52 E8 33 00 B9 04 00 00 14 E8 33 40 B9 08 05 00 11 E8 33 00 B9 E9 1B 40 B9 E8 33 40 B9 1F 01 09 6B E0 02 00 54 E8 13 40 F9 0A 11 00 91 E8 33 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E9 4B 40 39 29 01 00 11 E8 5F 40 B9 28 01 08 0A 08 1D 00 53 E8 4B 00 39 E4 FF FF 17 E4 37 40 F9 E3 4B 40 39 E2 4F 40 39 E1 9B 40 B9 E0 5F 40 F9 ?? ?? ?? ?? E0 9F 00 B9 E0 9F 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_75_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIAEBUbig_integer@1@@Z"
		size = 136
		refs = "0054 ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 17 00 00 14 E8 0F 40 F9 0A 11 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 08 01 00 91 08 01 40 B9 09 05 00 51 08 04 80 52 29 7D 08 1B E8 13 40 B9 20 01 08 0B 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_76_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 108
	strings:
		$1 = { FF 43 00 D1 E0 0B 00 B9 08 00 80 52 E8 07 00 B9 E8 0B 40 B9 08 11 C0 5A E8 03 00 B9 E9 03 80 52 E8 03 40 B9 29 01 08 4B E8 13 00 91 09 01 00 B9 E8 03 40 B9 09 7D 05 53 28 00 80 52 08 01 09 4B 08 1D 00 53 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 07 40 B9 00 05 00 11 00 00 00 11 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_77_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 84
		refs = "0020 ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E9 7F 40 B2 E8 0F 40 F9 1F 01 09 EB 29 01 00 54 E0 1F 40 B9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 00 81 00 11 00 00 00 11 06 00 00 14 05 00 00 14 E0 1B 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_78_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 1468
		refs = "0008 __security_push_cookie 001c ?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ 011c ??0big_integer@__crt_strtox@@QEAA@XZ 012c ?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQEBE0AEAUbig_integer@1@@Z 0144 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 016c ?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z 017c ?bit_scan_reverse@__crt_strtox@@YAIAEBUbig_integer@1@@Z 01e4 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z 0258 ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 028c ?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z 0308 ?shift_left@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 03a4 ??M__crt_strtox@@YA_NAEBUbig_integer@0@0@Z 03f0 ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 0430 ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 05a0 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z 05b0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 19 D1 E0 0B 00 F9 E1 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 B3 00 B9 E8 B3 40 B9 08 05 00 11 E8 53 00 B9 E8 0B 40 F9 08 01 00 91 09 01 40 B9 08 00 80 52 1F 01 09 6B 8D 00 00 54 08 00 80 52 E8 77 00 B9 05 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 E8 77 00 B9 E8 77 40 B9 E8 2B 00 B9 E8 0B 40 F9 08 11 00 91 09 01 40 B9 E8 2B 40 B9 1F 01 09 6B 82 00 00 54 E8 2B 40 B9 E8 7B 00 B9 05 00 00 14 E8 0B 40 F9 08 11 00 91 08 01 40 B9 E8 7B 00 B9 E8 7B 40 B9 E8 3B 00 B9 E9 2B 40 B9 E8 3B 40 B9 28 01 08 4B E8 3F 00 B9 E8 0B 40 F9 08 21 00 91 E8 6F 00 F9 E8 0B 40 F9 09 21 00 91 E8 3B 40 B9 08 7D 40 D3 28 01 08 8B E8 63 00 F9 E8 63 40 F9 E8 6B 00 F9 E8 0B 40 F9 09 21 00 91 E8 0B 40 F9 08 11 00 91 08 01 40 B9 08 7D 40 D3 28 01 08 8B E8 67 00 F9 E9 67 40 F9 E8 6B 40 F9 28 01 08 CB 08 01 00 11 E8 1F 00 B9 E0 E3 03 91 ?? ?? ?? ?? E2 E3 03 91 E1 63 40 F9 E0 6F 40 F9 ?? ?? ?? ?? E8 3F 40 B9 1F 01 00 71 09 02 00 54 E1 3F 40 B9 E0 E3 03 91 ?? ?? ?? ?? E0 0F 00 39 E8 0F 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 0B 40 F9 08 21 0C 91 E1 1B 40 F9 00 01 40 39 ?? ?? ?? ?? 60 00 80 52 0E 01 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 B7 00 B9 E8 B7 40 B9 E8 0B 00 B9 E9 53 40 B9 E8 0B 40 B9 1F 01 09 6B 82 00 00 54 E8 1F 40 B9 1F 01 00 71 81 02 00 54 E8 1F 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 39 03 00 00 14 08 00 80 52 E8 07 00 39 E8 0B 40 F9 08 21 0C 91 E4 1B 40 F9 E3 07 40 39 02 01 40 39 E1 0B 40 B9 E0 E3 03 91 ?? ?? ?? ?? E0 BB 00 B9 E0 BB 40 B9 EF 00 00 14 E0 23 0B 91 ?? ?? ?? ?? E2 23 0B 91 E1 67 40 F9 E0 6B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 2A 01 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 B9 E9 03 08 4B E8 1F 40 B9 08 01 09 0B E8 43 00 B9 03 00 00 14 E8 1F 40 B9 E8 43 00 B9 E8 43 40 B9 E8 8B 00 B9 21 00 80 D2 E0 63 12 91 ?? ?? ?? ?? E1 8B 40 B9 E0 63 12 91 ?? ?? ?? ?? E0 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 0B 40 F9 08 21 0C 91 E1 1B 40 F9 00 01 40 39 ?? ?? ?? ?? 40 00 80 52 C6 00 00 14 E0 23 0B 91 ?? ?? ?? ?? E0 8F 00 B9 E8 8F 40 B9 E8 4B 00 B9 E0 63 12 91 ?? ?? ?? ?? E0 93 00 B9 E8 93 40 B9 E8 47 00 B9 E9 4B 40 B9 E8 47 40 B9 1F 01 09 6B C9 00 00 54 E9 47 40 B9 E8 4B 40 B9 28 01 08 4B E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 89 00 00 54 E1 1B 40 B9 E0 23 0B 91 ?? ?? ?? ?? E9 53 40 B9 E8 0B 40 B9 28 01 08 4B E8 27 00 B9 E8 27 40 B9 E8 23 00 B9 E8 0B 40 B9 1F 01 00 71 89 03 00 54 E9 23 40 B9 E8 1B 40 B9 1F 01 09 6B 89 02 00 54 E8 1F 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 0B 00 39 03 00 00 14 08 00 80 52 E8 0B 00 39 E8 0B 40 F9 08 21 0C 91 E4 1B 40 F9 E3 0B 40 39 02 01 40 39 E1 0B 40 B9 E0 E3 03 91 ?? ?? ?? ?? E0 97 00 B9 E0 97 40 B9 89 00 00 14 E9 23 40 B9 E8 1B 40 B9 28 01 08 4B E8 23 00 B9 E1 63 12 91 E0 23 0B 91 ?? ?? ?? ?? E0 17 00 39 E8 17 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 08 05 00 11 E8 57 00 B9 03 00 00 14 E8 1B 40 B9 E8 57 00 B9 E8 57 40 B9 E8 A7 00 B9 E1 23 40 B9 E0 23 0B 91 ?? ?? ?? ?? E1 63 12 91 E0 23 0B 91 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 43 00 F9 E8 CB 42 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 08 1D 00 53 E8 03 00 39 E0 43 40 F9 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 E8 5F 00 B9 E9 27 40 B9 E8 5F 40 B9 1F 01 09 6B E9 03 00 54 E9 5F 40 B9 E8 27 40 B9 28 01 08 4B E8 67 00 B9 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 67 40 B9 09 7D 40 D3 28 00 80 D2 08 21 C9 9A 09 05 00 D1 E8 43 40 F9 08 01 09 8A 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 08 1D 00 53 E8 03 00 39 E8 67 40 B9 09 7D 40 D3 E8 43 40 F9 08 25 C9 9A E8 43 00 F9 E8 FB 40 B9 1F 01 00 71 89 00 00 54 E8 FF 40 B9 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 9F 00 B9 E8 FB 40 B9 1F 05 00 71 89 00 00 54 E8 03 41 B9 E8 6F 00 B9 03 00 00 14 08 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 A3 00 B9 E8 9F 40 B9 09 7D 40 D3 E8 A3 40 B9 08 7D 40 D3 08 7D 60 D3 28 01 08 8B E8 77 00 F9 E8 27 40 B9 09 7D 40 D3 E8 77 40 F9 09 21 C9 9A E8 43 40 F9 28 01 08 8B E8 7B 00 F9 E8 0B 40 B9 1F 01 00 71 A9 00 00 54 E8 0B 40 B9 08 09 00 51 E8 73 00 B9 05 00 00 14 E8 A7 40 B9 E8 03 08 4B 08 05 00 51 E8 73 00 B9 E8 73 40 B9 E8 AB 00 B9 E8 0B 40 F9 08 21 0C 91 E4 1B 40 F9 E3 03 40 39 02 01 40 39 E1 AB 40 B9 E0 7B 40 F9 ?? ?? ?? ?? E0 AF 00 B9 E0 AF 40 B9 FF 83 19 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_79_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 396
		refs = "001c ?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ 0080 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ 0178 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 27 00 F9 08 00 80 D2 E8 17 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 1F 40 F9 08 01 00 91 09 01 40 B9 E8 43 40 B9 28 01 08 0B 08 05 00 51 E8 23 00 B9 E8 1F 40 F9 09 21 00 91 E8 1F 40 F9 08 11 00 91 08 01 40 B9 08 7D 40 D3 28 01 08 8B E8 2B 00 F9 E8 1F 40 F9 08 21 00 91 E8 0F 00 F9 E9 2B 40 F9 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 17 40 F9 1F 01 09 EB 68 02 00 54 E9 17 40 F9 08 02 80 D2 28 7D 08 9B E8 17 00 F9 E8 0F 40 F9 08 01 40 39 08 01 00 11 09 7D 40 93 E8 17 40 F9 08 01 09 8B E8 17 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 08 11 00 51 E8 23 00 B9 E4 FF FF 17 28 00 80 52 E8 43 00 39 E9 2B 40 F9 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 81 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 08 1D 00 53 E8 43 00 39 E4 FF FF 17 E8 1F 40 F9 08 21 0C 91 E4 27 40 F9 E3 43 40 39 02 01 40 39 E1 23 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 47 00 B9 E0 47 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_80_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 112
	strings:
		$1 = { FF 43 00 D1 E0 0B 00 B9 E8 0B 40 B9 08 11 C0 5A E8 03 00 B9 E9 03 80 52 E8 03 40 B9 29 01 08 4B E8 33 00 91 09 01 00 B9 E8 03 40 B9 09 7D 05 53 28 00 80 52 08 01 09 4B 08 1D 00 53 08 01 00 11 1F 01 00 71 C0 00 00 54 E9 03 80 52 E8 0F 40 B9 28 01 08 4B E8 07 00 B9 03 00 00 14 08 04 80 52 E8 07 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_81_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 64
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 FE FF 92 E8 03 00 F9 03 00 00 14 E8 5B 40 B2 E8 03 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_82_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z"
		size = 2808
		refs = "0008 __security_push_cookie 0054 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 0100 ??0big_integer@__crt_strtox@@QEAA@XZ 0110 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 04ac ?count_sequential_high_zeroes@__crt_strtox@@YAII@Z 0814 ?multiply_64_32@__crt_strtox@@YA_K_KI@Z 0aec __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 19 D1 E0 03 00 F9 E1 23 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 AE 02 00 14 E8 23 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 02 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 5B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 AB 00 B9 E9 AB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 94 02 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 E8 13 00 B9 E8 23 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 81 12 00 54 E8 23 40 F9 08 11 00 91 08 01 40 B9 E8 37 00 B9 E8 37 40 B9 1F 05 00 71 E1 01 00 54 E8 03 40 F9 08 11 00 91 08 01 40 B9 E8 A3 00 B9 E0 A3 03 91 ?? ?? ?? ?? E0 67 00 F9 E1 67 40 F9 E0 03 40 F9 ?? ?? ?? ?? E8 A3 40 B9 00 7D 40 D3 00 00 00 91 72 02 00 14 E8 13 40 B9 1F 01 00 71 61 05 00 54 E8 03 40 F9 08 11 00 91 08 01 40 B9 E8 83 00 B9 E0 E3 0A 91 ?? ?? ?? ?? E0 6B 00 F9 E1 6B 40 F9 E0 03 40 F9 ?? ?? ?? ?? EA 83 40 B9 E9 37 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 49 01 08 4B E8 03 40 F9 08 11 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 89 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E8 03 40 F9 09 01 00 91 E8 93 40 B9 28 01 00 B9 E9 83 40 B9 E8 37 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A 00 7D 40 D3 00 00 00 91 45 02 00 14 08 00 80 D2 E8 5B 00 F9 08 00 80 D2 E8 37 00 F9 E8 13 40 B9 E8 4B 00 B9 04 00 00 14 E8 4B 40 B9 08 05 00 51 E8 4B 00 B9 E8 4B 40 B9 1F 05 00 31 80 04 00 54 E8 37 40 F9 0B 7D 60 D3 E8 03 40 F9 0A 11 00 91 E8 4B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 08 7D 40 D3 68 01 08 AA E8 37 00 F9 E8 5B 40 F9 0A 7D 60 D3 E8 37 40 B9 09 7D 40 D3 E8 37 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A 08 01 00 11 08 7D 40 D3 48 01 08 8B E8 5B 00 F9 E8 37 40 B9 0A 7D 40 D3 E9 37 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 37 00 F9 D8 FF FF 17 E0 23 12 91 ?? ?? ?? ?? E0 6F 00 F9 E1 6F 40 F9 E0 03 40 F9 ?? ?? ?? ?? E8 37 40 F9 08 FD 60 D3 09 01 00 11 E8 03 40 F9 08 21 00 91 09 01 00 B9 E8 37 40 F9 09 01 00 11 E8 03 40 F9 08 11 00 91 09 01 00 B9 E8 03 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 89 00 00 54 48 00 80 52 E8 87 00 B9 03 00 00 14 28 00 80 52 E8 87 00 B9 E8 03 40 F9 09 01 00 91 E8 87 40 B9 28 01 00 B9 E0 5B 40 F9 F4 01 00 14 E9 13 40 B9 E8 4F 40 B9 1F 01 09 6B 69 00 00 54 00 00 80 D2 EE 01 00 14 E8 4F 40 B9 08 05 00 11 E8 0F 00 B9 E9 13 40 B9 E8 4F 40 B9 28 01 08 4B E8 53 00 B9 E8 53 40 B9 E8 27 00 B9 E8 13 40 B9 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E9 53 40 B9 E8 17 40 B9 1F 01 09 6B AA 00 00 54 E8 27 40 B9 08 05 00 11 E8 27 00 B9 2E 00 00 14 E8 23 40 F9 0A 11 00 91 E9 17 40 B9 E8 53 40 B9 28 01 08 4B 09 7D 40 93 88 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 03 40 F9 0A 11 00 91 E8 17 40 B9 09 7D 40 93 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 68 01 40 B9 1F 01 09 6B 20 03 00 54 E8 23 40 F9 0A 11 00 91 E9 17 40 B9 E8 53 40 B9 28 01 08 4B 09 7D 40 93 88 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 03 40 F9 0A 11 00 91 E8 17 40 B9 09 7D 40 93 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 68 01 40 B9 1F 01 09 6B 82 00 00 54 E8 27 40 B9 08 05 00 11 E8 27 00 B9 02 00 00 14 C9 FF FF 17 E8 27 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 A5 01 00 14 E8 23 40 F9 0A 11 00 91 E8 0F 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 1F 00 B9 E8 23 40 F9 0A 11 00 91 E8 0F 40 B9 08 09 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 2B 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E0 A7 00 B9 E8 A7 40 B9 E8 1B 00 B9 09 04 80 52 E8 1B 40 B9 28 01 08 4B E8 57 00 B9 E8 1B 40 B9 1F 01 00 71 C9 03 00 54 E9 1F 40 B9 E8 1B 40 B9 2A 21 C8 1A E9 2B 40 B9 E8 57 40 B9 28 25 C8 1A 48 01 08 2A E8 1F 00 B9 E9 2B 40 B9 E8 1B 40 B9 28 21 C8 1A E8 2B 00 B9 E8 0F 40 B9 1F 09 00 71 E9 01 00 54 E8 23 40 F9 0A 11 00 91 E8 0F 40 B9 08 0D 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 57 40 B9 29 25 C8 1A E8 2B 40 B9 08 01 09 2A E8 2B 00 B9 08 00 80 D2 E8 5F 00 F9 E8 27 40 B9 E8 0B 00 B9 E8 0B 40 B9 08 05 00 51 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 EB 24 00 54 E9 0B 40 B9 E8 0F 40 B9 29 01 08 0B E8 13 40 B9 3F 01 08 6B A8 01 00 54 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 8B 00 B9 03 00 00 14 08 00 80 52 E8 8B 00 B9 E8 8B 40 B9 E8 7F 00 B9 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 08 05 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 08 7D 40 D3 E8 4F 00 F9 E8 7F 40 B9 E8 9F 00 B9 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 08 09 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 2F 00 B9 E8 1B 40 B9 1F 01 00 71 89 04 00 54 E8 1B 40 B9 09 7D 40 D3 E8 4F 40 F9 0A 21 C9 9A E9 2F 40 B9 E8 57 40 B9 28 25 C8 1A 08 7D 40 D3 48 01 08 AA E8 4F 00 F9 E9 2F 40 B9 E8 1B 40 B9 28 21 C8 1A E8 2F 00 B9 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 1F 0D 00 71 23 02 00 54 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 08 0D 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 57 40 B9 29 25 C8 1A E8 2F 40 B9 08 01 09 2A E8 2F 00 B9 E8 1F 40 B9 09 7D 40 D3 E8 4F 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1F 00 F9 E8 1F 40 B9 0A 7D 40 D3 E9 4F 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 01 00 11 08 7D 40 D3 E8 3B 00 F9 E9 7F 40 B2 E8 1F 40 F9 1F 01 09 EB 89 01 00 54 E8 1F 40 B9 0A 7D 40 D3 E9 1F 40 F9 E8 7F 40 B2 28 01 08 CB 49 7D 08 9B E8 3B 40 F9 08 01 09 8B E8 3B 00 F9 E8 7F 40 B2 E8 1F 00 F9 E9 7F 40 B2 E8 3B 40 F9 1F 01 09 EB A8 02 00 54 E8 2B 40 B9 09 7D 40 D3 E8 1F 40 F9 0A 7D 09 9B E8 3B 40 F9 09 7D 60 D3 E8 2F 40 B9 08 7D 40 D3 28 01 08 AA 5F 01 08 EB 49 01 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 E8 1F 40 B9 09 7D 40 D3 E8 3B 40 F9 08 01 09 8B E8 3B 00 F9 E9 FF FF 17 E8 1F 40 F9 1F 01 00 F1 89 11 00 54 08 00 80 D2 E8 33 00 F9 08 00 80 52 E8 23 00 B9 04 00 00 14 E8 23 40 B9 08 05 00 11 E8 23 00 B9 E9 0F 40 B9 E8 23 40 B9 1F 01 09 6B A2 07 00 54 E8 23 40 F9 0A 11 00 91 E8 23 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 01 01 40 B9 E0 1F 40 F9 ?? ?? ?? ?? E0 73 00 F9 E9 33 40 F9 E8 73 40 F9 28 01 08 8B E8 33 00 F9 E8 33 40 F9 08 01 00 11 E8 8F 00 B9 E8 33 40 F9 08 FD 60 D3 E8 33 00 F9 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 23 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B E9 8F 40 B9 08 01 40 B9 1F 01 09 6B 82 00 00 54 E8 33 40 F9 08 05 00 91 E8 33 00 F9 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 23 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 E8 8F 40 B9 2A 01 08 4B E9 0B 40 B9 E8 23 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 03 40 F9 08 11 00 91 08 01 09 8B 0A 01 00 B9 BE FF FF 17 E8 7F 40 B9 09 7D 40 D3 E8 33 40 F9 3F 01 08 EB 42 07 00 54 08 00 80 52 E8 7B 00 B9 08 00 80 52 E8 33 00 B9 04 00 00 14 E8 33 40 B9 08 05 00 11 E8 33 00 B9 E9 0F 40 B9 E8 33 40 B9 1F 01 09 6B 62 05 00 54 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 33 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 0B 7D 40 D3 E8 23 40 F9 0A 11 00 91 E8 33 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 08 7D 40 D3 69 01 08 8B E8 7B 40 B9 08 7D 40 D3 28 01 08 8B E8 63 00 F9 E8 63 40 F9 0B 01 00 11 E8 03 40 F9 0A 11 00 91 E9 0B 40 B9 E8 33 40 B9 28 01 08 0B 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 B9 E8 63 40 F9 08 FD 60 D3 08 01 00 11 E8 7B 00 B9 D0 FF FF 17 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 08 05 00 51 E8 13 00 B9 E8 5F 40 F9 09 7D 60 D3 E8 1F 40 F9 08 01 00 11 08 7D 40 D3 28 01 08 8B E8 5F 00 F9 D5 FE FF 17 E8 13 40 B9 08 05 00 11 E8 5B 00 B9 04 00 00 14 E8 5B 40 B9 08 05 00 11 E8 5B 00 B9 E8 03 40 F9 08 01 00 91 09 01 40 B9 E8 5B 40 B9 1F 01 09 6B 62 01 00 54 E8 03 40 F9 0A 11 00 91 E8 5B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 B9 EE FF FF 17 E8 13 40 B9 09 05 00 11 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C0 02 00 54 E8 03 40 F9 0A 11 00 91 E8 03 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 1F 01 00 71 21 01 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 05 00 51 E8 03 40 F9 08 01 00 91 09 01 00 B9 E7 FF FF 17 E0 5F 40 F9 FF 43 19 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_83_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 64
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 7F 80 52 E8 03 00 B9 03 00 00 14 E8 0F 80 52 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_84_0 {
	meta:
		name = "?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ"
		size = 68
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 03 00 39 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 01 00 91 09 01 00 F9 E0 03 C0 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_85_0 {
	meta:
		name = "?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ"
		size = 68
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 01 00 91 09 01 00 F9 E0 03 40 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_86_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 136
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 1F C1 00 71 CB 00 00 54 E8 03 40 B9 1F E5 00 71 6C 00 00 54 20 00 80 52 17 00 00 14 E8 03 40 B9 1F 85 01 71 CB 00 00 54 E8 03 40 B9 1F E9 01 71 6C 00 00 54 20 00 80 52 0F 00 00 14 E8 03 40 B9 1F 05 01 71 CB 00 00 54 E8 03 40 B9 1F 69 01 71 6C 00 00 54 20 00 80 52 07 00 00 14 E8 03 40 B9 1F 7D 01 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_87_0 {
	meta:
		name = "?is_double@floating_point_value@__crt_strtox@@QEBA_NXZ"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 21 00 91 00 01 40 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_88_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z"
		size = 100
		refs = "0028 _ischartype_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 43 00 39 E1 13 00 F9 E8 43 C0 39 00 1D 00 53 00 00 00 11 E2 13 40 F9 01 01 80 52 00 00 00 11 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_89_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z"
		size = 84
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 E1 13 00 F9 01 01 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_90_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 136
		refs = "0008 __security_push_cookie 001c ??0big_integer@__crt_strtox@@QEAA@XZ 0070 ??0big_integer@__crt_strtox@@QEAA@AEBU01@@Z 007c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 07 D1 E0 0B 00 F9 E1 07 00 F9 E0 63 00 91 ?? ?? ?? ?? E8 07 40 F9 08 7D 40 92 08 01 00 11 E8 1F 00 B9 E8 07 40 F9 08 FD 60 D3 08 01 00 11 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 48 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 1B 00 B9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FF 83 07 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_91_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 64
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 A8 06 80 52 E8 03 00 B9 03 00 00 14 08 03 80 52 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_93_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 64
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 A8 7F 80 12 E8 03 00 B9 03 00 00 14 A8 0F 80 12 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_94_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@AEBU21@@Z"
		size = 1048
		refs = "0008 __security_push_cookie 003c ?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 0078 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 01b4 ??0big_integer@__crt_strtox@@QEAA@XZ 0318 ?add_multiply_carry@__crt_strtox@@YAIAEAIIII@Z 03a8 ?add_carry@__crt_strtox@@YAIAEAIII@Z 040c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 10 D1 E0 0F 00 F9 E1 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F 05 00 71 28 01 00 54 E8 17 40 F9 08 11 00 91 01 01 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 F0 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F 05 00 71 C8 01 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 B9 E8 3F 00 B9 E1 17 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E1 3F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 DE 00 00 14 E8 17 40 F9 0A 01 00 91 E8 0F 40 F9 08 01 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 23 00 39 03 00 00 14 08 00 80 52 E8 23 00 39 E8 23 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 17 40 F9 08 11 00 91 E8 2B 00 F9 04 00 00 14 E8 0F 40 F9 08 11 00 91 E8 2B 00 F9 E8 2B 40 F9 E8 33 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 08 11 00 91 E8 2F 00 F9 04 00 00 14 E8 17 40 F9 08 11 00 91 E8 2F 00 F9 E8 2F 40 F9 E8 37 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E8 17 40 F9 08 01 00 91 08 01 40 B9 E8 33 00 B9 05 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 B9 E8 33 00 B9 E8 33 40 B9 E8 43 00 B9 E8 03 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 B9 E8 37 00 B9 05 00 00 14 E8 17 40 F9 08 01 00 91 08 01 40 B9 E8 37 00 B9 E8 37 40 B9 E8 47 00 B9 E0 03 02 91 ?? ?? ?? ?? 08 00 80 52 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E9 43 40 B9 E8 0F 40 B9 1F 01 09 6B E0 10 00 54 E8 0F 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 33 40 F9 08 01 09 8B 08 01 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 E9 83 40 B9 E8 0F 40 B9 1F 01 09 6B 81 01 00 54 E8 0F 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 13 02 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E8 0F 40 B9 08 05 00 11 E8 83 00 B9 DF FF FF 17 08 00 80 52 E8 23 00 B9 E8 0F 40 B9 E8 07 00 B9 08 00 80 52 E8 27 00 B9 07 00 00 14 E8 27 40 B9 08 05 00 11 E8 27 00 B9 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E9 47 40 B9 E8 27 40 B9 1F 01 09 6B 00 05 00 54 E8 07 40 B9 1F CD 01 71 A0 04 00 54 E9 83 40 B9 E8 07 40 B9 1F 01 09 6B 81 01 00 54 E8 07 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 13 02 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E8 07 40 B9 08 05 00 11 E8 83 00 B9 E8 27 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 37 40 F9 0A 01 09 8B E8 07 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 13 02 91 00 01 09 8B E3 23 40 B9 42 01 40 B9 E1 3B 40 B9 00 00 00 91 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 23 00 B9 D0 FF FF 17 E8 23 40 B9 1F 01 00 71 A0 04 00 54 E8 07 40 B9 1F CD 01 71 40 04 00 54 E9 83 40 B9 E8 07 40 B9 1F 01 09 6B 81 01 00 54 E8 07 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 13 02 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E8 07 40 B9 08 05 00 11 E8 83 00 B9 E8 07 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 13 02 91 08 01 09 8B E8 3B 00 F9 E2 23 40 B9 01 00 80 52 E0 3B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 23 00 B9 E8 07 40 B9 08 05 00 11 E8 07 00 B9 DA FF FF 17 E8 07 40 B9 1F CD 01 71 21 01 00 54 E0 43 09 91 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 06 00 00 14 74 FF FF 17 E1 03 02 91 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FF 83 10 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_95_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 320
		refs = "0008 __security_push_cookie 0028 ??0big_integer@__crt_strtox@@QEAA@XZ 0038 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 0090 ?multiply_core@__crt_strtox@@YAIQEAIII@Z 0134 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 0F D1 E0 03 00 F9 E1 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 01 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E1 0F 40 F9 E0 03 40 F9 ?? ?? ?? ?? 20 00 80 52 3C 00 00 14 E8 0B 40 B9 1F 05 00 71 61 00 00 54 20 00 80 52 37 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 20 00 80 52 30 00 00 14 E8 03 40 F9 09 01 00 91 E8 03 40 F9 00 11 00 91 E2 0B 40 B9 21 01 40 B9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 20 04 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 1F CD 01 71 82 02 00 54 E8 03 40 F9 0A 11 00 91 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 49 01 08 8B E8 0F 40 B9 28 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 05 00 11 E8 03 40 F9 08 01 00 91 09 01 00 B9 09 00 00 14 E0 E3 07 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 03 40 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FF 03 0F 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_96_0 {
	meta:
		name = "?multiply_64_32@__crt_strtox@@YA_K_KI@Z"
		size = 40
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 09 7D 40 D3 E8 07 40 F9 00 7D 09 9B 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_97_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 560
		refs = "0008 __security_push_cookie 007c ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0090 ??0big_integer@__crt_strtox@@QEAA@XZ 00d4 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 010c memset 0158 memcpy 0164 ?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@AEBU21@@Z 0190 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 01e8 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 01fc ?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 0224 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0F D1 E0 13 00 F9 E1 17 00 B9 E9 17 40 B9 48 01 80 52 28 09 C8 1A E8 07 00 B9 E8 07 40 B9 1F 01 00 71 00 0C 00 54 E8 07 40 B9 08 7D 40 D3 1F 99 00 F1 89 00 00 54 C8 04 80 D2 E8 17 00 F9 04 00 00 14 E8 07 40 B9 08 7D 40 D3 E8 17 00 F9 E8 17 40 F9 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 07 00 F9 E0 03 01 91 ?? ?? ?? ?? E8 07 40 F9 08 0D 00 91 09 01 40 39 29 01 00 11 E8 07 40 F9 08 09 00 91 08 01 40 39 08 01 00 11 28 01 08 0B E8 43 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 79 09 01 00 11 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 1B 00 F9 E8 07 40 F9 08 09 00 91 08 01 40 39 08 01 00 11 09 7D 40 93 88 00 80 D2 22 7D 08 9B 42 00 00 91 01 00 80 52 E0 13 01 91 ?? ?? ?? ?? E8 07 40 F9 08 0D 00 91 08 01 40 39 08 01 00 11 09 7D 40 93 88 00 80 D2 22 7D 08 9B E8 07 40 F9 08 09 00 91 08 01 40 39 09 01 00 11 88 00 80 D2 29 7D 08 9B E8 13 01 91 00 01 09 8B 42 00 00 91 E1 1B 40 F9 00 00 00 91 ?? ?? ?? ?? E1 03 01 91 E0 13 40 F9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E0 43 08 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 52 22 00 00 14 E9 07 40 B9 E8 13 40 B9 28 01 08 4B E8 07 00 B9 9F FF FF 17 EA 17 40 B9 49 01 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 60 02 00 54 E8 1B 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 01 01 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 83 0F 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_98_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQEAIII@Z"
		size = 192
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0B 00 B9 E2 0F 00 B9 08 00 80 52 E8 07 00 B9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 0B 40 B9 E8 03 40 B9 1F 01 09 6B C0 03 00 54 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 08 01 40 B9 09 7D 40 D3 E8 0F 40 B9 08 7D 40 D3 29 7D 08 9B E8 07 40 B9 08 7D 40 D3 28 01 08 8B E8 0F 00 F9 E8 0F 40 F9 0A 01 00 11 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 0A 01 00 B9 E8 0F 40 F9 08 FD 60 D3 08 01 00 11 E8 07 00 B9 DD FF FF 17 E0 07 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_99_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 64
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 FC FF 92 E8 03 00 F9 03 00 00 14 E8 5F 40 B2 E8 03 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_100_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 184
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 08 01 00 11 1F C1 00 71 4B 01 00 54 E8 03 C0 39 08 01 00 11 1F E5 00 71 CC 00 00 54 E8 03 C0 39 08 01 00 11 00 C1 00 51 00 00 00 11 1E 00 00 14 E8 03 C0 39 08 01 00 11 1F 85 01 71 6B 01 00 54 E8 03 C0 39 08 01 00 11 1F E9 01 71 EC 00 00 54 E8 03 C0 39 08 01 00 11 08 85 01 51 00 29 00 11 00 00 00 11 10 00 00 14 E8 03 C0 39 08 01 00 11 1F 05 01 71 6B 01 00 54 E8 03 C0 39 08 01 00 11 1F 69 01 71 EC 00 00 54 E8 03 C0 39 08 01 00 11 08 05 01 51 00 29 00 11 00 00 00 11 02 00 00 14 00 00 80 12 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_101_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 224
		refs = "0010 ?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E0 23 40 79 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 60 00 00 54 E0 17 40 B9 2A 00 00 14 E9 23 40 79 29 01 00 11 28 08 80 52 1F 01 09 6B AC 00 00 54 E8 23 40 79 08 01 00 11 1F 69 01 71 4D 01 00 54 E9 23 40 79 29 01 00 11 28 0C 80 52 1F 01 09 6B 6C 03 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 02 00 54 E8 23 40 79 08 01 00 11 1F 85 01 71 6B 01 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 00 00 54 E8 23 40 79 08 01 00 11 08 85 01 51 08 05 01 11 E8 1B 00 B9 04 00 00 14 E8 23 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 08 05 01 51 00 29 00 11 00 00 00 11 02 00 00 14 00 00 80 12 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_102_0 {
	meta:
		name = "?restore_state@?$c_string_character_source@D@__crt_strtox@@QEAA_NQEBD@Z"
		size = 40
		altNames = "?restore_state@?$c_string_character_source@_W@__crt_strtox@@QEAA_NQEB_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 09 01 00 91 E8 07 40 F9 28 01 00 F9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_104_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 348
		refs = "0128 ?should_round_up@__crt_strtox@@YA_N_N000@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 5F 00 39 E1 13 00 F9 E2 1F 00 B9 E3 4F 00 39 E8 1F 40 B9 08 7D 40 D3 1F 01 01 F1 63 00 00 54 00 00 80 D2 4A 00 00 14 E8 1F 40 B9 08 05 00 51 09 7D 40 D3 28 00 80 D2 08 21 C9 9A 08 05 00 D1 E8 1F 00 F9 E8 1F 40 B9 08 05 00 51 09 7D 40 D3 28 00 80 D2 08 21 C9 9A E8 1B 00 F9 E8 1F 40 B9 09 7D 40 D3 28 00 80 D2 08 21 C9 9A E8 17 00 F9 E9 13 40 F9 E8 17 40 F9 28 01 08 8A 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 5B 00 39 E9 13 40 F9 E8 1B 40 F9 28 01 08 8A 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 47 00 39 03 00 00 14 08 00 80 52 E8 47 00 39 E8 47 40 39 E8 57 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E9 13 40 F9 E8 1F 40 F9 28 01 08 8A 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E8 4B 40 39 E8 53 00 39 E3 53 40 39 E2 57 40 39 E1 5B 40 39 E0 5F 40 39 ?? ?? ?? ?? E0 63 00 39 E8 1F 40 B9 09 7D 40 D3 E8 13 40 F9 09 25 C9 9A E8 63 40 39 08 01 00 11 08 7D 40 93 20 01 08 8B 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_105_0 {
	meta:
		name = "?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ"
		size = 28
		altNames = "??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ ?begin@?$argument_list@D@?A0x5f5c8891@@QEBAPEAPEADXZ ?begin@?$argument_list@_W@?A0x5f5c8891@@QEBAPEAPEA_WXZ ?get@?$__crt_scoped_stack_ptr@D@@QEBAPEADXZ ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEBAPEAXXZ ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBAPEAXXZ ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEBAPEAUHINSTANCE__@@XZ ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEBAPEBDXZ ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEBAPEB_WXZ ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBAPEADXZ ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ ?get@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBAPEAPEADXZ ?get@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBAPEAPEA_WXZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEBAPEAU?$__crt_report_hook_node@D@@XZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEBAPEAU?$__crt_report_hook_node@_W@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBAPEAU__acrt_ptd@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBAPEAU__acrt_thread_parameter@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_lc_time_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_locale_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_locale_pointers@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_lowio_handle_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_multibyte_data@@XZ ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBAPEA_WXZ ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 00 01 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_107_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 1012
		refs = "0008 __security_push_cookie 00b4 ?bit_scan_reverse@__crt_strtox@@YAII@Z 0194 ??0big_integer@__crt_strtox@@QEAA@XZ 01a4 ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 03e8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 09 D1 E0 0B 00 F9 E1 23 00 B9 E9 23 40 B9 08 04 80 52 28 09 C8 1A E8 07 00 B9 EA 23 40 B9 09 04 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 27 00 B9 28 00 80 D2 E8 3B 00 F9 E8 27 40 B9 E8 43 00 B9 09 04 80 52 E8 43 40 B9 28 01 08 4B E8 47 00 B9 E8 47 40 B9 09 7D 40 D3 28 00 80 D2 08 21 C9 9A 08 05 00 D1 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 E8 03 28 2A E8 5B 00 B9 E8 0B 40 F9 0A 11 00 91 E8 0B 40 F9 08 01 00 91 08 01 40 B9 08 05 00 51 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 B9 ?? ?? ?? ?? E0 4F 00 B9 09 04 80 52 E8 4F 40 B9 29 01 08 4B E8 27 40 B9 1F 01 09 6B 89 00 00 54 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 0F 00 39 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 28 01 08 0B 1F CD 01 71 89 00 00 54 28 00 80 52 E8 07 00 39 03 00 00 14 08 00 80 52 E8 07 00 39 E8 07 40 39 E8 23 00 39 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 28 01 08 0B 1F CD 01 71 01 01 00 54 E8 0F 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 0B 00 39 03 00 00 14 08 00 80 52 E8 0B 00 39 E8 0B 40 39 E8 27 00 39 E8 23 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 27 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E0 E3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 0B 40 F9 ?? ?? ?? ?? 00 00 80 52 8E 00 00 14 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 28 01 08 0B 1F C9 01 71 02 01 00 54 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 07 40 B9 28 01 08 0B E8 2B 00 B9 03 00 00 14 48 0E 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 51 E8 0F 00 B9 E8 0F 40 B9 1F 05 00 31 00 0A 00 54 E9 07 40 B9 E8 0F 40 B9 1F 01 09 6B 83 09 00 54 E9 0F 40 B9 E8 07 40 B9 28 01 08 4B E8 2F 00 B9 E9 0F 40 B9 E8 07 40 B9 28 01 08 4B 08 05 00 51 E8 37 00 B9 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 2F 40 B9 1F 01 09 6B 62 01 00 54 E8 0B 40 F9 0A 11 00 91 E8 2F 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 53 00 B9 E8 0B 40 F9 08 01 00 91 09 01 40 B9 E8 37 40 B9 1F 01 09 6B 62 01 00 54 E8 0B 40 F9 0A 11 00 91 E8 37 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 B9 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 57 00 B9 E9 53 40 B9 E8 3F 40 B9 29 01 08 0A E8 43 40 B9 28 21 C8 1A E8 5F 00 B9 E9 57 40 B9 E8 5B 40 B9 29 01 08 0A E8 47 40 B9 28 25 C8 1A E8 63 00 B9 E9 5F 40 B9 E8 63 40 B9 28 01 08 2A E8 67 00 B9 E8 0B 40 F9 0A 11 00 91 E8 0F 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 49 01 08 8B E8 67 40 B9 28 01 00 B9 AC FF FF 17 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E9 07 40 B9 E8 1B 40 B9 1F 01 09 6B 60 01 00 54 E8 0B 40 F9 0A 11 00 91 E8 1B 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 B9 F0 FF FF 17 E8 0F 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 1F 40 B9 08 05 00 11 E8 4B 00 B9 03 00 00 14 E8 1F 40 B9 E8 4B 00 B9 E8 0B 40 F9 09 01 00 91 E8 4B 40 B9 28 01 00 B9 20 00 80 52 FF 03 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_108_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 432
		refs = "006c fegetround 0164 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 017c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0188 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 4F 00 39 E1 57 00 39 E2 47 00 39 E3 4B 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 4B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 50 00 00 14 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 08 71 6C 01 00 54 E8 1B 40 B9 1F 01 08 71 20 04 00 54 E8 1B 40 B9 1F 01 00 71 20 01 00 54 E8 1B 40 B9 1F 01 04 71 00 05 00 54 2B 00 00 14 E8 1B 40 B9 1F 01 0C 71 C0 04 00 54 27 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 4B 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 00 1D 00 53 00 00 00 11 26 00 00 14 E8 4F 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 00 1D 00 53 00 00 00 11 19 00 00 14 E0 4F 40 39 17 00 00 14 00 00 80 52 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_109_0 {
	meta:
		name = "?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z"
		size = 276
		refs = "0088 ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1GK@MNHIDABG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0108 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 43 00 39 E8 13 40 F9 08 01 00 91 08 01 40 F9 09 05 00 D1 E8 13 40 F9 08 01 00 91 09 01 00 F9 E8 43 C0 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 01 00 91 08 01 40 F9 09 01 C0 39 29 01 00 11 E8 43 C0 39 08 01 00 11 3F 01 08 6B 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_110_0 {
	meta:
		name = "?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z"
		size = 276
		refs = "0088 ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1HA@CONLANFI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0108 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 23 00 79 E8 13 40 F9 08 01 00 91 08 01 40 F9 09 09 00 D1 E8 13 40 F9 08 01 00 91 09 01 00 F9 E8 23 40 79 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 01 00 91 08 01 40 F9 09 01 40 79 29 01 00 11 E8 23 40 79 08 01 00 11 3F 01 08 6B 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_111_0 {
	meta:
		name = "?validate@?$c_string_character_source@D@__crt_strtox@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HA@MKKIHBHP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 DD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 DD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_112_0 {
	meta:
		name = "?validate@?$c_string_character_source@_W@__crt_strtox@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HG@FCDBLOEG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 DD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 DD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_113_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 1148
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F C1 00 71 6A 00 00 54 00 00 80 12 16 01 00 14 E8 03 40 79 08 01 00 11 1F E9 00 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 C1 00 51 00 00 00 11 0D 01 00 14 E9 03 40 79 29 01 00 11 08 E2 9F 52 3F 01 08 6B 8A 1F 00 54 E8 03 40 79 08 01 00 11 1F 81 19 71 6A 00 00 54 00 00 80 12 02 01 00 14 E8 03 40 79 08 01 00 11 1F A9 19 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 81 19 51 00 00 00 11 F9 00 00 14 E8 03 40 79 08 01 00 11 1F C1 1B 71 6A 00 00 54 00 00 80 12 F3 00 00 14 E8 03 40 79 08 01 00 11 1F E9 1B 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 C1 1B 51 00 00 00 11 EA 00 00 14 E8 03 40 79 08 01 00 11 1F 99 25 71 6A 00 00 54 00 00 80 12 E4 00 00 14 E8 03 40 79 08 01 00 11 1F C1 25 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 25 51 00 00 00 11 DB 00 00 14 E8 03 40 79 08 01 00 11 1F 99 27 71 6A 00 00 54 00 00 80 12 D5 00 00 14 E8 03 40 79 08 01 00 11 1F C1 27 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 27 51 00 00 00 11 CC 00 00 14 E8 03 40 79 08 01 00 11 1F 99 29 71 6A 00 00 54 00 00 80 12 C6 00 00 14 E8 03 40 79 08 01 00 11 1F C1 29 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 29 51 00 00 00 11 BD 00 00 14 E8 03 40 79 08 01 00 11 1F 99 2B 71 6A 00 00 54 00 00 80 12 B7 00 00 14 E8 03 40 79 08 01 00 11 1F C1 2B 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 2B 51 00 00 00 11 AE 00 00 14 E8 03 40 79 08 01 00 11 1F 99 2D 71 6A 00 00 54 00 00 80 12 A8 00 00 14 E8 03 40 79 08 01 00 11 1F C1 2D 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 2D 51 00 00 00 11 9F 00 00 14 E8 03 40 79 08 01 00 11 1F 99 31 71 6A 00 00 54 00 00 80 12 99 00 00 14 E8 03 40 79 08 01 00 11 1F C1 31 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 31 51 00 00 00 11 90 00 00 14 E8 03 40 79 08 01 00 11 1F 99 33 71 6A 00 00 54 00 00 80 12 8A 00 00 14 E8 03 40 79 08 01 00 11 1F C1 33 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 33 51 00 00 00 11 81 00 00 14 E8 03 40 79 08 01 00 11 1F 99 35 71 6A 00 00 54 00 00 80 12 7B 00 00 14 E8 03 40 79 08 01 00 11 1F C1 35 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 99 35 51 00 00 00 11 72 00 00 14 E8 03 40 79 08 01 00 11 1F 41 39 71 6A 00 00 54 00 00 80 12 6C 00 00 14 E8 03 40 79 08 01 00 11 1F 69 39 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 41 39 51 00 00 00 11 63 00 00 14 E8 03 40 79 08 01 00 11 1F 41 3B 71 6A 00 00 54 00 00 80 12 5D 00 00 14 E8 03 40 79 08 01 00 11 1F 69 3B 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 41 3B 51 00 00 00 11 54 00 00 14 E8 03 40 79 08 01 00 11 1F 81 3C 71 6A 00 00 54 00 00 80 12 4E 00 00 14 E8 03 40 79 08 01 00 11 1F A9 3C 71 CA 00 00 54 E8 03 40 79 08 01 00 11 00 81 3C 51 00 00 00 11 45 00 00 14 E9 03 40 79 29 01 00 11 08 08 82 52 3F 01 08 6B 6A 00 00 54 00 00 80 12 3E 00 00 14 E9 03 40 79 29 01 00 11 48 09 82 52 3F 01 08 6B EA 00 00 54 E9 03 40 79 29 01 00 11 08 08 82 52 20 01 08 4B 00 00 00 11 33 00 00 14 E9 03 40 79 29 01 00 11 08 FC 82 52 3F 01 08 6B 6A 00 00 54 00 00 80 12 2C 00 00 14 E9 03 40 79 29 01 00 11 48 FD 82 52 3F 01 08 6B EA 00 00 54 E9 03 40 79 29 01 00 11 08 FC 82 52 20 01 08 4B 00 00 00 11 21 00 00 14 E9 03 40 79 29 01 00 11 08 02 83 52 3F 01 08 6B 6A 00 00 54 00 00 80 12 1A 00 00 14 E9 03 40 79 29 01 00 11 48 03 83 52 3F 01 08 6B EA 00 00 54 E9 03 40 79 29 01 00 11 08 02 83 52 20 01 08 4B 00 00 00 11 0F 00 00 14 00 00 80 12 0D 00 00 14 E9 03 40 79 29 01 00 11 48 E3 9F 52 3F 01 08 6B EA 00 00 54 E9 03 40 79 29 01 00 11 08 E2 9F 52 20 01 08 4B 00 00 00 11 02 00 00 14 00 00 80 12 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_114_0 {
	meta:
		name = "__acrt_get_locale_data_prefix"
		size = 36
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 00 91 00 01 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_116_0 {
	meta:
		name = "_chvalidchk_l"
		size = 52
		refs = "0020 _chvalidator_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E2 13 00 F9 E2 13 40 B9 E1 17 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_117_0 {
	meta:
		name = "_ischartype_l"
		size = 124
		refs = "0024 __acrt_get_locale_data_prefix 004c _isctype_l 0068 _chvalidchk_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E2 13 00 F9 E8 13 40 F9 1F 01 00 F1 00 02 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 21 00 91 08 01 40 B9 1F 05 00 71 0D 01 00 54 E2 13 40 F9 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 07 00 00 14 E2 13 40 F9 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_118_0 {
	meta:
		name = "_strtod_l"
		size = 52
		refs = "0020 ??$common_strtod_l@ND@@YANQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "_strtold_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_121_0 {
	meta:
		name = "_wcstod_l"
		size = 52
		refs = "0020 ??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_123_0 {
	meta:
		name = "_wcstold_l"
		size = 52
		refs = "0020 ??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_119_0 {
	meta:
		name = "_strtof_l"
		size = 52
		refs = "0020 ??$common_strtod_l@MD@@YAMQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_122_0 {
	meta:
		name = "_wcstof_l"
		size = 52
		refs = "0020 ??$common_strtod_l@M_W@@YAMQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_124_0 {
	meta:
		name = "memcpy_s"
		size = 380
		refs = "0060 _errno 0074 _invalid_parameter_noinfo 00a8 memset 016c memcpy"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 1F 00 F9 E2 23 00 F9 E3 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 53 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 ?? ?? ?? ?? C0 02 80 52 3E 00 00 14 E8 23 40 F9 1F 01 00 F1 A0 00 00 54 E9 13 40 F9 E8 1F 40 F9 1F 01 09 EB 42 06 00 54 E2 1F 40 F9 01 00 80 52 E0 27 40 F9 ?? ?? ?? ?? E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 ?? ?? ?? ?? C0 02 80 52 1E 00 00 14 E9 13 40 F9 E8 1F 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 48 04 80 52 28 01 00 B9 ?? ?? ?? ?? 40 04 80 52 08 00 00 14 C0 02 80 52 06 00 00 14 E2 13 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_125_0 {
	meta:
		name = "strtod"
		size = 48
		refs = "001c ??$common_strtod_l@ND@@YANQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "strtold"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_128_0 {
	meta:
		name = "wcstod"
		size = 48
		refs = "001c ??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_130_0 {
	meta:
		name = "wcstold"
		size = 48
		refs = "001c ??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_126_0 {
	meta:
		name = "strtof"
		size = 48
		refs = "001c ??$common_strtod_l@MD@@YAMQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_23_129_0 {
	meta:
		name = "wcstof"
		size = 48
		refs = "001c ??$common_strtod_l@M_W@@YAMQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_24_5_0 {
	meta:
		name = "_mbsdec_l"
		size = 328
		refs = "0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1GO@DDOMFNGF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0060 ??_C@_1BE@KLNCOLCD@?$AA_?$AAm?$AAb?$AAs?$AAd?$AAe?$AAc?$AA_?$AAl?$AA?$AA@ 0070 _invalid_parameter 0084 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00dc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 31 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 06 80 52 ?? ?? ?? ?? E6 FF FF 17 9F 02 13 EB 22 FD FF 54 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EC 13 40 F9 88 09 40 B9 68 00 00 35 60 06 00 D1 0D 00 00 14 6B 06 00 D1 6B 05 00 D1 9F 02 0B EB A8 00 00 54 69 01 40 39 29 01 0C 8B 2A 65 40 39 4A FF 17 37 68 02 0B CB 09 01 40 92 6A 02 09 CB 40 05 00 D1 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_25_4_0 {
	meta:
		name = "_mbsupr"
		size = 56
		refs = "0020 _mbsupr_s_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 08 00 80 92 E1 03 88 9A 02 00 80 D2 ?? ?? ?? ?? 1F 00 00 71 60 02 9F 9A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_623_4_0 {
	meta:
		name = "_mbslwr"
		size = 56
		refs = "0020 _mbslwr_s_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 08 00 80 92 E1 03 88 9A 02 00 80 D2 ?? ?? ?? ?? 1F 00 00 71 60 02 9F 9A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_25_5_0 {
	meta:
		name = "_mbsupr_l"
		size = 56
		refs = "0020 _mbsupr_s_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 08 00 80 92 22 00 00 91 E1 03 88 9A ?? ?? ?? ?? 1F 00 00 71 60 02 9F 9A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_623_5_0 {
	meta:
		name = "_mbslwr_l"
		size = 56
		refs = "0020 _mbslwr_s_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 08 00 80 92 22 00 00 91 E1 03 88 9A ?? ?? ?? ?? 1F 00 00 71 60 02 9F 9A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_25_7_0 {
	meta:
		name = "_mbsupr_s_l"
		size = 684
		refs = "0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@ 0040 ??_C@_1GO@OAPABPI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1BI@PBGKGPOP@?$AA_?$AAm?$AAb?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0090 _invalid_parameter 00a4 strnlen 00d0 _CrtGetDebugFillThreshold 00e8 memset 00f0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 017c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01cc __acrt_LCMapStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 FF 43 00 D1 14 00 00 91 33 00 00 91 56 00 00 91 B4 00 00 B4 B3 00 00 B4 B4 03 00 B5 00 00 80 52 86 00 00 14 B3 FF FF B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 6C 00 00 14 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 BF 02 13 EB 43 04 00 54 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 07 80 52 ?? ?? ?? ?? D3 FF FF 17 68 06 00 91 09 F9 60 92 A9 01 00 B4 A8 06 00 91 1F 01 13 EB 42 01 00 54 ?? ?? ?? ?? 68 02 15 CB 09 05 00 D1 1F 00 09 EB A8 02 14 8B 02 30 89 9A 00 05 00 91 C1 1F 80 52 ?? ?? ?? ?? C1 02 00 91 E0 A3 00 91 ?? ?? ?? ?? 88 02 40 39 96 02 00 91 95 02 00 91 E8 04 00 34 EB 1F 40 F9 CC 02 40 39 8A 01 0B 8B 49 65 40 39 E9 02 10 36 67 05 40 B9 2D 00 80 52 61 11 41 F9 46 00 80 52 ED 03 00 B9 E5 83 00 91 44 00 80 52 C3 02 00 91 02 40 80 52 E0 C3 00 91 ?? ?? ?? ?? 60 04 00 34 E8 83 40 39 D6 06 00 91 EB 1F 40 F9 1F 04 00 71 A8 16 00 38 CD 01 00 54 E9 87 40 39 A9 02 00 39 B5 06 00 91 0A 00 00 14 88 05 00 11 68 C1 28 8B 09 61 40 39 69 00 28 36 4A 65 04 91 02 00 00 14 CA 02 00 91 49 01 40 39 A9 16 00 38 CA 1E 40 38 8A FB FF 35 BF 02 00 39 00 00 80 52 E8 03 41 39 A8 00 00 34 EA 17 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FF 43 00 91 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 7F 06 00 B1 9F 02 00 39 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 40 B9 E2 FF FF 17 }
	condition:
		$1
}

rule file_26_4_0 {
	meta:
		name = "_mbscat_s_l"
		size = 1032
		refs = "002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0034 ??_C@_1HG@MCHNPME@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 0074 ??_C@_1BI@FAFMEAGP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0084 _invalid_parameter 00b0 _CrtGetDebugFillThreshold 00c8 memset 00d0 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0120 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 013c strcat_s 01a4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02e0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 14 00 00 91 9F 02 00 F1 33 00 00 91 64 1A 40 FA 56 00 00 91 48 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 DA 00 00 14 56 04 00 B5 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 03 80 52 ?? ?? ?? ?? D8 FF FF 17 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 C8 00 00 35 C2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? A7 00 00 14 17 00 80 52 8B 02 00 91 75 02 00 91 68 01 40 39 88 00 00 34 6B 05 00 91 B5 06 00 D1 95 FF FF B5 15 05 00 B5 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 77 00 00 14 6C 05 00 D1 8A 01 00 91 9F 01 14 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 14 EB 42 FF FF 54 89 01 0A 4B A9 00 00 36 6B 05 00 D1 7F 01 00 39 37 00 80 52 B5 06 00 91 CA 16 40 38 6D 01 00 91 6A 15 00 38 6A 00 00 34 B5 06 00 D1 75 FF FF B5 15 07 00 B5 C8 02 40 39 E8 01 00 35 AC 01 00 91 BF 01 14 EB 03 01 00 54 89 01 40 39 29 01 0E 8B 2A 65 40 39 8A 00 10 36 8C 05 00 D1 9F 01 14 EB 42 FF FF 54 A9 01 0C 4B 69 00 00 36 7F F1 1F 38 49 00 00 14 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 28 00 00 14 6C 09 00 D1 8A 01 00 91 9F 01 14 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 14 EB 42 FF FF 54 89 01 0A 4B 89 00 00 36 7F E1 1F 38 B5 06 00 91 37 00 80 52 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 15 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 02 30 88 9A 88 02 15 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D7 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "??$?RD@__crt_internal_free_policy@@QEBAXQEBD@Z"
		size = 36
		refs = "0018 _free_dbg"
		altNames = "??$?RE@__crt_internal_free_policy@@QEBAXQEBE@Z ??$?RG@__crt_internal_free_policy@@QEBAXQEBG@Z ??$?RJ@__crt_internal_free_policy@@QEBAXQEBJ@Z ??$?RP6AXXZ@__crt_internal_free_policy@@QEBAXQEBQ6AXXZ@Z ??$?RPEAD@__crt_internal_free_policy@@QEBAXQEBQEAD@Z ??$?RPEAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QEBAXQEBQEAU__crt_stdio_stream_data@@@Z ??$?RPEA_W@__crt_internal_free_policy@@QEBAXQEBQEA_W@Z ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QEBAXQEBU?$__crt_report_hook_node@D@@@Z ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QEBAXQEBU?$__crt_report_hook_node@_W@@@Z ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QEBAXQEBU__acrt_ptd@@@Z ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QEBAXQEBU__acrt_thread_parameter@@@Z ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_lc_time_data@@@Z ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_locale_data@@@Z ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QEBAXQEBU__crt_locale_pointers@@@Z ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_lowio_handle_data@@@Z ??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_multibyte_data@@@Z ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_stdio_stream_data@@@Z ??$?RUlconv@@@__crt_internal_free_policy@@QEBAXQEBUlconv@@@Z ??$?RUtm@@@__crt_internal_free_policy@@QEBAXQEBUtm@@@Z ??$?R_W@__crt_internal_free_policy@@QEBAXQEB_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 41 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_2_0 {
	meta:
		name = "??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
		size = 240
		refs = "0024 __acrt_lock 0028 _errno 0048 ??$common_tmpnam_nolock@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@@Z 00a4 ?get_tmpnam_ptd_buffer@@YAPEAPEADD@Z 00dc __acrt_unlock"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 0F 00 F9 A1 27 00 F9 A2 23 00 B9 A3 1B 00 F9 08 00 80 52 A8 13 00 B9 80 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 08 01 40 B9 A8 2B 00 B9 A2 23 40 B9 A1 27 40 F9 A0 0F 40 F9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 A8 13 00 B9 A8 13 40 B9 1F 01 00 71 40 01 00 54 A9 1B 40 F9 A8 0F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 A8 13 40 B9 28 01 00 B9 15 00 00 14 A8 0F 40 F9 1F 01 00 F1 80 00 00 54 A8 0F 40 F9 A8 1F 00 F9 07 00 00 14 00 00 80 52 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 08 01 40 F9 A8 1F 00 F9 A9 1B 40 F9 A8 1F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 A8 2B 40 B9 28 01 00 B9 80 01 80 52 ?? ?? ?? ?? A0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_27_4_0 {
	meta:
		name = "??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
		size = 240
		refs = "0024 __acrt_lock 0028 _errno 0048 ??$common_tmpnam_nolock@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@@Z 00a4 ?get_tmpnam_ptd_buffer@@YAPEAPEA_W_W@Z 00dc __acrt_unlock"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 0F 00 F9 A1 27 00 F9 A2 23 00 B9 A3 1B 00 F9 08 00 80 52 A8 13 00 B9 80 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 08 01 40 B9 A8 2B 00 B9 A2 23 40 B9 A1 27 40 F9 A0 0F 40 F9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 A8 13 00 B9 A8 13 40 B9 1F 01 00 71 40 01 00 54 A9 1B 40 F9 A8 0F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 A8 13 40 B9 28 01 00 B9 15 00 00 14 A8 0F 40 F9 1F 01 00 F1 80 00 00 54 A8 0F 40 F9 A8 1F 00 F9 07 00 00 14 00 00 80 52 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 08 01 40 F9 A8 1F 00 F9 A9 1B 40 F9 A8 1F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 A8 2B 40 B9 28 01 00 B9 80 01 80 52 ?? ?? ?? ?? A0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_27_3_0 {
	meta:
		name = "?fin$0@?0???$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z@4HA"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "?fin$0@?0???$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z@4HA ?fin$0@?0???$compute_name@D@@YA_NQEBDQEAD_K2@Z@4HA ?fin$0@?0???$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z@4HA ?fin$0@?0??common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 80 01 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_6_0 {
	meta:
		name = "??$common_tmpnam_nolock@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@@Z"
		size = 688
		refs = "0018 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 005c ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 006c ??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z 009c ??$taccess_s@AEBQEADH@?$__crt_char_traits@D@@SAHAEBQEAD$$QEAH@Z 00f8 ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z 013c ??$tcscpy_s@AEBQEADAEB_KAEBQEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K0@Z 014c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0154 ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 015c ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@ 0168 _invoke_watson_if_error 0180 ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0188 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a4 _CrtDbgReportW 01c4 ?get_tmpnam_ptd_buffer@@YAPEAPEADD@Z 01fc ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0210 _calloc_dbg 0220 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0234 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 024c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0274 ??$tcscpy_s@AEAPEADAEB_KAEBQEAD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEAD@Z 0294 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 0F 00 F9 88 20 80 D2 E8 4B 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 9A 00 00 14 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 81 00 00 54 E0 17 40 B9 ?? ?? ?? ?? 0B 00 00 14 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 40 00 80 52 88 00 00 14 08 00 80 52 E8 2B 00 B9 E1 A3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 81 01 00 54 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 40 00 80 52 75 00 00 14 ED FF FF 17 E8 27 40 F9 1F 01 00 F1 80 04 00 54 E8 17 40 B9 1F 01 00 71 00 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E9 23 40 F9 E8 2F 40 F9 1F 01 09 EB 23 01 00 54 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 52 28 01 00 39 40 04 80 52 5F 00 00 14 E2 63 00 91 E1 03 01 91 E0 23 01 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 A4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 4E 00 00 14 E8 17 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 52 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 31 00 00 14 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 A1 03 00 54 A4 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 80 20 80 D2 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 43 00 F9 E9 13 40 F9 E8 43 40 F9 28 01 00 F9 E0 23 02 91 ?? ?? ?? ?? E8 13 40 F9 08 01 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 11 00 00 14 E2 63 00 91 E1 43 02 91 E0 13 40 F9 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 84 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_7_0 {
	meta:
		name = "??$common_tmpnam_nolock@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@@Z"
		size = 688
		refs = "0018 ??$get_tmpfile_buffer_nolock@_W@@YAPEA_WW4buffer_id@?A0x5b9a7937@@@Z 005c ??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 006c ??$generate_tmpfile_file_name@_W@@YA_NQEA_W_K@Z 009c ??$taccess_s@AEBQEA_WH@?$__crt_char_traits@_W@@SAHAEBQEA_W$$QEAH@Z 00f8 ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z 013c ??$tcscpy_s@AEBQEA_WAEB_KAEBQEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K0@Z 014c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0154 ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 015c ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@ 0168 _invoke_watson_if_error 0180 ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0188 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a4 _CrtDbgReportW 01c4 ?get_tmpnam_ptd_buffer@@YAPEAPEA_W_W@Z 01fc ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0210 _calloc_dbg 0220 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0234 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 024c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0274 ??$tcscpy_s@AEAPEA_WAEB_KAEBQEA_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEA_W@Z 0294 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 0F 00 F9 88 20 80 D2 E8 4B 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 9A 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 E0 17 40 B9 ?? ?? ?? ?? 0B 00 00 14 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 40 00 80 52 88 00 00 14 08 00 80 52 E8 2B 00 B9 E1 A3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 81 01 00 54 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 40 00 80 52 75 00 00 14 ED FF FF 17 E8 27 40 F9 1F 01 00 F1 80 04 00 54 E8 17 40 B9 1F 01 00 71 00 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E9 23 40 F9 E8 2F 40 F9 1F 01 09 EB 23 01 00 54 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 52 28 01 00 79 40 04 80 52 5F 00 00 14 E2 63 00 91 E1 03 01 91 E0 23 01 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 A4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 4E 00 00 14 E8 17 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 52 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 31 00 00 14 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 A1 03 00 54 A4 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 80 20 80 D2 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 43 00 F9 E9 13 40 F9 E8 43 40 F9 28 01 00 F9 E0 23 02 91 ?? ?? ?? ?? E8 13 40 F9 08 01 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 11 00 00 14 E2 63 00 91 E1 43 02 91 E0 13 40 F9 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 84 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_8_0 {
	meta:
		name = "??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z"
		size = 768
		refs = "0020 ??$tcsrchr@AEBQEADD@?$__crt_char_traits@D@@SAPEADAEBQEAD$$QEAD@Z 0064 ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0088 _CrtDbgReportW 00c0 ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00d0 _invalid_parameter 0114 ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01cc ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 0284 ??$tcstoull@AEBQEAD$$TH@?$__crt_char_traits@D@@SA_KAEBQEAD$$QEA$$T$$QEAH@Z 02c4 ??$ulltot_s@AEB_KAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEB_KAEBQEAD0$$QEAH@Z 02e4 ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 02f0 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 F9 E1 33 00 F9 C8 05 80 52 E8 43 00 39 E1 43 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 43 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 88 00 00 14 E9 1F 40 F9 E8 1B 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 63 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5C 00 00 14 E9 1B 40 F9 E8 1F 40 F9 29 01 08 CB E8 33 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 83 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 2E 00 00 14 E8 1B 40 F9 08 05 00 91 E8 2F 00 F9 E9 2F 40 F9 E8 1F 40 F9 29 01 08 CB E8 33 40 F9 08 01 09 CB E8 47 00 F9 88 04 80 52 E8 4F 00 B9 08 00 80 D2 E8 3F 00 F9 E2 33 01 91 E1 E3 01 91 E0 63 01 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 05 00 91 E8 37 00 F9 E8 37 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 14 00 00 14 88 04 80 52 E8 53 00 B9 E3 43 01 91 E2 23 02 91 E1 63 01 91 E0 A3 01 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 C4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 20 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_9_0 {
	meta:
		name = "??$generate_tmpfile_file_name@_W@@YA_NQEA_W_K@Z"
		size = 776
		refs = "0020 ??$tcsrchr@AEBQEA_WD@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_W$$QEAD@Z 0064 ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0088 _CrtDbgReportW 00c0 ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00d0 _invalid_parameter 0114 ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01d0 ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 028c ??$tcstoull@AEBQEA_W$$TH@?$__crt_char_traits@_W@@SA_KAEBQEA_W$$QEA$$T$$QEAH@Z 02cc ??$ulltot_s@AEB_KAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEB_KAEBQEA_W0$$QEAH@Z 02ec ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 02f8 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 F9 E1 33 00 F9 C8 05 80 52 E8 43 00 39 E1 43 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 43 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 8A 00 00 14 E9 1F 40 F9 E8 1B 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 63 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5E 00 00 14 E9 1B 40 F9 E8 1F 40 F9 28 01 08 CB 09 FD 41 93 E8 33 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 83 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 2F 00 00 14 E8 1B 40 F9 08 09 00 91 E8 2F 00 F9 E9 2F 40 F9 E8 1F 40 F9 28 01 08 CB 09 FD 41 93 E8 33 40 F9 08 01 09 CB E8 47 00 F9 88 04 80 52 E8 4F 00 B9 08 00 80 D2 E8 3F 00 F9 E2 33 01 91 E1 E3 01 91 E0 63 01 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 05 00 91 E8 37 00 F9 E8 37 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 14 00 00 14 88 04 80 52 E8 53 00 B9 E3 43 01 91 E2 23 02 91 E1 63 01 91 E0 A3 01 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 C4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 20 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_10_0 {
	meta:
		name = "??$get_temp_path@KAEBQEAD@?$__crt_char_traits@D@@SAK$$QEAKAEBQEAD@Z"
		size = 52
		refs = "0020 __acrt_GetTempPathA"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_6_0 {
	meta:
		name = "??$futime@AEAHAEBQEAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAEAHAEBQEAU__utimbuf32@@@Z"
		size = 52
		refs = "0020 _futime32"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_7_0 {
	meta:
		name = "??$futime@AEAHAEBQEAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAEAHAEBQEAU__utimbuf64@@@Z"
		size = 52
		refs = "0020 _futime64"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_116_0 {
	meta:
		name = "??$ungettc_nolock@AEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAHAEBH$$QEAPEAU_iobuf@@@Z"
		size = 52
		refs = "0020 _ungetc_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_11_0 {
	meta:
		name = "??$get_temp_path@KAEBQEA_W@?$__crt_char_traits@_W@@SAK$$QEAKAEBQEA_W@Z"
		size = 60
		refs = "0020 __imp_GetTempPathW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_12_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z"
		size = 156
		refs = "0014 ?get_tmpfile_buffer_pointer_nolock@@YAAEAPEADW4buffer_id@?A0x5b9a7937@@D@Z 0038 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 004c _calloc_dbg 005c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0070 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 0088 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 24 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 80 20 80 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 0F 40 F9 E8 23 40 F9 28 01 00 F9 E0 23 01 91 ?? ?? ?? ?? E8 0F 40 F9 00 01 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_13_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@_W@@YAPEA_WW4buffer_id@?A0x5b9a7937@@@Z"
		size = 156
		refs = "0014 ?get_tmpfile_buffer_pointer_nolock@@YAAEAPEA_WW4buffer_id@?A0x5b9a7937@@_W@Z 0038 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 004c _calloc_dbg 005c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0070 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 0088 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 24 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 80 20 80 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 0F 40 F9 E8 23 40 F9 28 01 00 F9 E0 23 01 91 ?? ?? ?? ?? E8 0F 40 F9 00 01 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_14_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 540
		refs = "0010 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 0054 ??$get_temp_path@KAEBQEAD@?$__crt_char_traits@D@@SAK$$QEAKAEBQEAD@Z 00b4 ??0<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QEAA@AEB_KAEAPEADAEBQEAD@Z 0144 ??R<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QEBA_KXZ 0154 __imp_GetCurrentProcessId 017c ??$ulltot_s@KAEAPEAD_KH@?$__crt_char_traits@D@@SAH$$QEAKAEAPEAD$$QEA_K$$QEAH@Z 018c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0194 ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 019c ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 01a8 _invoke_watson_if_error 01b0 ??$tcslen@AEAPEAD@?$__crt_char_traits@D@@SA_KAEAPEAD@Z"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 B9 E0 23 40 B9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 17 00 F9 88 20 80 D2 E8 2F 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 77 00 00 14 C8 1D 80 52 E8 4B 00 B9 88 20 80 52 E8 33 00 B9 E1 A3 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 E8 1B 40 B9 1F B9 03 71 C9 00 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 00 00 80 52 62 00 00 14 E8 1B 40 B9 09 7D 40 D3 E8 17 40 F9 08 01 09 8B E8 0B 00 F9 E3 A3 00 91 E2 43 00 91 E1 63 01 91 E0 E3 01 91 ?? ?? ?? ?? E8 23 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 00 01 00 54 E8 1F 40 B9 1F 05 00 71 80 01 00 54 E8 1F 40 B9 1F 09 00 71 00 02 00 54 15 00 00 14 E9 0B 40 F9 68 0E 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 0E 00 00 14 E9 0B 40 F9 88 0E 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 07 00 00 14 E9 0B 40 F9 A8 0E 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 88 04 80 52 E8 3F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 E8 43 00 B9 E3 F3 00 91 E2 A3 01 91 E1 43 00 91 E0 03 01 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 64 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 0B 40 F9 E8 3B 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 C8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 08 06 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 20 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_15_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 556
		refs = "0010 ??$get_tmpfile_buffer_nolock@_W@@YAPEA_WW4buffer_id@?A0x5b9a7937@@@Z 0054 ??$get_temp_path@KAEBQEA_W@?$__crt_char_traits@_W@@SAK$$QEAKAEBQEA_W@Z 00bc ??0<lambda_890542a8f130cf228121e5f4948058fa>@@QEAA@AEB_KAEAPEA_WAEBQEA_W@Z 014c ??R<lambda_890542a8f130cf228121e5f4948058fa>@@QEBA_KXZ 015c __imp_GetCurrentProcessId 0184 ??$ulltot_s@KAEAPEA_W_KH@?$__crt_char_traits@_W@@SAH$$QEAKAEAPEA_W$$QEA_K$$QEAH@Z 0194 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 019c ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 01a4 ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 01b0 _invoke_watson_if_error 01b8 ??$tcslen@AEAPEA_W@?$__crt_char_traits@_W@@SA_KAEAPEA_W@Z"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 B9 E0 23 40 B9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 17 00 F9 88 20 80 D2 E8 2F 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 7B 00 00 14 C8 1D 80 52 E8 4B 00 B9 88 20 80 52 E8 33 00 B9 E1 A3 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 E8 1B 40 B9 1F B9 03 71 C9 00 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 66 00 00 14 E8 1B 40 B9 09 7D 40 D3 48 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 0B 00 F9 E3 A3 00 91 E2 43 00 91 E1 63 01 91 E0 E3 01 91 ?? ?? ?? ?? E8 23 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 00 01 00 54 E8 1F 40 B9 1F 05 00 71 80 01 00 54 E8 1F 40 B9 1F 09 00 71 00 02 00 54 15 00 00 14 E9 0B 40 F9 C8 0E 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 0E 00 00 14 E9 0B 40 F9 E8 0E 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 07 00 00 14 E9 0B 40 F9 08 0F 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 88 04 80 52 E8 3F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 E8 43 00 B9 E3 F3 00 91 E2 A3 01 91 E1 43 00 91 E0 03 01 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 64 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E9 0B 40 F9 C8 05 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E9 0B 40 F9 08 06 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 20 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_16_0 {
	meta:
		name = "??$taccess_s@AEBQEADH@?$__crt_char_traits@D@@SAHAEBQEAD$$QEAH@Z"
		size = 52
		refs = "0020 _access_s"
		altNames = "??$taccess_s@AEBQEBDH@?$__crt_char_traits@D@@SAHAEBQEBD$$QEAH@Z ??$taccess_s@PEBDH@?$__crt_char_traits@D@@SAH$$QEAPEBD$$QEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_17_0 {
	meta:
		name = "??$taccess_s@AEBQEA_WH@?$__crt_char_traits@_W@@SAHAEBQEA_W$$QEAH@Z"
		size = 52
		refs = "0020 _waccess_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_19_0 {
	meta:
		name = "??$taccess_s@AEBQEB_WH@?$__crt_char_traits@_W@@SAHAEBQEB_W$$QEAH@Z"
		size = 52
		refs = "0020 _waccess_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_21_0 {
	meta:
		name = "??$taccess_s@PEB_WH@?$__crt_char_traits@_W@@SAH$$QEAPEB_W$$QEAH@Z"
		size = 52
		refs = "0020 _waccess_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_26_0 {
	meta:
		name = "??$tcsrchr@AEBQEADD@?$__crt_char_traits@D@@SAPEADAEBQEAD$$QEAD@Z"
		size = 60
		refs = "0028 ?strrchr@@YAPEADQEADH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 C0 39 21 00 00 11 21 00 00 11 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_27_0 {
	meta:
		name = "??$tcsrchr@AEBQEA_WD@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_W$$QEAD@Z"
		size = 60
		refs = "0028 ?wcsrchr@@YAPEA_WPEA_W_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 08 01 C0 39 01 3D 00 53 21 00 00 11 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_28_0 {
	meta:
		name = "??$tcstoull@AEBQEAD$$TH@?$__crt_char_traits@D@@SA_KAEBQEAD$$QEA$$T$$QEAH@Z"
		size = 64
		refs = "002c strtoull"
		altNames = "??$tcstoull@PEBDPEAPEADH@?$__crt_char_traits@D@@SA_K$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 0B 40 F9 02 01 40 B9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_113_0 {
	meta:
		name = "??$tcstoull@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SA_KAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 64
		refs = "002c wcstoull"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 0B 40 F9 02 01 40 B9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_29_0 {
	meta:
		name = "??$tcstoull@AEBQEA_W$$TH@?$__crt_char_traits@_W@@SA_KAEBQEA_W$$QEA$$T$$QEAH@Z"
		size = 64
		refs = "002c wcstoull"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 0B 40 F9 02 01 40 B9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_30_0 {
	meta:
		name = "??$ulltot_s@AEB_KAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEB_KAEBQEAD0$$QEAH@Z"
		size = 76
		refs = "0038 _ui64toa_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_2_0 {
	meta:
		name = "??$message_box@$$TAEBQEBDAEBQEBDK@?$__crt_char_traits@D@@SAH$$QEA$$TAEBQEBD1$$QEAK@Z"
		size = 76
		refs = "0038 __acrt_MessageBoxA"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_3_0 {
	meta:
		name = "??$message_box@$$TAEBQEB_WAEBQEB_WK@?$__crt_char_traits@_W@@SAH$$QEA$$TAEBQEB_W1$$QEAK@Z"
		size = 76
		refs = "0038 __acrt_MessageBoxW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_4_0 {
	meta:
		name = "??$message_box@PEAUHWND__@@AEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAUHWND__@@AEBQEBD1AEBI@Z"
		size = 76
		refs = "0038 __acrt_MessageBoxA"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_5_4 {
	meta:
		name = "??$message_box@PEAUHWND__@@AEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAUHWND__@@AEBQEB_W1AEBI@Z"
		size = 76
		refs = "0038 __acrt_MessageBoxW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_31_3 {
	meta:
		name = "??$ulltot_s@AEB_KAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEB_KAEBQEA_W0$$QEAH@Z"
		size = 76
		refs = "0038 _ui64tow_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_32_0 {
	meta:
		name = "??$ulltot_s@KAEAPEAD_KH@?$__crt_char_traits@D@@SAH$$QEAKAEAPEAD$$QEA_K$$QEAH@Z"
		size = 84
		refs = "0040 _ui64toa_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E8 0F 40 F9 08 01 40 B9 00 7D 40 D3 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_33_0 {
	meta:
		name = "??$ulltot_s@KAEAPEA_W_KH@?$__crt_char_traits@_W@@SAH$$QEAKAEAPEA_W$$QEA_K$$QEAH@Z"
		size = 84
		refs = "0040 _ui64tow_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E8 0F 40 F9 08 01 40 B9 00 7D 40 D3 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_36_0 {
	meta:
		name = "??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z"
		size = 40
		altNames = "??0?$__crt_scoped_stack_ptr@D@@QEAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z ??0?$__crt_scoped_stack_ptr_tag@D@@QEAA@QEAD@Z ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@QEAX@Z ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@QEAX@Z ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAA@QEAUHINSTANCE__@@@Z ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@QEBD@Z ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@QEB_W@Z ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@QEAD@Z ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAA@QEAG@Z ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@QEAJ@Z ??0?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAA@QEAP6AXXZ@Z ??0?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@QEAPEAD@Z ??0?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@QEAPEAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@QEAPEA_W@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEAA@QEAU?$__crt_report_hook_node@D@@@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEAA@QEAU?$__crt_report_hook_node@_W@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAA@QEAU__acrt_ptd@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAA@QEAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@QEAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_lc_time_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_locale_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_locale_pointers@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_lowio_handle_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_multibyte_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAA@QEAUlconv@@@Z ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAA@QEAUtm@@@Z ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@QEA_W@Z ??0?$string_output_adapter@D@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@D@1@@Z ??0?$string_output_adapter@_W@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@_W@1@@Z ??0__crt_stdio_stream@@QEAA@QEAU__crt_stdio_stream_data@@@Z ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 09 01 00 91 E8 07 40 F9 28 01 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_38_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_4_4 {
	meta:
		name = "??$multiply_ld12_by@$0BA@@@YAXQEAU_LDBL12@@@Z"
		size = 28
		refs = "0010 ??$shl_ld12@$03@@YAXQEAU_LDBL12@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_37_4 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_55_2 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_12_4 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_44_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_45_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_12_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_168_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_7_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_73_2_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_21_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_40_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_358_15_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_41_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_30_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_31_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_27_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_7_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_8_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_8_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_37_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_38_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_2_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_39_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_5_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_450_5_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_8_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_6_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_13_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ"
		size = 28
		refs = "0010 ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_325_4 {
	meta:
		name = "??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_326_2 {
	meta:
		name = "??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_327_3 {
	meta:
		name = "??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_328_0 {
	meta:
		name = "??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_329_0 {
	meta:
		name = "??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$common_data@D@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_330_4 {
	meta:
		name = "??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$common_data@D@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_331_3 {
	meta:
		name = "??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$common_data@_W@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_332_4 {
	meta:
		name = "??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$common_data@_W@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_333_2 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_334_2 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_335_2 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_336_2 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_337_3 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_338_4 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_339_0 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_340_3 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_341_3 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_342_0 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_343_4 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_344_2 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_345_0 {
	meta:
		name = "??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_346_0 {
	meta:
		name = "??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_347_2 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_348_2 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_349_2 {
	meta:
		name = "??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_350_2 {
	meta:
		name = "??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_351_2 {
	meta:
		name = "??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_352_2 {
	meta:
		name = "??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
		size = 28
		refs = "0010 ??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_0_3 {
	meta:
		name = "_aligned_free"
		size = 28
		refs = "0010 _aligned_free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_523_2_3 {
	meta:
		name = "_ftime32"
		size = 28
		refs = "0010 _ftime32_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_523_4_3 {
	meta:
		name = "_ftime64"
		size = 28
		refs = "0010 _ftime64_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_396_4_3 {
	meta:
		name = "clearerr"
		size = 28
		refs = "0010 clearerr_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_43_0 {
	meta:
		name = "?common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z"
		size = 312
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BO@JPOBIAKL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?$AA@ 00c4 _invalid_parameter 00e8 __acrt_lock 00f4 ?common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z 0128 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 17 00 F9 A1 23 00 B9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1F 00 B9 A9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 19 00 00 14 A9 17 40 F9 08 00 80 D2 28 01 00 F9 08 00 80 52 A8 13 00 B9 80 01 80 52 ?? ?? ?? ?? A1 23 40 B9 A0 17 40 F9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 A8 13 00 B9 A8 13 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 A8 13 40 B9 28 01 00 B9 80 01 80 52 ?? ?? ?? ?? A0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_45_0 {
	meta:
		name = "?common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z"
		size = 768
		refs = "0014 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 0058 ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0084 ??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z 00a8 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 00b0 ?valid@__crt_stdio_stream@@QEBA_NXZ 00d8 _errno 012c _sopen_s 01b0 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 01c0 _strdup_dbg 01cc ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0208 _close 026c _commode 0280 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 02a4 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02e4 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 02ec ?unlock@__crt_stdio_stream@@QEBAXXZ"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 A0 5B 00 F9 A1 33 00 B9 20 00 80 52 ?? ?? ?? ?? A0 2B 00 F9 A8 2B 40 F9 A8 17 00 F9 88 20 80 D2 A8 63 00 F9 A8 17 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 AE 00 00 14 A8 17 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 61 01 00 54 20 00 80 52 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 C0 02 80 52 A0 00 00 14 0B 00 00 14 81 20 80 D2 A0 17 40 F9 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 C0 02 80 52 95 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 4B 00 39 A8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 03 80 52 8A 00 00 14 08 00 80 52 A8 23 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 08 01 40 B9 A8 3B 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 A8 27 00 B9 48 A8 90 52 A8 4B 00 B9 08 30 80 52 A8 4F 00 B9 04 30 80 52 A3 33 40 B9 42 A8 90 52 A1 17 40 F9 A0 93 00 91 ?? ?? ?? ?? A0 37 00 B9 A8 37 40 B9 A8 23 00 B9 A8 23 40 B9 1F 45 00 71 61 01 00 54 81 20 80 D2 A0 17 40 F9 ?? ?? ?? ?? A0 4F 00 39 A8 4F 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 EB FF FF 17 ?? ?? ?? ?? A0 37 00 F9 A8 37 40 F9 08 01 40 B9 1F 01 00 71 C1 00 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 A8 3B 40 B9 28 01 00 B9 A8 27 40 B9 1F 05 00 31 41 00 00 54 46 00 00 14 43 30 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 A0 17 40 F9 ?? ?? ?? ?? A0 43 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 3F 00 F9 A8 3F 40 F9 09 A1 00 91 A8 43 40 F9 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 47 00 F9 A8 47 40 F9 08 A1 00 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 A0 27 40 B9 ?? ?? ?? ?? 88 01 80 52 A8 23 00 B9 2B 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 4B 00 F9 A8 4B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 53 00 F9 A8 53 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 01 01 1E 32 21 00 00 11 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 09 61 00 91 A8 27 40 B9 28 01 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 5F 00 F9 A9 5B 40 F9 A8 5F 40 F9 28 01 00 F9 08 00 80 52 A8 23 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 08 61 00 91 08 01 40 B9 1F 05 00 31 61 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 23 40 B9 FD 7B CD A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_27_46_0 {
	meta:
		name = "?fin$0@?0??common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z@4HA"
		size = 68
		refs = "000c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 002c ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0034 ?unlock@__crt_stdio_stream@@QEBAXXZ"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 63 00 91 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 08 61 00 91 08 01 40 B9 1F 05 00 31 61 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_47_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
		size = 52
		altNames = "?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAPEBDXZ ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAPEB_WXZ ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAPEADXZ ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAAPEAGXZ ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAPEAJXZ ?detach@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAAPEAP6AXXZXZ ?detach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEADXZ ?detach@?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAPEAPEAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEAAPEAU?$__crt_report_hook_node@D@@XZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEAAPEAU?$__crt_report_hook_node@_W@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAAPEAU__acrt_ptd@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAAPEAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAPEAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_lc_time_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_locale_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_locale_pointers@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_lowio_handle_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_multibyte_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAAPEAUlconv@@XZ ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAAPEAUtm@@XZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 F9 E8 07 00 F9 E8 03 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_49_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAEAPEADW4buffer_id@?A0x5b9a7937@@D@Z"
		size = 52
		refs = "001c ?narrow_tmpfile_buffer_pointers@@3PAPEADA"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 39 E8 07 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_50_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAEAPEA_WW4buffer_id@?A0x5b9a7937@@_W@Z"
		size = 52
		refs = "001c ?wide_tmpfile_buffer_pointers@@3PAPEA_WA"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 79 E8 07 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_51_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPEAPEADD@Z"
		size = 68
		refs = "000c __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 43 00 39 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 04 00 00 14 E8 0F 40 F9 00 21 01 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_52_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPEAPEA_W_W@Z"
		size = 68
		refs = "000c __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 04 00 00 14 E8 0F 40 F9 00 41 01 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_53_0 {
	meta:
		name = "?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ"
		size = 36
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 F9 00 01 00 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_54_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RD@__crt_internal_free_policy@@QEBAXQEBD@Z"
		altNames = "?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_69_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?R_W@__crt_internal_free_policy@@QEBAXQEB_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_24_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RD@__crt_public_free_policy@@QEBAXQEBD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_39_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RE@__crt_internal_free_policy@@QEBAXQEBE@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_13_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RG@__crt_internal_free_policy@@QEBAXQEBG@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_14_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RJ@__crt_internal_free_policy@@QEBAXQEBJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_34_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RP6AXXZ@__crt_internal_free_policy@@QEBAXQEBQ6AXXZ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_81_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RPEAD@__crt_internal_free_policy@@QEBAXQEBQEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_358_26_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RPEAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QEBAXQEBQEAU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_41_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RPEA_W@__crt_internal_free_policy@@QEBAXQEBQEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_52_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QEBAXQEBU?$__crt_report_hook_node@D@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_53_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QEBAXQEBU?$__crt_report_hook_node@_W@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_54_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QEBAXQEBU__acrt_ptd@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_19_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QEBAXQEBU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_20_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAXXZ"
		size = 56
		refs = "001c ??Rthread_parameter_free_policy@?A0x4e93fcdd@@QEAAXQEAU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_16_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_lc_time_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_69_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_locale_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_70_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QEBAXQEBU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_7_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_lowio_handle_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_71_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_multibyte_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_18_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QEBAXQEBU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_450_9_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RUlconv@@@__crt_internal_free_policy@@QEBAXQEBUlconv@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_12_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?RUtm@@@__crt_internal_free_policy@@QEBAXQEBUtm@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_268_5_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?R_W@__crt_internal_free_policy@@QEBAXQEB_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_25_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAXXZ"
		size = 56
		refs = "001c ??$?R_W@__crt_public_free_policy@@QEBAXQEB_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 01 01 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_56_0 {
	meta:
		name = "?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 132
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 B9 EC 03 40 B9 8C 01 00 11 E8 0B 40 F9 08 01 00 91 08 01 40 F9 0B 51 00 91 6B 01 00 91 6A FD 5F 88 4A 01 00 11 49 01 0C 2A 69 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 EA 0B 00 B9 E9 0B 40 B9 E8 03 40 B9 28 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_57_0 {
	meta:
		name = "?strrchr@@YAPEADQEADH@Z"
		size = 44
		refs = "0018 strrchr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_58_0 {
	meta:
		name = "?unlock@__crt_stdio_stream@@QEBAXXZ"
		size = 40
		refs = "0010 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 001c _unlock_file"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_16_0 {
	meta:
		name = "?lock@__crt_stdio_stream@@QEBAXXZ"
		size = 40
		refs = "0010 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 001c _lock_file"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_59_0 {
	meta:
		name = "?valid@__crt_stdio_stream@@QEBA_NXZ"
		size = 68
		altNames = "??B?$__crt_scoped_stack_ptr@D@@QEBA_NXZ ??B?$__crt_scoped_stack_ptr@_W@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_60_0 {
	meta:
		name = "?wcsrchr@@YAPEA_WPEA_W_W@Z"
		size = 44
		refs = "0018 wcsrchr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E1 23 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_0_0 {
	meta:
		name = "?wcschr@@YAPEA_WPEA_W_W@Z"
		size = 44
		refs = "0018 wcschr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E1 23 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_62_0 {
	meta:
		name = "__acrt_stdio_free_tmpfile_name_buffers_nolock"
		size = 224
		refs = "0008 ?narrow_tmpfile_buffer_pointers@@3PAPEADA 005c _free_dbg 0070 ?wide_tmpfile_buffer_pointers@@3PAPEA_WA"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 13 40 F9 08 61 00 91 E8 23 00 F9 04 00 00 14 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E9 23 40 F9 E8 0B 40 F9 1F 01 09 EB 60 01 00 54 E8 0B 40 F9 E8 17 00 F9 41 00 80 52 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E9 17 40 F9 08 00 80 D2 28 01 00 F9 F0 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 1B 40 F9 08 61 00 91 E8 27 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E9 27 40 F9 E8 0F 40 F9 1F 01 09 EB 60 01 00 54 E8 0F 40 F9 E8 1F 00 F9 41 00 80 52 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E9 1F 40 F9 08 00 80 D2 28 01 00 F9 F0 FF FF 17 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_63_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 80
		refs = "0044 _invoke_watson"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 17 00 B9 E5 0F 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 07 00 00 14 E4 0F 40 F9 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_64_0 {
	meta:
		name = "_wtmpnam"
		size = 52
		refs = "0024 ??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 0B 00 F9 E3 43 00 91 02 00 80 52 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_68_0 {
	meta:
		name = "tmpnam"
		size = 52
		refs = "0024 ??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 0B 00 F9 E3 43 00 91 02 00 80 52 81 20 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_65_0 {
	meta:
		name = "_wtmpnam_s"
		size = 252
		refs = "004c ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1BG@OOCNCNMF@?$AA_?$AAw?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 00cc _invalid_parameter 00e8 ??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 08 00 80 D2 E8 1B 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 08 00 00 14 E3 C3 00 91 42 00 80 52 E1 1F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_66_0 {
	meta:
		name = "tmpfile"
		size = 40
		refs = "0018 ?common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 08 00 80 D2 E8 0B 00 F9 01 08 80 52 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_67_0 {
	meta:
		name = "tmpfile_s"
		size = 40
		refs = "0014 ?common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_27_69_0 {
	meta:
		name = "tmpnam_s"
		size = 252
		refs = "004c ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1BC@LALKNPAF@?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 00cc _invalid_parameter 00e8 ??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 08 00 80 D2 E8 1B 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 08 00 00 14 E3 C3 00 91 42 00 80 52 E1 1F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "csinl"
		size = 196
		refs = "0018 creall 0028 cimagl 0040 _LCbuild 0054 csinhl"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_655_0_0 {
	meta:
		name = "casin"
		size = 196
		refs = "0018 creal 0028 cimag 0040 _Cbuild 0054 casinh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "casinl"
		size = 196
		refs = "0018 creall 0028 cimagl 0040 _LCbuild 0054 casinhl"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_321_0_3 {
	meta:
		name = "catan"
		size = 196
		refs = "0018 creal 0028 cimag 0040 _Cbuild 0054 catanh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_356_0_3 {
	meta:
		name = "catanl"
		size = 196
		refs = "0018 creall 0028 cimagl 0040 _LCbuild 0054 catanhl"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_692_0_3 {
	meta:
		name = "csin"
		size = 196
		refs = "0018 creal 0028 cimag 0040 _Cbuild 0054 csinh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "ctan"
		size = 196
		refs = "0018 creal 0028 cimag 0040 _Cbuild 0054 ctanh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_85_0_4 {
	meta:
		name = "ctanl"
		size = 196
		refs = "0018 creall 0028 cimagl 0040 _LCbuild 0054 ctanhl"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA C3 00 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 13 40 FD 01 42 61 1E 21 40 60 1E E0 17 40 FD ?? ?? ?? ?? E1 2F 00 FD E0 2B 00 FD E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "llround"
		size = 176
		refs = "0010 _dtest 004c round 0090 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 03 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 4D 02 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0F 00 FD F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C3 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "llroundl"
		size = 176
		refs = "0010 _ldtest 004c roundl 0090 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 03 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 4D 02 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0F 00 FD F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C3 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
		size = 16
		altNames = "?select_heap@@YAPEAXQEAX@Z _CrtSetAllocHook _CrtSetDebugFillThreshold _CrtSetDumpClient _CrtSetReportHook nan nanf nanl"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_30_1_0 {
	meta:
		name = "_lsearch_s"
		size = 1228
		refs = "0054 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BG@BABOCLIN@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d4 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0294 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0354 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0440 __guard_check_icall_fptr 047c ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ 0498 memcpy"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 3B 00 F9 E1 43 00 F9 E2 2B 00 F9 E3 27 00 F9 E4 4B 00 F9 E5 67 00 F9 E8 3B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 FA 00 00 14 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 CA 00 00 14 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 9A 00 00 14 E8 27 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 6A 00 00 14 E8 4B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 3A 00 00 14 E8 43 40 F9 E8 47 00 F9 E8 2B 40 F9 08 01 40 B9 09 7D 40 D3 E8 27 40 F9 29 7D 08 9B E8 47 40 F9 08 01 09 8B E8 3F 00 F9 E8 47 40 F9 E8 23 00 F9 05 00 00 14 E9 23 40 F9 E8 27 40 F9 28 01 08 8B E8 23 00 F9 E9 3F 40 F9 E8 23 40 F9 1F 01 09 EB E0 02 00 54 E8 4B 40 F9 E8 4F 00 F9 EF 4F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 23 40 F9 E1 3B 40 F9 E0 67 40 F9 E8 4F 40 F9 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 E1 00 00 54 E8 23 40 F9 E8 6B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 6B 40 F9 10 00 00 14 E3 FF FF 17 E2 27 40 F9 E1 3B 40 F9 E0 3F 40 F9 ?? ?? ?? ?? E8 2B 40 F9 08 01 40 B9 09 05 00 11 E8 2B 40 F9 09 01 00 B9 E8 3F 40 F9 E8 6F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 6F 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "_dexp"
		size = 1208
		refs = "0018 _dtest 00b8 _Inf_C 00ec _fperrraise 00f4 _Nan_C 0198 _dscale 024c hugexp 02d4 invln2 0328 c1 0344 c23 0358 _Eps_C 03a4 c 03cc s"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 1B 00 FD E1 4B 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 73 00 79 E8 73 C0 79 E8 23 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 77 00 79 E8 77 C0 79 E8 43 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6C 0F 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 40 00 80 52 0C 01 00 14 73 00 00 14 E8 43 C0 79 08 01 00 11 1F 09 00 71 E1 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 40 00 80 52 02 01 00 14 69 00 00 14 E8 43 C0 79 08 01 00 11 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 10 01 40 FD 00 22 71 1E E0 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 00 00 80 52 F2 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 40 00 80 52 E9 00 00 14 50 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 E1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E E8 0F 40 F9 10 01 40 FD 00 22 71 1E E0 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 20 00 80 52 D8 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 40 00 80 52 CF 00 00 14 36 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 81 03 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD E1 4B 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 7B 00 79 E8 7B C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 A0 00 00 54 E8 43 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 B0 00 00 14 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 10 01 40 FD 00 22 71 1E 41 01 00 54 E8 0F 40 F9 11 01 40 FD F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 20 00 80 52 A1 00 00 14 08 00 00 14 31 14 00 5C F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 00 80 52 99 00 00 14 98 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E E8 0F 40 F9 10 01 40 FD 00 22 71 1E 22 01 00 54 51 12 00 5C F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 00 80 52 8A 00 00 14 89 00 00 14 E8 0F 40 F9 11 01 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 01 80 52 ?? ?? ?? ?? 20 00 80 52 79 00 00 14 78 00 00 14 E8 0F 40 F9 11 01 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 17 40 FD 08 22 60 1E 82 00 00 54 10 10 7C 1E F0 2F 00 FD 03 00 00 14 10 10 6C 1E F0 2F 00 FD F1 17 40 FD F0 2F 40 FD 30 2A 70 1E 08 02 78 1E E8 47 00 B9 E8 47 40 B9 10 01 62 1E F0 17 00 FD F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 0F 40 F9 10 01 40 FD 12 3A 71 1E F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 50 3A 70 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 17 40 FD 20 22 70 1E 42 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E A2 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 2D 00 00 14 F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 2B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 10 0A 71 1E F0 33 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 10 0A 71 1E F0 37 00 FD F1 33 40 FD F0 37 40 FD 31 2A 70 1E 10 10 6E 1E 12 2A 71 1E F1 33 40 FD F0 37 40 FD 31 3A 70 1E 10 10 6E 1E 10 2A 71 1E 51 1A 70 1E F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD E9 47 40 B9 E8 4B 40 B9 21 01 08 0B 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? E0 7F 00 79 E8 7F C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 A0 00 00 54 E8 4F 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_413_0_0 {
	meta:
		name = "_ldexp"
		size = 1208
		refs = "0018 _ldtest 00b8 _LInf_C 00ec _fperrraise 00f4 _LNan_C 0198 _ldscale 024c hugexp 02d4 invln2 0328 c1 0344 c23 0358 _LEps_C 03a4 c 03cc s"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 1B 00 FD E1 4B 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 73 00 79 E8 73 C0 79 E8 23 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 77 00 79 E8 77 C0 79 E8 43 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6C 0F 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 40 00 80 52 0C 01 00 14 73 00 00 14 E8 43 C0 79 08 01 00 11 1F 09 00 71 E1 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 40 00 80 52 02 01 00 14 69 00 00 14 E8 43 C0 79 08 01 00 11 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 10 01 40 FD 00 22 71 1E E0 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 00 00 80 52 F2 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 40 00 80 52 E9 00 00 14 50 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 E1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E E8 0F 40 F9 10 01 40 FD 00 22 71 1E E0 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 20 00 80 52 D8 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 40 00 80 52 CF 00 00 14 36 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 81 03 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD E1 4B 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 7B 00 79 E8 7B C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 A0 00 00 54 E8 43 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 B0 00 00 14 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 10 01 40 FD 00 22 71 1E 41 01 00 54 E8 0F 40 F9 11 01 40 FD F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 20 00 80 52 A1 00 00 14 08 00 00 14 31 14 00 5C F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 00 80 52 99 00 00 14 98 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E E8 0F 40 F9 10 01 40 FD 00 22 71 1E 22 01 00 54 51 12 00 5C F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 00 80 52 8A 00 00 14 89 00 00 14 E8 0F 40 F9 11 01 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD 00 01 80 52 ?? ?? ?? ?? 20 00 80 52 79 00 00 14 78 00 00 14 E8 0F 40 F9 11 01 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 17 40 FD 08 22 60 1E 82 00 00 54 10 10 7C 1E F0 2F 00 FD 03 00 00 14 10 10 6C 1E F0 2F 00 FD F1 17 40 FD F0 2F 40 FD 30 2A 70 1E 08 02 78 1E E8 47 00 B9 E8 47 40 B9 10 01 62 1E F0 17 00 FD F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 0F 40 F9 10 01 40 FD 12 3A 71 1E F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 50 3A 70 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 17 40 FD 20 22 70 1E 42 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E A2 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 2D 00 00 14 F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 2B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 10 0A 71 1E F0 33 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 10 0A 71 1E F0 37 00 FD F1 33 40 FD F0 37 40 FD 31 2A 70 1E 10 10 6E 1E 12 2A 71 1E F1 33 40 FD F0 37 40 FD 31 3A 70 1E 10 10 6E 1E 10 2A 71 1E 51 1A 70 1E F0 1B 40 FD 30 0A 70 1E E8 0F 40 F9 10 01 00 FD E9 47 40 B9 E8 4B 40 B9 21 01 08 0B 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? E0 7F 00 79 E8 7F C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 A0 00 00 54 E8 4F 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_31_1_0 {
	meta:
		name = "exp2"
		size = 392
		refs = "0010 _dtest 00c0 _d_int 0140 ln2 015c _dexp"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 02 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 13 40 FD 45 00 00 14 E8 4F 40 79 08 01 00 11 88 00 78 36 90 08 00 5C F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD E0 1B 40 FD 3B 00 00 14 00 10 6E 1E 39 00 00 14 B1 07 00 5C F0 13 40 FD 00 22 71 1E A9 00 00 54 F1 13 40 FD 50 07 00 5C 00 22 71 1E 88 00 00 54 08 00 80 52 E8 17 00 B9 24 00 00 14 F0 13 40 FD F0 17 00 FD 01 00 80 52 E0 A3 00 91 ?? ?? ?? ?? F0 17 40 FD 08 02 78 1E E8 17 00 B9 F1 13 40 FD F0 17 40 FD 30 3A 70 1E F0 13 00 FD F1 13 40 FD 10 10 6C 1E 00 22 71 1E 22 01 00 54 F1 13 40 FD 10 10 6E 1E 30 3A 70 1E F0 13 00 FD E8 17 40 B9 08 05 00 11 E8 17 00 B9 0C 00 00 14 11 10 7C 1E F0 13 40 FD 00 22 71 1E 02 01 00 54 F1 13 40 FD 10 10 6E 1E 30 2A 70 1E F0 13 00 FD E8 17 40 B9 08 05 00 51 E8 17 00 B9 F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 13 00 FD E1 17 40 B9 00 10 6E 1E E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_413_1_0 {
	meta:
		name = "exp2l"
		size = 392
		refs = "0010 _ldtest 00c0 _ld_int 0140 ln2 015c _ldexp"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 02 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 13 40 FD 45 00 00 14 E8 4F 40 79 08 01 00 11 88 00 78 36 90 08 00 5C F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD E0 1B 40 FD 3B 00 00 14 00 10 6E 1E 39 00 00 14 B1 07 00 5C F0 13 40 FD 00 22 71 1E A9 00 00 54 F1 13 40 FD 50 07 00 5C 00 22 71 1E 88 00 00 54 08 00 80 52 E8 17 00 B9 24 00 00 14 F0 13 40 FD F0 17 00 FD 01 00 80 52 E0 A3 00 91 ?? ?? ?? ?? F0 17 40 FD 08 02 78 1E E8 17 00 B9 F1 13 40 FD F0 17 40 FD 30 3A 70 1E F0 13 00 FD F1 13 40 FD 10 10 6C 1E 00 22 71 1E 22 01 00 54 F1 13 40 FD 10 10 6E 1E 30 3A 70 1E F0 13 00 FD E8 17 40 B9 08 05 00 11 E8 17 00 B9 0C 00 00 14 11 10 7C 1E F0 13 40 FD 00 22 71 1E 02 01 00 54 F1 13 40 FD 10 10 6E 1E 30 2A 70 1E F0 13 00 FD E8 17 40 B9 08 05 00 51 E8 17 00 B9 F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 13 00 FD E1 17 40 B9 00 10 6E 1E E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_32_5_0 {
	meta:
		name = "_mbslen_l"
		size = 156
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 91 E0 43 00 91 ?? ?? ?? ?? EA 13 40 F9 48 09 40 B9 28 01 00 35 68 02 C0 39 6A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 40 01 13 CB 0E 00 00 14 6B 02 40 39 0C 00 80 52 4B 01 00 34 68 01 0A 8B 09 65 40 39 89 00 10 36 73 06 00 91 69 02 40 39 89 00 00 34 6B 1E 40 38 8C 05 00 11 0B FF FF 35 80 7D 40 93 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "norml"
		size = 104
		refs = "0018 creall 0030 cimagl"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 0B 40 FD F0 0B 40 FD 32 0A 70 1E F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "norm"
		size = 104
		refs = "0018 creal 0030 cimag"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 0B 40 FD F0 0B 40 FD 32 0A 70 1E F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_34_5_0 {
	meta:
		name = "_mbstok_s_l"
		size = 800
		refs = "0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1HC@OKFLAEGA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 _CrtDbgReportW 0058 _errno 006c ??_C@_1BI@POJFKBIJ@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 007c _invalid_parameter 0090 ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e8 ??_C@_1FK@NHNJCDJJ@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt@ 0138 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 strtok_s"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 35 00 00 91 56 00 00 91 56 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 A2 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 03 80 52 ?? ?? ?? ?? E6 FF FF 17 D3 02 00 B5 C8 02 40 F9 88 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 03 80 52 ?? ?? ?? ?? D0 FF FF 17 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? EF 13 40 F9 E8 09 40 B9 C8 00 00 35 C2 02 00 91 A1 02 00 91 60 02 00 91 ?? ?? ?? ?? 67 00 00 14 53 00 00 B5 D3 02 40 F9 6B 02 40 39 8B 05 00 34 57 05 80 52 A8 02 40 39 B4 02 00 91 08 03 00 34 8D 02 40 39 A9 01 0F 8B 2A 65 40 39 4A 01 10 36 8C 06 40 39 CC 01 00 34 BF 01 0B 6B 81 00 00 54 68 06 40 39 9F 01 08 6B A0 01 00 54 94 06 00 91 03 00 00 14 BF 01 0B 6B 20 01 00 54 94 06 00 91 89 02 40 39 C9 00 00 34 EE FF FF 17 94 06 00 91 ?? ?? ?? ?? 17 00 00 B9 EF 13 40 F9 88 02 40 39 E8 01 00 34 69 02 40 39 29 01 0F 8B 2A 65 40 39 8A 00 10 36 73 06 00 91 6A 02 40 39 AA 00 00 34 73 06 00 91 6B 02 40 39 AB 00 00 34 DA FF FF 17 ?? ?? ?? ?? 17 00 00 B9 EF 13 40 F9 68 02 40 39 60 02 00 91 28 06 00 34 A7 02 40 39 AC 02 00 91 0D 00 80 52 27 03 00 34 8E 01 40 39 C9 01 0F 8B 2A 65 40 39 6A 01 10 36 8B 05 40 39 4B 02 00 34 68 02 40 39 DF 01 08 6B 81 00 00 54 6A 06 40 39 7F 01 0A 6B 40 01 00 54 8C 05 00 91 04 00 00 14 69 02 40 39 DF 01 09 6B 00 01 00 54 8C 05 00 91 8B 01 40 39 AB 00 00 34 EC FF FF 17 2D 00 80 52 02 00 00 14 8C 05 00 91 88 01 40 39 C8 01 00 35 69 02 40 39 29 01 0F 8B 2A 65 40 39 8A 00 10 36 6A 06 40 39 CA 00 00 34 73 06 00 91 73 06 00 91 6B 02 40 39 2B 01 00 34 D9 FF FF 17 7F 02 00 39 06 00 00 14 7F 02 00 39 73 06 00 91 6D 00 00 34 7F 02 00 39 73 06 00 91 D3 02 00 F9 1F 00 13 EB 41 00 00 54 00 00 80 D2 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 72
		altNames = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { AB 00 40 F9 8A 00 40 F9 69 00 40 F9 48 00 40 F9 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 08 28 00 A9 09 AC 01 A9 1F 70 04 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_1_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 96
	strings:
		$1 = { 48 00 40 F9 AA 00 40 F9 89 00 40 F9 6B 00 40 F9 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 08 24 00 A9 08 00 80 12 08 E8 0D B9 08 EC 0D B9 0B A8 01 A9 1F 70 04 B9 1F 78 04 B9 1F 7C 04 B9 0B 40 02 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_3_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 72
		altNames = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { AB 00 40 F9 8A 00 40 F9 69 00 40 F9 48 00 40 F9 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 08 28 00 A9 09 AC 01 A9 1F 70 04 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_4_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 96
	strings:
		$1 = { 48 00 40 F9 AA 00 40 F9 89 00 40 F9 6B 00 40 F9 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 08 24 00 A9 08 00 80 12 08 E8 0D B9 08 EC 0D B9 0B A8 01 A9 1F 70 04 B9 1F 78 04 B9 1F 7C 04 B9 0B 40 02 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_7_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
		altNames = "__conio_common_vcprintf_s"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF 87 01 39 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_11_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF 87 01 39 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_473_0 {
	meta:
		name = "__conio_common_vcprintf"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF 87 01 39 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_8_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
		altNames = "__conio_common_vcwprintf_s"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF C7 00 79 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_12_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF C7 00 79 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_476_0 {
	meta:
		name = "__conio_common_vcwprintf"
		size = 184
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 007c _free_dbg 00a4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 12 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 E0 83 00 91 F4 23 02 A9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF C7 00 79 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 12 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_9_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 208
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0084 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 0094 _free_dbg 00bc __security_pop_cookie"
		altNames = "__conio_common_vcprintf_p"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 38 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 F4 23 02 A9 08 00 80 12 E0 83 00 91 E8 0B 0E B9 E8 0F 0E B9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF 87 01 39 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 FF 9B 04 B9 FF 9F 04 B9 F5 53 02 F9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 38 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_10_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 208
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0084 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 0094 _free_dbg 00bc __security_pop_cookie"
		altNames = "__conio_common_vcwprintf_p"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 38 D1 14 00 00 91 35 00 00 91 41 00 00 91 E0 03 00 91 73 00 00 91 ?? ?? ?? ?? FF 57 03 A9 E8 23 00 91 FF 7F 09 29 F4 23 02 A9 08 00 80 12 E0 83 00 91 E8 0B 0E B9 E8 0F 0E B9 FF 7F 0A 29 FF 5B 00 B9 FF 83 01 39 FF C7 00 79 FF 73 00 B9 FF D3 01 39 FF 3F 02 F9 FF 43 02 F9 F3 23 00 F9 FF 93 04 B9 FF 9B 04 B9 FF 9F 04 B9 F5 53 02 F9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 43 42 F9 ?? ?? ?? ?? E8 63 40 39 FF 43 02 F9 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 38 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_13_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 28
		altNames = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
	strings:
		$1 = { 08 04 42 F9 68 00 00 B5 00 40 80 D2 03 00 00 14 08 00 42 F9 00 FD 41 D3 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_14_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 28
	strings:
		$1 = { 08 04 42 F9 68 00 00 B5 00 20 80 D2 03 00 00 14 08 00 42 F9 00 FD 42 D3 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_15_0 {
	meta:
		name = "??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ"
		size = 16
		altNames = "??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ"
	strings:
		$1 = { 08 04 42 F9 1F 01 00 F1 00 00 88 9A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_17_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z"
		size = 204
		refs = "0030 _errno 006c ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0080 _malloc_dbg 009c _free_dbg"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 08 00 80 92 41 00 00 B5 80 00 3E D4 08 09 C1 9A 09 F9 7F 92 3F 09 00 F1 C2 00 00 54 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 00 00 80 52 1F 00 00 14 68 06 42 F9 34 F8 7F D3 A8 00 00 B5 9F 02 10 F1 68 00 00 54 20 00 80 52 18 00 00 14 68 02 42 F9 9F 02 08 EB 89 FF FF 54 ?? ?? ?? ?? ?? ?? ?? ?? 83 2C 80 52 41 00 80 52 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 75 00 00 B5 13 00 80 52 07 00 00 14 60 06 42 F9 41 00 80 52 ?? ?? ?? ?? 75 06 02 F9 74 02 02 F9 33 00 80 52 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_18_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 248
		refs = "0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0048 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 _CrtDbgReportW 0074 _errno 0080 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0098 _invalid_parameter 00cc ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 01 01 00 54 08 10 40 F9 09 21 00 91 09 10 00 F9 29 81 DF 38 28 7D 40 93 28 00 00 F9 2E 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 13 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 07 00 00 14 08 01 0A 9B 09 49 42 F9 2A 01 C0 39 4B 7D 40 93 2B 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_19_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 248
		refs = "0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0048 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 _CrtDbgReportW 0074 _errno 0080 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0098 _invalid_parameter 00cc ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 01 01 00 54 08 10 40 F9 09 21 00 91 09 10 00 F9 29 81 DF 38 28 7D 40 93 28 00 00 F9 2E 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 13 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 07 00 00 14 08 01 0A 9B 09 49 42 F9 2A 01 C0 39 4B 7D 40 93 2B 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_20_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 32
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 08 10 40 F9 09 21 00 91 09 10 00 F9 29 81 DF 38 20 00 80 52 28 7D 40 93 28 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_22_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 236
		refs = "0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0040 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c _CrtDbgReportW 006c _errno 0078 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0090 _invalid_parameter 00c4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 C1 00 00 54 08 10 40 F9 09 21 00 91 09 10 00 F9 2A 81 5F 38 2C 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 12 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 06 00 00 14 08 01 0A 9B 09 49 42 F9 2A 01 40 39 20 00 80 52 2A 00 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_23_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 236
		refs = "0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0040 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c _CrtDbgReportW 006c _errno 0078 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0090 _invalid_parameter 00c4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 C1 00 00 54 08 10 40 F9 09 21 00 91 09 10 00 F9 2A 81 5F 38 2C 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 12 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 06 00 00 14 08 01 0A 9B 09 49 42 F9 2A 01 40 39 20 00 80 52 2A 00 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_24_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 28
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 08 10 40 F9 09 21 00 91 09 10 00 F9 2A 81 5F 38 20 00 80 52 2A 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_26_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 268
		refs = "004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0054 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0070 _CrtDbgReportW 0080 _errno 008c ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a4 _invalid_parameter 00d8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 61 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 DF 78 09 7D 40 93 29 00 00 F9 30 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 15 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 09 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 EA 78 4B 7D 40 93 2B 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_27_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 268
		refs = "004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0054 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0070 _CrtDbgReportW 0080 _errno 008c ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a4 _invalid_parameter 00d8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 61 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 DF 78 09 7D 40 93 29 00 00 F9 30 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 15 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 09 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 EA 78 4B 7D 40 93 2B 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_28_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 44
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 DF 78 20 00 80 52 09 7D 40 93 29 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_30_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 DF 38 28 00 00 39 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 EA 38 2A 00 00 39 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_31_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 40
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 DF 38 20 00 80 52 28 00 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_32_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 6A 78 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_33_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 6A 78 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_34_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 20 00 80 52 28 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_36_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 9F B8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 AA B8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_37_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 9F B8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 AA B8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_38_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 9F B8 20 00 80 52 28 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_40_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_41_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_42_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 20 00 80 52 28 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_44_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F F8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 62 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 0A 69 6A F8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_45_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F F8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 62 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 0A 69 6A F8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_46_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F F8 20 00 80 52 28 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_60_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 256
		refs = "0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 004c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0068 _CrtDbgReportW 0078 _errno 0084 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 009c _invalid_parameter 00d0 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 21 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 70 81 5F FC 2E 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 82 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 10 69 6A FC 30 00 00 FD 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 256
		refs = "0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 004c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0068 _CrtDbgReportW 0078 _errno 0084 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 009c _invalid_parameter 00d0 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 21 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 70 81 5F FC 2E 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 82 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 10 69 6A FC 30 00 00 FD 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 70 81 5F FC 20 00 80 52 30 00 00 FD C0 03 5F D6 }
	condition:
		$1
}

rule file_35_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F F8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 42 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 0A 69 6A F8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F F8 28 00 00 F9 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 42 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 09 40 92 0A 69 6A F8 2A 00 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 28 00 00 79 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 04 C1 39 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 6A 78 2A 00 00 79 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 260
		refs = "0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0088 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 _invalid_parameter 00d4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 05 00 71 41 01 00 54 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 28 00 00 79 2F 00 00 14 09 EC 4D B9 3F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 14 00 00 14 08 78 44 B9 0A 03 80 D2 1F 05 00 71 28 7D 40 93 01 01 00 54 09 01 0A 9B 04 3C 40 B9 22 00 80 52 03 84 40 79 21 21 12 91 ?? ?? ?? ?? 08 00 00 14 08 01 0A 9B 0A 49 42 F9 E9 03 0A CB 28 01 40 92 0A 69 6A 78 2A 00 00 79 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_74_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F 78 20 00 80 52 28 00 00 79 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_82_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 24
	strings:
		$1 = { 08 1C 00 53 09 0D 01 51 EA 1B 80 52 3F 01 0A 6A E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_83_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 20
	strings:
		$1 = { 08 0C 01 51 E9 FB 9F 52 1F 01 09 6A E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_84_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 56
	strings:
		$1 = { 08 60 01 51 09 1D 00 53 3F 81 00 71 88 00 00 54 09 01 00 58 28 25 C8 9A 88 00 00 37 1F A8 00 71 00 00 80 52 41 00 00 54 20 00 80 52 C0 03 5F D6 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_85_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 64
	strings:
		$1 = { 08 F5 9F 52 08 00 08 0B 09 3D 00 53 3F 81 00 71 88 00 00 54 28 01 00 58 08 25 C9 9A 88 00 00 37 1F A8 00 71 00 00 80 52 41 00 00 54 20 00 80 52 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_88_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 24
	strings:
		$1 = { 08 1C 00 53 09 4D 01 51 EA 1B 80 52 3F 01 0A 6A E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_89_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 20
	strings:
		$1 = { 08 4C 01 51 E9 FB 9F 52 1F 01 09 6A E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_90_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 80
	strings:
		$1 = { 5F 08 00 71 20 02 00 54 5F 0C 00 71 A0 01 00 54 5F 30 00 71 60 01 00 54 5F 34 00 71 60 01 00 54 28 1C 00 53 09 8D 01 51 EA 1D 80 52 3F 01 0A 6A E8 17 9F 1A 08 01 00 52 00 1D 00 53 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_91_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 88
	strings:
		$1 = { 5F 08 00 71 60 02 00 54 5F 0C 00 71 E0 01 00 54 5F 30 00 71 A0 01 00 54 5F 34 00 71 60 01 00 54 28 8C 01 51 E9 FD 9F 52 1F 01 09 6A 0B 00 7E 92 EA 17 9F 1A 7F 01 00 F1 E8 17 9F 1A 09 01 0A 4A 20 1D 00 53 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_94_0 {
	meta:
		name = "??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
		size = 16
	strings:
		$1 = { E8 03 00 CB 09 01 40 92 20 69 E0 78 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_95_0 {
	meta:
		name = "??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
		size = 16
		altNames = "??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { E8 03 00 CB 09 01 40 92 20 69 60 78 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_96_0 {
	meta:
		name = "??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
		size = 16
		altNames = "??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { E8 03 00 CB 09 05 40 92 20 69 60 B8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_98_0 {
	meta:
		name = "??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
		size = 16
		altNames = "??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { E8 03 00 CB 09 09 40 92 20 69 60 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_102_0 {
	meta:
		name = "??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
		size = 16
	strings:
		$1 = { E8 03 00 CB 09 09 40 92 20 69 60 FC C0 03 5F D6 }
	condition:
		$1
}

rule file_35_108_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAEAPEAD@Z"
		size = 20
	strings:
		$1 = { 08 00 40 F9 09 21 00 91 09 00 00 F9 20 81 DF 38 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_109_0 {
	meta:
		name = "??$read_va_arg@E@__crt_stdio_output@@YAEAEAPEAD@Z"
		size = 20
	strings:
		$1 = { 08 00 40 F9 09 21 00 91 09 00 00 F9 20 81 5F 38 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_110_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAEAPEAD@Z"
		size = 32
	strings:
		$1 = { 0A 00 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 00 00 F9 60 81 DF 78 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_111_0 {
	meta:
		name = "??$read_va_arg@G@__crt_stdio_output@@YAGAEAPEAD@Z"
		size = 32
		altNames = "??$read_va_arg@_W@__crt_stdio_output@@YA_WAEAPEAD@Z"
	strings:
		$1 = { 0A 00 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 0B 00 00 F9 60 81 5F 78 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_112_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z"
		size = 32
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAEAPEAD@Z"
	strings:
		$1 = { 0A 00 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 00 00 F9 60 81 5F B8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_114_0 {
	meta:
		name = "??$read_va_arg@PEAD@__crt_stdio_output@@YAPEADAEAPEAD@Z"
		size = 32
		altNames = "??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { 0A 00 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 00 00 F9 60 81 5F F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_122_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z"
		size = 32
	strings:
		$1 = { 0A 00 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 00 00 F9 60 81 5F FC C0 03 5F D6 }
	condition:
		$1
}

rule file_35_127_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ"
		size = 28
	strings:
		$1 = { 09 04 42 F9 69 00 00 B5 00 00 08 91 03 00 00 14 08 00 42 F9 20 05 48 8B C0 03 5F D6 }
	condition:
		$1
}

rule file_35_132_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 196
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 09 60 01 91 28 05 42 F9 1F 01 00 F1 2A 01 88 9A 08 30 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 08 2C 42 F9 08 FD 41 D3 08 01 0A 8B 06 05 00 D1 06 24 00 F9 0A 38 40 B9 5F 01 00 71 20 D8 40 7A 40 03 00 54 49 05 00 51 09 38 00 B9 42 00 00 35 80 00 3E D4 2C 08 C2 1A 8A 85 02 1B 81 01 00 11 4B C1 00 11 6D 1D 00 13 BF E5 00 71 2D 01 00 54 2E 08 80 52 7F 00 00 71 28 0C 80 52 C8 11 88 1A 0C 01 0D 0B 8D 1D 00 13 AE E9 00 51 CD 1D 00 13 0F 24 40 F9 ED 01 00 39 09 24 40 F9 27 05 00 D1 07 24 00 F9 E4 FF FF 17 08 24 40 F9 CA 00 08 4B 0A 50 00 B9 08 24 40 F9 09 05 00 91 09 24 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_135_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 208
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 09 60 01 91 28 05 42 F9 1F 01 00 F1 2A 01 88 9A 08 30 42 F9 68 00 00 B5 08 20 80 D2 03 00 00 14 08 2C 42 F9 08 FD 42 D3 48 05 08 8B 05 09 00 D1 05 24 00 F9 0A 38 40 B9 5F 01 00 71 20 D8 40 7A 80 03 00 54 49 05 00 51 09 38 00 B9 42 00 00 35 80 00 3E D4 2C 08 C2 1A 8A 85 02 1B 81 01 00 11 4B C1 00 11 6D 3D 00 53 BF E5 00 71 49 01 00 54 2E 08 80 52 7F 00 00 71 28 0C 80 52 C8 11 88 1A 0C 81 2D 0B 8D 1D 00 13 AE E9 00 51 CF 1D 00 13 ED 3D 00 53 09 24 40 F9 A7 1D 00 13 27 01 00 79 0A 24 40 F9 4B 09 00 D1 0B 24 00 F9 E2 FF FF 17 08 24 40 F9 A9 00 08 CB 2A FD 41 93 0A 50 00 B9 08 24 40 F9 09 09 00 91 09 24 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_138_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 204
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
	strings:
		$1 = { 09 60 01 91 28 05 42 F9 1F 01 00 F1 2A 01 88 9A 08 30 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 08 2C 42 F9 08 FD 41 D3 08 01 0A 8B 05 05 00 D1 05 24 00 F9 0A 38 40 B9 5F 01 00 71 20 D8 40 FA 80 03 00 54 49 05 00 51 09 38 00 B9 4A 7C 40 D3 4A 00 00 B5 80 00 3E D4 2D 08 CA 9A AA 85 0A 9B A1 01 00 91 4B 1D 00 13 6C C1 00 11 8E 1D 00 13 DF E5 00 71 2D 01 00 54 2F 08 80 52 7F 00 00 71 28 0C 80 52 E8 11 88 1A 0D 01 0E 0B AE 1D 00 13 CF E9 00 51 EE 1D 00 13 09 24 40 F9 2E 01 00 39 07 24 40 F9 E6 04 00 D1 06 24 00 F9 E2 FF FF 17 08 24 40 F9 AA 00 08 4B 0A 50 00 B9 08 24 40 F9 09 05 00 91 09 24 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_141_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 216
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
	strings:
		$1 = { 09 60 01 91 28 05 42 F9 1F 01 00 F1 2A 01 88 9A 08 30 42 F9 68 00 00 B5 08 20 80 D2 03 00 00 14 08 2C 42 F9 08 FD 42 D3 48 05 08 8B 04 09 00 D1 04 24 00 F9 0A 38 40 B9 5F 01 00 71 20 D8 40 FA C0 03 00 54 49 05 00 51 09 38 00 B9 4A 7C 40 D3 4A 00 00 B5 80 00 3E D4 2D 08 CA 9A AA 85 0A 9B A1 01 00 91 4B 3D 00 53 6C C1 00 11 8E 3D 00 53 DF E5 00 71 49 01 00 54 2F 08 80 52 7F 00 00 71 28 0C 80 52 E8 11 88 1A 0D 81 2E 0B AE 1D 00 13 CF E9 00 51 E7 1D 00 13 EE 3C 00 53 06 24 40 F9 C9 1D 00 13 C9 00 00 79 0A 24 40 F9 4B 09 00 D1 0B 24 00 F9 E0 FF FF 17 08 24 40 F9 89 00 08 CB 2A FD 41 93 0A 50 00 B9 08 24 40 F9 09 09 00 91 09 24 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_144_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z"
		size = 116
		refs = "002c _putch_nolock"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 55 00 00 11 BF 02 00 71 36 00 00 11 74 00 00 91 13 00 80 52 0D 02 00 54 C0 02 00 11 ?? ?? ?? ?? 1F 04 00 31 40 01 00 54 88 02 40 B9 09 05 00 11 89 02 00 B9 3F 05 00 31 E0 00 00 54 73 06 00 11 7F 02 15 6B 8A 00 00 54 F4 FF FF 17 08 00 80 12 88 02 00 B9 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_145_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z"
		size = 120
		refs = "002c _putwch_nolock"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 55 00 00 11 BF 02 00 71 36 00 00 11 74 00 00 91 13 00 80 52 2D 02 00 54 C0 3E 00 53 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 40 01 00 54 88 02 40 B9 09 05 00 11 89 02 00 B9 3F 05 00 31 E0 00 00 54 73 06 00 11 7F 02 15 6B 8A 00 00 54 F3 FF FF 17 08 00 80 12 88 02 00 B9 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_147_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IEAA@XZ"
		size = 52
	strings:
		$1 = { 1F 7C 00 A9 1F 7C 01 A9 1F 10 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_148_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IEAA@XZ"
		size = 52
	strings:
		$1 = { 1F 7C 00 A9 1F 7C 01 A9 1F 10 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_149_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 52
	strings:
		$1 = { 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_150_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 52
	strings:
		$1 = { 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_151_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 56
		altNames = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 1F 70 04 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_152_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 80
	strings:
		$1 = { 1F 08 00 F9 08 00 80 12 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 04 01 39 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 1F 70 04 B9 1F 78 04 B9 1F 7C 04 B9 03 40 02 F9 08 E8 0D B9 08 EC 0D B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_154_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 56
		altNames = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 1F 08 00 F9 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 1F 70 04 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_155_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 80
	strings:
		$1 = { 1F 08 00 F9 08 00 80 12 1F 7C 05 29 1F 7C 06 29 1F 38 00 B9 1F 00 01 39 1F 84 00 79 1F 50 00 B9 1F 50 01 39 1F 2C 02 F9 1F 30 02 F9 02 10 00 A9 03 94 01 A9 1F 70 04 B9 1F 78 04 B9 1F 7C 04 B9 03 40 02 F9 08 E8 0D B9 08 EC 0D B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_159_0 {
	meta:
		name = "??0__crt_errno_guard@@QEAA@QEAH@Z"
		size = 20
	strings:
		$1 = { 01 00 00 F9 28 00 40 B9 08 08 00 B9 3F 00 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_162_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QEAA@XZ"
		size = 44
		refs = "0018 _free_dbg"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 32 42 F9 41 00 80 52 ?? ?? ?? ?? 7F 32 02 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_179_0 {
	meta:
		name = "??1__crt_errno_guard@@QEAA@XZ"
		size = 28
	strings:
		$1 = { 09 00 40 F9 28 01 40 B9 88 00 00 35 08 08 40 B9 48 00 00 34 28 01 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_180_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		size = 44
		refs = "0018 _free_dbg"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 06 42 F9 41 00 80 52 ?? ?? ?? ?? 7F 06 02 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_181_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
		size = 64
		refs = "001c _free_dbg"
		altNames = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 14 00 00 91 80 02 40 F9 33 00 00 91 41 00 80 52 ?? ?? ?? ?? 9F 02 00 F9 68 02 40 F9 80 02 00 91 88 02 00 F9 7F 02 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_184_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 36
		altNames = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 29 08 80 52 3F 00 00 71 28 0C 80 52 28 11 88 1A 09 81 20 0B 2A 1D 00 13 4B E9 00 51 60 1D 00 13 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_190_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 84
		altNames = "?advance_to_next_pass@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 08 78 44 B9 09 05 00 11 09 78 04 B9 3F 0D 00 71 61 00 00 54 00 00 80 52 0E 00 00 14 3F 09 00 71 81 00 00 54 08 7C 44 B9 1F 05 00 71 40 FF FF 54 08 00 80 12 1F 7C 04 B9 08 E8 0D B9 08 EC 0D B9 08 40 42 F9 1F FC 06 29 08 0C 00 F9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_192_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 24
		altNames = "?advance_to_next_pass@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 08 70 44 B9 09 05 00 11 3F 09 00 71 09 70 04 B9 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_194_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 152
	strings:
		$1 = { 28 00 40 F9 09 7D 40 F9 2A 01 40 F9 4D 01 C0 39 04 00 00 14 7F 01 0D 6B 80 00 00 54 00 04 00 91 0B 00 C0 39 8B FF FF 35 08 00 C0 39 0C 04 00 91 28 03 00 34 07 00 00 14 29 1D 00 53 2A 15 01 51 EE 1B 80 52 4A 01 0E 0A 8A 00 00 34 8C 05 00 91 89 01 C0 39 29 FF FF 35 8B 05 00 D1 68 01 C0 39 1F C1 00 71 A1 00 00 54 6B 05 00 D1 69 01 C0 39 3F C1 00 71 A0 FF FF 54 68 01 C0 39 1F 01 0D 6B 41 00 00 54 6B 05 00 D1 8A 15 C0 38 6A 1D 00 38 CA FF FF 35 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_195_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 68
		refs = "000c format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
	strings:
		$1 = { 28 80 03 11 09 1D 00 53 3F 69 01 71 ?? ?? ?? ?? C8 00 00 54 29 80 00 51 ?? ?? ?? ?? 0A C9 69 38 4B 0D 00 12 02 00 00 14 0B 00 80 52 68 0D 0B 0B ?? ?? ?? ?? 0A 01 02 0B 2B 49 6A 38 60 7D 04 53 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_197_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 64
		refs = "000c standard_lookup_table"
	strings:
		$1 = { 28 80 03 11 09 1D 00 53 3F 69 01 71 ?? ?? ?? ?? C8 00 00 54 29 80 00 51 ?? ?? ?? ?? 0A C9 69 38 4B 0D 00 12 02 00 00 14 0B 00 80 52 49 0C 0B 0B ?? ?? ?? ?? 0A 49 69 38 40 7D 04 53 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_198_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 72
		refs = "0010 format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 08 FC 9F 52 28 00 08 0B 09 3D 00 53 3F 69 01 71 ?? ?? ?? ?? C8 00 00 54 29 80 00 51 ?? ?? ?? ?? 0A C9 69 38 4B 0D 00 12 02 00 00 14 0B 00 80 52 68 0D 0B 0B ?? ?? ?? ?? 0A 01 02 0B 2B 49 6A 38 60 7D 04 53 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_200_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 68
		refs = "0010 standard_lookup_table"
	strings:
		$1 = { 08 FC 9F 52 28 00 08 0B 09 3D 00 53 3F 69 01 71 ?? ?? ?? ?? C8 00 00 54 29 80 00 51 ?? ?? ?? ?? 0A C9 69 38 4B 0D 00 12 02 00 00 14 0B 00 80 52 49 0C 0B 0B ?? ?? ?? ?? 0A 49 69 38 40 7D 04 53 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_201_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 132
		refs = "0018 tolower 002c isdigit"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 C0 39 34 00 00 91 ?? ?? ?? ?? 1F 94 01 71 A0 00 00 54 73 06 00 91 60 02 40 39 ?? ?? ?? ?? A0 FF FF 35 60 02 C0 39 ?? ?? ?? ?? 1F E0 01 71 41 00 00 54 73 0A 00 91 88 02 40 F9 6D 06 00 91 6E 02 C0 39 09 7D 40 F9 2A 01 40 F9 4B 01 C0 39 6B 02 00 39 AC 15 C0 38 AE F1 1F 38 8E 01 00 11 AC F1 DF 38 8C FF FF 35 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_203_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QEAAAEAHXZ"
		size = 48
		refs = "0018 _errno"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 02 40 F9 68 00 00 B5 ?? ?? ?? ?? 60 02 00 F9 60 02 40 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_220_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z"
		size = 16
		altNames = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z"
	strings:
		$1 = { 08 30 40 B9 1F 01 01 6A E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_35_226_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 544
		refs = "01cc ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 2B 00 00 91 61 11 C0 39 76 00 00 11 95 00 00 11 3F C0 01 71 E9 17 9F 1A DF C2 01 71 E8 17 9F 1A 49 0E 00 35 28 0E 00 35 28 1C 00 53 09 4D 01 51 EA 1B 80 52 C8 1E 00 53 3F 01 0A 6A 09 4D 01 51 EE 17 9F 1A 28 1C 00 53 3F 01 0A 6A 09 0D 01 51 ED 17 9F 1A C8 1E 00 53 3F 01 0A 6A 09 0D 01 51 EC 17 9F 1A 3F 01 0A 6A E8 17 9F 1A AE 09 00 35 8D 0B 00 35 AC 09 00 35 48 0B 00 35 28 60 01 51 09 1D 00 53 3F 81 00 71 0D 0C 00 58 68 00 00 54 A8 25 C8 9A 88 00 00 37 3F A8 00 71 0A 00 80 52 41 00 00 54 2A 00 80 52 C8 62 01 51 09 1D 00 53 3F 81 00 71 68 00 00 54 A8 25 C8 9A 88 00 00 37 DF AA 00 71 08 00 80 52 41 00 00 54 28 00 80 52 AA 00 00 35 68 08 00 35 68 01 40 B9 1F 01 02 6B 3E 00 00 14 5F 01 08 6B C1 07 00 54 6A 11 40 B9 5F 25 00 71 E9 17 9F 1A BF 26 00 71 E8 17 9F 1A 3F 01 08 6B E1 06 00 54 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8B 00 80 D2 08 00 00 14 2B 00 80 D2 06 00 00 14 4B 00 80 D2 04 00 00 14 0B 01 80 D2 02 00 00 14 0B 00 80 D2 BF 2E 00 71 08 02 00 54 89 00 00 10 28 49 B5 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 7F 01 0A EB 0F 00 00 14 DF 01 0D 6B E1 01 00 54 9F 01 08 6B A1 01 00 54 14 00 40 F9 62 11 40 B9 80 02 00 91 ?? ?? ?? ?? A2 02 00 11 13 00 00 11 80 02 00 91 C1 02 00 11 ?? ?? ?? ?? 7F 02 00 6B E0 17 9F 1A 06 00 00 14 00 00 80 52 04 00 00 14 08 01 09 4A 09 01 00 52 20 1D 00 53 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_227_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 536
		refs = "01c4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 2A 00 00 91 41 09 40 79 76 00 00 11 95 00 00 11 3F C0 01 71 E9 17 9F 1A DF C2 01 71 E8 17 9F 1A 09 0E 00 35 E8 0D 00 35 E9 FB 9F 52 28 4C 01 51 1F 01 09 6A C8 4E 01 51 ED 17 9F 1A 1F 01 09 6A 28 0C 01 51 EC 17 9F 1A 1F 01 09 6A C8 0E 01 51 EB 17 9F 1A 1F 01 09 6A E8 17 9F 1A ED 09 00 35 CC 0B 00 35 EB 09 00 35 88 0B 00 35 08 F5 9F 52 28 00 08 0B 09 3D 00 53 3F 81 00 71 2C 0C 00 58 68 00 00 54 88 25 C9 9A 88 00 00 37 3F A8 00 71 09 00 80 52 41 00 00 54 29 00 80 52 08 F5 9F 52 C8 02 08 0B 0B 3D 00 53 7F 81 00 71 68 00 00 54 88 25 CB 9A 88 00 00 37 DF AA 00 71 08 00 80 52 41 00 00 54 28 00 80 52 A9 00 00 35 68 08 00 35 48 01 40 B9 1F 01 02 6B 3E 00 00 14 3F 01 08 6B C1 07 00 54 4A 11 40 B9 5F 25 00 71 E9 17 9F 1A BF 26 00 71 E8 17 9F 1A 3F 01 08 6B E1 06 00 54 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8B 00 80 D2 08 00 00 14 2B 00 80 D2 06 00 00 14 4B 00 80 D2 04 00 00 14 0B 01 80 D2 02 00 00 14 0B 00 80 D2 BF 2E 00 71 08 02 00 54 89 00 00 10 28 49 B5 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 7F 01 0A EB 0F 00 00 14 BF 01 0C 6B E1 01 00 54 7F 01 08 6B A1 01 00 54 14 00 40 F9 42 11 40 B9 80 02 00 91 ?? ?? ?? ?? A2 02 00 11 13 00 00 11 80 02 00 91 C1 02 00 11 ?? ?? ?? ?? 7F 02 00 6B E0 17 9F 1A 06 00 00 14 00 00 80 52 04 00 00 14 08 01 09 4A 09 01 00 52 20 1D 00 53 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_235_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 176
		refs = "0020 _errno 0048 strtol"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 0A 40 F9 36 00 00 91 68 00 00 B5 ?? ?? ?? ?? 60 0A 00 F9 74 0A 40 F9 42 01 80 52 E1 43 00 91 95 02 40 B9 9F 02 00 B9 68 0E 40 F9 FF 0B 00 F9 00 05 00 D1 ?? ?? ?? ?? C0 02 00 B9 68 0A 40 F9 68 00 00 B5 ?? ?? ?? ?? 60 0A 00 F9 68 0A 40 F9 09 01 40 B9 3F 89 00 71 00 01 00 54 68 0E 40 F9 E9 0B 40 F9 3F 01 08 EB 83 00 00 54 69 0E 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 88 02 40 B9 68 00 00 35 55 00 00 34 95 02 00 B9 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_238_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 176
		refs = "0020 _errno 0048 wcstol"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 0A 40 F9 36 00 00 91 68 00 00 B5 ?? ?? ?? ?? 60 0A 00 F9 74 0A 40 F9 42 01 80 52 E1 43 00 91 95 02 40 B9 9F 02 00 B9 68 0E 40 F9 FF 0B 00 F9 00 09 00 D1 ?? ?? ?? ?? C0 02 00 B9 68 0A 40 F9 68 00 00 B5 ?? ?? ?? ?? 60 0A 00 F9 68 0A 40 F9 09 01 40 B9 3F 89 00 71 00 01 00 54 68 0E 40 F9 E9 0B 40 F9 3F 01 08 EB 83 00 00 54 69 0E 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 88 02 40 B9 68 00 00 35 55 00 00 34 95 02 00 B9 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_241_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 704
		refs = "0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c _CrtDbgReportW 004c _errno 0060 ??_C@_1BLG@HKIOHBGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0070 _invalid_parameter 0090 format_validation_lookup_table 0134 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0174 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0210 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021c ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0248 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0278 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 7C 00 00 14 68 72 44 B9 09 05 00 11 69 72 04 B9 3F 09 00 71 C0 0E 00 54 ?? ?? ?? ?? 69 0E 40 F9 7F 52 00 B9 7F 2E 00 B9 2A 01 C0 39 6A 06 01 39 8A 0C 00 34 6A 0E 40 F9 6B 2A 40 B9 48 05 00 91 68 0E 00 F9 4B 0C F8 37 6D 06 C1 39 67 2E 40 B9 AC 81 03 11 89 1D 00 53 3F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 EA 0D 00 12 02 00 00 14 0A 00 80 52 48 0D 0A 0B ?? ?? ?? ?? 0A 01 07 0B 2B 49 6A 38 67 7D 04 53 67 2E 00 B9 FF 20 00 71 40 0B 00 54 FF 1C 00 71 08 FB FF 54 8C 00 00 10 8A 49 A7 38 8A 09 0A 8B 40 01 1F D6 02 05 0B 0E 24 26 39 3C 60 02 00 91 ?? ?? ?? ?? 3A 00 00 14 09 00 80 12 7F 7E 06 29 69 7E 07 29 7F 02 01 39 7F 52 01 39 36 00 00 14 60 02 00 91 ?? ?? ?? ?? 31 00 00 14 68 06 C1 39 1F A9 00 71 A0 00 00 54 61 D2 00 91 60 02 00 91 ?? ?? ?? ?? 2A 00 00 14 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 6C 36 00 B9 AC 00 F8 36 6B 36 46 29 6C 01 1E 32 EE 03 0D 4B 6C 3A 06 29 28 00 80 52 1C 00 00 14 7F 3A 00 B9 1B 00 00 14 68 06 C1 39 1F A9 00 71 60 00 00 54 61 E2 00 91 E8 FF FF 17 6A 12 40 F9 0D 00 80 12 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 9F 01 00 71 6C 3A 00 B9 8B 01 00 11 AC B1 8B 1A 6C 3A 00 B9 EA FF FF 17 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 88 F2 FF 34 68 0E 40 F9 09 01 C0 39 69 06 01 39 C9 F3 FF 35 69 0E 40 F9 2A 05 00 91 6A 0E 00 F9 60 02 00 91 ?? ?? ?? ?? 40 F1 FF 34 69 72 44 B9 2A 05 00 11 6A 72 04 B9 5F 09 00 71 A1 F1 FF 54 60 2A 40 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 69 FF FF 17 }
	condition:
		$1
}

rule file_35_242_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 612
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 0064 ??_C@_1BLM@CNOJLNJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0074 _invalid_parameter 0080 format_validation_lookup_table 013c ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0174 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0194 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01a0 ?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01c0 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01cc ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01f8 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0208 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 76 00 00 14 ?? ?? ?? ?? 14 00 80 12 68 7A 44 B9 09 05 00 11 69 7A 04 B9 3F 0D 00 71 C0 0D 00 54 3F 09 00 71 81 00 00 54 69 7E 44 B9 3F 05 00 71 20 0D 00 54 6A 42 42 F9 7F 7E 04 B9 74 EA 0D B9 74 EE 0D B9 7F FE 06 29 6A 0E 00 F9 7F 52 00 B9 7F 2E 00 B9 48 01 C0 39 68 06 01 39 88 08 00 34 68 0E 40 F9 6A 2A 40 B9 09 05 00 91 69 0E 00 F9 4A 08 F8 37 6D 06 C1 39 67 2E 40 B9 AB 81 03 11 6C 1D 00 53 9F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 E8 0D 00 12 02 00 00 14 08 00 80 52 08 0D 08 0B ?? ?? ?? ?? 60 02 00 91 0A 01 07 0B 2B 49 6A 38 6A 7D 04 53 6A 2E 00 B9 ?? ?? ?? ?? C0 F9 FF 34 6B 2E 40 B9 7F 21 00 71 C0 05 00 54 7F 1D 00 71 28 F9 FF 54 8A 00 00 10 49 49 AB 38 49 09 09 8B 20 01 1F D6 02 05 0A 0D 10 12 15 18 60 02 00 91 ?? ?? ?? ?? 16 00 00 14 7F 7E 06 29 7F 02 01 39 74 7E 07 29 7F 52 01 39 13 00 00 14 60 02 00 91 ?? ?? ?? ?? 0E 00 00 14 60 02 00 91 ?? ?? ?? ?? 0B 00 00 14 7F 3A 00 B9 0B 00 00 14 60 02 00 91 ?? ?? ?? ?? 06 00 00 14 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 28 F5 FF 34 68 0E 40 F9 09 01 C0 39 69 06 01 39 C9 F7 FF 35 69 0E 40 F9 2A 05 00 91 6A 0E 00 F9 60 02 00 91 ?? ?? ?? ?? E0 F3 FF 34 A2 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 86 FF FF 17 60 2A 40 B9 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_243_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 688
		refs = "0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c _CrtDbgReportW 004c _errno 0060 ??_C@_1BKE@EJAONHIE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0070 _invalid_parameter 0090 standard_lookup_table 0130 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0154 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 020c ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0218 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0268 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 78 00 00 14 68 72 44 B9 09 05 00 11 69 72 04 B9 3F 09 00 71 40 0E 00 54 ?? ?? ?? ?? 69 0E 40 F9 7F 52 00 B9 7F 2E 00 B9 2A 01 C0 39 6A 06 01 39 6A 0C 00 34 6A 0E 40 F9 6B 2A 40 B9 48 05 00 91 68 0E 00 F9 2B 0C F8 37 6D 06 C1 39 67 2E 40 B9 AC 81 03 11 89 1D 00 53 3F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 EA 0D 00 12 02 00 00 14 0A 00 80 52 EA 0C 0A 0B ?? ?? ?? ?? 0B 49 6A 38 67 7D 04 53 67 2E 00 B9 FF 20 00 71 E0 0A 00 54 FF 1C 00 71 28 FB FF 54 8C 00 00 10 89 49 A7 38 89 09 09 8B 20 01 1F D6 02 05 0B 0E 24 26 39 3C 60 02 00 91 ?? ?? ?? ?? 3A 00 00 14 09 00 80 12 7F 7E 06 29 69 7E 07 29 7F 02 01 39 7F 52 01 39 36 00 00 14 60 02 00 91 ?? ?? ?? ?? 31 00 00 14 68 06 C1 39 1F A9 00 71 A0 00 00 54 61 D2 00 91 60 02 00 91 ?? ?? ?? ?? 2A 00 00 14 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 6C 36 00 B9 AC 00 F8 36 6B 36 46 29 6C 01 1E 32 EE 03 0D 4B 6C 3A 06 29 28 00 80 52 1C 00 00 14 7F 3A 00 B9 1B 00 00 14 68 06 C1 39 1F A9 00 71 60 00 00 54 61 E2 00 91 E8 FF FF 17 6A 12 40 F9 0D 00 80 12 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 9F 01 00 71 6C 3A 00 B9 8B 01 00 11 AC B1 8B 1A 6C 3A 00 B9 EA FF FF 17 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 A8 F2 FF 34 68 0E 40 F9 09 01 C0 39 69 06 01 39 E9 F3 FF 35 69 0E 40 F9 2A 05 00 91 6A 0E 00 F9 6B 72 44 B9 6C 05 00 11 6C 72 04 B9 9F 09 00 71 21 F2 FF 54 60 2A 40 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 6D FF FF 17 }
	condition:
		$1
}

rule file_35_244_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 756
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 0064 ??_C@_1BMO@BFJMLNMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0074 _invalid_parameter 0094 format_validation_lookup_table 0148 _putwch_nolock 0188 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01a4 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0240 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 024c ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0278 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 02ac ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 87 00 00 14 68 72 44 B9 09 05 00 11 69 72 04 B9 3F 09 00 71 20 10 00 54 ?? ?? ?? ?? 14 00 80 12 69 0E 40 F9 7F 52 00 B9 7F 2E 00 B9 2A 01 40 79 6A 86 00 79 CA 0D 00 34 68 0E 40 F9 6B 2A 40 B9 0A 09 00 91 6A 0E 00 F9 8B 0D F8 37 6D 86 40 79 0C FC 9F 52 67 2E 40 B9 A9 01 0C 0B 2C 3D 00 53 9F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 E8 0D 00 12 02 00 00 14 08 00 80 52 08 0D 08 0B ?? ?? ?? ?? 0A 01 07 0B 2B 49 6A 38 67 7D 04 53 67 2E 00 B9 FF 20 00 71 80 0C 00 54 FF 1C 00 71 C8 FA FF 54 8C 00 00 10 8A 49 A7 38 8A 09 0A 8B 40 01 1F D6 02 0F 14 17 2D 2F 42 45 60 86 40 79 2D 00 80 52 6D 52 01 39 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 61 00 00 54 74 2A 00 B9 3F 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 3B 00 00 14 7F 7E 06 29 7F 02 01 39 74 7E 07 29 7F 52 01 39 36 00 00 14 60 02 00 91 ?? ?? ?? ?? 31 00 00 14 68 86 40 79 1F A9 00 71 A0 00 00 54 61 D2 00 91 60 02 00 91 ?? ?? ?? ?? 2A 00 00 14 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 6C 36 00 B9 AC 00 F8 36 6B 36 46 29 6C 01 1E 32 EE 03 0D 4B 6C 3A 06 29 28 00 80 52 1C 00 00 14 7F 3A 00 B9 1B 00 00 14 68 86 40 79 1F A9 00 71 60 00 00 54 61 E2 00 91 E8 FF FF 17 6A 12 40 F9 0D 00 80 12 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 9F 01 00 71 6C 3A 00 B9 8B 01 00 11 AC B1 8B 1A 6C 3A 00 B9 EA FF FF 17 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 28 F1 FF 34 68 0E 40 F9 09 01 40 79 69 86 00 79 89 F2 FF 35 69 0E 40 F9 2A 09 00 91 6A 0E 00 F9 60 02 00 91 ?? ?? ?? ?? E0 EF FF 34 69 72 44 B9 2A 05 00 11 6A 72 04 B9 5F 09 00 71 61 F0 FF 54 60 2A 40 B9 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 5D FF FF 17 }
	condition:
		$1
}

rule file_35_245_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 616
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 0064 ??_C@_1BNE@IJFKJKMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0074 _invalid_parameter 0080 format_validation_lookup_table 0140 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0178 ?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0198 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01a4 ?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b8 ?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01c4 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01d0 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01fc ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 020c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 77 00 00 14 ?? ?? ?? ?? 14 00 80 12 68 7A 44 B9 09 05 00 11 69 7A 04 B9 3F 0D 00 71 E0 0D 00 54 3F 09 00 71 81 00 00 54 69 7E 44 B9 3F 05 00 71 40 0D 00 54 6A 42 42 F9 7F 7E 04 B9 74 EA 0D B9 74 EE 0D B9 7F FE 06 29 6A 0E 00 F9 7F 52 00 B9 7F 2E 00 B9 48 01 40 79 68 86 00 79 A8 08 00 34 68 0E 40 F9 6A 2A 40 B9 09 09 00 91 69 0E 00 F9 6A 08 F8 37 6D 86 40 79 0B FC 9F 52 67 2E 40 B9 AB 01 0B 0B 6C 3D 00 53 9F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 E8 0D 00 12 02 00 00 14 08 00 80 52 08 0D 08 0B ?? ?? ?? ?? 60 02 00 91 0A 01 07 0B 2B 49 6A 38 6A 7D 04 53 6A 2E 00 B9 ?? ?? ?? ?? A0 F9 FF 34 6B 2E 40 B9 7F 21 00 71 C0 05 00 54 7F 1D 00 71 08 F9 FF 54 8A 00 00 10 49 49 AB 38 49 09 09 8B 20 01 1F D6 02 05 0A 0D 10 12 15 18 60 02 00 91 ?? ?? ?? ?? 16 00 00 14 7F 7E 06 29 7F 02 01 39 74 7E 07 29 7F 52 01 39 13 00 00 14 60 02 00 91 ?? ?? ?? ?? 0E 00 00 14 60 02 00 91 ?? ?? ?? ?? 0B 00 00 14 7F 3A 00 B9 0B 00 00 14 60 02 00 91 ?? ?? ?? ?? 06 00 00 14 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 08 F5 FF 34 68 0E 40 F9 09 01 40 79 69 86 00 79 A9 F7 FF 35 69 0E 40 F9 2A 09 00 91 6A 0E 00 F9 60 02 00 91 ?? ?? ?? ?? C0 F3 FF 34 A1 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 85 FF FF 17 60 2A 40 B9 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_246_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 740
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 0064 ??_C@_1BLM@MEMPCIGD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0074 _invalid_parameter 0094 standard_lookup_table 0144 _putwch_nolock 0184 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01a0 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 023c ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0248 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 0E 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 12 83 00 00 14 68 72 44 B9 09 05 00 11 69 72 04 B9 3F 09 00 71 A0 0F 00 54 ?? ?? ?? ?? 14 00 80 12 69 0E 40 F9 7F 52 00 B9 7F 2E 00 B9 2A 01 40 79 6A 86 00 79 AA 0D 00 34 68 0E 40 F9 6B 2A 40 B9 0A 09 00 91 6A 0E 00 F9 6B 0D F8 37 6D 86 40 79 0C FC 9F 52 67 2E 40 B9 A9 01 0C 0B 2C 3D 00 53 9F 69 01 71 C8 00 00 54 AE 81 00 51 ?? ?? ?? ?? AF C9 6E 38 E8 0D 00 12 02 00 00 14 08 00 80 52 EA 0C 08 0B ?? ?? ?? ?? 0B 49 6A 38 67 7D 04 53 67 2E 00 B9 FF 20 00 71 20 0C 00 54 FF 1C 00 71 E8 FA FF 54 8C 00 00 10 89 49 A7 38 89 09 09 8B 20 01 1F D6 02 0F 14 17 2D 2F 42 45 60 86 40 79 2D 00 80 52 6D 52 01 39 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 61 00 00 54 74 2A 00 B9 3F 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 3B 00 00 14 7F 7E 06 29 7F 02 01 39 74 7E 07 29 7F 52 01 39 36 00 00 14 60 02 00 91 ?? ?? ?? ?? 31 00 00 14 68 86 40 79 1F A9 00 71 A0 00 00 54 61 D2 00 91 60 02 00 91 ?? ?? ?? ?? 2A 00 00 14 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 6C 36 00 B9 AC 00 F8 36 6B 36 46 29 6C 01 1E 32 EE 03 0D 4B 6C 3A 06 29 28 00 80 52 1C 00 00 14 7F 3A 00 B9 1B 00 00 14 68 86 40 79 1F A9 00 71 60 00 00 54 61 E2 00 91 E8 FF FF 17 6A 12 40 F9 0D 00 80 12 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6C 81 5F B8 9F 01 00 71 6C 3A 00 B9 8B 01 00 11 AC B1 8B 1A 6C 3A 00 B9 EA FF FF 17 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 48 F1 FF 34 68 0E 40 F9 09 01 40 79 69 86 00 79 A9 F2 FF 35 69 0E 40 F9 2A 09 00 91 6A 0E 00 F9 6B 72 44 B9 6C 05 00 11 6C 72 04 B9 9F 09 00 71 E1 F0 FF 54 60 2A 40 B9 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 CD 80 52 ?? ?? ?? ?? 61 FF FF 17 }
	condition:
		$1
}

rule file_35_248_0 {
	meta:
		name = "?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
		size = 16
		altNames = "?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { 08 30 40 B9 29 00 08 2A 09 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_254_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 36
		altNames = "?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 08 78 44 B9 1F 05 00 71 A1 00 00 54 08 7C 44 B9 00 00 80 52 1F 05 00 71 41 00 00 54 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_258_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 56
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 09 78 44 B9 3F 05 00 71 C1 00 00 54 08 7C 44 B9 1F 09 00 71 61 00 00 54 20 00 80 52 06 00 00 14 3F 09 00 71 61 00 00 54 08 7C 44 B9 68 FF FF 34 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_262_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 36
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { 08 7C 44 B9 1F 09 00 71 A1 00 00 54 08 78 44 B9 20 00 80 52 1F 05 00 71 40 00 00 54 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_272_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 112
		altNames = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 08 04 C1 39 1F 81 00 71 A0 02 00 54 1F 8D 00 71 00 02 00 54 1F AD 00 71 60 01 00 54 1F B5 00 71 C0 00 00 54 1F C1 00 71 01 02 00 54 08 30 40 B9 09 01 1D 32 0C 00 00 14 08 30 40 B9 09 01 1E 32 09 00 00 14 08 30 40 B9 09 01 00 32 06 00 00 14 08 30 40 B9 09 01 1B 32 03 00 00 14 08 30 40 B9 09 01 1F 32 09 30 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_275_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 112
		altNames = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 08 84 40 79 1F 81 00 71 A0 02 00 54 1F 8D 00 71 00 02 00 54 1F AD 00 71 60 01 00 54 1F B5 00 71 C0 00 00 54 1F C1 00 71 01 02 00 54 08 30 40 B9 09 01 1D 32 0C 00 00 14 08 30 40 B9 09 01 1E 32 09 00 00 14 08 30 40 B9 09 01 00 32 06 00 00 14 08 30 40 B9 09 01 1B 32 03 00 00 14 08 30 40 B9 09 01 1F 32 09 30 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_278_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 200
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0028 _putch_nolock 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 005c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 0088 _errno 0094 ??_C@_1BMK@BGPKBIHJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00ac _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 01 00 80 52 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 08 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 28 00 80 52 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_280_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 200
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0028 _putch_nolock 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 005c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 0088 _errno 0094 ??_C@_1BLI@LHEFBLJN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00ac _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 01 00 80 52 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 08 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 28 00 80 52 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_279_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 244
		refs = "0040 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0054 _putch_nolock 0080 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0088 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a4 _CrtDbgReportW 00b4 _errno 00c0 ??_C@_1BNA@IDNMDBH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00d8 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 69 7A 44 B9 3F 05 00 71 81 00 00 54 68 7E 44 B9 1F 09 00 71 00 06 00 54 3F 09 00 71 61 00 00 54 68 7E 44 B9 88 05 00 34 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 60 00 00 35 08 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 28 00 80 52 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_281_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 84
		refs = "001c _putwch_nolock"
		altNames = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 86 40 79 28 00 80 52 68 52 01 39 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_282_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 124
		refs = "0044 _putwch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 69 7A 44 B9 3F 05 00 71 81 00 00 54 68 7E 44 B9 1F 09 00 71 40 02 00 54 3F 09 00 71 61 00 00 54 68 7E 44 B9 C8 01 00 34 60 86 40 79 28 00 80 52 68 52 01 39 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_284_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 92
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0028 _putch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 01 00 80 52 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_285_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 92
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0028 _putch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 01 00 80 52 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_286_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 92
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0028 _putch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 01 00 80 52 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0C 00 00 14 60 06 C1 39 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_290_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 224
		refs = "0030 _putch_nolock 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 _CrtDbgReportW 00a0 _errno 00ac ??_C@_1BNG@BIPBMMDF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 06 40 F9 7F 52 01 39 60 06 C1 39 09 01 40 F9 0B 1C 00 53 2A 01 40 F9 4B D9 6B 78 2B 05 78 36 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 69 0E 40 F9 28 15 C0 38 68 06 01 39 08 1D 00 13 69 0E 00 F9 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_291_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 224
		refs = "0030 _putch_nolock 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 _CrtDbgReportW 00a0 _errno 00ac ??_C@_1BNM@LINJAOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 06 40 F9 7F 52 01 39 60 06 C1 39 09 01 40 F9 0B 1C 00 53 2A 01 40 F9 4B D9 6B 78 2B 05 78 36 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 69 0E 40 F9 28 15 C0 38 68 06 01 39 08 1D 00 13 69 0E 00 F9 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_292_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 224
		refs = "0030 _putch_nolock 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 _CrtDbgReportW 00a0 _errno 00ac ??_C@_1BME@EGKCNELI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 06 40 F9 7F 52 01 39 60 06 C1 39 09 01 40 F9 0B 1C 00 53 2A 01 40 F9 4B D9 6B 78 2B 05 78 36 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 69 0E 40 F9 28 15 C0 38 68 06 01 39 08 1D 00 13 69 0E 00 F9 48 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_293_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 16
		altNames = "?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { 28 00 80 52 08 50 01 39 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_296_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		altNames = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 08 00 80 12 1F 7C 06 29 08 7C 07 29 1F 00 01 39 1F 50 01 39 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_302_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 04 C1 39 1F A9 00 71 60 00 00 54 01 E0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 09 00 80 12 08 38 00 B9 1F 01 00 71 08 38 40 B9 29 B1 88 1A 09 38 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_304_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 04 C1 39 1F A9 00 71 60 00 00 54 01 E0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 09 00 80 12 08 38 00 B9 1F 01 00 71 08 38 40 B9 29 B1 88 1A 09 38 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_303_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 112
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0028 ?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 06 C1 39 1F A9 00 71 80 00 00 54 61 E2 00 91 ?? ?? ?? ?? 10 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0C 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 A1 00 00 54 68 3A 40 B9 68 00 F8 36 08 00 80 12 68 3A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_305_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 84 40 79 1F A9 00 71 60 00 00 54 01 E0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 09 00 80 12 08 38 00 B9 1F 01 00 71 08 38 40 B9 29 B1 88 1A 09 38 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_307_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 84 40 79 1F A9 00 71 60 00 00 54 01 E0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 09 00 80 12 08 38 00 B9 1F 01 00 71 08 38 40 B9 29 B1 88 1A 09 38 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_306_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 112
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0028 ?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 86 40 79 1F A9 00 71 80 00 00 54 61 E2 00 91 ?? ?? ?? ?? 10 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0C 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 A1 00 00 54 68 3A 40 B9 68 00 F8 36 08 00 80 12 68 3A 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_308_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BMG@OBMNJJOL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 04 C1 39 5F 19 01 71 E1 00 00 54 08 00 40 F9 08 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 85 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 08 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 66 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 AC 06 00 54 5F A9 01 71 20 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 81 08 00 54 09 0C 40 F9 28 01 C0 39 1F A1 01 71 61 00 00 54 2A 00 80 52 38 00 00 14 48 00 80 52 3B 00 00 14 A8 01 80 52 39 00 00 14 09 01 80 52 09 3C 00 B9 37 00 00 14 09 0C 40 F9 2A 01 C0 39 5F CD 00 71 E1 00 00 54 28 05 C0 39 1F C9 00 71 81 00 00 54 28 09 00 91 4A 01 80 52 28 00 00 14 5F D9 00 71 E1 00 00 54 28 05 C0 39 1F D1 00 71 81 00 00 54 28 09 00 91 6A 01 80 52 20 00 00 14 48 61 01 51 09 1D 00 53 3F 81 00 71 28 04 00 54 A9 04 00 58 28 25 C8 9A C8 03 00 36 29 01 80 52 E4 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D4 FF FF 17 09 0C 40 F9 28 01 C0 39 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 05 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_309_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BMM@MDMPAJJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 04 C1 39 5F 19 01 71 E1 00 00 54 08 00 40 F9 08 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 85 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 08 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 66 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 AC 06 00 54 5F A9 01 71 20 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 81 08 00 54 09 0C 40 F9 28 01 C0 39 1F A1 01 71 61 00 00 54 2A 00 80 52 38 00 00 14 48 00 80 52 3B 00 00 14 A8 01 80 52 39 00 00 14 09 01 80 52 09 3C 00 B9 37 00 00 14 09 0C 40 F9 2A 01 C0 39 5F CD 00 71 E1 00 00 54 28 05 C0 39 1F C9 00 71 81 00 00 54 28 09 00 91 4A 01 80 52 28 00 00 14 5F D9 00 71 E1 00 00 54 28 05 C0 39 1F D1 00 71 81 00 00 54 28 09 00 91 6A 01 80 52 20 00 00 14 48 61 01 51 09 1D 00 53 3F 81 00 71 28 04 00 54 A9 04 00 58 28 25 C8 9A C8 03 00 36 29 01 80 52 E4 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D4 FF FF 17 09 0C 40 F9 28 01 C0 39 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 05 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_310_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BLE@FJAJINEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 04 C1 39 5F 19 01 71 E1 00 00 54 08 00 40 F9 08 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 85 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 08 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 66 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 AC 06 00 54 5F A9 01 71 20 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 81 08 00 54 09 0C 40 F9 28 01 C0 39 1F A1 01 71 61 00 00 54 2A 00 80 52 38 00 00 14 48 00 80 52 3B 00 00 14 A8 01 80 52 39 00 00 14 09 01 80 52 09 3C 00 B9 37 00 00 14 09 0C 40 F9 2A 01 C0 39 5F CD 00 71 E1 00 00 54 28 05 C0 39 1F C9 00 71 81 00 00 54 28 09 00 91 4A 01 80 52 28 00 00 14 5F D9 00 71 E1 00 00 54 28 05 C0 39 1F D1 00 71 81 00 00 54 28 09 00 91 6A 01 80 52 20 00 00 14 48 61 01 51 09 1D 00 53 3F 81 00 71 28 04 00 54 A9 04 00 58 28 25 C8 9A C8 03 00 36 29 01 80 52 E4 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D4 FF FF 17 09 0C 40 F9 28 01 C0 39 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 05 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_311_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BNO@MMJDJILD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 84 40 79 5F 19 01 71 E1 00 00 54 08 00 40 F9 28 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 86 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 28 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 CC 06 00 54 5F A9 01 71 40 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 A1 08 00 54 09 0C 40 F9 28 01 40 79 1F A1 01 71 61 00 00 54 2A 00 80 52 39 00 00 14 48 00 80 52 3C 00 00 14 A8 01 80 52 3A 00 00 14 09 01 80 52 09 3C 00 B9 38 00 00 14 09 0C 40 F9 2A 01 40 79 5F CD 00 71 E1 00 00 54 28 05 40 79 1F C9 00 71 81 00 00 54 28 11 00 91 4A 01 80 52 29 00 00 14 5F D9 00 71 E1 00 00 54 28 05 40 79 1F D1 00 71 81 00 00 54 28 11 00 91 6A 01 80 52 21 00 00 14 08 F5 9F 52 48 01 08 0B 09 3D 00 53 3F 81 00 71 28 04 00 54 88 04 00 58 08 25 C9 9A C8 03 00 36 29 01 80 52 E3 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D3 FF FF 17 09 0C 40 F9 28 01 40 79 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 09 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_312_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BOE@BBNBBNLC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 84 40 79 5F 19 01 71 E1 00 00 54 08 00 40 F9 28 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 86 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 28 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 CC 06 00 54 5F A9 01 71 40 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 A1 08 00 54 09 0C 40 F9 28 01 40 79 1F A1 01 71 61 00 00 54 2A 00 80 52 39 00 00 14 48 00 80 52 3C 00 00 14 A8 01 80 52 3A 00 00 14 09 01 80 52 09 3C 00 B9 38 00 00 14 09 0C 40 F9 2A 01 40 79 5F CD 00 71 E1 00 00 54 28 05 40 79 1F C9 00 71 81 00 00 54 28 11 00 91 4A 01 80 52 29 00 00 14 5F D9 00 71 E1 00 00 54 28 05 40 79 1F D1 00 71 81 00 00 54 28 11 00 91 6A 01 80 52 21 00 00 14 08 F5 9F 52 48 01 08 0B 09 3D 00 53 3F 81 00 71 28 04 00 54 88 04 00 58 08 25 C9 9A C8 03 00 36 29 01 80 52 E3 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D3 FF FF 17 09 0C 40 F9 28 01 40 79 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 09 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_313_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 600
		refs = "0028 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BMM@GFJMEAMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 00b8 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 84 40 79 5F 19 01 71 E1 00 00 54 08 00 40 F9 28 11 18 37 E9 00 80 52 09 2C 00 B9 ?? ?? ?? ?? 86 00 00 14 5F 39 01 71 C1 03 00 54 08 00 40 F9 28 10 18 37 09 01 80 52 ?? ?? ?? ?? 09 2C 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 08 3C 40 B9 88 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 EB 80 52 ?? ?? ?? ?? E5 FF FF 17 5F A9 01 71 CC 06 00 54 5F A9 01 71 40 06 00 54 5F 25 01 71 80 02 00 54 5F 31 01 71 E0 01 00 54 5F 51 01 71 60 01 00 54 5F A1 01 71 A1 08 00 54 09 0C 40 F9 28 01 40 79 1F A1 01 71 61 00 00 54 2A 00 80 52 39 00 00 14 48 00 80 52 3C 00 00 14 A8 01 80 52 3A 00 00 14 09 01 80 52 09 3C 00 B9 38 00 00 14 09 0C 40 F9 2A 01 40 79 5F CD 00 71 E1 00 00 54 28 05 40 79 1F C9 00 71 81 00 00 54 28 11 00 91 4A 01 80 52 29 00 00 14 5F D9 00 71 E1 00 00 54 28 05 40 79 1F D1 00 71 81 00 00 54 28 11 00 91 6A 01 80 52 21 00 00 14 08 F5 9F 52 48 01 08 0B 09 3D 00 53 3F 81 00 71 28 04 00 54 88 04 00 58 08 25 C9 9A C8 03 00 36 29 01 80 52 E3 FF FF 17 A8 00 80 52 19 00 00 14 5F B1 01 71 A0 01 00 54 5F D1 01 71 20 01 00 54 5F DD 01 71 A0 00 00 54 5F E9 01 71 41 02 00 54 C8 00 80 52 0F 00 00 14 88 01 80 52 0D 00 00 14 E9 00 80 52 D3 FF FF 17 09 0C 40 F9 28 01 40 79 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 09 00 91 08 0C 00 F9 0A 3C 00 B9 03 00 00 14 68 00 80 52 08 3C 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_35_314_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 712
		refs = "00ac ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 00b8 ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d0 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0138 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0244 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 025c ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0288 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 06 C1 39 0A 05 01 51 5F DD 00 71 A8 14 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 A0 00 1C 00 A0 00 26 00 26 00 26 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 23 00 A0 00 A0 00 A0 00 A0 00 37 00 A0 00 20 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 26 00 A0 00 1C 00 29 00 26 00 26 00 26 00 A0 00 29 00 A0 00 A0 00 A0 00 A0 00 40 00 31 00 3C 00 A0 00 A0 00 23 00 A0 00 2C 00 A0 00 A0 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 A8 0B 00 34 68 02 41 39 68 00 00 34 20 00 80 52 5A 00 00 14 E8 43 00 91 6C 32 40 B9 1F 01 00 79 0B 00 80 D2 1F 09 00 39 6C 01 20 36 6C 00 30 36 A8 05 80 52 06 00 00 14 6C 00 00 36 68 05 80 52 03 00 00 14 8C 00 08 36 08 04 80 52 E8 43 00 39 2B 00 80 D2 6D 06 C1 39 EA 1B 80 52 A8 1D 00 53 09 61 01 51 29 01 0A 0A 89 00 00 35 6C 00 28 36 2E 00 80 52 02 00 00 14 0E 00 80 52 A8 1D 00 53 09 05 01 51 EA 1B 80 52 2A 01 0A 0A 4E 00 00 35 4A 02 00 35 E9 43 00 91 08 06 80 52 68 69 29 38 BF 61 01 71 69 05 00 91 80 00 00 54 BF 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0B 0B 80 52 1F 01 00 71 0A 0F 80 52 68 11 8A 1A EB 43 00 91 28 69 2B 38 2B 05 00 91 68 52 40 B9 75 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 88 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 43 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 E8 F5 FF 37 68 32 40 B9 A8 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A7 FF FF 17 00 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_316_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 712
		refs = "00ac ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 00b8 ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d0 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0138 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0244 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 025c ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0288 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 06 C1 39 0A 05 01 51 5F DD 00 71 A8 14 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 A0 00 1C 00 A0 00 26 00 26 00 26 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 23 00 A0 00 A0 00 A0 00 A0 00 37 00 A0 00 20 00 A0 00 A0 00 A0 00 A0 00 A0 00 A0 00 26 00 A0 00 1C 00 29 00 26 00 26 00 26 00 A0 00 29 00 A0 00 A0 00 A0 00 A0 00 40 00 31 00 3C 00 A0 00 A0 00 23 00 A0 00 2C 00 A0 00 A0 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 A8 0B 00 34 68 02 41 39 68 00 00 34 20 00 80 52 5A 00 00 14 E8 43 00 91 6C 32 40 B9 1F 01 00 79 0B 00 80 D2 1F 09 00 39 6C 01 20 36 6C 00 30 36 A8 05 80 52 06 00 00 14 6C 00 00 36 68 05 80 52 03 00 00 14 8C 00 08 36 08 04 80 52 E8 43 00 39 2B 00 80 D2 6D 06 C1 39 EA 1B 80 52 A8 1D 00 53 09 61 01 51 29 01 0A 0A 89 00 00 35 6C 00 28 36 2E 00 80 52 02 00 00 14 0E 00 80 52 A8 1D 00 53 09 05 01 51 EA 1B 80 52 2A 01 0A 0A 4E 00 00 35 4A 02 00 35 E9 43 00 91 08 06 80 52 68 69 29 38 BF 61 01 71 69 05 00 91 80 00 00 54 BF 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0B 0B 80 52 1F 01 00 71 0A 0F 80 52 68 11 8A 1A EB 43 00 91 28 69 2B 38 2B 05 00 91 68 52 40 B9 75 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 88 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 43 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 E8 F5 FF 37 68 32 40 B9 A8 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A7 FF FF 17 00 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_315_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 736
		refs = "00ac ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 00b8 ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d0 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0138 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 025c ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 0274 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 02a0 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 06 C1 39 0A 05 01 51 5F DD 00 71 68 15 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 A6 00 1C 00 A6 00 26 00 26 00 26 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 23 00 A6 00 A6 00 A6 00 A6 00 37 00 A6 00 20 00 A6 00 A6 00 A6 00 A6 00 A6 00 A6 00 26 00 A6 00 1C 00 29 00 26 00 26 00 26 00 A6 00 29 00 A6 00 A6 00 A6 00 A6 00 40 00 31 00 3C 00 A6 00 A6 00 23 00 A6 00 2C 00 A6 00 A6 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 68 0C 00 34 68 7E 44 B9 1F 09 00 71 C1 00 00 54 68 7A 44 B9 1F 05 00 71 61 00 00 54 20 00 80 52 5C 00 00 14 68 02 41 39 A8 FF FF 35 E8 43 00 91 6C 32 40 B9 1F 01 00 79 0B 00 80 D2 1F 09 00 39 6C 01 20 36 6C 00 30 36 A8 05 80 52 06 00 00 14 6C 00 00 36 68 05 80 52 03 00 00 14 8C 00 08 36 08 04 80 52 E8 43 00 39 2B 00 80 D2 6D 06 C1 39 EA 1B 80 52 A8 1D 00 53 09 61 01 51 29 01 0A 0A 89 00 00 35 6C 00 28 36 2E 00 80 52 02 00 00 14 0E 00 80 52 A8 1D 00 53 09 05 01 51 EA 1B 80 52 2A 01 0A 0A 4E 00 00 35 4A 02 00 35 E9 43 00 91 08 06 80 52 68 69 29 38 BF 61 01 71 69 05 00 91 80 00 00 54 BF 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0B 0B 80 52 1F 01 00 71 0A 0F 80 52 68 11 8A 1A EB 43 00 91 28 69 2B 38 2B 05 00 91 68 52 40 B9 75 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 88 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 43 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 A8 F5 FF 37 68 32 40 B9 68 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A5 FF FF 17 00 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_317_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 712
		refs = "0010 __security_push_cookie 00b0 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 00bc ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d4 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f4 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 013c ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0240 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 0258 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0284 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? 13 00 00 91 68 86 40 79 0A 05 01 51 5F DD 00 71 68 14 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 9E 00 1C 00 9E 00 26 00 26 00 26 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 23 00 9E 00 9E 00 9E 00 9E 00 37 00 9E 00 20 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 26 00 9E 00 1C 00 29 00 26 00 26 00 26 00 9E 00 29 00 9E 00 9E 00 9E 00 9E 00 40 00 31 00 3C 00 9E 00 9E 00 23 00 9E 00 2C 00 9E 00 9E 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 68 0B 00 34 68 02 41 39 68 00 00 34 20 00 80 52 58 00 00 14 E8 03 00 91 6B 32 40 B9 1F 01 00 B9 0A 00 80 D2 1F 09 00 79 6B 01 20 36 6B 00 30 36 A8 05 80 52 06 00 00 14 6B 00 00 36 68 05 80 52 03 00 00 14 8B 00 08 36 08 04 80 52 E8 03 00 79 2A 00 80 D2 6C 86 40 79 E9 FB 9F 52 88 61 01 51 08 01 09 0A 88 00 00 35 6B 00 28 36 2D 00 80 52 02 00 00 14 0D 00 80 52 88 05 01 51 E9 FB 9F 52 09 01 09 0A 4D 00 00 35 49 02 00 35 E9 03 00 91 08 06 80 52 28 79 2A 78 9F 61 01 71 49 05 00 91 80 00 00 54 9F 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0C 0B 80 52 0A 0F 80 52 1F 01 00 71 88 11 8A 1A EC 03 00 91 88 79 29 78 2A 05 00 91 68 52 40 B9 55 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 68 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 03 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 28 F6 FF 37 68 32 40 B9 E8 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A9 FF FF 17 00 00 80 52 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_319_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 712
		refs = "0010 __security_push_cookie 00b0 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 00bc ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d4 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f4 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 013c ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0240 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 0258 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0284 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? 13 00 00 91 68 86 40 79 0A 05 01 51 5F DD 00 71 68 14 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 9E 00 1C 00 9E 00 26 00 26 00 26 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 23 00 9E 00 9E 00 9E 00 9E 00 37 00 9E 00 20 00 9E 00 9E 00 9E 00 9E 00 9E 00 9E 00 26 00 9E 00 1C 00 29 00 26 00 26 00 26 00 9E 00 29 00 9E 00 9E 00 9E 00 9E 00 40 00 31 00 3C 00 9E 00 9E 00 23 00 9E 00 2C 00 9E 00 9E 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 68 0B 00 34 68 02 41 39 68 00 00 34 20 00 80 52 58 00 00 14 E8 03 00 91 6B 32 40 B9 1F 01 00 B9 0A 00 80 D2 1F 09 00 79 6B 01 20 36 6B 00 30 36 A8 05 80 52 06 00 00 14 6B 00 00 36 68 05 80 52 03 00 00 14 8B 00 08 36 08 04 80 52 E8 03 00 79 2A 00 80 D2 6C 86 40 79 E9 FB 9F 52 88 61 01 51 08 01 09 0A 88 00 00 35 6B 00 28 36 2D 00 80 52 02 00 00 14 0D 00 80 52 88 05 01 51 E9 FB 9F 52 09 01 09 0A 4D 00 00 35 49 02 00 35 E9 03 00 91 08 06 80 52 28 79 2A 78 9F 61 01 71 49 05 00 91 80 00 00 54 9F 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0C 0B 80 52 0A 0F 80 52 1F 01 00 71 88 11 8A 1A EC 03 00 91 88 79 29 78 2A 05 00 91 68 52 40 B9 55 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 68 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 03 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 28 F6 FF 37 68 32 40 B9 E8 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A9 FF FF 17 00 00 80 52 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_318_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 736
		refs = "0010 __security_push_cookie 00b0 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 00bc ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d4 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f4 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 013c ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0258 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 0270 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 029c ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02cc __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? 13 00 00 91 68 86 40 79 0A 05 01 51 5F DD 00 71 28 15 00 54 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 26 00 A4 00 1C 00 A4 00 26 00 26 00 26 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 23 00 A4 00 A4 00 A4 00 A4 00 37 00 A4 00 20 00 A4 00 A4 00 A4 00 A4 00 A4 00 A4 00 26 00 A4 00 1C 00 29 00 26 00 26 00 26 00 A4 00 29 00 A4 00 A4 00 A4 00 A4 00 40 00 31 00 3C 00 A4 00 A4 00 23 00 A4 00 2C 00 A4 00 A4 00 3A 00 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 23 00 00 14 60 02 00 91 ?? ?? ?? ?? 20 00 00 14 60 02 00 91 ?? ?? ?? ?? 1D 00 00 14 60 02 00 91 ?? ?? ?? ?? 1A 00 00 14 68 32 40 B9 09 01 1C 32 69 32 00 B9 41 01 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 12 00 00 14 69 32 40 B9 69 00 28 36 28 01 19 32 68 32 00 B9 01 01 80 52 F7 FF FF 17 22 00 80 52 01 02 80 52 F5 FF FF 17 02 00 80 52 FD FF FF 17 09 02 80 52 68 01 80 52 69 22 07 29 F8 FF FF 17 60 02 00 91 ?? ?? ?? ?? 08 00 00 11 28 0C 00 34 68 7E 44 B9 1F 09 00 71 C1 00 00 54 68 7A 44 B9 1F 05 00 71 61 00 00 54 20 00 80 52 5A 00 00 14 68 02 41 39 A8 FF FF 35 E8 03 00 91 6B 32 40 B9 1F 01 00 B9 0A 00 80 D2 1F 09 00 79 6B 01 20 36 6B 00 30 36 A8 05 80 52 06 00 00 14 6B 00 00 36 68 05 80 52 03 00 00 14 8B 00 08 36 08 04 80 52 E8 03 00 79 2A 00 80 D2 6C 86 40 79 E9 FB 9F 52 88 61 01 51 08 01 09 0A 88 00 00 35 6B 00 28 36 2D 00 80 52 02 00 00 14 0D 00 80 52 88 05 01 51 E9 FB 9F 52 09 01 09 0A 4D 00 00 35 49 02 00 35 E9 03 00 91 08 06 80 52 28 79 2A 78 9F 61 01 71 49 05 00 91 80 00 00 54 9F 05 01 71 08 00 80 52 41 00 00 54 28 00 80 52 0C 0B 80 52 0A 0F 80 52 1F 01 00 71 88 11 8A 1A EC 03 00 91 88 79 29 78 2A 05 00 91 68 52 40 B9 55 01 00 11 69 36 40 B9 29 01 08 4B 34 01 15 4B 68 05 1E 12 C8 00 00 35 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? 64 42 00 91 63 A2 00 91 A2 02 00 11 E1 03 00 91 60 A2 11 91 ?? ?? ?? ?? 68 32 40 B9 E8 00 18 36 C8 00 10 37 63 A2 00 91 82 02 00 11 01 06 80 52 60 A2 11 91 ?? ?? ?? ?? 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 68 2A 40 B9 E8 F5 FF 37 68 32 40 B9 A8 F5 17 36 63 A2 00 91 82 02 00 11 01 04 80 52 60 A2 11 91 ?? ?? ?? ?? A7 FF FF 17 00 00 80 52 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_320_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 04 C1 39 1F A9 00 71 60 00 00 54 01 D0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 34 00 B9 A8 00 F8 36 08 28 46 29 09 01 1E 32 E8 03 0A 4B 09 20 06 29 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_322_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 04 C1 39 1F A9 00 71 60 00 00 54 01 D0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 34 00 B9 A8 00 F8 36 08 28 46 29 09 01 1E 32 E8 03 0A 4B 09 20 06 29 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_321_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 124
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0028 ?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 06 C1 39 1F A9 00 71 80 00 00 54 61 D2 00 91 ?? ?? ?? ?? 13 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0F 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 01 01 00 54 6A 36 40 B9 CA 00 F8 36 68 32 40 B9 EA 03 0A 4B 6A 36 00 B9 09 01 1E 32 69 32 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_323_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 84 40 79 1F A9 00 71 60 00 00 54 01 D0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 34 00 B9 A8 00 F8 36 08 28 46 29 09 01 1E 32 E8 03 0A 4B 09 20 06 29 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_325_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0010 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 08 84 40 79 1F A9 00 71 60 00 00 54 01 D0 00 91 ?? ?? ?? ?? 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 34 00 B9 A8 00 F8 36 08 28 46 29 09 01 1E 32 E8 03 0A 4B 09 20 06 29 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_324_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 124
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0028 ?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 86 40 79 1F A9 00 71 80 00 00 54 61 D2 00 91 ?? ?? ?? ?? 13 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 0F 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 01 01 00 54 6A 36 40 B9 CA 00 F8 36 68 32 40 B9 EA 03 0A 4B 6A 36 00 B9 09 01 1E 32 69 32 00 B9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_338_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
		size = 76
	strings:
		$1 = { 1F 2C 00 71 08 02 00 54 89 00 00 10 28 49 A0 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 80 00 80 D2 08 00 00 14 20 00 80 D2 06 00 00 14 40 00 80 D2 04 00 00 14 00 01 80 D2 02 00 00 14 00 00 80 D2 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_345_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 176
		refs = "0048 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0074 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 75 81 5F F8 35 02 00 B4 B4 06 40 F9 F4 01 00 B4 62 3E 40 B9 61 06 C1 39 60 02 40 F9 ?? ?? ?? ?? 74 26 00 F9 A8 02 40 79 C0 00 00 34 08 7D 01 53 29 00 80 52 68 52 00 B9 69 52 01 39 0D 00 00 14 68 52 00 B9 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 ?? ?? ?? ?? 49 1D C0 38 E9 FF FF 35 ?? ?? ?? ?? 49 01 08 CB 69 52 00 B9 7F 52 01 39 20 00 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_346_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 200
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0060 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 008c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 E1 43 00 91 FF 0B 00 F9 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 24 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 A1 03 00 54 F4 0B 40 F9 34 02 00 B4 95 06 40 F9 F5 01 00 B4 62 3E 40 B9 61 06 C1 39 60 02 40 F9 ?? ?? ?? ?? 75 26 00 F9 88 02 40 79 C0 00 00 34 08 7D 01 53 29 00 80 52 68 52 00 B9 69 52 01 39 0D 00 00 14 68 52 00 B9 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 ?? ?? ?? ?? 49 1D C0 38 E9 FF FF 35 ?? ?? ?? ?? 49 01 08 CB 69 52 00 B9 7F 52 01 39 20 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_348_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 176
		refs = "0048 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0074 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 75 81 5F F8 35 02 00 B4 B4 06 40 F9 F4 01 00 B4 62 3E 40 B9 61 86 40 79 60 02 40 F9 ?? ?? ?? ?? 74 26 00 F9 A8 02 40 79 C0 00 00 34 08 7D 01 53 29 00 80 52 68 52 00 B9 69 52 01 39 0D 00 00 14 68 52 00 B9 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 ?? ?? ?? ?? 49 1D C0 38 E9 FF FF 35 ?? ?? ?? ?? 49 01 08 CB 69 52 00 B9 7F 52 01 39 20 00 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_349_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 200
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0060 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 E1 43 00 91 FF 0B 00 F9 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 24 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 A1 03 00 54 F4 0B 40 F9 34 02 00 B4 95 06 40 F9 F5 01 00 B4 62 3E 40 B9 61 86 40 79 60 02 40 F9 ?? ?? ?? ?? 75 26 00 F9 88 02 40 79 C0 00 00 34 08 7D 01 53 29 00 80 52 68 52 00 B9 69 52 01 39 0D 00 00 14 68 52 00 B9 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 ?? ?? ?? ?? 49 1D C0 38 E9 FF FF 35 ?? ?? ?? ?? 49 01 08 CB 69 52 00 B9 7F 52 01 39 20 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_351_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 544
		refs = "0078 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 014c __acrt_fp_format 0168 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0190 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 FF 43 00 D1 13 00 00 91 68 32 40 B9 6A 3A 40 B9 09 01 1C 32 69 32 00 B9 2A 01 F8 36 68 06 41 39 EA 1B 80 52 09 05 01 51 3F 01 0A 6A C9 00 80 52 A8 01 80 52 28 11 88 1A 08 00 00 14 0A 01 00 35 68 06 41 39 EA 1B 80 52 09 1D 01 51 28 01 0A 0A 68 00 00 35 28 00 80 52 68 3A 00 B9 68 3A 40 B9 60 62 01 91 09 75 05 11 21 7D 40 93 ?? ?? ?? ?? 20 01 00 35 68 32 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 68 2E 42 F9 08 FD 41 D3 09 75 05 51 69 3A 00 B9 69 62 01 91 28 05 42 F9 1F 01 00 F1 28 01 88 9A 68 26 00 F9 6A 12 40 F9 E9 83 00 91 3F 01 00 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 70 81 5F FC 68 32 42 F9 F0 13 00 FD 68 00 00 B5 04 40 80 D2 03 00 00 14 68 2E 42 F9 04 FD 41 D3 69 32 42 F9 69 00 00 B5 63 62 09 91 03 00 00 14 68 2E 42 F9 23 05 48 8B 68 32 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 68 2E 42 F9 02 FD 41 D3 69 62 01 91 65 06 C1 39 28 05 42 F9 E0 83 00 91 67 02 40 F9 66 3A 40 B9 1F 01 00 F1 21 01 88 9A 68 06 40 F9 E8 03 00 F9 ?? ?? ?? ?? 68 32 40 B9 C8 00 28 36 69 3A 40 B9 89 00 00 35 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 68 06 41 39 EA 1B 80 52 09 1D 01 51 28 01 0A 0A C8 00 00 35 68 32 40 B9 88 00 28 37 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 6A 26 40 F9 48 01 C0 39 1F B5 00 71 C1 00 00 54 68 32 40 B9 4A 05 00 91 6A 26 00 F9 09 01 1A 32 69 32 00 B9 6B 26 40 F9 68 01 C0 39 08 25 01 51 09 1D 00 53 3F 95 00 71 C8 00 00 54 49 02 00 58 28 25 C8 9A 68 00 00 36 69 0E 80 52 69 06 01 39 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 0B CB 68 52 00 B9 20 00 80 52 FF 43 00 91 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 21 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule file_35_352_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 568
		refs = "0020 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a0 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00ec ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 0164 __acrt_fp_format 0180 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 01a8 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 FF 43 00 D1 13 00 00 91 68 32 40 B9 09 01 1C 32 69 32 00 B9 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 7D 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 C1 0E 00 54 68 3A 40 B9 28 01 F8 36 68 06 41 39 EA 1B 80 52 09 05 01 51 3F 01 0A 6A C9 00 80 52 A8 01 80 52 28 11 88 1A 08 00 00 14 08 01 00 35 68 06 41 39 EA 1B 80 52 09 1D 01 51 28 01 0A 0A 68 00 00 35 28 00 80 52 68 3A 00 B9 68 3A 40 B9 60 62 01 91 09 75 05 11 21 7D 40 93 ?? ?? ?? ?? 20 01 00 35 68 32 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 68 2E 42 F9 08 FD 41 D3 09 75 05 51 69 3A 00 B9 69 62 01 91 28 05 42 F9 E1 83 00 91 60 02 00 91 1F 01 00 F1 28 01 88 9A E9 83 00 91 68 26 00 F9 3F 01 00 F9 ?? ?? ?? ?? C0 F9 FF 34 68 32 42 F9 68 00 00 B5 04 40 80 D2 03 00 00 14 68 2E 42 F9 04 FD 41 D3 69 32 42 F9 69 00 00 B5 63 62 09 91 03 00 00 14 68 2E 42 F9 23 05 48 8B 68 32 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 68 2E 42 F9 02 FD 41 D3 69 62 01 91 65 06 C1 39 28 05 42 F9 E0 83 00 91 67 02 40 F9 66 3A 40 B9 1F 01 00 F1 21 01 88 9A 68 06 40 F9 E8 03 00 F9 ?? ?? ?? ?? 68 32 40 B9 C8 00 28 36 69 3A 40 B9 89 00 00 35 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 68 06 41 39 EA 1B 80 52 09 1D 01 51 28 01 0A 0A C8 00 00 35 68 32 40 B9 88 00 28 37 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 6A 26 40 F9 48 01 C0 39 1F B5 00 71 C1 00 00 54 68 32 40 B9 4A 05 00 91 6A 26 00 F9 09 01 1A 32 69 32 00 B9 6B 26 40 F9 68 01 C0 39 08 25 01 51 09 1D 00 53 3F 95 00 71 C8 00 00 54 49 02 00 58 28 25 C8 9A 68 00 00 36 69 0E 80 52 69 06 01 39 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 0B CB 68 52 00 B9 20 00 80 52 FF 43 00 91 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 21 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule file_35_354_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 544
		refs = "0078 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 014c __acrt_fp_format 0168 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0190 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 FF 43 00 D1 13 00 00 91 68 32 40 B9 6A 3A 40 B9 09 01 1C 32 69 32 00 B9 2A 01 F8 36 68 86 40 79 EA FB 9F 52 09 05 01 51 3F 01 0A 6A C9 00 80 52 A8 01 80 52 28 11 88 1A 08 00 00 14 0A 01 00 35 68 86 40 79 EA FB 9F 52 09 1D 01 51 28 01 0A 0A 68 00 00 35 28 00 80 52 68 3A 00 B9 68 3A 40 B9 60 62 01 91 09 75 05 11 21 7D 40 93 ?? ?? ?? ?? 20 01 00 35 68 32 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 68 2E 42 F9 08 FD 41 D3 09 75 05 51 69 3A 00 B9 69 62 01 91 28 05 42 F9 1F 01 00 F1 28 01 88 9A 68 26 00 F9 6A 12 40 F9 E9 83 00 91 3F 01 00 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 70 81 5F FC 68 32 42 F9 F0 13 00 FD 68 00 00 B5 04 40 80 D2 03 00 00 14 68 2E 42 F9 04 FD 41 D3 69 32 42 F9 69 00 00 B5 63 62 09 91 03 00 00 14 68 2E 42 F9 23 05 48 8B 68 32 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 68 2E 42 F9 02 FD 41 D3 69 62 01 91 65 0A C1 39 28 05 42 F9 E0 83 00 91 67 02 40 F9 66 3A 40 B9 1F 01 00 F1 21 01 88 9A 68 06 40 F9 E8 03 00 F9 ?? ?? ?? ?? 68 32 40 B9 C8 00 28 36 69 3A 40 B9 89 00 00 35 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 68 86 40 79 EA FB 9F 52 09 1D 01 51 28 01 0A 0A C8 00 00 35 68 32 40 B9 88 00 28 37 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 6A 26 40 F9 48 01 C0 39 1F B5 00 71 C1 00 00 54 68 32 40 B9 4A 05 00 91 6A 26 00 F9 09 01 1A 32 69 32 00 B9 6B 26 40 F9 68 01 C0 39 08 25 01 51 09 1D 00 53 3F 95 00 71 C8 00 00 54 49 02 00 58 28 25 C8 9A 68 00 00 36 69 0E 80 52 69 86 00 79 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 0B CB 68 52 00 B9 20 00 80 52 FF 43 00 91 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 21 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule file_35_355_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 568
		refs = "0020 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a0 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00ec ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 0164 __acrt_fp_format 0180 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 01a8 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 FF 43 00 D1 13 00 00 91 68 32 40 B9 09 01 1C 32 69 32 00 B9 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 7D 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 C1 0E 00 54 68 3A 40 B9 28 01 F8 36 68 86 40 79 EA FB 9F 52 09 05 01 51 3F 01 0A 6A C9 00 80 52 A8 01 80 52 28 11 88 1A 08 00 00 14 08 01 00 35 68 86 40 79 EA FB 9F 52 09 1D 01 51 28 01 0A 0A 68 00 00 35 28 00 80 52 68 3A 00 B9 68 3A 40 B9 60 62 01 91 09 75 05 11 21 7D 40 93 ?? ?? ?? ?? 20 01 00 35 68 32 42 F9 68 00 00 B5 08 40 80 D2 03 00 00 14 68 2E 42 F9 08 FD 41 D3 09 75 05 51 69 3A 00 B9 69 62 01 91 28 05 42 F9 E1 83 00 91 60 02 00 91 1F 01 00 F1 28 01 88 9A E9 83 00 91 68 26 00 F9 3F 01 00 F9 ?? ?? ?? ?? C0 F9 FF 34 68 32 42 F9 68 00 00 B5 04 40 80 D2 03 00 00 14 68 2E 42 F9 04 FD 41 D3 69 32 42 F9 69 00 00 B5 63 62 09 91 03 00 00 14 68 2E 42 F9 23 05 48 8B 68 32 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 68 2E 42 F9 02 FD 41 D3 69 62 01 91 65 0A C1 39 28 05 42 F9 E0 83 00 91 67 02 40 F9 66 3A 40 B9 1F 01 00 F1 21 01 88 9A 68 06 40 F9 E8 03 00 F9 ?? ?? ?? ?? 68 32 40 B9 C8 00 28 36 69 3A 40 B9 89 00 00 35 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 68 86 40 79 EA FB 9F 52 09 1D 01 51 28 01 0A 0A C8 00 00 35 68 32 40 B9 88 00 28 37 61 06 40 F9 60 26 40 F9 ?? ?? ?? ?? 6A 26 40 F9 48 01 C0 39 1F B5 00 71 C1 00 00 54 68 32 40 B9 4A 05 00 91 6A 26 00 F9 09 01 1A 32 69 32 00 B9 6B 26 40 F9 68 01 C0 39 08 25 01 51 09 1D 00 53 3F 95 00 71 C8 00 00 54 49 02 00 58 28 25 C8 9A 68 00 00 36 69 0E 80 52 69 86 00 79 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 0B CB 68 52 00 B9 20 00 80 52 FF 43 00 91 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 21 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule file_35_363_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 208
		refs = "001c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 006c wctomb_s"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 62 3E 40 B9 61 06 C1 39 60 02 40 F9 ?? ?? ?? ?? 6A 12 40 F9 74 62 01 91 C0 02 00 34 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 63 81 5F 78 88 06 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 88 02 42 F9 02 FD 41 D3 88 06 42 F9 60 42 01 91 1F 01 00 F1 81 02 88 9A ?? ?? ?? ?? 00 02 00 34 28 00 80 52 68 02 01 39 0D 00 00 14 88 06 42 F9 1F 01 00 F1 8C 02 88 9A E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 DF 38 88 01 00 39 28 00 80 52 68 52 00 B9 88 06 42 F9 20 00 80 52 1F 01 00 F1 88 02 88 9A 68 26 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_364_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 248
		refs = "001c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0030 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0088 wctomb_s 00b0 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 62 3E 40 B9 61 06 C1 39 60 02 40 F9 ?? ?? ?? ?? E0 03 00 34 E1 43 00 91 FF 23 00 79 60 02 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 2C 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 A1 04 00 54 74 62 01 91 88 06 42 F9 68 00 00 B5 02 40 80 D2 03 00 00 14 88 02 42 F9 02 FD 41 D3 88 06 42 F9 60 42 01 91 E3 23 40 79 1F 01 00 F1 81 02 88 9A ?? ?? ?? ?? 60 02 00 34 28 00 80 52 68 02 01 39 10 00 00 14 74 62 01 91 88 06 42 F9 60 02 00 91 1F 01 00 F1 81 02 88 9A ?? ?? ?? ?? 20 FC FF 34 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 E1 00 00 54 28 00 80 52 68 52 00 B9 88 06 42 F9 1F 01 00 F1 88 02 88 9A 68 26 00 F9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_366_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 180
		refs = "0044 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0074 _mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 36 00 80 52 76 52 01 39 6A 12 40 F9 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 62 3E 40 B9 61 86 40 79 60 02 40 F9 75 81 5F 78 ?? ?? ?? ?? 74 62 01 91 88 06 42 F9 1F 01 00 F1 80 01 00 35 63 06 40 F9 F5 43 00 39 80 02 88 9A FF 47 00 39 E1 43 00 91 68 00 40 F9 02 09 80 B9 ?? ?? ?? ?? A0 00 F8 36 76 02 01 39 03 00 00 14 88 02 88 9A 15 01 00 79 88 06 42 F9 20 00 80 52 76 52 00 B9 1F 01 00 F1 88 02 88 9A 68 26 00 F9 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_367_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 216
		refs = "0024 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0058 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c _mbtowc_l"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 FF 23 00 79 35 00 80 52 E1 43 00 91 75 52 01 39 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 26 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 E1 03 00 54 62 3E 40 B9 61 86 40 79 60 02 40 F9 ?? ?? ?? ?? 74 62 01 91 E0 01 00 35 E8 43 C0 39 FF 47 00 39 E1 43 00 91 63 06 40 F9 E8 43 00 39 88 06 42 F9 1F 01 00 F1 80 02 88 9A 68 00 40 F9 02 09 80 B9 ?? ?? ?? ?? 00 01 F8 36 75 02 01 39 06 00 00 14 88 06 42 F9 1F 01 00 F1 89 02 88 9A E8 23 40 79 28 01 00 79 88 06 42 F9 75 52 00 B9 1F 01 00 F1 88 02 88 9A 68 26 00 F9 20 00 80 52 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_369_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_370_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_371_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_372_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_373_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_374_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 02 00 80 52 41 01 80 52 09 01 1C 32 09 30 00 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_375_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 644
		refs = "00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00dc _errno 00e8 ??_C@_1BMK@CBEMPMMA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0100 _invalid_parameter 0224 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0230 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 2E 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8C 00 80 D2 08 00 00 14 2C 00 80 D2 06 00 00 14 4C 00 80 D2 04 00 00 14 0C 01 80 D2 02 00 00 14 0C 00 80 D2 9F 05 00 71 E0 08 00 54 9F 09 00 71 40 06 00 54 9F 11 00 71 C0 04 00 54 9F 21 00 71 61 01 00 54 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F F8 44 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5C 00 00 14 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F B8 21 00 00 14 74 C2 00 91 6A 12 40 F9 88 02 40 B9 28 01 20 36 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 DF 78 0D 7D 40 93 15 00 00 14 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F 78 0E 00 00 14 74 C2 00 91 88 02 40 B9 E8 00 20 36 69 12 40 F9 2A 21 00 91 6A 12 00 F9 48 81 DF 38 0D 7D 40 93 05 00 00 14 68 12 40 F9 09 21 00 91 69 12 00 F9 2D 81 5F 38 88 02 40 B9 A8 00 20 36 8D 00 F8 B6 08 01 1A 32 88 02 00 B9 ED 03 0D CB 6A 3A 40 B9 6A 00 F8 36 28 00 80 52 07 00 00 14 88 02 40 B9 5F 01 08 71 09 79 1C 12 89 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8D 00 00 B5 88 02 40 B9 09 79 1A 12 89 02 00 B9 43 00 00 11 7F 52 01 39 C2 01 00 11 9F 21 00 F1 60 02 00 91 81 00 00 54 A1 01 00 91 ?? ?? ?? ?? 03 00 00 14 A1 01 00 11 ?? ?? ?? ?? 88 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 C0 39 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 05 00 D1 69 26 00 F9 2A 01 00 39 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_377_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 644
		refs = "00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00dc _errno 00e8 ??_C@_1BLI@IAPDPPCE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0100 _invalid_parameter 0224 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0230 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 2E 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8C 00 80 D2 08 00 00 14 2C 00 80 D2 06 00 00 14 4C 00 80 D2 04 00 00 14 0C 01 80 D2 02 00 00 14 0C 00 80 D2 9F 05 00 71 E0 08 00 54 9F 09 00 71 40 06 00 54 9F 11 00 71 C0 04 00 54 9F 21 00 71 61 01 00 54 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F F8 44 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5C 00 00 14 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F B8 21 00 00 14 74 C2 00 91 6A 12 40 F9 88 02 40 B9 28 01 20 36 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 DF 78 0D 7D 40 93 15 00 00 14 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F 78 0E 00 00 14 74 C2 00 91 88 02 40 B9 E8 00 20 36 69 12 40 F9 2A 21 00 91 6A 12 00 F9 48 81 DF 38 0D 7D 40 93 05 00 00 14 68 12 40 F9 09 21 00 91 69 12 00 F9 2D 81 5F 38 88 02 40 B9 A8 00 20 36 8D 00 F8 B6 08 01 1A 32 88 02 00 B9 ED 03 0D CB 6A 3A 40 B9 6A 00 F8 36 28 00 80 52 07 00 00 14 88 02 40 B9 5F 01 08 71 09 79 1C 12 89 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8D 00 00 B5 88 02 40 B9 09 79 1A 12 89 02 00 B9 43 00 00 11 7F 52 01 39 C2 01 00 11 9F 21 00 F1 60 02 00 91 81 00 00 54 A1 01 00 91 ?? ?? ?? ?? 03 00 00 14 A1 01 00 11 ?? ?? ?? ?? 88 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 C0 39 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 05 00 D1 69 26 00 F9 2A 01 00 39 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_376_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 636
		refs = "00a4 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ac ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00bc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d8 _CrtDbgReportW 00e8 _errno 00f4 ??_C@_1BNA@DPILCHKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 010c _invalid_parameter 012c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0134 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0150 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0158 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0174 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0214 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0220 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 36 00 00 11 57 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 94 00 80 D2 08 00 00 14 34 00 80 D2 06 00 00 14 54 00 80 D2 04 00 00 14 14 01 80 D2 02 00 00 14 14 00 80 D2 FF 0B 00 F9 9F 06 00 71 60 07 00 54 9F 0A 00 71 00 06 00 54 9F 12 00 71 A0 04 00 54 9F 22 00 71 41 01 00 54 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 36 00 00 14 ?? ?? ?? ?? 34 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 55 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 14 00 00 14 ?? ?? ?? ?? 12 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 0B 00 00 14 ?? ?? ?? ?? 09 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 02 00 00 14 ?? ?? ?? ?? 08 00 00 11 68 FC FF 34 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 41 06 00 54 A8 02 40 B9 EA 0B 40 F9 A8 00 20 36 8A 00 F8 B6 08 01 1A 32 A8 02 00 B9 EA 03 0A CB 6B 3A 40 B9 6B 00 F8 36 28 00 80 52 07 00 00 14 A8 02 40 B9 7F 01 08 71 09 79 1C 12 A9 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8A 00 00 B5 A8 02 40 B9 09 79 1A 12 A9 02 00 B9 7F 52 01 39 9F 22 00 F1 E3 02 00 11 C2 02 00 11 60 02 00 91 81 00 00 54 41 01 00 91 ?? ?? ?? ?? 03 00 00 14 41 01 00 11 ?? ?? ?? ?? A8 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 C0 39 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 05 00 D1 69 26 00 F9 2A 01 00 39 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_378_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 648
		refs = "00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00dc _errno 00e8 ??_C@_1BOC@EPNAJNBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0100 _invalid_parameter 0228 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0234 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 2E 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8C 00 80 D2 08 00 00 14 2C 00 80 D2 06 00 00 14 4C 00 80 D2 04 00 00 14 0C 01 80 D2 02 00 00 14 0C 00 80 D2 9F 05 00 71 E0 08 00 54 9F 09 00 71 40 06 00 54 9F 11 00 71 C0 04 00 54 9F 21 00 71 61 01 00 54 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F F8 44 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5D 00 00 14 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F B8 21 00 00 14 74 C2 00 91 6A 12 40 F9 88 02 40 B9 28 01 20 36 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 DF 78 0D 7D 40 93 15 00 00 14 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F 78 0E 00 00 14 74 C2 00 91 88 02 40 B9 E8 00 20 36 69 12 40 F9 2A 21 00 91 6A 12 00 F9 48 81 DF 38 0D 7D 40 93 05 00 00 14 68 12 40 F9 09 21 00 91 69 12 00 F9 2D 81 5F 38 88 02 40 B9 A8 00 20 36 8D 00 F8 B6 08 01 1A 32 88 02 00 B9 ED 03 0D CB 6A 3A 40 B9 2B 00 80 52 6A 00 F8 36 6B 3A 00 B9 08 00 00 14 88 02 40 B9 5F 01 08 71 09 79 1C 12 89 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8D 00 00 B5 88 02 40 B9 09 79 1A 12 89 02 00 B9 43 00 00 11 6B 52 01 39 C2 01 00 11 9F 21 00 F1 60 02 00 91 81 00 00 54 A1 01 00 91 ?? ?? ?? ?? 03 00 00 14 A1 01 00 11 ?? ?? ?? ?? 88 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 40 79 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 09 00 D1 69 26 00 F9 2A 01 00 79 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_380_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 648
		refs = "00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00dc _errno 00e8 ??_C@_1BNA@NHIEEONE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0100 _invalid_parameter 0228 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0234 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 2E 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8C 00 80 D2 08 00 00 14 2C 00 80 D2 06 00 00 14 4C 00 80 D2 04 00 00 14 0C 01 80 D2 02 00 00 14 0C 00 80 D2 9F 05 00 71 E0 08 00 54 9F 09 00 71 40 06 00 54 9F 11 00 71 C0 04 00 54 9F 21 00 71 61 01 00 54 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F F8 44 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 5D 00 00 14 6A 12 40 F9 74 C2 00 91 88 02 40 B9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F B8 21 00 00 14 74 C2 00 91 6A 12 40 F9 88 02 40 B9 28 01 20 36 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 DF 78 0D 7D 40 93 15 00 00 14 E8 03 0A CB 09 01 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 6D 81 5F 78 0E 00 00 14 74 C2 00 91 88 02 40 B9 E8 00 20 36 69 12 40 F9 2A 21 00 91 6A 12 00 F9 48 81 DF 38 0D 7D 40 93 05 00 00 14 68 12 40 F9 09 21 00 91 69 12 00 F9 2D 81 5F 38 88 02 40 B9 A8 00 20 36 8D 00 F8 B6 08 01 1A 32 88 02 00 B9 ED 03 0D CB 6A 3A 40 B9 2B 00 80 52 6A 00 F8 36 6B 3A 00 B9 08 00 00 14 88 02 40 B9 5F 01 08 71 09 79 1C 12 89 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8D 00 00 B5 88 02 40 B9 09 79 1A 12 89 02 00 B9 43 00 00 11 6B 52 01 39 C2 01 00 11 9F 21 00 F1 60 02 00 91 81 00 00 54 A1 01 00 91 ?? ?? ?? ?? 03 00 00 14 A1 01 00 11 ?? ?? ?? ?? 88 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 40 79 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 09 00 D1 69 26 00 F9 2A 01 00 79 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_379_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 640
		refs = "00a4 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ac ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00bc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d8 _CrtDbgReportW 00e8 _errno 00f4 ??_C@_1BOI@CKLPKAPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 010c _invalid_parameter 012c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0134 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0150 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0158 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0174 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0218 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0224 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 6A 3E 40 B9 36 00 00 11 57 00 00 11 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 94 00 80 D2 08 00 00 14 34 00 80 D2 06 00 00 14 54 00 80 D2 04 00 00 14 14 01 80 D2 02 00 00 14 14 00 80 D2 FF 0B 00 F9 9F 06 00 71 60 07 00 54 9F 0A 00 71 00 06 00 54 9F 12 00 71 A0 04 00 54 9F 22 00 71 41 01 00 54 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 36 00 00 14 ?? ?? ?? ?? 34 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 56 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 14 00 00 14 ?? ?? ?? ?? 12 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 0B 00 00 14 ?? ?? ?? ?? 09 00 00 14 75 C2 00 91 A8 02 40 B9 E1 43 00 91 60 02 00 91 68 00 20 36 ?? ?? ?? ?? 02 00 00 14 ?? ?? ?? ?? 08 00 00 11 68 FC FF 34 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 61 06 00 54 A8 02 40 B9 EA 0B 40 F9 A8 00 20 36 8A 00 F8 B6 08 01 1A 32 A8 02 00 B9 EA 03 0A CB 6B 3A 40 B9 2C 00 80 52 6B 00 F8 36 6C 3A 00 B9 08 00 00 14 A8 02 40 B9 7F 01 08 71 09 79 1C 12 A9 02 00 B9 6D 00 00 54 08 40 80 52 68 3A 00 B9 8A 00 00 B5 A8 02 40 B9 09 79 1A 12 A9 02 00 B9 6C 52 01 39 9F 22 00 F1 E3 02 00 11 C2 02 00 11 60 02 00 91 81 00 00 54 41 01 00 91 ?? ?? ?? ?? 03 00 00 14 41 01 00 11 ?? ?? ?? ?? A8 02 40 B9 E8 01 38 36 69 52 40 B9 A9 00 00 34 68 26 40 F9 09 01 40 79 3F C1 00 71 20 01 00 54 68 26 40 F9 0A 06 80 52 09 09 00 D1 69 26 00 F9 2A 01 00 79 68 52 40 B9 09 05 00 11 69 52 00 B9 20 00 80 52 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_381_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 404
		refs = "002c _get_printf_count_output 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 003c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW 0068 _errno 007c ??_C@_1BLO@NCBAJABA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008c _invalid_parameter 0114 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 74 81 5F F8 ?? ?? ?? ?? 40 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 3D 00 00 14 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 60 04 00 54 5F 09 00 71 C0 03 00 54 5F 11 00 71 20 03 00 54 5F 21 00 71 81 00 00 54 68 2A 80 B9 88 02 00 F9 1C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 68 2A 40 B9 88 02 00 B9 06 00 00 14 68 52 C0 79 88 02 00 79 03 00 00 14 68 A2 C0 39 88 02 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_383_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 404
		refs = "002c _get_printf_count_output 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 003c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW 0068 _errno 007c ??_C@_1BKM@INIKIFKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008c _invalid_parameter 0114 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 74 81 5F F8 ?? ?? ?? ?? 40 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 3D 00 00 14 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 60 04 00 54 5F 09 00 71 C0 03 00 54 5F 11 00 71 20 03 00 54 5F 21 00 71 81 00 00 54 68 2A 80 B9 88 02 00 F9 1C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 68 2A 40 B9 88 02 00 B9 06 00 00 14 68 52 C0 79 88 02 00 79 03 00 00 14 68 A2 C0 39 88 02 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_384_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 404
		refs = "002c _get_printf_count_output 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 003c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW 0068 _errno 007c ??_C@_1BNG@LNJJNELO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008c _invalid_parameter 0114 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 74 81 5F F8 ?? ?? ?? ?? 40 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 3D 00 00 14 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 60 04 00 54 5F 09 00 71 C0 03 00 54 5F 11 00 71 20 03 00 54 5F 21 00 71 81 00 00 54 68 2A 80 B9 88 02 00 F9 1C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 68 2A 40 B9 88 02 00 B9 06 00 00 14 68 52 C0 79 88 02 00 79 03 00 00 14 68 A2 C0 39 88 02 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_386_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 404
		refs = "002c _get_printf_count_output 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 003c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW 0068 _errno 007c ??_C@_1BME@FGLFKNB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008c _invalid_parameter 0114 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 74 81 5F F8 ?? ?? ?? ?? 40 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 3D 00 00 14 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 60 04 00 54 5F 09 00 71 C0 03 00 54 5F 11 00 71 20 03 00 54 5F 21 00 71 81 00 00 54 68 2A 80 B9 88 02 00 F9 1C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 68 2A 40 B9 88 02 00 B9 06 00 00 14 68 52 C0 79 88 02 00 79 03 00 00 14 68 A2 C0 39 88 02 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_382_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 436
		refs = "0018 ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BME@LDMBFEIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 0128 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 E1 43 00 91 FF 0B 00 F9 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 61 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 41 0B 00 54 ?? ?? ?? ?? 20 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? DF FF FF 17 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 C0 04 00 54 5F 09 00 71 00 04 00 54 5F 11 00 71 40 03 00 54 5F 21 00 71 A1 00 00 54 69 2A 80 B9 E8 0B 40 F9 09 01 00 F9 1F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 69 2A 40 B9 E8 0B 40 F9 09 01 00 B9 08 00 00 14 69 52 C0 79 E8 0B 40 F9 09 01 00 79 04 00 00 14 69 A2 C0 39 E8 0B 40 F9 09 01 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_385_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 436
		refs = "0018 ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1BNM@CMCEOKHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00a0 _invalid_parameter 0128 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 E1 43 00 91 FF 0B 00 F9 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 61 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 41 0B 00 54 ?? ?? ?? ?? 20 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? DF FF FF 17 6A 3E 40 B9 5F 2D 00 71 08 02 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 09 03 09 8A 00 80 D2 08 00 00 14 2A 00 80 D2 06 00 00 14 4A 00 80 D2 04 00 00 14 0A 01 80 D2 02 00 00 14 0A 00 80 D2 5F 05 00 71 C0 04 00 54 5F 09 00 71 00 04 00 54 5F 11 00 71 40 03 00 54 5F 21 00 71 A1 00 00 54 69 2A 80 B9 E8 0B 40 F9 09 01 00 F9 1F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 48 81 52 ?? ?? ?? ?? C9 FF FF 17 69 2A 40 B9 E8 0B 40 F9 09 01 00 B9 08 00 00 14 69 52 C0 79 E8 0B 40 F9 09 01 00 79 04 00 00 14 69 A2 C0 39 E8 0B 40 F9 09 01 00 39 28 00 80 52 68 02 01 39 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_387_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_388_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_389_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_390_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_391_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_392_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 28
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 30 40 B9 68 00 28 36 08 01 19 32 08 30 00 B9 02 00 80 52 01 01 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_393_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_394_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_395_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_396_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_397_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_398_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 24
		refs = "0014 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 08 02 80 52 69 01 80 52 08 24 07 29 22 00 80 52 01 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_399_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "004c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 007c wcsnlen 0084 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 009c strnlen"
		altNames = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 0A 47 29 09 00 B0 12 74 81 5F F8 61 06 C1 39 60 02 40 F9 1F 05 00 31 35 01 88 1A 74 26 00 F9 ?? ?? ?? ?? 9F 02 00 F1 A1 7E 40 93 60 01 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 88 02 00 91 29 01 88 9A 2A 00 80 52 69 26 00 F9 20 01 00 91 6A 52 01 39 ?? ?? ?? ?? 08 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 40 F9 29 01 88 9A 20 01 00 91 69 26 00 F9 ?? ?? ?? ?? 60 52 00 B9 20 00 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_400_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0014 ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0054 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0064 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0080 wcsnlen 008c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 00a0 strnlen"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 22 01 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 23 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 81 03 00 54 68 0A 47 29 09 00 B0 12 61 06 C1 39 60 02 40 F9 1F 05 00 31 34 01 88 1A ?? ?? ?? ?? 68 26 40 F9 60 01 00 34 88 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 60 26 40 F9 28 00 80 52 81 7E 40 93 68 52 01 39 ?? ?? ?? ?? 08 00 00 14 88 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 60 26 40 F9 81 7E 40 93 ?? ?? ?? ?? 60 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_402_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 244
		refs = "004c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0054 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 007c wcsnlen 008c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 6A 12 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 0A 47 29 09 00 B0 12 75 81 5F F8 61 86 40 79 60 02 40 F9 1F 05 00 31 34 01 88 1A 75 26 00 F9 ?? ?? ?? ?? C0 01 00 34 ?? ?? ?? ?? ?? ?? ?? ?? A8 02 00 91 BF 02 00 F1 29 01 88 9A 2A 00 80 52 69 26 00 F9 20 01 00 91 6A 52 01 39 81 7E 40 93 ?? ?? ?? ?? 60 52 00 B9 17 00 00 14 95 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 6D 26 40 F9 0E 00 80 52 9F 02 00 71 CD 01 00 54 A9 01 C0 39 89 01 00 34 2C 1D 00 53 69 06 40 F9 2A 01 40 F9 4B 01 40 F9 6C D9 6C 78 4C 00 78 36 AD 05 00 91 CE 05 00 11 DF 01 14 6B AD 05 00 91 8B FE FF 54 6E 52 00 B9 20 00 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_403_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 244
		refs = "0014 ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0054 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0064 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0080 wcsnlen 0090 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 22 01 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 32 00 00 14 68 7A 44 B9 1F 05 00 71 81 00 00 54 68 7E 44 B9 1F 05 00 71 61 05 00 54 68 0A 47 29 09 00 B0 12 61 86 40 79 60 02 40 F9 1F 05 00 31 34 01 88 1A ?? ?? ?? ?? 68 26 40 F9 80 01 00 34 88 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 60 26 40 F9 28 00 80 52 81 7E 40 93 68 52 01 39 ?? ?? ?? ?? 60 52 00 B9 17 00 00 14 88 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 26 00 F9 6D 26 40 F9 0E 00 80 52 9F 02 00 71 CD 01 00 54 A9 01 C0 39 89 01 00 34 2C 1D 00 53 69 06 40 F9 2A 01 40 F9 4B 01 40 F9 6C D9 6C 78 4C 00 78 36 AD 05 00 91 CE 05 00 11 DF 01 14 6B AD 05 00 91 8B FE FF 54 6E 52 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_405_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
		size = 32
		refs = "0010 strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 00 24 40 F9 21 7C 40 93 ?? ?? ?? ?? 00 00 00 11 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_408_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
		size = 76
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { 0D 00 00 91 AC 25 40 F9 00 00 80 52 3F 00 00 71 CD 01 00 54 88 01 C0 39 88 01 00 34 0B 1D 00 53 A8 05 40 F9 09 01 40 F9 2A 01 40 F9 4B D9 6B 78 4B 00 78 36 8C 05 00 91 00 04 00 11 1F 00 01 6B 8C 05 00 91 8B FE FF 54 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_423_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
		size = 20
		altNames = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { 08 30 40 B9 E9 03 21 2A 29 01 08 0A 09 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_429_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 340
		refs = "0050 strtol 00b8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e4 _CrtDbgReportW 00f4 _errno 0100 ??_C@_1BAA@GLNFGJHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0118 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 7E 44 B9 1F 05 00 71 41 01 00 54 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 5F B8 68 36 00 B9 42 00 00 14 60 0E 40 F9 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? EB 0B 40 F9 69 7A 44 B9 0A 04 00 51 68 05 00 91 68 0E 00 F9 3F 05 00 71 C1 05 00 54 8A 02 F8 37 68 01 C0 39 1F 91 00 71 21 02 00 54 5F 91 01 71 EA 01 00 54 68 EA 4D B9 49 7D 40 93 0B 03 80 D2 64 3E 40 B9 63 06 C1 39 22 00 80 52 60 02 00 91 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 28 4D 0B 9B 01 21 12 91 ?? ?? ?? ?? 23 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 48 7D 40 93 09 03 80 D2 08 4D 09 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 6A 36 00 B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_430_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 340
		refs = "0050 wcstol 00b8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e4 _CrtDbgReportW 00f4 _errno 0100 ??_C@_1BAM@KFMOOAFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0118 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 7E 44 B9 1F 05 00 71 41 01 00 54 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 5F B8 68 36 00 B9 42 00 00 14 60 0E 40 F9 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? EB 0B 40 F9 69 7A 44 B9 0A 04 00 51 68 09 00 91 68 0E 00 F9 3F 05 00 71 C1 05 00 54 8A 02 F8 37 68 01 40 79 1F 91 00 71 21 02 00 54 5F 91 01 71 EA 01 00 54 68 EA 4D B9 49 7D 40 93 0B 03 80 D2 64 3E 40 B9 63 86 40 79 22 00 80 52 60 02 00 91 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 28 4D 0B 9B 01 21 12 91 ?? ?? ?? ?? 23 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 48 7D 40 93 09 03 80 D2 08 4D 09 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 6A 36 00 B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_431_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 40
		altNames = "?update_field_width@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 34 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_433_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 340
		refs = "0050 strtol 00b8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e4 _CrtDbgReportW 00f4 _errno 0100 ??_C@_1PM@DOKNBBLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0118 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 7E 44 B9 1F 05 00 71 41 01 00 54 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 5F B8 68 3A 00 B9 42 00 00 14 60 0E 40 F9 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? EB 0B 40 F9 69 7A 44 B9 0A 04 00 51 68 05 00 91 68 0E 00 F9 3F 05 00 71 C1 05 00 54 8A 02 F8 37 68 01 C0 39 1F 91 00 71 21 02 00 54 5F 91 01 71 EA 01 00 54 68 EA 4D B9 49 7D 40 93 0B 03 80 D2 64 3E 40 B9 63 06 C1 39 22 00 80 52 60 02 00 91 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 28 4D 0B 9B 01 21 12 91 ?? ?? ?? ?? 23 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 48 7D 40 93 09 03 80 D2 08 4D 09 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 6A 3A 00 B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_434_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 340
		refs = "0050 wcstol 00b8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e4 _CrtDbgReportW 00f4 _errno 0100 ??_C@_1BAI@EAAPMNON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0118 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 7E 44 B9 1F 05 00 71 41 01 00 54 6A 12 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 6B 12 00 F9 68 81 5F B8 68 3A 00 B9 42 00 00 14 60 0E 40 F9 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? EB 0B 40 F9 69 7A 44 B9 0A 04 00 51 68 09 00 91 68 0E 00 F9 3F 05 00 71 C1 05 00 54 8A 02 F8 37 68 01 40 79 1F 91 00 71 21 02 00 54 5F 91 01 71 EA 01 00 54 68 EA 4D B9 49 7D 40 93 0B 03 80 D2 64 3E 40 B9 63 86 40 79 22 00 80 52 60 02 00 91 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 28 4D 0B 9B 01 21 12 91 ?? ?? ?? ?? 23 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 48 7D 40 93 09 03 80 D2 08 4D 09 9B 0A 49 42 F9 E9 03 0A CB 28 05 40 92 0A 69 6A B8 6A 3A 00 B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_435_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 40
		altNames = "?update_precision@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 0A 10 40 F9 E8 03 0A CB 09 05 40 92 2A 01 0A 8B 4B 21 00 91 0B 10 00 F9 68 81 5F B8 08 38 00 B9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_439_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 156
		refs = "0030 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0040 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c _CrtDbgReportW 006c _errno 0078 ??_C@_1BBO@KJOMOGDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0090 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 28 00 40 B9 08 01 00 35 22 00 00 B9 23 10 00 39 24 10 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? 60 FF FF 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 E3 FF FF 17 }
	condition:
		$1
}

rule file_35_440_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 156
		refs = "0030 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0040 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c _CrtDbgReportW 006c _errno 0078 ??_C@_1BCK@MLHIMABF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0090 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 28 00 40 B9 08 01 00 35 22 00 00 B9 23 08 00 79 24 10 00 B9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? 60 FF FF 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 E3 FF FF 17 }
	condition:
		$1
}

rule file_35_441_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 372
		refs = "0050 strtol 0084 memset 0110 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0114 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0118 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 _CrtDbgReportW 0144 _errno 0150 ??_C@_1BFA@OMCJIKHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0168 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 2E 40 B9 1F 05 00 71 41 07 00 54 60 0E 40 F9 09 00 C0 39 3F 95 00 71 C0 06 00 54 68 7E 44 B9 48 03 00 35 28 41 03 11 FF 0B 00 F9 09 1D 00 53 3F 25 00 71 68 02 00 54 42 01 80 52 E1 43 00 91 ?? ?? ?? ?? 1F 00 00 71 CD 01 00 54 E8 0B 40 F9 08 01 C0 39 1F 91 00 71 41 01 00 54 68 7A 44 B9 1F 05 00 71 A1 00 00 54 02 2C 81 D2 01 00 80 52 60 22 12 91 ?? ?? ?? ?? 48 00 80 52 02 00 00 14 28 00 80 52 68 7E 04 B9 68 7E 44 B9 1F 09 00 71 01 03 00 54 60 0E 40 F9 42 01 80 52 FF 0F 00 F9 E1 63 00 91 ?? ?? ?? ?? EB 0F 40 F9 69 7A 44 B9 0A 04 00 51 6A EE 0D B9 68 05 00 91 68 0E 00 F9 3F 05 00 71 61 01 00 54 CA 01 F8 37 68 01 C0 39 1F 91 00 71 61 01 00 54 5F 91 01 71 2A 01 00 54 68 EA 4D B9 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 E5 FF FF 17 }
	condition:
		$1
}

rule file_35_442_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 376
		refs = "0054 wcstol 0088 memset 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0118 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 011c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0148 _errno 0154 ??_C@_1BFM@OHMDOJHM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 016c _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 2E 40 B9 1F 05 00 71 61 07 00 54 60 0E 40 F9 09 00 40 79 3F 95 00 71 E0 06 00 54 68 7E 44 B9 68 03 00 35 08 FA 9F 52 FF 0B 00 F9 28 01 08 0B 09 3D 00 53 3F 25 00 71 68 02 00 54 42 01 80 52 E1 43 00 91 ?? ?? ?? ?? 1F 00 00 71 CD 01 00 54 E8 0B 40 F9 08 01 40 79 1F 91 00 71 41 01 00 54 68 7A 44 B9 1F 05 00 71 A1 00 00 54 02 2C 81 D2 01 00 80 52 60 22 12 91 ?? ?? ?? ?? 48 00 80 52 02 00 00 14 28 00 80 52 68 7E 04 B9 68 7E 44 B9 1F 09 00 71 01 03 00 54 60 0E 40 F9 42 01 80 52 FF 0F 00 F9 E1 63 00 91 ?? ?? ?? ?? EB 0F 40 F9 69 7A 44 B9 0A 04 00 51 6A EE 0D B9 68 09 00 91 68 0E 00 F9 3F 05 00 71 61 01 00 54 CA 01 F8 37 68 01 40 79 1F 91 00 71 61 01 00 54 5F 91 01 71 2A 01 00 54 68 EA 4D B9 5F 01 08 6B 48 C1 88 1A 68 EA 0D B9 20 00 80 52 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 E5 FF FF 17 }
	condition:
		$1
}

rule file_35_445_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 144
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 005c ??_C@_1BDI@HCBOIIML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0074 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 2C 40 B9 1F 01 00 71 04 19 47 7A 40 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_446_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 144
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0024 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 _CrtDbgReportW 0050 _errno 005c ??_C@_1BEE@CEMEBAPI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0074 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 2C 40 B9 1F 01 00 71 04 19 47 7A 40 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_447_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 352
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f4 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 00f8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 0124 _errno 0130 ??_C@_1BDO@LGKDLMJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 4E 00 00 14 68 7E 44 B9 1F 09 00 71 41 09 00 54 68 7A 44 B9 1F 05 00 71 E1 08 00 54 68 EA 8D B9 09 03 80 D2 63 22 12 91 08 4D 09 9B 02 81 12 91 7F 00 02 EB 00 08 00 54 69 12 40 F9 69 04 00 F9 6A 84 41 B8 5F 05 00 71 80 03 00 54 5F 09 00 71 60 02 00 54 5F 0D 00 71 40 01 00 54 5F 11 00 71 A1 03 00 54 6B 12 40 F9 E8 03 0B CB 0A 09 40 92 4B 01 0B 8B 6C 21 00 91 6C 12 00 F9 ED FF FF 17 6E 12 40 F9 E9 03 0E CB 2D 09 40 92 AE 01 0E 8B CF 21 00 91 6F 12 00 F9 E6 FF FF 17 65 12 40 F9 E7 03 05 CB E6 08 40 92 C8 00 05 8B 0A 21 00 91 6A 12 00 F9 DF FF FF 17 64 12 40 F9 EB 03 04 CB 6C 05 40 92 89 01 04 8B 2D 21 00 91 6D 12 00 F9 D8 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 FF FF 17 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_448_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 352
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f4 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 00f8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 0124 _errno 0130 ??_C@_1BEK@GJLBPCFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 4E 00 00 14 68 7E 44 B9 1F 09 00 71 41 09 00 54 68 7A 44 B9 1F 05 00 71 E1 08 00 54 68 EA 8D B9 09 03 80 D2 63 22 12 91 08 4D 09 9B 02 81 12 91 7F 00 02 EB 00 08 00 54 69 12 40 F9 69 04 00 F9 6A 84 41 B8 5F 05 00 71 80 03 00 54 5F 09 00 71 60 02 00 54 5F 0D 00 71 40 01 00 54 5F 11 00 71 A1 03 00 54 6B 12 40 F9 E8 03 0B CB 0A 09 40 92 4B 01 0B 8B 6C 21 00 91 6C 12 00 F9 ED FF FF 17 6E 12 40 F9 E9 03 0E CB 2D 09 40 92 AE 01 0E 8B CF 21 00 91 6F 12 00 F9 E6 FF FF 17 65 12 40 F9 E7 03 05 CB E6 08 40 92 C8 00 05 8B 0A 21 00 91 6A 12 00 F9 DF FF FF 17 64 12 40 F9 EB 03 04 CB 6C 05 40 92 89 01 04 8B 2D 21 00 91 6D 12 00 F9 D8 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 FF FF 17 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_451_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 200
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0038 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1BBI@MNEKPAEI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0088 _invalid_parameter 00b0 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 09 00 71 21 05 00 54 08 78 44 B9 1F 05 00 71 C1 04 00 54 08 EC 4D B9 1F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0B 00 00 14 08 7D 40 93 04 3C 40 B9 09 03 80 D2 03 04 C1 39 09 01 09 9B 82 00 80 52 21 21 12 91 ?? ?? ?? ?? 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_452_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 200
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0038 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1BCE@KFLNEPIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0088 _invalid_parameter 00b0 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 7C 44 B9 1F 09 00 71 21 05 00 54 08 78 44 B9 1F 05 00 71 C1 04 00 54 08 EC 4D B9 1F 8D 01 71 49 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0B 00 00 14 08 7D 40 93 04 3C 40 B9 09 03 80 D2 03 84 40 79 09 01 09 9B 82 00 80 52 21 21 12 91 ?? ?? ?? ?? 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_461_0 {
	meta:
		name = "?write_character@?$console_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
		size = 68
		refs = "0014 _putch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 00 00 11 53 00 00 91 ?? ?? ?? ?? 1F 04 00 31 81 00 00 54 08 00 80 12 68 02 00 B9 04 00 00 14 68 02 40 B9 09 05 00 11 69 02 00 B9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_462_0 {
	meta:
		name = "?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
		size = 72
		refs = "0014 _putwch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 00 00 11 53 00 00 91 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 81 00 00 54 08 00 80 12 68 02 00 B9 04 00 00 14 68 02 40 B9 09 05 00 11 69 02 00 B9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_463_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 200
		refs = "0010 __security_push_cookie 0050 wctomb_s 0070 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00b4 __security_pop_cookie"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 13 00 00 91 68 52 41 39 A8 03 00 34 68 52 40 B9 1F 01 00 71 4D 03 00 54 74 26 40 F9 15 00 80 52 A8 03 00 34 83 26 40 78 C2 00 80 D2 FF 03 00 B9 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? A0 01 00 35 E2 03 40 B9 62 01 00 34 64 42 00 91 63 A2 00 91 E1 23 00 91 60 A2 11 91 ?? ?? ?? ?? 68 52 40 B9 B5 06 00 11 BF 02 08 6B E1 FD FF 54 0A 00 00 14 08 00 80 12 68 2A 00 B9 07 00 00 14 62 52 40 B9 64 42 00 91 61 26 40 F9 63 A2 00 91 60 A2 11 91 ?? ?? ?? ?? 20 00 80 52 FF 43 00 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_466_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 220
		refs = "0054 _mbtowc_l 0068 _putwch_nolock 00c0 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 52 41 39 88 04 00 35 68 52 40 B9 1F 01 00 71 2D 04 00 54 75 26 40 F9 14 00 80 52 88 04 00 34 17 00 80 12 63 06 40 F9 FF 23 00 79 A1 02 00 91 E0 43 00 91 68 00 40 F9 02 09 80 B9 ?? ?? ?? ?? 16 00 00 11 DF 02 00 71 2D 02 00 54 E0 23 40 79 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 61 00 00 54 77 2A 00 B9 04 00 00 14 68 2A 40 B9 09 05 00 11 69 2A 00 B9 6A 52 40 B9 94 06 00 11 B5 C2 36 8B 9F 02 0A 6B 01 FD FF 54 09 00 00 14 77 2A 00 B9 07 00 00 14 62 52 40 B9 64 42 00 91 61 26 40 F9 63 A2 00 91 60 A2 11 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_469_0 {
	meta:
		name = "?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 244
		refs = "0030 _errno 0058 _putch_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 93 00 00 91 68 02 40 F9 37 00 00 91 58 00 00 11 74 00 00 91 68 00 00 B5 ?? ?? ?? ?? 60 02 00 F9 75 02 40 F9 F8 C2 38 8B FF 02 18 EB B6 02 40 B9 BF 02 00 B9 00 04 00 54 19 00 80 12 E0 16 C0 38 ?? ?? ?? ?? 1F 04 00 31 61 00 00 54 99 02 00 B9 06 00 00 14 88 02 40 B9 09 05 00 11 89 02 00 B9 3F 05 00 31 41 02 00 54 69 02 40 F9 69 00 00 B5 ?? ?? ?? ?? 60 02 00 F9 68 02 40 F9 09 01 40 B9 3F A9 00 71 81 01 00 54 E0 07 80 52 ?? ?? ?? ?? 1F 04 00 31 61 00 00 54 99 02 00 B9 04 00 00 14 88 02 40 B9 09 05 00 11 89 02 00 B9 FF 02 18 EB 61 FC FF 54 A8 02 40 B9 68 00 00 35 56 00 00 34 B6 02 00 B9 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_470_0 {
	meta:
		name = "?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 256
		refs = "0030 _errno 005c _putwch_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 93 00 00 91 68 02 40 F9 38 00 00 91 57 00 00 11 74 00 00 91 68 00 00 B5 ?? ?? ?? ?? 60 02 00 F9 75 02 40 F9 E8 7E 40 93 17 07 08 8B 1F 03 17 EB B6 02 40 B9 BF 02 00 B9 40 04 00 54 19 00 80 12 00 27 40 78 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 61 00 00 54 99 02 00 B9 06 00 00 14 88 02 40 B9 09 05 00 11 89 02 00 B9 3F 05 00 31 61 02 00 54 69 02 40 F9 69 00 00 B5 ?? ?? ?? ?? 60 02 00 F9 68 02 40 F9 09 01 40 B9 3F A9 00 71 A1 01 00 54 E0 07 80 52 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 61 00 00 54 99 02 00 B9 04 00 00 14 88 02 40 B9 09 05 00 11 89 02 00 B9 1F 03 17 EB 21 FC FF 54 A8 02 40 B9 68 00 00 35 56 00 00 34 B6 02 00 B9 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_35_471_0 {
	meta:
		name = "__acrt_isleadbyte_l_noupdate"
		size = 24
	strings:
		$1 = { 28 00 40 F9 0A 1C 00 53 09 01 40 F9 2A D9 6A 78 40 01 11 12 C0 03 5F D6 }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "strncat"
		size = 216
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 07 40 F9 E8 13 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 F6 FF FF 17 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E8 0B 40 F9 E8 17 00 F9 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 17 40 F9 1F 01 00 F1 A0 02 00 54 E9 07 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 07 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 B9 1F 01 00 71 61 00 00 54 E0 13 40 F9 06 00 00 14 E5 FF FF 17 E9 07 40 F9 08 00 80 52 28 01 00 39 E0 13 40 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "_dscale"
		size = 1720
		refs = "00e4 _dnorm 0150 _Inf_C"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 27 00 B9 E8 23 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 E8 43 00 79 E8 43 C0 79 08 01 00 11 1F FD 1F 71 61 04 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 1F 01 00 71 A1 02 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 21 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 48 00 80 52 E8 33 00 B9 E8 33 40 B9 00 3D 00 13 00 00 00 11 7A 01 00 14 11 00 00 14 E8 43 C0 79 08 01 00 11 1F 01 00 71 A1 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 E8 43 00 79 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 00 00 54 00 00 80 52 69 01 00 14 E9 27 40 B9 08 00 80 52 1F 01 09 6B 6A 03 00 54 E9 43 C0 79 29 01 00 11 E8 FF 80 52 09 01 09 4B E8 27 40 B9 3F 01 08 6B 8C 02 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 27 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 27 00 FD E8 23 40 F9 F0 27 40 FD 10 01 00 FD 20 00 80 52 4C 01 00 14 4B 01 00 14 E8 43 C0 79 08 01 00 11 E9 03 08 4B E8 27 40 B9 3F 01 08 6B 6A 02 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 0A 51 11 12 E9 43 C0 79 29 01 00 11 E8 27 40 B9 08 01 09 0B 08 6D 1C 53 48 01 08 2A 09 3D 00 53 E8 0F 40 F9 08 19 00 91 09 01 00 79 00 00 80 12 34 01 00 14 33 01 00 14 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 01 11 12 08 3D 00 53 E8 53 00 79 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 08 01 1C 32 09 3D 00 53 E8 0F 40 F9 08 19 00 91 09 01 00 79 E8 43 C0 79 08 01 00 11 09 05 00 51 E8 27 40 B9 08 01 09 0B E8 27 00 B9 E8 27 40 B9 1F D5 00 31 AB 00 00 54 E9 27 40 B9 08 00 80 52 1F 01 09 6B 6C 02 00 54 E8 0F 40 F9 09 19 00 91 E8 53 40 79 28 01 00 79 E8 0F 40 F9 09 11 00 91 08 00 80 52 28 01 00 79 E8 0F 40 F9 09 09 00 91 08 00 80 52 28 01 00 79 E9 0F 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 04 01 00 14 03 01 00 14 E8 27 40 B9 08 3D 00 13 E8 23 00 79 08 00 80 52 E8 47 00 79 06 00 00 14 E8 23 C0 79 08 01 00 11 08 41 00 11 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 41 00 31 EC 04 00 54 E8 47 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 0F 40 F9 09 01 40 79 29 01 00 11 E8 37 40 B9 28 01 08 2A 08 3D 00 53 E8 47 00 79 E8 0F 40 F9 08 09 00 91 E9 0F 40 F9 08 01 40 79 28 01 00 79 E8 0F 40 F9 0A 11 00 91 E8 0F 40 F9 09 09 00 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 0A 19 00 91 E8 0F 40 F9 09 11 00 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 09 19 00 91 08 00 80 52 28 01 00 79 D2 FF FF 17 E8 23 C0 79 08 01 00 11 E8 03 08 4B 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 0B 00 54 E8 47 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 0F 40 F9 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 49 21 C8 1A E8 3B 40 B9 28 01 08 2A 08 3D 00 53 E8 47 00 79 E8 0F 40 F9 09 01 40 79 29 01 00 11 E8 23 C0 79 08 01 00 11 2B 29 C8 1A E8 0F 40 F9 08 09 00 91 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 48 21 C8 1A 68 01 08 2A 09 3D 00 53 E8 0F 40 F9 09 01 00 79 E8 0F 40 F9 08 09 00 91 09 01 40 79 29 01 00 11 E8 23 C0 79 08 01 00 11 2B 29 C8 1A E8 0F 40 F9 08 11 00 91 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 48 21 C8 1A 68 01 08 2A 09 3D 00 53 E8 0F 40 F9 08 09 00 91 09 01 00 79 E8 0F 40 F9 08 11 00 91 09 01 40 79 29 01 00 11 E8 23 C0 79 08 01 00 11 2B 29 C8 1A E8 0F 40 F9 08 19 00 91 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 48 21 C8 1A 68 01 08 2A 09 3D 00 53 E8 0F 40 F9 08 11 00 91 09 01 00 79 E8 0F 40 F9 0A 19 00 91 E8 23 C0 79 09 3D 00 53 48 01 40 79 08 25 C9 1A 09 3D 00 53 E8 0F 40 F9 08 19 00 91 09 01 00 79 E8 0F 40 F9 08 19 00 91 E9 53 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 2A E8 0F 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E9 47 40 79 29 01 00 11 08 00 90 52 1F 01 09 6B 4B 01 00 54 E9 47 40 79 29 01 00 11 08 00 90 52 1F 01 09 6B 01 07 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 88 06 00 36 E8 0F 40 F9 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0F 40 F9 09 01 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 01 05 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 57 00 79 E8 0F 40 F9 09 09 00 91 E8 57 40 79 28 01 00 79 E8 57 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 21 03 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 5B 00 79 E8 0F 40 F9 09 11 00 91 E8 5B 40 79 28 01 00 79 E8 5B 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 41 01 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0F 40 F9 08 19 00 91 09 01 00 79 1C 00 00 14 E8 0F 40 F9 08 19 00 91 09 01 40 79 29 01 00 11 E8 53 40 79 08 01 00 11 3F 01 08 6B 81 02 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 01 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 00 00 80 12 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_38_1_0 {
	meta:
		name = "_fdscale"
		size = 1248
		refs = "00b4 _fdnorm 0120 _FInf_C"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 27 00 B9 E8 23 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 1D 19 12 08 7D 07 13 08 3D 00 13 E8 27 00 79 E8 27 C0 79 08 01 00 11 1F FD 03 71 E1 02 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 1F 01 00 71 21 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 48 00 80 52 E8 2F 00 B9 E8 2F 40 B9 00 3D 00 13 00 00 00 11 10 01 00 14 11 00 00 14 E8 27 C0 79 08 01 00 11 1F 01 00 71 A1 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 27 00 79 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 00 00 54 00 00 80 52 FF 00 00 14 E9 27 40 B9 08 00 80 52 1F 01 09 6B 6A 03 00 54 E9 27 C0 79 29 01 00 11 E8 1F 80 52 09 01 09 4B E8 27 40 B9 3F 01 08 6B 8C 02 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 33 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 33 00 BD E8 23 40 F9 F0 33 40 BD 10 01 00 BD 20 00 80 52 E2 00 00 14 E1 00 00 14 E8 27 C0 79 08 01 00 11 E9 03 08 4B E8 27 40 B9 3F 01 08 6B 6A 02 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 0A 5D 11 12 E9 27 C0 79 29 01 00 11 E8 27 40 B9 08 01 09 0B 08 61 19 53 48 01 08 2A 09 3D 00 53 E8 0F 40 F9 08 09 00 91 09 01 00 79 00 00 80 12 CA 00 00 14 C9 00 00 14 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 01 11 12 08 3D 00 53 E8 53 00 79 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 08 01 19 32 09 3D 00 53 E8 0F 40 F9 08 09 00 91 09 01 00 79 E8 27 C0 79 08 01 00 11 09 05 00 51 E8 27 40 B9 08 01 09 0B E8 27 00 B9 E8 27 40 B9 1F 61 00 31 AB 00 00 54 E9 27 40 B9 08 00 80 52 1F 01 09 6B 6C 01 00 54 E8 0F 40 F9 09 09 00 91 E8 53 40 79 28 01 00 79 E9 0F 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 A2 00 00 14 A1 00 00 14 E8 27 40 B9 08 3D 00 13 E8 23 00 79 08 00 80 52 E8 43 00 79 E8 23 C0 79 08 01 00 11 1F 41 00 31 EC 03 00 54 E8 43 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 0F 40 F9 09 01 40 79 29 01 00 11 E8 37 40 B9 28 01 08 2A 08 3D 00 53 E8 43 00 79 E8 0F 40 F9 08 09 00 91 E9 0F 40 F9 08 01 40 79 28 01 00 79 E8 0F 40 F9 09 09 00 91 08 00 80 52 28 01 00 79 E8 23 C0 79 08 01 00 11 08 41 00 11 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 03 08 4B 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 60 06 00 54 E8 43 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 0F 40 F9 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 49 21 C8 1A E8 3B 40 B9 28 01 08 2A 08 3D 00 53 E8 43 00 79 E8 0F 40 F9 09 01 40 79 29 01 00 11 E8 23 C0 79 08 01 00 11 2B 29 C8 1A E8 0F 40 F9 08 09 00 91 0A 01 40 79 4A 01 00 11 E9 23 C0 79 29 01 00 11 08 02 80 52 08 01 09 4B 48 21 C8 1A 68 01 08 2A 09 3D 00 53 E8 0F 40 F9 09 01 00 79 E8 0F 40 F9 0A 09 00 91 E8 23 C0 79 09 3D 00 53 48 01 40 79 08 25 C9 1A 09 3D 00 53 E8 0F 40 F9 08 09 00 91 09 01 00 79 E8 0F 40 F9 08 09 00 91 E9 53 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 2A E8 0F 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E9 43 40 79 29 01 00 11 08 00 90 52 1F 01 09 6B 4B 01 00 54 E9 43 40 79 29 01 00 11 08 00 90 52 1F 01 09 6B 41 03 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 C8 02 00 36 E8 0F 40 F9 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0F 40 F9 09 01 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 41 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0F 40 F9 08 09 00 91 09 01 00 79 10 00 00 14 E8 0F 40 F9 08 09 00 91 09 01 40 79 29 01 00 11 E8 53 40 79 08 01 00 11 3F 01 08 6B 01 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 00 00 80 12 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_38_2_0 {
	meta:
		name = "_ldscale"
		size = 44
		refs = "0018 _dscale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
		size = 1684
		refs = "002c ??_C@_1CC@HOFKGKIJ@?$AAp?$AAm?$AAb?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0050 _CrtDbgReportW 00f8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0104 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0140 ??_C@_1GC@GKDIDINO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAm?$AAb?$AA_?$AAc?$AAu?$AAr?$AA_?$AAm?$AAa?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe@ 01f0 ??1_LocaleUpdate@@QEAA@XZ 0288 __imp_MultiByteToWideChar 02b4 _errno 0384 _isleadbyte_l 0420 strlen"
	strings:
		$1 = { FD 7B AD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 17 00 F9 E3 57 00 F9 E4 1B 00 F9 E5 5B 00 F9 E8 1B 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E8 57 40 F9 1F 01 00 F1 21 01 00 54 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 B9 00 00 80 52 75 01 00 14 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 B9 00 00 80 52 68 01 00 14 E1 5B 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 97 00 F9 E0 03 02 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 E8 23 00 B9 E8 23 40 B9 1F 05 00 71 80 02 00 54 E8 23 40 B9 1F 09 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 03 02 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 E8 0F 40 F9 1F 01 00 F1 E0 00 00 54 E8 17 40 F9 08 01 C0 39 09 1D 00 53 29 01 00 11 E8 0F 40 F9 09 01 00 79 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 28 00 80 52 28 01 00 B9 08 00 80 52 E8 4F 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 4F 40 B9 25 01 00 14 E8 1B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 A0 0A 00 54 E8 1B 40 F9 09 05 00 91 E8 17 40 F9 08 01 C0 39 28 01 00 39 E8 23 40 B9 1F 05 00 71 CD 03 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E5 3B 40 B9 E4 0F 40 F9 43 00 80 52 E2 1B 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 53 00 B9 E8 53 40 B9 1F 01 00 71 E1 03 00 54 E8 1B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 48 05 80 52 28 01 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 08 01 40 B9 E8 57 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 57 40 B9 DD 00 00 14 E8 1B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 E8 23 40 B9 28 01 00 B9 08 00 80 52 E8 5B 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 5B 40 B9 CD 00 00 14 CA 00 00 14 E0 03 02 91 ?? ?? ?? ?? E0 73 00 F9 E8 17 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 E1 73 40 F9 00 00 00 11 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 20 0F 00 54 E8 23 40 B9 09 7D 40 93 E8 57 40 F9 1F 01 09 EB 42 02 00 54 E9 1B 40 F9 E8 17 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 28 00 80 12 28 01 00 B9 08 00 80 52 E8 63 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 63 40 B9 A9 00 00 14 56 00 00 14 E8 23 40 B9 1F 05 00 71 ED 05 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 77 00 F9 E9 7B 40 B2 E8 77 40 F9 1F 01 09 EB E2 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 53 00 F9 03 00 00 14 E8 7B 40 B2 E8 53 00 F9 E0 03 02 91 ?? ?? ?? ?? E0 7F 00 F9 E8 53 40 F9 03 01 00 11 E8 7F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E5 3F 40 B9 E4 0F 40 F9 63 00 00 11 E2 17 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 67 00 B9 E8 67 40 B9 1F 01 00 71 A1 04 00 54 E8 17 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 01 00 71 E1 03 00 54 E8 1B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 48 05 80 52 28 01 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 08 01 40 B9 E8 6B 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 6B 40 B9 53 00 00 14 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 E8 23 40 B9 28 01 00 B9 08 00 80 52 E8 6F 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 6F 40 B9 47 00 00 14 44 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E5 43 40 B9 E4 0F 40 F9 23 00 80 52 E2 17 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 61 03 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 48 05 80 52 28 01 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 08 01 40 B9 E8 77 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 77 40 B9 0F 00 00 14 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 28 00 80 52 28 01 00 B9 08 00 80 52 E8 7B 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 7B 40 B9 03 00 00 14 E0 03 02 91 ?? ?? ?? ?? FD 7B D3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_4_0 {
	meta:
		name = "?_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z"
		size = 664
		refs = "004c ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CE@GMDJEGCL@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 00cc _invalid_parameter 00fc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0110 ?mbst@?1??_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z@4U2@A 0150 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0170 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z 018c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 27 00 F9 E3 1B 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 6F 00 00 14 E8 2B 40 F9 08 01 40 F9 E8 0F 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 D2 E8 13 00 F9 01 00 80 D2 E0 23 02 91 ?? ?? ?? ?? E0 57 00 F9 E8 1B 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 E8 1F 40 F9 1F 01 00 F1 01 05 00 54 09 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 8B E8 0F 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 33 00 F9 E5 33 40 F9 E4 1B 40 F9 E3 7B 40 B2 E2 0F 40 F9 E1 03 01 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 01 00 71 0A 01 00 54 08 00 80 92 E8 37 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 37 40 F9 3F 00 00 14 0A 00 00 14 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 13 40 F9 E8 3B 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 3B 40 F9 35 00 00 14 DB FF FF 17 0F 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 8B E8 0F 00 F9 E8 1F 40 F9 08 09 00 91 E8 1F 00 F9 E8 27 40 F9 08 05 00 D1 E8 27 00 F9 E9 27 40 F9 08 00 80 D2 1F 01 09 EB 22 03 00 54 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 F9 E5 3F 40 F9 E4 1B 40 F9 E3 7B 40 B2 E2 0F 40 F9 E1 1F 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 01 00 71 AA 00 00 54 08 00 80 92 E8 13 00 F9 09 00 00 14 07 00 00 14 E8 13 40 B9 1F 01 00 71 81 00 00 54 08 00 80 D2 E8 0F 00 F9 02 00 00 14 D7 FF FF 17 E9 2B 40 F9 E8 0F 40 F9 28 01 00 F9 E8 13 40 F9 E8 43 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 43 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_6_0 {
	meta:
		name = "btowc"
		size = 164
		refs = "0068 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 1F 05 00 31 81 00 00 54 E0 FF 9F 52 20 00 00 14 1F 00 00 14 E8 17 40 B9 08 1D 00 13 E8 43 00 39 E9 83 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 08 00 80 52 E8 27 00 79 08 00 80 12 E8 1B 00 B9 05 00 80 D2 E4 83 00 91 23 00 80 D2 E2 43 00 91 E1 4B 00 91 E0 63 00 91 ?? ?? ?? ?? E8 1B 40 B9 1F 01 00 71 8A 00 00 54 E8 FF 9F 52 E8 1F 00 B9 04 00 00 14 E8 27 40 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 00 3D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_7_0 {
	meta:
		name = "mbrlen"
		size = 112
		refs = "0034 ?mbst@?1??mbrlen@@9@4U_Mbstatet@@A 0058 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 08 00 80 12 E8 13 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0F 40 F9 E8 13 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 05 00 80 D2 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E8 13 40 B9 00 7D 40 93 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_8_0 {
	meta:
		name = "mbrtowc"
		size = 200
		refs = "0044 ?mbst@?1??mbrtowc@@9@4U_Mbstatet@@A 0068 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z 00a0 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 17 00 F9 E2 1F 00 F9 E3 0F 00 F9 08 00 80 12 E8 13 00 B9 E8 17 40 F9 1F 01 00 F1 40 02 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0F 40 F9 E8 13 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 05 00 80 D2 E4 13 40 F9 E3 1F 40 F9 E2 17 40 F9 E1 23 40 F9 E0 43 00 91 ?? ?? ?? ?? 12 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0F 40 F9 E8 1B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 05 00 80 D2 E4 1B 40 F9 23 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E8 13 40 B9 00 7D 40 93 00 00 00 91 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_9_0 {
	meta:
		name = "mbsrtowcs"
		size = 60
		refs = "0028 ?_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_449_5_0 {
	meta:
		name = "_mbstowcs_l"
		size = 60
		refs = "0028 ?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_7_0 {
	meta:
		name = "_wcstombs_l"
		size = 60
		refs = "0028 ?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_9_0 {
	meta:
		name = "wcsrtombs"
		size = 60
		refs = "0028 internal_wcsrtombs"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_39_10_0 {
	meta:
		name = "mbsrtowcs_s"
		size = 1364
		refs = "0090 ??_C@_1JI@OGEJMCOI@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DN@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00b4 _CrtDbgReportW 00dc _errno 0100 ??_C@_1BI@GDNNFHAB@?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$AA@ 0110 _invalid_parameter 0160 _CrtGetDebugFillThreshold 01bc memset 01f4 ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02b4 ?_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z 0480 ??_C@_1CO@EPBLOHBA@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 23 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 3F 00 F9 E4 37 00 F9 E5 5F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 23 40 F9 08 00 80 92 28 01 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0B 40 F9 1F 01 00 F1 88 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 30 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 30 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0D 01 00 14 E8 0F 40 F9 1F 01 00 F1 E0 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 2F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 33 00 F9 E9 33 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B4 00 00 14 E9 0B 40 F9 E8 37 40 F9 1F 01 09 EB 89 00 00 54 E8 0B 40 F9 E8 3B 00 F9 03 00 00 14 E8 37 40 F9 E8 3B 00 F9 E3 5F 40 F9 E2 3B 40 F9 E1 3F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 E1 05 00 54 E8 0F 40 F9 1F 01 00 F1 E0 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E8 0B 40 F9 09 05 00 D1 E8 43 40 F9 1F 01 09 EB 82 00 00 54 E8 43 40 F9 E8 47 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 47 00 F9 E9 47 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 00 01 40 B9 72 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 1F 01 00 F1 A0 0C 00 54 E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB 29 0B 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 4B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4F 00 F9 E9 4F 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 83 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 11 00 00 14 09 00 00 14 E8 13 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 23 40 F9 E8 13 40 F9 28 01 00 F9 00 00 80 52 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
		size = 644
		refs = "0184 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01a8 _CrtDbgReportW 01d0 _errno 01f4 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0204 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 4B 00 B9 E1 2F 00 F9 E2 2B 00 F9 E3 33 00 B9 E4 63 00 39 E8 2F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 E8 4B 40 B9 E8 1F 00 B9 E8 63 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E9 0B 40 F9 A8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 E8 03 08 4B E8 1F 00 B9 E8 0B 40 F9 E8 23 00 F9 EA 1F 40 B9 E9 33 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 23 00 B9 E9 1F 40 B9 E8 33 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 1F 00 B9 E8 23 40 B9 1F 25 00 71 69 01 00 54 E8 23 40 B9 08 29 00 51 08 85 01 11 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 09 00 00 14 E8 23 40 B9 08 C1 00 11 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 1F 01 00 71 A9 00 00 54 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB 83 FA FF 54 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB A3 06 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 39 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB 82 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 1C 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 E8 67 00 39 E9 0B 40 F9 E8 23 40 F9 08 01 C0 39 28 01 00 39 E9 23 40 F9 E8 67 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E9 0B 40 F9 E8 23 40 F9 1F 01 09 EB A3 FD FF 54 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_1_0 {
	meta:
		name = "??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
		size = 644
		refs = "0184 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01a8 _CrtDbgReportW 01d0 _errno 01f4 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0204 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 4B 00 B9 E1 2F 00 F9 E2 2B 00 F9 E3 33 00 B9 E4 63 00 39 E8 2F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 E8 4B 40 B9 E8 1F 00 B9 E8 63 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E9 0B 40 F9 A8 05 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 E8 03 08 4B E8 1F 00 B9 E8 0B 40 F9 E8 23 00 F9 EA 1F 40 B9 E9 33 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 27 00 B9 E9 1F 40 B9 E8 33 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 1F 00 B9 E8 27 40 B9 1F 25 00 71 69 01 00 54 E8 27 40 B9 08 29 00 51 08 85 01 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 09 00 00 14 E8 27 40 B9 08 C1 00 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 1F 01 00 71 A9 00 00 54 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB 83 FA FF 54 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB A3 06 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 79 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB 82 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 1C 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 40 79 E8 43 00 79 E9 0B 40 F9 E8 23 40 F9 08 01 40 79 28 01 00 79 E9 23 40 F9 E8 43 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 D1 E8 0B 00 F9 E8 23 40 F9 08 09 00 91 E8 23 00 F9 E9 0B 40 F9 E8 23 40 F9 1F 01 09 EB A3 FD FF 54 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_2_0 {
	meta:
		name = "??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
		size = 656
		refs = "0190 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0198 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a8 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01b4 _CrtDbgReportW 01dc _errno 0200 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0210 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 33 00 F9 E1 2F 00 F9 E2 2B 00 F9 E3 33 00 B9 E4 63 00 39 E8 2F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 13 00 F9 E8 33 40 F9 E8 17 00 F9 E8 63 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E9 0B 40 F9 A8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 17 40 F9 E8 03 08 CB E8 17 00 F9 E8 0B 40 F9 E8 23 00 F9 E8 33 40 B9 0A 7D 40 D3 E9 17 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 01 00 11 E8 1F 00 B9 E8 33 40 B9 09 7D 40 D3 E8 17 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 17 00 F9 E8 1F 40 B9 1F 25 00 71 69 01 00 54 E8 1F 40 B9 08 29 00 51 08 85 01 11 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 09 00 00 14 E8 1F 40 B9 08 C1 00 11 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 17 40 F9 1F 01 00 F1 A9 00 00 54 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 23 FA FF 54 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB A3 06 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 39 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 82 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 1C 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 E8 67 00 39 E9 0B 40 F9 E8 23 40 F9 08 01 C0 39 28 01 00 39 E9 23 40 F9 E8 67 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E9 0B 40 F9 E8 23 40 F9 1F 01 09 EB A3 FD FF 54 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_3_0 {
	meta:
		name = "??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
		size = 656
		refs = "0190 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0198 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a8 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01b4 _CrtDbgReportW 01dc _errno 0200 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0210 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 33 00 F9 E1 2F 00 F9 E2 2B 00 F9 E3 33 00 B9 E4 63 00 39 E8 2F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 13 00 F9 E8 33 40 F9 E8 17 00 F9 E8 63 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E9 0B 40 F9 A8 05 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 17 40 F9 E8 03 08 CB E8 17 00 F9 E8 0B 40 F9 E8 23 00 F9 E8 33 40 B9 0A 7D 40 D3 E9 17 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 01 00 11 E8 1F 00 B9 E8 33 40 B9 09 7D 40 D3 E8 17 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 17 00 F9 E8 1F 40 B9 1F 25 00 71 69 01 00 54 E8 1F 40 B9 08 29 00 51 08 85 01 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 09 00 00 14 E8 1F 40 B9 08 C1 00 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 17 40 F9 1F 01 00 F1 A9 00 00 54 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 23 FA FF 54 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB A3 06 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 79 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 82 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 1C 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 40 79 E8 37 00 79 E9 0B 40 F9 E8 23 40 F9 08 01 40 79 28 01 00 79 E9 23 40 F9 E8 37 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 D1 E8 0B 00 F9 E8 23 40 F9 08 09 00 91 E8 23 00 F9 E9 0B 40 F9 E8 23 40 F9 1F 01 09 EB A3 FD FF 54 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_4_0 {
	meta:
		name = "??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
		size = 1036
		refs = "0050 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d4 _CrtGetDebugFillThreshold 0224 memset 0288 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0358 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 03f8 ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 63 00 B9 E1 27 00 F9 E2 0F 00 F9 E3 23 00 B9 E4 43 00 39 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CB 00 00 14 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9B 00 00 14 E9 27 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 37 00 F9 E8 0F 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 3B 00 F9 E8 27 40 F9 00 05 00 91 E2 3B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 52 E8 37 00 B9 03 00 00 14 28 00 80 52 E8 37 00 B9 E8 37 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 3D 00 00 14 E9 23 40 B9 48 00 80 52 1F 01 09 6B E8 00 00 54 E8 23 40 B9 1F 91 00 71 88 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 09 00 00 14 E4 43 40 39 E3 23 40 B9 E2 0F 40 F9 E1 27 40 F9 E0 63 40 B9 ?? ?? ?? ?? E0 67 00 B9 E0 67 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_5_0 {
	meta:
		name = "??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
		size = 1048
		refs = "0050 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d4 _CrtGetDebugFillThreshold 0230 memset 0294 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0364 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0404 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 63 00 B9 E1 27 00 F9 E2 0F 00 F9 E3 23 00 B9 E4 43 00 39 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CE 00 00 14 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9E 00 00 14 E9 27 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 37 00 F9 E8 0F 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 3B 00 F9 E9 3B 40 F9 48 00 80 D2 22 7D 08 9B E8 27 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 52 E8 37 00 B9 03 00 00 14 28 00 80 52 E8 37 00 B9 E8 37 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 3D 00 00 14 E9 23 40 B9 48 00 80 52 1F 01 09 6B E8 00 00 54 E8 23 40 B9 1F 91 00 71 88 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 09 00 00 14 E4 43 40 39 E3 23 40 B9 E2 0F 40 F9 E1 27 40 F9 E0 63 40 B9 ?? ?? ?? ?? E0 67 00 B9 E0 67 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_6_0 {
	meta:
		name = "??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
		size = 1036
		refs = "0050 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d4 _CrtGetDebugFillThreshold 0224 memset 0288 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0358 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 03f8 ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 53 00 F9 E1 27 00 F9 E2 0F 00 F9 E3 23 00 B9 E4 43 00 39 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CB 00 00 14 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9B 00 00 14 E9 27 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 37 00 F9 E8 0F 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 3B 00 F9 E8 27 40 F9 00 05 00 91 E2 3B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 52 E8 37 00 B9 03 00 00 14 28 00 80 52 E8 37 00 B9 E8 37 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 3D 00 00 14 E9 23 40 B9 48 00 80 52 1F 01 09 6B E8 00 00 54 E8 23 40 B9 1F 91 00 71 88 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 09 00 00 14 E4 43 40 39 E3 23 40 B9 E2 0F 40 F9 E1 27 40 F9 E0 53 40 F9 ?? ?? ?? ?? E0 63 00 B9 E0 63 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_7_0 {
	meta:
		name = "??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
		size = 1048
		refs = "0050 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d4 _CrtGetDebugFillThreshold 0230 memset 0294 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0364 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0404 ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 53 00 F9 E1 27 00 F9 E2 0F 00 F9 E3 23 00 B9 E4 43 00 39 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CE 00 00 14 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9E 00 00 14 E9 27 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 37 00 F9 E8 0F 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 3B 00 F9 E9 3B 40 F9 48 00 80 D2 22 7D 08 9B E8 27 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 52 E8 37 00 B9 03 00 00 14 28 00 80 52 E8 37 00 B9 E8 37 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 3D 00 00 14 E9 23 40 B9 48 00 80 52 1F 01 09 6B E8 00 00 54 E8 23 40 B9 1F 91 00 71 88 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 09 00 00 14 E4 43 40 39 E3 23 40 B9 E2 0F 40 F9 E1 27 40 F9 E0 53 40 F9 ?? ?? ?? ?? E0 63 00 B9 E0 63 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_8_0 {
	meta:
		name = "_i64toa"
		size = 108
		refs = "005c ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 02 00 80 92 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_10_0 {
	meta:
		name = "_i64tow"
		size = 108
		refs = "005c ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 02 00 80 92 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_9_0 {
	meta:
		name = "_i64toa_s"
		size = 116
		refs = "0060 ??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 13 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_11_0 {
	meta:
		name = "_i64tow_s"
		size = 116
		refs = "0060 ??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 13 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_12_0 {
	meta:
		name = "_itoa"
		size = 108
		refs = "005c ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
		altNames = "_ltoa"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 13 00 F9 E2 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 02 00 80 92 E1 13 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_14_0 {
	meta:
		name = "_itow"
		size = 108
		refs = "005c ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 13 00 F9 E2 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 02 00 80 92 E1 13 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_18_0 {
	meta:
		name = "_ltow"
		size = 108
		refs = "005c ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 13 00 F9 E2 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 02 00 80 92 E1 13 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_13_0 {
	meta:
		name = "_itoa_s"
		size = 116
		refs = "0060 ??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
		altNames = "_ltoa_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 F9 E2 13 00 F9 E3 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_15_0 {
	meta:
		name = "_itow_s"
		size = 116
		refs = "0060 ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 F9 E2 13 00 F9 E3 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_19_0 {
	meta:
		name = "_ltow_s"
		size = 116
		refs = "0060 ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 F9 E2 13 00 F9 E3 17 00 B9 E8 17 40 B9 1F 29 00 71 E1 00 00 54 E8 1B 40 B9 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E4 47 40 39 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_20_0 {
	meta:
		name = "_ui64toa"
		size = 56
		refs = "0028 ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 04 00 80 52 E3 13 40 B9 02 00 80 92 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_22_0 {
	meta:
		name = "_ui64tow"
		size = 56
		refs = "0028 ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 04 00 80 52 E3 13 40 B9 02 00 80 92 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_21_0 {
	meta:
		name = "_ui64toa_s"
		size = 64
		refs = "002c ??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 13 00 B9 04 00 80 52 E3 13 40 B9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_23_0 {
	meta:
		name = "_ui64tow_s"
		size = 64
		refs = "002c ??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 13 00 B9 04 00 80 52 E3 13 40 B9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_24_0 {
	meta:
		name = "_ultoa"
		size = 56
		refs = "0028 ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 0F 00 F9 E2 13 00 B9 04 00 80 52 E3 13 40 B9 02 00 80 92 E1 0F 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_26_0 {
	meta:
		name = "_ultow"
		size = 56
		refs = "0028 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 0F 00 F9 E2 13 00 B9 04 00 80 52 E3 13 40 B9 02 00 80 92 E1 0F 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_25_0 {
	meta:
		name = "_ultoa_s"
		size = 64
		refs = "002c ??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 17 00 F9 E2 13 00 F9 E3 13 00 B9 04 00 80 52 E3 13 40 B9 E2 13 40 F9 E1 17 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_40_27_0 {
	meta:
		name = "_ultow_s"
		size = 64
		refs = "002c ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 17 00 F9 E2 13 00 F9 E3 13 00 B9 04 00 80 52 E3 13 40 B9 E2 13 40 F9 E1 17 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "wctype"
		size = 196
		refs = "0034 ?tab@@3QBUwctab@@B 0078 strcmp"
		altNames = "wctrans"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 09 7D 40 D3 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 60 03 00 54 E8 13 40 B9 09 7D 40 D3 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 E1 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 61 01 00 54 E8 13 40 B9 09 7D 40 D3 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 00 01 40 79 03 00 00 14 D9 FF FF 17 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_42_8_0 {
	meta:
		name = "__acrt_stdio_allocate_buffer_nolock"
		size = 464
		refs = "0018 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GC@DLDMJFMI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 003c _CrtDbgReportW 0060 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0064 _cflush 007c ??_C@_0DB@LKJPMJPL@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 008c _malloc_dbg 009c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00b0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 00bc ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00d8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0104 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 13 40 F9 E0 43 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 63 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 82 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 09 21 00 91 E8 27 40 F9 28 01 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 01 08 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 09 81 00 91 08 00 82 52 28 01 00 B9 16 00 00 14 01 80 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 37 40 F9 09 71 00 91 E8 3B 40 F9 08 21 00 91 09 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 09 81 00 91 48 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 43 40 F9 0A 21 00 91 E8 47 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_43_2_0 {
	meta:
		name = "??$common_chdir@D@@YAHQEBD@Z"
		size = 508
		refs = "0014 __security_push_cookie 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0044 _CrtDbgReportW 0054 __doserrno 005c _errno 0068 ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0080 _invalid_parameter 008c __imp_SetCurrentDirectoryA 00a0 __imp_GetLastError 00b0 __acrt_errno_map_os_error 00b8 __imp_GetCurrentDirectoryA 00e0 ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 0100 _calloc_dbg 0110 _free_dbg 017c toupper 018c __imp_SetEnvironmentVariableA 01e4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 80 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 56 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? F4 FF FF 17 ?? ?? ?? ?? FF 07 00 F9 ?? ?? ?? ?? 09 FD DF C8 E1 43 00 91 A0 20 80 52 B5 20 80 52 20 01 3F D6 14 00 00 11 D4 06 00 34 ?? ?? ?? ?? 9F 02 15 6B 63 03 00 54 84 0D 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 80 7E 40 D3 ?? ?? ?? ?? 41 00 80 52 13 00 00 91 E0 07 40 F9 ?? ?? ?? ?? 41 00 80 52 F3 07 00 F9 00 00 80 D2 ?? ?? ?? ?? 53 01 00 B4 ?? ?? ?? ?? 09 FD DF C8 61 02 00 91 80 02 00 11 95 02 00 11 20 01 3F D6 14 00 00 11 14 FD FF 35 1B 00 00 14 14 00 80 12 20 00 00 14 E0 43 C0 39 1F 70 01 71 60 00 00 54 1F BC 00 71 C1 00 00 54 E8 47 C0 39 1F 00 08 6B 61 00 00 54 14 00 80 52 15 00 00 14 ?? ?? ?? ?? A8 07 80 52 FF 0F 00 39 E8 03 00 39 ?? ?? ?? ?? 49 07 80 52 E0 07 00 39 ?? ?? ?? ?? E9 0B 00 39 09 FD DF C8 E1 43 00 91 E0 03 00 91 20 01 3F D6 20 FE FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 14 00 80 12 F3 07 40 F9 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FF 43 04 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_43_3_0 {
	meta:
		name = "??$common_chdir@_W@@YAHQEB_W@Z"
		size = 512
		refs = "0014 __security_push_cookie 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0044 _CrtDbgReportW 0054 __doserrno 005c _errno 0068 ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0080 _invalid_parameter 008c __imp_SetCurrentDirectoryW 00a0 __imp_GetLastError 00b0 __acrt_errno_map_os_error 00b8 __imp_GetCurrentDirectoryW 00e0 ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 0100 _calloc_dbg 0110 _free_dbg 0180 toupper 0190 __imp_SetEnvironmentVariableW 01e8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 08 D1 80 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 57 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? F4 FF FF 17 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 09 FD DF C8 E1 43 00 91 A0 20 80 52 B5 20 80 52 20 01 3F D6 14 00 00 11 F4 06 00 34 ?? ?? ?? ?? 9F 02 15 6B 63 03 00 54 84 0D 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 80 7E 40 D3 ?? ?? ?? ?? 41 00 80 52 13 00 00 91 E0 03 40 F9 ?? ?? ?? ?? 41 00 80 52 F3 03 00 F9 00 00 80 D2 ?? ?? ?? ?? 53 01 00 B4 ?? ?? ?? ?? 09 FD DF C8 61 02 00 91 80 02 00 11 95 02 00 11 20 01 3F D6 14 00 00 11 14 FD FF 35 1C 00 00 14 14 00 80 12 21 00 00 14 E9 23 40 79 3F 71 01 71 60 00 00 54 3F BD 00 71 C1 00 00 54 E8 27 40 79 3F 01 08 6B 61 00 00 54 14 00 80 52 16 00 00 14 20 1D 00 13 ?? ?? ?? ?? A8 07 80 52 FF 1F 00 79 E8 13 00 79 ?? ?? ?? ?? 49 07 80 52 E0 17 00 79 ?? ?? ?? ?? E9 1B 00 79 09 FD DF C8 E1 43 00 91 E0 23 00 91 20 01 3F D6 00 FE FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 14 00 80 12 F3 03 40 F9 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FF 83 08 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_43_4_0 {
	meta:
		name = "??$get_current_directory@AEAKAEAPEAD@?$__crt_char_traits@D@@SAKAEAKAEAPEAD@Z"
		size = 24
		refs = "0000 __imp_GetCurrentDirectoryA"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 B9 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_43_5_0 {
	meta:
		name = "??$get_current_directory@AEAKAEAPEA_W@?$__crt_char_traits@_W@@SAKAEAKAEAPEA_W@Z"
		size = 24
		refs = "0000 __imp_GetCurrentDirectoryW"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 B9 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_43_6_0 {
	meta:
		name = "??$set_current_directory@AEBQEBD@?$__crt_char_traits@D@@SAHAEBQEBD@Z"
		size = 20
		refs = "0000 __imp_SetCurrentDirectoryA"
	strings:
		$1 = { ?? ?? ?? ?? 00 00 40 F9 ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_43_7_0 {
	meta:
		name = "??$set_current_directory@AEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEB_W@Z"
		size = 20
		refs = "0000 __imp_SetCurrentDirectoryW"
	strings:
		$1 = { ?? ?? ?? ?? 00 00 40 F9 ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_379_9_4 {
	meta:
		name = "??$tcschr@AEAPEA_WD@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_W$$QEAD@Z"
		size = 16
		refs = "000c wcschr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_17_4 {
	meta:
		name = "??$tcschr@AEBQEA_WD@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_W$$QEAD@Z"
		size = 16
		refs = "000c wcschr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_281_17_2 {
	meta:
		name = "??$tcschr@AEBQEB_WD@?$__crt_char_traits@_W@@SAPEB_WAEBQEB_W$$QEAD@Z"
		size = 16
		refs = "000c wcschr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_13_0 {
	meta:
		name = "??$tcschr@PEA_WD@?$__crt_char_traits@_W@@SAPEA_W$$QEAPEA_W$$QEAD@Z"
		size = 16
		refs = "000c wcschr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_19_0 {
	meta:
		name = "??$tcsrchr@AEAPEA_WD@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_W$$QEAD@Z"
		size = 16
		refs = "000c wcsrchr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_31_0 {
	meta:
		name = "??$tcsrchr@AEAPEB_WD@?$__crt_char_traits@_W@@SAPEB_WAEAPEB_W$$QEAD@Z"
		size = 16
		refs = "000c wcsrchr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_33_0 {
	meta:
		name = "??$tcsrchr@AEBQEB_WD@?$__crt_char_traits@_W@@SAPEB_WAEBQEB_W$$QEAD@Z"
		size = 16
		refs = "000c wcsrchr"
	strings:
		$1 = { 28 00 C0 39 00 00 40 F9 01 3D 00 53 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_8_0 {
	meta:
		name = "??$set_cwd_environment_variable@D@@YAHQEBD@Z"
		size = 148
		refs = "0038 toupper 0048 __imp_SetEnvironmentVariableA 0070 __imp_GetLastError 0080 __acrt_errno_map_os_error"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 13 00 00 91 60 02 C0 39 1F 70 01 71 60 00 00 54 1F BC 00 71 C1 00 00 54 68 06 C0 39 1F 00 08 6B 61 00 00 54 00 00 80 52 15 00 00 14 ?? ?? ?? ?? A8 07 80 52 FF 4F 00 39 E8 43 00 39 ?? ?? ?? ?? 49 07 80 52 E0 47 00 39 ?? ?? ?? ?? E9 4B 00 39 09 FD DF C8 61 02 00 91 E0 43 00 91 20 01 3F D6 20 FE FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 00 00 80 12 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_43_9_0 {
	meta:
		name = "??$set_cwd_environment_variable@_W@@YAHQEB_W@Z"
		size = 160
		refs = "000c __security_push_cookie 0040 toupper 0050 __imp_SetEnvironmentVariableW 0078 __imp_GetLastError 0088 __acrt_errno_map_os_error 0090 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? 13 00 00 91 69 02 40 79 3F 71 01 71 60 00 00 54 3F BD 00 71 C1 00 00 54 68 06 40 79 3F 01 08 6B 61 00 00 54 00 00 80 52 16 00 00 14 20 1D 00 13 ?? ?? ?? ?? A8 07 80 52 FF 0F 00 79 E8 03 00 79 ?? ?? ?? ?? 49 07 80 52 E0 07 00 79 ?? ?? ?? ?? E9 0B 00 79 09 FD DF C8 61 02 00 91 E0 03 00 91 20 01 3F D6 00 FE FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 00 00 80 12 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_43_10_0 {
	meta:
		name = "??$set_environment_variable@AEAY03$$CBDAEBQEBD@?$__crt_char_traits@D@@SAHAEAY03$$CBDAEBQEBD@Z"
		size = 20
		refs = "0000 __imp_SetEnvironmentVariableA"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_43_11_0 {
	meta:
		name = "??$set_environment_variable@AEAY03$$CB_WAEBQEB_W@?$__crt_char_traits@_W@@SAHAEAY03$$CB_WAEBQEB_W@Z"
		size = 20
		refs = "0000 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "towctrans"
		size = 88
		refs = "0024 towupper 003c towlower"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 2B 00 79 E8 2B 40 79 08 01 00 11 1F 05 00 71 E1 00 00 54 E0 23 40 79 ?? ?? ?? ?? E0 2F 00 79 E8 2F 40 79 E8 27 00 79 06 00 00 14 E0 23 40 79 ?? ?? ?? ?? E0 33 00 79 E8 33 40 79 E8 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_45_0_0 {
	meta:
		name = "atan"
		size = 968
		refs = "00a0 _handle_nan 00d0 ?piby2@?1??atan@@9@9 00e4 val_with_flags"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD F0 33 00 FD E8 33 40 F9 E8 27 00 F9 E8 27 40 F9 08 F9 40 92 E8 17 00 F9 E9 17 40 F9 E8 27 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 08 7D 40 93 E8 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 A0 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0F 00 FD 03 00 00 14 F0 0B 40 FD F0 0F 00 FD 29 15 00 58 E8 17 40 F9 1F 01 09 EB 89 05 00 54 09 FE EF D2 E8 17 40 F9 1F 01 09 EB E9 00 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 37 00 FD E0 37 40 FD 9B 00 00 14 19 00 00 14 B1 13 00 5C F0 0F 40 FD 00 22 71 1E AD 02 00 54 E8 2B 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 3B 00 FD E0 3B 40 FD 8A 00 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD 82 00 00 14 11 10 7E 1E F0 0F 40 FD 30 1A 70 1E F0 0B 00 FD 70 10 00 5C F0 23 00 FD 70 10 00 5C F0 1F 00 FD 3E 00 00 14 69 FE E7 D2 E8 17 40 F9 1F 01 09 EB 09 02 00 54 F1 0F 40 FD 10 10 6F 1E 32 3A 70 1E 11 10 6F 1E F0 0F 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 0B 00 FD 90 0E 00 5C F0 23 00 FD 90 0E 00 5C F0 1F 00 FD 2B 00 00 14 C9 FC E7 D2 E8 17 40 F9 1F 01 09 EB C9 01 00 54 F1 0F 40 FD 10 10 6E 1E 32 3A 70 1E 11 10 6E 1E F0 0F 40 FD 30 2A 70 1E 50 1A 70 1E F0 0B 00 FD F0 0C 00 5C F0 23 00 FD F0 0C 00 5C F0 1F 00 FD 1A 00 00 14 89 FB E7 D2 E8 17 40 F9 1F 01 09 EB 09 02 00 54 11 10 60 1E F0 0F 40 FD 31 0A 70 1E 10 10 6E 1E 32 3A 70 1E 11 10 60 1E F0 0F 40 FD 30 2A 70 1E 50 1A 70 1E F0 0B 00 FD 10 0B 00 5C F0 23 00 FD 10 0B 00 5C F0 1F 00 FD 07 00 00 14 F0 0F 40 FD F0 0B 00 FD B0 0A 00 5C F0 23 00 FD 70 0A 00 5C F0 1F 00 FD F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E F0 13 00 FD F1 0B 40 FD F0 13 40 FD 32 0A 70 1E 91 09 00 5C F0 13 40 FD 31 0A 70 1E 70 09 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 30 09 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E F0 08 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E B0 08 00 5C 10 2A 71 1E 52 0A 70 1E 91 08 00 5C F0 13 40 FD 31 0A 70 1E 70 08 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 30 08 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E F0 07 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E B0 07 00 5C 10 2A 71 1E 50 1A 70 1E F0 43 00 FD F1 43 40 FD F0 1F 40 FD 31 3A 70 1E F0 0B 40 FD 31 3A 70 1E F0 23 40 FD 10 3A 71 1E F0 2F 00 FD E8 2B 40 F9 1F 01 00 F1 80 00 00 54 F0 2F 40 FD 10 42 61 1E F0 2F 00 FD E0 2F 40 FD FD 7B C9 A8 C0 03 5F D6 00 00 00 00 00 80 03 40 00 00 00 00 00 DC D0 43 18 2D 44 54 FB 21 F9 3F 06 5C 14 33 26 A6 91 3C 9B F6 81 D2 0B 73 EF 3F BC CB F0 7A 88 07 70 3C 18 2D 44 54 FB 21 E9 3F 06 5C 14 33 26 A6 81 3C 4F BB 61 05 67 AC DD 3F E0 65 2F 22 7F 2B 7A 3C 00 00 00 00 00 00 00 00 87 9F 1B E4 5C A7 22 3F F2 53 F0 16 21 2D 9F 3F C0 25 B4 3D E4 3D CC 3F 3C 3B 99 4C BE A6 DC 3F F3 69 91 0A CB 2B D1 3F D9 5E E8 F1 97 F1 A3 3F FF BE F9 5B B0 2C DB 3F 2E 8D C4 44 C6 99 F6 3F A0 F5 CD 17 2A 37 FD 3F EC 1E DA 8F B0 C1 E9 3F }
	condition:
		$1
}

rule file_45_1_0 {
	meta:
		name = "raise_fpsw_flags"
		size = 44
		refs = "0020 _controlfp_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 08 00 80 52 E8 17 00 B9 E2 13 40 B9 E1 13 40 B9 E0 53 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_45_2_0 {
	meta:
		name = "val_with_flags"
		size = 36
		refs = "0014 raise_fpsw_flags"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "_telli64"
		size = 44
		refs = "0018 _lseeki64"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 22 00 80 52 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_31_0 {
	meta:
		name = "?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z"
		size = 96
		refs = "0010 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 0F 40 F9 0A 21 00 91 E8 13 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_32_0 {
	meta:
		name = "?__crt_interlocked_read_32@@YAHPEDH@Z"
		size = 36
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 40 B9 E8 03 00 B9 BF 3B 03 D5 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_33_0 {
	meta:
		name = "?common_flush_all@@YAH_N@Z"
		size = 112
		refs = "002c ??0<lambda_ab61a845afdef5b7c387490eaf3616ee>@@QEAA@AEAHAEB_N0@Z 003c ??$__acrt_lock_and_call@V<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 43 00 39 08 00 80 52 E8 17 00 B9 08 00 80 52 E8 1B 00 B9 E3 63 00 91 E2 43 00 91 E1 53 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 00 01 80 52 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 17 40 B9 E8 1F 00 B9 03 00 00 14 E8 1B 40 B9 E8 1F 00 B9 E0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_34_0 {
	meta:
		name = "?common_flush_all_should_try_to_flush_stream@@YA_NV__crt_stdio_stream@@QEAH@Z"
		size = 176
		refs = "0014 ?valid@__crt_stdio_stream@@QEBA_NXZ 0038 ?get_flags@__crt_stdio_stream@@QEBAJXZ 004c ?is_stream_allocated@@YA_NJ@Z 0070 ?is_stream_flushable_or_commitable@@YA_NJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1E 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 10 00 00 14 E0 17 40 B9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 17 40 F9 08 01 40 B9 09 05 00 11 E8 17 40 F9 09 01 00 B9 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_35_0 {
	meta:
		name = "?get_flags@__crt_stdio_stream@@QEBAJXZ"
		size = 52
		refs = "0020 ??$__crt_interlocked_read@J@@YAJPEDJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 00 51 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_36_0 {
	meta:
		name = "?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 92
		refs = "0014 ?get_flags@__crt_stdio_stream@@QEBAJXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 13 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 E8 13 40 B9 29 01 08 0A E8 13 40 B9 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_37_0 {
	meta:
		name = "?is_stream_allocated@@YA_NJ@Z"
		size = 56
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 88 00 68 36 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_38_0 {
	meta:
		name = "?is_stream_flushable@@YA_NJ@Z"
		size = 68
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 08 05 00 12 1F 09 00 71 60 00 00 54 00 00 80 52 08 00 00 14 E8 03 40 B9 08 05 1A 12 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_39_0 {
	meta:
		name = "?is_stream_flushable_or_commitable@@YA_NJ@Z"
		size = 76
		refs = "0010 ?is_stream_flushable@@YA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E8 17 40 B9 68 00 58 36 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_42_0 {
	meta:
		name = "?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 136
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 B9 E8 03 40 B9 EC 03 28 2A 8C 01 00 11 E8 0B 40 F9 08 01 00 91 08 01 40 F9 0B 51 00 91 6B 01 00 91 6A FD 5F 88 4A 01 00 11 49 01 0C 0A 69 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 EA 0B 00 B9 E9 0B 40 B9 E8 03 40 B9 28 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_44_0 {
	meta:
		name = "__acrt_stdio_flush_nolock"
		size = 324
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?get_flags@__crt_stdio_stream@@QEBAJXZ 0028 ?is_stream_flushable@@YA_NJ@Z 004c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0088 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 00b0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00bc _fileno 00d8 _write 0100 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0114 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0134 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 1F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 3E 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 23 40 F9 09 01 00 91 E8 27 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 08 01 00 11 E8 23 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 23 40 B9 1F 01 00 71 6C 00 00 54 00 00 80 52 28 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2F 40 F9 08 21 00 91 E2 23 40 B9 01 01 40 F9 E0 2B 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E9 33 40 B9 E8 23 40 B9 1F 01 09 6B C0 00 00 54 01 02 80 52 E0 63 00 91 ?? ?? ?? ?? 00 00 80 12 0D 00 00 14 81 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 41 00 80 52 E0 63 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_45_0 {
	meta:
		name = "_fflush_nolock"
		size = 204
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 0038 ?common_flush_all@@YAH_N@Z 004c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0058 __acrt_stdio_flush_nolock 007c ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0098 _fileno 00a4 _commit"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 20 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 15 00 00 14 01 00 81 52 E0 A3 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_46_0 {
	meta:
		name = "_flushall"
		size = 32
		refs = "000c ?common_flush_all@@YAH_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 20 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_47_47_0 {
	meta:
		name = "fflush"
		size = 176
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 0038 ?common_flush_all@@YAH_N@Z 004c ?get_flags@__crt_stdio_stream@@QEBAJXZ 0058 ?is_stream_flushable_or_commitable@@YA_NJ@Z 0080 ??0<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@QEAA@AEBV__crt_stdio_stream@@@Z 008c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 009c ??$__acrt_lock_stream_and_call@V<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 1B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 19 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0D 00 00 14 E1 63 00 91 E0 23 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_48_5_0 {
	meta:
		name = "_mbsnicoll_l"
		size = 500
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1HC@PFLNBKII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 0090 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 012c ??_C@_1BK@CNKOCFOL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 013c _invalid_parameter 0160 _strnicoll_l 0170 _mbsnbcnt_l 01ac __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 73 00 00 91 15 00 00 91 36 00 00 91 61 02 00 91 E0 43 00 91 54 00 00 91 ?? ?? ?? ?? 74 00 00 B5 00 00 80 52 66 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 07 80 52 ?? ?? ?? ?? 2A 00 00 14 96 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 07 80 52 ?? ?? ?? ?? 16 00 00 14 E8 7B 40 B2 9F 02 08 EB 29 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 20 00 00 14 E8 13 40 F9 A0 02 00 91 08 09 40 B9 C8 00 00 35 63 02 00 91 82 02 00 91 C1 02 00 91 ?? ?? ?? ?? 1A 00 00 14 E2 63 00 91 81 02 00 91 ?? ?? ?? ?? E2 63 00 91 13 00 00 91 C0 02 00 91 81 02 00 91 ?? ?? ?? ?? E8 13 40 F9 64 02 00 11 06 00 00 11 C5 02 00 91 A3 02 00 91 07 05 40 B9 22 00 82 52 01 11 41 F9 E0 63 00 91 ?? ?? ?? ?? C0 00 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_49_0_0 {
	meta:
		name = "catanhf"
		size = 1340
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 00c0 piby2 013c _FZero_C 0260 big 03bc log1pf 0404 atan2f 0430 _fperrraise 0434 _FInf_C 0464 sqrtf 0494 logf 0518 _FCbuild"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 63 00 BD E1 67 00 BD E1 67 40 BD E0 63 40 BD ?? ?? ?? ?? E0 6B 00 BD F0 6B 40 BD F0 17 00 BD E1 67 40 BD E0 63 40 BD ?? ?? ?? ?? E0 6F 00 BD F0 6F 40 BD F0 13 00 BD E0 53 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 E8 43 00 79 E0 43 00 91 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 47 00 79 E8 43 C0 79 08 01 00 11 1F 09 00 71 61 04 00 54 E8 47 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 17 40 BD F0 1F 00 BD F0 13 40 BD F0 1B 00 BD 19 00 00 14 E8 47 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 70 24 00 1C F0 1F 00 BD F0 13 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 37 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 37 00 BD F0 37 40 BD F0 1B 00 BD 05 00 00 14 F0 17 40 BD F0 1F 00 BD F0 17 40 BD F0 1B 00 BD 05 01 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 A1 03 00 54 E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 43 C0 79 08 01 00 11 1F 01 00 71 01 02 00 54 E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 3B 00 BD 03 00 00 14 50 1F 00 1C F0 3B 00 BD F0 3B 40 BD F0 1F 00 BD F0 13 40 BD F0 1B 00 BD 05 00 00 14 F0 13 40 BD F0 1F 00 BD F0 13 40 BD F0 1B 00 BD E5 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 61 03 00 54 F0 17 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 3F 00 BD 03 00 00 14 50 1C 00 1C F0 3F 00 BD F0 3F 40 BD F0 1F 00 BD E8 27 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 43 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 43 00 BD F0 43 40 BD F0 1B 00 BD C7 00 00 14 E8 27 40 79 08 01 00 11 A8 00 78 36 F0 13 40 BD 10 42 21 1E F0 47 00 BD 03 00 00 14 F0 13 40 BD F0 47 00 BD F0 47 40 BD F0 27 00 BD F0 17 40 BD 08 22 20 1E E2 00 00 54 28 00 80 52 E8 5B 00 B9 F0 17 40 BD 10 42 21 1E F0 17 00 BD 06 00 00 14 08 00 80 52 E8 5B 00 B9 F0 13 40 BD 10 42 21 1E F0 13 00 BD F1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E A2 03 00 54 F1 13 40 BD F0 17 40 BD 30 1A 30 1E F0 4B 00 BD 11 10 2E 1E F0 17 40 BD 32 1A 30 1E F1 4B 40 BD F0 4B 40 BD 31 0A 30 1E 10 10 2E 1E 10 2A 31 1E 50 1A 30 1E F0 1F 00 BD F0 13 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 4F 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 00 BD F0 4F 40 BD F0 1B 00 BD 83 00 00 14 F1 27 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E A2 03 00 54 F1 17 40 BD F0 13 40 BD 30 1A 30 1E F0 2F 00 BD F1 2F 40 BD F0 13 40 BD 32 1A 30 1E F1 2F 40 BD F0 2F 40 BD 31 0A 30 1E 10 10 2E 1E 10 2A 31 1E 50 1A 30 1E F0 1F 00 BD F0 13 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 53 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 53 00 BD F0 53 40 BD F0 1B 00 BD 62 00 00 14 11 10 2E 1E F0 17 40 BD 00 22 31 1E 80 05 00 54 11 10 2E 1E F0 17 40 BD 30 3A 30 1E F0 33 00 BD F1 27 40 BD F0 27 40 BD 30 0A 30 1E F0 57 00 BD 11 10 22 1E F0 17 40 BD 32 0A 30 1E F1 33 40 BD F0 33 40 BD 31 0A 30 1E F0 57 40 BD 30 2A 30 1E 40 1A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 73 00 BD 11 10 2A 1E F0 73 40 BD 30 0A 30 1E F0 1F 00 BD 11 10 2E 1E F0 17 40 BD 31 2A 30 1E F0 33 40 BD 11 0A 31 1E F0 57 40 BD 21 3A 30 1E 11 10 20 1E F0 13 40 BD 20 0A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E0 77 00 BD 11 10 2C 1E F0 77 40 BD 30 0A 30 1E F0 1B 00 BD 33 00 00 14 F0 13 40 BD 08 22 20 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 00 BD F0 13 40 BD F0 1B 00 BD 28 00 00 14 F1 13 40 BD F0 13 40 BD 31 0A 30 1E 10 10 22 1E 00 2A 31 1E 00 40 20 1E ?? ?? ?? ?? E0 7B 00 BD E0 7B 40 BD ?? ?? ?? ?? E0 7F 00 BD E0 27 40 BD ?? ?? ?? ?? E0 83 00 BD F1 7F 40 BD F0 83 40 BD 20 1A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 87 00 BD F0 87 40 BD F0 1F 00 BD 01 10 20 1E E0 27 40 BD ?? ?? ?? ?? E0 8B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 8B 40 BD 31 2A 30 1E 10 10 2C 1E 10 0A 31 1E F0 1B 00 BD F0 13 40 BD 08 22 20 1E 82 00 00 54 F0 1B 40 BD 10 42 21 1E F0 1B 00 BD E8 5B 40 B9 1F 01 00 71 A0 00 00 54 F0 1F 40 BD 10 42 21 1E F0 1F 00 BD 04 00 00 14 F0 1B 40 BD 10 42 21 1E F0 1B 00 BD E1 1B 40 BD E0 1F 40 BD ?? ?? ?? ?? E1 97 00 BD E0 93 00 BD E0 93 40 BD E1 97 40 BD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_50_7_0 {
	meta:
		name = "__acrt_initialize_stdio"
		size = 672
		refs = "0008 _nstream 0054 ??_C@_0CP@GDJHIDC@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0068 _calloc_dbg 0078 ??0?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@QEAPEAU__crt_stdio_stream_data@@@Z 008c ?detach@?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAPEAPEAU__crt_stdio_stream_data@@XZ 0094 __piob 00a4 ??1?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ 0174 _iob 0190 __acrt_InitializeCriticalSectionEx 01e4 __pioinfo"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 A1 00 00 54 ?? ?? ?? ?? 08 40 80 52 ?? ?? ?? ?? 08 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 0D 00 71 8A 00 00 54 ?? ?? ?? ?? 68 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 7D 40 93 C4 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 ?? ?? ?? ?? E8 23 40 F9 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 61 04 00 54 ?? ?? ?? ?? 68 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 7D 40 93 64 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 C3 01 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 37 00 F9 ?? ?? ?? ?? E8 37 40 F9 ?? ?? ?? ?? E0 C3 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 61 00 00 54 00 00 80 12 57 00 00 14 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 1F 0D 00 71 A0 09 00 54 E8 17 40 B9 09 7D 40 93 08 0B 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 C1 00 91 02 00 80 52 01 F4 81 52 00 00 00 91 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 0B 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 01 00 F9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 40 01 00 54 E8 13 40 F9 1F 09 00 B1 E0 00 00 54 E8 13 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 43 00 39 03 00 00 14 28 00 80 52 E8 43 00 39 E8 43 40 39 E8 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 17 40 B9 09 7D 40 93 08 0B 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 61 00 91 28 00 80 12 28 01 00 B9 AF FF FF 17 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_50_8_0 {
	meta:
		name = "__acrt_iob_func"
		size = 52
		refs = "0018 _iob"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 09 7D 40 D3 08 0B 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 00 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_50_9_0 {
	meta:
		name = "__acrt_uninitialize_stdio"
		size = 188
		refs = "0008 _flushall 000c _fcloseall 0044 __piob 005c __acrt_stdio_free_buffer_nolock 0088 __imp_DeleteCriticalSection 00a4 _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 0D 00 71 40 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 00 C1 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 FF FF 17 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_50_10_0 {
	meta:
		name = "_get_stream_buffer_pointers"
		size = 360
		refs = "004c ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1FO@IEGKHABE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DI@PJGMCDLC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AAs?$AA?$AA@ 00cc _invalid_parameter 00e0 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 00f4 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 23 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 23 00 00 14 E1 17 40 F9 E0 83 00 91 ?? ?? ?? ?? E8 1B 40 F9 1F 01 00 F1 00 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 09 21 00 91 E8 1B 40 F9 09 01 00 F9 E8 1F 40 F9 1F 01 00 F1 00 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 01 00 91 E8 1F 40 F9 09 01 00 F9 E8 23 40 F9 1F 01 00 F1 00 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 09 41 00 91 E8 23 40 F9 09 01 00 F9 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_50_11_0 {
	meta:
		name = "_lock_file"
		size = 72
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0020 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0034 __imp_EnterCriticalSection"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 C1 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_50_12_0 {
	meta:
		name = "_unlock_file"
		size = 72
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0020 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0034 __imp_LeaveCriticalSection"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 C1 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "??$?B$$A6AXPEAXK0@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXPEAXK0@ZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_1_0 {
	meta:
		name = "??$?B$$A6AHPEA_WK_J@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AHPEA_WK_J@ZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_0_4 {
	meta:
		name = "??$?B$$A6AH_K@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AH_K@ZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_0_4 {
	meta:
		name = "??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXH@ZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_0_4 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAP6AXXZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_1_0 {
	meta:
		name = "??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAPEAP6AXXZXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_11_4 {
	meta:
		name = "??$?BX@__crt_fast_encoded_nullptr_t@@QEBAPEAXXZ"
		size = 36
		refs = "0010 ??$__crt_fast_encode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_64_3 {
	meta:
		name = "__threadhandle"
		size = 36
		refs = "0008 __imp_GetCurrentThread"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_4_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z"
		size = 84
		refs = "000c __security_cookie 0040 ?__crt_rotate_pointer_value@@YA_K_KH@Z"
		altNames = "??$__crt_fast_decode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_decode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z ??$__crt_fast_decode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_decode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_decode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 08 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 01 01 00 11 E9 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 20 01 08 CA 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_5_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z"
		size = 92
		refs = "000c __security_cookie 0038 ?__crt_rotate_pointer_value@@YA_K_KH@Z"
		altNames = "??$__crt_fast_encode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_encode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z ??$__crt_fast_encode_pointer@P6AHXZ@@YAP6AHXZQ6AHXZ@Z ??$__crt_fast_encode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_encode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_encode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 08 80 D2 48 09 C9 9A 08 7D 09 9B 49 01 08 CB 08 08 80 D2 08 01 09 CB 01 01 00 11 21 00 00 11 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 20 01 08 CA 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_6_0 {
	meta:
		name = "??$__crt_get_proc_address@P6AXI@Z@@YAP6AXI@ZQEAUHINSTANCE__@@QEBD@Z"
		size = 52
		refs = "0018 __imp_GetProcAddress"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_18_0 {
	meta:
		name = "?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E0 03 40 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_20_0 {
	meta:
		name = "?__crt_rotate_pointer_value@@YA_K_KH@Z"
		size = 40
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 00 2D C9 9A 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_21_0 {
	meta:
		name = "?atexit_exception_filter@@YAHK@Z"
		size = 52
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 49 01 00 18 E8 03 40 B9 1F 01 09 6B 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 1F 20 03 D5 63 73 6D E0 }
	condition:
		$1
}

rule file_51_22_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAAXXZ"
		size = 96
		refs = "000c ?get_invalid_value@__crt_hmodule_traits@@SAPEAUHINSTANCE__@@XZ 003c ?close@__crt_hmodule_traits@@SA_NPEAUHINSTANCE__@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 08 01 00 91 E9 0F 40 F9 08 01 40 F9 1F 01 09 EB 41 00 00 54 0B 00 00 14 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E8 0B 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_58_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAAXXZ"
		size = 96
		refs = "000c ?get_invalid_value@__crt_findfile_traits@@SAPEAXXZ 003c ?close@__crt_findfile_traits@@SA_NPEAX@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 08 01 00 91 E9 0F 40 F9 08 01 40 F9 1F 01 09 EB 41 00 00 54 0B 00 00 14 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E8 0B 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_72_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAAXXZ"
		size = 96
		refs = "000c ?get_invalid_value@__crt_handle_traits@@SAPEAXXZ 003c ?close@__crt_handle_traits@@SA_NPEAX@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 08 01 00 91 E9 0F 40 F9 08 01 40 F9 1F 01 09 EB 41 00 00 54 0B 00 00 14 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E8 0B 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_23_0 {
	meta:
		name = "?close@__crt_hmodule_traits@@SA_NPEAUHINSTANCE__@@@Z"
		size = 84
		refs = "0010 __imp_FreeLibrary"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_59_0 {
	meta:
		name = "?close@__crt_findfile_traits@@SA_NPEAX@Z"
		size = 84
		refs = "0010 __imp_FindClose"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_73_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPEAX@Z"
		size = 84
		refs = "0010 __imp_CloseHandle"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_24_0 {
	meta:
		name = "?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		size = 172
		refs = "0020 ?is_managed_app@@YA_NXZ 003c ?try_cor_exit_process@@YAXI@Z 0058 ??0<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@QEAA@AEBW4_crt_exit_cleanup_mode@@AEBW4_crt_exit_return_mode@@AEA_N@Z 0060 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0070 ??$__acrt_lock_and_call@V<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@Z 008c __scrt_uninitialize_crt 00a0 ?exit_or_terminate_process@@YAXI@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 B9 E1 1F 00 B9 E2 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 E0 1B 40 B9 ?? ?? ?? ?? 08 00 80 52 E8 43 00 39 E3 43 00 91 E2 53 00 91 E1 73 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 ?? ?? ?? ?? E0 23 00 B9 E1 17 40 F9 E0 23 40 B9 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 21 00 80 52 20 00 80 52 ?? ?? ?? ?? E8 17 40 B9 1F 01 00 71 61 00 00 54 E0 1B 40 B9 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_25_0 {
	meta:
		name = "?exit_or_terminate_process@@YAXI@Z"
		size = 104
		refs = "000c ?should_call_terminate_process@@YA_NXZ 0024 __imp_GetCurrentProcess 003c __imp_TerminateProcess 004c ?try_cor_exit_process@@YAXI@Z 0054 __imp_ExitProcess"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 00 F9 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 40 B9 ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_27_0 {
	meta:
		name = "?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAAPEAPEAUHINSTANCE__@@XZ"
		size = 28
		altNames = "?dangerous_get_state_array@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAPEAP6AXPEB_W00I_K@ZXZ ?dangerous_get_state_array@?$dual_state_global@PEAE@__crt_state_management@@QEAAPEAPEAEXZ ?dangerous_get_state_array@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAPEAPEAPEADXZ ?dangerous_get_state_array@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAPEAPEAU__crt_locale_data@@XZ ?dangerous_get_state_array@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAPEAPEAU__crt_multibyte_data@@XZ ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ ?get_address_of@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEAPEADXZ ?get_address_of@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEAPEA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEAPEA_WXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 00 01 00 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_29_0 {
	meta:
		name = "?is_managed_app@@YA_NXZ"
		size = 264
		refs = "000c __imp_GetModuleHandleW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 33 00 00 14 E8 0B 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 A8 49 8B 52 3F 01 08 6B 60 00 00 54 00 00 80 52 2A 00 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 09 7D 40 93 E8 0B 40 F9 08 01 09 8B E8 0F 00 F9 E8 0F 40 F9 08 01 00 91 09 AA 88 52 08 01 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 1B 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 00 91 08 01 40 79 08 01 00 11 1F 2D 08 71 60 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 08 61 00 91 08 B1 01 91 08 01 40 B9 1F 39 00 71 68 00 00 54 00 00 80 52 0A 00 00 14 E8 0F 40 F9 08 E1 03 91 08 01 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_30_0 {
	meta:
		name = "?should_call_terminate_process@@YA_NXZ"
		size = 132
		refs = "0008 __acrt_get_process_end_policy 0024 NtCurrentTeb"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 17 00 00 14 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 08 81 01 91 08 01 40 F9 08 F1 02 91 08 01 40 B9 88 00 40 36 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_31_0 {
	meta:
		name = "?try_cor_exit_process@@YAXI@Z"
		size = 220
		refs = "000c ?get_invalid_value@__crt_hmodule_traits@@SAPEAUHINSTANCE__@@XZ 001c ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAA@QEAUHINSTANCE__@@@Z 0028 ?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAAPEAPEAUHINSTANCE__@@XZ 0034 ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0040 __imp_GetModuleHandleExW 0060 ??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAA@XZ 006c ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEBAPEAUHINSTANCE__@@XZ 0074 ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 0080 ??$__crt_get_proc_address@P6AXI@Z@@YAP6AXI@ZQEAUHINSTANCE__@@QEBD@Z 00b4 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 F9 E2 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 E0 43 00 91 ?? ?? ?? ?? 1C 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 43 00 91 ?? ?? ?? ?? 0C 00 00 14 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 40 B9 E8 17 40 F9 00 01 3F D6 E0 43 00 91 ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_33_0 {
	meta:
		name = "_Exit"
		size = 36
		refs = "0018 ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		altNames = "_exit"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 02 00 80 52 41 00 80 52 E0 13 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_34_0 {
	meta:
		name = "__acrt_initialize_thread_local_exit_callback"
		size = 28
		refs = "0008 ?thread_local_exit_callback_func@@3P6AXPEAXK0@ZEA"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 ?? ?? ?? ?? E8 03 40 F9 ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_47_0 {
	meta:
		name = "_set_pgmptr"
		size = 28
		refs = "0008 _pgmptr"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 ?? ?? ?? ?? E8 03 40 F9 ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_48_0 {
	meta:
		name = "_set_wpgmptr"
		size = 28
		refs = "0008 _wpgmptr"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 ?? ?? ?? ?? E8 03 40 F9 ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_35_0 {
	meta:
		name = "_c_exit"
		size = 32
		refs = "0014 ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 22 00 80 52 41 00 80 52 00 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_36_0 {
	meta:
		name = "_cexit"
		size = 32
		refs = "0014 ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 22 00 80 52 01 00 80 52 00 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_39_0 {
	meta:
		name = "_register_thread_local_exe_atexit_callback"
		size = 116
		refs = "0010 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0034 ??$?B$$A6AXPEAXK0@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXPEAXK0@ZXZ 0040 ?thread_local_exit_callback_func@@3P6AXPEAXK0@ZEA 0050 terminate 0058 ??$__crt_fast_encode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 00 00 80 D2 ?? ?? ?? ?? E0 43 00 39 E9 47 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 47 00 91 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 40 00 00 54 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 ?? ?? ?? ?? E8 17 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_40_0 {
	meta:
		name = "exit"
		size = 36
		refs = "0018 ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 02 00 80 52 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_51_41_0 {
	meta:
		name = "quick_exit"
		size = 36
		refs = "0018 ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 02 00 80 52 21 00 80 52 E0 13 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_52_1_0 {
	meta:
		name = "memmove_s"
		size = 328
		refs = "0060 _errno 0074 _invalid_parameter_noinfo 0138 memmove"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 1B 00 F9 E3 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 46 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 ?? ?? ?? ?? C0 02 80 52 31 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 ?? ?? ?? ?? C0 02 80 52 1C 00 00 14 E9 17 40 F9 E8 2B 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 ?? ?? ?? ?? 40 04 80 52 06 00 00 14 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_10_0 {
	meta:
		name = "??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PEAU1@@@YAPEAUHINSTANCE__@@PEDSEAU0@QEAU0@@Z"
		size = 68
		altNames = "??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PEAX@@YAPEAUHINSTANCE__@@PEDSEAU0@QEAX@Z ??$__crt_interlocked_exchange_pointer@XPEAX@@YAPEAXPEDSEAXQEAX@Z"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 03 00 F9 EB 03 40 F9 6B 01 00 91 EA 07 40 F9 4A 01 00 91 49 FD 5F C8 29 01 00 91 4B FD 08 C8 1F 01 00 71 81 FF FF 54 BF 3B 03 D5 E9 0B 00 F9 E0 0B 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_24_0 {
	meta:
		name = "?__crt_interlocked_read_64@@YA_JPED_J@Z"
		size = 36
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 40 F9 E8 07 00 F9 BF 3B 03 D5 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_26_0 {
	meta:
		name = "?enum_system_locales_ex_nolock@@YAHQ6AHPEA_WK_J@Z@Z"
		size = 168
		refs = "0010 ??$__crt_fast_encode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z 0018 ?static_enum_proc@?1??enum_system_locales_ex_nolock@@YAHQ6AHPEA_WK_J@Z@Z@4P6AH0K1@ZEA 0038 ??B<lambda_795c6bd18aed400428efeb9a5f0e1479>@@QEBAP6AHPEA_W@ZXZ 0048 __imp_EnumSystemLocalesW 0064 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0088 ??$?B$$A6AHPEA_WK_J@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AHPEA_WK_J@ZXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 ?? ?? ?? ?? E8 17 40 F9 ?? ?? ?? ?? E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E0 43 00 91 ?? ?? ?? ?? E0 1B 00 F9 21 00 80 52 E0 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 00 00 80 D2 ?? ?? ?? ?? E0 47 00 39 E9 4B 00 91 29 01 00 91 E8 47 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 4B 00 91 ?? ?? ?? ?? E0 1F 00 F9 ?? ?? ?? ?? E8 1F 40 F9 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_28_0 {
	meta:
		name = "?try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0CF@OJOFEIGO@AppPolicyGetProcessTerminationMe@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_29_0 {
	meta:
		name = "?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0CE@OICFMIKE@AppPolicyGetShowDeveloperDiagnos@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_30_0 {
	meta:
		name = "?try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0CF@NNDFDCOC@AppPolicyGetThreadInitialization@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_31_0 {
	meta:
		name = "?try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BL@ODDJNEDA@AppPolicyGetWindowingModel?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_32_0 {
	meta:
		name = "?try_get_AreFileApisANSI@@YAP6AHXZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6AHXZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_33_0 {
	meta:
		name = "?try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_34_0 {
	meta:
		name = "?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_35_0 {
	meta:
		name = "?try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_36_0 {
	meta:
		name = "?try_get_FlsFree@@YAP6AHK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_07PEJMOBNF@FlsFree?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_37_0 {
	meta:
		name = "?try_get_FlsGetValue@@YAP6APEAXK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_38_0 {
	meta:
		name = "?try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_39_0 {
	meta:
		name = "?try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 00 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_40_0 {
	meta:
		name = "?try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_41_0 {
	meta:
		name = "?try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_42_0 {
	meta:
		name = "?try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU1@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU2@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_43_0 {
	meta:
		name = "?try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_44_0 {
	meta:
		name = "?try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_45_0 {
	meta:
		name = "?try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_46_0 {
	meta:
		name = "?try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_47_0 {
	meta:
		name = "?try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 01 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_48_0 {
	meta:
		name = "?try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_49_0 {
	meta:
		name = "?try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_50_0 {
	meta:
		name = "?try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_51_0 {
	meta:
		name = "?try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_52_0 {
	meta:
		name = "?try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_53_0 {
	meta:
		name = "?try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_54_0 {
	meta:
		name = "?try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_55_0 {
	meta:
		name = "?try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 02 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_56_0 {
	meta:
		name = "?try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_57_0 {
	meta:
		name = "?try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_58_0 {
	meta:
		name = "?try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_59_0 {
	meta:
		name = "?try_get_RoUninitialize@@YAP6AXXZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_RoUninitialize@@YAP6AXXZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 11 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 03 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_60_0 {
	meta:
		name = "?try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_61_0 {
	meta:
		name = "?try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ"
		size = 64
		refs = "0008 ?candidate_modules@?1??try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0020 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 002c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 21 00 91 63 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 04 80 52 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_62_0 {
	meta:
		name = "?try_get_first_available_module@@YAPEAUHINSTANCE__@@QEBW4module_id@?A0x391cf84c@@0@Z"
		size = 116
		refs = "0040 ?try_get_module@@YAPEAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 11 00 91 E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB A0 01 00 54 E8 0B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 60 00 00 54 E0 0F 40 F9 03 00 00 14 EE FF FF 17 00 00 80 D2 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_63_0 {
	meta:
		name = "?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
		size = 548
		refs = "0028 ?encoded_function_pointers@@3PAPEAXA 0038 ??$__crt_interlocked_read_pointer@X@@YAPEAXPEDSEAX@Z 0044 ??$__crt_fast_decode_pointer@PEAX@@YAPEAXQEAX@Z 0054 ?invalid_function_sentinel@@YAPEAXXZ 0094 ?try_get_proc_address_from_first_available_module@@YAPEAXQEBDQEBW4module_id@?A0x391cf84c@@1@Z 00bc ??$__crt_fast_encode_pointer@PEAX@@YAPEAXQEAX@Z 00e8 ??$__crt_interlocked_exchange_pointer@XPEAX@@YAPEAXPEDSEAXQEAX@Z 0128 ??_C@_1FC@IBNCGNKL@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAf?$AAu?$AAn?$AAc?$AAt?$AAi?$AAo?$AAn?$AA_?$AAs?$AAe@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 014c _CrtDbgReportW 01d8 ??_C@_1CI@GDJBAGLP@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAf?$AAp?$AA?$AA@"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 B9 E1 37 00 F9 E2 33 00 F9 E3 2F 00 F9 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 E8 17 40 F9 1F 01 09 EB 61 00 00 54 00 00 80 D2 6B 00 00 14 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 66 00 00 14 E2 2F 40 F9 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 21 06 00 54 ?? ?? ?? ?? E0 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B E1 43 40 F9 00 00 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 47 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 E0 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 E8 1B 40 F9 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 2C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B E1 53 40 F9 00 00 00 91 ?? ?? ?? ?? E0 57 00 F9 E0 57 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 A0 02 00 54 E9 0F 40 F9 E8 1F 40 F9 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 2E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 0F 40 F9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_64_0 {
	meta:
		name = "?try_get_module@@YAPEAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
		size = 480
		refs = "001c ?module_handles@@3PAPEAUHINSTANCE__@@A 002c ??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPEAUHINSTANCE__@@PEDSEAU0@@Z 0074 ?module_names@?A0x391cf84c@@3QBQEB_WB 0084 ?try_load_library_from_system_directory@@YAPEAUHINSTANCE__@@QEB_W@Z 00c4 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PEAX@@YAPEAUHINSTANCE__@@PEDSEAU0@QEAX@Z 00ec ??_C@_1EM@LBIFGLGH@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0110 _CrtDbgReportW 0158 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PEAU1@@@YAPEAUHINSTANCE__@@PEDSEAU0@QEAU0@@Z 0184 ??_C@_1DI@MAHEDLDB@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 01c8 __imp_FreeLibrary"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 00 01 00 54 E8 17 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 D2 60 00 00 14 E0 17 40 F9 5E 00 00 14 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C1 04 00 54 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 01 00 80 92 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 02 00 54 E8 1B 40 F9 1F 05 00 B1 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 2A 00 00 14 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 20 03 00 54 E9 0F 40 F9 E8 1F 40 F9 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_65_0 {
	meta:
		name = "?try_get_proc_address_from_first_available_module@@YAPEAXQEBDQEBW4module_id@?A0x391cf84c@@1@Z"
		size = 100
		refs = "001c ?try_get_first_available_module@@YAPEAUHINSTANCE__@@QEBW4module_id@?A0x391cf84c@@0@Z 0048 __imp_GetProcAddress"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 F9 E2 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 08 00 00 14 E1 1B 40 F9 E0 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_66_0 {
	meta:
		name = "?try_load_library_from_system_directory@@YAPEAUHINSTANCE__@@QEB_W@Z"
		size = 216
		refs = "0018 __imp_LoadLibraryExW 0044 __imp_GetLastError 0064 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 0070 wcsncmp 0088 ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 02 00 81 52 01 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 F9 E8 1B 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 24 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 5D 01 71 81 03 00 54 E2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 02 00 54 E2 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 40 01 00 54 02 00 80 52 01 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E0 1F 40 F9 02 00 00 14 00 00 80 D2 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_68_0 {
	meta:
		name = "__acrt_AppPolicyGetProcessTerminationMethodInternal"
		size = 116
		refs = "000c ?try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ 0028 GetCurrentThreadEffectiveToken 003c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 60 00 00 18 FD 7B C4 A8 C0 03 5F D6 25 02 00 C0 }
	condition:
		$1
}

rule file_53_69_0 {
	meta:
		name = "__acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
		size = 116
		refs = "000c ?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ 0028 GetCurrentThreadEffectiveToken 003c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 60 00 00 18 FD 7B C4 A8 C0 03 5F D6 25 02 00 C0 }
	condition:
		$1
}

rule file_53_70_0 {
	meta:
		name = "__acrt_AppPolicyGetThreadInitializationTypeInternal"
		size = 116
		refs = "000c ?try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ 0028 GetCurrentThreadEffectiveToken 003c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 60 00 00 18 FD 7B C4 A8 C0 03 5F D6 25 02 00 C0 }
	condition:
		$1
}

rule file_53_71_0 {
	meta:
		name = "__acrt_AppPolicyGetWindowingModelInternal"
		size = 116
		refs = "000c ?try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ 0028 GetCurrentThreadEffectiveToken 003c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 60 00 00 18 FD 7B C4 A8 C0 03 5F D6 25 02 00 C0 }
	condition:
		$1
}

rule file_53_72_0 {
	meta:
		name = "__acrt_AreFileApisANSI"
		size = 92
		refs = "0008 ?try_get_AreFileApisANSI@@YAP6AHXZXZ 0030 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_73_0 {
	meta:
		name = "__acrt_CompareStringEx"
		size = 228
		refs = "002c ?try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ 0054 __guard_check_icall_fptr 00a4 __acrt_LocaleNameToLCID 00c4 __imp_CompareStringW"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 FF 43 00 D1 E0 27 00 F9 E1 2B 00 B9 E2 2F 00 F9 E3 27 00 B9 E4 2B 00 F9 E5 23 00 B9 E6 3B 00 F9 E7 37 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 C0 02 00 54 E8 1F 40 F9 E8 23 00 F9 EF 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 43 40 F9 E8 03 00 F9 E7 37 40 F9 E6 3B 40 F9 E5 23 40 B9 E4 2B 40 F9 E3 27 40 B9 E2 2F 40 F9 E1 2B 40 B9 E0 27 40 F9 E8 23 40 F9 00 01 3F D6 E0 2F 00 B9 E0 2F 40 B9 10 00 00 14 01 00 80 52 E0 27 40 F9 ?? ?? ?? ?? E0 33 00 B9 E5 23 40 B9 E4 2B 40 F9 E3 27 40 B9 E2 2F 40 F9 E1 2B 40 B9 E0 33 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E0 37 40 B9 FF 43 00 91 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_89_0 {
	meta:
		name = "__acrt_LCMapStringEx"
		size = 228
		refs = "002c ?try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ 0054 __guard_check_icall_fptr 00a4 __acrt_LocaleNameToLCID 00c4 __imp_LCMapStringW"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 FF 43 00 D1 E0 27 00 F9 E1 2B 00 B9 E2 2F 00 F9 E3 27 00 B9 E4 2B 00 F9 E5 23 00 B9 E6 3B 00 F9 E7 37 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 C0 02 00 54 E8 1F 40 F9 E8 23 00 F9 EF 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 43 40 F9 E8 03 00 F9 E7 37 40 F9 E6 3B 40 F9 E5 23 40 B9 E4 2B 40 F9 E3 27 40 B9 E2 2F 40 F9 E1 2B 40 B9 E0 27 40 F9 E8 23 40 F9 00 01 3F D6 E0 2F 00 B9 E0 2F 40 B9 10 00 00 14 01 00 80 52 E0 27 40 F9 ?? ?? ?? ?? E0 33 00 B9 E5 23 40 B9 E4 2B 40 F9 E3 27 40 B9 E2 2F 40 F9 E1 2B 40 B9 E0 33 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E0 37 40 B9 FF 43 00 91 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_74_0 {
	meta:
		name = "__acrt_EnumSystemLocalesEx"
		size = 156
		refs = "0018 ?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ 0040 __guard_check_icall_fptr 0078 ??0<lambda_777d11615145f89ee95b9466d285deeb>@@QEAA@AEBQ6AHPEA_WK_J@Z@Z 0088 ??$__acrt_lock_and_call@V<lambda_777d11615145f89ee95b9466d285deeb>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_777d11615145f89ee95b9466d285deeb>@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 B9 E2 27 00 F9 E3 23 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 00 02 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E3 23 40 F9 E2 27 40 F9 E1 13 40 B9 E0 1B 40 F9 E8 17 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 0A 00 00 14 E1 C3 00 91 E0 63 01 91 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 80 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_75_0 {
	meta:
		name = "__acrt_FlsAlloc"
		size = 116
		refs = "000c ?try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ 0034 __guard_check_icall_fptr 0058 __imp_TlsAlloc"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_76_0 {
	meta:
		name = "__acrt_FlsFree"
		size = 120
		refs = "000c ?try_get_FlsFree@@YAP6AHK@ZXZ 0034 __guard_check_icall_fptr 005c __imp_TlsFree"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 A0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 40 B9 E8 17 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 07 00 00 14 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_77_0 {
	meta:
		name = "__acrt_FlsGetValue"
		size = 120
		refs = "000c ?try_get_FlsGetValue@@YAP6APEAXK@ZXZ 0034 __guard_check_icall_fptr 005c __imp_TlsGetValue"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 40 B9 E8 13 40 F9 00 01 3F D6 E0 1B 00 F9 E0 1B 40 F9 07 00 00 14 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_78_0 {
	meta:
		name = "__acrt_FlsSetValue"
		size = 132
		refs = "0010 ?try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ 0038 __guard_check_icall_fptr 0068 __imp_TlsSetValue"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 C0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 13 40 B9 E8 17 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 08 00 00 14 E1 1B 40 F9 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_79_0 {
	meta:
		name = "__acrt_GetDateFormatEx"
		size = 204
		refs = "0024 ?try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ 004c __guard_check_icall_fptr 0090 __acrt_LocaleNameToLCID 00b0 __imp_GetDateFormatW"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 B9 E2 2B 00 F9 E3 27 00 F9 E4 23 00 F9 E5 13 00 B9 E6 33 00 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 02 00 54 E8 17 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E6 33 40 F9 E5 13 40 B9 E4 23 40 F9 E3 27 40 F9 E2 2B 40 F9 E1 17 40 B9 E0 1F 40 F9 E8 1B 40 F9 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 10 00 00 14 01 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E5 13 40 B9 E4 23 40 F9 E3 27 40 F9 E2 2B 40 F9 E1 17 40 B9 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E0 23 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_80_0 {
	meta:
		name = "__acrt_GetEnabledXStateFeatures"
		size = 92
		refs = "0008 ?try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ 0030 __guard_check_icall_fptr 0050 abort"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 80 01 00 54 E8 0B 40 F9 E8 0F 00 F9 EF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0F 40 F9 00 01 3F D6 E0 17 00 F9 E0 17 40 F9 02 00 00 14 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_81_0 {
	meta:
		name = "__acrt_GetLocaleInfoEx"
		size = 172
		refs = "0018 ?try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ 0040 __guard_check_icall_fptr 0078 __acrt_LocaleNameToLCID 0090 __imp_GetLocaleInfoW"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 B9 E2 23 00 F9 E3 13 00 B9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 00 02 00 54 E8 17 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E3 13 40 B9 E2 23 40 F9 E1 17 40 B9 E0 1F 40 F9 E8 1B 40 F9 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 0E 00 00 14 01 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E3 13 40 B9 E2 23 40 F9 E1 17 40 B9 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_82_0 {
	meta:
		name = "__acrt_GetSystemTimePreciseAsFileTime"
		size = 104
		refs = "000c ?try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ 0034 __guard_check_icall_fptr 0054 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 60 01 00 54 E8 0B 40 F9 E8 0F 00 F9 EF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 40 F9 E8 0F 40 F9 00 01 3F D6 05 00 00 14 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_83_0 {
	meta:
		name = "__acrt_GetTimeFormatEx"
		size = 196
		refs = "0020 ?try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ 0048 __guard_check_icall_fptr 0088 __acrt_LocaleNameToLCID 00a8 __imp_GetTimeFormatW"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 B9 E2 2B 00 F9 E3 27 00 F9 E4 23 00 F9 E5 13 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 40 02 00 54 E8 17 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E5 13 40 B9 E4 23 40 F9 E3 27 40 F9 E2 2B 40 F9 E1 17 40 B9 E0 1F 40 F9 E8 1B 40 F9 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 10 00 00 14 01 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E5 13 40 B9 E4 23 40 F9 E3 27 40 F9 E2 2B 40 F9 E1 17 40 B9 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E0 23 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_84_0 {
	meta:
		name = "__acrt_GetUserDefaultLocaleName"
		size = 148
		refs = "0010 ?try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ 0038 __guard_check_icall_fptr 0060 __imp_GetUserDefaultLCID 0080 __acrt_LCIDToLocaleName"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 C0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 13 40 B9 E0 1B 40 F9 E8 17 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 03 00 80 52 E2 13 40 B9 E1 1B 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_85_0 {
	meta:
		name = "__acrt_GetXStateFeaturesMask"
		size = 108
		refs = "0010 ?try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ 0038 __guard_check_icall_fptr 0060 abort"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_86_0 {
	meta:
		name = "__acrt_InitializeCriticalSectionEx"
		size = 140
		refs = "0014 ?try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ 003c __guard_check_icall_fptr 0070 __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 B9 E2 17 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 E0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 17 40 B9 E1 13 40 B9 E0 1B 40 F9 E8 17 40 F9 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 08 00 00 14 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_87_0 {
	meta:
		name = "__acrt_IsValidLocaleName"
		size = 140
		refs = "000c ?try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ 0034 __guard_check_icall_fptr 0060 __acrt_LocaleNameToLCID 0070 __imp_IsValidLocale"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 A0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 40 F9 E8 17 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 0C 00 00 14 01 00 80 52 E0 1B 40 F9 ?? ?? ?? ?? E0 17 00 B9 21 00 80 52 E0 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_88_0 {
	meta:
		name = "__acrt_LCIDToLocaleName"
		size = 144
		refs = "0018 ?try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ 0040 __guard_check_icall_fptr 007c __acrt_DownlevelLCIDToLocaleName"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 B9 E1 1F 00 F9 E2 13 00 B9 E3 1B 00 B9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 00 02 00 54 E8 17 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E3 1B 40 B9 E2 13 40 B9 E1 1F 40 F9 E0 17 40 B9 E8 1B 40 F9 00 01 3F D6 E0 1F 00 B9 E0 1F 40 B9 07 00 00 14 E2 13 40 B9 E1 1F 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_90_0 {
	meta:
		name = "__acrt_LocaleNameToLCID"
		size = 120
		refs = "0010 ?try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ 0038 __guard_check_icall_fptr 0064 __acrt_DownlevelLocaleNameToLCID"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 C0 01 00 54 E8 13 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 13 40 B9 E0 1B 40 F9 E8 17 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 05 00 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_91_0 {
	meta:
		name = "__acrt_LocateXStateFeature"
		size = 116
		refs = "0014 ?try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ 003c __guard_check_icall_fptr 0068 abort"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 13 00 B9 E2 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 E0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 1B 40 F9 E1 13 40 B9 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 23 00 F9 E0 23 40 F9 02 00 00 14 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_92_0 {
	meta:
		name = "__acrt_MessageBoxA"
		size = 124
		refs = "0018 ?try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ 0040 __guard_check_icall_fptr 0070 abort"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 13 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E3 13 40 B9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 E8 13 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 02 00 00 14 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_93_0 {
	meta:
		name = "__acrt_MessageBoxW"
		size = 124
		refs = "0018 ?try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ 0040 __guard_check_icall_fptr 0070 abort"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 13 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E3 13 40 B9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 E8 13 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 02 00 00 14 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_94_0 {
	meta:
		name = "__acrt_RoInitialize"
		size = 100
		refs = "000c ?try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ 0034 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 40 B9 E8 13 40 F9 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_95_0 {
	meta:
		name = "__acrt_RoUninitialize"
		size = 76
		refs = "0008 ?try_get_RoUninitialize@@YAP6AXXZXZ 0030 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 20 01 00 54 E8 0B 40 F9 E8 0F 00 F9 EF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0F 40 F9 00 01 3F D6 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_96_0 {
	meta:
		name = "__acrt_RtlGenRandom"
		size = 108
		refs = "0010 ?try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ 0038 __guard_check_icall_fptr 0060 abort"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 17 40 B9 E0 1B 40 F9 E8 13 40 F9 00 01 3F D6 E0 43 00 39 E0 43 40 39 02 00 00 14 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_97_0 {
	meta:
		name = "__acrt_SetThreadStackGuarantee"
		size = 100
		refs = "000c ?try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ 0034 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 02 00 00 14 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_98_0 {
	meta:
		name = "__acrt_can_show_message_box"
		size = 96
		refs = "0010 __acrt_get_windowing_model_policy 0024 ?try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ 0038 ?try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 08 00 80 52 E8 43 00 39 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 05 00 71 A1 01 00 54 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 60 00 00 54 28 00 80 52 E8 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_99_0 {
	meta:
		name = "__acrt_can_use_vista_locale_apis"
		size = 68
		refs = "0008 ?try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_100_0 {
	meta:
		name = "__acrt_can_use_xstate_apis"
		size = 68
		refs = "0008 ?try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_102_0 {
	meta:
		name = "__acrt_get_parent_window"
		size = 196
		refs = "0008 ?try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ 0038 __guard_check_icall_fptr 006c ?try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU1@@ZXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 25 00 00 14 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 00 01 3F D6 E0 23 00 F9 E8 23 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 15 00 00 14 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 E0 0B 40 F9 0C 00 00 14 E8 17 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 40 F9 E8 1B 40 F9 00 01 3F D6 E0 2B 00 F9 E0 2B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_103_0 {
	meta:
		name = "__acrt_initialize_winapi_thunks"
		size = 164
		refs = "000c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0030 ??$?BX@__crt_fast_encoded_nullptr_t@@QEBAPEAXXZ 0040 ?encoded_function_pointers@@3PAPEAXA"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 00 00 80 D2 ?? ?? ?? ?? E0 43 00 39 E9 47 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 47 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 23 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 13 40 F9 08 41 04 91 E8 1B 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB E0 00 00 54 E8 0F 40 F9 E8 1F 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 00 F9 F4 FF FF 17 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_104_0 {
	meta:
		name = "__acrt_is_interactive"
		size = 284
		refs = "0008 __security_push_cookie 0010 ?try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ 0034 ?try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ 0064 __guard_check_icall_fptr 0110 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 07 00 F9 E8 07 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 37 00 00 14 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 2E 00 00 14 E8 07 40 F9 E8 0B 00 F9 EF 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0B 40 F9 00 01 3F D6 E0 23 00 F9 E8 23 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 1E 00 00 14 E9 23 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 E8 0F 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 04 00 80 D2 83 01 80 52 E2 23 01 91 21 00 80 52 E0 13 40 F9 E8 17 40 F9 00 01 3F D6 E0 03 00 B9 E8 03 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 06 00 00 14 E8 53 40 B9 68 00 00 37 00 00 80 52 02 00 00 14 20 00 80 52 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_53_105_0 {
	meta:
		name = "__acrt_uninitialize_winapi_thunks"
		size = 188
		refs = "0024 ?module_handles@@3PAPEAUHINSTANCE__@@A 0094 __imp_FreeLibrary"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 25 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 17 40 F9 08 61 02 91 E8 1B 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 80 02 00 54 E8 0F 40 F9 E8 13 00 F9 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 A0 01 00 54 E8 13 40 F9 08 01 40 F9 1F 05 00 B1 C0 00 00 54 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E9 13 40 F9 08 00 80 D2 28 01 00 F9 E7 FF FF 17 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "fputws"
		size = 536
		refs = "0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@OFGELDBF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1O@CJMGCAOO@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 019c _lock_file 01d8 _fputwc_nolock 0208 _unlock_file"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 23 00 F9 A1 17 00 F9 A8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 51 00 00 14 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 21 00 00 14 08 00 80 12 A8 27 00 B9 A0 17 40 F9 ?? ?? ?? ?? A8 23 40 F9 A8 1B 00 F9 04 00 00 14 A8 1B 40 F9 08 09 00 91 A8 1B 00 F9 A8 1B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 01 00 54 A1 17 40 F9 A8 1B 40 F9 00 01 40 79 ?? ?? ?? ?? A0 23 00 79 A9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 04 00 00 14 ED FF FF 17 08 00 80 52 A8 27 00 B9 A0 17 40 F9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_54_1_0 {
	meta:
		name = "fputws$fin$0"
		size = 28
		refs = "000c _unlock_file"
		altNames = "fputwc$fin$0 ungetc$fin$0 ungetwc$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 17 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "labs"
		size = 56
		altNames = "abs"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 1F 01 00 71 8B 00 00 54 E8 03 40 B9 E8 07 00 B9 04 00 00 14 E8 03 40 B9 E8 03 08 4B E8 07 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "cimagf"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD E1 07 00 BD E0 07 40 BD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "??$common_localtime@J@@YAPEAUtm@@QEBJ@Z"
		size = 104
		refs = "000c __getgmtimebuf 0038 ??$localtime_s@AEBQEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@AEBQEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 0D 00 00 14 E1 A3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_1_0 {
	meta:
		name = "??$common_localtime@_J@@YAPEAUtm@@QEB_J@Z"
		size = 104
		refs = "000c __getgmtimebuf 0038 ??$localtime_s@AEBQEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@AEBQEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 0D 00 00 14 E1 A3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_2_0 {
	meta:
		name = "??$common_localtime_s@J@@YAHQEAUtm@@QEBJ@Z"
		size = 1852
		refs = "0044 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00dc memset 0114 ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01fc __tzset 021c _get_daylight 023c ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0248 _invoke_watson_if_error 0250 _get_dstbias 0270 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0284 _get_timezone 02a4 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0300 ??$gmtime_s@AEBQEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@$$QEAPEAJ@Z 0334 _isindst 03a8 ??$gmtime_s@AEBQEAUtm@@AEBQEBJ@?$__crt_integer_traits@J@@SAHAEBQEAUtm@@AEBQEBJ@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 97 01 00 14 82 04 80 D2 E1 1F 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 63 01 00 14 E8 1B 40 F9 08 01 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 58 01 00 14 29 2B 00 18 E8 1B 40 F9 08 01 40 B9 1F 01 09 6B 0D 01 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 4C 01 00 14 ?? ?? ?? ?? 08 00 80 52 E8 2B 00 B9 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 27 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 5F 00 B9 05 00 80 D2 C4 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 40 B9 ?? ?? ?? ?? E0 B3 00 91 ?? ?? ?? ?? E0 63 00 B9 05 00 80 D2 E4 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 40 B9 ?? ?? ?? ?? E0 93 00 91 ?? ?? ?? ?? E0 67 00 B9 05 00 80 D2 04 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 40 B9 ?? ?? ?? ?? 09 24 00 18 E8 1B 40 F9 08 01 40 B9 1F 01 09 6B ED 06 00 54 89 23 00 18 E8 1B 40 F9 08 01 40 B9 1F 01 09 6B 4A 06 00 54 E8 1B 40 F9 09 01 40 B9 E8 27 40 B9 28 01 08 4B E8 23 00 B9 E8 83 00 91 E8 53 00 F9 E1 83 02 91 E0 63 00 91 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 60 00 00 54 E0 4B 40 B9 02 01 00 14 E8 2B 40 B9 1F 01 00 71 80 03 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 C0 02 00 54 E9 23 40 B9 E8 2F 40 B9 28 01 08 4B E8 23 00 B9 E8 83 00 91 E8 57 00 F9 E1 A3 02 91 E0 63 00 91 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 60 00 00 54 E0 4F 40 B9 E8 00 00 14 E8 0F 40 F9 09 81 00 91 28 00 80 52 28 01 00 B9 E2 00 00 14 E1 C3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 77 00 B9 E8 77 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 60 00 00 54 E0 53 40 B9 D8 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 B9 E8 13 00 B9 E8 2B 40 B9 1F 01 00 71 40 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 1F 01 00 71 80 01 00 54 E9 27 40 B9 E8 2F 40 B9 29 01 08 0B E8 13 40 B9 08 01 09 4B E8 13 00 B9 E8 0F 40 F9 09 81 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E9 13 40 B9 E8 27 40 B9 28 01 08 4B E8 13 00 B9 EA 13 40 B9 89 07 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 01 00 91 09 01 00 B9 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 B9 09 F1 00 11 E8 0F 40 F9 08 01 00 91 09 01 00 B9 E8 13 40 B9 08 F1 00 51 E8 13 00 B9 E8 0F 40 F9 0A 11 00 91 E9 13 40 B9 88 07 80 52 29 0D C8 1A 48 01 40 B9 08 01 09 0B E8 13 00 B9 EA 13 40 B9 89 07 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 11 00 91 09 01 00 B9 E8 0F 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 B9 09 F1 00 11 E8 0F 40 F9 08 11 00 91 09 01 00 B9 E8 13 40 B9 08 F1 00 51 E8 13 00 B9 E8 0F 40 F9 0A 21 00 91 E9 13 40 B9 88 07 80 52 29 0D C8 1A 48 01 40 B9 08 01 09 0B E8 13 00 B9 EA 13 40 B9 09 03 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 B9 09 61 00 11 E8 0F 40 F9 08 21 00 91 09 01 00 B9 E8 13 40 B9 08 61 00 51 E8 13 00 B9 E9 13 40 B9 08 03 80 52 28 0D C8 1A E8 13 00 B9 E8 13 40 B9 1F 01 00 71 CD 03 00 54 E8 0F 40 F9 08 61 00 91 09 01 40 B9 E8 13 40 B9 2A 01 08 0B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 61 00 91 09 01 00 B9 E8 0F 40 F9 08 31 00 91 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 0F 40 F9 08 31 00 91 09 01 00 B9 E8 0F 40 F9 08 71 00 91 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 0F 40 F9 08 71 00 91 09 01 00 B9 42 00 00 14 E8 13 40 B9 1F 01 00 71 EA 07 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 B9 09 1D 00 11 E8 13 40 B9 2A 01 08 0B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 61 00 91 09 01 00 B9 E8 0F 40 F9 08 31 00 91 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 0F 40 F9 08 31 00 91 09 01 00 B9 E8 0F 40 F9 08 31 00 91 08 01 40 B9 1F 01 00 71 AC 03 00 54 E8 0F 40 F9 08 31 00 91 08 01 40 B9 09 7D 00 11 E8 0F 40 F9 08 31 00 91 09 01 00 B9 E8 0F 40 F9 08 71 00 91 09 01 40 B9 E8 13 40 B9 28 01 08 0B 09 B5 05 11 E8 0F 40 F9 08 71 00 91 09 01 00 B9 E8 0F 40 F9 09 41 00 91 68 01 80 52 28 01 00 B9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 51 00 91 09 01 00 B9 09 00 00 14 E8 0F 40 F9 08 71 00 91 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 0F 40 F9 08 71 00 91 09 01 00 B9 00 00 80 52 FD 7B CB A8 C0 03 5F D6 7F D2 FF 7F 80 F4 03 00 FF DD FB 7F }
	condition:
		$1
}

rule file_57_3_0 {
	meta:
		name = "??$common_localtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
		size = 1936
		refs = "0044 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00dc memset 0114 ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01fc __tzset 021c _get_daylight 023c ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0248 _invoke_watson_if_error 0250 _get_dstbias 0270 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0284 _get_timezone 02a4 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0304 ??$gmtime_s@AEBQEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@$$QEAPEA_J@Z 0338 _isindst 03b0 ??$gmtime_s@AEBQEAUtm@@AEBQEB_J@?$__crt_integer_traits@_J@@SAHAEBQEAUtm@@AEBQEB_J@Z"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 0B 00 F9 E1 1B 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A8 01 00 14 82 04 80 D2 E1 1F 80 52 E0 0B 40 F9 ?? ?? ?? ?? E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 74 01 00 14 E8 1B 40 F9 08 01 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 69 01 00 14 69 2D 00 58 E8 1B 40 F9 08 01 40 F9 1F 01 09 EB 0D 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 5D 01 00 14 ?? ?? ?? ?? 08 00 80 52 E8 27 00 B9 08 00 80 52 E8 2B 00 B9 08 00 80 52 E8 23 00 B9 E0 93 00 91 ?? ?? ?? ?? E0 6B 00 B9 05 00 80 D2 C4 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 40 B9 ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? E0 6F 00 B9 05 00 80 D2 E4 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 40 B9 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 73 00 B9 05 00 80 D2 04 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 40 B9 ?? ?? ?? ?? 69 26 00 58 E8 1B 40 F9 08 01 40 F9 1F 01 09 EB 2D 07 00 54 09 26 00 58 E8 1B 40 F9 08 01 40 F9 1F 01 09 EB 8A 06 00 54 E8 23 40 B9 09 7D 40 93 E8 1B 40 F9 08 01 40 F9 08 01 09 CB E8 2F 00 F9 E8 63 01 91 E8 57 00 F9 E1 A3 02 91 E0 43 00 91 ?? ?? ?? ?? E0 77 00 B9 E8 77 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 60 00 00 54 E0 4B 40 B9 12 01 00 14 E8 27 40 B9 1F 01 00 71 A0 03 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 1F 01 00 71 E0 02 00 54 E8 2B 40 B9 09 7D 40 93 E8 2F 40 F9 08 01 09 CB E8 2F 00 F9 E8 63 01 91 E8 5B 00 F9 E1 C3 02 91 E0 43 00 91 ?? ?? ?? ?? E0 7F 00 B9 E8 7F 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 60 00 00 54 E0 4F 40 B9 F7 00 00 14 E8 0B 40 F9 09 81 00 91 28 00 80 52 28 01 00 B9 F1 00 00 14 E1 C3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 83 00 B9 E8 83 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 60 00 00 54 E0 53 40 B9 E7 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 08 7D 40 93 E8 0F 00 F9 E8 27 40 B9 1F 01 00 71 60 02 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 A0 01 00 54 E9 23 40 B9 E8 2B 40 B9 28 01 08 0B 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 E8 0B 40 F9 09 81 00 91 28 00 80 52 28 01 00 B9 06 00 00 14 E8 23 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 EA 0F 40 F9 89 07 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 09 01 00 11 E8 0B 40 F9 08 01 00 91 09 01 00 B9 E8 0B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 B9 09 F1 00 11 E8 0B 40 F9 08 01 00 91 09 01 00 B9 E8 0F 40 F9 08 F1 00 D1 E8 0F 00 F9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 0A 7D 40 93 E9 0F 40 F9 88 07 80 D2 28 0D C8 9A 48 01 08 8B E8 0F 00 F9 EA 0F 40 F9 89 07 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 09 01 00 11 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 F1 00 11 E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 0F 40 F9 08 F1 00 D1 E8 0F 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 0A 7D 40 93 E9 0F 40 F9 88 07 80 D2 28 0D C8 9A 48 01 08 8B E8 0F 00 F9 EA 0F 40 F9 09 03 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 09 01 00 11 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 B9 09 61 00 11 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 61 00 D1 E8 0F 00 F9 E9 0F 40 F9 08 03 80 D2 28 0D C8 9A E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 2D 04 00 54 E8 0B 40 F9 0A 61 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 0A 01 09 0B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0B 40 F9 08 61 00 91 09 01 00 B9 E8 0B 40 F9 0A 31 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 09 01 09 0B E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 0B 40 F9 0A 71 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 09 01 09 0B E8 0B 40 F9 08 71 00 91 09 01 00 B9 46 00 00 14 E8 0F 40 F9 1F 01 00 F1 6A 08 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 B9 09 1D 00 11 E8 0F 40 F9 08 01 00 11 2A 01 08 0B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0B 40 F9 08 61 00 91 09 01 00 B9 E8 0B 40 F9 0A 31 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 09 01 09 0B E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 0B 40 F9 08 31 00 91 08 01 40 B9 1F 01 00 71 CC 03 00 54 E8 0B 40 F9 08 31 00 91 08 01 40 B9 09 7D 00 11 E8 0B 40 F9 08 31 00 91 09 01 00 B9 E8 0B 40 F9 0A 71 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 08 01 09 0B 09 B5 05 11 E8 0B 40 F9 08 71 00 91 09 01 00 B9 E8 0B 40 F9 09 41 00 91 68 01 80 52 28 01 00 B9 E8 0B 40 F9 08 51 00 91 08 01 40 B9 09 05 00 51 E8 0B 40 F9 08 51 00 91 09 01 00 B9 0A 00 00 14 E8 0B 40 F9 0A 71 00 91 E8 0F 40 F9 09 01 00 11 48 01 40 B9 09 01 09 0B E8 0B 40 F9 08 71 00 91 09 01 00 B9 00 00 80 52 FD 7B CC A8 C0 03 5F D6 1F 20 03 D5 FF 2A 58 93 07 00 00 00 80 F4 03 00 00 00 00 00 7F 36 54 93 07 00 00 00 }
	condition:
		$1
}

rule file_57_12_0 {
	meta:
		name = "_localtime32_s"
		size = 44
		refs = "0018 ??$common_localtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_27_4 {
	meta:
		name = "?expand_argv_wildcards@@YAHQEAPEADQEAPEAPEAD@Z"
		size = 44
		refs = "0018 __acrt_expand_narrow_argv_wildcards"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_28_4 {
	meta:
		name = "?expand_argv_wildcards@@YAHQEAPEA_WQEAPEAPEA_W@Z"
		size = 44
		refs = "0018 __acrt_expand_wide_argv_wildcards"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_88_2 {
	meta:
		name = "__acrt_expand_narrow_argv_wildcards"
		size = 44
		refs = "0018 ??$common_expand_argv_wildcards@D@@YAHQEAPEADQEAPEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_89_4 {
	meta:
		name = "__acrt_expand_wide_argv_wildcards"
		size = 44
		refs = "0018 ??$common_expand_argv_wildcards@_W@@YAHQEAPEA_WQEAPEAPEA_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_37_2 {
	meta:
		name = "_findnext32"
		size = 44
		refs = "0018 ??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAH_JQEAU_finddata32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_38_3 {
	meta:
		name = "_findnext32i64"
		size = 44
		refs = "0018 ??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAH_JQEAU_finddata32i64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_39_3 {
	meta:
		name = "_findnext64"
		size = 44
		refs = "0018 ??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAH_JQEAU__finddata64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_40_3 {
	meta:
		name = "_findnext64i32"
		size = 44
		refs = "0018 ??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAH_JQEAU_finddata64i32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_15_4 {
	meta:
		name = "_gmtime32_s"
		size = 44
		refs = "0018 ??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_17_4 {
	meta:
		name = "_gmtime64_s"
		size = 44
		refs = "0018 ??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_57_14_4 {
	meta:
		name = "_localtime64_s"
		size = 44
		refs = "0018 ??$common_localtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_13_2 {
	meta:
		name = "_mktemp_s"
		size = 44
		refs = "0018 ??$common_mktemp_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_95_4 {
	meta:
		name = "_stat32"
		size = 44
		refs = "0018 ??$common_stat@U_stat32@@@@YAHQEBDQEAU_stat32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_96_2 {
	meta:
		name = "_stat32i64"
		size = 44
		refs = "0018 ??$common_stat@U_stat32i64@@@@YAHQEBDQEAU_stat32i64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_97_4 {
	meta:
		name = "_stat64"
		size = 44
		refs = "0018 ??$common_stat@U_stat64@@@@YAHQEBDQEAU_stat64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_98_2 {
	meta:
		name = "_stat64i32"
		size = 44
		refs = "0018 ??$common_stat@U_stat64i32@@@@YAHQEBDQEAU_stat64i32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_5_2 {
	meta:
		name = "_strdate_s"
		size = 44
		refs = "0018 ??$common_strdate_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_5_2 {
	meta:
		name = "_strtime_s"
		size = 44
		refs = "0018 ??$common_strtime_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_16_2 {
	meta:
		name = "_utime32"
		size = 44
		refs = "0018 ??$common_utime@JDU__utimbuf32@@@@YAHQEBDQEAU__utimbuf32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_17_0 {
	meta:
		name = "_utime64"
		size = 44
		refs = "0018 ??$common_utime@_JDU__utimbuf64@@@@YAHQEBDQEAU__utimbuf64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_46_0 {
	meta:
		name = "_wfindnext32"
		size = 44
		refs = "0018 ??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_47_4 {
	meta:
		name = "_wfindnext32i64"
		size = 44
		refs = "0018 ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_48_4 {
	meta:
		name = "_wfindnext64"
		size = 44
		refs = "0018 ??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_49_0 {
	meta:
		name = "_wfindnext64i32"
		size = 44
		refs = "0018 ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_15_2 {
	meta:
		name = "_wmktemp_s"
		size = 44
		refs = "0018 ??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_99_0 {
	meta:
		name = "_wstat32"
		size = 44
		refs = "0018 ??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_100_3 {
	meta:
		name = "_wstat32i64"
		size = 44
		refs = "0018 ??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_101_4 {
	meta:
		name = "_wstat64"
		size = 44
		refs = "0018 ??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_102_0 {
	meta:
		name = "_wstat64i32"
		size = 44
		refs = "0018 ??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_7_4 {
	meta:
		name = "_wstrdate_s"
		size = 44
		refs = "0018 ??$common_strdate_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_7_3 {
	meta:
		name = "_wstrtime_s"
		size = 44
		refs = "0018 ??$common_strtime_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_18_2 {
	meta:
		name = "_wutime32"
		size = 44
		refs = "0018 ??$common_utime@J_WU__utimbuf32@@@@YAHQEB_WQEAU__utimbuf32@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_19_4 {
	meta:
		name = "_wutime64"
		size = 44
		refs = "0018 ??$common_utime@_J_WU__utimbuf64@@@@YAHQEB_WQEAU__utimbuf64@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_0_0 {
	meta:
		name = "?get_std_handle_id@@YAKH@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 E8 03 00 B9 E8 03 40 B9 1F 01 00 71 00 01 00 54 E8 03 40 B9 1F 05 00 71 E0 00 00 54 E8 03 40 B9 1F 09 00 71 C0 00 00 54 07 00 00 14 20 01 80 12 06 00 00 14 40 01 80 12 04 00 00 14 60 01 80 12 02 00 00 14 60 01 80 12 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_1_0 {
	meta:
		name = "?initialize_inherited_file_handles_nolock@@YAXXZ"
		size = 500
		refs = "000c __imp_GetStartupInfoW 0094 __acrt_lowio_ensure_fh_exists 0098 _nhandle 0160 __imp_GetFileType 0194 __pioinfo"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 63 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 37 41 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 53 40 F9 1F 01 00 F1 41 00 00 54 6E 00 00 14 E8 53 40 F9 08 01 40 B9 E8 1B 00 B9 E8 53 40 F9 08 11 00 91 E8 1F 00 F9 E8 1B 40 B9 09 7D 40 93 E8 1F 40 F9 08 01 09 8B E8 2B 00 F9 09 00 84 52 E8 1B 40 B9 1F 01 09 6B 8A 00 00 54 E8 1B 40 B9 E8 1F 00 B9 03 00 00 14 08 00 84 52 E8 1F 00 B9 E8 1F 40 B9 E8 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 17 40 B9 1F 01 09 6B 8D 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 17 00 B9 E8 1F 40 F9 E8 17 00 F9 E8 2B 40 F9 E8 13 00 F9 08 00 80 52 E8 13 00 B9 0A 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 13 40 F9 08 21 00 91 E8 13 00 F9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 40 07 00 54 E8 13 40 F9 08 01 40 F9 E8 23 00 F9 E8 23 40 F9 1F 05 00 B1 41 00 00 54 ED FF FF 17 E8 13 40 F9 08 01 40 F9 1F 09 00 B1 41 00 00 54 E8 FF FF 17 E8 17 40 F9 08 01 40 39 08 01 00 11 48 00 00 37 E3 FF FF 17 E8 17 40 F9 08 01 40 39 08 01 00 11 48 01 18 37 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 41 00 00 54 D6 FF FF 17 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 27 00 F9 E8 27 40 F9 09 A1 00 91 E8 13 40 F9 08 01 40 F9 28 01 00 F9 E8 27 40 F9 09 E1 00 91 E8 17 40 F9 08 01 40 39 28 01 00 39 BB FF FF 17 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_2_0 {
	meta:
		name = "?initialize_stdio_handles_nolock@@YAXXZ"
		size = 624
		refs = "0040 __pioinfo 00d0 ?get_std_handle_id@@YAKH@Z 00dc __imp_GetStdHandle 013c __imp_GetFileType 0228 __piob"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 1F 0D 00 71 00 12 00 54 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 0F 00 F9 E8 0F 40 F9 08 A1 00 91 08 01 40 F9 1F 05 00 B1 00 02 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 F9 1F 09 00 B1 60 01 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 01 19 32 E8 0F 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 D7 FF FF 17 E8 0F 40 F9 09 E1 00 91 28 10 80 52 28 01 00 39 E0 17 40 B9 ?? ?? ?? ?? E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 E0 00 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 20 04 00 54 E8 0F 40 F9 09 A1 00 91 E8 17 40 F9 28 01 00 F9 E8 23 40 B9 08 1D 00 12 1F 09 00 71 61 01 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 01 1A 32 E8 0F 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 0E 00 00 14 E8 23 40 B9 08 1D 00 12 1F 0D 00 71 41 01 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 01 1D 32 E8 0F 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 1D 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 01 1A 32 E8 0F 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 E8 0F 40 F9 09 A1 00 91 28 00 80 92 28 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 80 01 00 54 E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 09 61 00 91 28 00 80 12 28 01 00 B9 6C FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_3_0 {
	meta:
		name = "__acrt_initialize_lowio"
		size = 88
		refs = "000c __acrt_lock 001c __acrt_lowio_ensure_fh_exists 0034 ?initialize_inherited_file_handles_nolock@@YAXXZ 0038 ?initialize_stdio_handles_nolock@@YAXXZ 0048 __acrt_unlock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 00 80 52 ?? ?? ?? ?? 08 00 80 52 A8 43 00 39 00 00 80 52 ?? ?? ?? ?? A0 17 00 B9 A8 17 40 B9 1F 01 00 71 40 00 00 54 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 A8 43 00 39 E0 00 80 52 ?? ?? ?? ?? A0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_4_0 {
	meta:
		name = "__acrt_initialize_lowio$fin$0"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "__acrt_lowio_ensure_fh_exists$fin$0 _alloc_osfhnd$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 E0 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_58_5_0 {
	meta:
		name = "__acrt_uninitialize_lowio"
		size = 168
		refs = "003c __pioinfo 0074 __acrt_lowio_destroy_handle_array"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 08 00 80 D2 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0F 40 F9 1F 01 02 F1 82 03 00 54 E9 0F 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 41 00 00 54 F1 FF FF 17 E9 0F 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 40 F9 ?? ?? ?? ?? E9 0F 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B 08 00 80 D2 28 01 00 F9 E0 FF FF 17 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_9_0 {
	meta:
		name = "??$?R_W@__crt_public_free_policy@@QEBAXQEB_W@Z"
		size = 32
		refs = "0014 free"
		altNames = "??$?RD@__crt_public_free_policy@@QEBAXQEBD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_14_0 {
	meta:
		name = "??$common_fstat@U_stat32@@@@YAHHQEAU_stat32@@@Z"
		size = 928
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0178 _nhandle 01b4 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0268 __pioinfo 02c8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0374 ??0<lambda_d7cc46b9d3eafc46fa9170341ffdc0b8>@@QEAA@AEBHAEBQEAU_stat32@@@Z 0384 ??$__acrt_lowio_lock_fh_and_call@V<lambda_d7cc46b9d3eafc46fa9170341ffdc0b8>@@@@YAHH$$QEAV<lambda_d7cc46b9d3eafc46fa9170341ffdc0b8>@@@Z 0394 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 03 00 B9 E1 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AA 00 00 14 E9 43 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 00 B9 EB 1B 40 F9 6B 01 00 91 EA 43 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 50 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 C3 00 91 E1 03 00 91 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_15_0 {
	meta:
		name = "??$common_fstat@U_stat32i64@@@@YAHHQEAU_stat32i64@@@Z"
		size = 928
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0178 _nhandle 01b4 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0268 __pioinfo 02c8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0374 ??0<lambda_fdc4ae9bf0ac218b4f0f627a428a6326>@@QEAA@AEBHAEBQEAU_stat32i64@@@Z 0384 ??$__acrt_lowio_lock_fh_and_call@V<lambda_fdc4ae9bf0ac218b4f0f627a428a6326>@@@@YAHH$$QEAV<lambda_fdc4ae9bf0ac218b4f0f627a428a6326>@@@Z 0394 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 03 00 B9 E1 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AA 00 00 14 E9 43 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 1B 40 F9 6B 01 00 91 EA 43 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 50 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 C3 00 91 E1 03 00 91 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_17_0 {
	meta:
		name = "??$common_fstat@U_stat64i32@@@@YAHHQEAU_stat64i32@@@Z"
		size = 928
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0178 _nhandle 01b4 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0268 __pioinfo 02c8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0374 ??0<lambda_d7030c13291f09515dc0cfd14be56016>@@QEAA@AEBHAEBQEAU_stat64i32@@@Z 0384 ??$__acrt_lowio_lock_fh_and_call@V<lambda_d7030c13291f09515dc0cfd14be56016>@@@@YAHH$$QEAV<lambda_d7030c13291f09515dc0cfd14be56016>@@@Z 0394 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 03 00 B9 E1 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AA 00 00 14 E9 43 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 1B 40 F9 6B 01 00 91 EA 43 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 50 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 C3 00 91 E1 03 00 91 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_16_0 {
	meta:
		name = "??$common_fstat@U_stat64@@@@YAHHQEAU_stat64@@@Z"
		size = 940
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0184 _nhandle 01c0 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0274 __pioinfo 02d4 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0380 ??0<lambda_594270c43af72745dbe432d8ae1e396d>@@QEAA@AEBHAEBQEAU_stat64@@@Z 0390 ??$__acrt_lowio_lock_fh_and_call@V<lambda_594270c43af72745dbe432d8ae1e396d>@@@@YAHH$$QEAV<lambda_594270c43af72745dbe432d8ae1e396d>@@@Z 03a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 03 00 B9 E1 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AD 00 00 14 E9 43 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 19 00 F9 EB 1B 40 F9 6B 01 00 91 EA 43 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 48 19 40 F9 68 19 00 F9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 50 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 C3 00 91 E1 03 00 91 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_18_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQEBDQEAU_stat32@@@Z"
		size = 188
		refs = "0024 ??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 E1 1F 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 21 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 1F 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_20_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQEBDQEAU_stat32i64@@@Z"
		size = 188
		refs = "0024 ??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 E1 1F 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 21 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 1F 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_22_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQEBDQEAU_stat64@@@Z"
		size = 188
		refs = "0024 ??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 E1 1F 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 21 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 1F 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_24_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQEBDQEAU_stat64i32@@@Z"
		size = 188
		refs = "0024 ??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 F9 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 E1 1F 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 21 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 1F 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_19_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z"
		size = 900
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0160 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c __imp_CreateFileW 0234 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@QEAX@Z 0240 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ 025c ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBAPEAXXZ 0274 ??$common_stat_handle_file_opened@U_stat32@@@@YA_NQEB_WHQEAXAEAU_stat32@@@Z 02d8 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ 02f0 ??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQEB_WAEAU_stat32@@@Z 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 03 D1 E0 17 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A3 00 00 14 E9 03 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 00 B9 EB 07 40 F9 6B 01 00 91 EA 03 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 5E 00 00 14 06 00 80 D2 05 40 A0 52 64 00 80 52 03 00 80 D2 E2 00 80 52 01 10 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E3 07 40 F9 E2 3B 40 F9 01 00 80 12 E0 17 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 A3 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 00 B9 EB 07 40 F9 6B 01 00 91 EA A3 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 08 00 80 12 E8 3B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3B 40 B9 25 00 00 14 1F 00 00 14 E1 07 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 43 03 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 00 B9 EB 07 40 F9 6B 01 00 91 EA 43 03 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 08 00 80 12 E8 3F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3F 40 B9 06 00 00 14 08 00 80 52 E8 43 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 43 40 B9 FF C3 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_21_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z"
		size = 900
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0160 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c __imp_CreateFileW 0234 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@QEAX@Z 0240 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ 025c ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBAPEAXXZ 0274 ??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQEB_WHQEAXAEAU_stat32i64@@@Z 02d8 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ 02f0 ??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQEB_WAEAU_stat32i64@@@Z 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 17 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A3 00 00 14 E9 03 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA 03 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 5E 00 00 14 06 00 80 D2 05 40 A0 52 64 00 80 52 03 00 80 D2 E2 00 80 52 01 10 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E3 07 40 F9 E2 3B 40 F9 01 00 80 12 E0 17 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 C3 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA C3 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 08 00 80 12 E8 3B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3B 40 B9 25 00 00 14 1F 00 00 14 E1 07 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 83 03 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA 83 03 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 08 00 80 12 E8 3F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3F 40 B9 06 00 00 14 08 00 80 52 E8 43 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 43 40 B9 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_25_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z"
		size = 900
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0160 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c __imp_CreateFileW 0234 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@QEAX@Z 0240 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ 025c ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBAPEAXXZ 0274 ??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQEB_WHQEAXAEAU_stat64i32@@@Z 02d8 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ 02f0 ??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQEB_WAEAU_stat64i32@@@Z 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 17 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A3 00 00 14 E9 03 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA 03 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 5E 00 00 14 06 00 80 D2 05 40 A0 52 64 00 80 52 03 00 80 D2 E2 00 80 52 01 10 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E3 07 40 F9 E2 3B 40 F9 01 00 80 12 E0 17 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 C3 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA C3 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 08 00 80 12 E8 3B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3B 40 B9 25 00 00 14 1F 00 00 14 E1 07 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 E1 02 00 54 E9 83 03 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 EB 07 40 F9 6B 01 00 91 EA 83 03 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 08 00 80 12 E8 3F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3F 40 B9 06 00 00 14 08 00 80 52 E8 43 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 43 40 B9 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_23_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z"
		size = 936
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 016c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0228 __imp_CreateFileW 0240 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@QEAX@Z 024c ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ 0268 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBAPEAXXZ 0280 ??$common_stat_handle_file_opened@U_stat64@@@@YA_NQEB_WHQEAXAEAU_stat64@@@Z 02f0 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ 0308 ??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQEB_WAEAU_stat64@@@Z 039c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 E0 17 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AC 00 00 14 E9 03 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 19 00 F9 EB 07 40 F9 6B 01 00 91 EA 03 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 48 19 40 F9 68 19 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 64 00 00 14 06 00 80 D2 05 40 A0 52 64 00 80 52 03 00 80 D2 E2 00 80 52 01 10 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 00 05 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E3 07 40 F9 E2 3B 40 F9 01 00 80 12 E0 17 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 41 03 00 54 E9 E3 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 19 00 F9 EB 07 40 F9 6B 01 00 91 EA E3 02 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 48 19 40 F9 68 19 00 F9 08 00 80 12 E8 3B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3B 40 B9 28 00 00 14 22 00 00 14 E1 07 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 41 03 00 54 E9 C3 03 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 19 00 F9 EB 07 40 F9 6B 01 00 91 EA C3 03 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 49 21 42 A9 69 21 02 A9 48 19 40 F9 68 19 00 F9 08 00 80 12 E8 3F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3F 40 B9 06 00 00 14 08 00 80 52 E8 43 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 43 40 B9 FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_26_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQEB_WAEAU_stat32@@@Z"
		size = 364
		refs = "0014 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0030 __acrt_errno_map_os_error 0044 ?convert_to_stat_mode@@YAGHQEB_W@Z 007c ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0118 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QEAH000000@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 40 00 80 52 ?? ?? ?? ?? 00 00 80 52 4B 00 00 14 E1 27 40 F9 00 02 80 52 ?? ?? ?? ?? E0 43 00 79 E8 0F 40 F9 09 19 00 91 E8 43 40 79 28 01 00 79 E8 0F 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 08 00 80 52 E8 27 00 B9 E1 93 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 33 00 00 14 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 41 00 91 09 01 00 B9 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 01 00 91 09 01 00 B9 08 00 80 12 E8 2B 00 B9 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 33 00 B9 08 00 80 52 E8 37 00 B9 28 00 80 52 E8 3B 00 B9 28 00 80 52 E8 3F 00 B9 88 F7 80 52 E8 43 00 B9 E6 A3 00 91 E5 B3 00 91 E4 C3 00 91 E3 D3 00 91 E2 E3 00 91 E1 F3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 47 00 B9 E8 0F 40 F9 09 71 00 91 E8 47 40 B9 28 01 00 B9 E8 0F 40 F9 0A 71 00 91 E8 0F 40 F9 09 61 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 71 00 91 E8 0F 40 F9 09 81 00 91 48 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_27_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQEB_WAEAU_stat32i64@@@Z"
		size = 364
		refs = "0014 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0030 __acrt_errno_map_os_error 0044 ?convert_to_stat_mode@@YAGHQEB_W@Z 007c ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0118 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QEAH000000@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 40 00 80 52 ?? ?? ?? ?? 00 00 80 52 4B 00 00 14 E1 27 40 F9 00 02 80 52 ?? ?? ?? ?? E0 43 00 79 E8 0F 40 F9 09 19 00 91 E8 43 40 79 28 01 00 79 E8 0F 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 08 00 80 52 E8 27 00 B9 E1 93 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 33 00 00 14 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 41 00 91 09 01 00 B9 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 01 00 91 09 01 00 B9 08 00 80 12 E8 2B 00 B9 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 33 00 B9 08 00 80 52 E8 37 00 B9 28 00 80 52 E8 3B 00 B9 28 00 80 52 E8 3F 00 B9 88 F7 80 52 E8 43 00 B9 E6 A3 00 91 E5 B3 00 91 E4 C3 00 91 E3 D3 00 91 E2 E3 00 91 E1 F3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 47 00 B9 E8 0F 40 F9 09 91 00 91 E8 47 40 B9 28 01 00 B9 E8 0F 40 F9 0A 91 00 91 E8 0F 40 F9 09 81 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 91 00 91 E8 0F 40 F9 09 A1 00 91 48 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_28_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQEB_WAEAU_stat64@@@Z"
		size = 364
		refs = "0014 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0030 __acrt_errno_map_os_error 0044 ?convert_to_stat_mode@@YAGHQEB_W@Z 007c ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0118 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QEAH000000@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 40 00 80 52 ?? ?? ?? ?? 00 00 80 52 4B 00 00 14 E1 27 40 F9 00 02 80 52 ?? ?? ?? ?? E0 43 00 79 E8 0F 40 F9 09 19 00 91 E8 43 40 79 28 01 00 79 E8 0F 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 08 00 80 52 E8 27 00 B9 E1 93 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 33 00 00 14 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 41 00 91 09 01 00 B9 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 01 00 91 09 01 00 B9 08 00 80 12 E8 2B 00 B9 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 33 00 B9 08 00 80 52 E8 37 00 B9 28 00 80 52 E8 3B 00 B9 28 00 80 52 E8 3F 00 B9 88 F7 80 52 E8 43 00 B9 E6 A3 00 91 E5 B3 00 91 E4 C3 00 91 E3 D3 00 91 E2 E3 00 91 E1 F3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 2B 00 F9 E8 0F 40 F9 09 A1 00 91 E8 2B 40 F9 28 01 00 F9 E8 0F 40 F9 0A A1 00 91 E8 0F 40 F9 09 81 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A A1 00 91 E8 0F 40 F9 09 C1 00 91 48 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_29_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQEB_WAEAU_stat64i32@@@Z"
		size = 364
		refs = "0014 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0030 __acrt_errno_map_os_error 0044 ?convert_to_stat_mode@@YAGHQEB_W@Z 007c ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0118 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QEAH000000@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 40 00 80 52 ?? ?? ?? ?? 00 00 80 52 4B 00 00 14 E1 27 40 F9 00 02 80 52 ?? ?? ?? ?? E0 43 00 79 E8 0F 40 F9 09 19 00 91 E8 43 40 79 28 01 00 79 E8 0F 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 08 00 80 52 E8 27 00 B9 E1 93 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 33 00 00 14 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 41 00 91 09 01 00 B9 E8 27 40 B9 09 05 00 51 E8 0F 40 F9 08 01 00 91 09 01 00 B9 08 00 80 12 E8 2B 00 B9 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 33 00 B9 08 00 80 52 E8 37 00 B9 28 00 80 52 E8 3B 00 B9 28 00 80 52 E8 3F 00 B9 88 F7 80 52 E8 43 00 B9 E6 A3 00 91 E5 B3 00 91 E4 C3 00 91 E3 D3 00 91 E2 E3 00 91 E1 F3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 2B 00 F9 E8 0F 40 F9 09 81 00 91 E8 2B 40 F9 28 01 00 F9 E8 0F 40 F9 0A 81 00 91 E8 0F 40 F9 09 61 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 81 00 91 E8 0F 40 F9 09 A1 00 91 48 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_30_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32@@@@YA_NQEB_WHQEAXAEAU_stat32@@@Z"
		size = 796
		refs = "0008 __security_push_cookie 0024 __imp_GetFileType 00f0 __imp_PeekNamedPipe 0134 _errno 0154 __imp_GetLastError 0168 __acrt_errno_map_os_error 01a0 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 020c __imp_GetFileInformationByHandle 0250 ?convert_to_stat_mode@@YAGHQEB_W@Z 0270 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 02e8 ?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEAJ@Z 0310 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 2B 00 F9 E1 23 00 B9 E2 27 00 F9 E3 07 00 F9 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 08 79 10 12 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 41 00 00 54 4A 00 00 14 E8 13 40 B9 1F 09 00 71 80 00 00 54 E8 13 40 B9 1F 0D 00 71 21 06 00 54 E8 13 40 B9 1F 09 00 71 81 00 00 54 08 00 84 52 E8 1F 00 B9 03 00 00 14 08 00 82 52 E8 1F 00 B9 E8 1F 40 B9 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 07 40 F9 09 41 00 91 E8 23 40 B9 28 01 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E8 13 40 B9 1F 09 00 71 40 02 00 54 05 00 80 D2 E4 B3 00 91 03 00 80 D2 02 00 80 52 01 00 80 D2 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 07 40 F9 09 51 00 91 E8 2F 40 B9 28 01 00 B9 20 00 80 52 7B 00 00 14 14 00 00 14 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 52 70 00 00 14 09 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 2B 40 F9 1F 01 00 F1 E0 02 00 54 08 00 80 52 E8 1B 00 B9 E1 63 00 91 E0 2B 40 F9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 54 00 00 14 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 41 00 91 09 01 00 B9 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 01 00 91 09 01 00 B9 E9 83 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 31 00 B9 E1 83 01 91 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 32 00 00 14 E1 2B 40 F9 E0 63 40 B9 ?? ?? ?? ?? E0 2B 00 79 E8 07 40 F9 09 19 00 91 E8 2B 40 79 28 01 00 79 01 00 80 52 E0 43 47 F8 ?? ?? ?? ?? E0 3F 00 B9 E8 07 40 F9 09 71 00 91 E8 3F 40 B9 28 01 00 B9 E8 07 40 F9 08 71 00 91 01 01 40 B9 E0 C3 46 F8 ?? ?? ?? ?? E0 43 00 B9 E8 07 40 F9 09 61 00 91 E8 43 40 B9 28 01 00 B9 E8 07 40 F9 08 71 00 91 01 01 40 B9 E0 43 46 F8 ?? ?? ?? ?? E0 47 00 B9 E8 07 40 F9 09 81 00 91 E8 47 40 B9 28 01 00 B9 E8 07 40 F9 01 51 00 91 21 00 00 91 E0 83 01 91 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_31_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQEB_WHQEAXAEAU_stat32i64@@@Z"
		size = 800
		refs = "0008 __security_push_cookie 0024 __imp_GetFileType 00f0 __imp_PeekNamedPipe 0138 _errno 0158 __imp_GetLastError 016c __acrt_errno_map_os_error 01a4 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0210 __imp_GetFileInformationByHandle 0254 ?convert_to_stat_mode@@YAGHQEB_W@Z 0274 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 02ec ?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEA_J@Z 0314 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 2B 00 F9 E1 23 00 B9 E2 27 00 F9 E3 07 00 F9 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 08 79 10 12 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 41 00 00 54 4B 00 00 14 E8 13 40 B9 1F 09 00 71 80 00 00 54 E8 13 40 B9 1F 0D 00 71 41 06 00 54 E8 13 40 B9 1F 09 00 71 81 00 00 54 08 00 84 52 E8 1F 00 B9 03 00 00 14 08 00 82 52 E8 1F 00 B9 E8 1F 40 B9 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 07 40 F9 09 41 00 91 E8 23 40 B9 28 01 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E8 13 40 B9 1F 09 00 71 60 02 00 54 05 00 80 D2 E4 B3 00 91 03 00 80 D2 02 00 80 52 01 00 80 D2 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C0 00 00 54 E8 2F 40 B9 09 7D 40 93 E8 07 40 F9 08 61 00 91 09 01 00 F9 20 00 80 52 7B 00 00 14 14 00 00 14 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 52 70 00 00 14 09 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 2B 40 F9 1F 01 00 F1 E0 02 00 54 08 00 80 52 E8 1B 00 B9 E1 63 00 91 E0 2B 40 F9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 54 00 00 14 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 41 00 91 09 01 00 B9 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 01 00 91 09 01 00 B9 E9 83 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 31 00 B9 E1 83 01 91 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 32 00 00 14 E1 2B 40 F9 E0 63 40 B9 ?? ?? ?? ?? E0 2B 00 79 E8 07 40 F9 09 19 00 91 E8 2B 40 79 28 01 00 79 01 00 80 52 E0 43 47 F8 ?? ?? ?? ?? E0 3F 00 B9 E8 07 40 F9 09 91 00 91 E8 3F 40 B9 28 01 00 B9 E8 07 40 F9 08 91 00 91 01 01 40 B9 E0 C3 46 F8 ?? ?? ?? ?? E0 43 00 B9 E8 07 40 F9 09 81 00 91 E8 43 40 B9 28 01 00 B9 E8 07 40 F9 08 91 00 91 01 01 40 B9 E0 43 46 F8 ?? ?? ?? ?? E0 47 00 B9 E8 07 40 F9 09 A1 00 91 E8 47 40 B9 28 01 00 B9 E8 07 40 F9 01 61 00 91 21 00 00 91 E0 83 01 91 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_32_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64@@@@YA_NQEB_WHQEAXAEAU_stat64@@@Z"
		size = 800
		refs = "0008 __security_push_cookie 0024 __imp_GetFileType 00f0 __imp_PeekNamedPipe 0138 _errno 0158 __imp_GetLastError 016c __acrt_errno_map_os_error 01a4 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0210 __imp_GetFileInformationByHandle 0254 ?convert_to_stat_mode@@YAGHQEB_W@Z 0274 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 02ec ?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEA_J@Z 0314 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 E0 27 00 F9 E1 23 00 B9 E2 23 00 F9 E3 07 00 F9 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 08 79 10 12 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 41 00 00 54 4B 00 00 14 E8 13 40 B9 1F 09 00 71 80 00 00 54 E8 13 40 B9 1F 0D 00 71 41 06 00 54 E8 13 40 B9 1F 09 00 71 81 00 00 54 08 00 84 52 E8 1F 00 B9 03 00 00 14 08 00 82 52 E8 1F 00 B9 E8 1F 40 B9 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 07 40 F9 09 41 00 91 E8 23 40 B9 28 01 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E8 13 40 B9 1F 09 00 71 60 02 00 54 05 00 80 D2 E4 B3 00 91 03 00 80 D2 02 00 80 52 01 00 80 D2 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C0 00 00 54 E8 2F 40 B9 09 7D 40 93 E8 07 40 F9 08 61 00 91 09 01 00 F9 20 00 80 52 7B 00 00 14 14 00 00 14 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 52 70 00 00 14 09 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 27 40 F9 1F 01 00 F1 E0 02 00 54 08 00 80 52 E8 1B 00 B9 E1 63 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 54 00 00 14 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 41 00 91 09 01 00 B9 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 01 00 91 09 01 00 B9 E9 C3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 31 00 B9 E1 C3 01 91 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 32 00 00 14 E1 27 40 F9 E0 73 40 B9 ?? ?? ?? ?? E0 2B 00 79 E8 07 40 F9 09 19 00 91 E8 2B 40 79 28 01 00 79 01 00 80 D2 E0 43 48 F8 ?? ?? ?? ?? E0 2F 00 F9 E8 07 40 F9 09 A1 00 91 E8 2F 40 F9 28 01 00 F9 E8 07 40 F9 08 A1 00 91 01 01 40 F9 E0 C3 47 F8 ?? ?? ?? ?? E0 33 00 F9 E8 07 40 F9 09 81 00 91 E8 33 40 F9 28 01 00 F9 E8 07 40 F9 08 A1 00 91 01 01 40 F9 E0 43 47 F8 ?? ?? ?? ?? E0 37 00 F9 E8 07 40 F9 09 C1 00 91 E8 37 40 F9 28 01 00 F9 E8 07 40 F9 01 61 00 91 21 00 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 83 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_33_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQEB_WHQEAXAEAU_stat64i32@@@Z"
		size = 796
		refs = "0008 __security_push_cookie 0024 __imp_GetFileType 00f0 __imp_PeekNamedPipe 0134 _errno 0154 __imp_GetLastError 0168 __acrt_errno_map_os_error 01a0 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 020c __imp_GetFileInformationByHandle 0250 ?convert_to_stat_mode@@YAGHQEB_W@Z 0270 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 02e8 ?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEAJ@Z 0310 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 E0 27 00 F9 E1 23 00 B9 E2 23 00 F9 E3 07 00 F9 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 08 79 10 12 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 41 00 00 54 4A 00 00 14 E8 13 40 B9 1F 09 00 71 80 00 00 54 E8 13 40 B9 1F 0D 00 71 21 06 00 54 E8 13 40 B9 1F 09 00 71 81 00 00 54 08 00 84 52 E8 1F 00 B9 03 00 00 14 08 00 82 52 E8 1F 00 B9 E8 1F 40 B9 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 07 40 F9 09 41 00 91 E8 23 40 B9 28 01 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E8 13 40 B9 1F 09 00 71 40 02 00 54 05 00 80 D2 E4 B3 00 91 03 00 80 D2 02 00 80 52 01 00 80 D2 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 07 40 F9 09 51 00 91 E8 2F 40 B9 28 01 00 B9 20 00 80 52 7B 00 00 14 14 00 00 14 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 52 70 00 00 14 09 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 52 67 00 00 14 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 79 E8 27 40 F9 1F 01 00 F1 E0 02 00 54 08 00 80 52 E8 1B 00 B9 E1 63 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 54 00 00 14 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 41 00 91 09 01 00 B9 E8 1B 40 B9 09 05 00 51 E8 07 40 F9 08 01 00 91 09 01 00 B9 E9 C3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 28 31 00 B9 E1 C3 01 91 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E0 3B 40 B9 ?? ?? ?? ?? 00 00 80 52 32 00 00 14 E1 27 40 F9 E0 73 40 B9 ?? ?? ?? ?? E0 2B 00 79 E8 07 40 F9 09 19 00 91 E8 2B 40 79 28 01 00 79 01 00 80 D2 E0 43 48 F8 ?? ?? ?? ?? E0 2F 00 F9 E8 07 40 F9 09 81 00 91 E8 2F 40 F9 28 01 00 F9 E8 07 40 F9 08 81 00 91 01 01 40 F9 E0 C3 47 F8 ?? ?? ?? ?? E0 33 00 F9 E8 07 40 F9 09 61 00 91 E8 33 40 F9 28 01 00 F9 E8 07 40 F9 08 81 00 91 01 01 40 F9 E0 43 47 F8 ?? ?? ?? ?? E0 37 00 F9 E8 07 40 F9 09 A1 00 91 E8 37 40 F9 28 01 00 F9 E8 07 40 F9 01 51 00 91 21 00 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FF 83 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_34_0 {
	meta:
		name = "??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z"
		size = 204
		refs = "0008 __security_push_cookie 0040 __imp_FileTimeToSystemTime 0068 __imp_SystemTimeToTzSpecificLocalTime 00b0 ??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@J@@SAJAEAG00000$$QEAH@Z 00c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 0F 00 F9 E1 03 00 B9 E8 1B 40 B9 1F 01 00 71 C1 00 00 54 E8 1F 40 B9 1F 01 00 71 61 00 00 54 E0 03 40 B9 22 00 00 14 E1 C3 00 91 E0 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 00 B9 E8 07 40 B9 1F 01 00 71 60 01 00 54 E2 83 00 91 E1 C3 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 B9 E8 0B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 0D 00 00 14 08 00 80 12 E8 0F 00 B9 E6 33 00 91 E5 B3 00 91 E4 AB 00 91 E3 A3 00 91 E2 9B 00 91 E1 8B 00 91 E0 83 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_35_0 {
	meta:
		name = "??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z"
		size = 204
		refs = "0008 __security_push_cookie 0040 __imp_FileTimeToSystemTime 0068 __imp_SystemTimeToTzSpecificLocalTime 00b0 ??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@_J@@SA_JAEAG00000$$QEAH@Z 00c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 0B 00 F9 E1 0F 00 F9 E8 13 40 B9 1F 01 00 71 C1 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 E0 0F 40 F9 22 00 00 14 E1 E3 00 91 E0 43 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 03 00 B9 E8 03 40 B9 1F 01 00 71 60 01 00 54 E2 A3 00 91 E1 E3 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 00 B9 E8 07 40 B9 1F 01 00 71 61 00 00 54 00 00 80 92 0D 00 00 14 08 00 80 12 E8 0B 00 B9 E6 23 00 91 E5 D3 00 91 E4 CB 00 91 E3 C3 00 91 E2 BB 00 91 E1 AB 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_36_0 {
	meta:
		name = "??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@J@@SAJAEAG00000$$QEAH@Z"
		size = 160
		refs = "008c __loctotime32_t"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E6 27 00 F9 E8 0F 40 F9 05 01 40 79 A5 00 00 11 E8 13 40 F9 04 01 40 79 84 00 00 11 E8 17 40 F9 03 01 40 79 63 00 00 11 E8 1B 40 F9 02 01 40 79 42 00 00 11 E8 1F 40 F9 01 01 40 79 21 00 00 11 E8 23 40 F9 00 01 40 79 00 00 00 11 E8 27 40 F9 06 01 40 B9 A5 00 00 11 84 00 00 11 63 00 00 11 42 00 00 11 21 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_37_0 {
	meta:
		name = "??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@_J@@SA_JAEAG00000$$QEAH@Z"
		size = 160
		refs = "008c __loctotime64_t"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E5 0B 00 F9 E6 23 00 F9 E8 0B 40 F9 05 01 40 79 A5 00 00 11 E8 0F 40 F9 04 01 40 79 84 00 00 11 E8 13 40 F9 03 01 40 79 63 00 00 11 E8 17 40 F9 02 01 40 79 42 00 00 11 E8 1B 40 F9 01 01 40 79 21 00 00 11 E8 1F 40 F9 00 01 40 79 00 00 00 11 E8 23 40 F9 06 01 40 B9 A5 00 00 11 84 00 00 11 63 00 00 11 42 00 00 11 21 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_38_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QEAH000000@Z"
		size = 112
		refs = "005c __loctotime32_t"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E8 0F 40 F9 06 01 40 B9 E8 13 40 F9 05 01 40 B9 E8 17 40 F9 04 01 40 B9 E8 1B 40 F9 03 01 40 B9 E8 1F 40 F9 02 01 40 B9 E8 23 40 F9 01 01 40 B9 E8 27 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_39_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QEAH000000@Z"
		size = 112
		refs = "005c __loctotime64_t"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E6 0B 00 F9 E8 0B 40 F9 06 01 40 B9 E8 0F 40 F9 05 01 40 B9 E8 13 40 F9 04 01 40 B9 E8 17 40 F9 03 01 40 B9 E8 1B 40 F9 02 01 40 B9 E8 1F 40 F9 01 01 40 B9 E8 23 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_58_0 {
	meta:
		name = "??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_433_6_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_50_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_19_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_48_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_49_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_32_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_33_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_29_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_9_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_9_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_40_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_41_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_3_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_42_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_15_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBA_NXZ"
		size = 36
		refs = "0010 ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_71_0 {
	meta:
		name = "?call_wfullpath@@YAPEA_WQEA_WQEB_W_KQEAPEA_W@Z"
		size = 232
		refs = "0018 _errno 004c _wfullpath"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 27 00 F9 E1 13 00 F9 E2 23 00 F9 E3 17 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 40 B9 E8 13 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 E2 23 40 F9 E1 13 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 13 40 B9 28 01 00 B9 E0 0F 40 F9 18 00 00 14 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 40 B9 1F 89 00 71 60 00 00 54 00 00 80 D2 10 00 00 14 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 13 40 B9 28 01 00 B9 02 00 80 D2 E1 13 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 3B 00 F9 E9 17 40 F9 E8 3B 40 F9 28 01 00 F9 E8 17 40 F9 00 01 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_74_0 {
	meta:
		name = "?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEAJ@Z"
		size = 132
		refs = "0048 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E9 0F 40 F9 08 00 80 52 28 01 00 B9 E8 0B 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 08 91 00 91 09 00 B0 12 08 01 40 B9 1F 01 09 6B 09 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 88 10 80 52 28 01 00 B9 00 00 80 52 07 00 00 14 E8 0B 40 F9 08 91 00 91 E9 0F 40 F9 08 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_75_0 {
	meta:
		name = "?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEA_J@Z"
		size = 144
		refs = "0034 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E9 0F 40 F9 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 00 B0 12 08 01 40 B9 1F 01 09 6B 09 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 88 10 80 52 28 01 00 B9 00 00 80 52 0F 00 00 14 E8 0B 40 F9 08 81 00 91 08 01 40 B9 09 7D 40 D3 28 00 C0 D2 29 7D 08 9B E8 0B 40 F9 08 91 00 91 08 01 40 B9 08 7D 40 D3 29 01 08 8B E8 0F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_76_0 {
	meta:
		name = "?convert_to_stat_mode@@YAGHQEB_W@Z"
		size = 324
		refs = "0054 ?is_root_or_empty@@YA_NQEB_W@Z 00c4 ?has_executable_extension@@YA_NQEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 27 00 B9 E1 17 00 F9 E8 27 40 B9 08 1D 00 12 E8 1F 00 B9 E8 1F 40 B9 88 00 20 36 28 00 80 52 E8 4B 00 39 03 00 00 14 08 00 80 52 E8 4B 00 39 E8 4B 40 39 E8 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 08 00 90 52 E8 1B 00 B9 03 00 00 14 08 08 88 52 E8 1B 00 B9 E8 1B 40 B9 08 3D 00 53 E8 23 00 79 E8 1F 40 B9 88 00 00 36 08 20 80 52 E8 23 00 B9 03 00 00 14 08 30 80 52 E8 23 00 B9 E9 23 40 79 29 01 00 11 E8 23 40 B9 28 01 08 2A 08 3D 00 53 E8 23 00 79 E0 17 40 F9 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E8 23 40 79 08 01 00 11 08 01 1A 32 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 01 00 11 08 09 1A 12 09 7D 03 13 E8 23 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 01 00 11 08 09 1A 12 09 7D 06 13 E8 23 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 23 00 79 E0 23 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_81_0 {
	meta:
		name = "?get_drive_number_from_path@@YA_NQEB_WAEAH@Z"
		size = 324
		refs = "00b0 __acrt_errno_map_os_error 0124 _getdrive"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E9 13 40 F9 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 01 40 79 29 01 00 11 28 08 80 52 1F 01 09 6B CC 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 CD 01 00 54 E8 0F 40 F9 09 01 40 79 29 01 00 11 28 0C 80 52 1F 01 09 6B CC 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F E9 01 71 6D 00 00 54 20 00 80 52 31 00 00 14 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F E9 00 71 A1 04 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 A1 00 00 54 40 00 80 52 ?? ?? ?? ?? 00 00 80 52 21 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 13 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 85 01 51 09 05 00 11 E8 13 40 F9 09 01 00 B9 ?? ?? ?? ?? E0 17 00 B9 E9 13 40 F9 E8 17 40 B9 28 01 00 B9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_83_0 {
	meta:
		name = "?has_executable_extension@@YA_NQEB_W@Z"
		size = 224
		refs = "0028 wcsrchr 004c ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0058 _wcsicmp 006c ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 008c ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 00ac ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2F 00 00 14 C1 05 80 52 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 24 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 60 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 60 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_84_0 {
	meta:
		name = "?is_root_or_empty@@YA_NQEB_W@Z"
		size = 324
		refs = "0100 ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 48 00 00 14 E8 0F 40 F9 09 01 40 79 29 01 00 11 28 08 80 52 1F 01 09 6B CC 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 8D 01 00 54 E8 0F 40 F9 09 01 40 79 29 01 00 11 28 0C 80 52 1F 01 09 6B EC 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F E9 01 71 4C 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F E9 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 08 11 00 91 E8 17 00 F9 03 00 00 14 E8 0F 40 F9 E8 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 12 00 00 14 E8 13 40 F9 00 01 40 79 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_85_0 {
	meta:
		name = "?is_root_unc_name@@YA_NQEB_W@Z"
		size = 428
		refs = "0010 wcslen 0034 ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 15 00 F1 62 00 00 54 00 00 80 52 5F 00 00 14 E8 13 40 F9 00 01 40 79 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E8 13 40 F9 08 09 00 91 00 01 40 79 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 13 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 43 00 00 14 E8 13 40 F9 08 11 00 91 E8 0F 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 60 01 00 54 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 21 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 60 01 00 54 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_86_0 {
	meta:
		name = "?is_slash@@YA_N_W@Z"
		size = 80
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F 71 01 71 00 01 00 54 E8 03 40 79 08 01 00 11 1F BD 00 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_87_0 {
	meta:
		name = "?is_usable_drive_or_unc_root@@YA_NQEB_W@Z"
		size = 324
		refs = "0008 __security_push_cookie 0014 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0020 wcspbrk 0044 ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@QEA_W@Z 0050 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEAPEA_WXZ 0068 ?call_wfullpath@@YAPEA_WQEA_WQEB_W_KQEAPEA_W@Z 0090 ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ 00a0 wcslen 00b8 ?is_root_unc_name@@YA_NQEB_W@Z 00ec __imp_GetDriveTypeW 0138 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 09 D1 E0 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 3F 00 00 14 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 1B 00 F9 E3 1B 40 F9 82 20 80 D2 E1 13 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 52 E8 03 00 39 E0 23 00 91 ?? ?? ?? ?? E0 03 40 39 27 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 1F 0D 00 F1 C0 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 0B 00 39 E0 23 00 91 ?? ?? ?? ?? E0 0B 40 39 14 00 00 14 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 05 00 71 E8 00 00 54 08 00 80 52 E8 0F 00 39 E0 23 00 91 ?? ?? ?? ?? E0 0F 40 39 06 00 00 14 28 00 80 52 E8 13 00 39 E0 23 00 91 ?? ?? ?? ?? E0 13 40 39 FF 43 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_88_0 {
	meta:
		name = "?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEBA_NXZ"
		size = 84
		refs = "000c ?get_invalid_value@__crt_handle_traits@@SAPEAXXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 0F 40 F9 08 01 00 91 E9 13 40 F9 08 01 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_91_0 {
	meta:
		name = "_fstat32"
		size = 44
		refs = "0018 ??$common_fstat@U_stat32@@@@YAHHQEAU_stat32@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_56_4 {
	meta:
		name = "_CrtSetReportHook2"
		size = 44
		refs = "0018 ??$common_set_report_hook@DP6AHHPEADPEAH@Z@@YAHHQ6AHHPEADPEAH@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_57_4 {
	meta:
		name = "_CrtSetReportHookW2"
		size = 44
		refs = "0018 ??$common_set_report_hook@_WP6AHHPEA_WPEAH@Z@@YAHHQ6AHHPEA_WPEAH@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_92_3 {
	meta:
		name = "_fstat32i64"
		size = 44
		refs = "0018 ??$common_fstat@U_stat32i64@@@@YAHHQEAU_stat32i64@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_93_0 {
	meta:
		name = "_fstat64"
		size = 44
		refs = "0018 ??$common_fstat@U_stat64@@@@YAHHQEAU_stat64@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_59_94_0 {
	meta:
		name = "_fstat64i32"
		size = 44
		refs = "0018 ??$common_fstat@U_stat64i32@@@@YAHHQEAU_stat64i32@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_14_3 {
	meta:
		name = "_futime32"
		size = 44
		refs = "0018 ??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_15_3 {
	meta:
		name = "_futime64"
		size = 44
		refs = "0018 ??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_9_3 {
	meta:
		name = "_putc_nolock"
		size = 44
		refs = "0018 _fputc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_12_3 {
	meta:
		name = "putc"
		size = 44
		refs = "0018 fputc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "?dup_nolock@@YAHH@Z"
		size = 1032
		refs = "0020 __pioinfo 0060 _alloc_osfhnd 007c _errno 0090 __doserrno 00b4 __imp_GetCurrentProcess 00c8 _get_osfhandle 00fc __imp_DuplicateHandle 0120 __imp_GetLastError 0134 __acrt_errno_map_os_error 014c __acrt_lowio_set_os_handle 03f4 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 1B 00 B9 A8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 00 37 00 00 80 12 E8 00 00 14 ?? ?? ?? ?? A0 1F 00 B9 A8 1F 40 B9 A8 13 00 B9 A8 13 40 B9 1F 05 00 31 A1 01 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 08 03 80 52 28 01 00 B9 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 08 00 80 52 28 01 00 B9 00 00 80 12 D5 00 00 14 08 00 80 52 A8 53 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 23 00 F9 A0 1B 40 B9 ?? ?? ?? ?? A0 27 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 2B 00 F9 46 00 80 52 25 00 80 52 04 00 80 52 A3 63 01 91 A2 23 40 F9 A1 27 40 F9 A0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 2B 00 B9 A0 2B 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 13 00 B9 83 00 00 14 A1 2F 40 F9 A0 13 40 B9 ?? ?? ?? ?? A8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 79 1B 12 0B 1D 00 53 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 0B 01 00 39 A8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 0B E5 00 91 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 68 01 C0 39 28 01 00 39 A8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 01 00 12 0C 1D 00 53 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 40 39 8B 01 00 33 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 28 00 80 52 A8 53 00 39 A8 53 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 13 40 B9 ?? ?? ?? ?? A0 13 40 B9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_60_1_0 {
	meta:
		name = "?fin$0@?0??dup_nolock@@YAHH@Z@4HA"
		size = 192
		refs = "002c __pioinfo 00b0 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 53 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 13 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_60_2_0 {
	meta:
		name = "_dup"
		size = 840
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1FK@JIFNKPOK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_19DABLNIOD@?$AA_?$AAd?$AAu?$AAp?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 024c __acrt_lowio_lock_fh 02a8 ?dup_nolock@@YAHH@Z 02f0 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0334 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 13 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 BD 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 83 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 E3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 27 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 00 00 36 A0 13 40 B9 ?? ?? ?? ?? A0 33 00 B9 A8 33 40 B9 A8 27 00 B9 1E 00 00 14 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A0 13 40 B9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C8 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_60_3_0 {
	meta:
		name = "_dup$fin$0"
		size = 28
		refs = "000c __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_filelength@J@@YAJH@Z@4HA ?fin$0@?0???$common_filelength@_J@@YA_JH@Z@4HA ?fin$0@?0???$common_lseek@J@@YAJHJH@Z@4HA ?fin$0@?0???$common_lseek@_J@@YA_JH_JH@Z@4HA _locking$fin$0 _read$fin$0 _setmode$fin$0 _write$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 13 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "_chgsign"
		size = 64
	strings:
		$1 = { FF 83 00 D1 E0 07 00 FD F0 07 40 FD F0 0B 00 FD E8 0B 40 F9 E8 03 00 F9 E8 03 40 F9 08 01 41 D2 E8 03 00 F9 E8 03 40 F9 E8 0F 00 F9 F0 0F 40 FD F0 07 00 FD E0 07 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "remainder"
		size = 48
		refs = "001c remquo"
		altNames = "remainderl"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD 00 00 80 D2 E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@H@@YAHH@Z"
		size = 88
		altNames = "??$__crt_time_elapsed_leap_years@J@@YAJJ@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 09 05 00 51 88 00 80 52 2A 0D C8 1A E8 03 40 B9 09 05 00 51 88 0C 80 52 28 0D C8 1A 4A 01 08 4B E8 03 40 B9 09 AD 04 11 08 32 80 52 28 0D C8 1A 48 01 08 0B E8 07 00 B9 E8 07 40 B9 00 45 00 51 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_1_0 {
	meta:
		name = "??$__crt_time_is_leap_year@H@@YA_NH@Z"
		size = 124
		altNames = "??$__crt_time_is_leap_year@J@@YA_NJ@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 EA 03 40 B9 89 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 41 01 00 54 EA 03 40 B9 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 60 00 00 54 20 00 80 52 0C 00 00 14 E8 03 40 B9 0A B1 1D 11 09 32 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_2_0 {
	meta:
		name = "??$common_loctotime_t@J@@YAJHHHHHHH@Z"
		size = 988
		refs = "0008 __security_push_cookie 0050 _errno 00b4 ?__crt_time_is_day_valid@@YA_NHHH@Z 0198 _days 01b8 ??$__crt_time_is_leap_year@H@@YA_NH@Z 01f8 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0270 __tzset 0290 _get_daylight 02a0 ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02a8 ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 02b0 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 02bc _invoke_watson_if_error 02c4 _get_dstbias 02e4 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 02f8 _get_timezone 0318 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 03ac _isindst 03d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 03 00 B9 E1 0B 00 B9 E2 1F 00 B9 E3 13 00 B9 E4 17 00 B9 E5 1B 00 B9 E6 2B 00 B9 E8 03 40 B9 08 B1 1D 51 E8 03 00 B9 E8 03 40 B9 1F 19 01 71 8B 00 00 54 E8 03 40 B9 1F 29 02 71 09 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 D9 00 00 14 E8 0B 40 B9 1F 05 00 71 8B 00 00 54 E8 0B 40 B9 1F 31 00 71 0D 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 CC 00 00 14 E8 0B 40 B9 01 05 00 51 E2 1F 40 B9 21 00 00 11 E0 03 40 B9 ?? ?? ?? ?? E0 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 BA 00 00 14 E8 13 40 B9 1F 01 00 71 8B 00 00 54 E8 13 40 B9 1F 5D 00 71 0D 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 AD 00 00 14 E8 17 40 B9 1F 01 00 71 8B 00 00 54 E8 17 40 B9 1F ED 00 71 0D 01 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 A0 00 00 14 E8 1B 40 B9 1F 01 00 71 8B 00 00 54 E8 1B 40 B9 1F ED 00 71 0D 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 93 00 00 14 E8 0B 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E9 1F 40 B9 08 01 40 B9 28 01 08 0B E8 0F 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 17 00 39 E8 17 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0B 40 B9 1F 09 00 71 8D 00 00 54 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 B9 08 19 01 51 E8 3F 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 43 00 B9 E9 3F 40 B9 A8 2D 80 52 29 7D 08 1B E8 43 40 B9 29 01 08 0B E8 0F 40 B9 28 01 08 0B E8 47 00 B9 E9 47 40 B9 08 03 80 52 29 7D 08 1B E8 13 40 B9 28 01 08 0B E8 4B 00 B9 E9 4B 40 B9 88 07 80 52 29 7D 08 1B E8 17 40 B9 28 01 08 0B E8 4F 00 B9 E9 4F 40 B9 88 07 80 52 29 7D 08 1B E8 1B 40 B9 28 01 08 0B E8 5F 00 B9 ?? ?? ?? ?? 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 27 00 B9 08 00 80 52 E8 23 00 B9 E0 B3 00 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 64 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? E0 93 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 84 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 A4 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E9 5F 40 B9 E8 23 40 B9 28 01 08 0B E8 37 00 B9 E9 37 40 B9 E8 27 40 B9 28 01 08 0B E8 33 00 B9 E8 2B 40 B9 1F 05 00 71 61 00 00 54 E0 33 40 B9 1D 00 00 14 E8 0F 40 B9 E8 B7 00 B9 E8 03 40 B9 E8 AF 00 B9 E8 0B 40 B9 08 05 00 51 E8 AB 00 B9 E8 13 40 B9 E8 A3 00 B9 E8 17 40 B9 E8 9F 00 B9 E8 1B 40 B9 E8 9B 00 B9 E8 2B 40 B9 1F 05 00 31 81 01 00 54 E8 2F 40 B9 1F 01 00 71 20 01 00 54 E0 63 02 91 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 60 00 00 54 E0 33 40 B9 02 00 00 14 E0 37 40 B9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_3_0 {
	meta:
		name = "??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
		size = 1024
		refs = "0008 __security_push_cookie 0054 _errno 00b8 ?__crt_time_is_day_valid@@YA_NHHH@Z 019c _days 01bc ??$__crt_time_is_leap_year@H@@YA_NH@Z 0200 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 028c __tzset 02ac _get_daylight 02bc ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02c4 ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 02cc ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 02d8 _invoke_watson_if_error 02e0 _get_dstbias 0300 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0314 _get_timezone 0334 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 03d0 _isindst 03f4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 03 D1 E0 03 00 B9 E1 0B 00 B9 E2 1F 00 B9 E3 13 00 B9 E4 17 00 B9 E5 1B 00 B9 E6 2B 00 B9 E8 03 40 B9 08 B1 1D 51 E8 03 00 B9 E8 03 40 B9 1F 19 01 71 AB 00 00 54 E8 03 40 B9 08 7D 40 93 1F 35 11 F1 09 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 E1 00 00 14 E8 0B 40 B9 1F 05 00 71 8B 00 00 54 E8 0B 40 B9 1F 31 00 71 0D 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 D4 00 00 14 E8 0B 40 B9 01 05 00 51 E2 1F 40 B9 21 00 00 11 E0 03 40 B9 ?? ?? ?? ?? E0 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 C2 00 00 14 E8 13 40 B9 1F 01 00 71 8B 00 00 54 E8 13 40 B9 1F 5D 00 71 0D 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 B5 00 00 14 E8 17 40 B9 1F 01 00 71 8B 00 00 54 E8 17 40 B9 1F ED 00 71 0D 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 A8 00 00 14 E8 1B 40 B9 1F 01 00 71 8B 00 00 54 E8 1B 40 B9 1F ED 00 71 0D 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 9B 00 00 14 E8 0B 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E9 1F 40 B9 08 01 40 B9 28 01 08 0B E8 0F 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 17 00 39 E8 17 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0B 40 B9 1F 09 00 71 8D 00 00 54 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 B9 08 7D 40 93 08 19 01 D1 E8 47 00 F9 E0 03 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 08 7D 40 93 E8 4B 00 F9 E9 47 40 F9 A8 2D 80 D2 29 7D 08 9B E8 4B 40 F9 29 01 08 8B E8 0F 40 B9 08 7D 40 93 28 01 08 8B E8 4F 00 F9 E9 4F 40 F9 08 03 80 D2 29 7D 08 9B E8 13 40 B9 08 7D 40 93 28 01 08 8B E8 53 00 F9 E9 53 40 F9 88 07 80 D2 29 7D 08 9B E8 17 40 B9 08 7D 40 93 28 01 08 8B E8 57 00 F9 E9 57 40 F9 88 07 80 D2 29 7D 08 9B E8 1B 40 B9 08 7D 40 93 28 01 08 8B E8 5B 00 F9 ?? ?? ?? ?? 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 27 00 B9 08 00 80 52 E8 23 00 B9 E0 B3 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 64 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? E0 93 00 91 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 84 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 A4 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? E8 23 40 B9 09 7D 40 93 E8 5B 40 F9 08 01 09 8B E8 2B 00 F9 E8 27 40 B9 09 7D 40 93 E8 2B 40 F9 08 01 09 8B E8 27 00 F9 E8 2B 40 B9 1F 05 00 71 61 00 00 54 E0 27 40 F9 1D 00 00 14 E8 0F 40 B9 E8 D7 00 B9 E8 03 40 B9 E8 CF 00 B9 E8 0B 40 B9 08 05 00 51 E8 CB 00 B9 E8 13 40 B9 E8 C3 00 B9 E8 17 40 B9 E8 BF 00 B9 E8 1B 40 B9 E8 BB 00 B9 E8 2B 40 B9 1F 05 00 31 81 01 00 54 E8 2F 40 B9 1F 01 00 71 20 01 00 54 E0 E3 02 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 60 00 00 54 E0 27 40 F9 02 00 00 14 E0 2B 40 F9 FF 83 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_4_0 {
	meta:
		name = "?__crt_time_is_day_valid@@YA_NHHH@Z"
		size = 212
		refs = "003c _days 0090 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 B9 E1 17 00 B9 E2 1B 00 B9 E8 1B 40 B9 1F 01 00 71 6C 00 00 54 00 00 80 52 2A 00 00 14 E8 17 40 B9 08 05 00 11 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 49 01 40 B9 08 01 40 B9 28 01 08 4B E8 1F 00 B9 E9 1F 40 B9 E8 1B 40 B9 1F 01 09 6B 6C 00 00 54 20 00 80 52 11 00 00 14 E0 23 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 17 40 B9 1F 05 00 71 C1 00 00 54 E8 1B 40 B9 1F 75 00 71 6C 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_5_0 {
	meta:
		name = "__loctotime32_t"
		size = 84
		refs = "0040 ??$common_loctotime_t@J@@YAJHHHHHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 2B 00 B9 E1 27 00 B9 E2 23 00 B9 E3 1F 00 B9 E4 1B 00 B9 E5 17 00 B9 E6 13 00 B9 E6 13 40 B9 E5 17 40 B9 E4 1B 40 B9 E3 1F 40 B9 E2 23 40 B9 E1 27 40 B9 E0 2B 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_63_6_0 {
	meta:
		name = "__loctotime64_t"
		size = 84
		refs = "0040 ??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 2B 00 B9 E1 27 00 B9 E2 23 00 B9 E3 1F 00 B9 E4 1B 00 B9 E5 17 00 B9 E6 13 00 B9 E6 13 40 B9 E5 17 40 B9 E4 1B 40 B9 E3 1F 40 B9 E2 23 40 B9 E1 27 40 B9 E0 2B 40 B9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_64_0_0 {
	meta:
		name = "_getw"
		size = 408
		refs = "0040 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FM@BFPLCINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1M@HKOJKMJ@?$AA_?$AAg?$AAe?$AAt?$AAw?$AA?$AA@ 00c0 _invalid_parameter 00d8 _lock_file 0124 _getc_nolock 0144 feof 0160 ferror 0184 _unlock_file"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 0B 00 F9 A8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 31 00 00 14 08 00 80 12 A8 27 00 B9 A0 0B 40 F9 ?? ?? ?? ?? 08 00 80 52 A8 23 00 B9 A8 83 00 91 A8 23 00 F9 A8 23 40 F9 08 11 00 91 A8 2B 00 F9 A8 23 40 F9 A8 17 00 F9 04 00 00 14 A8 17 40 F9 08 05 00 91 A8 17 00 F9 A9 2B 40 F9 A8 17 40 F9 1F 01 09 EB 20 01 00 54 A0 0B 40 F9 ?? ?? ?? ?? A0 37 00 B9 A8 37 40 B9 09 1D 00 13 A8 17 40 F9 09 01 00 39 F2 FF FF 17 A0 0B 40 F9 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 1F 01 00 71 40 00 00 54 0A 00 00 14 A0 0B 40 F9 ?? ?? ?? ?? A0 3F 00 B9 A8 3F 40 B9 1F 01 00 71 40 00 00 54 03 00 00 14 A8 23 40 B9 A8 27 00 B9 A0 0B 40 F9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_64_1_0 {
	meta:
		name = "_getw$fin$0"
		size = 28
		refs = "000c _unlock_file"
		altNames = "_putw$fin$0 fread_s$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 0B 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "??$common_getpath@D@@YAPEADQEBDQEAD_K@Z"
		size = 256
		refs = "000c _errno"
		altNames = "__acrt_getpath"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 C1 00 00 B5 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 80 D2 37 00 00 14 42 00 00 B4 3F 00 00 39 5F 04 00 F1 09 FF FF 54 08 00 C0 39 1F ED 00 71 A1 00 00 54 00 04 00 91 09 00 C0 39 3F ED 00 71 A0 FF FF 54 28 00 02 8B 0B 05 00 D1 0C 00 00 91 0A 00 C0 39 AA 03 00 34 5F ED 00 71 C0 03 00 54 5F 89 00 71 00 04 00 91 01 02 00 54 09 00 C0 39 C9 02 00 34 3F 89 00 71 00 01 00 54 29 00 00 39 21 04 00 91 3F 00 0B EB 00 04 00 91 60 01 00 54 09 00 C0 39 09 FF FF 35 08 00 C0 39 68 01 00 34 00 04 00 91 EB FF FF 17 2A 00 00 39 21 04 00 91 3F 00 0B EB E1 FC FF 54 3F 00 00 39 ?? ?? ?? ?? 48 04 80 52 D2 FF FF 17 08 00 C0 39 1F ED 00 71 A1 00 00 54 00 04 00 91 09 00 C0 39 3F ED 00 71 A0 FF FF 54 1F 00 0C EB 3F 00 00 39 E0 03 80 9A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_65_1_0 {
	meta:
		name = "??$common_getpath@_W@@YAPEA_WQEB_WQEA_W_K@Z"
		size = 256
		refs = "000c _errno"
		altNames = "__acrt_wgetpath"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 C1 00 00 B5 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 80 D2 37 00 00 14 42 00 00 B4 3F 00 00 79 5F 04 00 F1 09 FF FF 54 08 00 40 79 1F ED 00 71 A1 00 00 54 00 08 00 91 09 00 40 79 3F ED 00 71 A0 FF FF 54 28 04 02 8B 0C 00 00 91 0B 09 00 D1 0A 00 40 79 AA 03 00 34 5F ED 00 71 C0 03 00 54 5F 89 00 71 00 08 00 91 01 02 00 54 09 00 40 79 C9 02 00 34 3F 89 00 71 00 01 00 54 29 00 00 79 21 08 00 91 3F 00 0B EB 00 08 00 91 60 01 00 54 09 00 40 79 09 FF FF 35 08 00 40 79 68 01 00 34 00 08 00 91 EB FF FF 17 2A 00 00 79 21 08 00 91 3F 00 0B EB E1 FC FF 54 3F 00 00 79 ?? ?? ?? ?? 48 04 80 52 D2 FF FF 17 08 00 40 79 1F ED 00 71 A1 00 00 54 00 08 00 91 09 00 40 79 3F ED 00 71 A0 FF FF 54 1F 00 0C EB 3F 00 00 79 E0 03 80 9A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_3_0 {
	meta:
		name = "_CrtSetReportFile"
		size = 504
		refs = "0050 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CE@IKKEDCME@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAF?$AAi?$AAl?$AAe?$AA?$AA@ 00d0 _invalid_parameter 00f8 _CrtDbgFile 0144 __imp_GetStdHandle"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E8 13 40 B9 1F 01 00 71 EB 00 00 54 E8 13 40 B9 1F 0D 00 71 8A 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 92 46 00 00 14 E8 13 40 F9 1F 19 00 B1 41 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 40 F9 3A 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 E8 27 00 F9 E9 13 40 F9 68 00 80 92 1F 01 09 EB 01 02 00 54 40 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 1F 40 F9 28 01 00 F9 1D 00 00 14 E9 13 40 F9 88 00 80 92 1F 01 09 EB 01 02 00 54 60 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 23 40 F9 28 01 00 F9 0A 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 13 40 F9 28 01 00 F9 E0 27 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_5_0 {
	meta:
		name = "_CrtSetReportMode"
		size = 560
		refs = "0050 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CE@FIHIECNJ@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAM?$AAo?$AAd?$AAe?$AA?$AA@ 00d0 _invalid_parameter 0120 ??_C@_1NK@LOFHIHFC@?$AAf?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAM?$AAO?$AAD?$AAE?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 01c8 _CrtDbgMode"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 17 00 B9 E8 13 40 B9 1F 01 00 71 EB 00 00 54 E8 13 40 B9 1F 0D 00 71 8A 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 E8 17 40 B9 1F 05 00 31 00 01 00 54 E8 17 40 B9 08 71 1D 12 1F 01 00 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 20 00 00 14 E8 17 40 B9 1F 05 00 31 41 01 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 40 B9 14 00 00 14 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 33 00 B9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 17 40 B9 28 01 00 B9 E0 33 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_6_0 {
	meta:
		name = "_VCrtDbgReportA"
		size = 2704
		refs = "000c __security_push_cookie 0014 __chkstk 0068 memset 0114 _crtAssertBusy 015c _itoa_s 016c ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0174 ??_C@_1CA@KHJHLKA@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAA?$AA?$AA@ 017c ??_C@_1FA@JPHJBHEM@?$AA_?$AAi?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0188 _invoke_watson_if_error 018c ??_C@_0CG@BNGLOCEO@Second?5Chance?5Assertion?5Failed?3?5@ 0194 __imp_OutputDebugStringA 01b8 ??_C@_0P@DFJNDPOP@?$DMfile?5unknown?$DO?$AA@ 01d4 ??_C@_07BHGABMGB@?0?5Line?5?$AA@ 01f8 ??_C@_01EEMJAFIK@?6?$AA@ 0230 _errno 0270 _vsnprintf_s 02ac ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 02c4 _invoke_watson_if_oneof 02e8 ??_C@_0CL@EACFGMNB@_CrtDbgReport?3?5String?5too?5long?5o@ 02fc strcpy_s 031c ??_C@_1JI@GAALPGBM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 0348 ??_C@_0BD@CAENFOHP@Assertion?5failed?3?5?$AA@ 0358 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 0390 ??_C@_1KK@GIGAEDMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 03b0 strcat_s 03d0 ??_C@_1FK@NPGBPOFO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 0400 _CrtDbgMode 0414 ??_C@_01LIIJDEN@?$AN?$AA@ 0444 ??_C@_1EI@CACDLAFK@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 0484 ??_C@_1EI@LDHJEDO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 04dc ??_C@_0M@IPILFDFN@?$CFs?$CI?$CFd?$CJ?5?3?5?$CFs?$AA@ 04f4 _snprintf_s 05a0 ??_C@_1JG@CPKCIOEE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC@ 05e4 ??_C@_1FI@IBIOIHEG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 0620 mbstowcs_s 0648 ??_C@_1IM@OOKIFKOH@?$AAe?$AA?5?$AA?$DN?$AA?5?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg@ 066c ??_C@_1HO@PJOFIKFE@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0680 wcscpy_s 06a0 ??_C@_1MC@IGEECMDB@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 06b0 _pReportHookList 06c0 _pReportHookListW 06e4 __acrt_lock 0730 __guard_check_icall_fptr 0814 __acrt_unlock 0828 _pfnReportHook 08c4 _CrtDbgFile 08ec strlen 0930 __imp_WriteFile 0a28 __acrt_MessageWindowA 0a80 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? 6F A2 80 D2 ?? ?? ?? ?? FF 73 2F CB F3 03 00 91 60 02 00 B9 61 9A 00 F9 62 1E 00 F9 63 0A 00 B9 64 96 00 F9 65 4E 00 F9 66 72 00 F9 08 00 80 52 68 06 00 B9 08 00 80 52 68 1A 00 B9 08 00 80 52 68 E2 04 39 60 E6 04 91 00 00 00 91 E2 FF 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 10 27 82 D2 68 6A 30 38 30 27 82 D2 60 02 10 8B 00 00 00 91 E2 FF 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 10 27 86 D2 68 6A 30 78 50 27 86 D2 60 02 10 8B 00 00 00 91 C2 FF 83 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 10 27 84 D2 68 6A 30 38 30 27 84 D2 60 02 10 8B 00 00 00 91 E2 FF 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 68 02 40 B9 1F 01 00 71 8B 00 00 54 68 02 40 B9 1F 0D 00 71 6B 00 00 54 00 00 80 12 5E 02 00 14 69 02 40 B9 48 00 80 52 1F 01 09 6B 61 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 69 8A 00 B9 68 8A 40 B9 1F 01 00 71 AD 06 00 54 43 01 80 52 02 00 82 D2 61 E2 04 91 60 0A 40 B9 ?? ?? ?? ?? 60 8E 00 B9 05 00 80 D2 E4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 8E 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 1E 40 F9 1F 01 00 F1 80 00 00 54 68 1E 40 F9 68 52 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 52 00 F9 60 52 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 E2 04 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 00 00 3E D4 08 00 80 12 68 06 00 B9 08 02 00 14 68 4E 40 F9 1F 01 00 F1 40 08 00 54 08 00 80 52 68 0E 00 B9 ?? ?? ?? ?? 60 6A 00 F9 68 6A 40 F9 08 01 40 B9 68 42 00 B9 ?? ?? ?? ?? 60 6E 00 F9 69 6E 40 F9 08 00 80 52 28 01 00 B9 64 72 40 F9 63 4E 40 F9 62 FD 81 D2 01 00 82 D2 10 27 84 D2 60 02 10 8B ?? ?? ?? ?? 60 92 00 B9 68 92 40 B9 68 0E 00 B9 68 0E 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? 60 76 00 F9 07 00 80 D2 46 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 68 76 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 60 7A 00 F9 69 7A 40 F9 68 42 40 B9 28 01 00 B9 68 0E 40 B9 1F 01 00 71 4A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 27 84 D2 60 02 10 8B ?? ?? ?? ?? 60 46 00 B9 05 00 80 D2 A4 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 46 40 B9 ?? ?? ?? ?? 69 02 40 B9 48 00 80 52 1F 01 09 6B 41 03 00 54 68 4E 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 68 56 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 56 00 F9 62 56 40 F9 01 00 82 D2 60 E2 04 91 ?? ?? ?? ?? 60 4A 00 B9 05 00 80 D2 64 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 4A 40 B9 ?? ?? ?? ?? 10 27 84 D2 62 02 10 8B 01 00 82 D2 60 E2 04 91 ?? ?? ?? ?? 60 4E 00 B9 05 00 80 D2 C4 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 4E 40 B9 ?? ?? ?? ?? 69 02 40 B9 48 00 80 52 1F 01 09 6B 41 05 00 54 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 28 02 00 36 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 60 E2 04 91 ?? ?? ?? ?? 60 52 00 B9 05 00 80 D2 84 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 52 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 60 E2 04 91 ?? ?? ?? ?? 60 56 00 B9 05 00 80 D2 E4 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 56 40 B9 ?? ?? ?? ?? 68 1E 40 F9 1F 01 00 F1 C0 08 00 54 08 00 80 52 68 12 00 B9 ?? ?? ?? ?? 60 7E 00 F9 68 7E 40 F9 08 01 40 B9 68 5E 00 B9 ?? ?? ?? ?? 60 82 00 F9 69 82 40 F9 08 00 80 52 28 01 00 B9 66 E2 04 91 65 0A 40 B9 64 1E 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E2 FF 81 D2 01 00 82 D2 10 27 82 D2 60 02 10 8B ?? ?? ?? ?? 60 5A 00 B9 68 5A 40 B9 68 12 00 B9 68 12 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? 60 86 00 F9 07 00 80 D2 C6 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 68 86 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 60 8A 00 F9 69 8A 40 F9 68 5E 40 B9 28 01 00 B9 68 12 40 B9 1F 01 00 71 4A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 27 82 D2 60 02 10 8B ?? ?? ?? ?? 60 62 00 B9 05 00 80 D2 24 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 62 40 B9 ?? ?? ?? ?? 11 00 00 14 62 E2 04 91 01 00 82 D2 10 27 82 D2 60 02 10 8B ?? ?? ?? ?? 60 66 00 B9 05 00 80 D2 C4 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 66 40 B9 ?? ?? ?? ?? 08 00 80 D2 68 8E 00 F9 08 00 80 52 68 16 00 B9 04 00 80 92 10 27 82 D2 63 02 10 8B 02 00 82 D2 10 27 86 D2 61 02 10 8B 60 62 04 91 ?? ?? ?? ?? 60 6A 00 B9 68 6A 40 B9 68 16 00 B9 07 00 80 D2 86 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 60 16 40 B9 ?? ?? ?? ?? 68 16 40 B9 1F 01 00 71 40 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 27 86 D2 60 02 10 8B ?? ?? ?? ?? 60 6E 00 B9 05 00 80 D2 E4 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 6E 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 60 0A 00 54 08 00 80 D2 68 16 00 F9 08 00 80 D2 68 1A 00 F9 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 16 00 F9 05 00 00 14 68 16 40 F9 08 21 00 91 08 01 40 F9 68 16 00 F9 68 16 40 F9 1F 01 00 F1 60 03 00 54 08 00 80 52 68 1E 00 B9 68 16 40 F9 08 61 00 91 08 01 40 F9 68 5A 00 F9 6F 5A 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 72 00 91 10 27 82 D2 61 02 10 8B 60 02 40 B9 68 5A 40 F9 00 01 3F D6 60 72 00 B9 68 72 40 B9 1F 01 00 71 C0 00 00 54 28 00 80 52 68 1A 00 B9 68 1E 40 B9 68 06 00 B9 27 00 00 14 E0 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? 68 1A 00 F9 05 00 00 14 68 1A 40 F9 08 21 00 91 08 01 40 F9 68 1A 00 F9 68 1A 40 F9 1F 01 00 F1 60 03 00 54 08 00 80 52 68 22 00 B9 68 1A 40 F9 08 61 00 91 08 01 40 F9 68 5E 00 F9 6F 5E 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 82 00 91 10 27 86 D2 61 02 10 8B 60 02 40 B9 68 5E 40 F9 00 01 3F D6 60 76 00 B9 68 76 40 B9 1F 01 00 71 C0 00 00 54 28 00 80 52 68 1A 00 B9 68 22 40 B9 68 06 00 B9 02 00 00 14 E0 FF FF 17 20 00 80 52 ?? ?? ?? ?? 68 1A 40 B9 1F 01 00 71 40 00 00 54 85 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 02 00 54 08 00 80 52 68 26 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 68 62 00 F9 6F 62 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 92 00 91 10 27 82 D2 61 02 10 8B 60 02 40 B9 68 62 40 F9 00 01 3F D6 60 7A 00 B9 68 7A 40 B9 1F 01 00 71 80 00 00 54 68 26 40 B9 68 06 00 B9 6B 00 00 14 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 68 04 00 36 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 05 00 B1 20 03 00 54 08 00 80 52 68 7E 00 B9 10 27 82 D2 60 02 10 8B ?? ?? ?? ?? 60 92 00 F9 68 92 40 F9 02 01 00 11 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 04 00 80 D2 63 F2 01 91 42 00 00 11 10 27 82 D2 61 02 10 8B 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 C8 00 08 36 10 27 82 D2 60 02 10 8B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 28 05 10 36 08 00 80 52 68 E2 04 39 68 0A 40 B9 1F 01 00 71 20 02 00 54 43 01 80 52 02 00 82 D2 61 E2 04 91 60 0A 40 B9 ?? ?? ?? ?? 60 82 00 B9 05 00 80 D2 84 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 82 40 B9 ?? ?? ?? ?? 68 0A 40 B9 1F 01 00 71 80 00 00 54 68 E2 04 91 68 66 00 F9 03 00 00 14 08 00 80 D2 68 66 00 F9 10 27 84 D2 65 02 10 8B 64 96 40 F9 63 66 40 F9 62 1E 40 F9 61 9A 40 F9 60 02 40 B9 ?? ?? ?? ?? 60 86 00 B9 68 86 40 B9 68 06 00 B9 69 02 40 B9 48 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 60 06 40 B9 6F A2 80 D2 FF 73 2F 8B ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_7_0 {
	meta:
		name = "_VCrtDbgReportA$fin$0"
		size = 24
		refs = "0008 __acrt_unlock"
		altNames = "_VCrtDbgReportW$fin$0"
	strings:
		$1 = { FD 7B BF A9 20 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_8_0 {
	meta:
		name = "_VCrtDbgReportA$fin$1"
		size = 76
		refs = "0014 _crtAssertBusy"
		altNames = "_VCrtDbgReportW$fin$1"
	strings:
		$1 = { FD 7B BF A9 69 02 40 B9 48 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_9_0 {
	meta:
		name = "_VCrtDbgReportW"
		size = 3208
		refs = "000c __security_push_cookie 0014 __chkstk 0070 memset 0110 _crtAssertBusy 015c _itow_s 016c ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0174 ??_C@_1CA@HPALHDOD@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAW?$AA?$AA@ 017c ??_C@_1FA@CNLLOMHI@?$AA_?$AAi?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0188 _invoke_watson_if_error 018c ??_C@_1EM@MJFLEDMB@?$AAS?$AAe?$AAc?$AAo?$AAn?$AAd?$AA?5?$AAC?$AAh?$AAa?$AAn?$AAc?$AAe?$AA?5?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5@ 0194 __imp_OutputDebugStringW 01b8 ??_C@_1BO@OCHMLCAG@?$AA?$DM?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 01d4 ??_C@_1BA@ELMMDCFC@?$AA?0?$AA?5?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$AA@ 01fc ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 0244 _errno 028c __stdio_common_vsnwprintf_s 02c8 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 02e0 _invoke_watson_if_oneof 0304 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0318 wcscpy_s 0338 ??_C@_1JK@KHFABAEO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0364 ??_C@_1CG@FFFGGODN@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$AA@ 0374 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 03b0 ??_C@_1KO@DGAHENCH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 03d4 wcscat_s 03f4 ??_C@_1FK@HPADHBBD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 0424 _CrtDbgMode 0438 ??_C@_13CMNBPIDO@?$AA?$AN?$AA?$AA@ 046c ??_C@_1EK@NMDFGHMF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 04b0 ??_C@_1EK@PHCBEDKB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 050c ??_C@_1BM@GIBPMLNL@?$AA?$CF?$AAl?$AAs?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?5?$AA?3?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0524 _snwprintf_s 05d0 ??_C@_1JI@EACPGHID@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC?$AA_@ 0618 ??_C@_1FI@DBAIJPJE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 0640 wcstombs_s 0660 ??_C@_1IK@LEBMBAP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe@ 0690 ??_C@_0DP@GNPEPHJD@_CrtDbgReport?3?5String?5too?5long?5o@ 06a0 strcpy_s 06c0 ??_C@_1MA@LBAMNNOB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 06d0 _pReportHookList 06e0 _pReportHookListW 0704 __acrt_lock 0750 __guard_check_icall_fptr 0830 __acrt_unlock 0844 _pfnReportHook 08dc _CrtDbgFile 0914 __imp_GetFileType 094c wcslen 0990 __imp_WriteConsoleW 09b0 __imp_GetLastError 0a14 ??_C@_1IE@CPGKIAGP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5@ 0aac __imp_WriteFile 0c1c __acrt_MessageWindowW 0c74 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? EF 02 81 D2 ?? ?? ?? ?? FF 73 2F CB F3 03 00 91 60 02 00 B9 61 B2 00 F9 62 22 00 F9 63 0A 00 B9 64 AE 00 F9 65 66 00 F9 66 8A 00 F9 08 00 80 52 68 06 00 B9 08 00 80 52 68 16 00 B9 08 00 80 52 10 2F 86 D2 68 6A 30 78 50 2F 86 D2 60 02 10 8B 00 00 00 91 C2 FF 83 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 68 F2 22 79 50 2F 82 D2 60 02 10 8B 00 00 00 91 C2 FF 83 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 68 E2 05 39 60 E6 05 91 00 00 00 91 E2 FF 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 10 2F 8C D2 68 6A 30 78 50 2F 8C D2 60 02 10 8B 00 00 00 91 C2 FF 83 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 68 02 40 B9 1F 01 00 71 8B 00 00 54 68 02 40 B9 1F 0D 00 71 6B 00 00 54 00 00 80 12 DC 02 00 14 69 02 40 B9 48 00 80 52 1F 01 09 6B A1 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 69 B6 00 B9 68 B6 40 B9 1F 01 00 71 ED 06 00 54 43 01 80 52 02 00 82 D2 10 2F 86 D2 61 02 10 8B 60 0A 40 B9 ?? ?? ?? ?? 60 BA 00 B9 05 00 80 D2 24 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 BA 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 22 40 F9 1F 01 00 F1 80 00 00 54 68 22 40 F9 68 6A 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 6A 00 F9 60 6A 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 10 2F 86 D2 60 02 10 8B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 00 00 3E D4 08 00 80 12 68 06 00 B9 84 02 00 14 68 66 40 F9 1F 01 00 F1 00 09 00 54 68 02 80 D2 68 B6 00 F9 68 FD 81 D2 68 BA 00 F9 08 00 80 52 68 0E 00 B9 ?? ?? ?? ?? 60 82 00 F9 68 82 40 F9 08 01 40 B9 68 C2 00 B9 ?? ?? ?? ?? 60 86 00 F9 69 86 40 F9 08 00 80 52 28 01 00 B9 66 8A 40 F9 05 00 80 D2 64 66 40 F9 63 FD 81 D2 02 00 82 D2 10 2F 8C D2 61 02 10 8B 80 00 80 D2 ?? ?? ?? ?? 60 BE 00 B9 68 BE 40 B9 68 0E 00 B9 68 0E 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? 60 8E 00 F9 07 00 80 D2 06 3F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 68 8E 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 60 92 00 F9 69 92 40 F9 68 C2 40 B9 28 01 00 B9 68 0E 40 B9 1F 01 00 71 4A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 2F 8C D2 60 02 10 8B ?? ?? ?? ?? 60 4A 00 B9 05 00 80 D2 64 3F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 4A 40 B9 ?? ?? ?? ?? 69 02 40 B9 48 00 80 52 1F 01 09 6B 61 03 00 54 68 66 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 68 6E 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 68 6E 00 F9 62 6E 40 F9 01 00 82 D2 10 2F 86 D2 60 02 10 8B ?? ?? ?? ?? 60 4E 00 B9 05 00 80 D2 04 40 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 4E 40 B9 ?? ?? ?? ?? 10 2F 8C D2 62 02 10 8B 01 00 82 D2 10 2F 86 D2 60 02 10 8B ?? ?? ?? ?? 60 52 00 B9 05 00 80 D2 44 40 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 52 40 B9 ?? ?? ?? ?? 69 02 40 B9 48 00 80 52 1F 01 09 6B 81 05 00 54 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 48 02 00 36 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 2F 86 D2 60 02 10 8B ?? ?? ?? ?? 60 56 00 B9 05 00 80 D2 E4 40 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 56 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 2F 86 D2 60 02 10 8B ?? ?? ?? ?? 60 5A 00 B9 05 00 80 D2 24 41 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 5A 40 B9 ?? ?? ?? ?? 68 22 40 F9 1F 01 00 F1 E0 08 00 54 08 00 80 52 68 12 00 B9 ?? ?? ?? ?? 60 96 00 F9 68 96 40 F9 08 01 40 B9 68 62 00 B9 ?? ?? ?? ?? 60 9A 00 F9 69 9A 40 F9 08 00 80 52 28 01 00 B9 10 2F 86 D2 66 02 10 8B 65 0A 40 B9 64 22 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 02 00 82 D2 01 00 82 D2 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? 60 5E 00 B9 68 5E 40 B9 68 12 00 B9 68 12 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? 60 9E 00 F9 07 00 80 D2 26 42 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 68 9E 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 60 A2 00 F9 69 A2 40 F9 68 62 40 B9 28 01 00 B9 68 12 40 B9 1F 01 00 71 4A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? 60 66 00 B9 05 00 80 D2 64 42 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 66 40 B9 ?? ?? ?? ?? 12 00 00 14 10 2F 86 D2 62 02 10 8B 01 00 82 D2 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? 60 6A 00 B9 05 00 80 D2 E4 42 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 6A 40 B9 ?? ?? ?? ?? 04 00 80 92 10 2F 82 D2 63 02 10 8B 02 00 82 D2 61 E2 05 91 00 00 80 D2 ?? ?? ?? ?? 60 6E 00 B9 07 00 80 D2 86 43 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 60 6E 40 B9 ?? ?? ?? ?? 60 72 00 B9 68 72 40 B9 68 76 00 B9 68 76 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 60 E2 05 91 ?? ?? ?? ?? 60 7A 00 B9 05 00 80 D2 C4 43 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 7A 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 40 0A 00 54 08 00 80 D2 68 16 00 F9 08 00 80 D2 68 1A 00 F9 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 16 00 F9 05 00 00 14 68 16 40 F9 08 21 00 91 08 01 40 F9 68 16 00 F9 68 16 40 F9 1F 01 00 F1 40 03 00 54 08 00 80 52 68 1A 00 B9 68 16 40 F9 08 61 00 91 08 01 40 F9 68 72 00 F9 6F 72 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 62 00 91 61 E2 05 91 60 02 40 B9 68 72 40 F9 00 01 3F D6 60 7E 00 B9 68 7E 40 B9 1F 01 00 71 C0 00 00 54 68 1A 40 B9 68 06 00 B9 28 00 80 52 68 16 00 B9 27 00 00 14 E1 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? 68 1A 00 F9 05 00 00 14 68 1A 40 F9 08 21 00 91 08 01 40 F9 68 1A 00 F9 68 1A 40 F9 1F 01 00 F1 60 03 00 54 08 00 80 52 68 1E 00 B9 68 1A 40 F9 08 61 00 91 08 01 40 F9 68 76 00 F9 6F 76 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 72 00 91 10 2F 82 D2 61 02 10 8B 60 02 40 B9 68 76 40 F9 00 01 3F D6 60 82 00 B9 68 82 40 B9 1F 01 00 71 C0 00 00 54 68 1E 40 B9 68 06 00 B9 28 00 80 52 68 16 00 B9 02 00 00 14 E0 FF FF 17 20 00 80 52 ?? ?? ?? ?? 68 16 40 B9 1F 01 00 71 40 00 00 54 FB 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 C0 02 00 54 08 00 80 52 68 22 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 68 7A 00 F9 6F 7A 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 62 82 00 91 61 E2 05 91 60 02 40 B9 68 7A 40 F9 00 01 3F D6 60 86 00 B9 68 86 40 B9 1F 01 00 71 80 00 00 54 68 22 40 B9 68 06 00 B9 E2 00 00 14 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 12 00 36 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 05 00 B1 A0 11 00 54 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 8A 00 B9 68 8A 40 B9 68 8E 00 B9 68 8E 40 B9 1F 09 00 71 40 00 00 54 26 00 00 14 08 00 80 52 68 92 00 B9 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? 60 A6 00 F9 68 A6 40 F9 02 01 00 11 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 04 00 80 D2 63 42 02 91 42 00 00 11 10 2F 82 D2 61 02 10 8B 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 96 00 B9 68 96 40 B9 1F 01 00 71 40 00 00 54 5E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 9A 00 B9 68 9A 40 B9 1F 19 00 71 40 00 00 54 56 00 00 14 08 00 80 D2 68 1E 00 F9 04 00 80 92 10 2F 82 D2 63 02 10 8B 02 00 82 D2 10 2F 8A D2 61 02 10 8B 60 E2 00 91 ?? ?? ?? ?? 60 9E 00 B9 07 00 80 D2 46 4D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 60 9E 40 B9 ?? ?? ?? ?? 60 A2 00 B9 68 A2 40 B9 68 26 00 B9 68 26 40 B9 1F 01 00 71 E0 03 00 54 68 26 40 B9 1F 41 01 71 80 03 00 54 08 00 80 52 68 A6 00 B9 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? 60 AA 00 F9 68 AA 40 F9 09 01 00 11 48 00 80 52 22 7D 08 1B 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 04 00 80 D2 63 92 02 91 42 00 00 11 10 2F 82 D2 61 02 10 8B 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 1B 00 00 14 68 1E 40 F9 1F 01 00 F1 89 00 00 54 68 1E 40 F9 08 05 00 D1 68 1E 00 F9 08 00 80 52 68 AA 00 B9 68 1E 40 F9 02 01 00 11 68 02 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 04 00 80 D2 63 A2 02 91 42 00 00 11 10 2F 8A D2 61 02 10 8B 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 C8 00 08 36 10 2F 82 D2 60 02 10 8B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 68 02 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 88 05 10 36 08 00 80 52 10 2F 86 D2 68 6A 30 78 68 0A 40 B9 1F 01 00 71 40 02 00 54 43 01 80 52 02 00 82 D2 10 2F 86 D2 61 02 10 8B 60 0A 40 B9 ?? ?? ?? ?? 60 AE 00 B9 05 00 80 D2 44 51 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 AE 40 B9 ?? ?? ?? ?? 68 0A 40 B9 1F 01 00 71 A0 00 00 54 10 2F 86 D2 68 02 10 8B 68 7E 00 F9 03 00 00 14 08 00 80 D2 68 7E 00 F9 10 2F 8C D2 65 02 10 8B 64 AE 40 F9 63 7E 40 F9 62 22 40 F9 61 B2 40 F9 60 02 40 B9 ?? ?? ?? ?? 60 B2 00 B9 68 B2 40 B9 68 06 00 B9 69 02 40 B9 48 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 60 06 40 B9 EF 02 81 D2 FF 73 2F 8B ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_66_14_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 124
		refs = "0070 _invoke_watson"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 17 00 B9 E2 1B 00 B9 E3 1F 00 F9 E4 1B 00 F9 E5 17 00 F9 E6 1F 00 B9 E7 13 00 F9 E8 13 40 B9 1F 01 00 71 20 01 00 54 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B E0 00 00 54 E9 1B 40 B9 E8 13 40 B9 1F 01 09 6B 60 00 00 54 E0 13 40 B9 07 00 00 14 E4 13 40 F9 E3 1F 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_15_0 {
	meta:
		name = "_snprintf_s"
		size = 108
		refs = "0020 ??$__vcrt_va_start_verify_argument_type@QEBD@@YAXXZ 0044 _vsnprintf_s_l"
	strings:
		$1 = { E4 17 BE A9 E6 1F 01 A9 FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 ?? ?? ?? ?? E8 03 01 91 E8 0F 00 F9 E5 0F 40 F9 04 00 80 D2 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C4 A8 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_16_0 {
	meta:
		name = "_snwprintf_s"
		size = 108
		refs = "0020 ??$__vcrt_va_start_verify_argument_type@QEB_W@@YAXXZ 0044 _vsnwprintf_s_l"
	strings:
		$1 = { E4 17 BE A9 E6 1F 01 A9 FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 ?? ?? ?? ?? E8 03 01 91 E8 0F 00 F9 E5 0F 40 F9 04 00 80 D2 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C4 A8 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_17_0 {
	meta:
		name = "_vsnprintf_s"
		size = 72
		refs = "0034 _vsnprintf_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E5 0F 40 F9 04 00 80 D2 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_18_0 {
	meta:
		name = "_vsnprintf_s_l"
		size = 132
		refs = "0020 __local_stdio_printf_options 0048 __stdio_common_vsnprintf_s"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 ?? ?? ?? ?? E0 2B 00 F9 E6 13 40 F9 E5 17 40 F9 E4 1B 40 F9 E3 1F 40 F9 E2 23 40 F9 E1 27 40 F9 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 17 00 B9 03 00 00 14 E8 13 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_66_19_0 {
	meta:
		name = "_vsnwprintf_s_l"
		size = 132
		refs = "0020 __local_stdio_printf_options 0048 __stdio_common_vsnwprintf_s"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 ?? ?? ?? ?? E0 2B 00 F9 E6 13 40 F9 E5 17 40 F9 E4 1B 40 F9 E3 1F 40 F9 E2 23 40 F9 E1 27 40 F9 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 17 00 B9 03 00 00 14 E8 13 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_67_4_0 {
	meta:
		name = "__dcrt_multibyte_check_type"
		size = 140
		refs = "005c __acrt_GetStringTypeA"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 0A 00 00 11 20 00 00 91 09 04 40 F9 54 00 00 11 73 00 00 11 28 09 40 B9 68 00 00 35 00 00 80 52 15 00 00 14 25 05 40 B9 48 7D 08 53 EA 47 00 39 26 00 80 52 E8 43 00 39 E4 53 00 91 FF 2B 00 79 43 00 80 52 FF 2F 00 79 E2 43 00 91 21 00 80 52 ?? ?? ?? ?? 40 FE FF 34 E8 2F 40 79 08 FE FF 35 E8 2B 40 79 1F 01 14 6A E9 07 9F 1A 3F 01 13 6B E0 17 9F 1A FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_67_6_0 {
	meta:
		name = "_ismbclower_l"
		size = 112
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 E8 00 00 54 E8 13 40 F9 69 06 00 11 08 41 29 8B 09 61 40 39 20 15 05 53 06 00 00 14 23 00 80 52 42 00 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_68_1_0 {
	meta:
		name = "cacoshl"
		size = 1344
		refs = "0018 creall 0030 cimagl 0044 _ldtest 00ac _LInf_C 015c pi3by4 016c piby4 0188 pi 01e4 piby2 022c _LCbuild 0240 csqrtl 031c big 040c asinhl 043c logl 04e4 atan2l"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 43 00 FD E1 47 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 7F 00 FD F0 7F 40 FD F0 13 00 FD E0 C3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 1B 40 FD F0 17 00 FD F0 13 40 FD F0 0F 00 FD 0F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 1B 40 FD F0 0F 00 FD 05 00 00 14 F0 1B 40 FD F0 17 00 FD F0 1B 40 FD F0 0F 00 FD 10 01 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 01 02 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 13 40 FD F0 0F 00 FD 05 00 00 14 F0 13 40 FD F0 17 00 FD F0 13 40 FD F0 0F 00 FD FD 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 61 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 0A 00 00 14 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 03 00 00 14 10 1D 00 5C F0 0F 00 FD E8 4F 40 79 08 01 00 11 88 00 78 36 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD D7 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 41 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD F0 3F 40 FD F0 0F 00 FD C2 00 00 14 F0 13 40 FD 01 42 61 1E F1 1B 40 FD 10 10 6E 1E 20 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E1 8B 40 FD E0 87 40 FD ?? ?? ?? ?? E1 B3 00 FD E0 AF 00 FD EA 43 02 91 4A 01 00 91 E8 63 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F1 1B 40 FD 10 10 6E 1E 20 2A 70 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E1 93 40 FD E0 8F 40 FD ?? ?? ?? ?? E1 BB 00 FD E0 B7 00 FD EA 83 02 91 4A 01 00 91 E8 A3 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 83 00 FD F0 83 40 FD F0 2F 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 27 00 FD E1 57 40 FD E0 53 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 37 00 FD E1 57 40 FD E0 53 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 33 00 FD 28 00 80 52 E8 53 00 B9 F1 2F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2F 40 FD F0 1F 00 FD F1 37 40 FD F0 1F 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 10 3A 71 1E F0 3B 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2F 40 FD 11 0A 71 1E F0 37 40 FD 30 3A 70 1E F0 3B 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2F 40 FD 11 0A 71 1E F0 37 40 FD 30 3A 70 1E F0 3B 00 FD 0B 00 00 14 D0 0A 00 5C F0 1F 00 FD F1 2F 40 FD F0 33 40 FD 32 0A 70 1E F1 27 40 FD F0 37 40 FD 30 0A 70 1E 50 3A 70 1E F0 3B 00 FD E0 3B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 17 00 FD F0 1F 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 17 40 FD 08 22 60 1E 2B 01 00 54 E0 1F 40 FD ?? ?? ?? ?? E0 6B 00 FD F1 17 40 FD F0 6B 40 FD 30 2A 70 1E F0 17 00 FD 08 00 00 14 E0 1F 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 17 40 FD F0 6F 40 FD 30 3A 70 1E F0 17 00 FD E8 4F 40 79 08 01 00 11 A8 00 78 36 F0 13 40 FD 10 42 61 1E F0 13 00 FD 03 00 00 14 08 00 80 52 E8 53 00 B9 F1 1B 40 FD 10 10 6E 1E 20 3A 70 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 9B 00 FD E0 97 00 FD E1 9B 40 FD E0 97 40 FD ?? ?? ?? ?? E1 A3 00 FD E0 9F 00 FD E1 A3 40 FD E0 9F 40 FD ?? ?? ?? ?? E0 73 00 FD E1 33 40 FD E0 73 40 FD ?? ?? ?? ?? E0 77 00 FD 11 10 60 1E F0 77 40 FD 30 0A 70 1E F0 0F 00 FD E8 53 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD E1 0F 40 FD E0 17 40 FD ?? ?? ?? ?? E1 AB 00 FD E0 A7 00 FD E0 A7 40 FD E1 AB 40 FD FD 7B D8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "cacosh"
		size = 1344
		refs = "0018 creal 0030 cimag 0044 _dtest 00ac _Inf_C 015c pi3by4 016c piby4 0188 pi 01e4 piby2 022c _Cbuild 0240 csqrt 031c big 040c asinh 043c log 04e4 atan2"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 43 00 FD E1 47 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 7F 00 FD F0 7F 40 FD F0 13 00 FD E0 C3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 1B 40 FD F0 17 00 FD F0 13 40 FD F0 0F 00 FD 0F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 1B 40 FD F0 0F 00 FD 05 00 00 14 F0 1B 40 FD F0 17 00 FD F0 1B 40 FD F0 0F 00 FD 10 01 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 01 02 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 13 40 FD F0 0F 00 FD 05 00 00 14 F0 13 40 FD F0 17 00 FD F0 13 40 FD F0 0F 00 FD FD 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 61 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 0A 00 00 14 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 03 00 00 14 10 1D 00 5C F0 0F 00 FD E8 4F 40 79 08 01 00 11 88 00 78 36 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD D7 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 41 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD F0 3F 40 FD F0 0F 00 FD C2 00 00 14 F0 13 40 FD 01 42 61 1E F1 1B 40 FD 10 10 6E 1E 20 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E1 8B 40 FD E0 87 40 FD ?? ?? ?? ?? E1 B3 00 FD E0 AF 00 FD EA 43 02 91 4A 01 00 91 E8 63 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F1 1B 40 FD 10 10 6E 1E 20 2A 70 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E1 93 40 FD E0 8F 40 FD ?? ?? ?? ?? E1 BB 00 FD E0 B7 00 FD EA 83 02 91 4A 01 00 91 E8 A3 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 83 00 FD F0 83 40 FD F0 2F 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 27 00 FD E1 57 40 FD E0 53 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 37 00 FD E1 57 40 FD E0 53 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 33 00 FD 28 00 80 52 E8 53 00 B9 F1 2F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2F 40 FD F0 1F 00 FD F1 37 40 FD F0 1F 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 10 3A 71 1E F0 3B 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2F 40 FD 11 0A 71 1E F0 37 40 FD 30 3A 70 1E F0 3B 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2F 40 FD 11 0A 71 1E F0 37 40 FD 30 3A 70 1E F0 3B 00 FD 0B 00 00 14 D0 0A 00 5C F0 1F 00 FD F1 2F 40 FD F0 33 40 FD 32 0A 70 1E F1 27 40 FD F0 37 40 FD 30 0A 70 1E 50 3A 70 1E F0 3B 00 FD E0 3B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 17 00 FD F0 1F 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 17 40 FD 08 22 60 1E 2B 01 00 54 E0 1F 40 FD ?? ?? ?? ?? E0 6B 00 FD F1 17 40 FD F0 6B 40 FD 30 2A 70 1E F0 17 00 FD 08 00 00 14 E0 1F 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 17 40 FD F0 6F 40 FD 30 3A 70 1E F0 17 00 FD E8 4F 40 79 08 01 00 11 A8 00 78 36 F0 13 40 FD 10 42 61 1E F0 13 00 FD 03 00 00 14 08 00 80 52 E8 53 00 B9 F1 1B 40 FD 10 10 6E 1E 20 3A 70 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 9B 00 FD E0 97 00 FD E1 9B 40 FD E0 97 40 FD ?? ?? ?? ?? E1 A3 00 FD E0 9F 00 FD E1 A3 40 FD E0 9F 40 FD ?? ?? ?? ?? E0 73 00 FD E1 33 40 FD E0 73 40 FD ?? ?? ?? ?? E0 77 00 FD 11 10 60 1E F0 77 40 FD 30 0A 70 1E F0 0F 00 FD E8 53 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD E1 0F 40 FD E0 17 40 FD ?? ?? ?? ?? E1 AB 00 FD E0 A7 00 FD E0 A7 40 FD E1 AB 40 FD FD 7B D8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "asinf"
		size = 940
		refs = "009c _handle_nanf 00c4 valf_with_flags 00f8 ?piby2@?1??asinf@@9@9 016c ??_C@_05ECHIKDO@asinf?$AA@ 0174 _handle_errorf 01f8 sqrtf 02f4 ?piby2_tail@?1??asinf@@9@9 0314 ?hpiby2_head@?1??asinf@@9@9"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 17 00 BD 30 1C 00 1C F0 1F 00 BD 08 00 80 52 E8 2F 00 B9 F0 17 40 BD F0 47 00 BD E8 47 40 B9 E8 23 00 B9 E8 23 40 B9 08 79 00 12 E8 4B 00 B9 E8 23 40 B9 08 01 01 12 E8 43 00 B9 09 F0 AF 52 E8 4B 40 B9 1F 01 09 6B 89 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 4F 00 B9 E8 23 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 E8 2B 00 B9 E8 4F 40 B9 1F 01 00 71 20 01 00 54 E8 23 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD B8 00 00 14 36 00 00 14 E8 2B 40 B9 1F 39 00 31 0A 01 00 54 00 02 80 52 E0 17 40 BD ?? ?? ?? ?? E0 57 00 BD E0 57 40 BD AE 00 00 14 2C 00 00 14 E8 2B 40 B9 1F 01 00 71 2B 05 00 54 11 10 2E 1E F0 17 40 BD 00 22 31 1E 21 01 00 54 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 00 BD E0 5B 40 BD 9F 00 00 14 1D 00 00 14 11 10 3E 1E F0 17 40 BD 00 22 31 1E 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 21 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 5F 00 BD E0 5F 40 BD 91 00 00 14 0F 00 00 14 26 00 80 52 01 12 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 C1 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD 82 00 00 14 E8 43 40 B9 1F 01 00 71 A0 00 00 54 F0 17 40 BD 10 42 21 1E F0 1B 00 BD 03 00 00 14 F0 17 40 BD F0 1B 00 BD E8 2B 40 B9 1F 05 00 31 8B 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 E0 01 00 54 11 10 2E 1E F0 1B 40 BD 31 3A 30 1E 10 10 2C 1E 10 0A 31 1E F0 13 00 BD E0 13 40 BD ?? ?? ?? ?? E0 67 00 BD F0 67 40 BD F0 1F 00 BD F0 1F 40 BD F0 1B 00 BD 05 00 00 14 F1 1B 40 BD F0 1B 40 BD 30 0A 30 1E F0 13 00 BD 91 0B 00 1C F0 13 40 BD 31 0A 30 1E 50 0B 00 1C 11 3A 31 1E F0 13 40 BD 31 0A 30 1E F0 0A 00 1C 11 2A 31 1E F0 13 40 BD 31 0A 30 1E 90 0A 00 1C 11 2A 31 1E F0 13 40 BD 12 0A 31 1E 31 0A 00 1C F0 13 40 BD 31 0A 30 1E F0 09 00 1C 10 3A 31 1E 50 1A 30 1E F0 3F 00 BD E8 2F 40 B9 1F 01 00 71 00 06 00 54 F0 1F 40 BD F0 6B 00 BD E8 6B 40 B9 E8 6F 00 B9 E8 6F 40 B9 08 3D 10 12 E8 73 00 B9 F0 73 40 BD F0 27 00 BD F1 27 40 BD F0 27 40 BD 31 0A 30 1E F0 13 40 BD 12 3A 31 1E F1 1F 40 BD F0 27 40 BD 30 2A 30 1E 50 1A 30 1E F0 77 00 BD 11 10 20 1E F0 1F 40 BD 31 0A 30 1E F0 3F 40 BD 32 0A 30 1E 11 10 20 1E F0 77 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 31 1E 50 3A 30 1E F0 7B 00 BD 11 10 20 1E F0 27 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 31 1E F0 7F 00 BD F1 7B 40 BD F0 7F 40 BD 31 3A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 31 1E F0 33 00 BD 09 00 00 14 F1 1B 40 BD F0 3F 40 BD 30 0A 30 1E F0 83 00 BD F1 1B 40 BD F0 83 40 BD 30 2A 30 1E F0 33 00 BD E8 43 40 B9 1F 01 00 71 C0 00 00 54 F0 33 40 BD 00 42 21 1E 00 40 20 1E 03 00 00 14 02 00 00 14 E0 33 40 BD FD 7B C9 A8 C0 03 5F D6 00 00 00 00 6B CE 81 3B E1 3F 5B BC DD 8B 67 BD DC 94 3C 3E 0D 1F 56 3F A5 6F 8D 3F }
	condition:
		$1
}

rule file_70_2_0 {
	meta:
		name = "valf_with_flags"
		size = 36
		refs = "0014 raise_fpsw_flags"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_71_1_0 {
	meta:
		name = "cargl"
		size = 76
		refs = "0018 creall 0028 cimagl 0038 atan2l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_240_0_0 {
	meta:
		name = "cabs"
		size = 76
		refs = "0018 cimag 0028 creal 0038 hypot"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "cabsl"
		size = 76
		refs = "0018 cimagl 0028 creall 0038 hypotl"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_517_0_0 {
	meta:
		name = "carg"
		size = 76
		refs = "0018 creal 0028 cimag 0038 atan2"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_72_0_0 {
	meta:
		name = "clog10l"
		size = 88
		refs = "0018 clogl 0030 _LCmulcr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 FD E1 0F 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 17 00 FD E0 13 00 FD 62 01 00 5C E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E1 1F 00 FD E0 1B 00 FD E0 1B 40 FD E1 1F 40 FD FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 0E E5 26 15 7B CB DB 3F }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "clog10"
		size = 88
		refs = "0018 clog 0030 _Cmulcr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 FD E1 0F 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 17 00 FD E0 13 00 FD 62 01 00 5C E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E1 1F 00 FD E0 1B 00 FD E0 1B 40 FD E1 1F 40 FD FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 0E E5 26 15 7B CB DB 3F }
	condition:
		$1
}

rule file_73_5_0 {
	meta:
		name = "__acrt_locale_free_numeric"
		size = 276
		refs = "0024 __acrt_lconv_c 0048 _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 3D 00 00 14 E8 0B 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 01 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 21 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 41 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 41 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 61 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 61 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 81 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 81 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_73_6_0 {
	meta:
		name = "__acrt_locale_initialize_numeric"
		size = 1508
		refs = "0058 ??_C@_0DC@KHILMDMC@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 006c _calloc_dbg 0114 _malloc_dbg 0124 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@QEAJ@Z 0138 ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAPEAJXZ 0178 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@XZ 0194 _free_dbg 02a4 __acrt_GetLocaleInfoA 039c __acrt_locale_free_numeric 03cc fix_grouping 03e4 __acrt_lconv_c 04ec ??_C@_1DM@IFKAINNE@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAn?$AAu?$AAm?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 04f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0504 ??_C@_1GE@GOIFKKDC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0510 _CrtDbgReportW"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 E0 13 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 D2 E8 1B 00 F9 E8 13 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 13 40 F9 08 21 05 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E8 13 40 F9 08 01 05 91 08 01 40 F9 1F 01 00 F1 C0 20 00 54 A4 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 13 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 54 01 00 14 E8 13 40 F9 08 E1 03 91 0B 01 40 F9 EC 63 03 91 8C 01 00 91 6B 01 00 91 6A 41 02 91 69 21 40 A9 89 21 00 A9 6B 41 00 91 8C 41 00 91 7F 01 0A EB 61 FF FF 54 68 01 40 F9 88 01 00 F9 EC 0F 40 F9 8C 01 00 91 EB 63 03 91 6B 01 00 91 6A 41 02 91 69 21 40 A9 89 21 00 A9 6B 41 00 91 8C 41 00 91 7F 01 0A EB 61 FF FF 54 68 01 40 F9 88 01 00 F9 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 80 00 80 D2 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 A3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 4F 00 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 08 1D 00 53 E8 A3 00 39 E0 A3 02 91 ?? ?? ?? ?? E8 A3 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 10 01 00 14 E9 1F 40 F9 08 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 05 91 08 01 40 F9 1F 01 00 F1 C0 10 00 54 A3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 80 00 80 D2 ?? ?? ?? ?? E0 5B 00 F9 E1 5B 40 F9 E0 43 03 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 63 00 F9 E0 63 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 08 1D 00 53 E8 A7 00 39 E0 43 03 91 ?? ?? ?? ?? E8 A7 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? 20 00 80 52 DD 00 00 14 E9 1B 40 F9 08 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 05 91 08 01 40 F9 E8 27 00 F9 E8 0F 40 F9 04 01 00 91 84 00 00 91 C3 01 80 52 E2 27 40 F9 21 00 80 52 E0 C3 01 91 ?? ?? ?? ?? E0 53 00 B9 E9 13 40 B9 E8 53 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 21 00 91 84 00 00 91 E3 01 80 52 E2 27 40 F9 21 00 80 52 E0 C3 01 91 ?? ?? ?? ?? E0 57 00 B9 E9 13 40 B9 E8 57 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 41 00 91 84 00 00 91 03 02 80 52 E2 27 40 F9 21 00 80 52 E0 C3 01 91 ?? ?? ?? ?? E0 5B 00 B9 E9 13 40 B9 E8 5B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 61 01 91 84 00 00 91 C3 01 80 52 E2 27 40 F9 41 00 80 52 E0 C3 01 91 ?? ?? ?? ?? E0 5F 00 B9 E9 13 40 B9 E8 5F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 81 01 91 84 00 00 91 E3 01 80 52 E2 27 40 F9 41 00 80 52 E0 C3 01 91 ?? ?? ?? ?? E0 63 00 B9 E9 13 40 B9 E8 63 40 B9 28 01 08 2A E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? 00 00 80 12 88 00 00 14 E8 0F 40 F9 08 41 00 91 00 01 40 F9 ?? ?? ?? ?? 1C 00 00 14 08 00 80 D2 E8 1B 00 F9 E8 0F 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0F 40 F9 09 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0F 40 F9 09 41 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0F 40 F9 09 61 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0F 40 F9 09 81 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E9 1F 40 F9 28 00 80 52 28 01 00 B9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E9 1B 40 F9 28 00 80 52 28 01 00 B9 08 00 00 14 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 00 F9 E8 13 40 F9 08 A1 03 91 08 01 40 F9 1F 01 00 F1 C0 04 00 54 E8 13 40 F9 08 A1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 67 00 B9 E8 67 40 B9 1F 01 00 71 C1 02 00 54 E8 13 40 F9 08 A1 03 91 08 01 40 F9 1F 01 00 F1 28 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 81 03 91 08 01 40 F9 1F 01 00 F1 60 03 00 54 E8 13 40 F9 08 81 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 6F 00 B9 E8 6F 40 B9 1F 01 00 71 61 01 00 54 E8 13 40 F9 08 81 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 E1 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 09 A1 03 91 E8 1B 40 F9 28 01 00 F9 E8 13 40 F9 09 81 03 91 E8 1F 40 F9 28 01 00 F9 E8 13 40 F9 09 E1 03 91 E8 0F 40 F9 28 01 00 F9 00 00 80 52 FD 7B D7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_73_7_0 {
	meta:
		name = "fix_grouping"
		size = 220
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 05 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 2B 02 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 8C 01 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 08 C1 00 51 09 1D 00 13 E8 03 40 F9 09 01 00 39 E8 03 40 F9 08 05 00 91 E8 03 00 F9 19 00 00 14 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F ED 00 71 21 02 00 54 E8 03 40 F9 E8 07 00 F9 E8 07 40 F9 08 05 00 91 E9 07 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 81 FE FF 54 04 00 00 14 E8 03 40 F9 08 05 00 91 E8 03 00 F9 CE FF FF 17 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_3_0 {
	meta:
		name = "?fast_check@@YAHHH@Z"
		size = 44
		refs = "0018 _chvalidator"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_6_0 {
	meta:
		name = "__isascii"
		size = 52
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 1F 01 02 71 82 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_7_0 {
	meta:
		name = "__iscsym"
		size = 100
		refs = "001c isalnum"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 01 00 54 E8 13 40 B9 08 1D 00 53 08 01 00 11 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_8_0 {
	meta:
		name = "__iscsymf"
		size = 80
		refs = "0010 isalpha"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E1 00 00 54 E8 13 40 B9 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_9_0 {
	meta:
		name = "__toascii"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 00 19 00 12 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_11_0 {
	meta:
		name = "_isalnum_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 E1 20 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_12_0 {
	meta:
		name = "_isalpha_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 61 20 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_13_0 {
	meta:
		name = "_isblank_l"
		size = 124
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0050 _ischartype_l 006c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 13 40 B9 1F 25 00 71 81 00 00 54 08 08 80 52 E8 17 00 B9 0B 00 00 14 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 08 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 E8 1F 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_15_0 {
	meta:
		name = "_iscntrl_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 04 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_16_0 {
	meta:
		name = "_iscsym_l"
		size = 88
		refs = "0018 _isalnum_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E1 00 00 54 E8 13 40 B9 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_17_0 {
	meta:
		name = "_iscsymf_l"
		size = 88
		refs = "0018 _isalpha_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E1 00 00 54 E8 13 40 B9 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_18_0 {
	meta:
		name = "_isdigit_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 81 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_19_0 {
	meta:
		name = "_isgraph_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 E1 22 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_20_0 {
	meta:
		name = "_islower_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 41 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_21_0 {
	meta:
		name = "_isprint_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 E1 2A 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_22_0 {
	meta:
		name = "_ispunct_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 02 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_23_0 {
	meta:
		name = "_isspace_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 01 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_24_0 {
	meta:
		name = "_isupper_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 21 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_25_0 {
	meta:
		name = "_isxdigit_l"
		size = 92
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0038 _ischartype_l 004c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 10 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_26_0 {
	meta:
		name = "isalnum"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isalnum_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 E1 20 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_27_0 {
	meta:
		name = "isalpha"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isalpha_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 61 20 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_28_0 {
	meta:
		name = "isblank"
		size = 132
		refs = "000c __acrt_locale_changed 002c _isblank_l 0060 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1F 00 B9 0F 00 00 14 E8 17 40 B9 1F 25 00 71 81 00 00 54 08 08 80 52 E8 1B 00 B9 07 00 00 14 01 08 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_29_0 {
	meta:
		name = "iscntrl"
		size = 100
		refs = "000c __acrt_locale_changed 002c _iscntrl_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 01 04 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_30_0 {
	meta:
		name = "isdigit"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isdigit_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 81 00 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_31_0 {
	meta:
		name = "isgraph"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isgraph_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 E1 22 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_32_0 {
	meta:
		name = "islower"
		size = 100
		refs = "000c __acrt_locale_changed 002c _islower_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 41 00 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_33_0 {
	meta:
		name = "isprint"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isprint_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 E1 2A 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_34_0 {
	meta:
		name = "ispunct"
		size = 100
		refs = "000c __acrt_locale_changed 002c _ispunct_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 01 02 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_35_0 {
	meta:
		name = "isspace"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isspace_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 01 01 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_36_0 {
	meta:
		name = "isupper"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isupper_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 21 00 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_74_37_0 {
	meta:
		name = "isxdigit"
		size = 100
		refs = "000c __acrt_locale_changed 002c _isxdigit_l 0048 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 07 00 00 14 01 10 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_4_0 {
	meta:
		name = "??$capture_argv@PEAPEADAEBQEBDPEAPEADH@?$__crt_char_traits@D@@SAPEAPEAD$$QEAPEAPEADAEBQEBD0$$QEAH@Z"
		size = 20
		refs = "0010 __acrt_capture_narrow_argv"
	strings:
		$1 = { 63 00 80 B9 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_5_0 {
	meta:
		name = "??$capture_argv@PEAPEADAEBQEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAPEAPEA_W$$QEAPEAPEADAEBQEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 20
		refs = "0010 __acrt_capture_wide_argv"
	strings:
		$1 = { 63 00 80 B9 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_6_0 {
	meta:
		name = "??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
		size = 544
		refs = "0010 __security_push_cookie 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 0088 _invalid_parameter 00a0 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f0 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0144 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0198 __acrt_capture_narrow_argv 01f0 _spawnve 0200 _free_dbg 020c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 5B 02 A9 FD 03 00 91 ?? ?? ?? ?? FF 03 08 D1 36 00 00 11 E4 03 00 F9 61 00 00 91 15 00 00 11 54 00 00 91 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 92 5E 00 00 14 88 02 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? E5 FF FF 17 81 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? D1 FF FF 17 28 00 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? BC FF FF 17 03 08 80 D2 E2 23 00 91 E0 03 00 91 ?? ?? ?? ?? A0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 B8 FF FF 17 E8 23 00 91 1F 00 08 EB F3 03 80 9A 35 01 00 34 EA 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 EB 03 00 F9 63 81 5F F8 02 00 00 14 03 00 80 D2 02 00 00 91 C0 02 00 11 81 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FF 03 08 91 ?? ?? ?? ?? F5 5B 42 A9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_6_0 {
	meta:
		name = "??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
		size = 544
		refs = "0010 __security_push_cookie 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 0088 _invalid_parameter 00a0 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f0 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0144 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0198 __acrt_capture_narrow_argv 01f0 _spawnvpe 0200 _free_dbg 020c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 5B 02 A9 FD 03 00 91 ?? ?? ?? ?? FF 03 08 D1 36 00 00 11 E4 03 00 F9 61 00 00 91 15 00 00 11 54 00 00 91 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 92 5E 00 00 14 88 02 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? E5 FF FF 17 81 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? D1 FF FF 17 28 00 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? BC FF FF 17 03 08 80 D2 E2 23 00 91 E0 03 00 91 ?? ?? ?? ?? A0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 B8 FF FF 17 E8 23 00 91 1F 00 08 EB F3 03 80 9A 35 01 00 34 EA 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 EB 03 00 F9 63 81 5F F8 02 00 00 14 03 00 80 D2 02 00 00 91 C0 02 00 11 81 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FF 03 08 91 ?? ?? ?? ?? F5 5B 42 A9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_7_0 {
	meta:
		name = "??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
		size = 544
		refs = "0010 __security_push_cookie 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 0088 _invalid_parameter 00a0 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f0 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0144 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0198 __acrt_capture_wide_argv 01f0 _wspawnve 0200 _free_dbg 020c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 5B 02 A9 FD 03 00 91 ?? ?? ?? ?? FF 03 08 D1 36 00 00 11 E4 03 00 F9 61 00 00 91 15 00 00 11 54 00 00 91 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 92 5E 00 00 14 88 02 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? E5 FF FF 17 81 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? D1 FF FF 17 28 00 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? BC FF FF 17 03 08 80 D2 E2 23 00 91 E0 03 00 91 ?? ?? ?? ?? A0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 B8 FF FF 17 E8 23 00 91 1F 00 08 EB F3 03 80 9A 35 01 00 34 EA 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 EB 03 00 F9 63 81 5F F8 02 00 00 14 03 00 80 D2 02 00 00 91 C0 02 00 11 81 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FF 03 08 91 ?? ?? ?? ?? F5 5B 42 A9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_7_0 {
	meta:
		name = "??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
		size = 544
		refs = "0010 __security_push_cookie 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 0088 _invalid_parameter 00a0 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f0 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0144 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0198 __acrt_capture_wide_argv 01f0 _wspawnvpe 0200 _free_dbg 020c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 5B 02 A9 FD 03 00 91 ?? ?? ?? ?? FF 03 08 D1 36 00 00 11 E4 03 00 F9 61 00 00 91 15 00 00 11 54 00 00 91 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 92 5E 00 00 14 88 02 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? E5 FF FF 17 81 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? D1 FF FF 17 28 00 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? BC FF FF 17 03 08 80 D2 E2 23 00 91 E0 03 00 91 ?? ?? ?? ?? A0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 B8 FF FF 17 E8 23 00 91 1F 00 08 EB F3 03 80 9A 35 01 00 34 EA 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 EB 03 00 F9 63 81 5F F8 02 00 00 14 03 00 80 D2 02 00 00 91 C0 02 00 11 81 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FF 03 08 91 ?? ?? ?? ?? F5 5B 42 A9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_8_0 {
	meta:
		name = "??$tspawnve@AEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@Z"
		size = 20
		refs = "0010 _spawnve"
		altNames = "??$tspawnve@AEBHAEAPEADAEBQEBQEBDAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEAPEADAEBQEBQEBD2@Z ??$tspawnve@AEBHAEBQEBDAEBQEBQEBDAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEBQEBD2@Z"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_25_4 {
	meta:
		name = "??$tspawnve@AEBHAEAPEA_WAEBQEBQEB_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEAPEA_WAEBQEBQEB_W2@Z"
		size = 20
		refs = "0010 _wspawnve"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_9_0 {
	meta:
		name = "??$tspawnve@AEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@Z"
		size = 20
		refs = "0010 _wspawnve"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_27_4 {
	meta:
		name = "??$tspawnve@AEBHAEBQEB_WAEBQEBQEB_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEBQEB_W2@Z"
		size = 20
		refs = "0010 _wspawnve"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_308_8_3 {
	meta:
		name = "??$tspawnvpe@AEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@Z"
		size = 20
		refs = "0010 _spawnvpe"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_308_9_3 {
	meta:
		name = "??$tspawnvpe@AEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@Z"
		size = 20
		refs = "0010 _wspawnvpe"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 B9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_16_0 {
	meta:
		name = "_execl"
		size = 56
		refs = "0028 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 00 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_16_0 {
	meta:
		name = "_execlp"
		size = 56
		refs = "0028 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 00 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_20_0 {
	meta:
		name = "_wexecl"
		size = 56
		refs = "0028 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 00 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_20_0 {
	meta:
		name = "_wexeclp"
		size = 56
		refs = "0028 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 00 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_17_0 {
	meta:
		name = "_execle"
		size = 56
		refs = "0028 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 20 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_17_0 {
	meta:
		name = "_execlpe"
		size = 56
		refs = "0028 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 20 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_21_0 {
	meta:
		name = "_wexecle"
		size = 56
		refs = "0028 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 20 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_21_0 {
	meta:
		name = "_wexeclpe"
		size = 56
		refs = "0028 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BF A9 FD 03 00 91 23 00 00 91 02 00 00 91 41 00 80 52 20 00 80 52 E4 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_18_0 {
	meta:
		name = "_spawnl"
		size = 60
		refs = "002c ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 00 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_18_0 {
	meta:
		name = "_spawnlp"
		size = 60
		refs = "002c ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 00 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_22_0 {
	meta:
		name = "_wspawnl"
		size = 60
		refs = "002c ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 00 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_22_0 {
	meta:
		name = "_wspawnlp"
		size = 60
		refs = "002c ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 00 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_19_0 {
	meta:
		name = "_spawnle"
		size = 60
		refs = "002c ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 20 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_19_0 {
	meta:
		name = "_spawnlpe"
		size = 60
		refs = "002c ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 20 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_75_23_0 {
	meta:
		name = "_wspawnle"
		size = 60
		refs = "002c ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 20 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_308_23_0 {
	meta:
		name = "_wspawnlpe"
		size = 60
		refs = "002c ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BF A9 FD 03 00 91 43 00 00 91 22 00 00 91 01 00 00 11 20 00 80 52 E4 63 00 91 ?? ?? ?? ?? FD 7B C1 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_76_6_0 {
	meta:
		name = "_mkdir"
		size = 176
		refs = "001c _wmkdir 0034 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0040 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0050 __acrt_copy_path_to_wide_string 0070 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0080 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 20 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0C 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_503_6_0 {
	meta:
		name = "_rmdir"
		size = 176
		refs = "001c _wrmdir 0034 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0040 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0050 __acrt_copy_path_to_wide_string 0070 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0080 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 20 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0C 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_380_7_0 {
	meta:
		name = "remove"
		size = 176
		refs = "001c _wremove 0034 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0040 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0050 __acrt_copy_path_to_wide_string 0070 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0080 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 D2 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 20 00 00 14 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 23 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 40 B9 0C 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_1_0 {
	meta:
		name = "??$common_gets@D@@YAPEADQEAD_K_N@Z"
		size = 1464
		refs = "0054 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01ac __acrt_iob_func 01b8 _lock_file 01cc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0208 ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@@Z 0390 _CrtGetDebugFillThreshold 03e0 memset 03e4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0428 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 04b4 $LN38 04c0 _local_unwind 059c _unlock_file"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 08 24 80 D2 E8 63 28 8B A8 8F 00 F9 A0 1B 00 F9 A1 0F 00 F9 A2 87 00 39 A8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 3B 00 B9 03 00 00 14 08 00 80 52 A8 3B 00 B9 A8 3B 40 B9 A8 3F 00 B9 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 63 00 B9 A9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 57 00 F9 A9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 34 01 00 14 A8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 A8 43 00 B9 03 00 00 14 08 00 80 52 A8 43 00 B9 A8 43 40 B9 A8 47 00 B9 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 67 00 B9 A9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 5B 00 F9 A9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 04 01 00 14 A8 1B 40 F9 A8 43 00 F9 00 00 80 52 ?? ?? ?? ?? A0 5F 00 F9 A0 5F 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? A0 63 00 F9 A0 63 40 F9 ?? ?? ?? ?? A0 83 00 39 A8 83 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 08 00 80 D2 A8 43 00 F9 E8 00 00 14 00 00 80 52 ?? ?? ?? ?? A0 67 00 F9 A8 67 40 F9 A8 6B 00 F9 A0 43 03 91 ?? ?? ?? ?? A0 6B 00 B9 A8 6B 40 B9 A8 13 00 B9 A8 13 40 B9 1F 05 00 31 01 01 00 54 08 00 80 D2 A8 43 00 F9 A8 87 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D4 00 00 14 A8 0F 40 F9 1F 05 00 B1 E1 03 00 54 A8 1B 40 F9 A8 2F 00 F9 A8 13 40 B9 1F 29 00 71 C0 02 00 54 A8 13 40 B9 1F 05 00 31 60 02 00 54 A8 13 40 B9 09 1D 00 13 A8 2F 40 F9 09 01 00 39 A8 2F 40 F9 08 05 00 91 A8 2F 00 F9 00 00 80 52 ?? ?? ?? ?? A0 6F 00 F9 A8 6F 40 F9 A8 73 00 F9 A0 83 03 91 ?? ?? ?? ?? A0 6F 00 B9 A8 6F 40 B9 A8 13 00 B9 E9 FF FF 17 A9 2F 40 F9 08 00 80 52 28 01 00 39 B3 00 00 14 A8 0F 40 F9 A8 17 00 F9 A8 1B 40 F9 A8 2B 00 F9 A8 13 40 B9 1F 29 00 71 80 03 00 54 A8 13 40 B9 1F 05 00 31 20 03 00 54 A8 17 40 F9 1F 01 00 F1 69 01 00 54 A8 17 40 F9 08 05 00 D1 A8 17 00 F9 A8 13 40 B9 09 1D 00 13 A8 2B 40 F9 09 01 00 39 A8 2B 40 F9 08 05 00 91 A8 2B 00 F9 00 00 80 52 ?? ?? ?? ?? A0 77 00 F9 A8 77 40 F9 A8 7B 00 F9 A0 C3 03 91 ?? ?? ?? ?? A0 73 00 B9 A8 73 40 B9 A8 13 00 B9 E3 FF FF 17 A8 17 40 F9 1F 01 00 F1 81 0B 00 54 A9 1B 40 F9 08 00 80 52 28 01 00 39 A8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 A8 0F 40 F9 1F 01 09 EB 40 03 00 54 A9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? A0 7F 00 F9 A8 7F 40 F9 A8 47 00 F9 A8 0F 40 F9 09 05 00 D1 A8 47 40 F9 1F 01 09 EB 82 00 00 54 A8 47 40 F9 A8 4B 00 F9 04 00 00 14 A8 0F 40 F9 08 05 00 D1 A8 4B 00 F9 A8 1B 40 F9 00 05 00 91 A2 4B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 A8 4B 00 B9 03 00 00 14 08 00 80 52 A8 4B 00 B9 A8 4B 40 B9 A8 4F 00 B9 A8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 77 00 B9 A9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 4F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? A0 83 00 F9 A9 83 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 A8 8B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? A0 8F 40 F9 ?? ?? ?? ?? A9 2B 40 F9 08 00 80 52 28 01 00 39 A8 0F 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 A8 0F 40 F9 1F 01 09 EB 20 05 00 54 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? A0 87 00 F9 A8 87 40 F9 A8 4F 00 F9 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 09 01 09 CB A8 4F 40 F9 1F 01 09 EB 82 00 00 54 A8 4F 40 F9 A8 53 00 F9 08 00 00 14 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 08 01 09 CB A8 53 00 F9 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 1B 40 F9 00 01 09 8B A2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 ?? ?? ?? ?? A0 43 40 F9 02 00 00 14 A0 8B 40 F9 FD 7B D2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_77_2_0 {
	meta:
		name = "?fin$0@?0???$common_gets@D@@YAPEADQEAD_K_N@Z@4HA"
		size = 40
		refs = "000c __acrt_iob_func 0018 _unlock_file"
		altNames = "?fin$0@?0???$common_gets@_W@@YAPEA_WQEA_W_K_N@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 00 00 80 52 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_3_0 {
	meta:
		name = "??$common_gets@_W@@YAPEA_WQEA_W_K_N@Z"
		size = 1520
		refs = "0054 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01ac __acrt_iob_func 01b8 _lock_file 01cc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQEAU_iobuf@@@Z 0208 ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QEAPEAU_iobuf@@@Z 03a8 _CrtGetDebugFillThreshold 0404 memset 0408 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 044c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 04d8 $LN38 04e4 _local_unwind 05d4 _unlock_file"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 08 24 80 D2 E8 63 28 8B A8 8F 00 F9 A0 1F 00 F9 A1 0F 00 F9 A2 87 00 39 A8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 43 00 B9 03 00 00 14 08 00 80 52 A8 43 00 B9 A8 43 40 B9 A8 47 00 B9 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 6B 00 B9 A9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 57 00 F9 A9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 42 01 00 14 A8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 A8 4B 00 B9 03 00 00 14 08 00 80 52 A8 4B 00 B9 A8 4B 40 B9 A8 4F 00 B9 A8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 6F 00 B9 A9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 5B 00 F9 A9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 12 01 00 14 A8 1F 40 F9 A8 43 00 F9 00 00 80 52 ?? ?? ?? ?? A0 5F 00 F9 A0 5F 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? A0 63 00 F9 A0 63 40 F9 ?? ?? ?? ?? A0 83 00 39 A8 83 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 08 00 80 D2 A8 43 00 F9 F6 00 00 14 00 00 80 52 ?? ?? ?? ?? A0 67 00 F9 A8 67 40 F9 A8 6B 00 F9 A0 43 03 91 ?? ?? ?? ?? A0 63 00 79 A8 63 40 79 A8 23 00 79 A9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 01 01 00 54 08 00 80 D2 A8 43 00 F9 A8 87 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 E0 00 00 14 A8 0F 40 F9 1F 05 00 B1 21 04 00 54 A8 1F 40 F9 A8 2F 00 F9 A8 23 40 79 08 01 00 11 1F 29 00 71 E0 02 00 54 A9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 40 02 00 54 A9 2F 40 F9 A8 23 40 79 28 01 00 79 A8 2F 40 F9 08 09 00 91 A8 2F 00 F9 00 00 80 52 ?? ?? ?? ?? A0 6F 00 F9 A8 6F 40 F9 A8 73 00 F9 A0 83 03 91 ?? ?? ?? ?? A0 67 00 79 A8 67 40 79 A8 23 00 79 E7 FF FF 17 A9 2F 40 F9 08 00 80 52 28 01 00 79 BD 00 00 14 A8 0F 40 F9 A8 17 00 F9 A8 1F 40 F9 A8 33 00 F9 A8 23 40 79 08 01 00 11 1F 29 00 71 A0 03 00 54 A9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 00 03 00 54 A8 17 40 F9 1F 01 00 F1 49 01 00 54 A8 17 40 F9 08 05 00 D1 A8 17 00 F9 A9 33 40 F9 A8 23 40 79 28 01 00 79 A8 33 40 F9 08 09 00 91 A8 33 00 F9 00 00 80 52 ?? ?? ?? ?? A0 77 00 F9 A8 77 40 F9 A8 7B 00 F9 A0 C3 03 91 ?? ?? ?? ?? A0 6B 00 79 A8 6B 40 79 A8 23 00 79 E1 FF FF 17 A8 17 40 F9 1F 01 00 F1 E1 0B 00 54 A9 1F 40 F9 08 00 80 52 28 01 00 79 A8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 A8 0F 40 F9 1F 01 09 EB A0 03 00 54 A9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? A0 7F 00 F9 A8 7F 40 F9 A8 47 00 F9 A8 0F 40 F9 09 05 00 D1 A8 47 40 F9 1F 01 09 EB 82 00 00 54 A8 47 40 F9 A8 4B 00 F9 04 00 00 14 A8 0F 40 F9 08 05 00 D1 A8 4B 00 F9 A9 4B 40 F9 48 00 80 D2 22 7D 08 9B A8 1F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 A8 53 00 B9 03 00 00 14 08 00 80 52 A8 53 00 B9 A8 53 40 B9 A8 57 00 B9 A8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 73 00 B9 A9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 57 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? A0 83 00 F9 A9 83 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 A8 8B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? A0 8F 40 F9 ?? ?? ?? ?? A9 33 40 F9 08 00 80 52 28 01 00 79 A8 0F 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 A8 0F 40 F9 1F 01 09 EB C0 05 00 54 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? A0 87 00 F9 A8 87 40 F9 A8 4F 00 F9 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 09 01 09 CB A8 4F 40 F9 1F 01 09 EB 82 00 00 54 A8 4F 40 F9 A8 53 00 F9 08 00 00 14 A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 A8 0F 40 F9 08 01 09 CB A8 53 00 F9 A9 53 40 F9 48 00 80 D2 22 7D 08 9B A9 0F 40 F9 A8 17 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B A8 1F 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 ?? ?? ?? ?? A0 43 40 F9 02 00 00 14 A0 8B 40 F9 FD 7B D2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_77_5_0 {
	meta:
		name = "??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@@Z"
		size = 40
		refs = "0014 _getc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_10_0 {
	meta:
		name = "??$time@PEAJ@?$__crt_integer_traits@J@@SAJ$$QEAPEAJ@Z"
		size = 40
		refs = "0014 _time32"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_6_0 {
	meta:
		name = "??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QEAPEAU_iobuf@@@Z"
		size = 40
		refs = "0014 _getwc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_10_0 {
	meta:
		name = "?is_string_backed@__crt_stdio_stream@@QEBA_NXZ"
		size = 72
		refs = "0010 ?get_flags@__crt_stdio_stream@@QEBAJXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 88 00 60 36 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_12_0 {
	meta:
		name = "?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z"
		size = 536
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0038 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0044 _fileno 0080 __pioinfo 00b0 __badioinfo 0180 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0188 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0198 ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a4 _CrtDbgReportW 01cc _errno 01f0 ??_C@_1II@DIIMCJOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?$DO?$AA?3?$AA?3@ 0200 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 23 00 F9 E1 23 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 1B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 E8 1B 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 1F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1F 00 F9 E8 1F 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 1B 00 B9 03 00 00 14 28 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 36 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 36 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_13_0 {
	meta:
		name = "?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQEAU_iobuf@@@Z"
		size = 20
		altNames = "?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_14_0 {
	meta:
		name = "_getws"
		size = 44
		refs = "0018 ??$common_gets@_W@@YAPEA_WQEA_W_K_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 22 00 80 52 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_16_0 {
	meta:
		name = "gets"
		size = 44
		refs = "0018 ??$common_gets@D@@YAPEADQEAD_K_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 22 00 80 52 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_15_0 {
	meta:
		name = "_getws_s"
		size = 48
		refs = "001c ??$common_gets@_W@@YAPEA_WQEA_W_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_77_17_0 {
	meta:
		name = "gets_s"
		size = 48
		refs = "001c ??$common_gets@D@@YAPEADQEAD_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 00 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "ctanh"
		size = 728
		refs = "0018 creal 0030 cimag 0044 _dtest 0084 _Zero_C 00c8 _Cbuild 017c _Nan_C 01ac tan 01c0 sinh 0208 _Inf_C 0284 sqrt"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 37 00 FD E1 3B 00 FD E1 3B 40 FD E0 37 40 FD ?? ?? ?? ?? E0 3F 00 FD F0 3F 40 FD F0 13 00 FD E1 3B 40 FD E0 37 40 FD ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 0F 00 FD E0 83 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 03 00 54 E8 3F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 03 00 00 14 D0 11 00 5C F0 23 00 FD F0 13 40 FD 08 22 60 1E 82 00 00 54 10 10 7E 1E F0 27 00 FD 03 00 00 14 10 10 6E 1E F0 27 00 FD E1 23 40 FD E0 27 40 FD ?? ?? ?? ?? E1 57 00 FD E0 53 00 FD E0 53 40 FD E1 57 40 FD 7B 00 00 14 7A 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 41 01 00 54 E1 0F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 5F 00 FD E0 5B 00 FD E0 5B 40 FD E1 5F 40 FD 6E 00 00 14 6D 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 02 00 54 F0 0F 40 FD 08 22 60 1E 81 00 00 54 F0 0F 40 FD F0 2B 00 FD 03 00 00 14 F0 13 40 FD F0 2B 00 FD E1 2B 40 FD E0 13 40 FD ?? ?? ?? ?? E1 67 00 FD E0 63 00 FD E0 63 40 FD E1 67 40 FD 59 00 00 14 58 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6F 00 FD E0 6B 00 FD E0 6B 40 FD E1 6F 40 FD 4A 00 00 14 49 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 47 00 FD F0 47 40 FD F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD F0 4B 40 FD F0 17 00 FD F1 1B 40 FD F0 1B 40 FD 31 0A 70 1E 10 10 6E 1E 11 2A 71 1E F0 17 40 FD 10 0A 71 1E F0 33 00 FD F1 33 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 00 22 71 1E A1 02 00 54 F0 17 40 FD 08 22 60 1E 82 00 00 54 10 10 7E 1E F0 2F 00 FD 03 00 00 14 10 10 6E 1E F0 2F 00 FD F1 1B 40 FD 90 04 00 5C 21 0A 70 1E 21 40 60 1E E0 2F 40 FD ?? ?? ?? ?? E1 77 00 FD E0 73 00 FD E0 73 40 FD E1 77 40 FD 19 00 00 14 18 00 00 14 F1 17 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 4F 00 FD F1 1B 40 FD F0 1F 40 FD 21 1A 70 1E F1 4F 40 FD F0 33 40 FD 31 0A 70 1E F0 1F 40 FD 20 1A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 7F 00 FD E0 7B 00 FD E0 7B 40 FD E1 7F 40 FD FD 7B D0 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_592_0_0 {
	meta:
		name = "ctanhl"
		size = 728
		refs = "0018 creall 0030 cimagl 0044 _ldtest 0084 _LZero_C 00c8 _LCbuild 017c _LNan_C 01ac tanl 01c0 sinhl 0208 _LInf_C 0284 sqrtl"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 37 00 FD E1 3B 00 FD E1 3B 40 FD E0 37 40 FD ?? ?? ?? ?? E0 3F 00 FD F0 3F 40 FD F0 13 00 FD E1 3B 40 FD E0 37 40 FD ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 0F 00 FD E0 83 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 03 00 54 E8 3F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 03 00 00 14 D0 11 00 5C F0 23 00 FD F0 13 40 FD 08 22 60 1E 82 00 00 54 10 10 7E 1E F0 27 00 FD 03 00 00 14 10 10 6E 1E F0 27 00 FD E1 23 40 FD E0 27 40 FD ?? ?? ?? ?? E1 57 00 FD E0 53 00 FD E0 53 40 FD E1 57 40 FD 7B 00 00 14 7A 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 41 01 00 54 E1 0F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 5F 00 FD E0 5B 00 FD E0 5B 40 FD E1 5F 40 FD 6E 00 00 14 6D 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 02 00 54 F0 0F 40 FD 08 22 60 1E 81 00 00 54 F0 0F 40 FD F0 2B 00 FD 03 00 00 14 F0 13 40 FD F0 2B 00 FD E1 2B 40 FD E0 13 40 FD ?? ?? ?? ?? E1 67 00 FD E0 63 00 FD E0 63 40 FD E1 67 40 FD 59 00 00 14 58 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6F 00 FD E0 6B 00 FD E0 6B 40 FD E1 6F 40 FD 4A 00 00 14 49 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 47 00 FD F0 47 40 FD F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD F0 4B 40 FD F0 17 00 FD F1 1B 40 FD F0 1B 40 FD 31 0A 70 1E 10 10 6E 1E 11 2A 71 1E F0 17 40 FD 10 0A 71 1E F0 33 00 FD F1 33 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 00 22 71 1E A1 02 00 54 F0 17 40 FD 08 22 60 1E 82 00 00 54 10 10 7E 1E F0 2F 00 FD 03 00 00 14 10 10 6E 1E F0 2F 00 FD F1 1B 40 FD 90 04 00 5C 21 0A 70 1E 21 40 60 1E E0 2F 40 FD ?? ?? ?? ?? E1 77 00 FD E0 73 00 FD E0 73 40 FD E1 77 40 FD 19 00 00 14 18 00 00 14 F1 17 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 4F 00 FD F1 1B 40 FD F0 1F 40 FD 21 1A 70 1E F1 4F 40 FD F0 33 40 FD 31 0A 70 1E F0 1F 40 FD 20 1A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 7F 00 FD E0 7B 00 FD E0 7B 40 FD E1 7F 40 FD FD 7B D0 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_79_5_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEAA@XZ"
		size = 56
		refs = "0018 __imp_FreeEnvironmentStringsW"
		altNames = "?close@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEAAXXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 F9 C0 00 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 7F 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_79_12_0 {
	meta:
		name = "?close@environment_strings_traits@?A0x1bf47908@@SA_NPEA_W@Z"
		size = 36
		refs = "0008 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_79_13_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
		size = 16
		altNames = "?detach@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEAAPEAUprocess_handle_pair@?A0xe43b7539@@XZ ?detach@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEAAPEAU_iobuf@@XZ ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAPEADXZ ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ ?detach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEADXZ ?detach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ ?detach@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QEAAPEAUprocess_handle_pair@?A0xe43b7539@@XZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { 08 00 40 F9 1F 00 00 F9 00 01 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_79_15_0 {
	meta:
		name = "?find_end_of_double_null_terminated_sequence@@YAPEB_WQEB_W@Z"
		size = 68
	strings:
		$1 = { 08 00 40 79 C8 01 00 34 09 3D 00 53 0A 00 00 91 28 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 00 CB 4B FD 41 93 6C 05 00 91 00 04 0C 8B 09 00 40 79 A9 FE FF 35 00 08 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_79_25_0 {
	meta:
		name = "__dcrt_get_narrow_environment_from_os"
		size = 340
		refs = "0014 __imp_GetEnvironmentStringsW 0070 __imp_WideCharToMultiByte 00b0 ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 00c4 _malloc_dbg 0118 _free_dbg 0128 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 13 00 00 91 D3 07 00 B4 68 02 40 79 6D 02 00 91 C8 01 00 34 08 3D 00 53 AA 01 00 91 08 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0D CB 4B FD 41 93 6C 05 00 91 AD 05 0C 8B A8 01 40 79 A8 FE FF 35 A8 01 13 CB ?? ?? ?? ?? 09 09 00 91 ?? ?? ?? ?? 36 FD 41 93 09 FD DF C8 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 C3 02 00 11 62 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 15 7C 40 93 B5 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? C3 0C 80 52 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 14 00 00 91 E0 0B 00 F9 14 02 00 B4 ?? ?? ?? ?? 09 FD DF C8 A5 02 00 11 07 00 80 D2 06 00 80 D2 84 02 00 91 C3 02 00 11 62 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 60 00 00 34 00 00 80 D2 03 00 00 14 E0 0B 40 F9 14 00 80 D2 41 00 80 52 ?? ?? ?? ?? 02 00 00 14 14 00 80 D2 D3 00 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 60 02 00 91 20 01 3F D6 80 02 00 91 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_79_26_0 {
	meta:
		name = "__dcrt_get_wide_environment_from_os"
		size = 232
		refs = "0010 __imp_GetEnvironmentStringsW 007c ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 0090 _malloc_dbg 00b0 memcpy 00bc _free_dbg 00c0 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 13 00 00 91 73 00 00 B5 14 00 80 D2 2A 00 00 14 68 02 40 79 6D 02 00 91 C8 01 00 34 09 3D 00 53 AA 01 00 91 28 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0D CB 4B FD 41 93 6C 05 00 91 AD 05 0C 8B A9 01 40 79 A9 FE FF 35 A8 01 13 CB 09 09 00 91 35 FD 41 93 ?? ?? ?? ?? A0 FA 7F D3 03 08 80 52 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 14 00 00 91 74 00 00 B5 14 00 80 D2 05 00 00 14 A2 FA 7F D3 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 60 02 00 91 20 01 3F D6 80 02 00 91 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_80_5_0 {
	meta:
		name = "_mbsspnp_l"
		size = 460
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strspn 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0074 _CrtDbgReportW 0084 _errno 00a4 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BG@DIADCNPB@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AAp?$AA_?$AAl?$AA?$AA@ 00f8 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 28 01 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 08 68 73 38 09 00 13 8B 1F 01 00 71 20 11 9F 9A 58 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 0A 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 2A 00 00 14 68 02 40 39 A8 04 00 34 8D 02 40 39 8C 02 00 91 CD 02 00 34 8B 01 40 39 69 01 0E 8B 2A 65 40 39 8A 01 10 36 68 02 40 39 7F 01 08 6B A1 00 00 54 6B 06 40 39 8A 05 40 39 5F 01 0B 6B 60 01 00 54 8B 05 40 39 2B 01 00 34 8C 05 00 91 04 00 00 14 69 02 40 39 7F 01 09 6B 80 00 00 54 8C 05 00 91 88 01 40 39 88 FD FF 35 8A 01 40 39 6A 01 00 34 6B 02 40 39 6B 01 0E 8B 6C 65 40 39 8C 00 10 36 73 06 00 91 69 02 40 39 89 00 00 34 73 06 00 91 68 02 40 39 C8 FB FF 35 68 02 40 39 1F 01 00 71 60 12 9F 9A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "_CrtDefaultAllocHook"
		size = 44
	strings:
		$1 = { FF C3 00 D1 E0 03 00 B9 E1 0B 00 F9 E2 0F 00 F9 E3 07 00 B9 E4 0B 00 B9 E5 13 00 F9 E6 0F 00 B9 20 00 80 52 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "fesetround"
		size = 136
		refs = "0030 _getfpcontrolword 0058 _setfpcontrolword 005c fegetround"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 08 00 80 52 E8 13 00 B9 E8 17 40 B9 09 05 18 12 E8 17 40 B9 3F 01 08 6B 60 00 00 54 20 00 80 52 15 00 00 14 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 09 75 16 12 E8 17 40 B9 28 01 08 2A E8 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 00 B9 E9 17 40 B9 E8 1F 40 B9 1F 01 09 6B 60 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_86_0_0 {
	meta:
		name = "_derfc"
		size = 120
		refs = "0024 _s 0030 _dpoly 003c _c 0068 _dexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD 11 42 61 1E F0 0B 40 FD 30 0A 70 1E F0 0F 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 13 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD F0 17 40 FD 20 1A 70 1E 01 00 80 52 00 40 60 1E E0 63 00 91 ?? ?? ?? ?? E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "_lderfc"
		size = 120
		refs = "0024 _s 0030 _ldpoly 003c _c 0068 _ldexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD 11 42 61 1E F0 0B 40 FD 30 0A 70 1E F0 0F 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 13 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD F0 17 40 FD 20 1A 70 1E 01 00 80 52 00 40 60 1E E0 63 00 91 ?? ?? ?? ?? E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_86_1_0 {
	meta:
		name = "erf"
		size = 592
		refs = "0010 _dtest 00a8 _derf_small 00cc s 014c c 01e4 _derf_one 01fc _derfc"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 13 40 FD 7E 00 00 14 E8 4F 40 79 08 01 00 11 88 00 78 36 10 10 7E 1E F0 17 00 FD 03 00 00 14 10 10 6E 1E F0 17 00 FD E0 17 40 FD 74 00 00 14 F0 13 40 FD 08 22 60 1E A2 00 00 54 F0 13 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD F0 1B 40 FD F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E 62 09 00 54 F1 13 40 FD F0 13 40 FD 30 0A 70 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 1A 70 1E F0 13 40 FD 20 0A 70 1E 00 40 60 1E 1B 00 00 14 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E 22 01 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD 11 10 6E 1E F0 23 40 FD 30 3A 70 1E F0 0F 00 FD 03 00 00 14 10 10 6E 1E F0 0F 00 FD F0 13 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0F 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_259_1_0 {
	meta:
		name = "erfl"
		size = 592
		refs = "0010 _ldtest 00a8 _lderf_small 00cc s 014c c 01e4 _lderf_one 01fc _lderfc"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 13 40 FD 7E 00 00 14 E8 4F 40 79 08 01 00 11 88 00 78 36 10 10 7E 1E F0 17 00 FD 03 00 00 14 10 10 6E 1E F0 17 00 FD E0 17 40 FD 74 00 00 14 F0 13 40 FD 08 22 60 1E A2 00 00 54 F0 13 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD F0 1B 40 FD F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E 62 09 00 54 F1 13 40 FD F0 13 40 FD 30 0A 70 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 1A 70 1E F0 13 40 FD 20 0A 70 1E 00 40 60 1E 1B 00 00 14 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E 22 01 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD 11 10 6E 1E F0 23 40 FD 30 3A 70 1E F0 0F 00 FD 03 00 00 14 10 10 6E 1E F0 0F 00 FD F0 13 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0F 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_87_0_0 {
	meta:
		name = "imaxdiv"
		size = 136
		refs = "0008 __security_push_cookie 007c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 07 00 F9 E1 03 00 F9 E9 07 40 F9 E8 03 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A E8 0B 00 F9 E9 03 40 F9 E8 0B 40 F9 29 7D 08 9B E8 07 40 F9 08 01 09 CB E8 0F 00 F9 08 00 80 52 1F 01 00 71 00 01 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0F 40 F9 E8 03 40 F9 28 01 08 CB E8 0F 00 F9 E0 0B 40 F9 E1 0F 40 F9 FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_88_4_0 {
	meta:
		name = "__ascii_strnicmp"
		size = 292
	strings:
		$1 = { FF C3 00 D1 E0 0F 00 F9 E1 13 00 F9 E2 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 00 08 00 54 08 00 80 52 E8 03 00 B9 08 00 80 52 E8 07 00 B9 E8 0F 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 03 00 B9 E8 03 40 B9 E8 0B 00 B9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0B 40 B9 1F 05 01 71 0B 01 00 54 E8 03 40 B9 1F 69 01 71 AC 00 00 54 E9 03 40 B9 E8 03 80 12 28 01 08 4B E8 03 00 B9 E8 13 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 07 00 B9 E8 07 40 B9 E8 0F 00 B9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 B9 1F 05 01 71 0B 01 00 54 E8 07 40 B9 1F 69 01 71 AC 00 00 54 E9 07 40 B9 E8 03 80 12 28 01 08 4B E8 07 00 B9 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 00 01 00 54 E8 03 40 B9 1F 01 00 71 A0 00 00 54 E9 07 40 B9 E8 03 40 B9 1F 01 09 6B 80 F9 FF 54 E9 03 40 B9 E8 07 40 B9 20 01 08 4B 00 00 00 11 03 00 00 14 02 00 00 14 00 00 80 52 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_88_5_0 {
	meta:
		name = "_strnicmp"
		size = 692
		refs = "0014 __acrt_locale_changed 0060 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BE@BHJDFFNA@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 027c __ascii_strnicmp 02a0 _strnicmp_l"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 23 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 13 00 54 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 71 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 41 00 00 14 E9 7B 40 B2 E8 23 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 10 00 00 14 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_88_6_0 {
	meta:
		name = "_strnicmp_l"
		size = 1000
		refs = "002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0068 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 008c _CrtDbgReportW 00b4 _errno 00d8 ??_C@_1BI@BJLEPLEF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00e8 _invalid_parameter 00f8 ??1_LocaleUpdate@@QEAA@XZ 0138 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 020c ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02ac ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02dc __ascii_strnicmp 0328 _tolower_l"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 23 00 F9 E1 27 00 F9 E2 0F 00 F9 E3 57 00 F9 E8 0F 40 F9 1F 01 00 F1 E0 1D 00 54 E1 57 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 73 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 7F 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 7F 40 B9 B8 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 53 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 53 40 B9 84 00 00 14 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 5B 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 5B 40 B9 4F 00 00 14 E0 23 02 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 A1 01 00 54 E2 0F 40 F9 E1 27 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 63 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 63 40 B9 3A 00 00 14 30 00 00 14 E0 23 02 91 ?? ?? ?? ?? E0 6B 00 F9 E8 23 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 67 00 B9 E1 6B 40 F9 E0 67 40 B9 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 13 00 B9 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 6F 00 F9 E8 27 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 6F 00 B9 E1 6F 40 F9 E0 6F 40 B9 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 3B 00 B9 E8 27 40 F9 08 05 00 91 E8 27 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 00 01 00 54 E8 13 40 B9 1F 01 00 71 A0 00 00 54 E9 3B 40 B9 E8 13 40 B9 1F 01 09 6B 40 FA FF 54 E9 13 40 B9 E8 3B 40 B9 28 01 08 4B E8 77 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 77 40 B9 02 00 00 14 00 00 80 52 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_89_6_0 {
	meta:
		name = "_ismbcblank_l"
		size = 156
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0074 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 48 02 00 54 7F 26 00 71 61 00 00 54 00 08 80 52 13 00 00 14 E8 0F 40 F9 6A 1E 00 53 08 01 40 F9 09 D9 6A 78 E9 00 30 37 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 69 00 08 37 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 23 00 80 52 02 08 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_89_8_0 {
	meta:
		name = "_ismbcpunct_l"
		size = 140
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0064 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 C8 01 00 54 E8 0F 40 F9 6A 1E 00 53 08 01 40 F9 09 D9 6A 78 E9 00 20 37 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 69 00 08 37 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 23 00 80 52 02 02 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "asinh"
		size = 316
		refs = "0010 _dtest 0078 _Eps_C 00a8 sqrt 00d8 log1p 00f0 log 00fc ln2"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 EB 00 00 54 E8 1F 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0B 40 FD 3C 00 00 14 F0 0B 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 23 00 B9 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 03 00 00 14 08 00 80 52 E8 23 00 B9 11 10 60 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E F0 0B 40 FD 00 22 71 1E 02 03 00 54 F1 0B 40 FD F0 0B 40 FD 31 0A 70 1E 10 10 6E 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 1F 00 FD F1 0B 40 FD F0 0B 40 FD 32 0A 70 1E 11 10 6E 1E F0 1F 40 FD 30 2A 70 1E 51 1A 70 1E F0 0B 40 FD 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 17 00 FD 09 00 00 14 E0 0B 40 FD ?? ?? ?? ?? E0 27 00 FD F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E F0 17 00 FD E8 23 40 B9 1F 01 00 71 A0 00 00 54 F0 17 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 17 40 FD F0 1B 00 FD E0 1B 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_140_0_0 {
	meta:
		name = "asinhl"
		size = 316
		refs = "0010 _ldtest 0078 _LEps_C 00a8 sqrtl 00d8 log1pl 00f0 logl 00fc ln2"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 EB 00 00 54 E8 1F 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0B 40 FD 3C 00 00 14 F0 0B 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 23 00 B9 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 03 00 00 14 08 00 80 52 E8 23 00 B9 11 10 60 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E F0 0B 40 FD 00 22 71 1E 02 03 00 54 F1 0B 40 FD F0 0B 40 FD 31 0A 70 1E 10 10 6E 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 1F 00 FD F1 0B 40 FD F0 0B 40 FD 32 0A 70 1E 11 10 6E 1E F0 1F 40 FD 30 2A 70 1E 51 1A 70 1E F0 0B 40 FD 00 2A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 17 00 FD 09 00 00 14 E0 0B 40 FD ?? ?? ?? ?? E0 27 00 FD F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E F0 17 00 FD E8 23 40 B9 1F 01 00 71 A0 00 00 54 F0 17 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 17 40 FD F0 1B 00 FD E0 1B 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_91_4_0 {
	meta:
		name = "_mbsncpy_s_l"
		size = 1024
		refs = "0068 _CrtGetDebugFillThreshold 0080 memset 00c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00cc ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e8 _CrtDbgReportW 00f8 _errno 0118 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0138 strncpy_s 0178 _ismbblead_l 02b0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02ec ??_C@_1BK@GLENENA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0304 _invalid_parameter 038c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 56 00 00 91 78 00 00 91 19 00 80 52 B8 00 00 B5 B4 00 00 B5 B3 1A 00 B5 00 00 80 52 EB 00 00 14 54 1A 00 B4 33 1A 00 B4 18 02 00 B5 9F 02 00 39 7F 06 00 B1 20 FF FF 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA A9 FE FF 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ED FF FF 17 56 04 00 B5 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 04 80 52 ?? ?? ?? ?? B1 00 00 14 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 09 40 B9 E8 00 00 35 03 03 00 91 C2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 8C 00 00 14 97 02 00 91 75 02 00 91 1F 07 00 B1 21 01 00 54 89 02 16 CB C8 02 40 39 28 69 36 38 D6 06 00 91 88 04 00 34 B5 06 00 D1 75 FF FF B5 21 00 00 14 C0 02 40 39 E1 63 00 91 ?? ?? ?? ?? A0 01 00 34 C8 06 40 39 C8 02 00 34 BF 0A 00 F1 49 02 00 54 C9 02 40 39 B5 0A 00 D1 E9 02 00 39 CA 06 40 39 D6 0A 00 91 EA 06 00 39 F7 0A 00 91 07 00 00 14 CB 16 40 38 EB 02 00 39 F7 06 00 91 6B 01 00 34 B5 06 00 D1 35 01 00 B4 18 07 00 D1 F8 00 00 B4 E8 FF FF 17 15 00 80 D2 04 00 00 14 FF 02 00 39 39 00 80 52 F7 06 00 91 58 00 00 B5 FF 02 00 39 15 09 00 B5 1F 07 00 B1 E1 03 00 54 99 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 7F 06 00 F1 A9 02 00 54 96 02 13 8B D7 0A 00 D1 F5 02 00 91 FF 02 14 EB 03 01 00 54 A0 02 40 39 E1 63 00 91 ?? ?? ?? ?? 80 00 00 34 B5 06 00 D1 BF 02 14 EB 42 FF FF 54 E9 02 15 4B E9 00 00 36 DF E2 1F 38 ?? ?? ?? ?? C0 00 00 B4 C8 1F 80 52 C8 F2 1F 38 03 00 00 14 88 02 13 8B 1F F1 1F 38 00 0A 80 52 3F 00 00 14 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 15 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 18 00 00 14 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 15 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 02 30 88 9A 88 02 15 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D9 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "_copysign"
		size = 100
	strings:
		$1 = { FF 03 01 D1 E0 03 00 FD E1 0F 00 FD F0 03 40 FD F0 0B 00 FD E8 0B 40 F9 E8 07 00 F9 F0 0F 40 FD F0 13 00 FD E8 13 40 F9 E8 17 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 CA 08 01 41 92 1F 01 00 F1 C0 00 00 54 E8 07 40 F9 08 01 41 D2 E8 1B 00 F9 F0 1B 40 FD F0 03 00 FD E0 03 40 FD FF 03 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_0_0 {
	meta:
		name = "??$common_wincmdln@D@@YAPEADXZ"
		size = 344
		refs = "000c ?do_locale_initialization@@YAXD@Z 0014 ?get_command_line@@YAPEADD@Z 0028 ?empty_string@?1???$common_wincmdln@D@@YAPEADXZ@4PADA 00e0 ?should_copy_another_character@@YA_ND@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 06 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E8 13 40 F9 E8 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 4C 01 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 20 04 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 89 00 71 A1 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 08 1D 00 53 E8 43 00 39 E8 0F 40 F9 00 01 C0 39 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 D3 FF FF 17 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 AC 00 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 F3 FF FF 17 E0 0F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_1_0 {
	meta:
		name = "??$common_wincmdln@_W@@YAPEA_WXZ"
		size = 344
		refs = "000c ?do_locale_initialization@@YAX_W@Z 0014 ?get_command_line@@YAPEA_W_W@Z 0028 ?empty_string@?1???$common_wincmdln@_W@@YAPEA_WXZ@4PA_WA 00e0 ?should_copy_another_character@@YA_N_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 06 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E8 13 40 F9 E8 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 4C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 04 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 20 04 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 89 00 71 A1 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 08 1D 00 53 E8 43 00 39 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 D3 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 AC 00 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 F3 FF FF 17 E0 0F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_2_0 {
	meta:
		name = "?do_locale_initialization@@YAXD@Z"
		size = 24
		refs = "000c __acrt_initialize_multibyte"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_13_0 {
	meta:
		name = "??$get_comspec@D@@YAPEBDXZ"
		size = 116
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0010 ?comspec_name@?1???$get_comspec@D@@YAPEBDXZ@4QBDB 002c _dupenv_s_dbg 0050 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 005c ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0070 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 C0 00 00 54 00 00 80 D2 02 00 00 14 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_14_0 {
	meta:
		name = "??$get_comspec@_W@@YAPEB_WXZ"
		size = 116
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0010 ?comspec_name@?1???$get_comspec@_W@@YAPEB_WXZ@4QB_WB 002c _wdupenv_s_dbg 0050 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 005c ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0070 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 C0 00 00 54 00 00 80 D2 02 00 00 14 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_17_0 {
	meta:
		name = "??$get_path@D@@YAPEBDXZ"
		size = 116
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0010 ?path_name@?1???$get_path@D@@YAPEBDXZ@4QBDB 002c _dupenv_s_dbg 0050 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 005c ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0070 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 C0 00 00 54 00 00 80 D2 02 00 00 14 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_18_0 {
	meta:
		name = "??$get_path@_W@@YAPEB_WXZ"
		size = 116
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0010 ?path_name@?1???$get_path@_W@@YAPEB_WXZ@4QB_WB 002c _wdupenv_s_dbg 0050 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 005c ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0070 _invoke_watson"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 C0 00 00 54 00 00 80 D2 02 00 00 14 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_3_0 {
	meta:
		name = "?do_locale_initialization@@YAX_W@Z"
		size = 16
		altNames = "?get_argv@@YAAEAPEAPEA_W_W@Z ?get_assert_format@@YAPEB_W_W@Z ?get_banner_text@@YAPEB_W_W@Z ?get_box_intro@@YAPEB_W_W@Z ?get_command_line@@YAPEA_W_W@Z ?get_dot_dot_dot@@YAPEB_W_W@Z ?get_double_newline@@YAPEB_W_W@Z ?get_expression_intro@@YAPEB_W_W@Z ?get_failure_string@@YAPEA_W_W@Z ?get_file_intro@@YAPEB_W_W@Z ?get_help_intro@@YAPEB_W_W@Z ?get_info_intro@@YAPEB_W_W@Z ?get_line_intro@@YAPEB_W_W@Z ?get_newline@@YAPEB_W_W@Z ?get_output_message_format@@YAPEB_W_W@Z ?get_program_intro@@YAPEB_W_W@Z ?get_program_name_unknown_text@@YAPEB_W_W@Z ?get_report_hook_list@@YAAEAPEAU?$__crt_report_hook_node@_W@@_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_4_0 {
	meta:
		name = "?get_command_line@@YAPEADD@Z"
		size = 24
		refs = "0008 _acmdln"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_34_0 {
	meta:
		name = "?get_argv@@YAAEAPEAPEADD@Z"
		size = 24
		refs = "0008 __argv"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_45_2 {
	meta:
		name = "?get_assert_format@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0CK@CFPGFGGO@Assertion?5failed?3?5?$CFTs?0?5file?5?$CFTs?0@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_47_3 {
	meta:
		name = "?get_banner_text@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_49_3 {
	meta:
		name = "?get_box_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_51_2 {
	meta:
		name = "?get_dot_dot_dot@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_03KHICJKCI@?4?4?4?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_53_3 {
	meta:
		name = "?get_double_newline@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_02PHMGELLB@?6?6?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_55_3 {
	meta:
		name = "?get_expression_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0N@MEECIJGN@Expression?3?5?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_14_0 {
	meta:
		name = "?get_failure_string@@YAPEADD@Z"
		size = 24
		refs = "0008 ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_57_4 {
	meta:
		name = "?get_file_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_06IGPBOHMJ@File?3?5?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_60_4 {
	meta:
		name = "?get_help_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_62_4 {
	meta:
		name = "?get_info_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_64_4 {
	meta:
		name = "?get_line_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_06FIEBOLOH@Line?3?5?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_66_0 {
	meta:
		name = "?get_newline@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_01EEMJAFIK@?6?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_44_3 {
	meta:
		name = "?get_output_message_format@@YAPEB_WD@Z"
		size = 24
		refs = "0008 ??_C@_1MG@LJLILFFD@?$AAD?$AAe?$AAb?$AAu?$AAg?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$CF?$AAh?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAh@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_68_2 {
	meta:
		name = "?get_program_intro@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_09KLGCKDOD@Program?3?5?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_46_0 {
	meta:
		name = "?get_program_name_unknown_text@@YAPEBDD@Z"
		size = 24
		refs = "0008 ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_48_4 {
	meta:
		name = "?get_report_hook_list@@YAAEAPEAU?$__crt_report_hook_node@D@@D@Z"
		size = 24
		refs = "0008 _pReportHookList"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_112_0_4 {
	meta:
		name = "_get_printf_count_output"
		size = 64
		refs = "0004 __security_cookie 0010 ?enable_percent_n@@3_KA"
	strings:
		$1 = { FF 43 00 D1 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 40 B2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_8_0 {
	meta:
		name = "_get_narrow_winmain_command_line"
		size = 28
		refs = "0008 ??$common_wincmdln@D@@YAPEADXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_18_0 {
	meta:
		name = "_Gettnames"
		size = 28
		refs = "0008 _W_Gettnames"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_61_0 {
	meta:
		name = "__acrt_getptd_noexit"
		size = 28
		refs = "0008 ?internal_getptd_noexit@@YAPEAU__acrt_ptd@@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_93_9_0 {
	meta:
		name = "_get_wide_winmain_command_line"
		size = 28
		refs = "0008 ??$common_wincmdln@_W@@YAPEA_WXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_0_0 {
	meta:
		name = "??$common_mktemp@D@@YAPEADQEAD@Z"
		size = 292
		refs = "0040 ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 00c0 _invalid_parameter 00d0 ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z 00e8 ??$common_mktemp_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 15 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 01 05 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 81 00 00 54 E8 0F 40 F9 E8 1B 00 F9 03 00 00 14 08 00 80 D2 E8 1B 00 F9 E0 1B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_1_0 {
	meta:
		name = "??$common_mktemp@_W@@YAPEA_WQEA_W@Z"
		size = 292
		refs = "0040 ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 00c0 _invalid_parameter 00d0 ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z 00e8 ??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 15 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 01 05 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 81 00 00 54 E8 0F 40 F9 E8 1B 00 F9 03 00 00 14 08 00 80 D2 E8 1B 00 F9 E0 1B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_2_0 {
	meta:
		name = "??$common_mktemp_s@D@@YAHQEAD_K@Z"
		size = 2088
		refs = "0050 ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 00e4 ??$tcsnlen@AEBQEADAEB_K@?$__crt_char_traits@D@@SA_KAEBQEADAEB_K@Z 013c _CrtGetDebugFillThreshold 018c memset 0190 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01d4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03d8 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 0464 __imp_GetCurrentThreadId 04b8 ?common_mktemp_s_continue@@YA_NQEBD0@Z 06fc ??$taccess_s@AEBQEADH@?$__crt_char_traits@D@@SAHAEBQEAD$$QEAH@Z"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 D2 01 00 14 E1 63 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 1F 00 F9 E9 0F 40 F9 E8 1F 40 F9 1F 01 09 EB 03 0B 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 4B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 4F 00 F9 E8 17 40 F9 00 05 00 91 E2 4F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 71 01 00 14 E8 0F 40 F9 1F 05 00 B1 A0 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 20 04 00 54 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 3F 01 08 EB 82 03 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 53 00 F9 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 09 01 09 CB E8 53 40 F9 1F 01 09 EB 82 00 00 54 E8 53 40 F9 E8 57 00 F9 06 00 00 14 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 08 01 09 CB E8 57 00 F9 E8 1F 40 F9 09 05 00 91 E8 17 40 F9 00 01 09 8B E2 57 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 1F 40 F9 1F 19 00 F1 A3 00 00 54 E9 1F 40 F9 E8 0F 40 F9 1F 01 09 EB 88 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 5B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 5B 40 F9 1F 01 09 EB 82 00 00 54 E8 5B 40 F9 E8 5F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 5F 00 F9 E8 17 40 F9 00 05 00 91 E2 5F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 F0 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 7F 00 B9 E8 7F 40 B9 E8 43 00 B9 E9 17 40 F9 E8 1F 40 F9 28 01 08 8B E8 1B 00 F9 08 00 80 D2 E8 37 00 F9 E8 1B 40 F9 08 05 00 D1 E8 1B 00 F9 E9 17 40 F9 E8 1B 40 F9 1F 01 09 EB 43 04 00 54 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 40 03 00 54 E8 1B 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 02 00 54 E8 37 40 F9 1F 15 00 F1 42 02 00 54 E8 37 40 F9 08 05 00 91 E8 37 00 F9 EA 43 40 B9 49 01 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 1B 40 F9 09 01 00 39 E9 43 40 B9 48 01 80 52 28 09 C8 1A E8 43 00 B9 D9 FF FF 17 E8 1B 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 81 00 00 54 E8 37 40 F9 1F 15 00 F1 82 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 E8 63 00 F9 E8 0F 40 F9 09 05 00 D1 E8 63 40 F9 1F 01 09 EB 82 00 00 54 E8 63 40 F9 E8 67 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 67 00 F9 E8 17 40 F9 00 05 00 91 E2 67 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 63 00 B9 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 61 00 00 14 28 0C 80 52 E8 43 00 39 E9 1B 40 F9 E8 43 C0 39 28 01 00 39 E8 43 C0 39 08 05 00 11 08 1D 00 13 E8 43 00 39 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 01 40 B9 E8 8F 00 B9 ?? ?? ?? ?? E0 9B 00 F9 E9 9B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 E8 87 00 B9 E1 13 02 91 E0 A3 00 91 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 E1 07 00 54 E8 43 C0 39 08 01 00 11 1F ED 01 71 C1 05 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 E8 6B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 6B 40 F9 1F 01 09 EB 82 00 00 54 E8 6B 40 F9 E8 6F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 6F 00 F9 E8 17 40 F9 00 05 00 91 E2 6F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 28 02 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 00 01 40 B9 14 00 00 14 E9 1B 40 F9 E8 43 C0 39 28 01 00 39 E8 43 C0 39 08 05 00 11 08 1D 00 13 E8 43 00 39 ?? ?? ?? ?? E0 AB 00 F9 E9 AB 40 F9 08 00 80 52 28 01 00 B9 BA FF FF 17 ?? ?? ?? ?? E0 AF 00 F9 E9 AF 40 F9 E8 8F 40 B9 28 01 00 B9 00 00 80 52 FD 7B D6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_3_0 {
	meta:
		name = "??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
		size = 2164
		refs = "0050 ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 00d0 _invalid_parameter 00e4 ??$tcsnlen@AEBQEA_WAEB_K@?$__crt_char_traits@_W@@SA_KAEBQEA_WAEB_K@Z 013c _CrtGetDebugFillThreshold 0198 memset 019c ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01e0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0404 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 0490 __imp_GetCurrentThreadId 04ec ?common_mktemp_s_continue@@YA_NQEB_W0@Z 073c ??$taccess_s@AEBQEA_WH@?$__crt_char_traits@_W@@SAHAEBQEA_W$$QEAH@Z"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 E5 01 00 14 E1 63 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 1F 00 F9 E9 0F 40 F9 E8 1F 40 F9 1F 01 09 EB 63 0B 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 4B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 4F 00 F9 E9 4F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 81 01 00 14 E8 0F 40 F9 1F 05 00 B1 40 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB C0 04 00 54 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 3F 01 08 EB 22 04 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 53 00 F9 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 09 01 09 CB E8 53 40 F9 1F 01 09 EB 82 00 00 54 E8 53 40 F9 E8 57 00 F9 06 00 00 14 E8 1F 40 F9 09 05 00 91 E8 0F 40 F9 08 01 09 CB E8 57 00 F9 E9 57 40 F9 48 00 80 D2 22 7D 08 9B E8 1F 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 17 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 1F 40 F9 1F 19 00 F1 A3 00 00 54 E9 1F 40 F9 E8 0F 40 F9 1F 01 09 EB E8 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 5B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 5B 40 F9 1F 01 09 EB 82 00 00 54 E8 5B 40 F9 E8 5F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 5F 00 F9 E9 5F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 F8 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 7F 00 B9 E8 7F 40 B9 E8 43 00 B9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 1B 00 F9 08 00 80 D2 E8 37 00 F9 E8 1B 40 F9 08 09 00 D1 E8 1B 00 F9 E9 17 40 F9 E8 1B 40 F9 1F 01 09 EB 43 04 00 54 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 40 03 00 54 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 02 00 54 E8 37 40 F9 1F 15 00 F1 42 02 00 54 E8 37 40 F9 08 05 00 91 E8 37 00 F9 EA 43 40 B9 49 01 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 1B 40 F9 09 01 00 79 E9 43 40 B9 48 01 80 52 28 09 C8 1A E8 43 00 B9 D9 FF FF 17 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 81 00 00 54 E8 37 40 F9 1F 15 00 F1 E2 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 E8 63 00 F9 E8 0F 40 F9 09 05 00 D1 E8 63 40 F9 1F 01 09 EB 82 00 00 54 E8 63 40 F9 E8 67 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 67 00 F9 E9 67 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 63 00 B9 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 64 00 00 14 28 0C 80 52 E8 23 00 79 E9 1B 40 F9 E8 23 40 79 28 01 00 79 E8 23 40 79 08 05 00 11 08 3D 00 53 E8 23 00 79 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 01 40 B9 E8 8F 00 B9 ?? ?? ?? ?? E0 9B 00 F9 E9 9B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 E8 87 00 B9 E1 13 02 91 E0 A3 00 91 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 41 08 00 54 E8 23 40 79 08 01 00 11 1F ED 01 71 21 06 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 E8 6B 00 F9 E8 0F 40 F9 09 05 00 D1 E8 6B 40 F9 1F 01 09 EB 82 00 00 54 E8 6B 40 F9 E8 6F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 6F 00 F9 E9 6F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 28 02 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 00 01 40 B9 14 00 00 14 E9 1B 40 F9 E8 23 40 79 28 01 00 79 E8 23 40 79 08 05 00 11 08 3D 00 53 E8 23 00 79 ?? ?? ?? ?? E0 AB 00 F9 E9 AB 40 F9 08 00 80 52 28 01 00 B9 B7 FF FF 17 ?? ?? ?? ?? E0 AF 00 F9 E9 AF 40 F9 E8 8F 40 B9 28 01 00 B9 00 00 80 52 FD 7B D6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_8_0 {
	meta:
		name = "??$tcsnlen@AEBQEADAEB_K@?$__crt_char_traits@D@@SA_KAEBQEADAEB_K@Z"
		size = 52
		refs = "0020 strnlen"
		altNames = "??$tcsnlen@AEBQEBDAEB_K@?$__crt_char_traits@D@@SA_KAEBQEBDAEB_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_9_0 {
	meta:
		name = "??$tcsnlen@AEBQEA_WAEB_K@?$__crt_char_traits@_W@@SA_KAEBQEA_WAEB_K@Z"
		size = 52
		refs = "0020 wcsnlen"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_112_0 {
	meta:
		name = "??$tcsnlen@AEBQEB_WAEB_K@?$__crt_char_traits@_W@@SA_KAEBQEB_WAEB_K@Z"
		size = 52
		refs = "0020 wcsnlen"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_10_0 {
	meta:
		name = "?common_mktemp_s_continue@@YA_NQEBD0@Z"
		size = 84
		refs = "0018 _ismbstrail"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_94_11_0 {
	meta:
		name = "?common_mktemp_s_continue@@YA_NQEB_W0@Z"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_95_5_0 {
	meta:
		name = "_mbsset_l"
		size = 396
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_1GO@FALCJPPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 006c ??_C@_1BE@KFCMNHGC@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0084 _invalid_parameter 00cc ??_C@_1FC@MPDKGLLO@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 11 41 00 00 91 E0 43 00 91 75 02 00 91 ?? ?? ?? ?? 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 13 00 80 D2 35 00 00 14 E8 13 40 F9 08 09 40 B9 08 01 00 35 68 02 C0 39 6A 02 00 91 E8 05 00 34 54 01 00 39 49 1D C0 38 C9 FF FF 35 2B 00 00 14 88 7E 08 53 0C 1D 00 53 4C 04 00 34 8B 1E 00 53 6B 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 0C 04 80 52 0B 04 80 52 68 02 40 39 28 02 00 34 6C 02 00 39 69 1E 40 38 89 00 00 34 6B 02 00 39 73 06 00 91 03 00 00 14 0A 04 80 52 6A F2 1F 38 6A 02 40 39 EA FE FF 35 06 00 00 14 68 02 40 39 88 00 00 34 74 02 00 39 69 1E 40 38 C9 FF FF 35 B3 02 00 91 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 91 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "fgetpos"
		size = 460
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GC@KIBACKPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BA@PDKPGILH@?$AAf?$AAg?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0194 _ftelli64"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 17 40 F9 E8 27 40 F9 28 01 00 F9 E8 17 40 F9 08 01 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "_mbsinc"
		size = 164
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GO@HFJOCENB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0038 _CrtDbgReportW 0048 _errno 0054 ??_C@_1BA@GDAOKFNN@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAn?$AAc?$AA?$AA@ 006c _invalid_parameter 007c _ismbblead"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 09 00 00 14 60 02 40 39 ?? ?? ?? ?? 1F 00 00 71 60 06 00 91 80 00 00 54 08 00 40 39 48 00 00 34 00 04 00 91 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_98_1_0 {
	meta:
		name = "_mbsinc_l"
		size = 60
		refs = "0014 _ismbblead_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 39 ?? ?? ?? ?? 1F 00 00 71 60 06 00 91 80 00 00 54 08 00 40 39 48 00 00 34 00 04 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "cargf"
		size = 76
		refs = "0018 crealf 0028 cimagf 0038 atan2f"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "cabsf"
		size = 76
		refs = "0018 cimagf 0028 crealf 0038 hypotf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_100_1_0 {
	meta:
		name = "scaleDouble_2"
		size = 132
	strings:
		$1 = { FF 03 01 D1 E0 13 00 FD E0 03 00 B9 E9 03 40 B9 48 00 80 52 28 0D C8 1A E8 07 00 B9 E9 03 40 B9 E8 07 40 B9 28 01 08 4B E8 0B 00 B9 E8 07 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 0B 00 F9 F0 0B 40 FD F0 17 00 FD E8 0B 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 0F 00 F9 F0 0F 40 FD F0 1B 00 FD F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 1B 40 FD 20 0A 70 1E 00 40 60 1E FF 03 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_100_2_0 {
	meta:
		name = "splitexp"
		size = 512
		refs = "00bc ?two_to_jby32_lead_table@?1??splitexp@@9@9 00e0 ?two_to_jby32_trail_table@?1??splitexp@@9@9"
	strings:
		$1 = { FF 03 02 D1 E0 17 00 FD E1 1B 00 FD E2 27 00 FD E3 2B 00 FD E4 2F 00 FD E0 33 00 F9 E1 37 00 F9 E2 3F 00 F9 F1 17 40 FD F0 27 40 FD 30 0A 70 1E F0 07 00 FD F0 07 40 FD 08 22 60 1E ED 00 00 54 F1 07 40 FD 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 03 00 B9 06 00 00 14 F1 07 40 FD 10 10 6C 1E 30 3A 70 1E 08 02 78 1E E8 03 00 B9 E8 03 40 B9 11 01 62 1E F0 2B 40 FD 31 0A 70 1E F0 17 40 FD 10 3A 71 1E F0 13 00 FD E8 03 40 B9 E8 03 08 4B 11 01 62 1E F0 2F 40 FD 30 0A 70 1E F0 0F 00 FD E8 03 40 B9 08 11 00 12 E8 13 00 B9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 1F 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 23 00 FD E9 03 40 B9 E8 13 40 B9 29 01 08 4B 08 04 80 52 29 0D C8 1A E8 33 40 F9 09 01 00 B9 F1 13 40 FD F0 1B 40 FD 30 0A 70 1E F0 13 00 FD F1 0F 40 FD F0 1B 40 FD 30 0A 70 1E F0 0F 00 FD F1 13 40 FD F0 0F 40 FD 30 2A 70 1E F0 07 00 FD F1 07 40 FD F0 07 40 FD 32 0A 70 1E F1 07 40 FD 90 04 00 5C 31 0A 70 1E 90 04 00 5C 11 2A 71 1E F0 07 40 FD 11 0A 71 1E 50 04 00 5C 11 2A 71 1E F0 07 40 FD 11 0A 71 1E 10 04 00 5C 11 2A 71 1E F0 07 40 FD 11 0A 71 1E 10 10 6C 1E 10 2A 71 1E 51 0A 70 1E F0 0F 40 FD 11 2A 71 1E F0 13 40 FD 10 2A 71 1E F0 3B 00 FD E8 37 40 F9 F0 1F 40 FD 10 01 00 FD F1 1F 40 FD F0 23 40 FD 31 2A 70 1E F0 3B 40 FD 31 0A 70 1E F0 23 40 FD 10 2A 71 1E E8 3F 40 F9 10 01 00 FD FF 03 02 91 C0 03 5F D6 65 97 73 8D 72 C1 56 3F 5E 90 AA B7 15 11 81 3F 4E 5D 54 55 55 55 A5 3F 7C 8F 54 55 55 55 C5 3F }
	condition:
		$1
}

rule file_100_3_0 {
	meta:
		name = "tanh"
		size = 888
		refs = "0058 val_with_flags 0080 _handle_nan 00e0 ?large_threshold@?1??tanh@@9@9 0260 ?log2_by_32_tail@?1??tanh@@9@9 0268 ?log2_by_32_lead@?1??tanh@@9@9 0270 ?thirtytwo_by_log2@?1??tanh@@9@9 0280 splitexp 0298 scaleDouble_2"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1B 00 FD F0 1B 40 FD F0 2F 00 FD E8 2F 40 F9 E8 27 00 F9 E8 27 40 F9 08 F9 40 92 E8 1F 00 F9 09 C6 E7 D2 E8 1F 40 F9 1F 01 09 EB C2 01 00 54 E8 1F 40 F9 1F 01 00 F1 81 00 00 54 E0 1B 40 FD A7 00 00 14 07 00 00 14 00 02 80 52 E0 1B 40 FD ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD A0 00 00 14 0A 00 00 14 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB C9 00 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 37 00 FD E0 37 40 FD 96 00 00 14 E9 27 40 F9 E8 1F 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 7D 40 93 E8 2B 00 F9 F0 1B 40 FD F0 0F 00 FD E8 2B 40 F9 1F 01 00 F1 80 00 00 54 F0 1B 40 FD 10 42 61 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E 8D 00 00 54 10 10 6E 1E F0 13 00 FD 73 00 00 14 11 10 6E 1E F0 0F 40 FD 00 22 71 1E E8 09 00 54 F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 0B 00 FD 91 0E 00 5C F0 0F 40 FD 00 22 71 1E 82 04 00 54 F1 0F 40 FD F0 0B 40 FD 32 0A 70 1E F1 0D 00 5C F0 0B 40 FD 31 0A 70 1E D0 0D 00 5C 11 3A 71 1E F0 0B 40 FD 31 0A 70 1E 90 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 50 0D 00 5C 10 2A 71 1E 52 0A 70 1E 31 0D 00 5C F0 0B 40 FD 31 0A 70 1E 10 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E D0 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 90 0C 00 5C 10 2A 71 1E 51 1A 70 1E F0 0F 40 FD 10 2A 71 1E F0 13 00 FD 23 00 00 14 F1 0F 40 FD F0 0B 40 FD 32 0A 70 1E 91 0B 00 5C F0 0B 40 FD 31 0A 70 1E 70 0B 00 5C 11 3A 71 1E F0 0B 40 FD 31 0A 70 1E 30 0B 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E F0 0A 00 5C 10 2A 71 1E 52 0A 70 1E D1 0A 00 5C F0 0B 40 FD 31 0A 70 1E B0 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 70 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 30 0A 00 5C 10 2A 71 1E 51 1A 70 1E F0 0F 40 FD 10 2A 71 1E F0 13 00 FD 21 00 00 14 11 10 60 1E F0 0F 40 FD 20 0A 70 1E E2 E3 01 91 E1 C3 01 91 E0 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E 00 40 60 1E ?? ?? ?? ?? F1 3B 40 FD F0 3F 40 FD 20 2A 70 1E E0 43 40 B9 00 40 60 1E ?? ?? ?? ?? E0 43 00 FD F1 43 40 FD 10 10 6E 1E 30 2A 70 1E F0 47 00 FD 11 10 60 1E F0 47 40 FD 31 1A 70 1E 10 10 6E 1E 10 3A 71 1E F0 13 00 FD E8 2B 40 F9 1F 01 00 F1 80 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD E0 13 40 FD FD 7B C9 A8 C0 03 5F D6 1F 20 03 D5 CD CC CC CC CC CC EC 3F 81 AF 09 0D D1 82 4E 3E C9 79 F4 FA 7B 38 2A BF AE 02 03 B9 29 06 92 BF 58 77 00 E8 B6 89 D1 BF 84 D2 CA CE B3 68 2B 3F A9 88 7A CC D4 A3 94 3F 4C B9 4A 1C D0 6C D8 3F 04 B3 00 5C 92 4E EA 3F EC 6C 7E 84 5A CC 48 3E DD 35 98 C6 83 B4 25 BF 18 21 21 6E AD EF 8D BF 88 E2 5A 7C 59 28 CD BF 50 E7 34 F3 77 AF 26 3F 7F 48 EC BA 35 23 91 3F F6 C5 BC 59 14 4D D4 3F FD 2A 44 1D 43 DE E5 3F }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "?issue_debug_notification@@YA_NQEB_W@Z"
		size = 116
		refs = "0010 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E5 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 00 01 00 54 E8 13 40 B9 1F 05 00 71 40 00 00 54 06 00 00 14 00 00 3E D4 20 00 80 52 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_101_1_0 {
	meta:
		name = "?should_write_error_to_console@@YA_NXZ"
		size = 96
		refs = "000c _set_error_mode 003c ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 60 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 13 40 B9 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_101_2_0 {
	meta:
		name = "?write_string_to_console@@YAXQEB_W@Z"
		size = 304
		refs = "0008 __security_push_cookie 0018 __imp_GetStdHandle 0114 __imp_WriteFile 0124 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 09 D1 E0 23 00 F9 60 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E8 17 40 F9 1F 05 00 B1 41 00 00 54 36 00 00 14 88 3E 80 D2 E8 27 00 F9 E8 43 01 91 E8 13 00 F9 E8 13 40 F9 08 D1 07 91 E8 1B 00 F9 E8 13 40 F9 E8 03 00 F9 E8 23 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 40 79 09 1D 00 13 E8 03 40 F9 09 01 00 39 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E9 1B 40 F9 E8 03 40 F9 1F 01 09 EB 60 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 13 40 B9 1F 01 00 71 61 FD FF 54 E8 1B 40 F9 09 05 00 D1 08 00 80 52 28 01 00 39 E9 03 40 F9 E8 13 40 F9 28 01 08 CB 08 05 00 D1 08 01 00 11 E8 1B 00 B9 08 00 80 52 E8 17 00 B9 04 00 80 D2 E3 53 00 91 E2 1B 40 B9 E1 43 01 91 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FF 03 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_101_3_0 {
	meta:
		name = "__acrt_report_runtime_error"
		size = 660
		refs = "0010 ?issue_debug_notification@@YA_NQEB_W@Z 002c ?should_write_error_to_console@@YA_NXZ 0048 ?write_string_to_console@@YAXQEB_W@Z 0050 ?outmsg@?9??__acrt_report_runtime_error@@9@4PA_WA 0088 ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 009c wcscpy_s 00ac ??_C@_1IC@DCNEKBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 00b4 ??_C@_1DI@BLFJHKKP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAr?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00bc ??_C@_1LE@MHPGJGKE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 00c8 _invoke_watson_if_error 00e8 __imp_GetModuleFileNameW 0104 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0134 ??_C@_1HK@FJJNAABO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 0148 wcslen 01a8 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 01b8 wcsncpy_s 01d8 ??_C@_1HI@FLHKGEBE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI@ 01e8 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 01fc wcscat_s 021c ??_C@_1IG@MNNKBLBI@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 025c ??_C@_1IG@DFBBBDAN@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 0270 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0280 __acrt_show_wide_message_box"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 97 00 00 14 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E0 23 40 F9 ?? ?? ?? ?? 8E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 08 C9 00 91 E8 0F 00 F9 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 CB 09 FD 41 93 88 62 80 D2 08 01 09 CB E8 27 00 F9 E8 0F 40 F9 E8 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 81 62 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2B 00 B9 05 00 80 D2 04 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2B 40 B9 ?? ?? ?? ?? E8 0F 40 F9 09 21 08 91 08 00 80 52 28 01 00 79 82 20 80 52 E1 0F 40 F9 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E1 27 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 A4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 05 00 91 1F F1 00 F1 69 04 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 05 00 91 09 F1 00 D1 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E8 13 00 F9 E9 13 40 F9 E8 0F 40 F9 28 01 08 CB 09 FD 41 93 E8 27 40 F9 01 01 09 CB 63 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 21 00 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 84 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 62 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 E4 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? E2 23 40 F9 81 62 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 04 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? 22 01 00 18 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 10 20 01 00 }
	condition:
		$1
}

rule file_101_6_0 {
	meta:
		name = "_set_app_type"
		size = 28
		refs = "0008 ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 ?? ?? ?? ?? E8 03 40 B9 ?? ?? ?? ?? FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "log1p"
		size = 268
		refs = "0010 _dtest 007c _fperrraise 0080 _Nan_C 00a8 _Inf_C 00d4 log"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 0F 40 FD 2D 00 00 14 E8 3F 40 79 08 01 00 11 68 00 78 37 E0 0F 40 FD 28 00 00 14 11 10 7E 1E F0 0F 40 FD 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 00 14 1E 00 00 14 11 10 7E 1E F0 0F 40 FD 00 22 71 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 13 00 00 14 12 00 00 14 11 10 6E 1E F0 0F 40 FD 30 2A 70 1E F0 13 00 FD E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD 10 10 6E 1E 31 3A 70 1E F0 0F 40 FD 31 3A 70 1E F0 13 40 FD 31 1A 70 1E F0 17 40 FD 00 3A 71 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_421_0_0 {
	meta:
		name = "log1pl"
		size = 268
		refs = "0010 _ldtest 007c _fperrraise 0080 _LNan_C 00a8 _LInf_C 00d4 logl"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 0F 40 FD 2D 00 00 14 E8 3F 40 79 08 01 00 11 68 00 78 37 E0 0F 40 FD 28 00 00 14 11 10 7E 1E F0 0F 40 FD 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 00 14 1E 00 00 14 11 10 7E 1E F0 0F 40 FD 00 22 71 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 13 00 00 14 12 00 00 14 11 10 6E 1E F0 0F 40 FD 30 2A 70 1E F0 13 00 FD E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD 10 10 6E 1E 31 3A 70 1E F0 0F 40 FD 31 3A 70 1E F0 13 40 FD 31 1A 70 1E F0 17 40 FD 00 3A 71 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "nearbyintf"
		size = 96
		refs = "0010 _fdtest 004c _fdrint"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EB 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 17 40 BD 05 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 1F 00 BD E0 1F 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_104_1_0 {
	meta:
		name = "_wcsdup"
		size = 48
		refs = "001c _wcsdup_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 52 02 00 80 D2 21 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_170_1_0 {
	meta:
		name = "_strdup"
		size = 48
		refs = "001c _strdup_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 52 02 00 80 D2 21 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_520_0_0 {
	meta:
		name = "malloc"
		size = 48
		refs = "001c _malloc_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 52 02 00 80 D2 21 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_104_2_0 {
	meta:
		name = "_wcsdup_dbg"
		size = 204
		refs = "0030 wcslen 0060 _malloc_dbg 0090 wcscpy_s 00a0 ??_C@_1GC@MIDGGPKO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a8 ??_C@_1BI@JDKFAFNF@?$AA_?$AAw?$AAc?$AAs?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00b0 ??_C@_1FG@LKKABMLN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 00bc _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 23 00 F9 E3 13 00 B9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 27 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 05 00 91 E8 1B 00 F9 E9 1B 40 F9 48 00 80 D2 20 7D 08 9B E3 13 40 B9 E2 23 40 F9 E1 17 40 B9 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 11 00 00 14 E2 13 40 F9 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 05 00 80 D2 44 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_105_0_0 {
	meta:
		name = "atanf"
		size = 848
		refs = "019c _handle_nanf 01cc ?piby2@?1??atanf@@9@9 01e4 valf_with_flags"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 27 00 BD F0 27 40 BD 10 C2 22 1E F0 0B 00 FD F0 0B 40 FD F0 3B 00 FD E8 3B 40 F9 E8 37 00 F9 E8 37 40 F9 08 F9 40 92 E8 17 00 F9 E8 37 40 F9 08 01 41 92 E8 2F 00 F9 F0 0B 40 FD F0 0F 00 FD E8 2F 40 F9 1F 01 00 F1 80 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0F 00 FD 89 FB E7 D2 E8 17 40 F9 1F 01 09 EB C2 00 00 54 F0 0F 40 FD F0 0B 00 FD 90 13 00 5C F0 1F 00 FD 6D 00 00 14 C9 FC E7 D2 E8 17 40 F9 1F 01 09 EB C2 01 00 54 11 10 60 1E F0 0F 40 FD 31 0A 70 1E 10 10 6E 1E 32 3A 70 1E 11 10 60 1E F0 0F 40 FD 30 2A 70 1E 50 1A 70 1E F0 0B 00 FD B0 11 00 5C F0 1F 00 FD 5C 00 00 14 69 FE E7 D2 E8 17 40 F9 1F 01 09 EB 82 01 00 54 F1 0F 40 FD 10 10 6E 1E 32 3A 70 1E 11 10 6E 1E F0 0F 40 FD 30 2A 70 1E 50 1A 70 1E F0 0B 00 FD 10 10 00 5C F0 1F 00 FD 4D 00 00 14 E9 0F 00 58 E8 17 40 F9 1F 01 09 EB C2 01 00 54 F1 0F 40 FD 10 10 6F 1E 32 3A 70 1E 11 10 6F 1E F0 0F 40 FD 31 0A 70 1E 10 10 6E 1E 10 2A 71 1E 50 1A 70 1E F0 0B 00 FD 70 0E 00 5C F0 1F 00 FD 3C 00 00 14 09 FE EF D2 E8 17 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 A0 01 00 54 F0 27 40 BD F0 47 00 BD E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 4F 00 BD E0 4F 40 BD 4E 00 00 14 1C 00 00 14 11 0B 00 5C F0 0F 40 FD 00 22 71 1E 0D 03 00 54 E8 2F 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD 3C 00 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 57 00 BD E0 57 40 BD 32 00 00 14 11 10 7E 1E F0 0F 40 FD 30 1A 70 1E F0 0B 00 FD 70 07 00 5C F0 1F 00 FD F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E F0 1B 00 FD F1 0B 40 FD F0 1B 40 FD 32 0A 70 1E 91 06 00 5C F0 1B 40 FD 31 0A 70 1E 70 06 00 5C 11 2A 71 1E F0 1B 40 FD 31 0A 70 1E 30 06 00 5C 10 2A 71 1E 52 0A 70 1E 11 06 00 5C F0 1B 40 FD 31 0A 70 1E F0 05 00 5C 11 2A 71 1E F0 1B 40 FD 31 0A 70 1E B0 05 00 5C 10 2A 71 1E 50 1A 70 1E F0 3F 00 FD F1 3F 40 FD F0 0B 40 FD 31 3A 70 1E F0 1F 40 FD 10 3A 71 1E F0 33 00 FD E8 2F 40 F9 1F 01 00 F1 80 00 00 54 F0 33 40 FD 10 42 61 1E F0 33 00 FD F0 33 40 FD 00 42 62 1E 00 40 20 1E FD 7B C8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 4F BB 61 05 67 AC DD 3F 18 2D 44 54 FB 21 E9 3F 00 00 00 00 00 80 03 40 9B F6 81 D2 0B 73 EF 3F 00 00 00 00 00 20 D3 43 18 2D 44 54 FB 21 F9 3F 2A A2 8D 75 6A 47 73 3F 7F EE 81 3A 17 9E C8 3F 34 78 90 16 53 FA D2 3F AA F2 2C DF E3 27 D3 3F A4 6E DA 93 87 C5 F1 3F F0 53 10 A2 7C 77 EC 3F }
	condition:
		$1
}

rule file_106_4_0 {
	meta:
		name = "??$common_capture_argv@D@@YAPEAPEADQEAPEADQEBD0_K@Z"
		size = 432
		refs = "0040 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0078 _calloc_dbg 0088 _free_dbg 00b0 memcpy_s 00d4 _recalloc_dbg 012c _errno 018c ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0194 ??_C@_1JM@GGJNDEJB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAr?$AAr?$AAa?$AAy?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AAv@ 0198 ??_C@_1CI@LDGAJMAO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAa?$AAp?$AAt?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 01ac _invoke_watson"
		altNames = "??$common_capture_argv@_W@@YAPEAPEA_WQEAPEADQEB_WQEAPEA_W_K@Z"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BF A9 FD 03 00 91 59 00 00 91 7A 00 00 91 34 03 00 91 55 03 00 91 1B 00 00 91 38 00 00 91 13 00 80 D2 16 00 80 D2 17 00 80 D2 ?? ?? ?? ?? DF 02 15 EB A3 05 00 54 08 00 F0 92 1F 01 15 EB C9 07 00 54 9F 02 19 EB B5 FA 7F D3 E1 02 00 54 24 27 80 52 ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 A0 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? 94 05 00 B4 43 03 00 91 22 03 00 91 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 40 02 00 34 35 00 00 14 85 28 80 52 ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 A1 02 00 91 60 02 00 91 ?? ?? ?? ?? 14 00 00 91 94 02 00 B4 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? F8 6A 34 F8 D6 06 00 91 F7 22 00 91 B8 02 00 B4 6A 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 03 00 F9 78 81 5F F8 C7 FF FF 17 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 14 00 80 D2 06 00 00 14 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 FB FF FF 17 13 00 80 D2 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_6_0 {
	meta:
		name = "??$common_pack_argv_and_envp@D@@YAHQEBQEBD0QEAPEAD1@Z"
		size = 444
		refs = "0070 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0088 _calloc_dbg 0098 __acrt_errno_map_os_error 009c _errno 00b0 _free_dbg 00dc strcpy_s 013c ??$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z 0198 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01a0 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 01a4 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 01b8 _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 37 00 00 91 0B 00 40 F9 58 00 00 91 79 00 00 91 13 00 80 D2 0C 00 80 D2 8B 01 00 B4 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0B CB 0B 8C 40 F8 4A 01 0C 8B 4C 05 00 91 CB FE FF B5 9F 05 00 F1 28 00 80 D2 96 81 88 9A ?? ?? ?? ?? ?? ?? ?? ?? A4 05 80 52 42 00 80 52 21 00 80 D2 C0 02 00 91 ?? ?? ?? ?? 14 00 00 91 74 01 00 B5 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 14 00 80 12 2E 00 00 14 F3 0B 40 F9 95 02 00 91 68 02 40 F9 C8 02 00 B4 62 02 40 F9 88 02 15 CB 01 01 16 8B A0 02 00 91 ?? ?? ?? ?? C0 05 00 35 6B 02 40 F9 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0B CB 0C 04 80 52 4B 01 15 8B 4C 69 35 38 6A 8E 40 F8 75 05 00 91 AA FD FF B5 BF F2 1F 38 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? FF 0B 00 F9 E1 43 00 91 E0 02 00 91 ?? ?? ?? ?? 80 00 00 34 E0 0B 40 F9 14 00 80 12 07 00 00 14 E8 0B 40 F9 14 03 00 F9 13 00 80 D2 00 00 80 D2 14 00 80 52 28 03 00 F9 41 00 80 52 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_7_0 {
	meta:
		name = "??$common_pack_argv_and_envp@_W@@YAHQEBQEB_W0QEAPEA_W1@Z"
		size = 448
		refs = "0070 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0088 _calloc_dbg 0098 __acrt_errno_map_os_error 009c _errno 00b0 _free_dbg 00dc wcscpy_s 0140 ??$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z 019c ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01a4 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 01a8 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 01bc _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 37 00 00 91 0B 00 40 F9 58 00 00 91 79 00 00 91 13 00 80 D2 0C 00 80 D2 8B 01 00 B4 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0B CB 8B 05 8A 8B 6C 05 00 91 0B 8C 40 F8 CB FE FF B5 9F 05 00 F1 28 00 80 D2 96 81 88 9A ?? ?? ?? ?? ?? ?? ?? ?? A4 05 80 52 42 00 80 52 41 00 80 D2 C0 02 00 91 ?? ?? ?? ?? 14 00 00 91 74 01 00 B5 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 14 00 80 12 2F 00 00 14 F3 0B 40 F9 95 02 00 91 68 02 40 F9 E8 02 00 B4 A8 02 14 CB 62 02 40 F9 C1 06 88 CB A0 02 00 91 ?? ?? ?? ?? E0 05 00 35 6B 02 40 F9 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0B CB 4B FD 41 93 AC 06 0B 8B 0D 04 80 52 8D 01 00 79 95 09 00 91 6C 8E 40 F8 8C FD FF B5 BF E2 1F 78 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? FF 0B 00 F9 E1 43 00 91 E0 02 00 91 ?? ?? ?? ?? 80 00 00 34 E0 0B 40 F9 14 00 80 12 07 00 00 14 E8 0B 40 F9 14 03 00 F9 13 00 80 D2 00 00 80 D2 14 00 80 52 28 03 00 F9 41 00 80 52 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_8_0 {
	meta:
		name = "??$construct_command_line@D@@YAHQEBQEBDQEAPEAD@Z"
		size = 344
		refs = "0064 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 007c _calloc_dbg 008c __acrt_errno_map_os_error 0090 _errno 00c4 strcpy_s 0118 _free_dbg 0134 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 0140 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 0154 _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 36 00 00 91 E0 0B 00 F9 DF 02 00 F9 0C 00 80 D2 0B 00 40 F9 8B 01 00 B4 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0B CB 0B 8C 40 F8 4A 01 0C 8B 4C 05 00 91 CB FE FF B5 9F 05 00 F1 28 00 80 D2 97 81 88 9A ?? ?? ?? ?? ?? ?? ?? ?? A4 05 80 52 42 00 80 52 21 00 80 D2 E0 02 00 91 ?? ?? ?? ?? 13 00 00 91 13 01 00 B5 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 93 01 80 52 1C 00 00 14 F4 0B 40 F9 75 02 00 91 88 02 40 F9 C8 02 00 B4 82 02 40 F9 69 02 15 CB 21 01 17 8B A0 02 00 91 ?? ?? ?? ?? 60 03 00 35 8B 02 40 F9 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0B CB 0C 04 80 52 4B 01 15 8B 4C 69 35 38 8A 8E 40 F8 75 05 00 91 AA FD FF B5 BF F2 1F 38 D3 02 00 F9 13 00 80 52 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 60 02 00 11 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_9_0 {
	meta:
		name = "??$construct_command_line@_W@@YAHQEBQEB_WQEAPEA_W@Z"
		size = 348
		refs = "0064 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 007c _calloc_dbg 008c __acrt_errno_map_os_error 0090 _errno 00c4 wcscpy_s 011c _free_dbg 0138 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0140 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 0144 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 0158 _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BE A9 FD 03 00 91 35 00 00 91 E0 0B 00 F9 BF 02 00 F9 0C 00 80 D2 0B 00 40 F9 8B 01 00 B4 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0B CB 8B 05 8A 8B 6C 05 00 91 0B 8C 40 F8 CB FE FF B5 9F 05 00 F1 28 00 80 D2 97 81 88 9A ?? ?? ?? ?? ?? ?? ?? ?? A4 05 80 52 42 00 80 52 41 00 80 D2 E0 02 00 91 ?? ?? ?? ?? 13 00 00 91 13 01 00 B5 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 93 01 80 52 1D 00 00 14 F4 0B 40 F9 76 02 00 91 88 02 40 F9 E8 02 00 B4 C9 02 13 CB 82 02 40 F9 E1 06 89 CB C0 02 00 91 ?? ?? ?? ?? 80 03 00 35 8B 02 40 F9 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0B CB 4B FD 41 93 CC 06 0B 8B 0D 04 80 52 8D 01 00 79 96 09 00 91 8C 8E 40 F8 8C FD FF B5 DF E2 1F 78 B3 02 00 F9 13 00 80 52 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 60 02 00 11 FD 7B C2 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_10_0 {
	meta:
		name = "??$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z"
		size = 1100
		refs = "0018 __security_push_cookie 0068 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 00a4 _dupenv_s_dbg 00b4 _errno 0130 __dcrt_get_narrow_environment_from_os 0204 _strnicmp 0228 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0240 _calloc_dbg 0250 __acrt_errno_map_os_error 0284 memcpy 02a8 strcpy_s 02fc ?equal_sign@?BD@???$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z@4QBDB 030c strcat_s 0354 _free_dbg 037c __security_pop_cookie 0398 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 03a0 ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 03a4 ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 03b8 _invoke_watson 03c4 ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 03e8 ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 040c ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0430 ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@"
	strings:
		$1 = { FD 7B BB A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 23 00 F9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 39 00 00 91 E0 07 00 F9 3F 03 00 F9 60 00 00 B5 00 00 80 52 D1 00 00 14 68 0A 80 52 FF AB 00 39 E8 83 00 39 68 0E 80 52 E8 8B 00 39 A8 0C 80 52 29 0F 80 52 E8 93 00 39 E9 87 00 39 48 0A 80 52 A9 0D 80 52 E8 9B 00 39 ?? ?? ?? ?? E9 97 00 39 8A 0E 80 52 FF 03 00 F9 E9 0D 80 52 EA 8F 00 39 ?? ?? ?? ?? E9 9F 00 39 45 0D 80 52 E9 A3 00 39 43 00 80 52 EA A7 00 39 E2 83 00 91 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? C0 00 00 34 1F 58 00 71 40 17 00 54 ?? ?? ?? ?? 13 00 40 B9 AB 00 00 14 E8 03 40 F9 48 01 00 B4 09 01 C0 39 0B 01 00 91 89 00 00 34 6B 05 00 91 6A 01 C0 39 CA FF FF 35 69 01 08 CB 2A 05 00 91 02 00 00 14 0A 00 80 D2 ED 07 40 F9 58 2D 00 91 54 00 80 D2 AC 01 40 F9 8C 01 00 B4 88 01 C0 39 8A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0C CB AC 8D 40 F8 4A 01 14 8B 54 05 00 91 CC FE FF B5 ?? ?? ?? ?? E0 0B 00 F9 00 01 00 B5 D3 02 80 52 87 00 00 14 88 00 00 34 00 04 00 91 08 00 C0 39 C8 FF FF 35 00 04 00 91 08 00 C0 39 1F F5 00 71 21 FF FF 54 E0 0F 00 F9 08 00 C0 39 0D 00 00 91 1F F5 00 71 C1 02 00 54 A9 05 C0 39 89 02 00 34 AA 09 C0 39 5F E9 00 71 21 02 00 54 AB 0D C0 39 7F F5 00 71 C1 01 00 54 AF 11 00 91 EC 01 C0 39 EE 01 00 91 8C 00 00 34 CE 05 00 91 C8 01 C0 39 C8 FF FF 35 C9 01 0F CB 29 01 0D 8B 2D 15 00 91 AA 01 C0 39 5F F5 00 71 80 FD FF 54 F3 07 40 F9 B5 01 00 CB 68 02 40 F9 E8 01 00 B4 E9 83 C0 39 EB 83 00 91 89 00 00 34 6B 05 00 91 69 01 C0 39 C9 FF FF 35 60 02 40 F9 E8 83 00 91 62 01 08 CB E1 83 00 91 ?? ?? ?? ?? 00 03 00 34 68 8E 40 F8 68 FE FF B5 17 00 80 52 89 02 15 8B 28 01 18 8B FF 02 00 71 36 11 88 9A ?? ?? ?? ?? ?? ?? ?? ?? 44 15 80 52 42 00 80 52 21 00 80 D2 C0 02 00 91 ?? ?? ?? ?? 14 00 00 91 54 01 00 B5 C0 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 93 01 80 52 3A 00 00 14 37 00 80 52 EB FF FF 17 93 02 00 91 F5 00 00 B4 E1 0F 40 F9 A2 02 00 91 80 02 00 91 ?? ?? ?? ?? 93 02 15 8B D6 02 15 CB F5 07 40 F9 A8 02 40 F9 68 02 00 B4 A2 02 40 F9 C1 02 00 91 60 02 00 91 ?? ?? ?? ?? A0 09 00 35 AB 02 40 F9 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 0B CB 4B 05 00 91 AA 8E 40 F8 73 01 13 8B D6 02 0B CB EA FD FF B5 77 02 00 35 E2 83 00 91 01 03 00 91 60 02 00 91 ?? ?? ?? ?? 80 09 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 01 03 00 91 60 02 00 91 ?? ?? ?? ?? A0 07 00 35 E2 03 40 F9 A2 00 00 B4 01 03 00 91 60 02 00 91 ?? ?? ?? ?? A0 04 00 35 73 02 18 8B 7F 02 14 EB 61 00 00 54 7F 02 00 39 73 06 00 91 7F 02 00 39 13 00 80 52 34 03 00 F9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? E0 0B 40 F9 41 00 80 52 ?? ?? ?? ?? FF 0B 00 F9 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF C3 00 91 ?? ?? ?? ?? F9 23 40 F9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 18 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_11_0 {
	meta:
		name = "??$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z"
		size = 1156
		refs = "0018 __security_push_cookie 0068 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 00a4 _wdupenv_s_dbg 00b4 _errno 0134 __dcrt_get_wide_environment_from_os 0238 _wcsnicmp 025c ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0274 _calloc_dbg 0284 __acrt_errno_map_os_error 02b8 memcpy 02dc wcscpy_s 0334 ?equal_sign@?BD@???$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z@4QB_WB 0344 wcscat_s 038c _free_dbg 03b4 __security_pop_cookie 03d0 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 03d8 ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 03dc ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 03f0 _invoke_watson 03fc ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0420 ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 0444 ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0468 ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@"
	strings:
		$1 = { FD 7B BB A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 23 00 F9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 39 00 00 91 E0 07 00 F9 3F 03 00 F9 60 00 00 B5 00 00 80 52 DF 00 00 14 68 0A 80 52 FF 6B 00 79 E8 43 00 79 68 0E 80 52 E8 4B 00 79 A8 0C 80 52 29 0F 80 52 E8 53 00 79 E9 47 00 79 48 0A 80 52 A9 0D 80 52 E8 5B 00 79 ?? ?? ?? ?? E9 57 00 79 8A 0E 80 52 FF 03 00 F9 E9 0D 80 52 EA 4F 00 79 ?? ?? ?? ?? E9 5F 00 79 25 0F 80 52 E9 63 00 79 43 00 80 52 EA 67 00 79 E2 83 00 91 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? C0 00 00 34 1F 58 00 71 00 19 00 54 ?? ?? ?? ?? 13 00 40 B9 B9 00 00 14 E8 03 40 F9 68 01 00 B4 09 01 C0 79 0B 01 00 91 89 00 00 34 6B 09 00 91 6A 01 C0 79 CA FF FF 35 69 01 08 CB 2A FD 41 93 4C 05 00 91 02 00 00 14 0C 00 80 D2 ED 07 40 F9 98 2D 00 91 54 00 80 D2 AC 01 40 F9 8C 01 00 B4 88 01 C0 79 8A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0C CB AC 8D 40 F8 8B 06 8A 8B 74 05 00 91 CC FE FF B5 ?? ?? ?? ?? E0 0B 00 F9 60 00 00 B5 D3 02 80 52 94 00 00 14 08 00 40 79 1F F5 00 71 E0 01 00 54 08 3D 00 53 0A 00 00 91 08 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 00 CB 4B FD 41 93 6C 05 00 91 00 04 0C 8B 08 00 40 79 1F F5 00 71 81 FE FF 54 E0 0F 00 F9 08 00 40 79 0E 00 00 91 1F F5 00 71 E1 02 00 54 C9 05 40 79 A9 02 00 34 CA 09 40 79 5F E9 00 71 41 02 00 54 CB 0D 40 79 7F F5 00 71 E1 01 00 54 CF 21 00 91 EC 01 C0 79 ED 01 00 91 8C 00 00 34 AD 09 00 91 A8 01 C0 79 C8 FF FF 35 A9 01 0F CB 2A FD 41 93 4D 15 00 91 CE 05 0D 8B CB 01 40 79 7F F5 00 71 60 FD FF 54 F3 07 40 F9 C8 01 00 CB 15 FD 41 93 68 02 40 F9 08 02 00 B4 E9 43 C0 79 EC 83 00 91 89 00 00 34 8C 09 00 91 8A 01 C0 79 CA FF FF 35 E8 83 00 91 60 02 40 F9 88 01 08 CB 02 FD 41 93 E1 83 00 91 ?? ?? ?? ?? 00 03 00 34 68 8E 40 F8 48 FE FF B5 17 00 80 52 89 02 15 8B 08 03 09 8B FF 02 00 71 36 11 88 9A ?? ?? ?? ?? ?? ?? ?? ?? 44 15 80 52 42 00 80 52 41 00 80 D2 C0 02 00 91 ?? ?? ?? ?? 14 00 00 91 54 01 00 B5 C0 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 93 01 80 52 3B 00 00 14 37 00 80 52 EB FF FF 17 93 02 00 91 F5 00 00 B4 E1 0F 40 F9 A2 FA 7F D3 80 02 00 91 ?? ?? ?? ?? 93 06 15 8B D6 02 15 CB F5 07 40 F9 A8 02 40 F9 88 02 00 B4 A2 02 40 F9 C1 02 00 91 60 02 00 91 ?? ?? ?? ?? C0 09 00 35 AB 02 40 F9 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0B CB 4B FD 41 93 6C 05 00 91 73 06 0C 8B D6 02 0C CB AC 8E 40 F8 CC FD FF B5 77 02 00 35 E2 83 00 91 01 03 00 91 60 02 00 91 ?? ?? ?? ?? 80 09 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 01 03 00 91 60 02 00 91 ?? ?? ?? ?? A0 07 00 35 E2 03 40 F9 A2 00 00 B4 01 03 00 91 60 02 00 91 ?? ?? ?? ?? A0 04 00 35 73 06 18 8B 7F 02 14 EB 61 00 00 54 7F 02 00 79 73 0A 00 91 7F 02 00 79 13 00 80 52 34 03 00 F9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? E0 0B 40 F9 41 00 80 52 ?? ?? ?? ?? FF 0B 00 F9 E0 03 40 F9 41 00 80 52 ?? ?? ?? ?? 60 02 00 11 FF C3 00 91 ?? ?? ?? ?? F9 23 40 F9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 18 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_24_0 {
	meta:
		name = "??$tcslen@AEAPEAD@?$__crt_char_traits@D@@SA_KAEAPEAD@Z"
		size = 36
		altNames = "??$tcslen@AEAPEBD@?$__crt_char_traits@D@@SA_KAEAPEBD@Z ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z ??$tcslen@PEAD@?$__crt_char_traits@D@@SA_K$$QEAPEAD@Z"
	strings:
		$1 = { 0B 00 40 F9 68 01 C0 39 6A 01 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 40 01 0B CB C0 03 5F D6 }
	condition:
		$1
}

rule file_106_25_0 {
	meta:
		name = "??$tcslen@AEAPEA_W@?$__crt_char_traits@_W@@SA_KAEAPEA_W@Z"
		size = 40
		altNames = "??$tcslen@AEAPEB_W@?$__crt_char_traits@_W@@SA_KAEAPEB_W@Z ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z ??$tcslen@PEA_W@?$__crt_char_traits@_W@@SA_K$$QEAPEA_W@Z"
	strings:
		$1 = { 0B 00 40 F9 68 01 C0 79 6A 01 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 0B CB 00 FD 41 93 C0 03 5F D6 }
	condition:
		$1
}

rule file_106_26_0 {
	meta:
		name = "??$tcslen@AEAY0L@$$CBD@?$__crt_char_traits@D@@SA_KAEAY0L@$$CBD@Z"
		size = 32
		altNames = "??$tcslen@AEAY04$$CBD@?$__crt_char_traits@D@@SA_KAEAY04$$CBD@Z"
	strings:
		$1 = { 08 00 C0 39 0A 00 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 40 01 00 CB C0 03 5F D6 }
	condition:
		$1
}

rule file_106_27_0 {
	meta:
		name = "??$tcslen@AEAY0L@$$CB_W@?$__crt_char_traits@_W@@SA_KAEAY0L@$$CB_W@Z"
		size = 36
		altNames = "??$tcslen@AEAY04$$CB_W@?$__crt_char_traits@_W@@SA_KAEAY04$$CB_W@Z"
	strings:
		$1 = { 08 00 C0 79 0A 00 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 00 CB 00 FD 41 93 C0 03 5F D6 }
	condition:
		$1
}

rule file_106_68_0 {
	meta:
		name = "?attach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXQEAPEAD@Z"
		size = 48
		refs = "001c _free_dbg"
		altNames = "?attach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXQEAPEA_W@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 14 00 00 91 80 02 40 F9 33 00 00 91 41 00 80 52 ?? ?? ?? ?? 93 02 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_106_86_0 {
	meta:
		name = "__acrt_capture_narrow_argv"
		size = 460
		refs = "0040 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0078 _calloc_dbg 0088 _free_dbg 00b0 memcpy_s 00d4 _recalloc_dbg 012c _errno 01a8 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01b0 ??_C@_1JM@GGJNDEJB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAr?$AAr?$AAa?$AAy?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AAv@ 01b4 ??_C@_1CI@LDGAJMAO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAa?$AAp?$AAt?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 01c8 _invoke_watson"
		altNames = "__acrt_capture_wide_argv"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BF A9 FD 03 00 91 59 00 00 91 7A 00 00 91 34 03 00 91 55 03 00 91 1B 00 00 91 38 00 00 91 13 00 80 D2 16 00 80 D2 17 00 80 D2 ?? ?? ?? ?? DF 02 15 EB A3 05 00 54 08 00 F0 92 1F 01 15 EB 49 08 00 54 9F 02 19 EB B5 FA 7F D3 E1 02 00 54 24 27 80 52 ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 A0 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 60 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? 94 04 00 B4 43 03 00 91 22 03 00 91 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 40 02 00 34 3C 00 00 14 85 28 80 52 ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 A1 02 00 91 60 02 00 91 ?? ?? ?? ?? 14 00 00 91 34 03 00 B4 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 93 02 00 91 ?? ?? ?? ?? F8 6A 34 F8 D6 06 00 91 F7 22 00 91 B8 03 00 B4 6A 03 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 03 00 F9 78 81 5F F8 C7 FF FF 17 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 00 00 80 D2 0C 00 00 14 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 04 00 00 14 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 60 02 00 91 41 00 80 52 ?? ?? ?? ?? 14 00 80 D2 04 00 00 14 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_90_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 36
		refs = "0020 _invoke_watson"
	strings:
		$1 = { 28 00 00 91 41 00 00 91 62 00 00 91 83 00 00 11 40 00 00 35 C0 03 5F D6 A4 00 00 91 00 01 00 91 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_92_0 {
	meta:
		name = "memcpy_s"
		size = 168
		refs = "002c _errno 0038 _invalid_parameter_noinfo 0064 memcpy 0074 memset"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 34 00 00 91 55 00 00 91 73 00 00 91 73 00 00 B5 00 00 80 52 07 00 00 14 40 01 00 B5 ?? ?? ?? ?? D3 02 80 52 13 00 00 B9 ?? ?? ?? ?? C0 02 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 BF 02 00 F1 80 12 53 FA A3 00 00 54 62 02 00 91 A1 02 00 91 ?? ?? ?? ?? EE FF FF 17 82 02 00 91 01 00 80 52 ?? ?? ?? ?? 95 00 00 B5 ?? ?? ?? ?? D3 02 80 52 05 00 00 14 9F 02 13 EB 82 FD FF 54 ?? ?? ?? ?? 53 04 80 52 13 00 00 B9 ?? ?? ?? ?? 60 02 00 11 E7 FF FF 17 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "cacosf"
		size = 1252
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 0100 _FInf_C 0120 piby2 0178 pi3by4 0188 piby4 01a4 pi 0230 _FCbuild 0244 csqrtf 0324 conjf 0348 atan2f 0364 big 0454 asinhf 0484 logf"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 53 00 BD E1 57 00 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 83 00 BD F0 83 40 BD F0 27 00 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 87 00 BD F0 87 40 BD F0 1F 00 BD E0 93 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 43 00 79 E0 73 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 33 00 79 E8 43 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 33 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 27 40 BD F0 17 00 BD F0 1F 40 BD F0 13 00 BD 0F 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 27 40 BD F0 17 00 BD F0 1F 40 BD 10 42 21 1E F0 13 00 BD 05 00 00 14 F0 27 40 BD F0 17 00 BD F0 27 40 BD F0 13 00 BD FA 00 00 14 E8 33 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 43 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 1F 40 BD F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 BD 0F 00 00 14 E8 43 C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 BD F0 1F 40 BD F0 13 00 BD 05 00 00 14 F0 1F 40 BD F0 17 00 BD F0 1F 40 BD F0 13 00 BD DD 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 33 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 27 40 BD 08 22 20 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 BD 0A 00 00 14 F0 27 40 BD 08 22 20 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 BD 03 00 00 14 70 19 00 1C F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 13 00 BD E8 3F 40 79 08 01 00 11 88 00 78 36 F0 13 40 BD 10 42 21 1E F0 13 00 BD B6 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 BD F0 1F 40 BD 10 42 21 1E F0 13 00 BD AB 00 00 14 F0 1F 40 BD 01 42 21 1E 11 10 2E 1E F0 27 40 BD 20 2A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 97 00 BD E0 93 00 BD E1 97 40 BD E0 93 40 BD ?? ?? ?? ?? E1 B7 00 BD E0 B3 00 BD E9 23 01 91 29 01 00 91 E8 C3 02 91 08 01 00 91 08 01 40 F9 28 01 00 F9 F0 1F 40 BD 01 42 21 1E 11 10 2E 1E F0 27 40 BD 20 3A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 9F 00 BD E0 9B 00 BD E1 9F 40 BD E0 9B 40 BD ?? ?? ?? ?? E1 BF 00 BD E0 BB 00 BD E9 63 01 91 29 01 00 91 E8 E3 02 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E0 8B 00 BD F0 8B 40 BD F0 33 00 BD E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E0 63 00 BD F0 63 40 BD F0 2F 00 BD E1 5F 40 BD E0 5B 40 BD ?? ?? ?? ?? E0 67 00 BD F0 67 40 BD F0 3B 00 BD E1 5F 40 BD E0 5B 40 BD ?? ?? ?? ?? E0 6B 00 BD F0 6B 40 BD F0 37 00 BD E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E1 A7 00 BD E0 A3 00 BD E1 A7 40 BD E0 A3 40 BD ?? ?? ?? ?? E0 6F 00 BD E1 6F 40 BD E0 37 40 BD ?? ?? ?? ?? E0 73 00 BD 11 10 20 1E F0 73 40 BD 30 0A 30 1E F0 17 00 BD F1 33 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 33 40 BD F0 2B 00 BD F1 37 40 BD F0 2B 40 BD 31 1A 30 1E F0 2F 40 BD 11 0A 31 1E F0 3B 40 BD 10 2A 31 1E F0 3F 00 BD 2D 00 00 14 F1 2F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 2F 40 BD F0 2B 00 BD F1 3B 40 BD F0 2B 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 37 40 BD 30 2A 30 1E F0 3F 00 BD 1D 00 00 14 F0 2F 40 BD 11 42 21 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E A2 01 00 54 F0 2F 40 BD 10 42 21 1E F0 2B 00 BD F1 3B 40 BD F0 2B 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 37 40 BD 30 2A 30 1E F0 3F 00 BD 0B 00 00 14 D0 05 00 1C F0 2B 00 BD F1 33 40 BD F0 3B 40 BD 32 0A 30 1E F1 2F 40 BD F0 37 40 BD 30 0A 30 1E 50 2A 30 1E F0 3F 00 BD E0 3F 40 BD ?? ?? ?? ?? E0 77 00 BD F0 77 40 BD F0 13 00 BD F0 2B 40 BD 08 22 20 1E 41 00 00 54 13 00 00 14 F0 17 40 BD 08 22 20 1E 2B 01 00 54 E0 2B 40 BD ?? ?? ?? ?? E0 7B 00 BD F1 13 40 BD F0 7B 40 BD 30 2A 30 1E F0 13 00 BD 08 00 00 14 E0 2B 40 BD ?? ?? ?? ?? E0 7F 00 BD F1 13 40 BD F0 7F 40 BD 30 3A 30 1E F0 13 00 BD E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E1 AF 00 BD E0 AB 00 BD E0 AB 40 BD E1 AF 40 BD FD 7B CC A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "cexpf"
		size = 756
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 0158 _FZero_C 0184 cosf 01a0 sinf 01d0 _fperrraise 01dc _FNan_C 02a8 _fdexp 02d0 _FCbuild"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 33 00 BD E1 37 00 BD E1 37 40 BD E0 33 40 BD ?? ?? ?? ?? E0 3B 00 BD F0 3B 40 BD F0 17 00 BD E1 37 40 BD E0 33 40 BD ?? ?? ?? ?? E0 3F 00 BD F0 3F 40 BD F0 1B 00 BD E0 53 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 4B 00 79 E0 63 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 E8 23 00 79 E8 4B C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 17 40 BD F0 23 00 BD F0 1B 40 BD F0 1F 00 BD 05 00 00 14 F0 17 40 BD F0 23 00 BD F0 17 40 BD F0 1F 00 BD 87 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 4B C0 79 08 01 00 11 1F 05 00 71 C1 01 00 54 F0 17 40 BD 08 22 20 1E C2 00 00 54 B0 10 00 1C F0 23 00 BD 70 10 00 1C F0 1F 00 BD 05 00 00 14 F0 17 40 BD F0 23 00 BD F0 1B 40 BD F0 1F 00 BD 05 00 00 14 F0 1B 40 BD F0 23 00 BD F0 1B 40 BD F0 1F 00 BD 6D 00 00 14 E8 4B C0 79 08 01 00 11 1F 05 00 71 41 09 00 54 F0 17 40 BD 08 22 20 1E 62 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 70 0D 00 1C F0 23 00 BD F0 1B 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 2F 00 BD 03 00 00 14 30 0C 00 1C F0 2F 00 BD F0 2F 40 BD F0 1F 00 BD 0F 00 00 14 E0 1B 40 BD ?? ?? ?? ?? E0 43 00 BD 31 0B 00 1C F0 43 40 BD 30 0A 30 1E F0 23 00 BD E0 1B 40 BD ?? ?? ?? ?? E0 47 00 BD 51 0A 00 1C F0 47 40 BD 30 0A 30 1E F0 1F 00 BD 24 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 01 00 54 20 00 80 52 ?? ?? ?? ?? F0 17 40 BD F0 23 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 00 BD 18 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 17 40 BD F0 23 00 BD F0 1B 40 BD F0 1F 00 BD 0F 00 00 14 E0 1B 40 BD ?? ?? ?? ?? E0 4B 00 BD F1 17 40 BD F0 4B 40 BD 30 0A 30 1E F0 23 00 BD E0 1B 40 BD ?? ?? ?? ?? E0 4F 00 BD F1 17 40 BD F0 4F 40 BD 30 0A 30 1E F0 1F 00 BD 20 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 41 01 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 23 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 00 BD 13 00 00 14 F0 17 40 BD F0 23 00 BD F0 17 40 BD F0 1F 00 BD E0 1B 40 BD ?? ?? ?? ?? E0 53 00 BD 01 00 80 52 E0 53 40 BD E0 83 00 91 ?? ?? ?? ?? E0 1B 40 BD ?? ?? ?? ?? E0 57 00 BD 01 00 80 52 E0 57 40 BD E0 73 00 91 ?? ?? ?? ?? E1 1F 40 BD E0 23 40 BD ?? ?? ?? ?? E1 5F 00 BD E0 5B 00 BD E0 5B 40 BD E1 5F 40 BD FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_110_0_0 {
	meta:
		name = "ctanf"
		size = 196
		refs = "0018 crealf 0028 cimagf 0040 _FCbuild 0054 ctanhf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD 00 42 21 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E1 3F 00 BD E0 3B 00 BD E9 83 00 91 29 01 00 91 E8 E3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1B 40 BD 01 42 21 1E 21 40 20 1E E0 1F 40 BD ?? ?? ?? ?? E1 37 00 BD E0 33 00 BD E0 33 40 BD E1 37 40 BD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "casinf"
		size = 196
		refs = "0018 crealf 0028 cimagf 0040 _FCbuild 0054 casinhf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD 00 42 21 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E1 3F 00 BD E0 3B 00 BD E9 83 00 91 29 01 00 91 E8 E3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1B 40 BD 01 42 21 1E 21 40 20 1E E0 1F 40 BD ?? ?? ?? ?? E1 37 00 BD E0 33 00 BD E0 33 40 BD E1 37 40 BD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "catanf"
		size = 196
		refs = "0018 crealf 0028 cimagf 0040 _FCbuild 0054 catanhf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD 00 42 21 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E1 3F 00 BD E0 3B 00 BD E9 83 00 91 29 01 00 91 E8 E3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1B 40 BD 01 42 21 1E 21 40 20 1E E0 1F 40 BD ?? ?? ?? ?? E1 37 00 BD E0 33 00 BD E0 33 40 BD E1 37 40 BD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "csinf"
		size = 196
		refs = "0018 crealf 0028 cimagf 0040 _FCbuild 0054 csinhf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD 00 42 21 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E1 3F 00 BD E0 3B 00 BD E9 83 00 91 29 01 00 91 E8 E3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1B 40 BD 01 42 21 1E 21 40 20 1E E0 1F 40 BD ?? ?? ?? ?? E1 37 00 BD E0 33 00 BD E0 33 40 BD E1 37 40 BD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_3_0 {
	meta:
		name = "?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ"
		size = 56
		refs = "000c ?get_current_state_index@__crt_state_management@@YA_KXZ"
		altNames = "?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 0A 01 00 91 E9 0F 40 F9 88 00 80 D2 28 7D 08 9B 40 01 08 8B 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_4_0 {
	meta:
		name = "_get_fmode"
		size = 256
		refs = "0040 ??_C@_1CC@ODGEBJBO@?$AAp?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BG@CKGMPOFH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00c0 _invalid_parameter 00cc _fmode 00d4 ?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ 00e0 ??$__crt_interlocked_read@H@@YAHPEDH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E9 13 40 F9 E8 1F 40 B9 28 01 00 B9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_5_0 {
	meta:
		name = "_set_fmode"
		size = 292
		refs = "0064 ??_C@_1HC@GNDCDMJL@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0088 _CrtDbgReportW 00b0 _errno 00d4 ??_C@_1BG@IEEHLOCL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00e4 _invalid_parameter 00f0 _fmode 00f8 ?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 09 00 88 52 E8 13 40 B9 1F 01 09 6B 80 01 00 54 09 00 90 52 E8 13 40 B9 1F 01 09 6B 00 01 00 54 29 00 A0 52 E8 13 40 B9 1F 01 09 6B 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 00 F9 E9 13 40 B9 29 01 00 11 E8 17 40 F9 08 01 00 91 09 FD 9F 88 BF 3B 03 D5 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_6_0 {
	meta:
		name = "_setmode"
		size = 1024
		refs = "0088 ??_C@_1MI@PNMMBOIN@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1BC@JBGGJDCM@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0108 _invalid_parameter 014c _nhandle 0188 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0228 __pioinfo 0288 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0318 __acrt_lowio_lock_fh 0390 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 03dc _setmode_nolock 03f0 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 13 00 B9 A1 17 00 B9 09 00 88 52 A8 17 40 B9 1F 01 09 6B 80 02 00 54 09 00 90 52 A8 17 40 B9 1F 01 09 6B 00 02 00 54 29 00 A0 52 A8 17 40 B9 1F 01 09 6B 80 01 00 54 89 00 A0 52 A8 17 40 B9 1F 01 09 6B 00 01 00 54 49 00 A0 52 A8 17 40 B9 1F 01 09 6B 80 00 00 54 08 00 80 52 A8 1B 00 B9 03 00 00 14 28 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BA 00 00 14 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 AF 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 7A 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3A 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 33 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 48 03 00 37 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 07 00 00 14 A1 17 40 B9 A0 13 40 B9 ?? ?? ?? ?? A0 47 00 B9 A8 47 40 B9 A8 33 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 33 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_111_8_0 {
	meta:
		name = "_setmode_nolock"
		size = 1172
		refs = "0020 __pioinfo"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 B9 E1 0F 00 B9 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 01 19 12 E8 13 00 B9 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 E8 03 00 39 E8 0F 40 B9 E8 0B 00 B9 29 00 A0 52 E8 0B 40 B9 1F 01 09 6B CC 01 00 54 29 00 A0 52 E8 0B 40 B9 1F 01 09 6B 20 15 00 54 09 00 88 52 E8 0B 40 B9 1F 01 09 6B A0 06 00 54 09 00 90 52 E8 0B 40 B9 1F 01 09 6B 60 01 00 54 D7 00 00 14 49 00 A0 52 E8 0B 40 B9 1F 01 09 6B 80 13 00 54 89 00 A0 52 E8 0B 40 B9 1F 01 09 6B 00 0C 00 54 CE 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 18 12 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A8 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 19 32 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 08 00 80 52 28 01 00 39 70 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 19 32 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 28 00 80 52 28 01 00 39 38 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 19 32 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 48 00 80 52 28 01 00 39 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 90 52 0D 00 00 14 E8 03 C0 39 1F 01 00 71 81 00 00 54 00 00 88 52 08 00 00 14 06 00 00 14 E8 03 C0 39 1F 05 00 71 61 00 00 54 80 00 A0 52 02 00 00 14 20 00 A0 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_112_1_0 {
	meta:
		name = "_set_printf_count_output"
		size = 128
		refs = "0008 __security_cookie 0014 ?enable_percent_n@@3_KA"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 40 B2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 0B 00 B9 E8 07 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 40 B2 E8 0B 00 F9 03 00 00 14 08 00 80 D2 E8 0B 00 F9 ?? ?? ?? ?? E8 0B 40 F9 ?? ?? ?? ?? E0 0B 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_2_0 {
	meta:
		name = "??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
		size = 472
		refs = "0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0040 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0090 _invalid_parameter 00a4 ?is_valid_drive@@YAHI@Z 00ac __doserrno 00bc ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0104 _getdrive 014c ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a4 ??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z 01c0 ??$common_getdcwd_dynamic_buffer@D@@YAPEADQEADIHQEBDH@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BE A9 FD 03 00 91 55 00 00 11 E8 03 35 2A 09 7D 1F 53 13 00 00 11 34 00 00 91 76 00 00 11 97 00 00 91 B8 00 00 11 49 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 1B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 4B 00 00 14 53 03 00 34 60 02 00 11 ?? ?? ?? ?? 20 03 00 35 ?? ?? ?? ?? E8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 1C 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? A8 01 80 52 08 00 00 B9 23 1C 80 52 ?? ?? ?? ?? E0 FF FF 17 ?? ?? ?? ?? 13 00 00 11 33 01 00 34 68 02 01 11 FF 4F 00 39 E8 43 00 39 49 07 80 52 C8 05 80 52 E9 47 00 39 E8 4B 00 39 04 00 00 14 C8 05 80 52 FF 47 00 39 E8 43 00 39 94 03 00 B4 BF 02 00 71 8C 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 1F 80 52 ?? ?? ?? ?? BC FF FF 17 A2 02 00 11 9F 02 00 39 81 02 00 91 E0 43 00 91 ?? ?? ?? ?? 07 00 00 14 04 03 00 11 E3 02 00 91 C2 02 00 11 A1 02 00 11 E0 43 00 91 ?? ?? ?? ?? FD 7B C2 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_3_0 {
	meta:
		name = "??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
		size = 480
		refs = "0014 __security_push_cookie 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0044 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 0084 ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0094 _invalid_parameter 00a8 ?is_valid_drive@@YAHI@Z 00b0 __doserrno 00c0 ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0108 _getdrive 0150 ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a8 ??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z 01c4 ??$common_getdcwd_dynamic_buffer@_W@@YAPEA_WQEA_WIHQEBDH@Z 01c8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 FD 03 00 91 ?? ?? ?? ?? 55 00 00 11 E8 03 35 2A 09 7D 1F 53 13 00 00 11 34 00 00 91 76 00 00 11 98 00 00 91 B7 00 00 11 49 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 1B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 4B 00 00 14 53 03 00 34 60 02 00 11 ?? ?? ?? ?? 20 03 00 35 ?? ?? ?? ?? E8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 1C 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? A8 01 80 52 08 00 00 B9 23 1C 80 52 ?? ?? ?? ?? E0 FF FF 17 ?? ?? ?? ?? 13 00 00 11 33 01 00 34 68 02 01 11 FF 0F 00 79 E8 03 00 79 4A 07 80 52 C8 05 80 52 EA 07 00 79 E8 0B 00 79 04 00 00 14 C8 05 80 52 FF 07 00 79 E8 03 00 79 94 03 00 B4 BF 02 00 71 8C 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 1F 80 52 ?? ?? ?? ?? BC FF FF 17 A2 02 00 11 9F 02 00 79 81 02 00 91 E0 03 00 91 ?? ?? ?? ?? 07 00 00 14 E4 02 00 11 03 03 00 91 C2 02 00 11 A1 02 00 11 E0 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_4_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@D@@YAPEADQEADIHQEBDH@Z"
		size = 236
		refs = "0014 __imp_GetFullPathNameA 0048 __imp_GetLastError 0058 __acrt_errno_map_os_error 0080 _calloc_dbg 0090 __doserrno 009c _errno 00b8 ??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z 00d0 free"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 33 00 00 11 54 00 00 11 77 00 00 91 03 00 80 D2 02 00 80 D2 01 00 80 52 16 00 00 91 98 00 00 11 20 01 3F D6 00 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 00 00 80 D2 1E 00 00 14 7F 02 00 6B 75 82 80 1A A0 02 00 91 04 03 00 11 E3 02 00 91 82 02 00 11 21 00 80 D2 ?? ?? ?? ?? 14 00 00 91 93 02 00 91 14 01 00 B5 ?? ?? ?? ?? 08 01 80 52 08 00 00 B9 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 06 00 00 14 A2 02 00 11 81 02 00 91 C0 02 00 91 ?? ?? ?? ?? 60 00 00 B5 14 00 80 D2 02 00 00 14 13 00 80 D2 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_5_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@_W@@YAPEA_WQEA_WIHQEBDH@Z"
		size = 236
		refs = "0014 __imp_GetFullPathNameW 0048 __imp_GetLastError 0058 __acrt_errno_map_os_error 0080 _calloc_dbg 0090 __doserrno 009c _errno 00b8 ??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z 00d0 free"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 33 00 00 11 54 00 00 11 77 00 00 91 03 00 80 D2 02 00 80 D2 01 00 80 52 16 00 00 91 98 00 00 11 20 01 3F D6 00 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 00 00 80 D2 1E 00 00 14 7F 02 00 6B 75 82 80 1A A0 02 00 91 04 03 00 11 E3 02 00 91 82 02 00 11 41 00 80 D2 ?? ?? ?? ?? 14 00 00 91 93 02 00 91 14 01 00 B5 ?? ?? ?? ?? 08 01 80 52 08 00 00 B9 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 06 00 00 14 A2 02 00 11 81 02 00 91 C0 02 00 91 ?? ?? ?? ?? 60 00 00 B5 14 00 80 D2 02 00 00 14 13 00 80 D2 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_6_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z"
		size = 216
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0024 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0058 ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0070 _invalid_parameter 007c __imp_GetFullPathNameA 00b0 __imp_GetLastError 00c0 __acrt_errno_map_os_error"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 33 00 00 91 54 00 00 11 03 00 80 D2 34 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 11 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 15 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 62 02 00 91 81 02 00 11 20 01 3F D6 1F 00 14 6B A3 00 00 54 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 F3 FF FF 17 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? EC FF FF 17 60 02 00 91 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_7_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z"
		size = 216
		refs = "001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0024 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0058 ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0070 _invalid_parameter 007c __imp_GetFullPathNameW 00b0 __imp_GetLastError 00c0 __acrt_errno_map_os_error"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 33 00 00 91 54 00 00 11 03 00 80 D2 34 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 11 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 15 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 62 02 00 91 81 02 00 11 20 01 3F D6 1F 00 14 6B A3 00 00 54 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 F3 FF FF 17 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? EC FF FF 17 60 02 00 91 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_10_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ"
		size = 40
		refs = "0014 free"
		altNames = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 F9 ?? ?? ?? ?? 7F 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_16_0 {
	meta:
		name = "?get_full_path_name@@YAIQEADQEBDI@Z"
		size = 36
		refs = "0008 __imp_GetFullPathNameA"
	strings:
		$1 = { 28 00 00 91 41 00 00 11 ?? ?? ?? ?? 02 00 00 91 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 03 00 80 D2 20 01 1F D6 }
	condition:
		$1
}

rule file_113_17_0 {
	meta:
		name = "?get_full_path_name@@YAIQEA_WQEB_WI@Z"
		size = 36
		refs = "0008 __imp_GetFullPathNameW"
	strings:
		$1 = { 28 00 00 91 41 00 00 11 ?? ?? ?? ?? 02 00 00 91 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 03 00 80 D2 20 01 1F D6 }
	condition:
		$1
}

rule file_113_18_0 {
	meta:
		name = "?is_valid_drive@@YAHI@Z"
		size = 220
		refs = "000c __security_push_cookie 0018 __doserrno 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1DG@MHNEMPBB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?5?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 002c ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 _CrtDbgReportW 0058 _errno 0064 ??_C@_1BO@FJKIOFDB@?$AAi?$AAs?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 007c _invalid_parameter 00a8 __imp_GetDriveTypeW 00cc __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? 1F 68 00 71 A9 03 00 54 ?? ?? ?? ?? E8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? A8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 12 00 00 14 60 00 00 35 20 00 80 52 0F 00 00 14 08 00 01 11 FF 0F 00 79 E8 03 00 79 88 0B 80 52 E8 0B 00 79 ?? ?? ?? ?? 4A 07 80 52 ?? ?? ?? ?? EA 07 00 79 09 FD DF C8 E0 03 00 91 20 01 3F D6 1F 08 00 71 E0 37 9F 1A ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_113_21_0 {
	meta:
		name = "_getcwd"
		size = 28
		refs = "0018 ??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
	strings:
		$1 = { 22 00 00 11 01 00 00 91 00 00 80 52 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_25_0 {
	meta:
		name = "_wgetcwd"
		size = 28
		refs = "0018 ??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
	strings:
		$1 = { 22 00 00 11 01 00 00 91 00 00 80 52 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_22_0 {
	meta:
		name = "_getcwd_dbg"
		size = 28
		refs = "0018 ??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
	strings:
		$1 = { 85 00 00 11 64 00 00 91 43 00 00 11 22 00 00 11 01 00 00 91 00 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_26_0 {
	meta:
		name = "_wgetcwd_dbg"
		size = 28
		refs = "0018 ??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
	strings:
		$1 = { 85 00 00 11 64 00 00 91 43 00 00 11 22 00 00 11 01 00 00 91 00 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_23_0 {
	meta:
		name = "_getdcwd"
		size = 16
		refs = "000c ??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
	strings:
		$1 = { 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_34_0 {
	meta:
		name = "_dupenv_s"
		size = 16
		refs = "000c ??$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
	strings:
		$1 = { 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_37_0 {
	meta:
		name = "_wdupenv_s"
		size = 16
		refs = "000c ??$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
	strings:
		$1 = { 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_27_0 {
	meta:
		name = "_wgetdcwd"
		size = 16
		refs = "000c ??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
	strings:
		$1 = { 05 00 80 52 04 00 80 D2 23 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_9_0 {
	meta:
		name = "_commit"
		size = 568
		refs = "001c _errno 0044 _nhandle 0080 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GA@MPOOLHCO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a4 _CrtDbgReportW 00f0 ??_C@_1BA@FLNMBBIM@?$AA_?$AAc?$AAo?$AAm?$AAm?$AAi?$AAt?$AA?$AA@ 0100 _invalid_parameter 0120 __pioinfo 0180 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0214 ??0<lambda_5533cddd4bda0037814beee657757329>@@QEAA@AEBH@Z 0224 ??$__acrt_lowio_lock_fh_and_call@V<lambda_5533cddd4bda0037814beee657757329>@@@@YAHH$$QEAV<lambda_5533cddd4bda0037814beee657757329>@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 7F 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 4A 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0A 00 00 14 E1 43 00 91 E0 43 01 91 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_8_0 {
	meta:
		name = "_fgetc_nolock"
		size = 440
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BM@ODJEACKA@?$AA_?$AAf?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00dc _invalid_parameter 00ec ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0138 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0144 __acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 23 00 F9 E1 23 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 33 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 41 00 91 E8 1B 00 F9 E8 1B 40 F9 08 01 40 B9 09 05 00 51 E8 1B 40 F9 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2A 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 18 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 47 00 39 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 01 00 91 E8 1F 00 F9 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 E8 47 C0 39 08 01 00 11 00 1D 00 12 00 00 00 11 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_9_0 {
	meta:
		name = "_fgetchar"
		size = 44
		refs = "000c __acrt_iob_func 0018 fgetc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_11_0 {
	meta:
		name = "fgetc"
		size = 888
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0028 ?valid@__crt_stdio_stream@@QEBA_NXZ 0068 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 008c _CrtDbgReportW 00b4 _errno 00d8 ??_C@_1M@FBFFFGJE@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 00e8 _invalid_parameter 0100 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 010c _lock_file 012c ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0154 _fileno 0190 __pioinfo 01c0 __badioinfo 0290 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 031c $LN22 0328 _local_unwind 033c _fgetc_nolock 035c _unlock_file"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 08 14 80 D2 E8 63 28 8B A8 4F 00 F9 A0 37 00 F9 A1 37 40 F9 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 53 00 39 A8 53 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 9F 00 00 14 08 00 80 52 A8 33 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 ?? ?? ?? ?? A9 43 01 91 29 01 00 91 A8 63 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 A0 43 01 91 ?? ?? ?? ?? A0 57 00 39 A8 57 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 A0 43 01 91 ?? ?? ?? ?? A0 43 00 F9 A0 43 40 F9 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 A8 13 00 B9 A8 13 40 B9 1F 05 00 31 A0 02 00 54 A8 13 40 B9 1F 09 00 31 40 02 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 2F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 2F 00 F9 A8 2F 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 A8 13 40 B9 1F 05 00 31 A0 02 00 54 A8 13 40 B9 1F 09 00 31 40 02 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 33 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 33 00 F9 A8 33 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 A8 2B 00 B9 03 00 00 14 28 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 A8 47 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? A0 4F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 4B 00 F9 A0 4B 40 F9 ?? ?? ?? ?? A0 43 00 B9 A8 43 40 B9 A8 33 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? A0 33 40 B9 02 00 00 14 A0 47 40 B9 FD 7B CA A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_115_12_0 {
	meta:
		name = "fgetc$fin$0"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
		altNames = "clearerr_s$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 63 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_115_14_0 {
	meta:
		name = "getchar"
		size = 28
		refs = "0008 _fgetchar"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "mbrtoc16"
		size = 1060
		refs = "0024 ?internal_pst@?1??mbrtoc16@@9@4U_Mbstatet@@A 0068 ??_C@_00CNPNBAHC@?$AA@ 0158 _errno"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 13 00 F9 E8 13 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 08 19 00 91 08 01 40 79 08 1D 00 13 E8 43 00 39 E8 13 40 F9 08 01 00 91 08 01 40 B9 E8 17 00 B9 E8 1B 40 F9 1F 01 00 F1 01 01 00 54 08 00 80 D2 E8 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 28 00 80 D2 E8 1F 00 F9 E8 1B 40 F9 E8 0F 00 F9 07 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 E8 43 C0 39 08 01 00 11 1F 41 00 71 21 02 00 54 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E9 17 40 B9 E8 06 80 52 09 55 16 33 29 3D 00 53 E8 17 40 F9 09 01 00 79 E8 13 40 F9 09 19 00 91 08 00 80 52 28 01 00 79 40 00 80 92 CD 00 00 14 85 00 00 14 E8 1F 40 F9 1F 01 00 F1 A1 01 00 54 E8 13 40 F9 09 01 00 91 E8 17 40 B9 28 01 00 B9 E8 43 C0 39 09 3D 00 53 E8 13 40 F9 08 19 00 91 09 01 00 79 20 00 80 92 BE 00 00 14 76 00 00 14 E9 43 C0 39 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 03 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 1A 12 1F 01 02 71 00 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 05 80 52 28 01 00 B9 00 00 80 92 AB 00 00 14 E8 17 40 B9 09 65 1A 53 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 00 12 28 01 08 2A E8 17 00 B9 E8 43 C0 39 08 05 00 51 08 1D 00 13 E8 43 00 39 57 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 C8 00 38 37 E8 0F 40 F9 08 01 40 39 08 01 00 11 E8 17 00 B9 4E 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 09 1B 12 1F 01 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 11 00 12 E8 17 00 B9 28 00 80 52 E8 43 00 39 40 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 0D 1C 12 1F 81 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 48 00 80 52 E8 43 00 39 32 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 11 1D 12 1F C1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 09 00 12 E8 17 00 B9 68 00 80 52 E8 43 00 39 24 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 1E 12 1F E1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 00 12 E8 17 00 B9 88 00 80 52 E8 43 00 39 16 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 1E 12 1F F1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 00 12 E8 17 00 B9 A8 00 80 52 E8 43 00 39 08 00 00 14 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 48 05 80 52 28 01 00 B9 00 00 80 92 48 00 00 14 E8 43 C0 39 08 01 00 11 1F 01 00 71 61 08 00 54 E9 17 40 B9 E8 FD BF 12 1F 01 09 6B 22 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 05 80 52 28 01 00 B9 00 00 80 92 39 00 00 14 37 00 00 14 E9 17 40 B9 E8 FF 9F 52 1F 01 09 6B 22 03 00 54 E8 17 40 F9 1F 01 00 F1 20 01 00 54 E8 17 40 B9 08 7D 0A 53 09 01 01 51 08 00 9B 52 28 01 08 2A 09 3D 00 53 E8 17 40 F9 09 01 00 79 E8 13 40 F9 09 19 00 91 08 02 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 0F 40 F9 E8 1B 40 F9 20 01 08 CB 00 00 00 91 1D 00 00 14 1B 00 00 14 E8 17 40 F9 1F 01 00 F1 A0 00 00 54 E8 17 40 B9 09 3D 00 53 E8 17 40 F9 09 01 00 79 E8 13 40 F9 09 19 00 91 08 00 80 52 28 01 00 79 E8 17 40 B9 1F 01 00 71 81 00 00 54 08 00 80 D2 E8 23 00 F9 08 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 0F 40 F9 E8 1B 40 F9 28 01 08 CB E8 23 00 F9 E0 23 40 F9 02 00 00 14 1C FF FF 17 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_7_0 {
	meta:
		name = "_fputc_nolock"
		size = 236
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0020 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 006c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 007c __acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 17 00 B9 E1 1F 00 F9 E1 1F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 41 00 91 E8 1B 00 F9 E8 1B 40 F9 08 01 40 B9 09 05 00 51 E8 1B 40 F9 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 4A 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 17 00 00 14 E8 17 40 B9 08 1D 00 13 E8 43 00 39 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 00 91 E8 17 00 F9 E8 17 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 17 40 F9 08 01 40 F9 09 05 00 91 E8 17 40 F9 09 01 00 F9 E8 43 C0 39 08 01 00 11 00 1D 00 12 00 00 00 11 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_8_0 {
	meta:
		name = "_fputchar"
		size = 52
		refs = "0010 __acrt_iob_func 0020 fputc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 20 00 80 52 ?? ?? ?? ?? E0 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_10_0 {
	meta:
		name = "fputc"
		size = 816
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@FNOAOMLP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1M@OIJMPNCO@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?$AA@ 00d0 _invalid_parameter 00e8 _lock_file 00f4 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 00fc ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0118 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0124 _fileno 0160 __pioinfo 0190 __badioinfo 0260 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 02ec $LN22 02f8 _local_unwind 0304 _fputc_nolock 0318 _unlock_file"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 08 12 80 D2 E8 63 28 8B A8 43 00 F9 A0 43 00 B9 A1 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 94 00 00 14 08 00 80 52 A8 33 00 B9 A0 0F 40 F9 ?? ?? ?? ?? A1 0F 40 F9 A0 43 01 91 ?? ?? ?? ?? A0 43 01 91 ?? ?? ?? ?? A0 53 00 39 A8 53 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 A0 43 01 91 ?? ?? ?? ?? A0 3B 00 F9 A0 3B 40 F9 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 A8 13 00 B9 A8 13 40 B9 1F 05 00 31 A0 02 00 54 A8 13 40 B9 1F 09 00 31 40 02 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 2F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 2F 00 F9 A8 2F 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 A8 13 40 B9 1F 05 00 31 A0 02 00 54 A8 13 40 B9 1F 09 00 31 40 02 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 33 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 33 00 F9 A8 33 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 A8 2B 00 B9 03 00 00 14 28 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 A8 4B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? A0 43 40 F9 ?? ?? ?? ?? A1 0F 40 F9 A0 43 40 B9 ?? ?? ?? ?? A0 47 00 B9 A8 47 40 B9 A8 33 00 B9 A0 0F 40 F9 ?? ?? ?? ?? A0 33 40 B9 02 00 00 14 A0 4B 40 B9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_11_0 {
	meta:
		name = "fputc$fin$0"
		size = 28
		refs = "000c _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 0F 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_118_13_0 {
	meta:
		name = "putchar"
		size = 36
		refs = "0010 _fputchar"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_45_0 {
	meta:
		name = "_configure_narrow_argv"
		size = 36
		refs = "0010 ??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_46_0 {
	meta:
		name = "_configure_wide_argv"
		size = 36
		refs = "0010 ??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_8_0 {
	meta:
		name = "_filelength"
		size = 36
		refs = "0010 ??$common_filelength@J@@YAJH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_119_4_0 {
	meta:
		name = "_mbsnbcpy_s_l"
		size = 1056
		refs = "0064 _CrtGetDebugFillThreshold 007c memset 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00c8 ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e4 _CrtDbgReportW 00f4 _errno 0114 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0134 strncpy_s 0288 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02c4 ??_C@_1BM@HBMHMBEM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02dc _invalid_parameter 03b0 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 57 00 00 91 76 00 00 91 18 00 80 52 B6 00 00 B5 B4 00 00 B5 F3 1B 00 B5 00 00 80 52 F5 00 00 14 94 1B 00 B4 73 1B 00 B4 16 02 00 B5 9F 02 00 39 7F 06 00 B1 20 FF FF 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA A9 FE FF 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ED FF FF 17 57 04 00 B5 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 04 80 52 ?? ?? ?? ?? BB 00 00 14 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 E8 00 00 35 C3 02 00 91 E2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 96 00 00 14 8B 02 00 91 75 02 00 91 DF 06 00 B1 E1 00 00 54 E8 16 40 38 68 15 00 38 C8 01 00 34 B5 06 00 D1 95 FF FF B5 0B 00 00 14 E9 16 40 38 69 15 00 38 A9 00 00 34 B5 06 00 D1 75 00 00 B4 D6 06 00 D1 56 FF FF B5 76 00 00 B5 7F 01 00 39 6B 05 00 91 F5 0A 00 B5 E8 02 40 39 1F 01 00 71 C4 1A 41 FA 01 02 00 54 6D 05 00 D1 AC 01 00 91 BF 01 14 EB 03 01 00 54 89 01 40 39 29 01 0E 8B 2A 65 40 39 8A 00 10 36 8C 05 00 D1 9F 01 14 EB 42 FF FF 54 A9 01 0C 4B 69 00 00 36 7F F1 1F 38 68 00 00 14 DF 06 00 B1 61 03 00 54 7F 06 00 F1 A9 02 00 54 95 02 13 8B AB 0A 00 D1 6A 01 00 91 7F 01 14 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 14 EB 42 FF FF 54 69 01 0A 4B E9 00 00 36 BF E2 1F 38 ?? ?? ?? ?? C0 00 00 B4 C8 1F 80 52 A8 F2 1F 38 03 00 00 14 88 02 13 8B 1F F1 1F 38 00 0A 80 52 52 00 00 14 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 15 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 2B 00 00 14 68 01 14 CB 1F 09 00 F1 2B 02 00 54 6D 09 00 D1 AC 01 00 91 BF 01 14 EB 03 01 00 54 89 01 40 39 29 01 0E 8B 2A 65 40 39 8A 00 10 36 8C 05 00 D1 9F 01 14 EB 42 FF FF 54 A9 01 0C 4B 89 00 00 36 7F E1 1F 38 B5 06 00 91 38 00 80 52 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 15 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 02 30 88 9A 88 02 15 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D8 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_120_5_0 {
	meta:
		name = "?is_in_use@__crt_stdio_stream@@QEBA_NXZ"
		size = 72
		refs = "0010 ?get_flags@__crt_stdio_stream@@QEBAJXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 88 00 68 36 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_120_9_0 {
	meta:
		name = "_fclose_nolock"
		size = 492
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@JINCABEC@?$AA_?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00dc _invalid_parameter 00f4 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 0110 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 011c __acrt_stdio_flush_nolock 013c __acrt_stdio_free_buffer_nolock 0150 _fileno 015c _close 0180 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 01b8 _free_dbg 01dc ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 23 00 F9 E1 23 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 40 00 00 14 08 00 80 12 E8 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 06 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 37 00 B9 E0 37 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 23 00 B9 18 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 A1 00 91 08 01 40 F9 1F 01 00 F1 00 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 A1 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 09 A1 00 91 08 00 80 D2 28 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 40 B9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_120_10_0 {
	meta:
		name = "fclose"
		size = 368
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1O@EGMJNCOI@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00dc _invalid_parameter 00ec ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0108 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0120 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 012c _lock_file 0140 _fclose_nolock 0160 _unlock_file"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 23 00 F9 A1 23 40 F9 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 21 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? 00 00 80 12 16 00 00 14 08 00 80 52 A8 2B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 2B 00 F9 A0 2B 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 2F 00 F9 A0 2F 40 F9 ?? ?? ?? ?? A0 33 00 B9 A8 33 40 B9 A8 2B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 1F 00 F9 A0 1F 40 F9 ?? ?? ?? ?? A0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_120_11_0 {
	meta:
		name = "fclose$fin$0"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 63 00 91 ?? ?? ?? ?? A0 1F 00 F9 A0 1F 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "_ldxp_addh"
		size = 2056
		refs = "0034 _ldunscale 006c _ldtest 00dc _fperrraise 00e4 _LNan_C 0530 _ld_int 0544 _ldscale"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 2F 00 B9 E0 1B 00 FD F0 1B 40 FD F0 2F 00 FD E8 2F 40 B9 1F 01 00 71 41 00 00 54 F2 01 00 14 E1 63 01 91 E0 A3 00 91 ?? ?? ?? ?? E0 93 00 79 E8 93 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0A 06 00 54 E8 2B C0 79 08 01 00 11 1F 09 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 C0 79 E8 2B 00 79 E8 2B C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 1E 00 00 14 E8 2B C0 79 08 01 00 11 1F 09 00 71 60 01 00 54 E8 6F 40 79 08 01 00 11 09 01 11 12 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 41 00 00 54 0F 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD E9 2F 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 0F 40 F9 08 21 00 91 D0 37 00 5C 10 01 00 FD B8 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 8A 36 00 54 08 00 81 52 E8 43 00 B9 08 00 80 52 E8 13 00 B9 E9 2F 40 B9 E8 13 40 B9 1F 01 09 6B 8A 35 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 3F 00 FD 48 03 80 52 E8 47 00 B9 E1 E3 01 91 E0 83 00 91 ?? ?? ?? ?? E0 9B 00 79 E8 9B C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 00 00 54 96 01 00 14 94 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 21 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 1B 40 FD 10 01 00 FD E8 13 40 B9 09 05 00 11 E8 2F 40 B9 3F 01 08 6B 4A 01 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 30 00 5C 10 01 00 FD 7A 01 00 14 78 01 00 14 E9 43 C0 79 29 01 00 11 E8 53 C0 79 08 01 00 11 28 01 08 4B E8 53 00 B9 E8 47 40 B9 E9 03 08 4B E8 53 40 B9 1F 01 09 6B 4C 09 00 54 F0 1B 40 FD 08 22 60 1E E0 08 00 54 E8 13 40 B9 E8 27 00 B9 E8 27 40 B9 08 05 00 11 E8 27 00 B9 E9 2F 40 B9 E8 27 40 B9 1F 01 09 6B 6A 01 00 54 E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 F0 FF FF 17 E8 2F 40 B9 09 05 00 51 E8 27 40 B9 1F 01 09 6B AA 00 00 54 E8 27 40 B9 08 05 00 11 E8 27 00 B9 08 00 00 14 E9 2F 40 B9 E8 27 40 B9 1F 01 09 6B 81 00 00 54 E8 27 40 B9 08 05 00 51 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 05 00 51 E8 27 00 B9 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B 2A 02 00 54 E8 27 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD EA FF FF 17 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 1B 40 FD 10 01 00 FD 70 25 00 5C F0 1B 00 FD 24 01 00 14 E9 53 40 B9 E8 47 40 B9 1F 01 09 6B 6C 01 00 54 F0 1B 40 FD 08 22 60 1E 00 01 00 54 E8 43 C0 79 08 01 00 11 E8 43 00 B9 E8 13 40 B9 08 05 00 11 E8 13 00 B9 16 01 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 2A 70 1E F0 33 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 33 40 FD 10 01 00 FD F0 33 40 FD 08 22 60 1E E1 06 00 54 E8 13 40 B9 E8 3B 00 B9 E8 3B 40 B9 08 05 00 11 E8 3B 00 B9 E9 2F 40 B9 E8 3B 40 B9 1F 01 09 6B 6A 03 00 54 E8 3B 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 3B 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 3B 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 E0 FF FF 17 E8 2F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 70 1B 00 5C 10 01 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 41 00 00 54 CC 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 1B 00 FD E1 C3 00 91 E0 A3 00 91 ?? ?? ?? ?? E9 43 40 B9 E8 47 40 B9 29 01 08 4B E8 53 C0 79 08 01 00 11 3F 01 08 6B 4A 0D 00 54 EA 53 C0 79 4A 01 00 11 E9 43 40 B9 E8 47 40 B9 28 01 08 4B 48 01 08 4B 01 3D 00 13 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E1 53 C0 79 21 00 00 11 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 3A 70 1E F0 37 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 37 40 FD 10 01 00 FD F0 37 40 FD 08 22 60 1E A1 05 00 54 E8 13 40 B9 E8 3F 00 B9 E8 3F 40 B9 08 05 00 11 E8 3F 00 B9 E9 2F 40 B9 E8 3F 40 B9 1F 01 09 6B 6A 03 00 54 E8 3F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 3F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 3F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 E0 FF FF 17 E8 2F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 0D 00 5C 10 01 00 FD E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 81 00 00 54 08 00 81 52 E8 43 00 B9 10 00 00 14 E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 2F 00 FD E1 63 01 91 E0 83 00 91 ?? ?? ?? ?? E8 43 C0 79 08 01 00 11 E8 43 00 B9 50 00 00 14 E8 13 40 B9 09 05 00 11 E8 2F 40 B9 3F 01 08 6B 61 00 00 54 4B 00 00 14 49 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 1B 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 01 01 09 8B 21 00 00 91 E0 83 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 00 01 09 8B 41 03 80 52 00 00 00 91 ?? ?? ?? ?? E1 43 C0 79 21 00 00 11 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 00 01 09 8B 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F1 1B 40 FD 10 01 40 FD 30 3A 70 1E F0 1B 00 FD E8 43 C0 79 08 01 00 11 E8 43 00 B9 F0 1B 40 FD 08 22 60 1E 80 00 00 54 F0 1B 40 FD F0 3B 00 FD 09 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 3B 00 FD F0 3B 40 FD F0 2F 00 FD E1 63 01 91 E0 A3 00 91 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 52 FE FF 17 E0 0F 40 F9 FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "_dxp_addh"
		size = 2056
		refs = "0034 _dunscale 006c _dtest 00dc _fperrraise 00e4 _Nan_C 0530 _d_int 0544 _dscale"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 2F 00 B9 E0 1B 00 FD F0 1B 40 FD F0 2F 00 FD E8 2F 40 B9 1F 01 00 71 41 00 00 54 F2 01 00 14 E1 63 01 91 E0 A3 00 91 ?? ?? ?? ?? E0 93 00 79 E8 93 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0A 06 00 54 E8 2B C0 79 08 01 00 11 1F 09 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 C0 79 E8 2B 00 79 E8 2B C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 E8 0F 40 F9 F0 1B 40 FD 10 01 00 FD 1E 00 00 14 E8 2B C0 79 08 01 00 11 1F 09 00 71 60 01 00 54 E8 6F 40 79 08 01 00 11 09 01 11 12 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 41 00 00 54 0F 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD E9 2F 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 0F 40 F9 08 21 00 91 D0 37 00 5C 10 01 00 FD B8 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 8A 36 00 54 08 00 81 52 E8 43 00 B9 08 00 80 52 E8 13 00 B9 E9 2F 40 B9 E8 13 40 B9 1F 01 09 6B 8A 35 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 3F 00 FD 48 03 80 52 E8 47 00 B9 E1 E3 01 91 E0 83 00 91 ?? ?? ?? ?? E0 9B 00 79 E8 9B C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 00 00 54 96 01 00 14 94 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 21 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 1B 40 FD 10 01 00 FD E8 13 40 B9 09 05 00 11 E8 2F 40 B9 3F 01 08 6B 4A 01 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 30 00 5C 10 01 00 FD 7A 01 00 14 78 01 00 14 E9 43 C0 79 29 01 00 11 E8 53 C0 79 08 01 00 11 28 01 08 4B E8 53 00 B9 E8 47 40 B9 E9 03 08 4B E8 53 40 B9 1F 01 09 6B 4C 09 00 54 F0 1B 40 FD 08 22 60 1E E0 08 00 54 E8 13 40 B9 E8 27 00 B9 E8 27 40 B9 08 05 00 11 E8 27 00 B9 E9 2F 40 B9 E8 27 40 B9 1F 01 09 6B 6A 01 00 54 E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 F0 FF FF 17 E8 2F 40 B9 09 05 00 51 E8 27 40 B9 1F 01 09 6B AA 00 00 54 E8 27 40 B9 08 05 00 11 E8 27 00 B9 08 00 00 14 E9 2F 40 B9 E8 27 40 B9 1F 01 09 6B 81 00 00 54 E8 27 40 B9 08 05 00 51 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 05 00 51 E8 27 00 B9 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B 2A 02 00 54 E8 27 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD EA FF FF 17 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 1B 40 FD 10 01 00 FD 70 25 00 5C F0 1B 00 FD 24 01 00 14 E9 53 40 B9 E8 47 40 B9 1F 01 09 6B 6C 01 00 54 F0 1B 40 FD 08 22 60 1E 00 01 00 54 E8 43 C0 79 08 01 00 11 E8 43 00 B9 E8 13 40 B9 08 05 00 11 E8 13 00 B9 16 01 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 2A 70 1E F0 33 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 33 40 FD 10 01 00 FD F0 33 40 FD 08 22 60 1E E1 06 00 54 E8 13 40 B9 E8 3B 00 B9 E8 3B 40 B9 08 05 00 11 E8 3B 00 B9 E9 2F 40 B9 E8 3B 40 B9 1F 01 09 6B 6A 03 00 54 E8 3B 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 3B 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 3B 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 E0 FF FF 17 E8 2F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 70 1B 00 5C 10 01 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 41 00 00 54 CC 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 1B 00 FD E1 C3 00 91 E0 A3 00 91 ?? ?? ?? ?? E9 43 40 B9 E8 47 40 B9 29 01 08 4B E8 53 C0 79 08 01 00 11 3F 01 08 6B 4A 0D 00 54 EA 53 C0 79 4A 01 00 11 E9 43 40 B9 E8 47 40 B9 28 01 08 4B 48 01 08 4B 01 3D 00 13 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E1 53 C0 79 21 00 00 11 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 3A 70 1E F0 37 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 37 40 FD 10 01 00 FD F0 37 40 FD 08 22 60 1E A1 05 00 54 E8 13 40 B9 E8 3F 00 B9 E8 3F 40 B9 08 05 00 11 E8 3F 00 B9 E9 2F 40 B9 E8 3F 40 B9 1F 01 09 6B 6A 03 00 54 E8 3F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 0A 01 09 8B E8 3F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 3F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 40 00 00 54 E0 FF FF 17 E8 2F 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F0 0D 00 5C 10 01 00 FD E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 81 00 00 54 08 00 81 52 E8 43 00 B9 10 00 00 14 E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 2F 00 FD E1 63 01 91 E0 83 00 91 ?? ?? ?? ?? E8 43 C0 79 08 01 00 11 E8 43 00 B9 50 00 00 14 E8 13 40 B9 09 05 00 11 E8 2F 40 B9 3F 01 08 6B 61 00 00 54 4B 00 00 14 49 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 1B 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 01 01 09 8B 21 00 00 91 E0 83 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 00 01 09 8B 41 03 80 52 00 00 00 91 ?? ?? ?? ?? E1 43 C0 79 21 00 00 11 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 00 01 09 8B 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B F1 1B 40 FD 10 01 40 FD 30 3A 70 1E F0 1B 00 FD E8 43 C0 79 08 01 00 11 E8 43 00 B9 F0 1B 40 FD 08 22 60 1E 80 00 00 54 F0 1B 40 FD F0 3B 00 FD 09 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD F0 3B 00 FD F0 3B 40 FD F0 2F 00 FD E1 63 01 91 E0 A3 00 91 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 52 FE FF 17 E0 0F 40 F9 FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_121_1_0 {
	meta:
		name = "_ldxp_addx"
		size = 156
		refs = "0088 _ldxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B AA 02 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 80 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 FD E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E6 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_153_1_0 {
	meta:
		name = "_dxp_addx"
		size = 156
		refs = "0088 _dxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B AA 02 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 80 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 FD E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E6 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_2_0 {
	meta:
		name = "_ldxp_getw"
		size = 224
		altNames = "_dxp_getw"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 1F 01 00 71 81 00 00 54 00 06 00 5C 2D 00 00 14 2C 00 00 14 E8 03 40 B9 1F 05 00 71 C0 01 00 54 E8 07 40 F9 10 01 40 FD 08 22 60 1E 40 01 00 54 E9 03 40 B9 28 00 80 52 1F 01 09 6B 4A 01 00 54 E8 07 40 F9 08 21 00 91 10 01 40 FD 08 22 60 1E A1 00 00 54 E8 07 40 F9 00 01 40 FD 19 00 00 14 18 00 00 14 E8 03 40 B9 1F 09 00 71 41 01 00 54 E8 07 40 F9 09 21 00 91 E8 07 40 F9 11 01 40 FD 30 01 40 FD 20 2A 70 1E 00 40 60 1E 0D 00 00 14 0C 00 00 14 E8 07 40 F9 09 21 00 91 E8 07 40 F9 08 41 00 91 31 01 40 FD 10 01 40 FD 31 2A 70 1E E8 07 40 F9 10 01 40 FD 00 2A 71 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_121_3_0 {
	meta:
		name = "_ldxp_invx"
		size = 488
		refs = "0028 _ldtest 0080 _LInf_C 00e8 _ldxp_movx 00f8 _ldxp_mulh 013c _ldxp_setw 018c _ldxp_mulx 019c _ldxp_addh 01c8 _ldxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 23 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 4C 02 00 54 E8 2B C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 E8 0F 40 F9 10 0C 00 5C 10 01 00 FD 09 00 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 51 00 00 14 E8 23 40 F9 E8 17 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 27 00 F9 E8 0F 40 F9 10 01 40 FD F0 1F 00 FD E2 0F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 00 10 7E 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 21 00 91 F1 1F 40 FD 10 01 40 FD 30 2A 70 1E F0 1F 00 FD 11 10 6E 1E F0 1F 40 FD 20 1A 70 1E 00 40 60 1E E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 79 1F 53 E8 27 00 B9 E9 13 40 B9 E8 27 40 B9 1F 01 09 6B 6A 03 00 54 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 6E 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 17 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 FF FF 17 E0 0F 40 F9 FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_153_3_0 {
	meta:
		name = "_dxp_invx"
		size = 488
		refs = "0028 _dtest 0080 _Inf_C 00e8 _dxp_movx 00f8 _dxp_mulh 013c _dxp_setw 018c _dxp_mulx 019c _dxp_addh 01c8 _dxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 23 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 4C 02 00 54 E8 2B C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 E8 0F 40 F9 10 0C 00 5C 10 01 00 FD 09 00 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 51 00 00 14 E8 23 40 F9 E8 17 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 27 00 F9 E8 0F 40 F9 10 01 40 FD F0 1F 00 FD E2 0F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 00 10 7E 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 21 00 91 F1 1F 40 FD 10 01 40 FD 30 2A 70 1E F0 1F 00 FD 11 10 6E 1E F0 1F 40 FD 20 1A 70 1E 00 40 60 1E E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 79 1F 53 E8 27 00 B9 E9 13 40 B9 E8 27 40 B9 1F 01 09 6B 6A 03 00 54 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 6E 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 17 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 FF FF 17 E0 0F 40 F9 FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_121_4_0 {
	meta:
		name = "_ldxp_ldexpx"
		size = 188
		refs = "005c ldexpl"
		altNames = "_dxp_ldexpx"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 1B 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B CA 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E0 1B 40 B9 00 01 40 FD ?? ?? ?? ?? E0 17 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 17 40 FD 10 01 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E 41 00 00 54 02 00 00 14 DD FF FF 17 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_5_0 {
	meta:
		name = "_ldxp_movx"
		size = 64
		refs = "0030 memcpy"
		altNames = "_dxp_movx"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 13 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_6_0 {
	meta:
		name = "_ldxp_mulh"
		size = 824
		refs = "0008 __security_push_cookie 0044 _ldtest 007c _fperrraise 0240 _ldunscale 024c _ld_int 0260 _ldscale 0270 _ldxp_addh 0324 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 0F 00 F9 E1 0F 00 B9 E0 1B 00 FD E9 0F 40 B9 08 00 80 52 1F 01 09 6B 6A 05 00 54 E8 0F 40 F9 11 01 40 FD F0 1B 40 FD 30 0A 70 1E F0 1F 00 FD E0 E3 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 0B 00 79 E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2C 03 00 54 E8 0B C0 79 08 01 00 11 1F 09 00 71 61 00 00 54 20 00 80 52 ?? ?? ?? ?? E8 0F 40 F9 F0 1F 40 FD 10 01 00 FD E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E9 0F 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 0F 40 F9 08 21 00 91 D0 13 00 5C 10 01 00 FD E0 0F 40 F9 97 00 00 14 E8 0F 40 F9 30 13 00 5C 10 01 00 FD 28 00 80 52 E8 03 00 B9 08 00 80 52 E8 0B 00 B9 07 00 00 14 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E9 0F 40 B9 E8 0B 40 B9 1F 01 09 6B 8A 10 00 54 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 11 00 71 6A 07 00 54 E9 0B 40 B9 E8 03 40 B9 29 01 08 0B E8 0F 40 B9 3F 01 08 6B 2A 05 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 03 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 0A 70 1E E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 10 01 00 FD E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B D0 0A 00 5C 10 01 00 FD 0C 00 00 14 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B B0 09 00 5C 10 01 00 FD 08 01 80 52 E8 03 00 B9 02 00 00 14 C1 FF FF 17 F0 1F 40 FD 08 22 60 1E 61 00 00 54 3F 00 00 14 3D 00 00 14 08 00 80 52 E8 13 00 B9 F0 1F 40 FD F0 17 00 FD E1 A3 00 91 E0 8B 00 91 ?? ?? ?? ?? 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? E1 47 C0 79 21 00 00 11 21 00 00 11 E0 A3 00 91 ?? ?? ?? ?? E0 17 40 FD E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? F1 1F 40 FD F0 17 40 FD 20 3A 70 1E 00 40 60 1E E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 03 40 B9 E8 13 40 B9 1F 01 09 6B 8A 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 0A 01 09 8B E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 10 01 40 FD 08 22 60 1E 41 00 00 54 02 00 00 14 DF FF FF 17 74 FF FF 17 E0 0F 40 F9 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_153_6_0 {
	meta:
		name = "_dxp_mulh"
		size = 824
		refs = "0008 __security_push_cookie 0044 _dtest 007c _fperrraise 0240 _dunscale 024c _d_int 0260 _dscale 0270 _dxp_addh 0324 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 0F 00 F9 E1 0F 00 B9 E0 1B 00 FD E9 0F 40 B9 08 00 80 52 1F 01 09 6B 6A 05 00 54 E8 0F 40 F9 11 01 40 FD F0 1B 40 FD 30 0A 70 1E F0 1F 00 FD E0 E3 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 0B 00 79 E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2C 03 00 54 E8 0B C0 79 08 01 00 11 1F 09 00 71 61 00 00 54 20 00 80 52 ?? ?? ?? ?? E8 0F 40 F9 F0 1F 40 FD 10 01 00 FD E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E9 0F 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 0F 40 F9 08 21 00 91 D0 13 00 5C 10 01 00 FD E0 0F 40 F9 97 00 00 14 E8 0F 40 F9 30 13 00 5C 10 01 00 FD 28 00 80 52 E8 03 00 B9 08 00 80 52 E8 0B 00 B9 07 00 00 14 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E9 0F 40 B9 E8 0B 40 B9 1F 01 09 6B 8A 10 00 54 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 11 00 71 6A 07 00 54 E9 0B 40 B9 E8 03 40 B9 29 01 08 0B E8 0F 40 B9 3F 01 08 6B 2A 05 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 03 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 30 0A 70 1E E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 10 01 00 FD E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B D0 0A 00 5C 10 01 00 FD 0C 00 00 14 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B B0 09 00 5C 10 01 00 FD 08 01 80 52 E8 03 00 B9 02 00 00 14 C1 FF FF 17 F0 1F 40 FD 08 22 60 1E 61 00 00 54 3F 00 00 14 3D 00 00 14 08 00 80 52 E8 13 00 B9 F0 1F 40 FD F0 17 00 FD E1 A3 00 91 E0 8B 00 91 ?? ?? ?? ?? 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? E1 47 C0 79 21 00 00 11 21 00 00 11 E0 A3 00 91 ?? ?? ?? ?? E0 17 40 FD E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? F1 1F 40 FD F0 17 40 FD 20 3A 70 1E 00 40 60 1E E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 03 40 B9 E8 13 40 B9 1F 01 09 6B 8A 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 0A 01 09 8B E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 50 01 40 FD 10 01 00 FD E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 00 91 08 01 09 8B 10 01 40 FD 08 22 60 1E 41 00 00 54 02 00 00 14 DF FF FF 17 74 FF FF 17 E0 0F 40 F9 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_121_7_0 {
	meta:
		name = "_ldxp_mulx"
		size = 356
		refs = "006c _ldxp_mulh 00a4 _ldxp_movx 0150 _ldxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 13 00 F9 E3 1B 00 B9 E4 1F 00 F9 E8 13 40 B9 1F 01 00 71 80 00 00 54 E8 1B 40 B9 1F 01 00 71 41 00 00 54 49 00 00 14 E8 13 40 F9 10 01 40 FD 08 22 60 1E C0 00 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD 08 22 60 1E E1 00 00 54 E8 13 40 F9 00 01 40 FD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 3A 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B E8 1B 00 F9 E2 17 40 F9 E1 13 40 B9 E0 23 40 F9 ?? ?? ?? ?? E8 13 40 F9 00 01 40 FD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B CA 03 00 54 E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E A0 02 00 54 E2 23 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 FD E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? DD FF FF 17 E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_153_7_0 {
	meta:
		name = "_dxp_mulx"
		size = 356
		refs = "006c _dxp_mulh 00a4 _dxp_movx 0150 _dxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 13 00 F9 E3 1B 00 B9 E4 1F 00 F9 E8 13 40 B9 1F 01 00 71 80 00 00 54 E8 1B 40 B9 1F 01 00 71 41 00 00 54 49 00 00 14 E8 13 40 F9 10 01 40 FD 08 22 60 1E C0 00 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD 08 22 60 1E E1 00 00 54 E8 13 40 F9 00 01 40 FD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 3A 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B E8 1B 00 F9 E2 17 40 F9 E1 13 40 B9 E0 23 40 F9 ?? ?? ?? ?? E8 13 40 F9 00 01 40 FD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B CA 03 00 54 E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E A0 02 00 54 E2 23 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 FD E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? DD FF FF 17 E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_8_0 {
	meta:
		name = "_ldxp_setw"
		size = 504
		refs = "0040 _ldunscale 00ac _ld_int 00c0 _ldscale"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E0 1B 00 FD F0 1B 40 FD F0 17 00 FD E8 1B 40 B9 1F 01 00 71 4C 00 00 54 6F 00 00 14 E8 1B 40 B9 1F 05 00 71 60 01 00 54 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 13 40 F9 F0 17 40 FD 10 01 00 FD 5E 00 00 14 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E8 13 40 F9 F0 17 40 FD 10 01 00 FD E8 13 40 F9 08 21 00 91 D0 0A 00 5C 10 01 00 FD 51 00 00 14 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 21 00 00 11 E0 A3 00 91 ?? ?? ?? ?? E8 13 40 F9 F0 17 40 FD 10 01 00 FD F1 1B 40 FD F0 17 40 FD 30 3A 70 1E E8 13 40 F9 08 21 00 91 10 01 00 FD 28 00 80 52 1F 01 00 71 A0 06 00 54 E9 1B 40 B9 48 00 80 52 1F 01 09 6B 2A 06 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD 08 22 60 1E 80 05 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD F0 1B 00 FD E8 13 40 F9 01 21 00 91 21 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 00 21 00 91 41 03 80 52 00 00 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 E8 13 40 F9 00 21 00 91 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 13 40 F9 08 21 00 91 F1 1B 40 FD 10 01 40 FD 30 3A 70 1E E8 13 40 F9 08 41 00 91 10 01 00 FD E9 1B 40 B9 68 00 80 52 1F 01 09 6B 4A 01 00 54 E8 13 40 F9 08 41 00 91 10 01 40 FD 08 22 60 1E A0 00 00 54 E8 13 40 F9 08 61 00 91 D0 01 00 5C 10 01 00 FD 09 00 00 14 E9 1B 40 B9 48 00 80 52 1F 01 09 6B AA 00 00 54 E8 13 40 F9 08 41 00 91 B0 00 00 5C 10 01 00 FD E0 13 40 F9 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_153_8_0 {
	meta:
		name = "_dxp_setw"
		size = 504
		refs = "0040 _dunscale 00ac _d_int 00c0 _dscale"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E0 1B 00 FD F0 1B 40 FD F0 17 00 FD E8 1B 40 B9 1F 01 00 71 4C 00 00 54 6F 00 00 14 E8 1B 40 B9 1F 05 00 71 60 01 00 54 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 13 40 F9 F0 17 40 FD 10 01 00 FD 5E 00 00 14 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E8 13 40 F9 F0 17 40 FD 10 01 00 FD E8 13 40 F9 08 21 00 91 D0 0A 00 5C 10 01 00 FD 51 00 00 14 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 21 00 00 11 E0 A3 00 91 ?? ?? ?? ?? E8 13 40 F9 F0 17 40 FD 10 01 00 FD F1 1B 40 FD F0 17 40 FD 30 3A 70 1E E8 13 40 F9 08 21 00 91 10 01 00 FD 28 00 80 52 1F 01 00 71 A0 06 00 54 E9 1B 40 B9 48 00 80 52 1F 01 09 6B 2A 06 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD 08 22 60 1E 80 05 00 54 E8 13 40 F9 08 21 00 91 10 01 40 FD F0 1B 00 FD E8 13 40 F9 01 21 00 91 21 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 00 21 00 91 41 03 80 52 00 00 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 E8 13 40 F9 00 21 00 91 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 13 40 F9 08 21 00 91 F1 1B 40 FD 10 01 40 FD 30 3A 70 1E E8 13 40 F9 08 41 00 91 10 01 00 FD E9 1B 40 B9 68 00 80 52 1F 01 09 6B 4A 01 00 54 E8 13 40 F9 08 41 00 91 10 01 40 FD 08 22 60 1E A0 00 00 54 E8 13 40 F9 08 61 00 91 D0 01 00 5C 10 01 00 FD 09 00 00 14 E9 1B 40 B9 48 00 80 52 1F 01 09 6B AA 00 00 54 E8 13 40 F9 08 41 00 91 B0 00 00 5C 10 01 00 FD E0 13 40 F9 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_121_9_0 {
	meta:
		name = "_ldxp_sqrtx"
		size = 484
		refs = "0028 _ldtest 0068 _fperrraise 0070 _LNan_C 00f8 sqrtl 0118 _ldxp_setw 0150 _ldxp_movx 0160 _ldxp_mulh 0178 _ldxp_mulx 01a0 _ldxp_addh"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 27 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AD 00 00 54 E8 0F 40 F9 10 01 40 FD 08 22 60 1E 82 01 00 54 E8 0F 40 F9 10 01 40 FD 08 22 60 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 57 00 00 14 E8 27 40 F9 E8 17 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 1F 00 F9 E8 0F 40 F9 10 01 40 FD F0 23 00 FD E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 21 00 91 F1 23 40 FD 10 01 40 FD 30 2A 70 1E F0 23 00 FD E0 23 40 FD ?? ?? ?? ?? E0 2B 00 FD 11 10 6E 1E F0 2B 40 FD 20 1A 70 1E 00 40 60 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 48 00 80 52 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 79 1F 53 E8 27 00 B9 E9 13 40 B9 E8 27 40 B9 1F 01 09 6B 0A 04 00 54 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 7C 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 6F 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 17 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? DB FF FF 17 E4 1F 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_153_9_0 {
	meta:
		name = "_dxp_sqrtx"
		size = 484
		refs = "0028 _dtest 0068 _fperrraise 0070 _Nan_C 00f8 sqrt 0118 _dxp_setw 0150 _dxp_movx 0160 _dxp_mulh 0178 _dxp_mulx 01a0 _dxp_addh"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 27 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AD 00 00 54 E8 0F 40 F9 10 01 40 FD 08 22 60 1E 82 01 00 54 E8 0F 40 F9 10 01 40 FD 08 22 60 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 57 00 00 14 E8 27 40 F9 E8 17 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 1F 00 F9 E8 0F 40 F9 10 01 40 FD F0 23 00 FD E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 21 00 91 F1 23 40 FD 10 01 40 FD 30 2A 70 1E F0 23 00 FD E0 23 40 FD ?? ?? ?? ?? E0 2B 00 FD 11 10 6E 1E F0 2B 40 FD 20 1A 70 1E 00 40 60 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 48 00 80 52 E8 27 00 B9 04 00 00 14 E8 27 40 B9 08 79 1F 53 E8 27 00 B9 E9 13 40 B9 E8 27 40 B9 1F 01 09 6B 0A 04 00 54 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 7C 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 00 10 6F 1E E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 1F 40 F9 E3 13 40 B9 E2 17 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? DB FF FF 17 E4 1F 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_10_0 {
	meta:
		name = "_ldxp_subx"
		size = 164
		refs = "0090 _ldxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B EA 02 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 00 42 61 1E 00 40 60 1E E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_153_10_0 {
	meta:
		name = "_dxp_subx"
		size = 164
		refs = "0090 _dxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B EA 02 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 FD 00 42 61 1E 00 40 60 1E E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_11_0 {
	meta:
		name = "fmal"
		size = 900
		refs = "0008 __security_push_cookie 003c _ldunscale 0174 _fperrraise 0178 _LNan_C 02b4 _ldscale 02c4 _ldxp_setw 02f4 _ldxp_mulh 0334 _ldxp_addx 0354 _ldxp_getw 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 13 00 FD E1 17 00 FD E2 07 00 FD F0 13 40 FD F0 23 00 FD F0 17 40 FD F0 27 00 FD F0 07 40 FD F0 1B 00 FD E1 03 01 91 E0 5B 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 E8 07 00 79 E8 07 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD C5 00 00 14 C4 00 00 14 E1 23 01 91 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 0B 00 79 E8 0B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 FD B8 00 00 14 B7 00 00 14 E1 C3 00 91 E0 03 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 0F 00 79 E8 0F C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 07 40 FD AB 00 00 14 AA 00 00 14 E8 07 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 0B C0 79 08 01 00 11 1F 05 00 71 E1 04 00 54 E8 07 C0 79 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 0F C0 79 08 01 00 11 1F 05 00 71 A1 01 00 54 E8 4F 40 79 08 01 00 11 09 01 11 12 E8 5F 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 1F 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 21 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 83 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7D 00 00 14 7C 00 00 14 E8 0F C0 79 08 01 00 11 1F 05 00 71 81 00 00 54 E0 07 40 FD 76 00 00 14 75 00 00 14 E8 07 C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F C0 79 08 01 00 11 1F 01 00 71 21 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 62 00 00 14 61 00 00 14 E9 2F C0 79 29 01 00 11 E8 33 C0 79 08 01 00 11 28 01 08 0B E8 3B 00 B9 E8 3B 40 B9 09 3D 00 13 29 01 00 11 E8 03 C0 79 08 01 00 11 08 01 09 4B 08 3D 00 13 E8 03 00 79 E8 4F 40 79 08 01 00 11 09 01 11 12 E8 5F 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 1F 40 79 08 01 00 11 08 01 11 12 28 01 08 4A 1F 01 00 71 40 01 00 54 E8 03 C0 79 08 01 00 11 1F 09 00 31 CB 00 00 54 E9 03 C0 79 29 01 00 11 48 00 80 52 1F 01 09 6B 2A 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 36 00 00 14 35 00 00 14 E1 03 C0 79 21 00 00 11 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E0 23 40 FD 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? E0 27 40 FD 41 00 80 52 E0 63 01 91 ?? ?? ?? ?? E0 1B 40 FD 41 00 80 52 E0 A3 01 91 ?? ?? ?? ?? E0 2F 40 FD 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? F0 33 40 FD 08 22 60 1E C0 01 00 54 E0 23 40 FD 81 00 80 52 E0 63 02 91 ?? ?? ?? ?? E0 33 40 FD 81 00 80 52 E0 63 02 91 ?? ?? ?? ?? 83 00 80 52 E2 63 02 91 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? 43 00 80 52 E2 A3 01 91 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 1B 00 FD E1 3B 40 B9 E0 C3 00 91 ?? ?? ?? ?? E0 1B 40 FD FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_153_11_0 {
	meta:
		name = "fma"
		size = 900
		refs = "0008 __security_push_cookie 003c _dunscale 0174 _fperrraise 0178 _Nan_C 02b4 _dscale 02c4 _dxp_setw 02f4 _dxp_mulh 0334 _dxp_addx 0354 _dxp_getw 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 13 00 FD E1 17 00 FD E2 07 00 FD F0 13 40 FD F0 23 00 FD F0 17 40 FD F0 27 00 FD F0 07 40 FD F0 1B 00 FD E1 03 01 91 E0 5B 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 E8 07 00 79 E8 07 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD C5 00 00 14 C4 00 00 14 E1 23 01 91 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 0B 00 79 E8 0B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 FD B8 00 00 14 B7 00 00 14 E1 C3 00 91 E0 03 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 0F 00 79 E8 0F C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 07 40 FD AB 00 00 14 AA 00 00 14 E8 07 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 0B C0 79 08 01 00 11 1F 05 00 71 E1 04 00 54 E8 07 C0 79 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 0F C0 79 08 01 00 11 1F 05 00 71 A1 01 00 54 E8 4F 40 79 08 01 00 11 09 01 11 12 E8 5F 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 1F 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 21 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 83 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7D 00 00 14 7C 00 00 14 E8 0F C0 79 08 01 00 11 1F 05 00 71 81 00 00 54 E0 07 40 FD 76 00 00 14 75 00 00 14 E8 07 C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F C0 79 08 01 00 11 1F 01 00 71 21 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 62 00 00 14 61 00 00 14 E9 2F C0 79 29 01 00 11 E8 33 C0 79 08 01 00 11 28 01 08 0B E8 3B 00 B9 E8 3B 40 B9 09 3D 00 13 29 01 00 11 E8 03 C0 79 08 01 00 11 08 01 09 4B 08 3D 00 13 E8 03 00 79 E8 4F 40 79 08 01 00 11 09 01 11 12 E8 5F 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 1F 40 79 08 01 00 11 08 01 11 12 28 01 08 4A 1F 01 00 71 40 01 00 54 E8 03 C0 79 08 01 00 11 1F 09 00 31 CB 00 00 54 E9 03 C0 79 29 01 00 11 48 00 80 52 1F 01 09 6B 2A 01 00 54 F1 13 40 FD F0 17 40 FD 31 0A 70 1E F0 07 40 FD 20 2A 70 1E 00 40 60 1E 36 00 00 14 35 00 00 14 E1 03 C0 79 21 00 00 11 21 00 00 11 E0 C3 00 91 ?? ?? ?? ?? E0 23 40 FD 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? E0 27 40 FD 41 00 80 52 E0 63 01 91 ?? ?? ?? ?? E0 1B 40 FD 41 00 80 52 E0 A3 01 91 ?? ?? ?? ?? E0 2F 40 FD 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? F0 33 40 FD 08 22 60 1E C0 01 00 54 E0 23 40 FD 81 00 80 52 E0 63 02 91 ?? ?? ?? ?? E0 33 40 FD 81 00 80 52 E0 63 02 91 ?? ?? ?? ?? 83 00 80 52 E2 63 02 91 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? 43 00 80 52 E2 A3 01 91 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? 81 00 80 52 E0 E3 01 91 ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 1B 00 FD E1 3B 40 B9 E0 C3 00 91 ?? ?? ?? ?? E0 1B 40 FD FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_121_12_0 {
	meta:
		name = "ldexpl"
		size = 44
		refs = "0018 ldexp"
		altNames = "_scalb"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 13 00 B9 E0 13 40 B9 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "exp"
		size = 768
		refs = "005c _handle_nan 0094 ?max_exp_arg@?1??exp@@9@9 00c8 ??_C@_03KHJOGHMM@exp?$AA@ 00d0 _handle_error 00e4 ?min_exp_arg@?1??exp@@9@9 021c ?log2_by_32_trail@?1??exp@@9@9 0224 ?log2_by_32_lead@?1??exp@@9@9 022c ?thirtytwo_by_log2@?1??exp@@9@9 023c splitexp 026c scaleDouble_1 0294 scaleDouble_2"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD F0 27 00 FD E8 27 40 F9 E8 13 00 F9 E8 13 40 F9 08 F9 40 92 E8 17 00 F9 49 14 00 58 E8 17 40 F9 1F 01 09 EB E3 07 00 54 09 FE EF D2 E8 17 40 F9 1F 01 09 EB 83 02 00 54 E8 13 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 2B 00 FD E0 2B 40 FD 90 00 00 14 0A 00 00 14 E8 13 40 F9 08 01 41 92 1F 01 00 F1 80 00 00 54 C0 11 00 5C 89 00 00 14 03 00 00 14 E0 0B 40 FD 86 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 0D 02 00 54 26 00 80 52 61 10 00 5C E0 0B 40 FD 45 04 80 52 24 02 80 52 63 00 80 52 02 FE EF D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD 73 00 00 14 14 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E E2 01 00 54 26 00 80 52 E1 0D 00 5C E0 0B 40 FD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 5F 00 00 14 09 F6 E7 D2 E8 17 40 F9 1F 01 09 EB A2 06 00 54 09 80 E7 D2 E8 17 40 F9 1F 01 09 EB C2 00 00 54 11 10 6E 1E F0 0B 40 FD 30 2A 70 1E F0 1B 00 FD 2B 00 00 14 F1 0A 00 5C F0 0B 40 FD 31 0A 70 1E D0 0A 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 90 0A 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 50 0A 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 10 0A 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E D0 09 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 90 09 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 50 09 00 5C 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 10 10 6C 1E 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 10 10 6E 1E 31 2A 70 1E F0 0B 40 FD 31 0A 70 1E 10 10 6E 1E 30 2A 70 1E F0 1B 00 FD 26 00 00 14 E2 03 01 91 E1 E3 00 91 E0 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E E0 0B 40 FD ?? ?? ?? ?? E8 1B 40 B9 1F F9 0F 31 CB 01 00 54 E8 1B 40 B9 1F FD 0F 71 6C 01 00 54 F1 1F 40 FD F0 23 40 FD 20 2A 70 1E E0 1B 40 B9 00 40 60 1E ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 1B 00 FD 0A 00 00 14 F1 1F 40 FD F0 23 40 FD 20 2A 70 1E E0 1B 40 B9 00 40 60 1E ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 1B 00 FD E0 1B 40 FD FD 7B C8 A8 C0 03 5F D6 EF 39 FA FE 42 2E 86 40 00 00 00 00 00 00 00 00 5C 9F 78 B7 4F 7E 92 3E 34 C7 56 A5 E3 1D C7 3E 1A A0 01 1A A0 01 FA 3E 1A A0 01 1A A0 01 2A 3F 17 6C C1 16 6C C1 56 3F 11 11 11 11 11 11 81 3F 55 55 55 55 55 55 A5 3F 55 55 55 55 55 55 C5 3F }
	condition:
		$1
}

rule file_122_1_0 {
	meta:
		name = "scaleDouble_1"
		size = 64
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 FD E0 03 00 B9 E8 03 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 07 00 F9 F0 07 40 FD F0 0F 00 FD F1 0B 40 FD F0 0F 40 FD 20 0A 70 1E 00 40 60 1E FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_123_5_0 {
	meta:
		name = "_mbsnlen_l"
		size = 180
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strnlen"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EC 13 40 F9 88 09 40 B9 A8 00 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 16 00 00 14 0B 00 80 D2 0A 00 80 D2 34 02 00 B4 68 02 40 39 E8 01 00 34 08 01 0C 8B 09 65 40 39 E9 00 10 36 4A 05 00 91 5F 01 14 EB 22 01 00 54 73 06 00 91 69 02 40 39 C9 00 00 34 4A 05 00 91 5F 01 14 EB 6B 05 00 91 73 06 00 91 23 FE FF 54 5F 01 14 EB 80 22 8B 9A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_add_exp"
		size = 80
		refs = "003c _set_exp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 13 00 B9 E8 3F 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 08 01 00 11 09 F9 0F 51 E8 13 40 B9 20 01 08 0B 00 00 00 11 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_124_1_0 {
	meta:
		name = "_decomp"
		size = 392
		refs = "0118 _set_exp"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E0 23 00 F9 F0 13 40 FD 08 22 60 1E C1 00 00 54 30 0B 00 5C F0 17 00 FD 08 00 80 52 E8 13 00 B9 4E 00 00 14 E8 4F 40 79 08 01 00 11 08 29 1C 12 1F 01 00 71 61 07 00 54 E8 27 40 B9 08 4D 14 53 1F 01 00 71 81 00 00 54 E8 23 40 B9 1F 01 00 71 80 06 00 54 88 7F 80 12 E8 13 00 B9 F0 13 40 FD 08 22 60 1E 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 4F 40 79 08 01 00 11 08 02 20 37 E8 27 40 B9 08 79 1F 53 E8 27 00 B9 E8 23 40 B9 88 00 F8 36 E8 27 40 B9 08 01 00 32 E8 27 00 B9 E8 23 40 B9 08 79 1F 53 E8 23 00 B9 E8 13 40 B9 08 05 00 51 E8 13 00 B9 EF FF FF 17 E9 4F 40 79 29 01 00 11 E8 FD 9F 52 28 01 08 0A 08 3D 00 53 E8 4F 00 79 E8 1B 40 B9 1F 01 00 71 C0 00 00 54 E8 4F 40 79 08 01 00 11 08 01 11 32 08 3D 00 53 E8 4F 00 79 00 00 80 52 E0 13 40 FD ?? ?? ?? ?? E0 1B 00 FD F0 1B 40 FD F0 17 00 FD 0F 00 00 14 00 00 80 52 E0 13 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 17 00 FD E8 4F 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 08 01 00 11 08 F9 0F 51 E8 13 00 B9 E9 23 40 F9 E8 13 40 B9 28 01 00 B9 E0 17 40 FD FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_124_2_0 {
	meta:
		name = "_get_exp"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 07 00 FD E8 1F 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 E8 03 00 79 E8 03 C0 79 08 01 00 11 08 F9 0F 51 08 3D 00 13 E8 03 00 79 E0 03 C0 79 00 00 00 11 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_124_3_0 {
	meta:
		name = "_set_bexp"
		size = 68
	strings:
		$1 = { FF 83 00 D1 E0 07 00 FD E0 03 00 B9 F0 07 40 FD F0 0B 00 FD E9 1F 40 79 29 01 00 11 E8 01 90 52 29 01 08 0A E8 03 40 B9 08 6D 1C 53 28 01 08 2A 08 3D 00 53 E8 2F 00 79 E0 0B 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_124_4_0 {
	meta:
		name = "_set_exp"
		size = 80
	strings:
		$1 = { FF 83 00 D1 E0 07 00 FD E0 03 00 B9 F0 07 40 FD F0 0B 00 FD E8 03 40 B9 08 F9 0F 11 E8 07 00 B9 E9 1F 40 79 29 01 00 11 E8 01 90 52 29 01 08 0A E8 07 40 B9 08 6D 1C 53 28 01 08 2A 08 3D 00 53 E8 2F 00 79 E0 0B 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_124_5_0 {
	meta:
		name = "_sptype"
		size = 184
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD 09 FE AF 52 E8 07 40 B9 1F 01 09 6B C1 00 00 54 E8 03 40 B9 1F 01 00 71 61 00 00 54 20 00 80 52 22 00 00 14 09 FE BF 52 E8 07 40 B9 1F 01 09 6B C1 00 00 54 E8 03 40 B9 1F 01 00 71 61 00 00 54 40 00 80 52 19 00 00 14 E8 0F 40 79 08 01 00 11 09 2D 1D 12 08 FF 8F 52 3F 01 08 6B 61 00 00 54 60 00 80 52 11 00 00 14 E8 0F 40 79 08 01 00 11 09 2D 1D 12 08 FE 8F 52 3F 01 08 6B 41 01 00 54 E8 07 40 B9 08 49 13 53 1F 01 00 71 81 00 00 54 E8 03 40 B9 1F 01 00 71 60 00 00 54 80 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "?locking_nolock@@YAHHHJ@Z"
		size = 620
		refs = "0020 _lseeki64_nolock 0120 _get_osfhandle 013c __imp_UnlockFileEx 01a0 __imp_LockFileEx 01f4 __imp_Sleep 0214 __imp_GetLastError 0228 __acrt_errno_map_os_error 0244 _errno"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 B9 E1 17 00 B9 E2 2B 00 B9 22 00 80 52 01 00 80 D2 E0 1F 40 B9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 23 00 F9 E8 23 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 12 89 00 00 14 08 00 80 D2 E8 37 00 F9 E9 C3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 09 00 F9 E8 23 40 F9 08 01 00 11 E8 7B 00 B9 E8 23 40 F9 08 FD 60 93 08 7D 40 92 08 01 00 11 E8 7F 00 B9 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 0D 00 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 01 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 33 00 B9 08 00 80 52 E8 43 00 39 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E9 33 40 B9 E8 1B 40 B9 1F 01 09 6B C0 07 00 54 E8 17 40 B9 1F 01 00 71 21 03 00 54 E0 1F 40 B9 ?? ?? ?? ?? E0 2B 00 F9 E4 A3 01 91 03 00 80 52 E2 2B 40 B9 01 00 80 52 E0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 05 00 71 81 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 08 1D 00 53 E8 43 00 39 19 00 00 14 E0 1F 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E5 A3 01 91 04 00 80 52 E3 2B 40 B9 02 00 80 52 61 00 80 52 E0 2F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 05 00 71 81 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 08 1D 00 53 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 06 00 00 14 00 7D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 BD FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 81 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E0 3F 40 B9 ?? ?? ?? ?? E8 17 40 B9 1F 05 00 71 80 00 00 54 E8 17 40 B9 1F 0D 00 71 C1 00 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 88 04 80 52 28 01 00 B9 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_125_1_0 {
	meta:
		name = "_locking"
		size = 1064
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GC@EBJDGNBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1BC@JDPPIGEN@?$AA_?$AAl?$AAo?$AAc?$AAk?$AAi?$AAn?$AAg?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0284 ??_C@_1CK@NGMOLNIH@?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA_?$AAo?$AAf?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0328 __acrt_lowio_lock_fh 03b4 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0404 ?locking_nolock@@YAHHHJ@Z 0418 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 13 00 B9 A1 47 00 B9 A2 2F 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 F4 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BA 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 83 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 75 00 00 14 A8 2F 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 A8 27 00 B9 03 00 00 14 08 00 80 52 A8 27 00 B9 A8 27 40 B9 A8 2B 00 B9 A8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 40 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 33 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 4F 00 F9 A9 4F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 00 14 A2 2F 40 B9 A1 47 40 B9 A0 13 40 B9 ?? ?? ?? ?? A0 4B 00 B9 A8 4B 40 B9 A8 33 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 33 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_126_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
		size = 148
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 33 00 00 11 01 00 00 91 E0 43 00 91 55 00 00 11 74 00 00 11 ?? ?? ?? ?? E8 13 40 F9 6A 1E 00 53 08 41 2A 8B 09 65 40 39 29 01 14 0A 69 01 00 35 D5 00 00 34 E8 0F 40 F9 08 01 40 F9 09 59 6A 78 2A 01 15 0A 02 00 00 14 0A 00 80 52 6A 00 00 35 00 00 80 52 02 00 00 14 20 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_126_5_0 {
	meta:
		name = "_ismbbalnum"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 23 00 80 52 E2 20 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_6_0 {
	meta:
		name = "_ismbbalnum_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 23 00 80 52 E2 20 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_7_0 {
	meta:
		name = "_ismbbalpha"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 23 00 80 52 62 20 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_8_0 {
	meta:
		name = "_ismbbalpha_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 23 00 80 52 62 20 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_9_0 {
	meta:
		name = "_ismbbblank"
		size = 40
		refs = "0020 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 1F 24 00 71 61 00 00 54 00 08 80 52 06 00 00 14 01 00 00 11 00 00 80 D2 43 00 80 52 02 08 80 52 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_126_10_0 {
	meta:
		name = "_ismbbblank_l"
		size = 44
		refs = "0024 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 28 00 00 91 1F 24 00 71 61 00 00 54 00 08 80 52 06 00 00 14 01 00 00 11 00 01 00 91 43 00 80 52 02 08 80 52 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_126_11_0 {
	meta:
		name = "_ismbbgraph"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 63 00 80 52 E2 22 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_12_0 {
	meta:
		name = "_ismbbgraph_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 63 00 80 52 E2 22 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_13_0 {
	meta:
		name = "_ismbbkalnum"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 23 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_14_0 {
	meta:
		name = "_ismbbkalnum_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 23 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_16_0 {
	meta:
		name = "_ismbbkana_l"
		size = 112
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 11 E0 43 00 91 33 00 00 91 ?? ?? ?? ?? E8 13 40 F9 48 01 00 B4 08 05 40 B9 1F 91 0E 71 E1 00 00 54 63 00 80 52 02 00 80 52 81 02 00 11 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_126_17_0 {
	meta:
		name = "_ismbbkprint"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 63 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_18_0 {
	meta:
		name = "_ismbbkprint_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 63 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_19_0 {
	meta:
		name = "_ismbbkpunct"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 43 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_20_0 {
	meta:
		name = "_ismbbkpunct_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 43 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_21_0 {
	meta:
		name = "_ismbblead"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 83 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_22_0 {
	meta:
		name = "_ismbblead_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 83 00 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_23_0 {
	meta:
		name = "_ismbbprint"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 63 00 80 52 E2 2A 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_24_0 {
	meta:
		name = "_ismbbprint_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 63 00 80 52 E2 2A 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_25_0 {
	meta:
		name = "_ismbbpunct"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 43 00 80 52 02 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_26_0 {
	meta:
		name = "_ismbbpunct_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 43 00 80 52 02 02 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_27_0 {
	meta:
		name = "_ismbbtrail"
		size = 20
		refs = "0010 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 01 00 00 11 00 00 80 D2 03 01 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_28_0 {
	meta:
		name = "_ismbbtrail_l"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 08 00 00 11 20 00 00 91 01 01 00 11 03 01 80 52 02 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_127_0_0 {
	meta:
		name = "wcsspn"
		size = 192
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 E8 03 00 F9 04 00 00 14 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 03 00 54 E8 0F 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 03 40 F9 09 01 40 79 29 01 00 11 E8 07 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B A0 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E1 00 00 54 E9 03 40 F9 E8 0B 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 08 00 00 14 EA FF FF 17 DE FF FF 17 E9 03 40 F9 E8 0B 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_129_0_0 {
	meta:
		name = "remquo"
		size = 860
		refs = "0018 _dtest 00d8 _fperrraise 00dc _Nan_C 0178 _dunscale 0218 _dscale"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 FD E1 1F 00 FD E0 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 43 00 79 E0 E3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 47 00 79 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 B9 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 47 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0C 04 00 54 E8 43 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD B1 00 00 14 18 00 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1F 40 FD AA 00 00 14 11 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 47 C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 9C 00 00 14 03 00 00 14 E0 0F 40 FD 99 00 00 14 98 00 00 14 F0 1F 40 FD 08 22 60 1E E2 00 00 54 F0 1F 40 FD 10 42 61 1E F0 1F 00 FD 28 00 80 52 E8 23 00 79 03 00 00 14 08 00 80 52 E8 23 00 79 F0 0F 40 FD 08 22 60 1E A2 01 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 28 00 80 52 E8 53 00 79 E9 23 C0 79 29 01 00 11 28 00 80 52 08 01 09 4B 08 3D 00 13 E8 23 00 79 03 00 00 14 08 00 80 52 E8 53 00 79 F0 1F 40 FD F0 1B 00 FD E1 C3 00 91 E0 23 01 91 ?? ?? ?? ?? 08 00 80 52 E8 17 00 B9 08 00 80 52 E8 27 00 B9 F0 0F 40 FD F0 1B 00 FD E8 17 40 B9 1F 01 00 71 4B 02 00 54 E1 C3 00 91 E0 1B 01 91 ?? ?? ?? ?? E0 8B 00 79 E8 8B C0 79 08 01 00 11 1F 01 00 71 40 01 00 54 E9 8F C0 79 29 01 00 11 E8 93 C0 79 08 01 00 11 28 01 08 4B E8 17 00 B9 E8 17 40 B9 1F 01 00 71 4A 00 00 54 23 00 00 14 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E9 17 40 B9 08 00 80 52 1F 01 09 6B 4C 03 00 54 F0 1F 40 FD F0 1B 00 FD E1 17 40 B9 E0 C3 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 08 02 00 54 F1 0F 40 FD F0 1B 40 FD 30 3A 70 1E F0 0F 00 FD E8 17 40 B9 08 7D 40 93 1F 81 00 F1 E2 00 00 54 29 00 80 52 E8 17 40 B9 29 21 C8 1A E8 27 40 B9 08 01 09 0B E8 27 00 B9 02 00 00 14 E1 FF FF 17 C8 FF FF 17 F0 0F 40 FD 08 22 60 1E 2D 03 00 54 11 10 6C 1E F0 1F 40 FD 30 0A 70 1E F0 1B 00 FD F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 82 00 00 54 F0 1B 40 FD 08 22 60 1E EC 00 00 54 F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 41 01 00 54 E8 27 40 B9 08 01 00 36 F1 0F 40 FD F0 1F 40 FD 30 3A 70 1E F0 0F 00 FD E8 27 40 B9 08 05 00 11 E8 27 00 B9 E8 2F 40 F9 1F 01 00 F1 20 02 00 54 E8 27 40 B9 08 79 00 12 E8 4F 00 B9 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 4F 40 B9 E8 03 08 4B E8 53 00 B9 03 00 00 14 E8 4F 40 B9 E8 53 00 B9 E9 2F 40 F9 E8 53 40 B9 28 01 00 B9 E8 53 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0F 40 FD 10 42 61 1E F0 33 00 FD 03 00 00 14 F0 0F 40 FD F0 33 00 FD E0 33 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_261_0_0 {
	meta:
		name = "remquol"
		size = 860
		refs = "0018 _ldtest 00d8 _fperrraise 00dc _LNan_C 0178 _ldunscale 0218 _ldscale"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 FD E1 1F 00 FD E0 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 43 00 79 E0 E3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 47 00 79 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 B9 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 47 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0C 04 00 54 E8 43 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD B1 00 00 14 18 00 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1F 40 FD AA 00 00 14 11 00 00 14 E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 47 C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 9C 00 00 14 03 00 00 14 E0 0F 40 FD 99 00 00 14 98 00 00 14 F0 1F 40 FD 08 22 60 1E E2 00 00 54 F0 1F 40 FD 10 42 61 1E F0 1F 00 FD 28 00 80 52 E8 23 00 79 03 00 00 14 08 00 80 52 E8 23 00 79 F0 0F 40 FD 08 22 60 1E A2 01 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 28 00 80 52 E8 53 00 79 E9 23 C0 79 29 01 00 11 28 00 80 52 08 01 09 4B 08 3D 00 13 E8 23 00 79 03 00 00 14 08 00 80 52 E8 53 00 79 F0 1F 40 FD F0 1B 00 FD E1 C3 00 91 E0 23 01 91 ?? ?? ?? ?? 08 00 80 52 E8 17 00 B9 08 00 80 52 E8 27 00 B9 F0 0F 40 FD F0 1B 00 FD E8 17 40 B9 1F 01 00 71 4B 02 00 54 E1 C3 00 91 E0 1B 01 91 ?? ?? ?? ?? E0 8B 00 79 E8 8B C0 79 08 01 00 11 1F 01 00 71 40 01 00 54 E9 8F C0 79 29 01 00 11 E8 93 C0 79 08 01 00 11 28 01 08 4B E8 17 00 B9 E8 17 40 B9 1F 01 00 71 4A 00 00 54 23 00 00 14 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E9 17 40 B9 08 00 80 52 1F 01 09 6B 4C 03 00 54 F0 1F 40 FD F0 1B 00 FD E1 17 40 B9 E0 C3 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 08 02 00 54 F1 0F 40 FD F0 1B 40 FD 30 3A 70 1E F0 0F 00 FD E8 17 40 B9 08 7D 40 93 1F 81 00 F1 E2 00 00 54 29 00 80 52 E8 17 40 B9 29 21 C8 1A E8 27 40 B9 08 01 09 0B E8 27 00 B9 02 00 00 14 E1 FF FF 17 C8 FF FF 17 F0 0F 40 FD 08 22 60 1E 2D 03 00 54 11 10 6C 1E F0 1F 40 FD 30 0A 70 1E F0 1B 00 FD F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 82 00 00 54 F0 1B 40 FD 08 22 60 1E EC 00 00 54 F1 0F 40 FD F0 1B 40 FD 00 22 71 1E 41 01 00 54 E8 27 40 B9 08 01 00 36 F1 0F 40 FD F0 1F 40 FD 30 3A 70 1E F0 0F 00 FD E8 27 40 B9 08 05 00 11 E8 27 00 B9 E8 2F 40 F9 1F 01 00 F1 20 02 00 54 E8 27 40 B9 08 79 00 12 E8 4F 00 B9 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 4F 40 B9 E8 03 08 4B E8 53 00 B9 03 00 00 14 E8 4F 40 B9 E8 53 00 B9 E9 2F 40 F9 E8 53 40 B9 28 01 00 B9 E8 53 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0F 40 FD 10 42 61 1E F0 33 00 FD 03 00 00 14 F0 0F 40 FD F0 33 00 FD E0 33 40 FD FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_130_0_0 {
	meta:
		name = "fegetenv"
		size = 72
		refs = "000c _getfpcontrolword 0024 _getfpstatusword"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 09 01 00 91 E8 13 40 B9 28 01 00 B9 ?? ?? ?? ?? E0 17 00 B9 E8 0F 40 F9 09 11 00 91 E8 17 40 B9 28 01 00 B9 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_7_0 {
	meta:
		name = "_fgetwc_nolock"
		size = 1152
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0038 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0044 _fileno 00c0 __pioinfo 00f0 __badioinfo 015c _getc_nolock 02dc __pctype_func 0354 ungetc 0388 mbtowc 039c _errno 03c4 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0464 __acrt_stdio_refill_and_read_wide_nolock"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 53 00 F9 E1 53 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 0B 00 54 E0 43 00 91 ?? ?? ?? ?? E0 57 00 F9 E0 57 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 05 00 31 E0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 F9 E0 5B 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 09 00 31 C0 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 4F 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 43 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 43 00 F9 E8 43 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 80 04 00 54 E8 93 00 91 E8 47 00 F9 E8 47 40 F9 08 09 00 91 E8 67 00 F9 E8 47 40 F9 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E9 67 40 F9 E8 1F 40 F9 1F 01 09 EB 60 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E0 6B 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 05 00 31 61 00 00 54 E0 FF 9F 52 BF 00 00 14 E8 2F 40 B9 09 1D 00 13 E8 1F 40 F9 09 01 00 39 E8 FF FF 17 E0 4B 40 79 B8 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 10 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 F9 E0 6F 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 05 00 31 E0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 73 00 F9 E0 73 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 1F 09 00 31 C0 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 77 00 F9 E0 77 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 7B 00 F9 E0 7B 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 5F 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 63 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 4B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 4B 00 F9 E8 4B 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 88 09 38 36 28 00 80 52 E8 33 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 7F 00 F9 E0 7F 40 F9 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 05 00 31 61 00 00 54 E0 FF 9F 52 6B 00 00 14 E8 1F 40 B9 08 1D 00 13 E8 83 00 39 ?? ?? ?? ?? E0 83 00 F9 E8 83 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 83 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 68 03 78 36 E0 43 00 91 ?? ?? ?? ?? E0 87 00 F9 E0 87 40 F9 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 05 00 31 61 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 F9 E0 83 C0 39 00 00 00 11 E1 8B 40 F9 00 00 00 11 ?? ?? ?? ?? E0 FF 9F 52 47 00 00 14 E8 1F 40 B9 08 1D 00 13 E8 87 00 39 48 00 80 52 E8 33 00 B9 E8 33 40 B9 02 7D 40 93 42 00 00 91 E1 83 00 91 E0 9B 00 91 ?? ?? ?? ?? E0 6F 00 B9 E8 6F 40 B9 1F 05 00 31 01 01 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 48 05 80 52 28 01 00 B9 E0 FF 9F 52 31 00 00 14 E0 4F 40 79 2F 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 08 41 00 91 08 01 40 B9 1F 09 00 71 CB 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 41 00 91 E8 4F 00 F9 E8 4F 40 F9 08 01 40 B9 09 09 00 51 E8 4F 40 F9 09 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 08 01 00 91 E8 3F 00 F9 E8 3F 40 F9 08 01 40 F9 08 01 40 79 E8 53 00 79 E8 3F 40 F9 08 01 40 F9 09 09 00 91 E8 3F 40 F9 09 01 00 F9 E0 53 40 79 0B 00 00 14 0A 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 9F 00 F9 E0 9F 40 F9 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 00 3D 00 53 00 00 00 11 FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_8_0 {
	meta:
		name = "_fgetwchar"
		size = 44
		refs = "000c __acrt_iob_func 0018 fgetwc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_9_0 {
	meta:
		name = "_getwc_nolock"
		size = 36
		refs = "0010 _fgetwc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_12_0 {
	meta:
		name = "getwc"
		size = 36
		refs = "0010 fgetwc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_10_0 {
	meta:
		name = "fgetwc"
		size = 264
		refs = "0040 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MGFNAPEH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1O@CGPBPCOK@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 00c0 _invalid_parameter 00d8 _lock_file 00e0 _fgetwc_nolock 00f4 _unlock_file"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 A0 13 00 F9 A8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1F 00 B9 A9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 17 00 F9 A9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FF 9F 52 0D 00 00 14 08 00 80 52 A8 23 00 79 A0 13 40 F9 ?? ?? ?? ?? A0 13 40 F9 ?? ?? ?? ?? A0 27 00 79 A8 27 40 79 A8 23 00 79 A0 13 40 F9 ?? ?? ?? ?? A0 23 40 79 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_131_11_0 {
	meta:
		name = "fgetwc$fin$0"
		size = 28
		refs = "000c _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 13 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_131_13_0 {
	meta:
		name = "getwchar"
		size = 28
		refs = "0008 _fgetwchar"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_132_9_0 {
	meta:
		name = "?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 98 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_132_10_0 {
	meta:
		name = "?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 88
		refs = "0014 ?get_flags@__crt_stdio_stream@@QEBAJXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 E8 1B 40 B9 28 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_132_11_0 {
	meta:
		name = "?has_temporary_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 40 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_132_16_0 {
	meta:
		name = "__acrt_stdio_begin_temporary_buffering_nolock"
		size = 744
		refs = "0018 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GC@GBMDABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 003c _CrtDbgReportW 0060 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0068 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0074 _fileno 0080 _isatty 00ac __acrt_iob_func 00c4 __acrt_stdout_buffer 00fc __acrt_stderr_buffer 0114 _cflush 012c ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0154 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 016c ??_C@_0DB@EPIHMFLB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 017c _malloc_dbg 018c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 01a0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 01b8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 01d0 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 1F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 92 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 20 00 80 52 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 E8 2B 40 F9 1F 01 09 EB A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 11 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 40 00 80 52 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 33 40 F9 1F 01 09 EB A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 03 00 00 14 00 00 80 52 74 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 66 00 00 14 41 50 80 52 E0 63 00 91 ?? ?? ?? ?? E8 13 40 F9 08 01 40 F9 1F 01 00 F1 C1 02 00 54 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 82 D2 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 43 00 F9 E9 13 40 F9 E8 43 40 F9 28 01 00 F9 E0 23 02 91 ?? ?? ?? ?? E8 13 40 F9 08 01 40 F9 1F 01 00 F1 E1 04 00 54 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4B 40 F9 09 71 00 91 E8 4F 40 F9 08 21 00 91 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 53 40 F9 09 71 00 91 E8 57 40 F9 08 01 00 91 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 09 41 00 91 48 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 09 81 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 09 21 00 91 E8 13 40 F9 08 01 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 09 01 00 91 E8 13 40 F9 08 01 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 09 41 00 91 08 00 82 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 09 81 00 91 08 00 82 52 28 01 00 B9 20 00 80 52 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_132_17_0 {
	meta:
		name = "__acrt_stdio_end_temporary_buffering_nolock"
		size = 200
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0034 ?has_temporary_buffer@__crt_stdio_stream@@QEBA_NXZ 0050 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 005c __acrt_stdio_flush_nolock 0068 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0070 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 43 00 39 E1 13 00 F9 E1 13 40 F9 E0 63 00 91 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 25 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E0 63 00 91 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 ?? ?? ?? ?? 01 50 80 52 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 81 00 91 08 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_3_0 {
	meta:
		name = "?LongLongSub@@YAJ_J0PEA_J@Z"
		size = 252
	strings:
		$1 = { FF 03 01 D1 E0 0F 00 F9 E1 13 00 F9 E2 17 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 08 CB E8 1B 00 F9 E8 0F 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 13 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E9 03 40 B9 E8 07 40 B9 1F 01 09 6B 60 03 00 54 E8 0F 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 1B 40 F9 1F 01 00 F1 8A 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E9 0B 40 B9 E8 0F 40 B9 1F 01 09 6B E0 00 00 54 E9 17 40 F9 08 00 80 92 28 01 00 F9 68 01 00 18 E8 13 00 B9 06 00 00 14 E9 17 40 F9 E8 1B 40 F9 28 01 00 F9 08 00 80 52 E8 13 00 B9 E0 13 40 B9 FF 03 01 91 C0 03 5F D6 16 02 07 80 }
	condition:
		$1
}

rule file_133_6_0 {
	meta:
		name = "?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 536
		refs = "0018 ?valid@__crt_stdio_stream@@QEBA_NXZ 0058 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1FO@KMPAKEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BK@HEPGDNON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 00d8 _invalid_parameter 0130 ??_C@_1HO@BJGCGJL@?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAE?$AAE?$AAK?$AA_?$AAS?$AAE?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 01c8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 01d4 _lock_file 01e4 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z 0204 _unlock_file"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 1B 00 F9 A1 37 00 F9 A2 17 00 B9 A0 C3 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 4B 00 00 14 A8 17 40 B9 1F 01 00 71 40 01 00 54 A8 17 40 B9 1F 05 00 71 E0 00 00 54 A8 17 40 B9 1F 09 00 71 80 00 00 54 08 00 80 52 A8 23 00 B9 03 00 00 14 28 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 15 00 00 14 08 00 80 12 A8 2B 00 B9 A0 C3 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? A2 17 40 B9 A1 37 40 F9 A0 1B 40 F9 ?? ?? ?? ?? A0 43 00 B9 A8 43 40 B9 A8 2B 00 B9 A0 C3 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? A0 2B 40 B9 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_133_7_0 {
	meta:
		name = "?fin$0@?0??common_fseek@@YAHV__crt_stdio_stream@@_JH@Z@4HA"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 C3 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_8_0 {
	meta:
		name = "?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z"
		size = 772
		refs = "002c ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0054 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 0078 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00a0 ?lowio_handle@__crt_stdio_stream@@QEBAHXZ 00c4 __pioinfo 0168 _lseeki64_nolock 01c0 ?LongLongSub@@YAJ_J0PEA_J@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E2 23 00 B9 E8 23 40 B9 1F 09 00 71 61 00 00 54 00 00 80 52 B6 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AD 00 00 14 C1 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 A3 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 6C 00 00 54 00 00 80 52 99 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 17 00 B9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 02 38 37 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 1F 01 00 71 60 00 00 54 00 00 80 52 6C 00 00 14 E8 23 40 B9 1F 01 00 71 61 04 00 54 22 00 80 52 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 6A 00 00 54 00 00 80 52 5D 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 E8 1F 40 F9 08 01 09 CB E8 37 00 F9 E2 A3 00 91 E1 37 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 6A 00 00 54 00 00 80 52 49 00 00 14 28 00 80 52 E8 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3B 40 F9 09 01 00 91 E8 3F 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB E8 03 08 CB E8 47 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 41 00 91 08 01 40 B9 08 7D 40 93 E8 4B 00 F9 E9 17 40 F9 E8 47 40 F9 1F 01 09 EB 0C 01 00 54 E9 4B 40 F9 E8 17 40 F9 1F 01 09 EB 8C 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1B 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 E8 23 00 F9 E8 23 40 F9 09 01 40 F9 E8 17 40 F9 29 01 08 8B E8 23 40 F9 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 41 00 91 E8 27 00 F9 E8 17 40 F9 09 01 00 11 E8 27 40 F9 08 01 40 B9 09 01 09 4B E8 27 40 F9 09 01 00 B9 20 00 80 52 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_9_0 {
	meta:
		name = "?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 424
		refs = "0018 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 0030 _errno 0054 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0064 ?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z 0094 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00a0 _ftelli64_nolock 00d0 __acrt_stdio_flush_nolock 00d8 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 00e4 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0134 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 0150 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 016c ?lowio_handle@__crt_stdio_stream@@QEBAHXZ 0180 _lseeki64_nolock"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E2 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 56 00 00 14 01 01 80 52 E0 63 00 91 ?? ?? ?? ?? E2 23 40 B9 E1 17 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 48 00 00 14 E8 23 40 B9 1F 05 00 71 A1 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 17 40 F9 E8 27 40 F9 28 01 08 8B E8 17 00 F9 08 00 80 52 E8 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? 81 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 61 00 80 52 E0 63 00 91 ?? ?? ?? ?? 18 00 00 14 21 08 80 52 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 01 20 80 52 E0 63 00 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 81 00 91 08 40 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 B9 E2 23 40 B9 E1 17 40 F9 E0 33 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_15_0 {
	meta:
		name = "?lowio_handle@__crt_stdio_stream@@QEBAHXZ"
		size = 52
		refs = "0020 ??$__crt_interlocked_read@J@@YAJPEDJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_19_0 {
	meta:
		name = "_fseek_nolock"
		size = 80
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 003c ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 13 00 B9 E2 17 00 B9 E1 13 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 13 40 B9 01 7D 40 93 E2 17 40 B9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_22_0 {
	meta:
		name = "fseek"
		size = 80
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 003c ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 13 00 B9 E2 17 00 B9 E1 13 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 13 40 B9 01 7D 40 93 E2 17 40 B9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_20_0 {
	meta:
		name = "_fseeki64"
		size = 72
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0034 ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 13 00 B9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 13 40 B9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_133_21_0 {
	meta:
		name = "_fseeki64_nolock"
		size = 72
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0034 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 13 00 B9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 13 40 B9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_134_3_0 {
	meta:
		name = "sinh"
		size = 1432
		refs = "0058 val_with_flags 0090 _handle_nan 0108 ?max_sinh_arg@?1??sinh@@9@9 0148 ??_C@_04COOMCNPB@sinh?$AA@ 0150 _handle_error 01a0 ?small_threshold@?1??sinh@@9@9 01c0 ?log2_by_32_tail@?1??sinh@@9@9 01c8 ?log2_by_32_lead@?1??sinh@@9@9 01d0 ?thirtytwo_by_log2@?1??sinh@@9@9 01e0 splitexp 021c scaleDouble_1 0244 scaleDouble_2 03c4 ?cosh_tail@?1??sinh@@9@9 03ec ?sinh_tail@?1??sinh@@9@9 0468 ?cosh_lead@?1??sinh@@9@9 0494 ?sinh_lead@?1??sinh@@9@9"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 17 00 FD F0 17 40 FD F0 4B 00 FD E8 4B 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 F9 40 92 E8 27 00 F9 09 C6 E7 D2 E8 27 40 F9 1F 01 09 EB C2 01 00 54 E8 27 40 F9 1F 01 00 F1 81 00 00 54 E0 17 40 FD 36 01 00 14 07 00 00 14 00 02 80 52 E0 17 40 FD ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD 2F 01 00 14 14 00 00 14 09 FE EF D2 E8 27 40 F9 1F 01 09 EB 03 02 00 54 09 FE EF D2 E8 27 40 F9 1F 01 09 EB E9 00 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 53 00 FD E0 53 40 FD 21 01 00 14 06 00 00 14 F1 17 40 FD F0 17 40 FD 20 2A 70 1E 00 40 60 1E 1B 01 00 14 E9 1B 40 F9 E8 27 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 08 7D 40 93 E8 37 00 F9 F0 17 40 FD F0 1F 00 FD E8 37 40 F9 1F 01 00 F1 80 00 00 54 F0 17 40 FD 10 42 61 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 00 22 71 1E 4B 04 00 54 E8 37 40 F9 1F 01 00 F1 00 02 00 54 26 00 80 52 E1 1F 00 5C E0 17 40 FD 45 04 80 52 24 00 80 52 63 00 80 52 02 FE FF D2 E1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 00 FD E0 57 40 FD F1 00 00 14 0F 00 00 14 26 00 80 52 01 1E 00 5C E0 17 40 FD 45 04 80 52 24 00 80 52 63 00 80 52 02 FE EF D2 E1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 00 FD E0 5B 40 FD E2 00 00 14 DA 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 00 22 71 1E 4B 05 00 54 E2 E3 01 91 E1 C3 01 91 E0 83 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E E0 1F 40 FD ?? ?? ?? ?? E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F F9 0F 31 CB 01 00 54 E8 23 40 B9 1F FD 0F 71 6C 01 00 54 F1 3B 40 FD F0 3F 40 FD 20 2A 70 1E E0 23 40 B9 00 40 60 1E ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 2F 00 FD 0A 00 00 14 F1 3B 40 FD F0 3F 40 FD 20 2A 70 1E E0 23 40 B9 00 40 60 1E ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 2F 00 FD AC 00 00 14 F0 1F 40 FD 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E F0 1F 40 FD 10 3A 71 1E F0 2B 00 FD F1 2B 40 FD F0 2B 40 FD 30 0A 70 1E F0 0F 00 FD F1 2B 40 FD F0 0F 40 FD 32 0A 70 1E F1 14 00 5C F0 0F 40 FD 31 0A 70 1E D0 14 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 90 14 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 50 14 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 14 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E D0 13 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 90 13 00 5C 10 2A 71 1E 50 0A 70 1E F0 6F 00 FD 51 13 00 5C F0 0F 40 FD 31 0A 70 1E 30 13 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E F0 12 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E B0 12 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 70 12 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 30 12 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 10 6C 1E 11 2A 71 1E F0 0F 40 FD 10 0A 71 1E F0 47 00 FD F0 2B 40 FD F0 67 00 FD E8 67 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 91 65 92 E8 1B 00 F9 E8 1B 40 F9 E8 6B 00 F9 F0 6B 40 FD F0 33 00 FD F1 2B 40 FD F0 33 40 FD 31 3A 70 1E F0 6F 40 FD 10 2A 71 1E F0 43 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 43 40 FD 32 0A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 47 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 33 40 FD 30 0A 70 1E 51 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD 32 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 43 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 47 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 33 40 FD 30 0A 70 1E 51 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD 30 2A 70 1E F0 2F 00 FD E8 37 40 F9 1F 01 00 F1 80 00 00 54 F0 2F 40 FD 10 42 61 1E F0 2F 00 FD E0 2F 40 FD FD 7B CE A8 C0 03 5F D6 00 00 00 00 00 00 00 00 8B A0 1E 92 25 41 6B 3D BE B7 DC 2B CB 11 E6 3D C0 61 BE 0F 46 E6 5A 3E 7D 3E E1 A4 E3 1D C7 3E 80 EE 01 1A A0 01 2A 3F FD 10 11 11 11 11 81 3F 55 55 55 55 55 55 C5 3F D7 FC 63 7F 4B 98 A9 3D 20 7B 5B 38 56 EE 21 3E 55 CB F1 69 50 7E 92 3E 11 90 07 19 A0 01 FA 3E E5 12 C2 16 6C C1 56 3F 02 55 55 55 55 55 A5 3F }
	condition:
		$1
}

rule file_135_0_0 {
	meta:
		name = "scalbn"
		size = 144
		refs = "0020 _dtest 0040 _dscale 0074 _fperrraise"
		altNames = "scalbln"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 03 00 54 E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E1 17 40 B9 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_563_0_0 {
	meta:
		name = "scalblnl"
		size = 144
		refs = "0020 _ldtest 0040 _ldscale 0074 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 03 00 54 E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E1 17 40 B9 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_481_0_0 {
	meta:
		name = "scalbnl"
		size = 144
		refs = "0020 _ldtest 0040 _ldscale 0074 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 03 00 54 E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E1 17 40 B9 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "_FHypot"
		size = 820
		refs = "001c _fdunscale 0070 _FInf_C 01e0 _fdscale 0260 sqrtf 02cc ?root2@?6??_FHypot@@9@9 02e4 ?oneplusroot2low@?6??_FHypot@@9@9 02f8 ?oneplusroot2high@?6??_FHypot@@9@9"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD E0 1F 00 F9 E1 53 00 91 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 E8 43 00 79 E1 43 00 91 E0 6B 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 47 00 79 E9 1F 40 F9 08 00 80 52 28 01 00 B9 E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 47 C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? AB 00 00 14 AA 00 00 14 E8 43 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 BD A4 00 00 14 A3 00 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 BD 9D 00 00 14 9C 00 00 14 F0 17 40 BD 08 22 20 1E 82 00 00 54 F0 17 40 BD 10 42 21 1E F0 17 00 BD F0 13 40 BD 08 22 20 1E 82 00 00 54 F0 13 40 BD 10 42 21 1E F0 13 00 BD F0 13 40 BD 08 22 20 1E E1 00 00 54 F0 17 40 BD 08 22 20 1E 61 00 00 54 80 11 00 1C 88 00 00 14 20 00 00 14 F0 17 40 BD 08 22 20 1E 20 02 00 54 E9 33 C0 79 29 01 00 11 E8 37 C0 79 08 01 00 11 3F 01 08 6B 6B 01 00 54 E9 33 C0 79 29 01 00 11 E8 37 C0 79 08 01 00 11 3F 01 08 6B 21 02 00 54 F1 13 40 BD F0 17 40 BD 00 22 31 1E A2 01 00 54 E8 33 C0 79 E8 53 00 79 F0 17 40 BD F0 47 00 BD E8 37 C0 79 E8 33 00 79 E8 53 C0 79 E8 37 00 79 F0 13 40 BD F0 17 00 BD F0 47 40 BD F0 13 00 BD E9 33 C0 79 29 01 00 11 88 00 80 52 29 0D C8 1A 48 00 80 52 29 7D 08 1B E8 1F 40 F9 09 01 00 B9 E8 1F 40 F9 08 01 40 B9 1F 01 00 71 81 00 00 54 E9 1F 40 F9 48 00 80 52 28 01 00 B9 E9 33 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 53 00 91 ?? ?? ?? ?? E9 37 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? F1 17 40 BD F0 13 40 BD 30 3A 30 1E F0 1F 00 BD F1 17 40 BD F0 1F 40 BD 00 22 31 1E 41 00 00 54 3F 00 00 14 F1 1F 40 BD F0 13 40 BD 00 22 31 1E C2 02 00 54 F1 17 40 BD F0 13 40 BD 30 1A 30 1E F0 2F 00 BD F1 2F 40 BD F0 2F 40 BD 31 0A 30 1E 10 10 2E 1E 20 2A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 4B 00 BD F1 2F 40 BD F0 4B 40 BD 31 2A 30 1E F0 13 40 BD 11 1A 31 1E F0 17 40 BD 10 2A 31 1E F0 1F 00 BD 26 00 00 14 F1 1F 40 BD F0 13 40 BD 30 1A 30 1E F0 33 00 BD F1 33 40 BD 10 10 20 1E 31 2A 30 1E F0 33 40 BD 30 0A 30 1E F0 43 00 BD F1 43 40 BD 10 10 20 1E 20 2A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 4F 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 40 BD 31 2A 30 1E F0 43 40 BD 11 1A 31 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 33 40 BD 31 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E F0 53 00 BD F1 13 40 BD F0 53 40 BD 31 1A 30 1E F0 17 40 BD 10 2A 31 1E F0 1F 00 BD E0 1F 40 BD FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_136_1_0 {
	meta:
		name = "csqrtf"
		size = 908
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 0068 _FInf_C 0070 _FCbuild 0164 _FZero_C 01b0 _FHypot 0230 ldexpf 0258 sqrtf"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2B 00 BD E1 2F 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 3F 00 BD F0 3F 40 BD F0 1B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 43 00 BD F0 43 40 BD F0 13 00 BD E0 43 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 E8 3B 00 79 E8 3B C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5F 00 BD E0 5B 00 BD E0 5B 40 BD E1 5F 40 BD BE 00 00 14 47 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 1F 05 00 71 40 00 00 54 3F 00 00 14 E8 3B C0 79 08 01 00 11 1F 09 00 71 21 02 00 54 F0 1B 40 BD 08 22 20 1E 42 01 00 54 E1 1B 40 BD E0 13 40 BD ?? ?? ?? ?? E1 67 00 BD E0 63 00 BD E0 63 40 BD E1 67 40 BD A6 00 00 14 04 00 00 14 E0 2B 40 BD E1 2F 40 BD A2 00 00 14 2B 00 00 14 F0 1B 40 BD 08 22 20 1E A2 02 00 54 E8 27 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 33 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 33 00 BD E1 33 40 BD 80 12 00 1C ?? ?? ?? ?? E1 6F 00 BD E0 6B 00 BD E0 6B 40 BD E1 6F 40 BD 8B 00 00 14 14 00 00 14 E8 27 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 37 00 BD 03 00 00 14 90 10 00 1C F0 37 00 BD E1 37 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 BD E0 73 00 BD E0 73 40 BD E1 77 40 BD 77 00 00 14 E0 93 00 91 E1 13 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 47 00 BD F0 47 40 BD F0 17 00 BD E8 27 40 B9 1F 01 00 71 A1 01 00 54 F1 13 40 BD F0 17 40 BD 21 0A 30 1E 21 40 20 1E E0 17 40 BD ?? ?? ?? ?? E1 7F 00 BD E0 7B 00 BD E0 7B 40 BD E1 7F 40 BD 62 00 00 14 61 00 00 14 F0 1B 40 BD 08 22 20 1E A2 00 00 54 F0 1B 40 BD 10 42 21 1E F0 3B 00 BD 03 00 00 14 F0 1B 40 BD F0 3B 00 BD E8 27 40 B9 E0 03 08 4B 00 00 00 11 E0 3B 40 BD ?? ?? ?? ?? E0 4B 00 BD F0 4B 40 BD F0 4F 00 BD F1 4F 40 BD F0 17 40 BD 31 2A 30 1E 10 10 20 1E 00 0A 31 1E 00 40 20 1E ?? ?? ?? ?? E0 53 00 BD E9 27 40 B9 48 00 80 52 28 0D C8 1A 00 05 00 51 00 00 00 11 E0 53 40 BD ?? ?? ?? ?? E0 57 00 BD F0 57 40 BD F0 17 00 BD F0 1B 40 BD 08 22 20 1E EB 01 00 54 11 10 20 1E F0 17 40 BD 31 0A 30 1E F0 13 40 BD 01 1A 31 1E 21 40 20 1E E0 17 40 BD ?? ?? ?? ?? E1 87 00 BD E0 83 00 BD E0 83 40 BD E1 87 40 BD 2E 00 00 14 2D 00 00 14 E8 27 40 79 08 01 00 11 48 02 78 36 F0 17 40 BD 01 42 21 1E F0 13 40 BD 12 42 21 1E 11 10 20 1E F0 17 40 BD 30 0A 30 1E 40 1A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 8F 00 BD E0 8B 00 BD E0 8B 40 BD E1 8F 40 BD 1A 00 00 14 19 00 00 14 F0 13 40 BD 08 22 20 1E 41 01 00 54 E1 17 40 BD E0 02 00 1C ?? ?? ?? ?? E1 97 00 BD E0 93 00 BD E0 93 40 BD E1 97 40 BD 0E 00 00 14 0D 00 00 14 11 10 20 1E F0 17 40 BD 31 0A 30 1E F0 13 40 BD 00 1A 31 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 9F 00 BD E0 9B 00 BD E0 9B 40 BD E1 9F 40 BD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_136_2_0 {
	meta:
		name = "ldexpf"
		size = 60
		refs = "0020 ldexp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 BD E0 17 00 B9 F0 13 40 BD 00 C2 22 1E E0 17 40 B9 00 40 60 1E ?? ?? ?? ?? E0 0F 00 FD F0 0F 40 FD 00 42 62 1E 00 40 20 1E FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "wcsncpy"
		size = 212
	strings:
		$1 = { FF 03 01 D1 E0 13 00 F9 E1 1B 00 F9 E2 17 00 F9 E8 17 40 F9 E8 07 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 07 40 F9 1F 01 00 F1 C0 02 00 54 E9 0B 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 01 40 79 08 01 00 11 E8 03 00 B9 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 03 40 B9 1F 01 00 71 A0 00 00 54 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E9 FF FF 17 E8 07 40 F9 1F 01 00 F1 C0 01 00 54 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E8 07 40 F9 1F 01 00 F1 00 01 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 F4 FF FF 17 E0 13 40 F9 FF 03 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "_dnorm"
		size = 900
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 01 11 12 08 3D 00 53 E8 0B 00 79 28 00 80 52 E8 03 00 79 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 19 00 91 E8 07 40 79 28 01 00 79 E8 07 40 79 08 01 00 11 1F 01 00 71 41 02 00 54 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 81 01 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 00 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 15 00 54 06 00 00 14 E8 03 C0 79 08 01 00 11 08 41 00 51 08 3D 00 13 E8 03 00 79 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 02 00 54 E8 07 40 F9 0A 11 00 91 E8 07 40 F9 09 19 00 91 48 01 40 79 28 01 00 79 E8 07 40 F9 0A 09 00 91 E8 07 40 F9 09 11 00 91 48 01 40 79 28 01 00 79 E8 07 40 F9 09 09 00 91 E8 07 40 F9 08 01 40 79 28 01 00 79 E9 07 40 F9 08 00 80 52 28 01 00 79 E1 FF FF 17 05 00 00 14 E8 03 C0 79 08 05 00 51 08 3D 00 13 E8 03 00 79 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 1F 41 00 71 8A 06 00 54 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 09 79 1F 53 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 08 7D 0F 13 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 09 79 1F 53 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 7D 0F 13 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 11 00 91 09 01 00 79 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 09 79 1F 53 E8 07 40 F9 08 01 40 79 08 01 00 11 08 7D 0F 13 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 09 00 91 09 01 00 79 E8 07 40 F9 08 01 40 79 08 79 1F 53 09 3D 00 53 E8 07 40 F9 09 01 00 79 C4 FF FF 17 05 00 00 14 E8 03 C0 79 08 05 00 11 08 3D 00 13 E8 03 00 79 E8 07 40 F9 08 19 00 91 09 01 40 79 29 01 00 11 08 04 80 52 1F 01 09 6B AC 06 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 09 7D 01 13 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 41 11 53 28 01 08 2A 09 3D 00 53 E8 07 40 F9 09 01 00 79 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 09 7D 01 13 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 08 41 11 53 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 09 00 91 09 01 00 79 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 09 7D 01 13 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 41 11 53 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 11 00 91 09 01 00 79 E8 07 40 F9 08 19 00 91 08 01 40 79 08 7D 01 53 09 3D 00 53 E8 07 40 F9 08 19 00 91 09 01 00 79 C2 FF FF 17 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 0A 0D 00 12 E8 07 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E8 07 40 F9 08 19 00 91 E9 0B 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 2A E8 07 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E0 03 C0 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_138_1_0 {
	meta:
		name = "_fdnorm"
		size = 556
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 01 11 12 08 3D 00 53 E8 0B 00 79 28 00 80 52 E8 03 00 79 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 09 00 91 E8 07 40 79 28 01 00 79 E8 07 40 79 08 01 00 11 1F 01 00 71 C1 00 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 0B 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 01 00 54 E8 07 40 F9 09 09 00 91 E8 07 40 F9 08 01 40 79 28 01 00 79 E9 07 40 F9 08 00 80 52 28 01 00 79 E8 03 C0 79 08 01 00 11 08 41 00 51 08 3D 00 13 E8 03 00 79 05 00 00 14 E8 03 C0 79 08 05 00 51 08 3D 00 13 E8 03 00 79 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 02 71 CA 02 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 09 79 1F 53 E8 07 40 F9 08 01 40 79 08 01 00 11 08 7D 0F 13 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 09 00 91 09 01 00 79 E8 07 40 F9 08 01 40 79 08 79 1F 53 09 3D 00 53 E8 07 40 F9 09 01 00 79 E2 FF FF 17 05 00 00 14 E8 03 C0 79 08 05 00 11 08 3D 00 13 E8 03 00 79 E8 07 40 F9 08 09 00 91 09 01 40 79 29 01 00 11 08 20 80 52 1F 01 09 6B EC 02 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 09 7D 01 13 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 41 11 53 28 01 08 2A 09 3D 00 53 E8 07 40 F9 09 01 00 79 E8 07 40 F9 08 09 00 91 08 01 40 79 08 7D 01 53 09 3D 00 53 E8 07 40 F9 08 09 00 91 09 01 00 79 E0 FF FF 17 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 0A 19 00 12 E8 07 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E8 07 40 F9 08 09 00 91 E9 0B 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 2A E8 07 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E0 03 C0 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "_fdxp_addh"
		size = 2052
		refs = "0034 _fdunscale 006c _fdtest 00dc _fperrraise 00e4 _FNan_C 0530 _fd_int 0544 _fdscale"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 37 00 B9 E0 1B 00 BD F0 1B 40 BD F0 47 00 BD E8 37 40 B9 1F 01 00 71 41 00 00 54 F2 01 00 14 E1 13 01 91 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 79 E8 9B C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0A 06 00 54 E8 2B C0 79 08 01 00 11 1F 09 00 71 40 01 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 9F 00 79 E8 9F C0 79 E8 2B 00 79 E8 2B C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD 1E 00 00 14 E8 2B C0 79 08 01 00 11 1F 09 00 71 60 01 00 54 E8 37 40 79 08 01 00 11 09 01 11 12 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 41 00 00 54 0F 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 BD E9 37 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 13 40 F9 08 11 00 91 D0 37 00 1C 10 01 00 BD B8 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 8A 36 00 54 08 20 80 52 E8 43 00 B9 08 00 80 52 E8 13 00 B9 E9 37 40 B9 E8 13 40 B9 1F 01 09 6B 8A 35 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD F0 67 00 BD 88 01 80 52 E8 4B 00 B9 E1 93 01 91 E0 A3 00 91 ?? ?? ?? ?? E0 A3 00 79 E8 A3 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 00 00 54 96 01 00 14 94 01 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 21 03 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 1B 40 BD 10 01 00 BD E8 13 40 B9 09 05 00 11 E8 37 40 B9 3F 01 08 6B 4A 01 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 30 00 1C 10 01 00 BD 7A 01 00 14 78 01 00 14 E9 53 C0 79 29 01 00 11 E8 63 C0 79 08 01 00 11 28 01 08 4B E8 57 00 B9 E8 4B 40 B9 E9 03 08 4B E8 57 40 B9 1F 01 09 6B 4C 09 00 54 F0 1B 40 BD 08 22 20 1E E0 08 00 54 E8 13 40 B9 E8 2F 00 B9 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 E9 37 40 B9 E8 2F 40 B9 1F 01 09 6B 6A 01 00 54 E8 2F 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 40 00 00 54 F0 FF FF 17 E8 37 40 B9 09 05 00 51 E8 2F 40 B9 1F 01 09 6B AA 00 00 54 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 08 00 00 14 E9 37 40 B9 E8 2F 40 B9 1F 01 09 6B 81 00 00 54 E8 2F 40 B9 08 05 00 51 E8 2F 00 B9 04 00 00 14 E8 2F 40 B9 08 05 00 51 E8 2F 00 B9 E9 2F 40 B9 E8 13 40 B9 1F 01 09 6B 2A 02 00 54 E8 2F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E8 2F 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 50 01 40 BD 10 01 00 BD EA FF FF 17 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 1B 40 BD 10 01 00 BD 70 25 00 1C F0 1B 00 BD 24 01 00 14 E9 57 40 B9 E8 4B 40 B9 1F 01 09 6B 6C 01 00 54 F0 1B 40 BD 08 22 20 1E 00 01 00 54 E8 53 C0 79 08 01 00 11 E8 43 00 B9 E8 13 40 B9 08 05 00 11 E8 13 00 B9 16 01 00 14 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 11 01 40 BD F0 1B 40 BD 30 2A 30 1E F0 5B 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 5B 40 BD 10 01 00 BD F0 5B 40 BD 08 22 20 1E E1 06 00 54 E8 13 40 B9 E8 3B 00 B9 E8 3B 40 B9 08 05 00 11 E8 3B 00 B9 E9 37 40 B9 E8 3B 40 B9 1F 01 09 6B 6A 03 00 54 E8 3B 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E8 3B 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 50 01 40 BD 10 01 00 BD E8 3B 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 40 00 00 54 E0 FF FF 17 E8 37 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 70 1B 00 1C 10 01 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 41 00 00 54 CC 00 00 14 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD F0 1B 00 BD E1 63 00 91 E0 C3 00 91 ?? ?? ?? ?? E9 43 40 B9 E8 4B 40 B9 29 01 08 4B E8 63 C0 79 08 01 00 11 3F 01 08 6B 4A 0D 00 54 EA 63 C0 79 4A 01 00 11 E9 43 40 B9 E8 4B 40 B9 28 01 08 4B 48 01 08 4B 01 3D 00 13 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E1 63 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 11 01 40 BD F0 1B 40 BD 30 3A 30 1E F0 5F 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 5F 40 BD 10 01 00 BD F0 5F 40 BD 08 22 20 1E A1 05 00 54 E8 13 40 B9 E8 3F 00 B9 E8 3F 40 B9 08 05 00 11 E8 3F 00 B9 E9 37 40 B9 E8 3F 40 B9 1F 01 09 6B 6A 03 00 54 E8 3F 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E8 3F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 50 01 40 BD 10 01 00 BD E8 3F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 40 00 00 54 E0 FF FF 17 E8 37 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 0D 00 1C 10 01 00 BD E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 81 00 00 54 08 20 80 52 E8 43 00 B9 10 00 00 14 E8 13 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD F0 47 00 BD E1 13 01 91 E0 A3 00 91 ?? ?? ?? ?? E8 53 C0 79 08 01 00 11 E8 43 00 B9 50 00 00 14 E8 13 40 B9 09 05 00 11 E8 37 40 B9 3F 01 08 6B 61 00 00 54 4B 00 00 14 49 00 00 14 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD F0 1B 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 01 01 09 8B 21 00 00 91 E0 A3 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 81 01 80 52 00 00 00 91 ?? ?? ?? ?? E1 53 C0 79 21 00 00 11 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F1 1B 40 BD 10 01 40 BD 30 3A 30 1E F0 1B 00 BD E8 53 C0 79 08 01 00 11 E8 43 00 B9 F0 1B 40 BD 08 22 20 1E 80 00 00 54 F0 1B 40 BD F0 63 00 BD 09 00 00 14 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD F0 63 00 BD F0 63 40 BD F0 47 00 BD E1 13 01 91 E0 C3 00 91 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 52 FE FF 17 E0 13 40 F9 FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_139_1_0 {
	meta:
		name = "_fdxp_addx"
		size = 156
		refs = "0088 _fdxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B AA 02 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 80 01 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 BD E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E6 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_2_0 {
	meta:
		name = "_fdxp_getw"
		size = 220
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 1F 01 00 71 81 00 00 54 00 06 00 1C 2D 00 00 14 2C 00 00 14 E8 03 40 B9 1F 05 00 71 C0 01 00 54 E8 07 40 F9 10 01 40 BD 08 22 20 1E 40 01 00 54 E9 03 40 B9 28 00 80 52 1F 01 09 6B 4A 01 00 54 E8 07 40 F9 08 11 00 91 10 01 40 BD 08 22 20 1E A1 00 00 54 E8 07 40 F9 00 01 40 BD 19 00 00 14 18 00 00 14 E8 03 40 B9 1F 09 00 71 41 01 00 54 E8 07 40 F9 09 11 00 91 E8 07 40 F9 11 01 40 BD 30 01 40 BD 20 2A 30 1E 00 40 20 1E 0D 00 00 14 0C 00 00 14 E8 07 40 F9 09 11 00 91 E8 07 40 F9 08 21 00 91 31 01 40 BD 10 01 40 BD 31 2A 30 1E E8 07 40 F9 10 01 40 BD 00 2A 31 1E 00 40 20 1E FF 43 00 91 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_139_3_0 {
	meta:
		name = "_fdxp_invx"
		size = 484
		refs = "0028 _fdtest 0080 _FInf_C 00e8 _fdxp_movx 00f8 _fdxp_mulh 013c _fdxp_setw 018c _fdxp_mulx 019c _fdxp_addh 01c8 _fdxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 23 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 2B 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 4C 02 00 54 E8 2B C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 E8 0F 40 F9 10 0C 00 1C 10 01 00 BD 09 00 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 BD 51 00 00 14 E8 23 40 F9 E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B E8 1F 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B E8 27 00 F9 E8 0F 40 F9 10 01 40 BD F0 27 00 BD E2 0F 40 F9 E1 13 40 B9 E0 1F 40 F9 ?? ?? ?? ?? 00 10 3E 1E E1 13 40 B9 E0 1F 40 F9 ?? ?? ?? ?? E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 11 00 91 F1 27 40 BD 10 01 40 BD 30 2A 30 1E F0 27 00 BD 11 10 2E 1E F0 27 40 BD 20 1A 30 1E 00 40 20 1E E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 2B 00 B9 04 00 00 14 E8 2B 40 B9 08 79 1F 53 E8 2B 00 B9 E9 13 40 B9 E8 2B 40 B9 1F 01 09 6B 6A 03 00 54 E2 0F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 1F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 00 10 2E 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E4 27 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 FF FF 17 E0 0F 40 F9 FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_139_4_0 {
	meta:
		name = "_fdxp_ldexpx"
		size = 188
		refs = "005c ldexpf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 1B 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B CA 03 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E0 1B 40 B9 00 01 40 BD ?? ?? ?? ?? E0 1F 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B F0 1F 40 BD 10 01 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E 41 00 00 54 02 00 00 14 DD FF FF 17 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_5_0 {
	meta:
		name = "_fdxp_movx"
		size = 64
		refs = "0030 memcpy"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 13 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 22 7D 08 9B 42 00 00 91 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_6_0 {
	meta:
		name = "_fdxp_mulh"
		size = 820
		refs = "0008 __security_push_cookie 0044 _fdtest 007c _fperrraise 0240 _fdunscale 024c _fd_int 0260 _fdscale 0270 _fdxp_addh 0324 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 0F 00 F9 E1 0F 00 B9 E0 27 00 BD E9 0F 40 B9 08 00 80 52 1F 01 09 6B 6A 05 00 54 E8 0F 40 F9 11 01 40 BD F0 27 40 BD 30 0A 30 1E F0 2B 00 BD E0 A3 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 0B 00 79 E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2C 03 00 54 E8 0B C0 79 08 01 00 11 1F 09 00 71 61 00 00 54 20 00 80 52 ?? ?? ?? ?? E8 0F 40 F9 F0 2B 40 BD 10 01 00 BD E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E9 0F 40 B9 28 00 80 52 1F 01 09 6B AA 00 00 54 E8 0F 40 F9 08 11 00 91 D0 13 00 1C 10 01 00 BD E0 0F 40 F9 97 00 00 14 E8 0F 40 F9 30 13 00 1C 10 01 00 BD 28 00 80 52 E8 03 00 B9 08 00 80 52 E8 0B 00 B9 07 00 00 14 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E9 0F 40 B9 E8 0B 40 B9 1F 01 09 6B 8A 10 00 54 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 11 00 71 6A 07 00 54 E9 0B 40 B9 E8 03 40 B9 29 01 08 0B E8 0F 40 B9 3F 01 08 6B 2A 05 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E C0 03 00 54 E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 11 01 40 BD F0 27 40 BD 30 0A 30 1E E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 A3 00 91 08 01 09 8B 10 01 00 BD E9 0B 40 B9 E8 03 40 B9 28 01 08 0B 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B D0 0A 00 1C 10 01 00 BD 0C 00 00 14 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 A3 00 91 08 01 09 8B B0 09 00 1C 10 01 00 BD 08 01 80 52 E8 03 00 B9 02 00 00 14 C1 FF FF 17 F0 2B 40 BD 08 22 20 1E 61 00 00 54 3F 00 00 14 3D 00 00 14 08 00 80 52 E8 13 00 B9 F0 2B 40 BD F0 17 00 BD E1 53 00 91 E0 8B 00 91 ?? ?? ?? ?? 81 01 80 52 E0 53 00 91 ?? ?? ?? ?? E1 47 C0 79 21 00 00 11 21 00 00 11 E0 53 00 91 ?? ?? ?? ?? E0 17 40 BD E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? F1 2B 40 BD F0 17 40 BD 20 3A 30 1E 00 40 20 1E E1 0F 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 03 40 B9 E8 13 40 B9 1F 01 09 6B 8A 03 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 A3 00 91 0A 01 09 8B E8 13 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 A3 00 91 08 01 09 8B 50 01 40 BD 10 01 00 BD E8 13 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 A3 00 91 08 01 09 8B 10 01 40 BD 08 22 20 1E 41 00 00 54 02 00 00 14 DF FF FF 17 74 FF FF 17 E0 0F 40 F9 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_139_7_0 {
	meta:
		name = "_fdxp_mulx"
		size = 356
		refs = "006c _fdxp_mulh 00a4 _fdxp_movx 0150 _fdxp_addx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 13 00 F9 E3 1B 00 B9 E4 1F 00 F9 E8 13 40 B9 1F 01 00 71 80 00 00 54 E8 1B 40 B9 1F 01 00 71 41 00 00 54 49 00 00 14 E8 13 40 F9 10 01 40 BD 08 22 20 1E C0 00 00 54 E8 13 40 F9 08 11 00 91 10 01 40 BD 08 22 20 1E E1 00 00 54 E8 13 40 F9 00 01 40 BD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 3A 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B E8 1B 00 F9 E2 17 40 F9 E1 13 40 B9 E0 23 40 F9 ?? ?? ?? ?? E8 13 40 F9 00 01 40 BD E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? 28 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B CA 03 00 54 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E A0 02 00 54 E2 23 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 00 01 40 BD E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? DD FF FF 17 E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_8_0 {
	meta:
		name = "_fdxp_setw"
		size = 468
		refs = "0040 _fdunscale 00ac _fd_int 00c0 _fdscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 23 00 B9 E0 1F 00 BD F0 1F 40 BD F0 1B 00 BD E8 23 40 B9 1F 01 00 71 4C 00 00 54 66 00 00 14 E8 23 40 B9 1F 05 00 71 60 01 00 54 E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 17 40 F9 F0 1B 40 BD 10 01 00 BD 55 00 00 14 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 2A 01 00 54 E8 17 40 F9 F0 1B 40 BD 10 01 00 BD E8 17 40 F9 08 11 00 91 D0 09 00 1C 10 01 00 BD 48 00 00 14 81 01 80 52 E0 63 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E8 17 40 F9 F0 1B 40 BD 10 01 00 BD F1 1F 40 BD F0 1B 40 BD 30 3A 30 1E E8 17 40 F9 08 11 00 91 10 01 00 BD 08 00 80 52 1F 01 00 71 80 05 00 54 E8 17 40 F9 08 11 00 91 10 01 40 BD F0 1F 00 BD E8 17 40 F9 01 11 00 91 21 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 17 40 F9 00 11 00 91 81 01 80 52 00 00 00 91 ?? ?? ?? ?? E1 23 C0 79 21 00 00 11 E8 17 40 F9 00 11 00 91 21 00 00 11 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 11 00 91 F1 1F 40 BD 10 01 40 BD 30 3A 30 1E E8 17 40 F9 08 21 00 91 10 01 00 BD E9 23 40 B9 68 00 80 52 1F 01 09 6B 4A 01 00 54 E8 17 40 F9 08 21 00 91 10 01 40 BD 08 22 20 1E A0 00 00 54 E8 17 40 F9 08 31 00 91 F0 01 00 1C 10 01 00 BD 09 00 00 14 E9 23 40 B9 48 00 80 52 1F 01 09 6B AA 00 00 54 E8 17 40 F9 08 21 00 91 D0 00 00 1C 10 01 00 BD E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_139_9_0 {
	meta:
		name = "_fdxp_sqrtx"
		size = 484
		refs = "0028 _fdtest 0068 _fperrraise 0070 _FNan_C 00f8 sqrtf 0118 _fdxp_setw 0150 _fdxp_movx 0160 _fdxp_mulh 0178 _fdxp_mulx 01a0 _fdxp_addh"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E2 2B 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 6E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 43 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AD 00 00 54 E8 0F 40 F9 10 01 40 BD 08 22 20 1E 82 01 00 54 E8 0F 40 F9 10 01 40 BD 08 22 20 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 BD 57 00 00 14 E8 2B 40 F9 E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 2B 40 F9 08 01 09 8B E8 1F 00 F9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B E8 23 00 F9 E8 0F 40 F9 10 01 40 BD F0 27 00 BD E9 13 40 B9 28 00 80 52 1F 01 09 6B EA 00 00 54 E8 0F 40 F9 08 11 00 91 F1 27 40 BD 10 01 40 BD 30 2A 30 1E F0 27 00 BD E0 27 40 BD ?? ?? ?? ?? E0 4B 00 BD 11 10 2E 1E F0 4B 40 BD 20 1A 30 1E 00 40 20 1E E1 13 40 B9 E0 1F 40 F9 ?? ?? ?? ?? 48 00 80 52 E8 2B 00 B9 04 00 00 14 E8 2B 40 B9 08 79 1F 53 E8 2B 00 B9 E9 13 40 B9 E8 2B 40 B9 1F 01 09 6B 0A 04 00 54 E2 1F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 00 10 3C 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E4 23 40 F9 E3 13 40 B9 E2 0F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E4 23 40 F9 E3 13 40 B9 E2 1F 40 F9 E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? 00 10 2F 1E E1 13 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E4 23 40 F9 E3 13 40 B9 E2 1B 40 F9 E1 13 40 B9 E0 1F 40 F9 ?? ?? ?? ?? DB FF FF 17 E4 23 40 F9 E3 13 40 B9 E2 1F 40 F9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_10_0 {
	meta:
		name = "_fdxp_subx"
		size = 164
		refs = "0090 _fdxp_addh"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 13 00 F9 E3 17 00 B9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B EA 02 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 08 22 20 1E C0 01 00 54 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 10 01 40 BD 00 42 21 1E 00 40 20 1E E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E4 FF FF 17 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_139_11_0 {
	meta:
		name = "fmaf"
		size = 900
		refs = "0008 __security_push_cookie 003c _fdunscale 0174 _fperrraise 0178 _FNan_C 02b4 _fdscale 02c4 _fdxp_setw 02f4 _fdxp_mulh 0334 _fdxp_addx 0354 _fdxp_getw 0378 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 01 D1 E0 0F 00 BD E1 13 00 BD E2 0B 00 BD F0 0F 40 BD F0 27 00 BD F0 13 40 BD F0 2B 00 BD F0 0B 40 BD F0 17 00 BD E1 93 00 91 E0 7B 00 91 ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 E8 07 00 79 E8 07 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 BD C5 00 00 14 C4 00 00 14 E1 A3 00 91 E0 83 00 91 ?? ?? ?? ?? E0 37 00 79 E8 37 C0 79 E8 0B 00 79 E8 0B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 BD B8 00 00 14 B7 00 00 14 E1 53 00 91 E0 03 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 E8 0F 00 79 E8 0F C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0B 40 BD AB 00 00 14 AA 00 00 14 E8 07 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 0B C0 79 08 01 00 11 1F 05 00 71 E1 04 00 54 E8 07 C0 79 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 0F C0 79 08 01 00 11 1F 05 00 71 A1 01 00 54 E8 1F 40 79 08 01 00 11 09 01 11 12 E8 27 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 17 40 79 08 01 00 11 08 01 11 12 3F 01 08 6B 21 01 00 54 F1 0F 40 BD F0 13 40 BD 31 0A 30 1E F0 0B 40 BD 20 2A 30 1E 00 40 20 1E 83 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7D 00 00 14 7C 00 00 14 E8 0F C0 79 08 01 00 11 1F 05 00 71 81 00 00 54 E0 0B 40 BD 76 00 00 14 75 00 00 14 E8 07 C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F C0 79 08 01 00 11 1F 01 00 71 21 01 00 54 F1 0F 40 BD F0 13 40 BD 31 0A 30 1E F0 0B 40 BD 20 2A 30 1E 00 40 20 1E 62 00 00 14 61 00 00 14 E9 3F C0 79 29 01 00 11 E8 43 C0 79 08 01 00 11 28 01 08 0B E8 2F 00 B9 E8 2F 40 B9 09 3D 00 13 29 01 00 11 E8 03 C0 79 08 01 00 11 08 01 09 4B 08 3D 00 13 E8 03 00 79 E8 1F 40 79 08 01 00 11 09 01 11 12 E8 27 40 79 08 01 00 11 08 01 11 12 29 01 08 4A E8 17 40 79 08 01 00 11 08 01 11 12 28 01 08 4A 1F 01 00 71 40 01 00 54 E8 03 C0 79 08 01 00 11 1F 09 00 31 CB 00 00 54 E9 03 C0 79 29 01 00 11 48 00 80 52 1F 01 09 6B 2A 01 00 54 F1 0F 40 BD F0 13 40 BD 31 0A 30 1E F0 0B 40 BD 20 2A 30 1E 00 40 20 1E 36 00 00 14 35 00 00 14 E1 03 C0 79 21 00 00 11 21 00 00 11 E0 53 00 91 ?? ?? ?? ?? E0 27 40 BD 81 00 80 52 E0 23 01 91 ?? ?? ?? ?? E0 2B 40 BD 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 17 40 BD 41 00 80 52 E0 03 01 91 ?? ?? ?? ?? E0 3B 40 BD 81 00 80 52 E0 23 01 91 ?? ?? ?? ?? F0 3F 40 BD 08 22 20 1E C0 01 00 54 E0 27 40 BD 81 00 80 52 E0 63 01 91 ?? ?? ?? ?? E0 3F 40 BD 81 00 80 52 E0 63 01 91 ?? ?? ?? ?? 83 00 80 52 E2 63 01 91 81 00 80 52 E0 23 01 91 ?? ?? ?? ?? 43 00 80 52 E2 03 01 91 81 00 80 52 E0 23 01 91 ?? ?? ?? ?? 81 00 80 52 E0 23 01 91 ?? ?? ?? ?? E0 33 00 BD F0 33 40 BD F0 17 00 BD E1 2F 40 B9 E0 53 00 91 ?? ?? ?? ?? E0 17 40 BD FF 83 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_141_5_0 {
	meta:
		name = "_mbcjistojms_l"
		size = 192
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0088 _errno"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 A1 03 00 54 6A 3E 08 53 48 85 00 51 1F 75 01 71 69 1E 00 12 88 02 00 54 28 85 00 51 1F 75 01 71 28 02 00 54 CA 00 00 36 3F 7D 01 71 EB 03 80 52 08 04 80 52 68 91 88 1A 02 00 00 14 C8 0F 80 52 0B 01 09 0B 48 85 00 51 09 7D 01 53 2A 05 02 11 5F 7D 02 71 49 00 00 54 4A 01 01 11 73 21 0A 2A 05 00 00 14 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 13 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_141_7_0 {
	meta:
		name = "_mbcjmstojis_l"
		size = 248
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00c0 _errno"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? EB 13 40 F9 68 05 40 B9 1F 91 0E 71 61 05 00 54 6C 3E 08 53 88 1D 00 53 68 C1 28 8B 6A 1E 00 12 09 65 40 39 29 04 10 36 48 1D 00 53 68 C1 28 8B 09 65 40 39 A9 03 18 36 9F 81 02 71 2B 18 80 52 28 10 80 52 68 21 88 1A 8B 01 08 4B 5F 7D 02 71 A3 00 00 54 69 45 00 11 48 F9 01 51 13 25 09 2A 09 00 00 14 E9 03 80 52 5F F9 01 71 08 04 80 52 28 91 88 1A 0C 20 84 52 49 01 08 4B 88 25 0B 0B 33 01 08 2A 28 24 84 52 68 02 08 4B A9 AB 8B 52 1F 01 09 6B A8 00 00 54 68 1E 00 12 09 85 00 51 3F 75 01 71 A9 00 00 54 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 13 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_142_0_0 {
	meta:
		name = "asinhf"
		size = 316
		refs = "0010 _fdtest 0078 _FEps_C 00a8 sqrtf 00d8 log1pf 00f0 logf 00fc ln2"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 BD E0 43 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 EB 00 00 54 E8 1F 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 13 40 BD 3C 00 00 14 F0 13 40 BD 08 22 20 1E E2 00 00 54 28 00 80 52 E8 23 00 B9 F0 13 40 BD 10 42 21 1E F0 13 00 BD 03 00 00 14 08 00 80 52 E8 23 00 B9 11 10 20 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 30 1E F0 13 40 BD 00 22 31 1E 02 03 00 54 F1 13 40 BD F0 13 40 BD 31 0A 30 1E 10 10 2E 1E 20 2A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 2B 00 BD F1 13 40 BD F0 13 40 BD 32 0A 30 1E 11 10 2E 1E F0 2B 40 BD 30 2A 30 1E 51 1A 30 1E F0 13 40 BD 00 2A 31 1E 00 40 20 1E ?? ?? ?? ?? E0 2F 00 BD F0 2F 40 BD F0 1B 00 BD 09 00 00 14 E0 13 40 BD ?? ?? ?? ?? E0 33 00 BD F1 33 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E F0 1B 00 BD E8 23 40 B9 1F 01 00 71 A0 00 00 54 F0 1B 40 BD 10 42 21 1E F0 27 00 BD 03 00 00 14 F0 1B 40 BD F0 27 00 BD E0 27 40 BD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_143_0_0 {
	meta:
		name = "_wchmod"
		size = 432
		refs = "0008 __security_push_cookie 004c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GK@MKIBGEJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BA@EBKBJALM@?$AA_?$AAw?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?$AA@ 00e0 _invalid_parameter 00f8 __imp_GetFileAttributesExW 0114 __imp_GetLastError 0128 __acrt_errno_map_os_error 0160 __imp_SetFileAttributesW 01a4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 01 D1 E0 13 00 F9 E1 17 00 B9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 0B 00 B9 E9 0B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 2E 00 00 14 E2 E3 00 91 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? 00 00 80 12 1C 00 00 14 E8 17 40 B9 A8 00 38 36 E8 3B 40 B9 08 79 1F 12 E8 3B 00 B9 04 00 00 14 E8 3B 40 B9 08 01 00 32 E8 3B 00 B9 E1 3B 40 B9 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E0 1F 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FF 83 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "_waccess"
		size = 76
		refs = "0018 _waccess_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E1 17 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 12 E8 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_268_6_0 {
	meta:
		name = "_access"
		size = 76
		refs = "0018 _access_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E1 17 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 12 E8 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_144_1_0 {
	meta:
		name = "_waccess_s"
		size = 736
		refs = "0008 __security_push_cookie 004c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GM@JJMGMIIN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 __doserrno 00ac _errno 00d0 ??_C@_1BG@CFNNCJOE@?$AA_?$AAw?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 0124 ??_C@_1DE@HCFIPAKB@?$AA?$CI?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA6?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01d0 __imp_GetFileAttributesExW 01ec __imp_GetLastError 0200 __acrt_errno_map_os_error 02d4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 17 00 F9 E1 17 00 B9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 7A 00 00 14 E8 17 40 B9 08 75 1D 12 1F 01 00 71 81 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 44 00 00 14 E2 C3 01 91 01 00 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E8 23 40 B9 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 00 01 40 B9 2F 00 00 14 E8 73 40 B9 68 00 20 36 00 00 80 52 2B 00 00 14 E8 73 40 B9 88 00 00 36 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 0B 00 39 E8 17 40 B9 88 00 08 36 28 00 80 52 E8 07 00 39 03 00 00 14 08 00 80 52 E8 07 00 39 E8 07 40 39 E8 0F 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 80 02 00 54 E8 0F 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 A8 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 A8 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "normf"
		size = 104
		refs = "0018 crealf 0030 cimagf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD F0 1B 40 BD F0 13 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1F 40 BD F0 17 00 BD F1 13 40 BD F0 13 40 BD 32 0A 30 1E F1 17 40 BD F0 17 40 BD 30 0A 30 1E 40 2A 30 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "cbrt"
		size = 528
		refs = "0014 _dunscale 00b4 _dscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 FD E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EB 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 17 40 FD 67 00 00 14 08 00 80 52 E8 17 00 B9 05 00 00 14 E8 23 C0 79 08 05 00 11 08 3D 00 13 E8 23 00 79 E9 23 C0 79 29 01 00 11 68 00 80 52 29 0D C8 1A 68 00 80 52 29 7D 08 1B E8 23 C0 79 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 17 40 B9 08 05 00 51 E8 17 00 B9 EF FF FF 17 E8 17 40 B9 1F 01 00 71 8A 00 00 54 E1 17 40 B9 E0 A3 00 91 ?? ?? ?? ?? E8 5F 40 79 08 01 00 11 88 00 78 37 08 00 80 52 E8 17 00 B9 06 00 00 14 28 00 80 52 E8 17 00 B9 F0 17 40 FD 10 42 61 1E F0 17 00 FD 71 08 00 5C F0 17 40 FD 31 0A 70 1E 50 08 00 5C 31 2A 70 1E F0 17 40 FD 31 0A 70 1E 10 08 00 5C 32 2A 70 1E F1 17 40 FD F0 07 00 5C 30 2A 70 1E 50 1A 70 1E F0 13 00 FD 11 10 6F 1E F0 17 40 FD 33 0A 70 1E F1 13 40 FD F0 13 40 FD 32 0A 70 1E 11 10 6C 1E F0 17 40 FD 31 0A 70 1E F0 13 40 FD 30 1A 70 1E 50 2A 70 1E 71 1A 70 1E F0 13 40 FD 11 2A 71 1E 10 10 6C 1E 10 0A 71 1E F0 13 00 FD 11 10 6F 1E F0 17 40 FD 33 0A 70 1E F1 13 40 FD F0 13 40 FD 32 0A 70 1E 11 10 6C 1E F0 17 40 FD 31 0A 70 1E F0 13 40 FD 30 1A 70 1E 50 2A 70 1E 71 1A 70 1E F0 13 40 FD 11 2A 71 1E 10 10 6C 1E 10 0A 71 1E F0 13 00 FD E8 17 40 B9 1F 01 00 71 80 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD E9 23 C0 79 29 01 00 11 68 00 80 52 21 0D C8 1A 21 00 00 11 E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 6A C1 8B BE 82 34 CF 3F 46 EB A8 6A 82 A8 EE 3F F9 14 00 E3 19 34 B4 3F 68 AE D3 48 4B E5 D1 3F }
	condition:
		$1
}

rule file_547_0_0 {
	meta:
		name = "cbrtl"
		size = 528
		refs = "0014 _ldunscale 00b4 _ldscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 FD E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EB 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 17 40 FD 67 00 00 14 08 00 80 52 E8 17 00 B9 05 00 00 14 E8 23 C0 79 08 05 00 11 08 3D 00 13 E8 23 00 79 E9 23 C0 79 29 01 00 11 68 00 80 52 29 0D C8 1A 68 00 80 52 29 7D 08 1B E8 23 C0 79 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 17 40 B9 08 05 00 51 E8 17 00 B9 EF FF FF 17 E8 17 40 B9 1F 01 00 71 8A 00 00 54 E1 17 40 B9 E0 A3 00 91 ?? ?? ?? ?? E8 5F 40 79 08 01 00 11 88 00 78 37 08 00 80 52 E8 17 00 B9 06 00 00 14 28 00 80 52 E8 17 00 B9 F0 17 40 FD 10 42 61 1E F0 17 00 FD 71 08 00 5C F0 17 40 FD 31 0A 70 1E 50 08 00 5C 31 2A 70 1E F0 17 40 FD 31 0A 70 1E 10 08 00 5C 32 2A 70 1E F1 17 40 FD F0 07 00 5C 30 2A 70 1E 50 1A 70 1E F0 13 00 FD 11 10 6F 1E F0 17 40 FD 33 0A 70 1E F1 13 40 FD F0 13 40 FD 32 0A 70 1E 11 10 6C 1E F0 17 40 FD 31 0A 70 1E F0 13 40 FD 30 1A 70 1E 50 2A 70 1E 71 1A 70 1E F0 13 40 FD 11 2A 71 1E 10 10 6C 1E 10 0A 71 1E F0 13 00 FD 11 10 6F 1E F0 17 40 FD 33 0A 70 1E F1 13 40 FD F0 13 40 FD 32 0A 70 1E 11 10 6C 1E F0 17 40 FD 31 0A 70 1E F0 13 40 FD 30 1A 70 1E 50 2A 70 1E 71 1A 70 1E F0 13 40 FD 11 2A 71 1E 10 10 6C 1E 10 0A 71 1E F0 13 00 FD E8 17 40 B9 1F 01 00 71 80 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD E9 23 C0 79 29 01 00 11 68 00 80 52 21 0D C8 1A 21 00 00 11 E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 6A C1 8B BE 82 34 CF 3F 46 EB A8 6A 82 A8 EE 3F F9 14 00 E3 19 34 B4 3F 68 AE D3 48 4B E5 D1 3F }
	condition:
		$1
}

rule file_147_3_0 {
	meta:
		name = "?value@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAAEAPEAU__crt_locale_data@@XZ"
		size = 56
		refs = "000c ?get_current_state_index@__crt_state_management@@YA_KXZ"
		altNames = "?value@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAAEAP6AHPEAU_exception@@@ZXZ ?value@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAAEAP6AH_K@ZXZ ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAAEAP6AXH@ZXZ ?value@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAAEAP6AXPEB_W00I_K@ZXZ ?value@?$dual_state_global@PEAE@__crt_state_management@@QEAAAEAPEAEXZ ?value@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAAEAPEAPEADXZ ?value@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAAEAPEAU__crt_multibyte_data@@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 0A 01 00 91 E9 0F 40 F9 08 01 80 D2 28 7D 08 9B 40 01 08 8B 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_4_0 {
	meta:
		name = "__acrt_add_locale_ref"
		size = 692
		refs = "0178 __acrt_wide_c_locale_string 02a8 __acrt_locale_add_lc_time_reference"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 0A 41 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 81 03 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 08 81 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 C1 03 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 08 C1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 A1 03 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 08 A1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 08 01 04 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 15 00 71 4C 0A 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 0A 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB A0 03 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 08 01 40 F9 1F 01 00 F1 40 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 A0 03 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 1F 01 00 F1 40 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 AA FF FF 17 E8 0F 40 F9 08 81 04 91 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_5_0 {
	meta:
		name = "__acrt_free_locale"
		size = 1184
		refs = "0028 __acrt_lconv_c 00a4 _free_dbg 00b4 __acrt_locale_free_monetary 0104 __acrt_locale_free_numeric 01d8 __acrt_locale_free_lc_time_if_unreferenced 0220 __acrt_wide_c_locale_string 0394 ??_C@_1BKC@NBNHJIDM@?$AA?$CI?$AAp?$AAt?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FL?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FN?$AA?4?$AAl@ 039c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03ac ??_C@_1HK@HCNMEOLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 03b8 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 E1 03 91 08 01 40 F9 1F 01 00 F1 A0 08 00 54 E8 0F 40 F9 0A E1 03 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 07 00 54 E8 0F 40 F9 08 81 03 91 08 01 40 F9 1F 01 00 F1 20 07 00 54 E8 0F 40 F9 08 81 03 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 61 06 00 54 E8 0F 40 F9 08 C1 03 91 08 01 40 F9 1F 01 00 F1 00 02 00 54 E8 0F 40 F9 08 C1 03 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 41 01 00 54 E8 0F 40 F9 08 C1 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 03 91 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 03 91 08 01 40 F9 1F 01 00 F1 00 02 00 54 E8 0F 40 F9 08 A1 03 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 41 01 00 54 E8 0F 40 F9 08 A1 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 03 91 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 81 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 60 04 00 54 E8 0F 40 F9 08 01 04 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 A1 03 00 54 E8 0F 40 F9 08 21 04 91 08 01 40 F9 00 F9 03 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 41 04 91 08 01 40 F9 08 FD 01 D1 00 05 00 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 61 04 91 08 01 40 F9 08 FD 01 D1 00 05 00 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 01 04 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 81 04 91 00 01 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 15 00 71 8C 14 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 0A 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB A0 05 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 08 01 40 F9 1F 01 00 F1 40 04 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 C1 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A A1 04 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 01 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 1F 01 00 F1 E1 04 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 81 01 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 1F 01 00 F1 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 60 04 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 1F 01 00 F1 00 03 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 81 01 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? 58 FF FF 17 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_6_0 {
	meta:
		name = "__acrt_locale_add_lc_time_reference"
		size = 104
		refs = "0014 __lc_time_c"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 1F 01 00 F1 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 40 F9 1F 01 09 EB 61 00 00 54 00 00 B0 12 0D 00 00 14 E8 07 40 F9 0A 71 05 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 E9 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_7_0 {
	meta:
		name = "__acrt_locale_free_lc_time_if_unreferenced"
		size = 112
		refs = "0018 __lc_time_c 003c ??$__crt_interlocked_read@J@@YAJPEDJ@Z 0058 __acrt_locale_free_time 0064 _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 1F 01 09 EB 41 00 00 54 0F 00 00 14 E8 0F 40 F9 00 71 05 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 40 00 00 54 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_8_0 {
	meta:
		name = "__acrt_locale_release_lc_time_reference"
		size = 108
		refs = "0014 __lc_time_c"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 1F 01 00 F1 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 40 F9 1F 01 09 EB 61 00 00 54 00 00 B0 12 0E 00 00 14 E8 07 40 F9 0A 71 05 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_9_0 {
	meta:
		name = "__acrt_release_locale_ref"
		size = 736
		refs = "019c __acrt_wide_c_locale_string 02d4 __acrt_locale_release_lc_time_reference"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 41 00 00 54 B0 00 00 14 E8 0F 40 F9 0A 41 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 81 03 91 08 01 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 08 81 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 C1 03 91 08 01 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 08 C1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 A1 03 91 08 01 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 08 A1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 A0 01 00 54 E8 0F 40 F9 08 01 04 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 15 00 71 8C 0A 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 0A 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 03 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 08 01 40 F9 1F 01 00 F1 60 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 01 00 91 08 01 40 F9 1F 01 00 F1 C0 03 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 08 01 40 F9 1F 01 00 F1 60 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 A8 FF FF 17 E8 0F 40 F9 08 81 04 91 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_10_0 {
	meta:
		name = "__acrt_update_thread_locale_data"
		size = 200
		refs = "0010 __acrt_getptd 002c __globallocalestatus 0058 __acrt_lock 005c __acrt_current_locale_data 0064 ?value@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAAEAPEAU__crt_locale_data@@XZ 0080 _updatetlocinfoEx_nolock 0094 __acrt_unlock 00b8 abort"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 08 00 80 D2 A8 0F 00 F9 ?? ?? ?? ?? A0 13 00 F9 A8 13 40 F9 A8 0B 00 F9 A8 0B 40 F9 08 A1 0E 91 09 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 0A 1F 01 00 71 C0 00 00 54 A8 0B 40 F9 08 41 02 91 08 01 40 F9 1F 01 00 F1 61 02 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 17 00 F9 A8 0B 40 F9 00 41 02 91 A8 17 40 F9 01 01 40 F9 00 00 00 91 ?? ?? ?? ?? A0 1B 00 F9 A8 1B 40 F9 A8 0F 00 F9 80 00 80 52 ?? ?? ?? ?? 05 00 00 14 A8 0B 40 F9 08 41 02 91 08 01 40 F9 A8 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 41 00 00 54 ?? ?? ?? ?? A0 0F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_11_0 {
	meta:
		name = "__acrt_update_thread_locale_data$fin$0"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "_free_locale$fin$1"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 80 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_147_12_0 {
	meta:
		name = "_updatetlocinfoEx_nolock"
		size = 196
		refs = "0064 __acrt_add_locale_ref 0078 __acrt_release_locale_ref 009c __acrt_initial_locale_data 00b4 __acrt_free_locale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 24 00 00 14 E8 13 40 F9 08 01 40 F9 E8 0B 00 F9 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 61 00 00 54 E0 0F 40 F9 1B 00 00 14 E9 13 40 F9 E8 0F 40 F9 28 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0B 40 F9 1F 01 00 F1 60 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 1F 01 00 F1 A0 01 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB 60 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_149_17_0 {
	meta:
		name = "?set_buffer@@YAHV__crt_stdio_stream@@QEAD_KH@Z"
		size = 164
		refs = "0020 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0028 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 17 00 F9 E3 13 00 B9 E1 13 40 B9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 17 40 F9 09 01 00 11 E8 1B 40 F9 08 81 00 91 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_149_21_0 {
	meta:
		name = "setvbuf"
		size = 764
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0028 ?valid@__crt_stdio_stream@@QEBA_NXZ 0068 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1GC@NAMEPLDD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 008c _CrtDbgReportW 00b4 _errno 00d8 ??_C@_1BA@OGODIODK@?$AAs?$AAe?$AAt?$AAv?$AAb?$AAu?$AAf?$AA?$AA@ 00e8 _invalid_parameter 0140 ??_C@_1GG@CBGCKJPC@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAN?$AAB?$AAF?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAF?$AAB?$AAF@ 022c ??_C@_1HK@PBPJKDDM@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf@ 02cc ??0<lambda_3aae883670d60947a98255ae2090162b>@@QEAA@AEB_KAEBV__crt_stdio_stream@@AEBHAEBQEAD@Z 02d8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02e8 ??$__acrt_lock_stream_and_call@V<lambda_3aae883670d60947a98255ae2090162b>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_3aae883670d60947a98255ae2090162b>@@@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 2B 00 F9 E1 3B 00 F9 E2 17 00 B9 E3 23 00 F9 E1 2B 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 81 00 00 14 E8 17 40 B9 1F 11 00 71 40 01 00 54 E8 17 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 01 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 4B 00 00 14 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 01 01 71 C1 06 00 54 E9 23 40 F9 48 00 80 D2 1F 01 09 EB 08 01 00 54 E9 7B 40 B2 E8 23 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 10 00 00 14 E4 C3 01 91 E3 53 00 91 E2 23 01 91 E1 03 01 91 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 43 00 F9 E1 3F 40 F9 E0 43 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "_iswctype_l"
		size = 48
		refs = "001c iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 27 00 79 E1 23 00 79 E2 0F 00 F9 E1 23 40 79 E0 27 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_150_1_0 {
	meta:
		name = "iswctype"
		size = 216
		refs = "004c _pwctype 0094 __imp_GetStringTypeW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 2B 00 79 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 2A 00 00 14 E8 23 40 79 08 01 00 11 1F 01 04 71 EA 01 00 54 E8 23 40 79 09 01 00 11 48 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 20 01 08 0A 00 00 00 11 18 00 00 14 E8 23 40 79 E8 2F 00 79 08 00 80 52 E8 27 00 79 E3 4B 00 91 22 00 80 52 E1 5B 00 91 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 07 00 00 14 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 20 01 08 0A 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "creall"
		size = 24
		altNames = "creal"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD E1 07 00 FD E0 03 40 FD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_152_0_0 {
	meta:
		name = "remquof"
		size = 860
		refs = "0018 _fdtest 00d8 _fperrraise 00dc _FNan_C 0178 _fdunscale 0218 _fdscale"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 BD E1 23 00 BD E0 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 E8 4B 00 79 E0 83 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 4F 00 79 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 52 28 01 00 B9 E9 4B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 4F C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 0C 04 00 54 E8 4B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 BD B1 00 00 14 18 00 00 14 E8 4F C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 23 40 BD AA 00 00 14 11 00 00 14 E8 4B C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 4F C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 9C 00 00 14 03 00 00 14 E0 13 40 BD 99 00 00 14 98 00 00 14 F0 23 40 BD 08 22 20 1E E2 00 00 54 F0 23 40 BD 10 42 21 1E F0 23 00 BD 28 00 80 52 E8 33 00 79 03 00 00 14 08 00 80 52 E8 33 00 79 F0 13 40 BD 08 22 20 1E A2 01 00 54 F0 13 40 BD 10 42 21 1E F0 13 00 BD 28 00 80 52 E8 5B 00 79 E9 33 C0 79 29 01 00 11 28 00 80 52 08 01 09 4B 08 3D 00 13 E8 33 00 79 03 00 00 14 08 00 80 52 E8 5B 00 79 F0 23 40 BD F0 17 00 BD E1 53 00 91 E0 DB 00 91 ?? ?? ?? ?? 08 00 80 52 E8 1F 00 B9 08 00 80 52 E8 2B 00 B9 F0 13 40 BD F0 17 00 BD E8 1F 40 B9 1F 01 00 71 4B 02 00 54 E1 53 00 91 E0 D3 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 08 01 00 11 1F 01 00 71 40 01 00 54 E9 6B C0 79 29 01 00 11 E8 6F C0 79 08 01 00 11 28 01 08 4B E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 4A 00 00 54 23 00 00 14 04 00 00 14 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 E9 1F 40 B9 08 00 80 52 1F 01 09 6B 4C 03 00 54 F0 23 40 BD F0 17 00 BD E1 1F 40 B9 E0 53 00 91 ?? ?? ?? ?? F1 13 40 BD F0 17 40 BD 00 22 31 1E 08 02 00 54 F1 13 40 BD F0 17 40 BD 30 3A 30 1E F0 13 00 BD E8 1F 40 B9 08 7D 40 93 1F 81 00 F1 E2 00 00 54 29 00 80 52 E8 1F 40 B9 29 21 C8 1A E8 2B 40 B9 08 01 09 0B E8 2B 00 B9 02 00 00 14 E1 FF FF 17 C8 FF FF 17 F0 13 40 BD 08 22 20 1E 2D 03 00 54 11 10 2C 1E F0 23 40 BD 30 0A 30 1E F0 17 00 BD F1 13 40 BD F0 17 40 BD 00 22 31 1E 82 00 00 54 F0 17 40 BD 08 22 20 1E EC 00 00 54 F1 13 40 BD F0 17 40 BD 00 22 31 1E 41 01 00 54 E8 2B 40 B9 08 01 00 36 F1 13 40 BD F0 23 40 BD 30 3A 30 1E F0 13 00 BD E8 2B 40 B9 08 05 00 11 E8 2B 00 B9 E8 27 40 F9 1F 01 00 F1 20 02 00 54 E8 2B 40 B9 08 79 00 12 E8 3B 00 B9 E8 33 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 3B 40 B9 E8 03 08 4B E8 3F 00 B9 03 00 00 14 E8 3B 40 B9 E8 3F 00 B9 E9 27 40 F9 E8 3F 40 B9 28 01 00 B9 E8 5B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 13 40 BD 10 42 21 1E F0 43 00 BD 03 00 00 14 F0 13 40 BD F0 43 00 BD E0 43 40 BD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "strtok"
		size = 64
		refs = "0010 __acrt_getptd 002c __acrt_strtok_s_novalidation"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 02 C1 00 91 42 00 00 91 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_155_5_0 {
	meta:
		name = "_mbsnbicmp_l"
		size = 700
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0044 _strnicmp 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1HC@ENIJAOII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0074 _CrtDbgReportW 0084 _errno 00a4 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BK@GEJONGBG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00f8 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 15 00 00 91 34 00 00 91 61 00 00 91 E0 43 00 91 53 00 00 91 ?? ?? ?? ?? B3 12 00 B4 EE 13 40 F9 C8 09 40 B9 C8 00 00 35 62 02 00 91 81 02 00 91 A0 02 00 91 ?? ?? ?? ?? 93 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 07 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 B0 12 65 00 00 14 AC 16 40 38 73 06 00 D1 88 1D 00 53 C8 C1 28 8B 09 65 40 39 A9 04 10 36 33 01 00 B5 8B 02 40 39 0F 00 80 52 69 01 0E 8B 2A 65 40 39 4A 00 10 36 0B 00 80 52 6D 3D 00 53 4C 00 00 14 A8 02 40 39 68 00 00 35 0F 00 80 52 1F 00 00 14 C9 19 40 79 08 21 0C 2A B5 06 00 91 0F 3D 00 53 FF 01 09 6B 03 01 00 54 CA 1D 40 79 FF 01 0A 6B A8 00 00 54 CB 21 40 79 EB 01 0B 0B 6F 3D 00 53 12 00 00 14 CC 25 40 79 FF 01 0C 6B E3 01 00 54 C8 29 40 79 FF 01 08 6B 88 01 00 54 C9 2D 40 79 29 01 0F 0B 2F 3D 00 53 08 00 00 14 8A 05 00 11 CA C1 2A 8B 4B 61 40 39 6B 00 20 36 88 01 0E 8B 0C 65 44 39 8F 3D 00 53 8D 02 40 39 94 06 00 91 A9 1D 00 53 C9 C1 29 8B 2A 65 40 39 AA 03 10 36 73 00 00 B5 0D 00 80 52 21 00 00 14 88 02 40 39 73 06 00 D1 88 FF FF 34 C9 19 40 79 08 21 0D 2A 94 06 00 91 0D 3D 00 53 BF 01 09 6B E3 00 00 54 CA 1D 40 79 BF 01 0A 6B 88 00 00 54 CB 21 40 79 AB 01 0B 0B C5 FF FF 17 CC 25 40 79 BF 01 0C 6B E3 01 00 54 C8 29 40 79 BF 01 08 6B 88 01 00 54 C9 2D 40 79 29 01 0D 0B 2D 3D 00 53 08 00 00 14 AA 05 00 11 CA C1 2A 8B 4B 61 40 39 6B 00 20 36 A8 01 0E 8B 0D 65 44 39 AD 3D 00 53 FF 01 0D 6B A1 00 00 54 4F 00 00 34 73 F4 FF B5 00 00 80 52 05 00 00 14 FF 01 0D 6B 29 00 80 52 08 00 80 12 20 81 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "scalbnf"
		size = 144
		refs = "0020 _fdtest 0040 _fdscale 0074 _fperrraise"
		altNames = "scalblnf"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 60 03 00 54 E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E1 1B 40 B9 E0 53 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A0 00 00 54 E8 1F 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "_FCosh"
		size = 404
		refs = "0014 _fdtest 00c4 _FInf_C 00f4 _fperrraise 00f8 _FNan_C 012c _FXbig_C 014c _fdexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD E1 1F 00 BD E0 63 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 73 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CC 05 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1B 40 BD 46 00 00 14 26 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1F 40 BD 3F 00 00 14 1F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 E0 01 00 54 F0 1F 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 23 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 00 BD E0 23 40 BD 29 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 23 00 00 14 03 00 00 14 E0 1F 40 BD 20 00 00 14 1F 00 00 14 F0 1B 40 BD 08 22 20 1E 82 00 00 54 F0 1B 40 BD 10 42 21 1E F0 1B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 BD 00 22 31 1E E2 01 00 54 01 00 80 12 00 10 2E 1E E0 63 00 91 ?? ?? ?? ?? 11 10 2A 1E F0 1B 40 BD 31 1A 30 1E F0 1B 40 BD 11 2A 31 1E F0 1F 40 BD 00 0A 31 1E 00 40 20 1E 07 00 00 14 06 00 00 14 01 00 80 12 E0 1F 40 BD E0 63 00 91 ?? ?? ?? ?? E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_157_1_0 {
	meta:
		name = "ccoshf"
		size = 916
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 008c _FNan_C 0094 _FCbuild 00f0 _fperrraise 0110 _FZero_C 016c _FInf_C 02dc sinf 02e8 cosf 0348 _FSinh 0364 _FCosh"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 2B 00 BD E1 2F 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 33 00 BD F0 33 40 BD F0 1B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 37 00 BD F0 37 40 BD F0 17 00 BD E0 63 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 E8 23 00 79 E0 53 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 57 00 BD E0 53 00 BD E0 53 40 BD E1 57 40 BD B8 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5F 00 BD E0 5B 00 BD E0 5B 40 BD E1 5F 40 BD AD 00 00 14 AC 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 A1 06 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A1 02 00 54 F0 17 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 23 00 BD 03 00 00 14 70 13 00 1C F0 23 00 BD E1 23 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 67 00 BD E0 63 00 BD E0 63 40 BD E1 67 40 BD 8F 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6F 00 BD E0 6B 00 BD E0 6B 40 BD E1 6F 40 BD 80 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 BD E0 73 00 BD E0 73 40 BD E1 77 40 BD 75 00 00 14 74 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 05 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 1B 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 7F 00 BD E0 7B 00 BD E0 7B 40 BD E1 7F 40 BD 63 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 87 00 BD E0 83 00 BD E0 83 40 BD E1 87 40 BD 54 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 8F 00 BD E0 8B 00 BD E0 8B 40 BD E1 8F 40 BD 49 00 00 14 48 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 05 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 81 02 00 54 F0 1B 40 BD 08 22 20 1E A2 00 00 54 F0 17 40 BD 10 42 21 1E F0 27 00 BD 03 00 00 14 F0 17 40 BD F0 27 00 BD E1 27 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 97 00 BD E0 93 00 BD E0 93 40 BD E1 97 40 BD 2E 00 00 14 17 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 3B 00 BD E0 17 40 BD ?? ?? ?? ?? E0 3F 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 BD 21 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 40 BD 20 0A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 9F 00 BD E0 9B 00 BD E0 9B 40 BD E1 9F 40 BD 17 00 00 14 16 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 43 00 BD E1 43 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 4B 00 BD E0 17 40 BD ?? ?? ?? ?? E0 47 00 BD E1 47 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 4F 00 BD E1 4B 40 BD E0 4F 40 BD ?? ?? ?? ?? E1 A7 00 BD E0 A3 00 BD E0 A3 40 BD E1 A7 40 BD FD 7B CB A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_158_5_0 {
	meta:
		name = "_ismbclegal_l"
		size = 112
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? EA 13 40 F9 68 7E 08 53 09 1D 00 53 48 C1 29 8B 09 65 40 39 E9 00 10 36 68 1E 00 53 48 C1 28 8B 09 65 40 39 69 00 18 36 20 00 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_1_0 {
	meta:
		name = "??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
		size = 1148
		refs = "0010 ?valid@__crt_stdio_stream@@QEBA_NXZ 0050 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00d0 _invalid_parameter 00e0 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 00fc ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0124 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0144 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0160 ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 017c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0188 __acrt_stdio_allocate_buffer_nolock 0194 ?get_context_nolock@@YAHV__crt_stdio_stream@@D@Z 01a8 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 01fc _fileno 0220 _read 024c ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z 02d0 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 0374 __pioinfo 03a4 __badioinfo 0400 ?has_crt_buffer@__crt_stdio_stream@@QEBA_NXZ 0460 ?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 0B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 E7 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 12 D7 00 00 14 41 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? 00 00 80 12 CA 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 ?? ?? ?? ?? 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 4F 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3B 40 F9 0A 21 00 91 E8 3F 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 47 40 F9 09 81 00 91 E8 4B 40 F9 08 21 00 91 22 01 40 B9 01 01 40 F9 E0 37 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 09 41 00 91 E8 3B 40 B9 28 01 00 B9 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 41 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 08 02 80 52 E8 2F 00 B9 03 00 00 14 08 01 80 52 E8 2F 00 B9 E1 2F 40 B9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 00 00 80 12 6C 00 00 14 C1 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 08 01 00 11 1F 01 00 71 C1 07 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 F9 E0 5B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 05 00 31 E0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 09 00 31 C0 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 40 F9 ?? ?? ?? ?? E0 47 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 67 00 F9 E0 67 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 47 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 4B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 2F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2F 00 F9 E8 2F 40 F9 08 E1 00 91 09 01 40 39 29 01 00 11 48 10 80 52 28 01 08 0A 1F 09 02 71 81 00 00 54 01 04 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 81 00 91 08 01 40 B9 1F 01 08 71 E1 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 01 20 80 52 E0 43 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 09 81 00 91 08 00 82 52 28 01 00 B9 02 00 80 52 E1 4F 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 87 00 39 E0 87 40 39 00 00 00 11 00 00 00 11 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_2_0 {
	meta:
		name = "??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
		size = 1188
		refs = "0010 ?valid@__crt_stdio_stream@@QEBA_NXZ 0050 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00d0 _invalid_parameter 00e0 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 00fc ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0124 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0144 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0160 ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 017c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0188 __acrt_stdio_allocate_buffer_nolock 0194 ?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z 01d0 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0224 _fileno 0248 _read 0274 ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z 02f8 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 039c __pioinfo 03cc __badioinfo 0428 ?has_crt_buffer@__crt_stdio_stream@@QEBA_NXZ 0488 ?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 0B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FF 9F 52 F1 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 E0 FF 9F 52 E1 00 00 14 41 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E0 FF 9F 52 D4 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 ?? ?? ?? ?? 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 79 E9 93 00 91 29 01 00 91 E8 8B 00 91 08 01 00 91 08 01 C0 79 28 01 00 79 E9 9B 00 91 29 01 00 91 E8 93 00 91 08 01 00 91 08 01 C0 79 28 01 00 79 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3B 40 F9 0A 21 00 91 E8 3F 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 47 40 F9 09 81 00 91 E8 4B 40 F9 08 21 00 91 22 01 40 B9 01 01 40 F9 E0 3B 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 09 41 00 91 E8 3F 40 B9 28 01 00 B9 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 41 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 08 02 80 52 E8 37 00 B9 03 00 00 14 08 01 80 52 E8 37 00 B9 E1 37 40 B9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 FF 9F 52 6C 00 00 14 C1 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 08 01 00 11 1F 01 00 71 C1 07 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 F9 E0 5B 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 05 00 31 E0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 09 00 31 C0 03 00 54 E0 43 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 67 00 F9 E0 67 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 4F 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 2F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2F 00 F9 E8 2F 40 F9 08 E1 00 91 09 01 40 39 29 01 00 11 48 10 80 52 28 01 08 0A 1F 09 02 71 81 00 00 54 01 04 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 81 00 91 08 01 40 B9 1F 01 08 71 E1 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 01 20 80 52 E0 43 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 09 81 00 91 08 00 82 52 28 01 00 B9 02 00 80 52 E1 4F 40 79 E0 0B 40 F9 ?? ?? ?? ?? E0 53 00 79 E0 53 40 79 00 00 00 11 00 00 00 11 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_6_0 {
	meta:
		name = "?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z"
		size = 124
		refs = "0014 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 79 E0 63 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 71 A1 01 00 54 28 00 80 52 E8 43 00 39 E0 63 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 08 1D 00 53 E8 47 00 39 05 00 00 14 08 00 80 52 E8 43 00 39 08 00 80 52 E8 47 00 39 E0 23 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_7_0 {
	meta:
		name = "?get_context_nolock@@YAHV__crt_stdio_stream@@D@Z"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 39 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_12_0 {
	meta:
		name = "?has_crt_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_13_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z"
		size = 120
		refs = "0014 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 43 00 39 E0 63 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 80 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 31 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_14_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z"
		size = 152
		refs = "0014 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 80 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 71 80 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 31 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_18_0 {
	meta:
		name = "?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
		size = 140
		refs = "0018 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 17 00 B9 E2 47 00 39 E0 A3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 41 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 B9 09 05 00 51 E8 13 40 F9 09 01 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 01 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 08 01 C0 39 08 1D 00 53 E8 43 00 39 E8 0F 40 F9 08 01 40 F9 09 05 00 91 E8 0F 40 F9 09 01 00 F9 E0 43 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_19_0 {
	meta:
		name = "?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
		size = 356
		refs = "0028 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 79 E2 43 00 79 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 08 1D 00 53 E8 43 00 39 E8 43 40 39 08 01 00 11 09 5D 18 53 E8 4F 40 39 08 01 00 11 28 01 08 2A 08 3D 00 53 E8 2B 00 79 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 41 00 91 E8 17 00 F9 E8 17 40 F9 08 01 40 B9 09 05 00 51 E8 17 40 F9 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 00 91 E8 1B 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 E0 2B 40 79 26 00 00 14 25 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 08 3D 00 53 E8 2F 00 79 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 41 00 91 E8 1F 00 F9 E8 1F 40 F9 08 01 40 B9 08 7D 40 93 08 09 00 D1 09 01 00 11 E8 1F 40 F9 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 01 00 91 E8 23 00 F9 E8 23 40 F9 08 01 40 F9 09 09 00 91 E8 23 40 F9 09 01 00 F9 E0 2F 40 79 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_22_0 {
	meta:
		name = "__acrt_stdio_refill_and_read_narrow_nolock"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_159_23_0 {
	meta:
		name = "__acrt_stdio_refill_and_read_wide_nolock"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_26_0 {
	meta:
		name = "_ftell_nolock"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_29_0 {
	meta:
		name = "ftell"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_160_0_0 {
	meta:
		name = "acoshf"
		size = 316
		refs = "0010 _fdtest 0070 _fperrraise 0074 _FNan_C 00a4 _FEps_C 00e4 sqrtf 00fc log1pf 0114 logf 0120 ln2"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 17 40 BD 3B 00 00 14 E8 2F 40 79 08 01 00 11 68 00 78 37 E0 17 40 BD 36 00 00 14 11 10 2E 1E F0 17 40 BD 00 22 31 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2D 00 00 14 2C 00 00 14 11 10 2E 1E F0 17 40 BD 00 22 31 1E 81 00 00 54 20 05 00 1C 26 00 00 14 25 00 00 14 11 10 20 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 30 1E F0 17 40 BD 00 22 31 1E C2 02 00 54 F1 17 40 BD 10 10 2E 1E 30 3A 30 1E F0 1F 00 BD F1 17 40 BD 10 10 2E 1E 31 2A 30 1E F0 1F 40 BD 00 0A 31 1E 00 40 20 1E ?? ?? ?? ?? E0 23 00 BD F1 1F 40 BD F0 23 40 BD 20 2A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 27 00 BD E0 27 40 BD 0A 00 00 14 09 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 2B 00 BD F1 2B 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 20 2A 30 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "??$common_tcscat_s@D@@YAHQEAD_KQEBD@Z"
		size = 1668
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0124 _CrtGetDebugFillThreshold 0174 memset 01ac ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 031c ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0360 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 04ec ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0530 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 37 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 68 01 00 14 E8 37 40 F9 1F 01 00 F1 81 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 3F 40 F9 1F 01 09 EB 82 00 00 54 E8 3F 40 F9 E8 43 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 43 00 F9 E8 13 40 F9 00 05 00 91 E2 43 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 12 01 00 14 E8 13 40 F9 E8 17 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 01 00 54 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F2 FF FF 17 E8 0F 40 F9 1F 01 00 F1 01 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E8 13 40 F9 00 05 00 91 E2 4B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A5 00 00 14 E8 37 40 F9 E8 3B 00 F9 E9 17 40 F9 E8 3B 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 01 C0 39 08 01 00 11 E8 5F 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 3B 40 F9 08 05 00 91 E8 3B 00 F9 E8 5F 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 E8 0F 40 F9 1F 01 00 F1 01 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E8 13 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 5B 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 13 40 F9 00 01 09 8B E2 5B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "ctanhf"
		size = 724
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 0084 _FZero_C 00c8 _FCbuild 017c _FNan_C 01ac tanf 01c0 sinhf 0208 _FInf_C 0284 sqrtf"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 43 00 BD E1 47 00 BD E1 47 40 BD E0 43 40 BD ?? ?? ?? ?? E0 4B 00 BD F0 4B 40 BD F0 1B 00 BD E1 47 40 BD E0 43 40 BD ?? ?? ?? ?? E0 4F 00 BD F0 4F 40 BD F0 13 00 BD E0 63 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 E8 2B 00 79 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 2F 00 79 E8 2B C0 79 08 01 00 11 1F 05 00 71 81 03 00 54 E8 27 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 2F 00 BD 03 00 00 14 D0 11 00 1C F0 2F 00 BD F0 1B 40 BD 08 22 20 1E 82 00 00 54 10 10 3E 1E F0 33 00 BD 03 00 00 14 10 10 2E 1E F0 33 00 BD E1 2F 40 BD E0 33 40 BD ?? ?? ?? ?? E1 67 00 BD E0 63 00 BD E0 63 40 BD E1 67 40 BD 7B 00 00 14 7A 00 00 14 E8 2F C0 79 08 01 00 11 1F 09 00 71 41 01 00 54 E1 13 40 BD E0 13 40 BD ?? ?? ?? ?? E1 6F 00 BD E0 6B 00 BD E0 6B 40 BD E1 6F 40 BD 6E 00 00 14 6D 00 00 14 E8 2B C0 79 08 01 00 11 1F 09 00 71 41 02 00 54 F0 13 40 BD 08 22 20 1E 81 00 00 54 F0 13 40 BD F0 37 00 BD 03 00 00 14 F0 1B 40 BD F0 37 00 BD E1 37 40 BD E0 1B 40 BD ?? ?? ?? ?? E1 77 00 BD E0 73 00 BD E0 73 40 BD E1 77 40 BD 59 00 00 14 58 00 00 14 E8 2F C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 7F 00 BD E0 7B 00 BD E0 7B 40 BD E1 7F 40 BD 4A 00 00 14 49 00 00 14 E0 13 40 BD ?? ?? ?? ?? E0 53 00 BD F0 53 40 BD F0 23 00 BD E0 1B 40 BD ?? ?? ?? ?? E0 57 00 BD F0 57 40 BD F0 1F 00 BD F1 23 40 BD F0 23 40 BD 31 0A 30 1E 10 10 2E 1E 11 2A 31 1E F0 1F 40 BD 10 0A 31 1E F0 3F 00 BD F1 3F 40 BD F0 1F 40 BD 31 0A 30 1E 10 10 2E 1E 10 2A 31 1E F0 2B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 BD 00 22 31 1E A1 02 00 54 F0 1F 40 BD 08 22 20 1E 82 00 00 54 10 10 3E 1E F0 3B 00 BD 03 00 00 14 10 10 2E 1E F0 3B 00 BD F1 23 40 BD 90 04 00 1C 21 0A 30 1E 21 40 20 1E E0 3B 40 BD ?? ?? ?? ?? E1 87 00 BD E0 83 00 BD E0 83 40 BD E1 87 40 BD 19 00 00 14 18 00 00 14 F1 1F 40 BD F0 1F 40 BD 31 0A 30 1E 10 10 2E 1E 00 2A 31 1E 00 40 20 1E ?? ?? ?? ?? E0 5B 00 BD F1 23 40 BD F0 2B 40 BD 21 1A 30 1E F1 5B 40 BD F0 3F 40 BD 31 0A 30 1E F0 2B 40 BD 20 1A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 8F 00 BD E0 8B 00 BD E0 8B 40 BD E1 8F 40 BD FD 7B C9 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_163_0_0 {
	meta:
		name = "?xcptlookup@@YAPEAU__crt_signal_action_t@@KQEAU1@@Z"
		size = 120
	strings:
		$1 = { FF C3 00 D1 E0 03 00 B9 E1 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 03 91 E8 13 00 F9 E8 0B 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 41 00 91 E8 07 00 F9 E9 13 40 F9 E8 07 40 F9 1F 01 09 EB 40 01 00 54 E8 07 40 F9 08 01 00 91 E9 03 40 B9 08 01 40 B9 1F 01 09 6B 61 00 00 54 E0 07 40 F9 03 00 00 14 F1 FF FF 17 00 00 80 D2 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_163_1_0 {
	meta:
		name = "_seh_filter_dll"
		size = 76
		refs = "0030 _seh_filter_exe"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 C9 01 00 18 E8 13 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 06 00 00 14 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 1F 20 03 D5 63 73 6D E0 }
	condition:
		$1
}

rule file_163_2_0 {
	meta:
		name = "_seh_filter_exe"
		size = 836
		refs = "0014 __acrt_getptd_noexit 0048 ?xcptlookup@@YAPEAU__crt_signal_action_t@@KQEAU1@@Z 02a8 __guard_check_icall_fptr"
	strings:
		$1 = { F3 0F 1F F8 FD 7B B8 A9 FD 03 00 91 E0 3B 00 B9 E1 37 00 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 BD 00 00 14 E8 0B 40 F9 08 01 00 91 01 01 40 F9 E0 3B 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 B0 00 00 14 E8 13 40 F9 08 21 00 91 08 01 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 A7 00 00 14 E8 17 40 F9 1F 15 00 F1 E1 00 00 54 E8 13 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 20 00 80 52 9E 00 00 14 E8 17 40 F9 1F 05 00 F1 61 00 00 54 00 00 80 12 99 00 00 14 E8 0B 40 F9 08 21 00 91 08 01 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 21 00 91 E8 37 40 F9 28 01 00 F9 E8 13 40 F9 08 11 00 91 08 01 40 B9 1F 21 00 71 01 0F 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 C1 00 91 E8 23 00 F9 E8 23 40 F9 08 41 02 91 E8 3B 00 F9 E8 23 40 F9 E8 1B 00 F9 04 00 00 14 E8 1B 40 F9 08 41 00 91 E8 1B 00 F9 E9 3B 40 F9 E8 1B 40 F9 1F 01 09 EB C0 00 00 54 E8 1B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 F5 FF FF 17 E8 0B 40 F9 08 41 00 91 08 01 40 B9 E8 3F 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 E8 1B 00 B9 09 0E 00 18 E8 1B 40 B9 1F 01 09 6B 68 02 00 54 89 0D 00 18 E8 1B 40 B9 1F 01 09 6B 80 07 00 54 E9 1B 40 B9 08 0D 00 18 28 01 08 4B E8 1B 00 B9 E8 1B 40 B9 1F 19 00 71 28 07 00 54 EA 1B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 1B 07 20 0C 11 25 16 16 89 0B 00 18 E8 1B 40 B9 1F 01 09 6B A0 04 00 54 2D 00 00 14 E8 0B 40 F9 09 41 00 91 68 10 80 52 28 01 00 B9 28 00 00 14 E8 0B 40 F9 09 41 00 91 28 10 80 52 28 01 00 B9 23 00 00 14 E8 0B 40 F9 09 41 00 91 88 10 80 52 28 01 00 B9 1E 00 00 14 E8 0B 40 F9 09 41 00 91 A8 10 80 52 28 01 00 B9 19 00 00 14 E8 0B 40 F9 09 41 00 91 48 10 80 52 28 01 00 B9 14 00 00 14 E8 0B 40 F9 09 41 00 91 C8 10 80 52 28 01 00 B9 0F 00 00 14 E8 0B 40 F9 09 41 00 91 48 11 80 52 28 01 00 B9 0A 00 00 14 E8 0B 40 F9 09 41 00 91 A8 11 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 41 00 91 C8 11 80 52 28 01 00 B9 E8 0B 40 F9 13 41 00 91 E8 17 40 F9 E8 27 00 F9 EF 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 61 02 40 B9 00 01 80 52 E8 27 40 F9 00 01 3F D6 E8 0B 40 F9 09 41 00 91 E8 3F 40 B9 28 01 00 B9 10 00 00 14 E8 13 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 13 40 F9 13 11 00 91 E8 17 40 F9 E8 2B 00 F9 EF 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 02 40 B9 E8 2B 40 F9 00 01 3F D6 E8 0B 40 F9 09 21 00 91 E8 3F 40 F9 28 01 00 F9 00 00 80 12 FD 7B C8 A8 F3 07 41 F8 C0 03 5F D6 1F 20 03 D5 B4 02 00 C0 8D 00 00 C0 B5 02 00 C0 }
	condition:
		$1
}

rule file_164_4_0 {
	meta:
		name = "_mblen_l"
		size = 820
		refs = "0050 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00b0 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1GC@IIAPMALA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00d4 _CrtDbgReportW 0114 _isleadbyte_l 0160 ??1_LocaleUpdate@@QEAA@XZ 0220 __imp_MultiByteToWideChar"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 37 00 F9 E2 3B 00 F9 E8 0B 40 F9 1F 01 00 F1 20 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 37 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 BA 00 00 14 E1 3B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 80 03 00 54 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 09 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 0B 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 E1 47 40 F9 00 00 00 11 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 A0 0B 00 54 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 EC 00 00 54 08 00 80 12 E8 43 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 40 B9 71 00 00 14 E9 7B 40 B2 E8 37 40 F9 1F 01 09 EB C8 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 37 40 F9 09 01 00 11 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 3F 01 08 6B EA 00 00 54 08 00 80 12 E8 47 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 47 40 B9 5A 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 53 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 21 00 91 E8 57 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 05 00 80 52 04 00 80 D2 23 01 40 B9 E2 0B 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 53 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 53 40 B9 35 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 E8 57 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 57 40 B9 27 00 00 14 24 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 05 00 80 52 04 00 80 D2 23 00 80 52 E2 0B 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 63 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 63 40 B9 09 00 00 14 28 00 80 52 E8 67 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 67 40 B9 03 00 00 14 E0 63 00 91 ?? ?? ?? ?? FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_164_5_0 {
	meta:
		name = "mblen"
		size = 108
		refs = "0010 __acrt_locale_changed 0028 __acrt_initial_locale_pointers 0038 _mblen_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 08 00 00 14 07 00 00 14 02 00 80 D2 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_0_0 {
	meta:
		name = "_abstract_cw"
		size = 408
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 E8 07 40 B9 88 00 40 36 E8 03 40 B9 08 01 1C 32 E8 03 00 B9 E8 07 40 B9 88 00 48 36 E8 03 40 B9 08 01 1D 32 E8 03 00 B9 E8 07 40 B9 88 00 50 36 E8 03 40 B9 08 01 1E 32 E8 03 00 B9 E8 07 40 B9 88 00 58 36 E8 03 40 B9 08 01 1F 32 E8 03 00 B9 E8 07 40 B9 88 00 60 36 E8 03 40 B9 08 01 00 32 E8 03 00 B9 E8 07 40 B9 88 00 78 36 E8 03 40 B9 08 01 0D 32 E8 03 00 B9 E8 07 40 B9 08 05 0A 12 E8 0B 00 B9 09 10 A0 52 E8 0B 40 B9 1F 01 09 6B A8 01 00 54 09 10 A0 52 E8 0B 40 B9 1F 01 09 6B A0 02 00 54 E8 0B 40 B9 1F 01 00 71 60 01 00 54 09 08 A0 52 E8 0B 40 B9 1F 01 09 6B 40 01 00 54 14 00 00 14 09 18 A0 52 E8 0B 40 B9 1F 01 09 6B A0 01 00 54 0F 00 00 14 E8 03 40 B9 E8 03 00 B9 0C 00 00 14 E8 03 40 B9 08 01 17 32 E8 03 00 B9 08 00 00 14 E8 03 40 B9 08 01 18 32 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 18 32 E8 03 00 B9 E8 07 40 B9 08 05 08 12 E8 0F 00 B9 09 20 A0 52 E8 0F 40 B9 1F 01 09 6B 40 02 00 54 09 40 A0 52 E8 0F 40 B9 1F 01 09 6B 40 01 00 54 09 60 A0 52 E8 0F 40 B9 1F 01 09 6B 40 00 00 54 0C 00 00 14 E8 03 40 B9 08 01 08 32 E8 03 00 B9 08 00 00 14 E8 03 40 B9 08 01 07 32 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 08 32 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_1_0 {
	meta:
		name = "_abstract_sw"
		size = 168
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 E9 07 40 B9 E8 13 80 52 28 01 08 0A 1F 01 00 71 E0 03 00 54 E8 07 40 B9 88 00 00 36 E8 03 40 B9 08 01 1C 32 E8 03 00 B9 E8 07 40 B9 88 00 08 36 E8 03 40 B9 08 01 1D 32 E8 03 00 B9 E8 07 40 B9 88 00 10 36 E8 03 40 B9 08 01 1E 32 E8 03 00 B9 E8 07 40 B9 88 00 18 36 E8 03 40 B9 08 01 1F 32 E8 03 00 B9 E8 07 40 B9 88 00 20 36 E8 03 40 B9 08 01 00 32 E8 03 00 B9 E8 07 40 B9 88 00 38 36 E8 03 40 B9 08 01 0D 32 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_2_0 {
	meta:
		name = "_clearfp"
		size = 64
		refs = "002c _abstract_sw"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 28 44 3B D5 08 01 00 11 E8 13 00 B9 E8 13 40 B9 09 7D 40 D3 E8 13 80 92 28 01 08 8A 28 44 1B D5 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_3_0 {
	meta:
		name = "_control87"
		size = 220
		refs = "0038 _abstract_cw 0088 _hw_cw"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 2B 00 B9 E1 13 00 B9 E9 13 40 B9 28 06 00 18 28 01 08 0A E8 13 00 B9 09 44 3B D5 08 E0 93 D2 28 01 08 CA 08 01 00 11 E8 1F 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 17 00 B9 E9 2B 40 B9 E8 13 40 B9 2A 01 08 0A E8 13 40 B9 E9 03 28 2A E8 17 40 B9 08 01 09 0A 48 01 08 2A E8 1B 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B 61 00 00 54 E0 17 40 B9 13 00 00 14 E0 1B 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E9 1F 40 B9 E8 13 80 52 29 01 08 0A E8 2F 40 B9 08 01 09 2A E8 23 00 B9 E9 23 40 B9 08 E0 93 52 28 01 08 4A 08 7D 40 D3 08 44 1B D5 E0 23 40 B9 ?? ?? ?? ?? E0 33 00 B9 E0 33 40 B9 FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 1F 03 08 03 }
	condition:
		$1
}

rule file_165_4_0 {
	meta:
		name = "_controlfp"
		size = 52
		refs = "0020 _control87"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E8 13 40 B9 01 79 0C 12 21 00 00 11 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_5_0 {
	meta:
		name = "_fpreset"
		size = 40
	strings:
		$1 = { FF 43 00 D1 08 E0 93 52 E8 03 00 B9 E9 03 40 B9 08 E0 93 52 28 01 08 4A 08 7D 40 D3 08 44 1B D5 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_6_0 {
	meta:
		name = "_hw_cw"
		size = 392
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 E8 07 40 B9 88 00 20 36 E8 03 40 B9 08 01 18 32 E8 03 00 B9 E8 07 40 B9 88 00 18 36 E8 03 40 B9 08 01 17 32 E8 03 00 B9 E8 07 40 B9 88 00 10 36 E8 03 40 B9 08 01 16 32 E8 03 00 B9 E8 07 40 B9 88 00 08 36 E8 03 40 B9 08 01 15 32 E8 03 00 B9 E8 07 40 B9 88 00 00 36 E8 03 40 B9 08 01 14 32 E8 03 00 B9 E8 07 40 B9 88 00 98 36 E8 03 40 B9 08 01 11 32 E8 03 00 B9 E8 07 40 B9 08 05 18 12 E8 0B 00 B9 E8 0B 40 B9 1F 01 08 71 68 01 00 54 E8 0B 40 B9 1F 01 08 71 E0 01 00 54 E8 0B 40 B9 1F 01 00 71 20 01 00 54 E8 0B 40 B9 1F 01 04 71 A0 01 00 54 13 00 00 14 E8 0B 40 B9 1F 01 0C 71 A0 01 00 54 0F 00 00 14 E8 03 40 B9 E8 03 00 B9 0C 00 00 14 E8 03 40 B9 08 01 0A 32 E8 03 00 B9 08 00 00 14 E8 03 40 B9 08 01 09 32 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 0A 32 E8 03 00 B9 E8 07 40 B9 08 05 08 12 E8 0F 00 B9 09 20 A0 52 E8 0F 40 B9 1F 01 09 6B 40 01 00 54 09 40 A0 52 E8 0F 40 B9 1F 01 09 6B 40 01 00 54 09 60 A0 52 E8 0F 40 B9 1F 01 09 6B 40 01 00 54 0C 00 00 14 E8 03 40 B9 08 05 08 32 E8 03 00 B9 08 00 00 14 E8 03 40 B9 08 01 07 32 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 01 08 32 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_7_0 {
	meta:
		name = "_set_controlfp"
		size = 44
		refs = "0020 _control87"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E8 13 40 B9 01 79 0C 12 21 00 00 11 E0 17 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_165_8_0 {
	meta:
		name = "_statusfp"
		size = 44
		refs = "0018 _abstract_sw"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 28 44 3B D5 08 01 00 11 E8 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_166_0_0 {
	meta:
		name = "fminl"
		size = 164
		refs = "0014 _ldtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 1B 00 00 14 1A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 03 01 00 54 F1 13 40 FD F0 0F 40 FD 00 22 71 1E E1 00 00 54 E8 3F 40 79 08 01 00 11 88 00 78 36 E0 0F 40 FD 03 00 00 14 02 00 00 14 E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "fmin"
		size = 164
		refs = "0014 _dtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 1B 00 00 14 1A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 03 01 00 54 F1 13 40 FD F0 0F 40 FD 00 22 71 1E E1 00 00 54 E8 3F 40 79 08 01 00 11 88 00 78 36 E0 0F 40 FD 03 00 00 14 02 00 00 14 E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_3_0 {
	meta:
		name = "?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z"
		size = 2160
		refs = "000c __security_push_cookie 0094 ??_C@_1CA@NOKNKDIG@?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00b8 _CrtDbgReportW 00e0 _errno 0104 ??_C@_1CG@LLJCAOHF@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0114 _invalid_parameter 0128 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0148 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01b0 ??1_LocaleUpdate@@QEAA@XZ 0290 ?wcsncnt@@YA_KPEB_W_K@Z 02f0 __imp_WideCharToMultiByte 043c __imp_GetLastError 0860 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 03 07 D1 F3 03 00 91 30 00 80 92 70 DA 00 F9 60 1A 00 F9 61 0A 00 F9 62 12 00 F9 63 52 00 F9 08 00 80 D2 68 02 00 F9 08 00 80 52 68 0A 00 B9 68 1A 40 F9 1F 01 00 F1 C0 00 00 54 68 12 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 00 02 00 14 68 0A 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 68 5A 00 B9 03 00 00 14 08 00 80 52 68 5A 00 B9 68 5A 40 B9 68 5E 00 B9 68 5E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 72 00 B9 69 72 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 5E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 4E 00 F9 69 4E 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 D0 01 00 14 61 52 40 F9 60 E2 00 91 ?? ?? ?? ?? 60 56 00 F9 68 56 40 F9 68 DE 00 F9 68 1A 40 F9 1F 01 00 F1 60 2C 00 54 60 E2 00 91 ?? ?? ?? ?? 60 5A 00 F9 68 5A 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 07 00 54 69 12 40 F9 68 02 40 F9 1F 01 09 EB C2 05 00 54 68 0A 40 F9 08 01 40 79 08 01 00 11 1F FD 03 71 8D 01 00 54 ?? ?? ?? ?? 60 5E 00 F9 69 5E 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 62 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 62 40 F9 A9 01 00 14 68 0A 40 F9 08 01 40 79 0A 1D 00 13 69 02 40 F9 28 00 80 D2 29 7D 08 9B 68 1A 40 F9 08 01 09 8B 0A 01 00 39 68 0A 40 F9 08 01 40 79 08 01 00 11 68 76 00 B9 68 0A 40 F9 08 09 00 91 68 0A 00 F9 68 76 40 B9 1F 01 00 71 E1 00 00 54 68 02 40 F9 68 66 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 66 40 F9 90 01 00 14 68 02 40 F9 08 05 00 91 68 02 00 F9 D0 FF FF 17 68 02 40 F9 68 6A 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 6A 40 F9 86 01 00 14 20 01 00 14 60 E2 00 91 ?? ?? ?? ?? 60 6E 00 F9 68 6E 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 09 01 40 B9 28 00 80 52 1F 01 09 6B 01 09 00 54 68 12 40 F9 1F 01 00 F1 E9 00 00 54 61 12 40 F9 60 0A 40 F9 ?? ?? ?? ?? 60 72 00 F9 68 72 40 F9 68 12 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 76 00 F9 68 12 40 F9 05 01 00 11 68 12 40 F9 03 01 00 11 68 76 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 67 22 00 91 06 00 80 D2 A5 00 00 11 64 1A 40 F9 63 00 00 11 62 0A 40 F9 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 7A 00 B9 68 7A 40 B9 08 7D 40 93 68 02 00 F9 68 02 40 F9 1F 01 00 F1 A0 02 00 54 68 0A 40 B9 1F 01 00 71 41 02 00 54 69 1A 40 F9 68 02 40 F9 28 01 08 8B 08 05 00 D1 08 01 C0 39 08 01 00 11 1F 01 00 71 81 00 00 54 68 02 40 F9 08 05 00 D1 68 02 00 F9 68 02 40 F9 68 7A 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 7A 40 F9 3E 01 00 14 ?? ?? ?? ?? 60 7E 00 F9 69 7E 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 82 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 82 40 F9 33 01 00 14 CD 00 00 14 60 E2 00 91 ?? ?? ?? ?? 60 86 00 F9 68 12 40 F9 05 01 00 11 68 86 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 67 22 00 91 06 00 80 D2 A5 00 00 11 64 1A 40 F9 03 00 80 12 62 0A 40 F9 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 7E 00 B9 68 7E 40 B9 08 7D 40 93 68 02 00 F9 68 02 40 F9 1F 01 00 F1 60 01 00 54 68 0A 40 B9 1F 01 00 71 01 01 00 54 68 02 40 F9 08 05 00 D1 68 8A 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 8A 40 F9 0C 01 00 14 68 0A 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 82 00 B9 68 82 40 B9 1F E9 01 71 80 01 00 54 ?? ?? ?? ?? 60 8E 00 F9 69 8E 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 92 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 92 40 F9 F7 00 00 14 69 12 40 F9 68 02 40 F9 1F 01 09 EB 02 11 00 54 60 E2 00 91 ?? ?? ?? ?? 60 96 00 F9 68 96 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 68 62 00 B9 69 62 40 B9 A8 00 80 52 1F 01 09 6B 8A 00 00 54 A8 00 80 52 68 66 00 B9 03 00 00 14 68 62 40 B9 68 66 00 B9 60 E2 00 91 ?? ?? ?? ?? 60 9A 00 F9 68 9A 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 67 22 00 91 06 00 80 D2 65 66 40 B9 64 02 07 91 23 00 80 52 62 0A 40 F9 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 86 00 B9 68 86 40 B9 68 1A 00 B9 68 1A 40 B9 1F 01 00 71 80 00 00 54 68 0A 40 B9 1F 01 00 71 80 01 00 54 ?? ?? ?? ?? 60 9E 00 F9 69 9E 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 A2 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 A2 40 F9 B9 00 00 14 68 1A 40 B9 1F 01 00 71 AB 00 00 54 68 1A 40 B9 08 7D 40 93 1F 15 00 F1 89 01 00 54 ?? ?? ?? ?? 60 A6 00 F9 69 A6 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 C2 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 C2 40 F9 A7 00 00 14 68 1A 40 B9 09 7D 40 93 68 02 40 F9 09 01 09 8B 68 12 40 F9 3F 01 08 EB E9 00 00 54 68 02 40 F9 68 AA 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 AA 40 F9 9A 00 00 14 08 00 80 52 68 2A 00 B9 07 00 00 14 68 2A 40 B9 08 05 00 11 68 2A 00 B9 68 02 40 F9 08 05 00 91 68 02 00 F9 69 1A 40 B9 68 2A 40 B9 1F 01 09 6B CA 03 00 54 68 2A 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B 68 02 07 91 0A 01 09 8B 69 02 40 F9 28 00 80 D2 29 7D 08 9B 68 1A 40 F9 09 01 09 8B 48 01 C0 39 28 01 00 39 69 02 40 F9 28 00 80 D2 29 7D 08 9B 68 1A 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 E1 00 00 54 68 02 40 F9 68 AE 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 AE 40 F9 71 00 00 14 DA FF FF 17 68 0A 40 F9 08 09 00 91 68 0A 00 F9 76 FF FF 17 68 02 40 F9 68 B2 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 B2 40 F9 66 00 00 14 62 00 00 14 60 E2 00 91 ?? ?? ?? ?? 60 B6 00 F9 68 B6 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 05 00 54 08 00 80 D2 68 4A 00 F9 68 0A 40 F9 68 36 00 F9 04 00 00 14 68 36 40 F9 08 09 00 91 68 36 00 F9 68 36 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 02 00 54 68 36 40 F9 08 01 40 79 08 01 00 11 1F FD 03 71 8D 01 00 54 ?? ?? ?? ?? 60 BA 00 F9 69 BA 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 BE 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 BE 40 F9 3E 00 00 14 68 4A 40 F9 08 05 00 91 68 4A 00 F9 E5 FF FF 17 68 4A 40 F9 68 D6 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 D6 40 F9 34 00 00 14 30 00 00 14 60 E2 00 91 ?? ?? ?? ?? 60 C6 00 F9 68 C6 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 67 22 00 91 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 62 0A 40 F9 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 60 8A 00 B9 68 8A 40 B9 08 7D 40 93 68 02 00 F9 68 02 40 F9 1F 01 00 F1 80 00 00 54 68 0A 40 B9 1F 01 00 71 80 01 00 54 ?? ?? ?? ?? 60 CA 00 F9 69 CA 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 68 CE 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 CE 40 F9 0B 00 00 14 68 02 40 F9 08 05 00 D1 68 D2 00 F9 60 E2 00 91 ?? ?? ?? ?? 60 D2 40 F9 04 00 00 14 60 E2 00 91 ?? ?? ?? ?? 1F 20 03 D5 FF 03 07 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_4_0 {
	meta:
		name = "?dtor$0@?0??_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z@4HA"
		size = 20
		refs = "0008 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BF A9 60 E2 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_5_0 {
	meta:
		name = "?wcsncnt@@YA_KPEB_W_K@Z"
		size = 164
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0F 40 F9 08 05 00 91 E8 07 00 F9 E8 0B 40 F9 E8 03 00 F9 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E8 07 40 F9 1F 01 00 F1 40 01 00 54 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 03 40 F9 08 09 00 91 E8 03 00 F9 F2 FF FF 17 E8 07 40 F9 1F 01 00 F1 A0 01 00 54 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 01 01 00 54 E9 03 40 F9 E8 0B 40 F9 28 01 08 CB 08 FD 41 93 00 05 00 91 00 00 00 91 02 00 00 14 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_8_0 {
	meta:
		name = "_wcstombs_s_l"
		size = 1372
		refs = "0080 ??_C@_1JI@DFNKFCLG@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00a4 _CrtDbgReportW 00cc _errno 00f0 ??_C@_1BM@BDMCLLDL@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0100 _invalid_parameter 0150 _CrtGetDebugFillThreshold 01a0 memset 0220 ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02bc ?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z 047c ??_C@_1CM@KEOGBFLI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 67 00 F9 E4 33 00 F9 E5 63 00 F9 08 00 80 52 E8 43 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0B 40 F9 1F 01 00 F1 48 01 00 54 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 13 01 00 14 E8 0F 40 F9 1F 01 00 F1 80 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 37 00 F9 E8 0B 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 3B 00 F9 E8 0F 40 F9 00 05 00 91 E2 3B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 D2 28 01 00 F9 E9 0B 40 F9 E8 33 40 F9 1F 01 09 EB 89 00 00 54 E8 0B 40 F9 E8 3F 00 F9 03 00 00 14 E8 33 40 F9 E8 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E9 7B 40 B2 E8 43 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AB 00 00 14 E3 63 40 F9 E2 43 40 F9 E1 67 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 81 05 00 54 E8 0F 40 F9 1F 01 00 F1 80 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E8 0F 40 F9 00 05 00 91 E2 4B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 00 01 40 B9 75 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 1F 01 00 F1 00 0D 00 54 E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB 89 0B 00 54 E8 33 40 F9 1F 05 00 B1 A0 0A 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E8 0F 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 14 00 00 14 E8 0B 40 F9 E8 13 00 F9 08 0A 80 52 E8 43 00 B9 E8 13 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 E8 13 40 F9 28 01 00 F9 E0 43 40 B9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_167_10_0 {
	meta:
		name = "wcstombs_s"
		size = 72
		refs = "0034 _wcstombs_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 05 00 80 D2 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_449_8_0 {
	meta:
		name = "mbstowcs_s"
		size = 72
		refs = "0034 _mbstowcs_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 05 00 80 D2 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "?fabs_intrinsic@@YANN@Z"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD F0 03 40 FD 00 C2 60 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_2_0 {
	meta:
		name = "??$common_fullpath@D@@YAPEADQEADQEBD_KH1H@Z"
		size = 216
		refs = "0078 ??$tgetcwd@AEBQEADH@?$__crt_char_traits@D@@SAPEADAEBQEAD$$QEAH@Z 00a0 ??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z 00c4 ??$common_fullpath_dynamic_buffer@D@@YAPEADQEBD_KH0H@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 2B 00 B9 E4 2B 00 F9 E5 27 00 B9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 61 02 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 82 00 00 54 E8 0B 40 F9 E8 1F 00 F9 03 00 00 14 E8 7B 40 B2 E8 1F 00 F9 E8 1F 40 F9 08 01 00 11 E8 23 00 B9 E1 83 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 13 00 00 14 E8 1B 40 F9 1F 01 00 F1 00 01 00 54 E2 0B 40 F9 E1 0F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 09 00 00 14 E4 27 40 B9 E3 2B 40 F9 E2 2B 40 B9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_3_0 {
	meta:
		name = "??$common_fullpath@_W@@YAPEA_WQEA_WQEB_W_KHQEBDH@Z"
		size = 216
		refs = "0078 ??$tgetcwd@AEBQEA_WH@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_W$$QEAH@Z 00a0 ??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z 00c4 ??$common_fullpath_dynamic_buffer@_W@@YAPEA_WQEB_W_KHQEBDH@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 2B 00 B9 E4 2B 00 F9 E5 27 00 B9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 02 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 82 00 00 54 E8 0B 40 F9 E8 1F 00 F9 03 00 00 14 E8 7B 40 B2 E8 1F 00 F9 E8 1F 40 F9 08 01 00 11 E8 23 00 B9 E1 83 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 13 00 00 14 E8 1B 40 F9 1F 01 00 F1 00 01 00 54 E2 0B 40 F9 E1 0F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 09 00 00 14 E4 27 40 B9 E3 2B 40 F9 E2 2B 40 B9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_4_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@D@@YAPEADQEBD_KH0H@Z"
		size = 396
		refs = "0028 ?get_full_path_name@@YAIQEADQEBDI@Z 0044 __imp_GetLastError 0058 __acrt_errno_map_os_error 00ac _calloc_dbg 00bc ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@QEAD@Z 00c8 ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBA_NXZ 00e0 _errno 0100 ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ 0110 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBAPEADXZ 0130 ??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z 0168 ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 27 00 F9 E1 1B 00 F9 E2 2F 00 B9 E3 2B 00 F9 E4 2B 00 B9 02 00 80 52 E1 27 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? 00 00 80 D2 49 00 00 14 E8 17 40 B9 09 7D 40 D3 E8 1B 40 F9 1F 01 09 EB 89 00 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 17 40 B9 08 7D 40 D3 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E4 2B 40 B9 E3 2B 40 F9 E2 2F 40 B9 21 00 80 D2 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E1 2F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 88 01 80 52 28 01 00 B9 08 00 80 D2 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 1F 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 23 40 F9 08 01 00 11 02 7D 40 D3 42 00 00 91 E1 27 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E8 43 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 47 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 40 F9 09 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_5_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@_W@@YAPEA_WQEB_W_KHQEBDH@Z"
		size = 396
		refs = "0028 ?get_full_path_name@@YAIQEA_WQEB_WI@Z 0044 __imp_GetLastError 0058 __acrt_errno_map_os_error 00ac _calloc_dbg 00bc ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@QEA_W@Z 00c8 ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBA_NXZ 00e0 _errno 0100 ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ 0110 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBAPEA_WXZ 0130 ??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z 0168 ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 27 00 F9 E1 1B 00 F9 E2 2F 00 B9 E3 2B 00 F9 E4 2B 00 B9 02 00 80 52 E1 27 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? 00 00 80 D2 49 00 00 14 E8 17 40 B9 09 7D 40 D3 E8 1B 40 F9 1F 01 09 EB 89 00 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 17 40 B9 08 7D 40 D3 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E4 2B 40 B9 E3 2B 40 F9 E2 2F 40 B9 41 00 80 D2 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E1 2F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 88 01 80 52 28 01 00 B9 08 00 80 D2 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 1F 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 23 40 F9 08 01 00 11 02 7D 40 D3 42 00 00 91 E1 27 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E8 43 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 47 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 40 F9 09 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_6_0 {
	meta:
		name = "??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z"
		size = 396
		refs = "0048 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00c8 _invalid_parameter 0114 ?get_full_path_name@@YAIQEADQEBDI@Z 0160 __imp_GetLastError 0174 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 13 00 F9 E8 13 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 2D 00 00 14 E9 7F 40 B2 E8 13 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 04 80 52 28 01 00 B9 00 00 80 D2 22 00 00 14 E8 13 40 F9 02 01 00 11 42 00 00 11 E1 2B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 1B 00 B9 E8 1B 40 B9 09 7D 40 D3 E8 13 40 F9 3F 01 08 EB 03 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 00 00 80 D2 0D 00 00 14 E8 1B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 D2 02 00 00 14 E0 1F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_7_0 {
	meta:
		name = "??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z"
		size = 396
		refs = "0048 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00c8 _invalid_parameter 0114 ?get_full_path_name@@YAIQEA_WQEB_WI@Z 0160 __imp_GetLastError 0174 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 13 00 F9 E8 13 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 2D 00 00 14 E9 7F 40 B2 E8 13 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 04 80 52 28 01 00 B9 00 00 80 D2 22 00 00 14 E8 13 40 F9 02 01 00 11 42 00 00 11 E1 2B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 1B 00 B9 E8 1B 40 B9 09 7D 40 D3 E8 13 40 F9 3F 01 08 EB 03 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 00 00 80 D2 0D 00 00 14 E8 1B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E0 33 40 B9 ?? ?? ?? ?? 00 00 80 D2 02 00 00 14 E0 1F 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_8_0 {
	meta:
		name = "??$tgetcwd@AEBQEADH@?$__crt_char_traits@D@@SAPEADAEBQEAD$$QEAH@Z"
		size = 52
		refs = "0020 _getcwd"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 40 B9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_9_0 {
	meta:
		name = "??$tgetcwd@AEBQEA_WH@?$__crt_char_traits@_W@@SAPEA_WAEBQEA_W$$QEAH@Z"
		size = 52
		refs = "0020 _wgetcwd"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 01 01 40 B9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_20_0 {
	meta:
		name = "?get_full_path_name@@YAIQEADQEBDI@Z"
		size = 64
		refs = "0024 __imp_GetFullPathNameA"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 13 00 B9 03 00 80 D2 E2 0F 40 F9 E1 13 40 B9 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_21_0 {
	meta:
		name = "?get_full_path_name@@YAIQEA_WQEB_WI@Z"
		size = 64
		refs = "0024 __imp_GetFullPathNameW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 13 00 B9 03 00 80 D2 E2 0F 40 F9 E1 13 40 B9 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_26_0 {
	meta:
		name = "_fullpath"
		size = 64
		refs = "002c ??$common_fullpath@D@@YAPEADQEADQEBD_KH1H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 05 00 80 52 04 00 80 D2 23 00 80 52 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_414_0_0 {
	meta:
		name = "_recalloc"
		size = 64
		refs = "002c _recalloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 05 00 80 52 04 00 80 D2 23 00 80 52 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_28_0 {
	meta:
		name = "_wfullpath"
		size = 64
		refs = "002c ??$common_fullpath@_W@@YAPEA_WQEA_WQEB_W_KHQEBDH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 05 00 80 52 04 00 80 D2 23 00 80 52 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_27_0 {
	meta:
		name = "_fullpath_dbg"
		size = 76
		refs = "0038 ??$common_fullpath@D@@YAPEADQEADQEBD_KH1H@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 17 00 B9 E4 0F 00 F9 E5 13 00 B9 E5 13 40 B9 E4 0F 40 F9 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_169_29_0 {
	meta:
		name = "_wfullpath_dbg"
		size = 76
		refs = "0038 ??$common_fullpath@_W@@YAPEA_WQEA_WQEB_W_KHQEBDH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 17 00 B9 E4 0F 00 F9 E5 13 00 B9 E5 13 40 B9 E4 0F 40 F9 E3 17 40 B9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_170_2_0 {
	meta:
		name = "_strdup_dbg"
		size = 192
		refs = "0030 strlen 0054 _malloc_dbg 0084 strcpy_s 0094 ??_C@_1GC@HKEHEHPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 009c ??_C@_1BI@CBNECNIC@?$AA_?$AAs?$AAt?$AAr?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00a4 ??_C@_1DO@MOGEFOMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$CJ?$AA?$AA@ 00b0 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 23 00 F9 E3 13 00 B9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 24 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 05 00 91 E8 1B 00 F9 E3 13 40 B9 E2 23 40 F9 E1 17 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 11 00 00 14 E2 13 40 F9 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 05 00 80 D2 64 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_0_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$09@@YAXQEBE_KQEAU_LDBL12@@@Z"
		size = 440
		refs = "0008 __security_push_cookie 0088 ??$multiply_ld12_by@$09@@YAXQEAU_LDBL12@@@Z 00c8 ?add_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z 0180 ??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z 01ac __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 0F 00 F9 E1 13 00 F9 E2 07 00 F9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E9 0F 40 F9 E8 13 40 F9 28 01 08 8B E8 17 00 F9 E8 0F 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB 80 02 00 54 E0 07 40 F9 ?? ?? ?? ?? E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 E8 0B 40 F9 08 01 40 39 08 01 00 11 E8 33 00 B9 08 00 80 52 E8 37 00 B9 08 00 80 52 E8 3B 00 B9 E1 C3 00 91 E0 07 40 F9 ?? ?? ?? ?? E7 FF FF 17 C8 09 88 52 E8 03 00 79 E8 07 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 21 04 00 54 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 7D 10 53 E8 07 40 F9 08 21 00 91 09 01 00 B9 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 3D 10 53 E8 07 40 F9 08 01 00 91 08 01 40 B9 08 7D 10 53 29 01 08 2A E8 07 40 F9 08 11 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 3D 10 53 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 79 08 01 00 11 08 41 00 51 08 3D 00 53 E8 03 00 79 DC FF FF 17 E8 07 40 F9 08 21 00 91 08 01 40 B9 08 01 78 37 E0 07 40 F9 ?? ?? ?? ?? E8 03 40 79 08 05 00 51 08 3D 00 53 E8 03 00 79 F6 FF FF 17 E8 07 40 F9 09 29 00 91 E8 03 40 79 28 01 00 79 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_1_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$0BA@@@YAXQEBE_KQEAU_LDBL12@@@Z"
		size = 440
		refs = "0008 __security_push_cookie 0088 ??$multiply_ld12_by@$0BA@@@YAXQEAU_LDBL12@@@Z 00c8 ?add_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z 0180 ??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z 01ac __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 0F 00 F9 E1 13 00 F9 E2 07 00 F9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E9 0F 40 F9 E8 13 40 F9 28 01 08 8B E8 17 00 F9 E8 0F 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB 80 02 00 54 E0 07 40 F9 ?? ?? ?? ?? E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 E8 0B 40 F9 08 01 40 39 08 01 00 11 E8 33 00 B9 08 00 80 52 E8 37 00 B9 08 00 80 52 E8 3B 00 B9 E1 C3 00 91 E0 07 40 F9 ?? ?? ?? ?? E7 FF FF 17 C8 09 88 52 E8 03 00 79 E8 07 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 21 04 00 54 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 7D 10 53 E8 07 40 F9 08 21 00 91 09 01 00 B9 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 3D 10 53 E8 07 40 F9 08 01 00 91 08 01 40 B9 08 7D 10 53 29 01 08 2A E8 07 40 F9 08 11 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 3D 10 53 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 79 08 01 00 11 08 41 00 51 08 3D 00 53 E8 03 00 79 DC FF FF 17 E8 07 40 F9 08 21 00 91 08 01 40 B9 08 01 78 37 E0 07 40 F9 ?? ?? ?? ?? E8 03 40 79 08 05 00 51 08 3D 00 53 E8 03 00 79 F6 FF FF 17 E8 07 40 F9 09 29 00 91 E8 03 40 79 28 01 00 79 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_3_0 {
	meta:
		name = "??$multiply_ld12_by@$09@@YAXQEAU_LDBL12@@@Z"
		size = 128
		refs = "0008 __security_push_cookie 0058 ??$shl_ld12@$01@@YAXQEAU_LDBL12@@@Z 0064 ?add_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z 006c ??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z 0074 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 03 00 F9 EA 23 00 91 4A 01 00 91 E9 03 40 F9 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 63 00 91 4A 01 00 91 E9 23 00 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 E0 03 40 F9 ?? ?? ?? ?? E1 63 00 91 E0 03 40 F9 ?? ?? ?? ?? E0 03 40 F9 ?? ?? ?? ?? FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_13_0 {
	meta:
		name = "??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z"
		size = 204
	strings:
		$1 = { FF C3 00 D1 E0 13 00 F9 08 04 80 52 E8 0B 00 B9 28 00 80 52 E8 0F 00 B9 E8 03 80 52 E8 13 00 B9 08 00 B8 12 E8 17 00 B9 08 00 B8 52 E8 1B 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 08 05 02 12 08 7D 1F 53 E8 03 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 08 05 02 12 08 7D 1F 53 E8 07 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 09 79 1F 53 E8 13 40 F9 08 01 00 91 09 01 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 09 79 1F 53 E8 03 40 B9 29 01 08 2A E8 13 40 F9 08 11 00 91 09 01 00 B9 E8 13 40 F9 08 21 00 91 08 01 40 B9 09 79 1F 53 E8 07 40 B9 29 01 08 2A E8 13 40 F9 08 21 00 91 09 01 00 B9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_14_0 {
	meta:
		name = "??$shl_ld12@$01@@YAXQEAU_LDBL12@@@Z"
		size = 204
	strings:
		$1 = { FF C3 00 D1 E0 13 00 F9 08 04 80 52 E8 0B 00 B9 48 00 80 52 E8 0F 00 B9 C8 03 80 52 E8 13 00 B9 08 00 BC 12 E8 17 00 B9 08 00 BC 52 E8 1B 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 08 09 03 12 08 7D 1E 53 E8 03 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 08 09 03 12 08 7D 1E 53 E8 07 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 09 75 1E 53 E8 13 40 F9 08 01 00 91 09 01 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 09 75 1E 53 E8 03 40 B9 29 01 08 2A E8 13 40 F9 08 11 00 91 09 01 00 B9 E8 13 40 F9 08 21 00 91 08 01 40 B9 09 75 1E 53 E8 07 40 B9 29 01 08 2A E8 13 40 F9 08 21 00 91 09 01 00 B9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_15_0 {
	meta:
		name = "??$shl_ld12@$03@@YAXQEAU_LDBL12@@@Z"
		size = 204
	strings:
		$1 = { FF C3 00 D1 E0 13 00 F9 08 04 80 52 E8 0B 00 B9 88 00 80 52 E8 0F 00 B9 88 03 80 52 E8 13 00 B9 08 00 BF 12 E8 17 00 B9 08 00 BF 52 E8 1B 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 08 11 05 12 08 7D 1C 53 E8 03 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 08 11 05 12 08 7D 1C 53 E8 07 00 B9 E8 13 40 F9 08 01 00 91 08 01 40 B9 09 6D 1C 53 E8 13 40 F9 08 01 00 91 09 01 00 B9 E8 13 40 F9 08 11 00 91 08 01 40 B9 09 6D 1C 53 E8 03 40 B9 29 01 08 2A E8 13 40 F9 08 11 00 91 09 01 00 B9 E8 13 40 F9 08 21 00 91 08 01 40 B9 09 6D 1C 53 E8 07 40 B9 29 01 08 2A E8 13 40 F9 08 21 00 91 09 01 00 B9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_27_0 {
	meta:
		name = "?add_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z"
		size = 292
		refs = "0034 ?add_uint32_carry@@YA_NIIQEAI@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 02 01 00 91 E8 13 40 F9 09 01 00 91 E8 0F 40 F9 08 01 00 91 42 00 00 91 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 0F 40 F9 02 11 00 91 E8 0F 40 F9 08 11 00 91 42 00 00 91 21 00 80 52 00 01 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 02 11 00 91 E8 13 40 F9 09 11 00 91 E8 0F 40 F9 08 11 00 91 42 00 00 91 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 02 21 00 91 E8 13 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 42 00 00 91 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_28_0 {
	meta:
		name = "?add_uint32_carry@@YA_NIIQEAI@Z"
		size = 116
	strings:
		$1 = { FF 83 00 D1 E0 07 00 B9 E1 0B 00 B9 E2 0B 00 F9 E9 07 40 B9 E8 0B 40 B9 28 01 08 0B E8 03 00 B9 E9 0B 40 F9 E8 03 40 B9 28 01 00 B9 E9 07 40 B9 E8 03 40 B9 1F 01 09 6B 03 01 00 54 E9 0B 40 B9 E8 03 40 B9 1F 01 09 6B 83 00 00 54 08 00 80 52 E8 0F 00 B9 03 00 00 14 28 00 80 52 E8 0F 00 B9 E8 0F 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_29_0 {
	meta:
		name = "?assemble_floating_point_ind@__crt_strtox@@YAXAEAU_LDBL12@@@Z"
		size = 88
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 90 52 E8 03 00 79 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 79 E8 07 40 F9 09 09 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 19 00 91 08 00 B8 52 28 01 00 B9 E8 07 40 F9 09 29 00 91 E8 FF 9F 52 28 01 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_30_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E1 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 90 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 79 E8 07 40 F9 09 09 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 19 00 91 08 00 80 52 28 01 00 B9 E8 07 40 79 08 01 00 11 08 39 00 32 09 3D 00 53 E8 07 40 F9 08 29 00 91 09 01 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_31_0 {
	meta:
		name = "?assemble_floating_point_qnan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E1 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 90 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 01 00 91 E8 FF 9F 52 28 01 00 79 E8 07 40 F9 09 09 00 91 08 00 80 12 28 01 00 B9 E8 07 40 F9 09 19 00 91 08 00 80 12 28 01 00 B9 E8 07 40 79 08 01 00 11 08 39 00 32 09 3D 00 53 E8 07 40 F9 08 29 00 91 09 01 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_32_0 {
	meta:
		name = "?assemble_floating_point_snan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E1 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 90 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 01 00 91 E8 FF 9F 52 28 01 00 79 E8 07 40 F9 09 09 00 91 08 00 80 12 28 01 00 B9 E8 07 40 F9 09 19 00 91 08 00 A8 12 28 01 00 B9 E8 07 40 79 08 01 00 11 08 39 00 32 09 3D 00 53 E8 07 40 F9 08 29 00 91 09 01 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_33_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 132
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E1 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 90 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 08 3D 00 53 E8 07 00 79 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 79 E8 07 40 F9 09 09 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 19 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 29 00 91 E8 07 40 79 28 01 00 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_34_0 {
	meta:
		name = "?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@_NAEAU_LDBL12@@@Z"
		size = 456
		refs = "0008 __security_push_cookie 0038 memcpy 0120 ??$convert_mantissa_to_ld12@$0BA@@@YAXQEBE_KQEAU_LDBL12@@@Z 012c ?multiply_two_pow_ld12@@YAXQEAU_LDBL12@@H@Z 0148 ??$convert_mantissa_to_ld12@$09@@YAXQEBE_KQEAU_LDBL12@@@Z 0154 ?multiply_ten_pow_ld12@@YAXQEAU_LDBL12@@H@Z 01bc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 19 D1 E0 13 00 F9 E1 03 00 39 E2 07 00 F9 E0 A3 00 91 00 00 00 91 E1 13 40 F9 21 00 00 91 82 61 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 E3 0C 91 00 00 00 91 E1 A3 00 91 21 00 00 91 82 61 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E8 3F 43 B9 1F 61 00 71 A9 02 00 54 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 01 80 52 E8 13 00 B9 03 00 00 14 A8 00 80 52 E8 13 00 B9 E9 63 4D 39 29 01 00 11 E8 13 40 B9 3F 01 08 6B AB 00 00 54 E8 5F 4D 39 08 05 00 11 08 1D 00 53 E8 5F 0D 39 08 03 80 52 E8 3F 03 B9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 88 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E9 3F 43 B9 E8 1B 40 B9 29 7D 08 1B E8 3B 43 B9 08 01 09 4B E8 3B 03 B9 E8 03 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 3F 43 B9 01 7D 40 D3 E2 07 40 F9 21 00 00 91 E0 03 0D 91 ?? ?? ?? ?? E1 3B 43 B9 E0 07 40 F9 ?? ?? ?? ?? 0A 00 00 14 E8 3F 43 B9 01 7D 40 D3 E2 07 40 F9 21 00 00 91 E0 03 0D 91 ?? ?? ?? ?? E1 3B 43 B9 E0 07 40 F9 ?? ?? ?? ?? E8 03 59 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 29 00 91 08 01 40 79 08 01 00 11 0A 01 11 32 E8 07 40 F9 09 29 00 91 48 3D 00 53 28 01 00 79 E8 07 40 F9 08 29 00 91 08 01 40 79 08 01 00 11 09 39 00 12 E8 FF 8F 52 3F 01 08 6B 61 00 00 54 60 00 80 52 02 00 00 14 00 00 80 52 FF 03 19 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_35_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEAU_LDBL12@@@Z"
		size = 48
		refs = "001c ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@_NAEAU_LDBL12@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0F 40 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_36_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEAU_LDBL12@@@Z"
		size = 48
		refs = "001c ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@_NAEAU_LDBL12@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0F 40 F9 21 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_37_0 {
	meta:
		name = "?convert_ld12_to_ldouble@@YAXQEBU_LDBL12@@QEAU_LDOUBLE@@@Z"
		size = 276
		refs = "0008 __security_push_cookie 0090 ?round_mantissa@@YA_NQEAIH@Z 0108 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E8 07 40 F9 08 29 00 91 08 01 40 79 08 01 00 11 08 39 00 12 08 3D 00 53 E8 07 00 79 E8 07 40 F9 08 29 00 91 08 01 40 79 08 01 00 11 08 01 11 12 08 3D 00 53 E8 0B 00 79 E8 07 40 F9 08 19 00 91 08 01 40 B9 E8 1B 00 B9 E8 07 40 F9 08 09 00 91 08 01 40 B9 E8 1F 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 79 08 01 00 11 08 3D 10 53 E8 23 00 B9 01 08 80 52 E0 63 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 08 00 B0 52 E8 1B 00 B9 E8 07 40 79 08 05 00 11 08 3D 00 53 E8 07 00 79 E8 0B 40 F9 09 11 00 91 E8 1B 40 B9 28 01 00 B9 E8 0B 40 F9 09 01 00 91 E8 1F 40 B9 28 01 00 B9 E9 0B 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 28 01 08 2A 09 3D 00 53 E8 0B 40 F9 08 21 00 91 09 01 00 79 FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_39_0 {
	meta:
		name = "?increment_mantissa@@YA_NQEAIH@Z"
		size = 304
		refs = "008c ?add_uint32_carry@@YA_NIIQEAI@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E9 1B 40 B9 08 04 80 52 28 0D C8 1A E8 17 00 B9 EA 1B 40 B9 09 04 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 03 80 52 08 01 09 4B E8 1F 00 B9 29 00 80 52 E8 1F 40 B9 28 21 C8 1A E8 23 00 B9 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 17 40 F9 02 01 09 8B E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 42 00 00 91 E1 23 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 E8 43 00 39 E8 17 40 B9 08 05 00 51 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 2B 03 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 17 40 F9 02 01 09 8B E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 42 00 00 91 21 00 80 52 00 01 40 B9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 E8 43 00 39 E3 FF FF 17 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_42_0 {
	meta:
		name = "?mantissa_has_zero_tail@@YA_NQEAIH@Z"
		size = 232
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 B9 E9 07 40 B9 08 04 80 52 28 0D C8 1A E8 03 00 B9 EA 07 40 B9 09 04 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 03 80 52 08 01 09 4B E8 0B 00 B9 09 00 80 12 E8 0B 40 B9 28 21 C8 1A E8 03 28 2A E8 0F 00 B9 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 09 01 40 B9 E8 0F 40 B9 28 01 08 0A 1F 01 00 71 60 00 00 54 00 00 80 52 18 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 0D 00 71 AA 01 00 54 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 08 01 40 B9 1F 01 00 71 60 00 00 54 00 00 80 52 03 00 00 14 EF FF FF 17 20 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_43_0 {
	meta:
		name = "?multiply_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z"
		size = 1640
		refs = "0008 __security_push_cookie 0380 ?add_uint32_carry@@YA_NIIQEAI@Z 043c ??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z 04ac ?shr_ld12@@YAXQEAU_LDBL12@@@Z 065c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 01 D1 E0 07 00 F9 E1 1B 00 F9 08 00 80 52 E8 5B 00 B9 08 00 80 52 E8 5F 00 B9 08 00 80 52 E8 63 00 B9 E8 07 40 F9 08 29 00 91 08 01 40 79 E8 07 00 79 E8 1B 40 F9 08 29 00 91 08 01 40 79 E8 0B 00 79 E9 07 40 79 29 01 00 11 E8 0B 40 79 08 01 00 11 28 01 08 4A 08 01 11 12 08 3D 00 53 E8 27 00 79 E8 07 40 79 08 01 00 11 08 39 00 12 08 3D 00 53 E8 07 00 79 E8 0B 40 79 08 01 00 11 08 39 00 12 08 3D 00 53 E8 0B 00 79 E9 07 40 79 29 01 00 11 E8 0B 40 79 08 01 00 11 28 01 08 0B 08 3D 00 53 E8 03 00 79 E9 07 40 79 29 01 00 11 E8 FF 8F 52 3F 01 08 6B 6A 01 00 54 E9 0B 40 79 29 01 00 11 E8 FF 8F 52 3F 01 08 6B CA 00 00 54 E9 03 40 79 29 01 00 11 A8 FF 97 52 3F 01 08 6B ED 02 00 54 E8 27 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 FF 8F 12 E8 2B 00 B9 03 00 00 14 E8 3F 11 32 E8 2B 00 B9 E8 07 40 F9 09 21 00 91 E8 2B 40 B9 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 45 01 00 14 E9 03 40 79 29 01 00 11 E8 F7 87 52 3F 01 08 6B CC 01 00 54 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 33 01 00 14 E8 07 40 79 08 01 00 11 1F 01 00 71 41 03 00 54 E8 03 40 79 08 05 00 11 08 3D 00 53 E8 03 00 79 E8 07 40 F9 08 21 00 91 08 01 40 B9 08 79 00 12 1F 01 00 71 01 02 00 54 E8 07 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 61 01 00 54 E8 07 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 00 00 54 E8 07 40 F9 09 29 00 91 08 00 80 52 28 01 00 79 16 01 00 14 E8 0B 40 79 08 01 00 11 1F 01 00 71 41 04 00 54 E8 03 40 79 08 05 00 11 08 3D 00 53 E8 03 00 79 E8 1B 40 F9 08 21 00 91 08 01 40 B9 08 79 00 12 1F 01 00 71 01 03 00 54 E8 1B 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 61 02 00 54 E8 1B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 F1 00 00 14 08 00 80 52 E8 1B 00 B9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 1F 15 00 71 2A 0A 00 54 E8 17 40 B9 08 79 1F 53 E8 23 00 B9 08 01 80 52 E8 27 00 B9 A9 00 80 52 E8 17 40 B9 28 01 08 4B E8 1F 00 B9 04 00 00 14 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 AD 07 00 54 08 00 80 52 E8 1B 00 39 E8 07 40 F9 09 01 00 91 E8 23 40 B9 08 7D 40 93 28 01 08 8B E8 27 00 F9 E8 1B 40 F9 09 01 00 91 E8 27 40 B9 08 7D 40 93 28 01 08 8B E8 2B 00 F9 E8 1B 40 B9 09 7D 40 93 E8 63 01 91 08 01 09 8B E8 23 00 F9 E8 27 40 F9 09 01 40 79 29 01 00 11 E8 2B 40 F9 08 01 40 79 08 01 00 11 28 7D 08 1B E8 3B 00 B9 E2 23 40 F9 E1 3B 40 B9 E8 23 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 E8 1B 00 39 E8 1B 40 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 1B 40 B9 08 11 00 11 09 7D 40 93 E8 63 01 91 08 01 09 8B 08 01 40 79 08 05 00 11 0A 3D 00 53 E8 1B 40 B9 08 11 00 11 09 7D 40 93 E8 63 01 91 08 01 09 8B 0A 01 00 79 E8 23 40 B9 08 09 00 11 E8 23 00 B9 E8 27 40 B9 08 09 00 51 E8 27 00 B9 BF FF FF 17 E8 1B 40 B9 08 09 00 11 E8 1B 00 B9 AB FF FF 17 E9 03 40 79 29 01 00 11 C8 FF 87 52 28 01 08 4B 08 3D 00 53 E8 03 00 79 E8 03 40 79 08 3D 00 13 08 01 00 11 1F 01 00 71 4D 01 00 54 E8 63 40 B9 08 01 F8 37 E0 63 01 91 ?? ?? ?? ?? E8 03 40 79 08 05 00 51 08 3D 00 53 E8 03 00 79 F3 FF FF 17 E8 03 40 79 08 3D 00 13 08 01 00 11 1F 01 00 71 2C 04 00 54 08 00 80 52 E8 1F 00 39 E8 03 40 79 08 05 00 51 08 3D 00 53 E8 03 00 79 E8 03 40 79 08 3D 00 13 08 01 00 11 1F 01 00 71 AA 01 00 54 E8 B3 40 79 08 01 00 11 68 00 00 36 28 00 80 52 E8 1F 00 39 E0 63 01 91 ?? ?? ?? ?? E8 03 40 79 08 05 00 11 08 3D 00 53 E8 03 00 79 F0 FF FF 17 E8 1F 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E8 B3 40 79 08 01 00 11 08 01 00 32 08 3D 00 53 E8 B3 00 79 E9 B3 40 79 29 01 00 11 08 00 90 52 3F 01 08 6B CC 00 00 54 E8 5B 40 B9 09 41 00 12 E8 07 11 32 3F 01 08 6B 61 04 00 54 E8 A3 45 B8 1F 05 00 31 A1 03 00 54 08 00 80 52 E8 A3 05 B8 E8 E3 45 B8 1F 05 00 31 81 02 00 54 08 00 80 52 E8 E3 05 B8 E9 C7 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 01 01 00 54 08 00 90 52 E8 C7 00 79 E8 03 40 79 08 05 00 11 08 3D 00 53 E8 03 00 79 05 00 00 14 E8 C7 40 79 08 05 00 11 08 3D 00 53 E8 C7 00 79 04 00 00 14 E8 E3 45 B8 08 05 00 11 E8 E3 05 B8 04 00 00 14 E8 A3 45 B8 08 05 00 11 E8 A3 05 B8 E9 03 40 79 29 01 00 11 E8 FF 8F 52 3F 01 08 6B EB 02 00 54 E8 27 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 FF 8F 12 E8 2F 00 B9 03 00 00 14 E8 3F 11 32 E8 2F 00 B9 E8 07 40 F9 09 21 00 91 E8 2F 40 B9 28 01 00 B9 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 16 00 00 14 E8 07 40 F9 09 01 00 91 E8 B7 40 79 28 01 00 79 E8 07 40 F9 09 09 00 91 E8 5F 40 B9 28 01 00 B9 E8 07 40 F9 09 19 00 91 E8 63 40 B9 28 01 00 B9 E9 03 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 28 01 08 2A 09 3D 00 53 E8 07 40 F9 08 29 00 91 09 01 00 79 FF 83 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_44_0 {
	meta:
		name = "?multiply_ten_pow_ld12@@YAXQEAU_LDBL12@@H@Z"
		size = 332
		refs = "0008 __security_push_cookie 0028 ?ld12_pow10_positive@@3QBU_LDBL12@@B 0050 ?ld12_pow10_negative@@3QBU_LDBL12@@B 0134 ?multiply_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z 0140 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 0F 00 F9 E1 03 00 B9 E8 03 40 B9 1F 01 00 71 41 00 00 54 46 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 08 81 01 D1 E8 07 00 F9 E8 03 40 B9 1F 01 00 71 0A 01 00 54 E8 03 40 B9 E8 03 08 4B E8 03 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 08 81 01 D1 E8 07 00 F9 E8 03 40 B9 1F 01 00 71 A0 06 00 54 E8 07 40 F9 08 51 01 91 E8 07 00 F9 E8 03 40 B9 08 09 00 12 E8 07 00 B9 E8 03 40 B9 08 7D 03 13 E8 03 00 B9 E8 07 40 B9 1F 01 00 71 41 00 00 54 F1 FF FF 17 E8 07 40 B9 09 7D 40 93 88 01 80 D2 29 7D 08 9B E8 07 40 F9 08 01 09 8B E8 0B 00 F9 E8 0B 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 08 00 90 52 3F 01 08 6B CB 02 00 54 EA 83 00 91 4A 01 00 91 E9 0B 40 F9 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA C3 00 91 4A 01 00 91 E9 83 00 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 E8 23 43 B8 08 05 00 51 E8 23 03 B8 E8 C3 00 91 E8 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? CA FF FF 17 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_45_0 {
	meta:
		name = "?multiply_two_pow_ld12@@YAXQEAU_LDBL12@@H@Z"
		size = 116
		refs = "0008 __security_push_cookie 0060 ?multiply_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z 0068 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 07 00 F9 E1 03 00 B9 E9 43 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 08 00 80 52 E8 23 00 79 08 00 80 52 E8 23 01 B8 08 00 B0 52 E8 63 01 B8 E9 03 40 B9 E8 FF 87 52 28 01 08 0B 08 3D 00 53 E8 37 00 79 E1 43 00 91 E0 07 40 F9 ?? ?? ?? ?? FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_48_0 {
	meta:
		name = "?round_mantissa@@YA_NQEAIH@Z"
		size = 372
		refs = "00a4 ?mantissa_has_zero_tail@@YA_NQEAIH@Z 00c4 ?increment_mantissa@@YA_NQEAIH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 33 00 B9 E8 33 40 B9 08 05 00 51 E8 2B 00 B9 E8 2B 40 B9 08 05 00 11 E8 1F 00 B9 E9 1F 40 B9 08 04 80 52 28 0D C8 1A E8 17 00 B9 EA 1F 40 B9 09 04 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 03 80 52 08 01 09 4B E8 2F 00 B9 29 00 80 52 E8 2F 40 B9 28 21 C8 1A E8 37 00 B9 08 00 80 52 E8 43 00 39 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 09 01 40 B9 E8 37 40 B9 28 01 08 0A 1F 01 00 71 E0 01 00 54 E1 1F 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E1 2B 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 E8 43 00 39 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B 09 00 80 12 E8 2F 40 B9 29 21 C8 1A 48 01 40 B9 0A 01 09 0A E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 B9 E8 17 40 B9 08 05 00 11 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 0D 00 71 4A 01 00 54 E8 1B 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 B9 F2 FF FF 17 E0 43 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_50_0 {
	meta:
		name = "?shr_ld12@@YAXQEAU_LDBL12@@@Z"
		size = 204
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 88 00 00 36 08 00 B0 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 0B 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 88 00 00 36 08 00 B0 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0F 00 B9 E8 0B 40 F9 08 21 00 91 08 01 40 B9 09 7D 01 53 E8 0B 40 F9 08 21 00 91 09 01 00 B9 E8 0B 40 F9 08 11 00 91 08 01 40 B9 09 7D 01 53 E8 0B 40 B9 29 01 08 2A E8 0B 40 F9 08 11 00 91 09 01 00 B9 E8 0B 40 F9 08 01 00 91 08 01 40 B9 09 7D 01 53 E8 0F 40 B9 29 01 08 2A E8 0B 40 F9 08 01 00 91 09 01 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_51_0 {
	meta:
		name = "?transform_into_return_value@@YAHW4SLD_STATUS@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 E8 03 00 B9 E8 03 40 B9 1F 09 00 71 E0 00 00 54 E8 03 40 B9 1F 0D 00 71 40 00 00 54 05 00 00 14 60 00 80 52 04 00 00 14 80 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_56_0 {
	meta:
		name = "_atoldbl"
		size = 48
		refs = "001c _atoldbl_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_509_4_4 {
	meta:
		name = "_ismbstrail"
		size = 48
		refs = "001c _ismbstrail_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_440_15_4 {
	meta:
		name = "_strlwr_s"
		size = 48
		refs = "001c _strlwr_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_272_15_0 {
	meta:
		name = "_strupr_s"
		size = 48
		refs = "001c _strupr_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_15_3 {
	meta:
		name = "_wcslwr_s"
		size = 48
		refs = "001c _wcslwr_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_499_14_2 {
	meta:
		name = "_wcsupr_s"
		size = 48
		refs = "001c _wcsupr_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_333_5_2 {
	meta:
		name = "strcoll"
		size = 48
		refs = "001c _strcoll_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_171_57_0 {
	meta:
		name = "_atoldbl_l"
		size = 200
		refs = "0008 __security_push_cookie 0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0068 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 007c ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAU_LDBL12@@@Z 0094 ?convert_ld12_to_ldouble@@YAXQEBU_LDBL12@@QEAU_LDOUBLE@@@Z 009c ?transform_into_return_value@@YAHW4SLD_STATUS@@@Z 00b0 ??1_LocaleUpdate@@QEAA@XZ 00bc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 23 00 F9 E1 0F 00 F9 E2 0B 00 F9 E1 0B 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 27 00 F9 E9 03 02 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 E8 C3 01 91 E8 13 00 F9 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 1B 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 1F 00 F9 E2 03 02 91 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 03 00 B9 E8 03 40 B9 E8 07 00 B9 E1 23 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 07 40 B9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E0 43 01 91 ?? ?? ?? ?? E0 0F 40 B9 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_172_5_0 {
	meta:
		name = "_fileno"
		size = 256
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@KCAHHNGP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BA@JGHIEKKM@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAn?$AAo?$AA?$AA@ 00dc _invalid_parameter 00ec ?lowio_handle@__crt_stdio_stream@@QEBAHXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 05 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "__remainder_piby2"
		size = 3088
		refs = "0008 __security_push_cookie 0010 __chkstk 00f8 ?pibits@?1??__remainder_piby2@@9@9 0b34 ?piby2_lead@?1??__remainder_piby2@@9@9 0b48 ?piby2_part1@?1??__remainder_piby2@@9@9 0b74 ?piby2_part2@?1??__remainder_piby2@@9@9 0bac ?piby2_part3@?1??__remainder_piby2@@9@9 0c04 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 0F 21 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 33 00 FD E0 4B 00 F9 E1 6F 00 F9 E2 43 00 F9 48 01 80 52 E8 03 00 B9 F0 33 40 FD F0 53 00 FD E8 53 40 F9 E8 13 00 F9 E8 13 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 08 01 00 11 E8 6B 00 B9 E9 13 40 F9 28 00 80 D2 09 2D 4C B3 E9 13 00 F9 08 00 80 D2 E8 0F 00 F9 28 00 80 D2 E8 17 00 F9 E8 03 40 B9 09 7D 40 93 E8 17 40 F9 08 21 C9 9A 08 05 00 D1 E8 17 00 F9 E9 6B 40 B9 E8 03 40 B9 48 00 00 35 80 00 3E D4 28 0D C8 1A E8 6F 00 B9 E9 6F 40 B9 E8 03 40 B9 29 7D 08 1B E8 6B 40 B9 08 01 09 4B E8 43 00 B9 89 16 80 52 E8 03 40 B9 48 00 00 35 80 00 3E D4 29 0D C8 1A E8 6F 40 B9 08 01 09 0B E8 13 00 B9 08 00 80 D2 E8 BF 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 28 7D 08 9B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 BB 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 B7 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 09 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 B3 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 0D 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 AF 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 11 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 AB 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 15 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 A7 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 19 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 A3 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 1D 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 9F 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 21 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 9B 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 25 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 97 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 29 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 93 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 2D 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 8F 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 31 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 8B 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 35 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 87 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 39 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 83 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 3D 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 7F 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 41 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 7B 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 45 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 77 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A E8 0F 00 F9 E8 13 40 B9 08 49 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 13 40 F9 29 7D 08 9B E8 0F 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 17 40 F9 28 01 08 8A E8 73 00 F9 E8 03 40 B9 09 7D 40 93 E8 73 40 F9 09 21 C9 9A E8 77 40 F9 2A 01 08 AA E8 03 40 B9 09 05 00 51 E8 43 40 B9 28 01 08 4B 08 7D 40 93 48 25 C8 9A 08 09 40 92 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 01 00 12 E8 4F 00 B9 28 00 80 52 E8 33 00 B9 E8 4F 40 B9 1F 01 00 71 80 07 00 54 E8 4B 40 B9 08 7D 01 13 08 05 00 11 09 05 00 12 E8 43 40 F9 09 01 00 B9 28 00 80 D2 E8 1F 00 F9 E8 77 40 F9 EA 03 28 AA E9 03 40 B9 E8 43 40 B9 28 01 08 4B 09 7D 40 93 E8 1F 40 F9 08 21 C9 9A 08 05 00 D1 48 01 08 8A E8 1F 00 F9 09 04 E0 D2 E8 1F 40 F9 1F 01 09 EB A2 02 00 54 E8 33 40 B9 08 05 00 11 E8 33 00 B9 E8 03 40 B9 09 7D 40 93 E8 1F 40 F9 0A 21 C9 9A E8 33 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 83 03 91 08 01 09 8B 08 01 40 F9 E9 03 28 AA E8 17 40 F9 28 01 08 8A 48 01 08 AA E8 1F 00 F9 E9 FF FF 17 E8 33 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 83 03 91 08 01 09 8B 08 01 40 F9 EA 03 28 AA 09 08 80 52 E8 03 40 B9 28 01 08 4B 08 7D 40 93 48 21 C8 9A E8 2F 00 F9 34 00 00 14 E8 4B 40 B9 09 7D 01 13 E8 43 40 F9 09 01 00 B9 28 00 80 D2 E8 1F 00 F9 E9 03 40 B9 E8 43 40 B9 28 01 08 4B 09 7D 40 93 E8 1F 40 F9 08 21 C9 9A 09 05 00 D1 E8 77 40 F9 08 01 09 8A E8 1F 00 F9 09 04 E0 D2 E8 1F 40 F9 1F 01 09 EB 42 02 00 54 E8 33 40 B9 08 05 00 11 E8 33 00 B9 E8 03 40 B9 09 7D 40 93 E8 1F 40 F9 0A 21 C9 9A E8 33 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 83 03 91 08 01 09 8B 08 01 40 F9 48 01 08 AA E8 1F 00 F9 EC FF FF 17 E8 33 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 83 03 91 0A 01 09 8B 09 08 80 52 E8 03 40 B9 28 01 08 4B 09 7D 40 93 48 01 40 F9 08 21 C9 9A E8 2F 00 F9 E8 43 40 B9 0A D1 00 11 E9 33 40 B9 E8 03 40 B9 28 7D 08 1B 48 01 08 4B E8 47 00 B9 09 04 E0 D2 E8 1F 40 F9 1F 01 09 EB E3 01 00 54 E8 47 40 B9 08 05 00 11 E8 47 00 B9 E8 2F 40 F9 09 FD 41 D3 E8 1F 40 F9 08 01 40 92 08 01 41 D3 28 01 08 AA E8 2F 00 F9 E8 1F 40 F9 08 FD 41 D3 E8 1F 00 F9 EF FF FF 17 E8 47 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 07 00 F9 E8 1F 40 F9 09 CD 40 92 E8 07 40 F9 28 01 08 AA E8 13 00 F9 E8 4F 40 B9 1F 01 00 71 80 00 00 54 E8 13 40 F9 08 01 41 B2 E8 13 00 F9 E8 13 40 F9 E8 57 00 F9 F0 57 40 FD F0 33 00 FD E8 2F 40 F9 08 FD 4C D3 E8 2F 00 F9 E8 47 40 B9 08 7D 40 93 08 FD 0F 91 08 D5 00 D1 08 2D 4C D3 E8 07 00 F9 E8 07 40 F9 E8 5B 00 F9 F0 5B 40 FD F0 63 00 FD E9 07 40 F9 E8 2F 40 F9 28 01 08 AA E8 07 00 F9 E8 07 40 F9 E8 5F 00 F9 F0 5F 40 FD F0 2B 00 FD F1 2B 40 FD F0 63 40 FD 30 3A 70 1E F0 2B 00 FD E8 4F 40 B9 1F 01 00 71 C0 00 00 54 F1 2B 40 FD 10 10 70 1E 30 0A 70 1E F0 2B 00 FD 05 00 00 14 F1 2B 40 FD 10 10 60 1E 30 0A 70 1E F0 2B 00 FD F0 33 40 FD F0 67 00 FD E8 67 40 F9 E8 13 00 F9 E8 13 40 F9 08 91 65 92 E8 13 00 F9 E8 13 40 F9 E8 6B 00 F9 F0 6B 40 FD F0 3B 00 FD F1 33 40 FD F0 3B 40 FD 30 3A 70 1E F0 47 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 33 40 FD 30 0A 70 1E F0 3F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 31 0A 70 1E F0 3F 40 FD 32 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 47 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 47 40 FD 30 0A 70 1E 53 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 33 40 FD 30 0A 70 1E 50 2A 70 1E 70 2A 70 1E F0 4F 00 FD F1 3F 40 FD F0 4F 40 FD 30 2A 70 1E E8 4B 40 F9 10 01 00 FD F1 3F 40 FD E8 4B 40 F9 10 01 40 FD 31 3A 70 1E F0 4F 40 FD 30 2A 70 1E E8 6F 40 F9 10 01 00 FD 0F 21 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_174_4_0 {
	meta:
		name = "_chvalidator"
		size = 136
		refs = "0028 ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004c _CrtDbgReportW 0074 _chvalidator_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 B9 E8 13 40 B9 1F 05 00 31 8B 00 00 54 E8 13 40 B9 1F FD 03 71 2D 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E2 1B 40 B9 E1 13 40 B9 00 00 80 D2 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_174_5_0 {
	meta:
		name = "_chvalidator_l"
		size = 272
		refs = "002c ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0050 _CrtDbgReportW 0074 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b4 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0100 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 23 00 B9 E8 13 40 B9 1F 05 00 31 8B 00 00 54 E8 13 40 B9 1F FD 03 71 2D 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 17 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 1F 00 F9 E8 13 40 B9 1F 05 00 31 EB 00 00 54 E8 13 40 B9 1F FD 03 71 8C 00 00 54 E8 13 40 B9 E8 17 00 B9 03 00 00 14 08 00 80 12 E8 17 00 B9 E8 17 40 B9 E8 1F 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 01 00 91 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 01 40 79 29 01 00 11 E8 23 40 B9 28 01 08 0A E8 27 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 27 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_174_6_0 {
	meta:
		name = "_isctype"
		size = 128
		refs = "0010 __acrt_locale_changed 0038 __acrt_initial_locale_data 006c _isctype_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 1B 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 79 29 01 00 11 E8 17 40 B9 20 01 08 0A 00 00 00 11 08 00 00 14 07 00 00 14 02 00 80 D2 E1 17 40 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_174_7_0 {
	meta:
		name = "_isctype_l"
		size = 484
		refs = "0008 __security_push_cookie 0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0094 ??1_LocaleUpdate@@QEAA@XZ 00c8 _isleadbyte_l 0188 __acrt_GetStringTypeA 01d8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 02 D1 E0 07 00 B9 E1 0F 00 B9 E2 17 00 F9 E1 17 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 3B 00 F9 E8 07 40 B9 1F 05 00 31 6B 03 00 54 E8 07 40 B9 1F FD 03 71 0C 03 00 54 E0 43 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 01 00 91 E8 07 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 01 40 79 29 01 00 11 E8 0F 40 B9 28 01 08 0A E8 13 00 B9 E0 43 01 91 ?? ?? ?? ?? E0 13 40 B9 4E 00 00 14 68 00 80 D2 E8 3F 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 1F 00 F9 E8 07 40 B9 08 7D 08 13 00 1D 00 12 E1 1F 40 F9 00 00 00 11 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 C0 01 00 54 E8 07 40 B9 08 7D 08 13 08 1D 00 12 08 1D 00 13 E8 03 00 39 E8 07 40 B9 08 1D 00 13 E8 07 00 39 08 00 80 52 E8 0B 00 39 48 00 80 52 E8 0B 00 B9 08 00 00 14 E8 07 40 B9 08 1D 00 13 E8 03 00 39 08 00 80 52 E8 07 00 39 28 00 80 52 E8 0B 00 B9 E9 03 02 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 E0 43 01 91 ?? ?? ?? ?? E0 23 00 F9 E0 43 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 26 00 80 52 05 01 40 B9 E4 03 02 91 E3 0B 40 B9 E2 03 00 91 21 00 80 52 E0 27 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 1F 00 B9 E0 43 01 91 ?? ?? ?? ?? E0 1F 40 B9 09 00 00 14 E9 03 41 79 29 01 00 11 E8 0F 40 B9 28 01 08 0A E8 23 00 B9 E0 43 01 91 ?? ?? ?? ?? E0 23 40 B9 FF 03 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPEADH@Z"
		size = 328
		refs = "000c __acrt_getptd_noexit 002c ?get_failure_string@@YAPEADD@Z 0044 ?get_ptd_buffer@@YAAEAPEADQEAU__acrt_ptd@@D@Z 0068 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 007c _calloc_dbg 008c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00a0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 00b8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 00ec _get_sys_err_msg 0108 ?copy_string_into_buffer@@YAHQEBDQEAD_K2@Z 0118 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0120 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0128 ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 0134 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 42 00 00 14 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 E4 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 C0 10 80 D2 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E9 0B 40 F9 E8 2F 40 F9 28 01 00 F9 E0 83 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 19 00 00 14 E8 1B 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 A3 10 80 D2 C2 10 80 D2 E8 0B 40 F9 01 01 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 05 00 80 D2 84 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 40 B9 ?? ?? ?? ?? E8 0B 40 F9 00 01 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPEA_WH@Z"
		size = 328
		refs = "000c __acrt_getptd_noexit 002c ?get_failure_string@@YAPEA_W_W@Z 0044 ?get_ptd_buffer@@YAAEAPEA_WQEAU__acrt_ptd@@_W@Z 0068 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 007c _calloc_dbg 008c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00a0 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 00b8 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 00ec _get_sys_err_msg 0108 ?copy_string_into_buffer@@YAHQEBDQEA_W_K2@Z 0118 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0120 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0128 ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 0134 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 42 00 00 14 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 E4 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 C0 10 80 D2 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E9 0B 40 F9 E8 2F 40 F9 28 01 00 F9 E0 83 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 C1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 19 00 00 14 E8 1B 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 A3 10 80 D2 C2 10 80 D2 E8 0B 40 F9 01 01 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 05 00 80 D2 84 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 40 B9 ?? ?? ?? ?? E8 0B 40 F9 00 01 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQEAD_KH@Z"
		size = 552
		refs = "0048 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a0 _get_sys_err_msg 01b8 ?copy_string_into_buffer@@YAHQEBDQEAD_K2@Z 01d8 ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 01ec _invoke_watson_if_oneof"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 33 00 B9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 54 00 00 14 E8 23 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 24 00 00 14 E8 33 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 03 00 80 92 E2 23 40 F9 E1 27 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 37 00 B9 07 00 80 D2 A6 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 37 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 23 00 B9 E8 23 40 B9 1F 41 01 71 81 00 00 54 08 00 80 52 E8 27 00 B9 03 00 00 14 E8 23 40 B9 E8 27 00 B9 E0 27 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQEA_W_KH@Z"
		size = 552
		refs = "0048 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a0 _get_sys_err_msg 01b8 ?copy_string_into_buffer@@YAHQEBDQEA_W_K2@Z 01d8 ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 01ec _invoke_watson_if_oneof"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 33 00 B9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 54 00 00 14 E8 23 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 24 00 00 14 E8 33 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 03 00 80 92 E2 23 40 F9 E1 27 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 37 00 B9 07 00 80 D2 A6 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 37 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 23 00 B9 E8 23 40 B9 1F 41 01 71 81 00 00 54 08 00 80 52 E8 27 00 B9 03 00 00 14 E8 23 40 B9 E8 27 00 B9 E0 27 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_10_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQEBDQEAD_K2@Z"
		size = 60
		refs = "0028 strncpy_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_11_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQEBDQEA_W_K2@Z"
		size = 64
		refs = "002c mbstowcs_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_16_0 {
	meta:
		name = "?get_ptd_buffer@@YAAEAPEADQEAU__acrt_ptd@@D@Z"
		size = 32
		altNames = "?get_strerror_buffer@@YAAEAPEADQEAU__acrt_ptd@@D@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 39 E8 07 40 F9 00 E1 01 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_17_0 {
	meta:
		name = "?get_ptd_buffer@@YAAEAPEA_WQEAU__acrt_ptd@@_W@Z"
		size = 32
		altNames = "?get_strerror_buffer@@YAAEAPEA_WQEAU__acrt_ptd@@_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 E8 07 40 F9 00 01 02 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_20_0 {
	meta:
		name = "_get_sys_err_msg"
		size = 136
		refs = "000c __sys_nerr 002c __sys_errlist"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 08 01 40 B9 09 7D 40 93 E8 0B 40 F9 1F 01 09 EB C3 01 00 54 ?? ?? ?? ?? E0 17 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 01 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 00 01 40 F9 09 00 00 14 ?? ?? ?? ?? E0 1B 00 F9 E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 00 01 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_23_0 {
	meta:
		name = "_wcserror"
		size = 36
		refs = "0010 ??$common_strerror@_W@@YAPEA_WH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_9_0 {
	meta:
		name = "_filelengthi64"
		size = 36
		refs = "0010 ??$common_filelength@_J@@YA_JH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_25_0 {
	meta:
		name = "strerror"
		size = 36
		refs = "0010 ??$common_strerror@D@@YAPEADH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_24_0 {
	meta:
		name = "_wcserror_s"
		size = 52
		refs = "0020 ??$common_strerror_s@_W@@YAHQEA_W_KH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_8_0 {
	meta:
		name = "__acrt_show_narrow_message_box"
		size = 52
		refs = "0020 ??$common_show_message_box@D@@YAHQEBD0I@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_9_0 {
	meta:
		name = "__acrt_show_wide_message_box"
		size = 52
		refs = "0020 ??$common_show_message_box@_W@@YAHQEB_W0I@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_175_26_0 {
	meta:
		name = "strerror_s"
		size = 52
		refs = "0020 ??$common_strerror_s@D@@YAHQEAD_KH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "ceil"
		size = 404
		refs = "007c _handle_nan"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 FD F0 1B 40 FD F0 2B 00 FD E8 2B 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 F9 40 92 E8 13 00 F9 E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 E8 23 00 F9 09 68 E8 D2 E8 13 40 F9 1F 01 09 EB C3 01 00 54 09 FE EF D2 E8 13 40 F9 1F 01 09 EB E9 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD 41 00 00 14 03 00 00 14 E0 1B 40 FD 3E 00 00 14 3D 00 00 14 09 FE E7 D2 E8 13 40 F9 1F 01 09 EB 82 02 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 1B 40 FD 34 00 00 14 0D 00 00 14 E8 23 40 F9 1F 01 00 F1 00 01 00 54 08 00 F0 D2 E8 33 00 F9 F0 33 40 FD F0 17 00 FD E0 17 40 FD 2A 00 00 14 03 00 00 14 00 10 6E 1E 27 00 00 14 26 00 00 14 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 E8 37 00 F9 28 00 80 D2 E8 1F 00 F9 89 06 80 D2 E8 37 40 F9 29 01 08 CB E8 1F 40 F9 08 21 C9 9A 08 05 00 D1 E8 1F 00 F9 E8 1F 40 F9 E9 03 28 AA E8 0B 40 F9 08 01 09 8A E8 27 00 F9 E8 27 40 F9 E8 3B 00 F9 F0 3B 40 FD F0 17 00 FD E8 23 40 F9 1F 01 00 F1 A1 00 00 54 E9 0B 40 F9 E8 27 40 F9 1F 01 09 EB 81 00 00 54 E0 17 40 FD 06 00 00 14 05 00 00 14 F1 17 40 FD 10 10 6E 1E 20 2A 70 1E 00 40 60 1E FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_3_0 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ"
		size = 36
		refs = "0018 _freea_crt"
		altNames = "??1?$__crt_scoped_stack_ptr@D@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_7_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPEA_W_KPEAU__crt_locale_pointers@@@Z"
		size = 1884
		refs = "0048 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CC@EJPJEJKL@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00c8 _invalid_parameter 00dc wcsnlen 0134 _CrtGetDebugFillThreshold 0190 memset 0194 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01d8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03d8 __acrt_LCMapStringW 04c8 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 050c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05ac _MallocaComputeSize 05e0 ??_C@_0DB@NINDGFFI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 05f0 _malloc_dbg 0600 _MarkAllocaS 0624 ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 0638 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 064c ??B?$__crt_scoped_stack_ptr@_W@@QEBA_NXZ 0690 ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 06a0 ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 06fc wcscpy_s"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 43 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A1 01 00 14 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 2B 00 F9 E9 0B 40 F9 E8 2B 40 F9 1F 01 09 EB 63 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E9 4B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 3D 01 00 14 E8 0B 40 F9 1F 05 00 B1 40 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 04 00 54 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 22 04 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 06 00 00 14 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 2B 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 04 00 54 E8 13 40 F9 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 02 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 CB 01 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 2C 01 00 54 E8 17 40 F9 09 01 40 79 29 01 00 11 08 FC 9F 52 28 01 08 4B 09 3D 00 53 E8 17 40 F9 09 01 00 79 E6 FF FF 17 00 00 80 52 EA 00 00 14 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 05 00 80 52 04 00 80 D2 03 00 80 12 E2 13 40 F9 01 20 80 52 00 01 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 05 80 52 28 01 00 B9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 00 01 40 B9 CF 00 00 14 E8 1F 40 B9 09 7D 40 93 E8 0B 40 F9 1F 01 09 EB 62 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 E8 57 00 F9 E8 0B 40 F9 09 05 00 D1 E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 03 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 70 00 00 14 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 1F 01 00 F1 C0 02 00 54 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 8B 00 F9 83 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 8B 40 F9 ?? ?? ?? ?? E0 8F 00 F9 A1 BB 9B 52 E0 8F 40 F9 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 5F 00 F9 03 00 00 14 08 00 80 D2 E8 5F 00 F9 E1 5F 40 F9 E0 83 05 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 01 01 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 E8 B7 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 9F 00 F9 E9 9F 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 08 01 40 B9 E8 6B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 6B 40 B9 2F 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 A7 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 E5 1F 40 B9 E4 A7 40 F9 03 00 80 12 E2 13 40 F9 01 20 80 52 00 01 40 F9 ?? ?? ?? ?? E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 00 02 00 54 E0 C3 00 91 ?? ?? ?? ?? E0 AB 00 F9 E2 AB 40 F9 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 77 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 77 40 B9 0F 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 AF 00 F9 E9 AF 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 7B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 40 B9 03 00 00 14 E0 C3 00 91 ?? ?? ?? ?? FD 7B D7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_9_0 {
	meta:
		name = "_MallocaComputeSize"
		size = 68
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E8 03 40 F9 08 41 00 91 E8 07 00 F9 E9 03 40 F9 E8 07 40 F9 1F 01 09 EB 89 00 00 54 E8 07 40 F9 E8 0B 00 F9 03 00 00 14 08 00 80 D2 E8 0B 00 F9 E0 0B 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_10_0 {
	meta:
		name = "_MarkAllocaS"
		size = 60
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E9 07 40 F9 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 08 41 00 91 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_12_0 {
	meta:
		name = "_freea_crt"
		size = 180
		refs = "0048 _free_dbg 006c ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 0090 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 04 00 54 E8 0F 40 F9 08 41 00 D1 E8 0F 00 F9 E8 0F 40 F9 08 01 40 B9 E8 13 00 B9 A9 BB 9B 52 E8 13 40 B9 1F 01 09 6B A1 00 00 54 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 18 00 00 14 89 99 99 52 E8 13 40 B9 1F 01 09 6B 80 02 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_13_0 {
	meta:
		name = "_wcslwr"
		size = 388
		refs = "000c __acrt_locale_changed 0058 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BA@MILCGCII@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?$AA@ 00d8 _invalid_parameter 016c _wcslwr_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 0A 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 27 00 00 14 E8 17 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 02 00 54 E8 13 40 F9 09 01 40 79 29 01 00 11 28 08 80 52 1F 01 09 6B AC 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 81 00 11 09 3D 00 53 E8 13 40 F9 09 01 00 79 E6 FF FF 17 07 00 00 14 02 00 80 D2 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 02 00 00 14 E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_14_0 {
	meta:
		name = "_wcslwr_l"
		size = 44
		refs = "001c _wcslwr_s_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 0F 40 F9 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_440_14_0 {
	meta:
		name = "_strlwr_l"
		size = 44
		refs = "001c _strlwr_s_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 0F 40 F9 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_272_14_0 {
	meta:
		name = "_strupr_l"
		size = 44
		refs = "001c _strupr_s_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 0F 40 F9 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_499_13_0 {
	meta:
		name = "_wcsupr_l"
		size = 44
		refs = "001c _wcsupr_s_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 0F 40 F9 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_177_16_0 {
	meta:
		name = "_wcslwr_s_l"
		size = 96
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 003c ?_wcslwr_s_l_stat@@YAHPEA_W_KPEAU__crt_locale_pointers@@@Z 0050 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_440_16_0 {
	meta:
		name = "_strlwr_s_l"
		size = 96
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 003c ?_strlwr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z 0050 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_272_16_0 {
	meta:
		name = "_strupr_s_l"
		size = 96
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 003c ?_strupr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z 0050 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_499_15_0 {
	meta:
		name = "_wcsupr_s_l"
		size = 96
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 003c ?_wcsupr_s_l_stat@@YAHQEA_W_KQEAU__crt_locale_pointers@@@Z 0050 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E0 03 01 91 ?? ?? ?? ?? E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "_getdiskfree"
		size = 388
		refs = "000c __security_push_cookie 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1GK@PCMJMNFF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0060 ??_C@_1BK@HDMOFHIE@?$AA_?$AAg?$AAe?$AAt?$AAd?$AAi?$AAs?$AAk?$AAf?$AAr?$AAe?$AAe?$AA?$AA@ 0070 _invalid_parameter 0088 ??_C@_1CG@BPIFNLOB@?$AAd?$AAr?$AAi?$AAv?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0118 __imp_GetDiskFreeSpaceW 0140 __imp_GetLastError 0154 __acrt_errno_from_os_error 0174 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 41 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? E0 0A 80 52 3E 00 00 14 1F 68 00 71 89 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 03 80 52 ?? ?? ?? ?? E5 FF FF 17 E8 03 00 91 FF 2F 00 79 E9 03 00 91 1F 7D 00 A9 28 25 40 A9 EA 0B 80 52 1F 00 00 71 EA 23 00 79 28 24 00 A9 48 07 80 52 E8 27 00 79 89 0B 80 52 E8 43 00 91 E9 2B 00 79 EA 03 88 9A 60 00 00 34 08 00 01 11 E8 23 00 79 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 24 00 00 91 23 10 00 91 22 30 00 91 21 20 00 91 40 01 00 91 20 01 3F D6 80 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 14 00 00 11 ?? ?? ?? ?? 13 00 00 11 ?? ?? ?? ?? 13 00 00 B9 80 02 00 11 02 00 00 14 00 00 80 52 FF 43 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_5_0 {
	meta:
		name = "?_set_new_handler@@YAP6AH_K@ZH@Z"
		size = 160
		refs = "0018 ??_C@_1CC@LLFJPCJO@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GI@GALDAPMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 003c _CrtDbgReportW 005c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0080 ??$?B$$A6AH_K@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AH_K@ZXZ 008c _set_new_handler"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 ?? ?? ?? ?? E0 43 00 39 E9 47 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 47 00 91 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_7_0 {
	meta:
		name = "?initialize@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAXQ6AH_K@Z@Z"
		size = 84
		altNames = "?initialize@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAXQ6AHPEAU_exception@@@Z@Z ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAXQ6AXH@Z@Z ?initialize@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAXQEAU__crt_locale_data@@@Z ?initialize@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAXQEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E8 07 40 F9 08 01 00 91 E8 03 00 F9 04 00 00 14 E8 03 40 F9 08 21 00 91 E8 03 00 F9 E8 07 40 F9 09 21 00 91 E8 03 40 F9 1F 01 09 EB A0 00 00 54 E9 03 40 F9 E8 0B 40 F9 28 01 00 F9 F5 FF FF 17 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_10_0 {
	meta:
		name = "_callnewh"
		size = 112
		refs = "000c _query_new_handler 0034 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_11_0 {
	meta:
		name = "_query_new_handler"
		size = 88
		refs = "0014 __acrt_lock 0018 ?__acrt_new_handler@@3V?$dual_state_global@P6AH_K@Z@__crt_state_management@@A 0020 ?value@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAAEAP6AH_K@ZXZ 0030 ??$__crt_fast_decode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z 0044 __acrt_unlock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 08 00 80 D2 A8 0B 00 F9 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 0F 00 F9 A8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 13 00 F9 A8 13 40 F9 A8 0B 00 F9 00 00 80 52 ?? ?? ?? ?? A0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_179_12_0 {
	meta:
		name = "_query_new_handler$fin$0"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "?fin$0@?0??heap_alloc_dbg_internal@@YAPEAX_KHQEBDH@Z@4HA _CrtCheckMemory$fin$0 _CrtDoForAllClientObjects$fin$0 _CrtIsMemoryBlock$fin$0 _CrtMemCheckpoint$fin$0 _CrtMemDumpAllObjectsSince$fin$0 _CrtSetDbgBlockType$fin$0 _CrtSetDbgFlag$fin$0 _expand_dbg$fin$0 _free_dbg$fin$0 _msize_dbg$fin$0 _realloc_dbg$fin$0 _set_new_handler$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 00 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_179_13_0 {
	meta:
		name = "_set_new_handler"
		size = 128
		refs = "0018 __acrt_lock 001c ?__acrt_new_handler@@3V?$dual_state_global@P6AH_K@Z@__crt_state_management@@A 0024 ?value@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAAEAP6AH_K@ZXZ 0034 ??$__crt_fast_decode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z 0048 ??$__crt_fast_encode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z 0070 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 17 00 F9 08 00 80 D2 A8 0B 00 F9 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 0F 00 F9 A8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 13 00 F9 A8 13 40 F9 A8 0B 00 F9 A0 17 40 F9 ?? ?? ?? ?? A0 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 A8 1F 40 F9 28 01 00 F9 00 00 80 52 ?? ?? ?? ?? A0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "cacos"
		size = 1256
		refs = "0018 creal 0030 cimag 0044 _dtest 0100 _Inf_C 0120 piby2 0178 pi3by4 0188 piby4 01a4 pi 0230 _Cbuild 0244 csqrt 0324 conj 0348 atan2 0364 big 0454 asinh 0484 log"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 43 00 FD E1 47 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 73 00 FD F0 73 40 FD F0 1B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 77 00 FD F0 77 40 FD F0 17 00 FD E0 C3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 A3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 1B 40 FD F0 13 00 FD F0 17 40 FD F0 0F 00 FD 0F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 1B 40 FD F0 13 00 FD F0 17 40 FD 10 42 61 1E F0 0F 00 FD 05 00 00 14 F0 1B 40 FD F0 13 00 FD F0 1B 40 FD F0 0F 00 FD FA 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 17 40 FD F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 0F 00 00 14 E8 27 C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD F0 17 40 FD F0 0F 00 FD 05 00 00 14 F0 17 40 FD F0 13 00 FD F0 17 40 FD F0 0F 00 FD DD 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 0A 00 00 14 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 03 00 00 14 70 19 00 5C F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 0F 00 FD E8 5F 40 79 08 01 00 11 88 00 78 36 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD B6 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD F0 17 40 FD 10 42 61 1E F0 0F 00 FD AB 00 00 14 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 1B 40 FD 20 2A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E1 83 40 FD E0 7F 40 FD ?? ?? ?? ?? E1 A3 00 FD E0 9F 00 FD EA C3 01 91 4A 01 00 91 E8 E3 04 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 1B 40 FD 20 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E1 8B 40 FD E0 87 40 FD ?? ?? ?? ?? E1 AB 00 FD E0 A7 00 FD EA 43 02 91 4A 01 00 91 E8 23 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 2B 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 53 00 FD F0 53 40 FD F0 27 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD F0 33 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 2F 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E1 93 40 FD E0 8F 40 FD ?? ?? ?? ?? E0 5F 00 FD E1 5F 40 FD E0 2F 40 FD ?? ?? ?? ?? E0 63 00 FD 11 10 60 1E F0 63 40 FD 30 0A 70 1E F0 13 00 FD F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2B 40 FD F0 1F 00 FD F1 2F 40 FD F0 1F 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 10 2A 71 1E F0 37 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 30 2A 70 1E F0 37 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 30 2A 70 1E F0 37 00 FD 0B 00 00 14 D0 05 00 5C F0 1F 00 FD F1 2B 40 FD F0 33 40 FD 32 0A 70 1E F1 27 40 FD F0 2F 40 FD 30 0A 70 1E 50 2A 70 1E F0 37 00 FD E0 37 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 0F 00 FD F0 1F 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 13 40 FD 08 22 60 1E 2B 01 00 54 E0 1F 40 FD ?? ?? ?? ?? E0 6B 00 FD F1 0F 40 FD F0 6B 40 FD 30 2A 70 1E F0 0F 00 FD 08 00 00 14 E0 1F 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 0F 40 FD F0 6F 40 FD 30 3A 70 1E F0 0F 00 FD E1 0F 40 FD E0 13 40 FD ?? ?? ?? ?? E1 9B 00 FD E0 97 00 FD E0 97 40 FD E1 9B 40 FD FD 7B D6 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_519_1_0 {
	meta:
		name = "cacosl"
		size = 1256
		refs = "0018 creall 0030 cimagl 0044 _ldtest 0100 _LInf_C 0120 piby2 0178 pi3by4 0188 piby4 01a4 pi 0230 _LCbuild 0244 csqrtl 0324 conjl 0348 atan2l 0364 big 0454 asinhl 0484 logl"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 43 00 FD E1 47 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 73 00 FD F0 73 40 FD F0 1B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 77 00 FD F0 77 40 FD F0 17 00 FD E0 C3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 A3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 1B 40 FD F0 13 00 FD F0 17 40 FD F0 0F 00 FD 0F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 1B 40 FD F0 13 00 FD F0 17 40 FD 10 42 61 1E F0 0F 00 FD 05 00 00 14 F0 1B 40 FD F0 13 00 FD F0 1B 40 FD F0 0F 00 FD FA 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 F0 17 40 FD F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 00 FD 0F 00 00 14 E8 27 C0 79 08 01 00 11 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD F0 17 40 FD F0 0F 00 FD 05 00 00 14 F0 17 40 FD F0 13 00 FD F0 17 40 FD F0 0F 00 FD DD 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 0A 00 00 14 F0 1B 40 FD 08 22 60 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD 03 00 00 14 70 19 00 5C F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 0F 00 FD E8 5F 40 79 08 01 00 11 88 00 78 36 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD B6 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 FD F0 17 40 FD 10 42 61 1E F0 0F 00 FD AB 00 00 14 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 1B 40 FD 20 2A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E1 83 40 FD E0 7F 40 FD ?? ?? ?? ?? E1 A3 00 FD E0 9F 00 FD EA C3 01 91 4A 01 00 91 E8 E3 04 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 1B 40 FD 20 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E1 8B 40 FD E0 87 40 FD ?? ?? ?? ?? E1 AB 00 FD E0 A7 00 FD EA 43 02 91 4A 01 00 91 E8 23 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 2B 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 53 00 FD F0 53 40 FD F0 27 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD F0 33 00 FD E1 4F 40 FD E0 4B 40 FD ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 2F 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E1 93 40 FD E0 8F 40 FD ?? ?? ?? ?? E0 5F 00 FD E1 5F 40 FD E0 2F 40 FD ?? ?? ?? ?? E0 63 00 FD 11 10 60 1E F0 63 40 FD 30 0A 70 1E F0 13 00 FD F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2B 40 FD F0 1F 00 FD F1 2F 40 FD F0 1F 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 10 2A 71 1E F0 37 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 30 2A 70 1E F0 37 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1F 00 FD F1 33 40 FD F0 1F 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 30 2A 70 1E F0 37 00 FD 0B 00 00 14 D0 05 00 5C F0 1F 00 FD F1 2B 40 FD F0 33 40 FD 32 0A 70 1E F1 27 40 FD F0 2F 40 FD 30 0A 70 1E 50 2A 70 1E F0 37 00 FD E0 37 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 0F 00 FD F0 1F 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 13 40 FD 08 22 60 1E 2B 01 00 54 E0 1F 40 FD ?? ?? ?? ?? E0 6B 00 FD F1 0F 40 FD F0 6B 40 FD 30 2A 70 1E F0 0F 00 FD 08 00 00 14 E0 1F 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 0F 40 FD F0 6F 40 FD 30 3A 70 1E F0 0F 00 FD E1 0F 40 FD E0 13 40 FD ?? ?? ?? ?? E1 9B 00 FD E0 97 00 FD E0 97 40 FD E1 9B 40 FD FD 7B D6 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "__acrt_errno_from_os_error"
		size = 224
		refs = "0040 ?errtable@@3QBUerrentry@?A0x31fdb9ec@@B"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 08 7D 40 D3 1F B1 00 F1 02 03 00 54 E8 03 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 09 01 40 B9 E8 07 40 B9 1F 01 09 6B 61 01 00 54 E8 03 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 11 00 91 00 01 40 B9 15 00 00 14 E3 FF FF 17 E8 07 40 B9 1F 4D 00 71 E3 00 00 54 E8 07 40 B9 1F 91 00 71 88 00 00 54 A0 01 80 52 0C 00 00 14 0B 00 00 14 E8 07 40 B9 1F F1 02 71 E3 00 00 54 E8 07 40 B9 1F 29 03 71 88 00 00 54 00 01 80 52 03 00 00 14 02 00 00 14 C0 02 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_1_0 {
	meta:
		name = "__acrt_errno_map_os_error"
		size = 72
		refs = "000c __doserrno 0024 __acrt_errno_from_os_error 002c _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 E8 13 40 B9 28 01 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 E8 17 40 B9 28 01 00 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_2_0 {
	meta:
		name = "__doserrno"
		size = 68
		refs = "0008 __acrt_getptd_noexit 0024 ?doserrno_no_memory@@3KA"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 00 14 E8 0B 40 F9 00 91 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_3_0 {
	meta:
		name = "_errno"
		size = 68
		refs = "0008 __acrt_getptd_noexit 0024 ?errno_no_memory@@3HA"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_4_0 {
	meta:
		name = "_get_doserrno"
		size = 220
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0064 _CrtDbgReportW 009c ??_C@_1BM@INIPHHDD@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAo?$AAs?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 00ac _invalid_parameter 00b8 __doserrno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 A3 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 08 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E9 13 40 F9 E8 17 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_5_0 {
	meta:
		name = "_get_errno"
		size = 220
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0064 _CrtDbgReportW 009c ??_C@_1BG@KCMPBBDK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 00ac _invalid_parameter 00b8 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 E3 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 08 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E9 13 40 F9 E8 17 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_6_0 {
	meta:
		name = "_set_doserrno"
		size = 80
		refs = "000c __acrt_getptd_noexit 0030 __doserrno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 07 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 E8 13 40 B9 28 01 00 B9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_181_7_0 {
	meta:
		name = "_set_errno"
		size = 80
		refs = "000c __acrt_getptd_noexit 0030 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 07 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 E8 13 40 B9 28 01 00 B9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "imaxabs"
		size = 56
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 1F 01 00 F1 AA 00 00 54 E8 03 40 F9 E8 03 08 CB E8 07 00 F9 03 00 00 14 E8 03 40 F9 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "nexttoward"
		size = 876
		refs = "001c _dtest 0044 _ldtest 0260 _fperrraise"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 FD E1 1F 00 FD E8 A3 00 91 E8 0B 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 33 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 41 00 00 54 C0 00 00 14 E0 E3 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 08 01 00 11 1F 09 00 71 A0 00 00 54 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 81 00 00 54 F0 1F 40 FD F0 17 00 FD B2 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 01 03 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 09 01 11 12 E8 FD 8F 52 2A 01 08 2A E8 0B 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E8 0B 40 F9 09 11 00 91 E8 FF 9F 52 28 01 00 79 E8 0B 40 F9 09 09 00 91 E8 FF 9F 52 28 01 00 79 E9 0B 40 F9 E8 FF 9F 52 28 01 00 79 97 00 00 14 E8 33 C0 79 08 01 00 11 1F 01 00 71 61 02 00 54 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 82 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 08 00 90 52 E8 43 00 B9 E8 0B 40 F9 09 19 00 91 E8 43 40 B9 08 3D 00 53 28 01 00 79 E9 0B 40 F9 28 00 80 52 28 01 00 79 81 00 00 14 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 82 00 00 54 F0 17 40 FD 08 22 60 1E 0C 01 00 54 F1 17 40 FD F0 1F 40 FD 00 22 71 1E 22 08 00 54 F0 17 40 FD 08 22 60 1E C2 07 00 54 E8 0B 40 F9 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 21 06 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 37 00 79 E8 0B 40 F9 09 09 00 91 E8 37 40 79 28 01 00 79 E8 37 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 41 04 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 3B 00 79 E8 0B 40 F9 09 11 00 91 E8 3B 40 79 28 01 00 79 E8 3B 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 61 02 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 3F 00 79 E8 0B 40 F9 09 19 00 91 E8 3F 40 79 28 01 00 79 E8 3F 40 79 08 01 00 11 09 79 10 12 08 FE 8F 52 3F 01 08 6B 61 00 00 54 00 01 80 52 ?? ?? ?? ?? 36 00 00 14 E8 0B 40 F9 08 01 40 79 08 05 00 51 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 01 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 05 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 05 00 51 08 3D 00 53 E8 43 00 79 E8 0B 40 F9 09 09 00 91 E8 43 40 79 28 01 00 79 E8 43 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 03 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 79 08 05 00 51 08 3D 00 53 E8 47 00 79 E8 0B 40 F9 09 11 00 91 E8 47 40 79 28 01 00 79 E8 47 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 01 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 05 00 51 09 3D 00 53 E8 0B 40 F9 08 19 00 91 09 01 00 79 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 1F 01 00 71 61 00 00 54 00 02 80 52 ?? ?? ?? ?? E0 17 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "nexttowardl"
		size = 876
		refs = "001c _ldtest 0260 _fperrraise"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 FD E1 1F 00 FD E8 A3 00 91 E8 0B 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 33 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 41 00 00 54 C0 00 00 14 E0 E3 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 08 01 00 11 1F 09 00 71 A0 00 00 54 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 81 00 00 54 F0 1F 40 FD F0 17 00 FD B2 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 01 03 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 09 01 11 12 E8 FD 8F 52 2A 01 08 2A E8 0B 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E8 0B 40 F9 09 11 00 91 E8 FF 9F 52 28 01 00 79 E8 0B 40 F9 09 09 00 91 E8 FF 9F 52 28 01 00 79 E9 0B 40 F9 E8 FF 9F 52 28 01 00 79 97 00 00 14 E8 33 C0 79 08 01 00 11 1F 01 00 71 61 02 00 54 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 82 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 08 00 90 52 E8 43 00 B9 E8 0B 40 F9 09 19 00 91 E8 43 40 B9 08 3D 00 53 28 01 00 79 E9 0B 40 F9 28 00 80 52 28 01 00 79 81 00 00 14 F1 1F 40 FD F0 17 40 FD 00 22 71 1E 82 00 00 54 F0 17 40 FD 08 22 60 1E 0C 01 00 54 F1 17 40 FD F0 1F 40 FD 00 22 71 1E 22 08 00 54 F0 17 40 FD 08 22 60 1E C2 07 00 54 E8 0B 40 F9 08 01 40 79 08 05 00 11 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 21 06 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 37 00 79 E8 0B 40 F9 09 09 00 91 E8 37 40 79 28 01 00 79 E8 37 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 41 04 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 3B 00 79 E8 0B 40 F9 09 11 00 91 E8 3B 40 79 28 01 00 79 E8 3B 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 61 02 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 3F 00 79 E8 0B 40 F9 09 19 00 91 E8 3F 40 79 28 01 00 79 E8 3F 40 79 08 01 00 11 09 79 10 12 08 FE 8F 52 3F 01 08 6B 61 00 00 54 00 01 80 52 ?? ?? ?? ?? 36 00 00 14 E8 0B 40 F9 08 01 40 79 08 05 00 51 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 01 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 05 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 05 00 51 08 3D 00 53 E8 43 00 79 E8 0B 40 F9 09 09 00 91 E8 43 40 79 28 01 00 79 E8 43 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 03 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 79 08 05 00 51 08 3D 00 53 E8 47 00 79 E8 0B 40 F9 09 11 00 91 E8 47 40 79 28 01 00 79 E8 47 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 01 00 54 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 05 00 51 09 3D 00 53 E8 0B 40 F9 08 19 00 91 09 01 00 79 E8 0B 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 1F 01 00 71 61 00 00 54 00 02 80 52 ?? ?? ?? ?? E0 17 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_14_0 {
	meta:
		name = "_Getdays"
		size = 32
		refs = "000c _Getdays_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_16_0 {
	meta:
		name = "_Getmonths"
		size = 32
		refs = "000c _Getmonths_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 D2 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_15_0 {
	meta:
		name = "_Getdays_l"
		size = 796
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0020 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0088 strlen 00e0 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 00f0 _malloc_dbg 0100 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 010c ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 012c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0134 ??1_LocaleUpdate@@QEAA@XZ 01d8 strcpy_s 01e8 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f0 ??_C@_1BG@LGACIFJI@?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA_?$AAl?$AA?$AA@ 01f8 ??_C@_1JE@EOABCHAL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0204 _invoke_watson_if_error 02a4 ??_C@_1IK@PMFBCNAB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 02f0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 27 00 F9 E1 27 40 F9 E0 23 03 91 ?? ?? ?? ?? E0 5F 00 F9 E0 23 03 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 1F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 1F 1D 00 F1 62 03 00 54 E8 1F 40 F9 0A 01 00 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 1F 40 F9 0A E1 00 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 33 00 F9 E9 2F 40 F9 E8 33 40 F9 28 01 08 8B 09 09 00 91 E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 E1 FF FF 17 E8 1B 40 F9 00 05 00 91 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 D2 E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 3F 40 F9 76 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 1F 1D 00 F1 02 0B 00 54 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 1F 40 F9 0A 01 00 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 47 40 F9 28 01 08 CB 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 A4 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E9 0B 40 F9 E8 4B 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 1F 40 F9 0A E1 00 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 4F 40 F9 28 01 08 CB 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 04 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 53 00 F9 E9 0B 40 F9 E8 53 40 F9 28 01 08 8B E8 0B 00 F9 A4 FF FF 17 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 5B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 5B 40 F9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_17_0 {
	meta:
		name = "_Getmonths_l"
		size = 796
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0020 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0088 strlen 00e0 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 00f0 _malloc_dbg 0100 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 010c ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 012c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0134 ??1_LocaleUpdate@@QEAA@XZ 01d8 strcpy_s 01e8 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f0 ??_C@_1BK@IDMELNCB@?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA_?$AAl?$AA?$AA@ 01f8 ??_C@_1JG@KINOFMEM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0204 _invoke_watson_if_error 02a4 ??_C@_1IM@IEHGKIAE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 02f0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 27 00 F9 E1 27 40 F9 E0 23 03 91 ?? ?? ?? ?? E0 5F 00 F9 E0 23 03 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 1F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 1F 31 00 F1 62 03 00 54 E8 1F 40 F9 0A C1 01 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 1F 40 F9 0A 41 03 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 33 00 F9 E9 2F 40 F9 E8 33 40 F9 28 01 08 8B 09 09 00 91 E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 E1 FF FF 17 E8 1B 40 F9 00 05 00 91 43 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 D2 E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 3F 40 F9 76 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 1F 31 00 F1 02 0B 00 54 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 1F 40 F9 0A C1 01 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 47 40 F9 28 01 08 CB 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 44 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E9 0B 40 F9 E8 4B 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 1F 40 F9 0A 41 03 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 4F 40 F9 28 01 08 CB 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 A4 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 53 00 F9 E9 0B 40 F9 E8 53 40 F9 28 01 08 8B E8 0B 00 F9 A4 FF FF 17 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 5B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 5B 40 F9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_19_0 {
	meta:
		name = "_Strftime"
		size = 72
		refs = "0034 _Strftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 05 00 80 D2 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_30_0 {
	meta:
		name = "_Wcsftime"
		size = 72
		refs = "0034 _Wcsftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 05 00 80 D2 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_20_0 {
	meta:
		name = "_Strftime_l"
		size = 1712
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0088 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1BI@ONBMGNNA@?$AA_?$AAS?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 0108 _invalid_parameter 0118 ??1_LocaleUpdate@@QEAA@XZ 0158 ??_C@_1BK@IFBPBBBE@?$AAm?$AAa?$AAx?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0234 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0304 ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03b8 __imp_MultiByteToWideChar 03dc __imp_GetLastError 03f0 __acrt_errno_map_os_error 0420 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0430 _malloc_dbg 0440 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 044c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 046c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 05a0 _Wcsftime_l 0618 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B A5 A9 FD 03 00 91 E0 47 00 F9 E1 2B 00 F9 E2 43 00 F9 E3 5F 00 F9 E4 A7 00 F9 E5 5B 00 F9 E1 5B 40 F9 E0 43 02 91 ?? ?? ?? ?? E0 D7 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 B9 E8 1F 00 B9 E8 47 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 67 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 67 40 F9 62 01 00 14 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 6F 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 6F 40 F9 2E 01 00 14 E9 47 40 F9 08 00 80 52 28 01 00 39 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 77 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 77 40 F9 F7 00 00 14 E8 5F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 7F 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 7F 40 F9 C3 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 12 E2 43 40 F9 01 00 80 52 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 6B 00 B9 E8 6B 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 6F 00 B9 E0 6F 40 B9 ?? ?? ?? ?? 08 00 80 D2 E8 83 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 83 40 F9 A8 00 00 14 E8 1B 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 43 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 87 00 F9 E1 87 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 CF 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 D2 E8 8F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 8F 40 F9 8B 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 93 00 F9 E5 1B 40 B9 E4 93 40 F9 03 00 80 12 E2 43 40 F9 01 00 80 52 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 77 00 B9 E0 77 40 B9 ?? ?? ?? ?? 08 00 80 D2 E8 97 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 97 40 F9 6D 00 00 14 E9 2B 40 F9 48 00 80 D2 20 7D 08 9B 43 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 9B 00 F9 E1 9B 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 D3 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 1F 01 00 F1 61 01 00 54 08 00 80 D2 E8 A3 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 A3 40 F9 4F 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 AB 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 AF 00 F9 E5 5B 40 F9 E4 A7 40 F9 E3 5F 40 F9 E2 AB 40 F9 E1 2B 40 F9 E0 AF 40 F9 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 B7 00 F9 E8 B7 40 F9 1F 01 00 F1 61 01 00 54 08 00 80 D2 E8 CB 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 CB 40 F9 32 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 BF 00 F9 E8 2B 40 F9 05 01 00 11 07 00 80 D2 06 00 80 D2 A5 00 00 11 E4 47 40 F9 03 00 80 12 E2 BF 40 F9 01 00 80 52 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 7B 00 B9 E8 7B 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 7F 00 B9 E0 7F 40 B9 ?? ?? ?? ?? 08 00 80 D2 E8 C3 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 C3 40 F9 0C 00 00 14 E8 4B 40 B9 08 05 00 51 08 7D 40 93 E8 C7 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? E0 C7 40 F9 FD 7B DB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_23_0 {
	meta:
		name = "_strftime_l"
		size = 72
		refs = "0034 _Strftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E5 0B 40 F9 04 00 80 D2 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_36_0 {
	meta:
		name = "_wcsftime_l"
		size = 72
		refs = "0034 _Wcsftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E5 0B 40 F9 04 00 80 D2 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_184_24_0 {
	meta:
		name = "strftime"
		size = 68
		refs = "0030 _Strftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 05 00 80 D2 04 00 80 D2 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_37_0 {
	meta:
		name = "wcsftime"
		size = 68
		refs = "0030 _Wcsftime_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 05 00 80 D2 04 00 80 D2 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_185_1_0 {
	meta:
		name = "??$common_fgets@D@@YAPEADQEADHV__crt_stdio_stream@@@Z"
		size = 952
		refs = "0054 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01a4 ?valid@__crt_stdio_stream@@QEBA_NXZ 01e4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0290 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 029c _lock_file 02b0 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0314 ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@@Z 03a4 _unlock_file"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 A0 27 00 F9 A1 17 00 B9 A2 13 00 F9 A8 27 40 F9 1F 01 00 F1 E1 00 00 54 A8 17 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 A8 2B 00 B9 03 00 00 14 28 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 53 00 B9 A9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 B4 00 00 14 A8 17 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 57 00 B9 A9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 84 00 00 14 A0 83 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 3B 00 B9 03 00 00 14 08 00 80 52 A8 3B 00 B9 A8 3B 40 B9 A8 3F 00 B9 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 5B 00 B9 A9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 50 00 00 14 A8 17 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 4B 00 00 14 08 00 80 D2 A8 37 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 47 00 F9 A0 47 40 F9 ?? ?? ?? ?? A0 83 00 91 ?? ?? ?? ?? A0 4B 00 F9 A0 4B 40 F9 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 33 00 00 14 A8 27 40 F9 A8 23 00 F9 28 00 80 52 A8 1B 00 B9 04 00 00 14 A8 1B 40 B9 08 05 00 11 A8 1B 00 B9 A9 17 40 B9 A8 1B 40 B9 1F 01 09 6B 40 04 00 54 A0 83 00 91 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 A8 53 00 F9 A0 83 02 91 ?? ?? ?? ?? A0 5F 00 B9 A8 5F 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 05 00 31 E1 00 00 54 A9 27 40 F9 A8 23 40 F9 1F 01 09 EB 41 00 00 54 15 00 00 14 0F 00 00 14 A8 1F 40 B9 09 1D 00 13 A8 23 40 F9 09 01 00 39 A8 23 40 F9 08 05 00 91 A8 23 00 F9 A8 1F 40 B9 08 1D 00 13 08 01 00 11 1F 29 00 71 41 00 00 54 02 00 00 14 D9 FF FF 17 A9 23 40 F9 08 00 80 52 28 01 00 39 A8 27 40 F9 A8 37 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? A0 37 40 F9 FD 7B CB A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_185_2_0 {
	meta:
		name = "?fin$0@?0???$common_fgets@D@@YAPEADQEADHV__crt_stdio_stream@@@Z@4HA"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 83 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_185_3_0 {
	meta:
		name = "??$common_fgets@_W@@YAPEA_WQEA_WHV__crt_stdio_stream@@@Z"
		size = 960
		refs = "0054 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01a4 ?valid@__crt_stdio_stream@@QEBA_NXZ 01e4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0290 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 029c _lock_file 02b0 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQEAU_iobuf@@@Z 0314 ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QEAPEAU_iobuf@@@Z 03ac _unlock_file"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 A0 2B 00 F9 A1 17 00 B9 A2 17 00 F9 A8 2B 40 F9 1F 01 00 F1 E1 00 00 54 A8 17 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 A8 33 00 B9 03 00 00 14 28 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 5B 00 B9 A9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 B6 00 00 14 A8 17 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 A8 3B 00 B9 03 00 00 14 08 00 80 52 A8 3B 00 B9 A8 3B 40 B9 A8 3F 00 B9 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 5F 00 B9 A9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 86 00 00 14 A0 A3 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 43 00 B9 03 00 00 14 08 00 80 52 A8 43 00 B9 A8 43 40 B9 A8 47 00 B9 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 63 00 B9 A9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 52 00 00 14 A8 17 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 4D 00 00 14 08 00 80 D2 A8 3B 00 F9 A0 A3 00 91 ?? ?? ?? ?? A0 4B 00 F9 A0 4B 40 F9 ?? ?? ?? ?? A0 A3 00 91 ?? ?? ?? ?? A0 4F 00 F9 A0 4F 40 F9 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 35 00 00 14 A8 2B 40 F9 A8 27 00 F9 28 00 80 52 A8 1F 00 B9 04 00 00 14 A8 1F 40 B9 08 05 00 11 A8 1F 00 B9 A9 17 40 B9 A8 1F 40 B9 1F 01 09 6B 80 04 00 54 A0 A3 00 91 ?? ?? ?? ?? A0 53 00 F9 A8 53 40 F9 A8 57 00 F9 A0 A3 02 91 ?? ?? ?? ?? A0 33 00 79 A8 33 40 79 08 01 00 11 A8 23 00 B9 E9 FF 9F 52 A8 23 40 B9 1F 01 09 6B E1 00 00 54 A9 2B 40 F9 A8 27 40 F9 1F 01 09 EB 41 00 00 54 15 00 00 14 0F 00 00 14 A8 23 40 B9 09 3D 00 53 A8 27 40 F9 09 01 00 79 A8 27 40 F9 08 09 00 91 A8 27 00 F9 A8 23 40 B9 08 3D 00 53 08 01 00 11 1F 29 00 71 41 00 00 54 02 00 00 14 D7 FF FF 17 A9 27 40 F9 08 00 80 52 28 01 00 79 A8 2B 40 F9 A8 3B 00 F9 A0 A3 00 91 ?? ?? ?? ?? A0 37 00 F9 A0 37 40 F9 ?? ?? ?? ?? A0 3B 40 F9 FD 7B CB A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_185_4_0 {
	meta:
		name = "?fin$0@?0???$common_fgets@_W@@YAPEA_WQEA_WHV__crt_stdio_stream@@@Z@4HA"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 A3 00 91 ?? ?? ?? ?? A0 37 00 F9 A0 37 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_185_15_0 {
	meta:
		name = "fgets"
		size = 72
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0034 ??$common_fgets@D@@YAPEADQEADHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 0F 00 F9 E1 0F 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 02 01 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_185_16_0 {
	meta:
		name = "fgetws"
		size = 72
		refs = "001c ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0034 ??$common_fgets@_W@@YAPEA_WQEA_WHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 B9 E2 0F 00 F9 E1 0F 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 02 01 40 F9 E1 13 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "strcat"
		size = 140
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 F9 E8 0F 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 E9 07 40 F9 E8 0B 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_186_1_0 {
	meta:
		name = "strcpy"
		size = 104
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 F9 E8 0F 40 F9 E8 07 00 F9 E9 07 40 F9 E8 0B 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "strncmp"
		size = 712
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 07 00 F9 E2 0F 00 F9 08 00 80 D2 E8 0B 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 A6 00 00 14 E8 0F 40 F9 1F 11 00 F1 A3 0F 00 54 04 00 00 14 E8 0B 40 F9 08 11 00 91 E8 0B 00 F9 E8 0F 40 F9 09 11 00 D1 E8 0B 40 F9 1F 01 09 EB 82 0E 00 54 E8 03 40 F9 08 11 00 91 E8 03 00 F9 E8 07 40 F9 08 11 00 91 E8 07 00 F9 E8 03 40 F9 08 11 00 D1 08 01 C0 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 03 40 F9 08 11 00 D1 09 01 C0 39 29 01 00 11 E8 07 40 F9 08 11 00 D1 08 01 C0 39 08 01 00 11 3F 01 08 6B 80 01 00 54 E8 03 40 F9 08 11 00 D1 09 01 40 39 29 01 00 11 E8 07 40 F9 08 11 00 D1 08 01 40 39 08 01 00 11 20 01 08 4B 00 00 00 11 79 00 00 14 E8 03 40 F9 08 0D 00 D1 08 01 C0 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 03 40 F9 08 0D 00 D1 09 01 C0 39 29 01 00 11 E8 07 40 F9 08 0D 00 D1 08 01 C0 39 08 01 00 11 3F 01 08 6B 80 01 00 54 E8 03 40 F9 08 0D 00 D1 09 01 40 39 29 01 00 11 E8 07 40 F9 08 0D 00 D1 08 01 40 39 08 01 00 11 20 01 08 4B 00 00 00 11 5E 00 00 14 E8 03 40 F9 08 09 00 D1 08 01 C0 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 03 40 F9 08 09 00 D1 09 01 C0 39 29 01 00 11 E8 07 40 F9 08 09 00 D1 08 01 C0 39 08 01 00 11 3F 01 08 6B 80 01 00 54 E8 03 40 F9 08 09 00 D1 09 01 40 39 29 01 00 11 E8 07 40 F9 08 09 00 D1 08 01 40 39 08 01 00 11 20 01 08 4B 00 00 00 11 43 00 00 14 E8 03 40 F9 08 05 00 D1 08 01 C0 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 03 40 F9 08 05 00 D1 09 01 C0 39 29 01 00 11 E8 07 40 F9 08 05 00 D1 08 01 C0 39 08 01 00 11 3F 01 08 6B 80 01 00 54 E8 03 40 F9 08 05 00 D1 09 01 40 39 29 01 00 11 E8 07 40 F9 08 05 00 D1 08 01 40 39 08 01 00 11 20 01 08 4B 00 00 00 11 28 00 00 14 86 FF FF 17 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB C2 03 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 03 40 F9 09 01 C0 39 29 01 00 11 E8 07 40 F9 08 01 C0 39 08 01 00 11 3F 01 08 6B 40 01 00 54 E8 03 40 F9 09 01 40 39 29 01 00 11 E8 07 40 F9 08 01 40 39 08 01 00 11 20 01 08 4B 00 00 00 11 09 00 00 14 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 DD FF FF 17 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_188_0_0 {
	meta:
		name = "wcscpy"
		size = 104
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 F9 E8 0F 40 F9 E8 07 00 F9 E9 07 40 F9 E8 0B 40 F9 08 01 40 79 28 01 00 79 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_189_5_0 {
	meta:
		name = "_mbbtype_l"
		size = 168
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 11 33 00 00 11 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 7F 06 00 71 88 02 08 8B 20 02 00 54 0A 65 40 39 6A 00 10 36 20 00 80 52 12 00 00 14 E8 0F 40 F9 EB 2A 80 52 08 01 40 F9 09 79 74 78 28 01 0B 0A A8 00 00 35 48 05 00 12 68 00 00 35 00 00 80 12 08 00 00 14 00 00 80 52 06 00 00 14 09 65 40 39 0A 00 80 12 48 00 80 52 3F 01 1D 72 40 01 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "??$common_tcsset_s@_W@@YAHQEA_W_K_W@Z"
		size = 904
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 017c _CrtGetDebugFillThreshold 01d8 memset 01dc ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0220 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 F9 E1 0B 00 F9 E2 43 00 79 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A9 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 C0 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 09 01 00 54 E9 23 40 F9 E8 43 40 79 28 01 00 79 E8 23 40 F9 08 09 00 91 E8 23 00 F9 EF FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 1F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 2B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 2F 00 F9 E9 2F 40 F9 48 00 80 D2 22 7D 08 9B E8 1F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 33 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 33 40 F9 1F 01 09 EB 82 00 00 54 E8 33 40 F9 E8 37 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 37 00 F9 E9 37 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_190_1_0 {
	meta:
		name = "_wcsset_s"
		size = 52
		refs = "0020 ??$common_tcsset_s@_W@@YAHQEA_W_K_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 23 00 79 E2 23 40 79 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "atan2f"
		size = 2192
		refs = "01d8 _handle_nanf 024c ?pi@?1??atan2f@@9@9 0264 valf_with_flags 02cc ?piby2@?1??atan2f@@9@9 03f8 scaleDouble_1 0434 scaleDownDouble 0554 ?three_piby4@?1??atan2f@@9@9 05b4 ?piby4@?1??atan2f@@9@9 073c ?atan_jby256@?1??atan2f@@9@9"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 7F 00 BD E1 7B 00 BD F0 7B 40 BD 10 C2 22 1E F0 47 00 FD F0 7F 40 BD 10 C2 22 1E F0 0B 00 FD F0 47 40 FD F0 97 00 FD E8 97 40 F9 E8 8B 00 F9 F0 0B 40 FD F0 9B 00 FD E8 9B 40 F9 E8 1B 00 F9 E8 8B 40 F9 08 F9 40 92 E8 8F 00 F9 E8 1B 40 F9 08 F9 40 92 E8 93 00 F9 E8 8B 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 EB 00 B9 E8 1B 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 E7 00 B9 E8 8B 40 F9 08 01 41 92 E8 2F 00 F9 E8 1B 40 F9 08 01 41 92 E8 13 00 F9 E8 8F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 AB 00 B9 E8 93 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 E8 0F 01 B9 09 FE EF D2 E8 8F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 EF 00 B9 09 FE EF D2 E8 93 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 6F 00 B9 03 00 00 14 08 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 FF 00 B9 09 FE EF D2 E8 8F 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E8 73 40 B9 E8 D3 00 B9 09 FE EF D2 E8 93 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 77 00 B9 03 00 00 14 08 00 80 52 E8 77 00 B9 E8 77 40 B9 E8 CF 00 B9 E9 E7 40 B9 E8 EB 40 B9 28 01 08 4B E8 1B 00 B9 E8 EF 40 B9 1F 01 00 71 A0 01 00 54 F0 7B 40 BD F0 F3 00 BD E8 F3 40 B9 E8 F7 00 B9 E8 F7 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 FB 00 BD E0 FB 40 BD 98 01 00 14 4A 00 00 14 E8 FF 40 B9 1F 01 00 71 A0 01 00 54 F0 7F 40 BD F0 03 01 BD E8 03 41 B9 E8 07 01 B9 E8 07 41 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 0B 01 BD E0 0B 41 BD 89 01 00 14 3B 00 00 14 E8 0F 41 B9 1F 01 00 71 20 04 00 54 E8 2F 40 F9 1F 01 00 F1 20 03 00 54 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 A3 00 BD E0 A3 40 BD 75 01 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 A7 00 BD E0 A7 40 BD 6B 01 00 14 05 00 00 14 F0 0B 40 FD 00 42 62 1E 00 40 20 1E 66 01 00 14 18 00 00 14 E8 AB 40 B9 1F 01 00 71 A0 02 00 54 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 AF 00 BD E0 AF 40 BD 55 01 00 14 07 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E8 1B 40 B9 1F 69 00 71 2D 03 00 54 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 B3 00 BD E0 B3 40 BD 3E 01 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 B7 00 BD E0 B7 40 BD 34 01 00 14 A3 00 00 14 E8 1B 40 B9 1F 35 00 31 4A 09 00 54 E8 2F 40 F9 1F 01 00 F1 E1 08 00 54 E8 1B 40 B9 1F 59 02 31 4A 02 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 40 02 80 52 C0 26 00 1C ?? ?? ?? ?? E0 BB 00 BD E0 BB 40 BD 21 01 00 14 07 00 00 14 40 02 80 52 00 26 00 1C ?? ?? ?? ?? E0 BF 00 BD E0 BF 40 BD 1A 01 00 14 32 00 00 14 E8 1B 40 B9 1F F9 01 31 2A 05 00 54 80 0C 80 52 E0 0B 40 FD ?? ?? ?? ?? E0 9F 00 FD F0 9F 40 FD F0 0B 00 FD F1 0B 40 FD F0 47 40 FD 30 1A 70 1E F0 0B 00 FD F0 0B 40 FD F0 A3 00 FD E8 A3 40 F9 E8 1B 00 F9 E2 C3 00 91 81 0C 80 52 E0 1B 40 F9 ?? ?? ?? ?? E8 1B 40 F9 E8 A7 00 F9 F0 A7 40 FD F0 0B 00 FD E8 1B 40 F9 08 29 4C 92 1F 01 00 F1 41 01 00 54 F0 0B 40 FD 00 42 62 1E 40 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 C3 00 BD E0 C3 40 BD F4 00 00 14 05 00 00 14 F0 0B 40 FD 00 42 62 1E 00 40 20 1E EF 00 00 14 07 00 00 14 F1 0B 40 FD F0 47 40 FD 30 1A 70 1E 00 42 62 1E 00 40 20 1E E8 00 00 14 57 00 00 14 E8 1B 40 B9 1F 69 00 31 8A 03 00 54 E8 2F 40 F9 1F 01 00 F1 20 03 00 54 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 C7 00 BD E0 C7 40 BD D4 00 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 CB 00 BD E0 CB 40 BD CA 00 00 14 39 00 00 14 E8 CF 40 B9 1F 01 00 71 C0 06 00 54 E8 D3 40 B9 1F 01 00 71 60 06 00 54 E8 2F 40 F9 1F 01 00 F1 20 03 00 54 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 D7 00 BD E0 D7 40 BD B3 00 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 DB 00 BD E0 DB 40 BD A9 00 00 14 18 00 00 14 E8 13 40 F9 1F 01 00 F1 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 DF 00 BD E0 DF 40 BD 9B 00 00 14 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 E3 00 BD E0 E3 40 BD 91 00 00 14 F0 47 40 FD F0 27 00 FD F0 0B 40 FD F0 2B 00 FD E8 2F 40 F9 1F 01 00 F1 80 00 00 54 F0 47 40 FD 10 42 61 1E F0 27 00 FD E8 13 40 F9 1F 01 00 F1 80 00 00 54 F0 0B 40 FD 10 42 61 1E F0 2B 00 FD F1 2B 40 FD F0 27 40 FD 00 22 71 1E 82 00 00 54 28 00 80 52 E8 83 00 B9 03 00 00 14 08 00 80 52 E8 83 00 B9 E8 83 40 B9 E8 87 00 B9 E8 87 40 B9 1F 01 00 71 E0 00 00 54 F0 27 40 FD F0 AB 00 FD F0 2B 40 FD F0 27 00 FD F0 AB 40 FD F0 2B 00 FD F1 2B 40 FD F0 27 40 FD 30 1A 70 1E F0 1F 00 FD 71 0D 00 5C F0 1F 40 FD 00 22 71 1E 2D 06 00 54 31 0D 00 5C F0 1F 40 FD 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 43 00 B9 51 0C 00 5C F0 2B 40 FD 32 0A 70 1E E8 43 40 B9 11 01 63 1E F0 27 40 FD 30 0A 70 1E 53 3A 70 1E 51 0B 00 5C F0 27 40 FD 32 0A 70 1E E8 43 40 B9 11 01 63 1E F0 2B 40 FD 30 0A 70 1E 50 2A 70 1E 70 1A 70 1E F0 4F 00 FD F1 4F 40 FD F0 4F 40 FD 30 0A 70 1E F0 4B 00 FD E8 43 40 B9 08 41 00 51 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 4F 40 FD 32 2A 70 1E F1 4F 40 FD F0 4B 40 FD 31 0A 70 1E 10 08 00 5C 30 0A 70 1E 50 3A 70 1E F0 17 00 FD 1C 00 00 14 B1 07 00 5C F0 1F 40 FD 00 22 71 1E 82 00 00 54 F0 1F 40 FD F0 17 00 FD 15 00 00 14 F1 1F 40 FD F0 1F 40 FD 30 0A 70 1E F0 4B 00 FD F1 1F 40 FD F0 4B 40 FD 32 0A 70 1E F1 4B 40 FD 10 06 00 5C 31 0A 70 1E 10 06 00 5C 11 3A 71 1E F0 4B 40 FD 11 0A 71 1E D0 05 00 5C 10 3A 71 1E 51 0A 70 1E F0 1F 40 FD 10 3A 71 1E F0 17 00 FD E8 87 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 30 3A 70 1E F0 17 00 FD E8 2F 40 F9 1F 01 00 F1 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 30 3A 70 1E F0 17 00 FD E8 13 40 F9 1F 01 00 F1 80 00 00 54 F0 17 40 FD 10 42 61 1E F0 17 00 FD F0 17 40 FD 00 42 62 1E 00 40 20 1E FD 7B D6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 B0 3F 00 00 00 00 00 00 70 40 77 08 55 55 55 55 D5 3F 2D 43 1C EB E2 36 1A 3F E1 6B BD 82 24 49 C2 3F A3 43 96 99 99 99 C9 3F 38 55 55 55 55 55 D5 3F 00 00 00 80 00 00 00 00 }
	condition:
		$1
}

rule file_191_3_0 {
	meta:
		name = "scaleDownDouble"
		size = 252
	strings:
		$1 = { FF 03 01 D1 E0 13 00 F9 E1 13 00 B9 E2 1F 00 F9 E8 13 40 F9 08 01 41 92 E8 1B 00 F9 E8 13 40 F9 08 F9 40 92 E8 0F 00 F9 E8 0F 40 F9 08 29 4C 92 08 FD 74 D3 09 01 00 11 E8 13 40 B9 28 01 08 4B E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 6D 01 00 54 E8 0B 40 B9 08 7D 40 93 08 2D 4C D3 E8 17 00 F9 E8 0F 40 F9 09 D1 41 92 E8 17 40 F9 28 01 08 AA E8 03 00 F9 1B 00 00 14 E9 0F 40 F9 28 00 80 D2 09 29 4C B3 E9 03 00 F9 29 00 80 52 E8 0B 40 B9 28 01 08 4B E8 0F 00 B9 E8 0F 40 B9 1F D9 00 71 8D 00 00 54 08 00 80 D2 E8 03 00 F9 0D 00 00 14 E8 0F 40 B9 08 05 00 51 09 7D 40 93 E8 03 40 F9 08 25 C9 9A E8 03 00 F9 E8 03 40 F9 09 FD 41 D3 E8 03 40 F9 08 01 40 92 28 01 08 8B E8 03 00 F9 E9 03 40 F9 E8 1B 40 F9 29 01 08 AA E8 1F 40 F9 09 01 00 F9 FF 03 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_192_5_0 {
	meta:
		name = "_mbctoupper_l"
		size = 200
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c __acrt_LCMapStringA"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BC A9 FD 03 00 91 FF 43 00 D1 13 00 00 11 E0 A3 00 91 ?? ?? ?? ?? EA 1F 40 F9 7F FE 03 71 09 03 00 54 68 7E 08 53 F3 87 00 39 09 1D 00 53 28 01 0A 8B E9 83 00 39 09 65 40 39 E9 02 10 36 47 05 40 B9 28 00 80 52 41 11 41 F9 46 00 80 52 E8 03 00 B9 E5 93 00 91 44 00 80 52 E3 83 00 91 02 40 80 52 E0 C3 00 91 ?? ?? ?? ?? 60 01 00 34 E9 93 40 39 E8 97 40 39 13 21 09 0B 07 00 00 14 68 06 00 11 48 C1 28 8B 09 61 40 39 69 00 28 36 48 C1 33 8B 13 65 44 39 E8 03 41 39 A8 00 00 34 EA 17 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 00 91 FD 7B C4 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "expm1f"
		size = 340
		refs = "0010 _fdtest 0080 lnhalf 0090 lnone_half 00a4 s 00e8 c 0134 expf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 01 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 17 40 BD 3F 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 36 10 10 3E 1E F0 1F 00 BD 03 00 00 14 F0 17 40 BD F0 1F 00 BD E0 1F 40 BD 35 00 00 14 F1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 22 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E 82 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E 51 1A 30 1E F0 17 40 BD 20 0A 30 1E 00 40 20 1E 09 00 00 14 08 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 23 00 BD F1 23 40 BD 10 10 2E 1E 20 3A 30 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_194_4_0 {
	meta:
		name = "_mbsncat_s_l"
		size = 1208
		refs = "0068 _CrtGetDebugFillThreshold 0080 memset 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 008c ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a8 _CrtDbgReportW 00b8 _errno 00d8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00f8 strncat_s 015c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0198 ??_C@_1BK@GDKGAICE@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01b0 _invalid_parameter 036c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0448 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 15 00 00 91 33 00 00 91 57 00 00 91 76 00 00 91 18 00 80 52 B6 00 00 B5 B5 00 00 B5 B3 20 00 B5 00 00 80 52 1B 01 00 14 55 20 00 B4 33 20 00 B4 76 04 00 B4 57 04 00 B5 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? F0 00 00 14 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 E8 00 00 35 C3 02 00 91 E2 02 00 91 61 02 00 91 A0 02 00 91 ?? ?? ?? ?? CB 00 00 14 AA 02 00 91 74 02 00 91 48 01 40 39 88 00 00 34 4A 05 00 91 94 06 00 D1 94 FF FF B5 14 05 00 B5 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9C 00 00 14 9F 02 13 EB 42 02 00 54 4C 05 00 D1 8B 01 00 91 9F 01 15 EB 03 01 00 54 68 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 6B 05 00 D1 7F 01 15 EB 42 FF FF 54 89 01 0B 4B A9 00 00 36 4A 05 00 D1 5F 01 00 39 94 06 00 91 38 00 80 52 DF 06 00 B1 21 01 00 54 4D 01 17 CB EA 02 40 39 AA 69 37 38 F7 06 00 91 4A 04 00 34 94 06 00 D1 74 FF FF B5 1F 00 00 14 96 03 00 B4 EB 16 40 38 68 01 0E 8B 09 65 40 39 A9 01 10 36 E9 02 40 39 89 02 00 34 9F 0A 00 F1 09 02 00 54 4B 01 00 39 4B 05 00 91 EA 02 40 39 F7 06 00 91 94 0A 00 D1 6A 01 00 39 6A 05 00 91 06 00 00 14 4B 01 00 39 4A 05 00 91 2B 01 00 34 94 06 00 D1 F4 00 00 B4 D6 06 00 D1 E9 FF FF 17 14 00 80 D2 03 00 00 14 5F 01 00 39 38 00 80 52 56 00 00 B5 5F 01 00 39 34 09 00 B5 DF 06 00 B1 01 04 00 54 B8 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 EE 13 40 F9 7F 06 00 F1 A9 02 00 54 B4 02 13 8B 8B 0A 00 D1 6A 01 00 91 7F 01 15 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 15 EB 42 FF FF 54 69 01 0A 4B E9 00 00 36 9F E2 1F 38 ?? ?? ?? ?? C0 00 00 B4 C8 1F 80 52 88 F2 1F 38 03 00 00 14 A8 02 13 8B 1F F1 1F 38 00 0A 80 52 3F 00 00 14 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 18 00 00 14 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 14 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A8 02 14 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D8 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_6_0 {
	meta:
		name = "??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 1184
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 0088 _invalid_parameter 00b8 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0108 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 015c ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0200 strrchr 0218 ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 0268 _calloc_dbg 027c _free_dbg 0284 ?dot_slash@?CB@???$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z@4QBDB 0294 strcpy_s 02a8 strcat_s 02f0 _access_s 0308 ??$execute_command@D@@YA_JHQEBDQEBQEBD1@Z 0378 ?extensions@?CP@???$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z@4QAY04$$CBDA 0418 ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0430 _invoke_watson 043c ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0460 ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 0484 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B BF A9 FD 03 00 91 1A 00 00 11 33 00 00 91 57 00 00 91 7B 00 00 91 13 04 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 FD 7B C1 A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 68 02 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 22 80 52 ?? ?? ?? ?? DF FF FF 17 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 22 80 52 ?? ?? ?? ?? CB FF FF 17 E9 02 40 F9 89 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 22 80 52 ?? ?? ?? ?? B6 FF FF 17 28 01 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 22 80 52 ?? ?? ?? ?? A1 FF FF 17 81 0B 80 52 60 02 00 91 ?? ?? ?? ?? E1 05 80 52 15 00 00 91 60 02 00 91 ?? ?? ?? ?? 74 02 00 91 ?? ?? ?? ?? 40 05 00 B5 95 05 00 B5 41 07 80 52 60 02 00 91 ?? ?? ?? ?? 15 00 00 91 F5 04 00 B5 68 02 C0 39 6A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 55 01 13 CB A0 0E 00 91 84 25 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 14 00 00 91 B4 00 00 B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 83 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? A1 0E 00 91 80 02 00 91 ?? ?? ?? ?? E0 0C 00 35 62 02 00 91 A1 0E 00 91 80 02 00 91 ?? ?? ?? ?? 20 0B 00 35 41 00 80 52 00 00 80 D2 95 0A 00 91 ?? ?? ?? ?? 04 00 00 14 BF 02 00 F1 0A 10 55 FA 15 80 95 9A 7F 02 14 EB C1 05 80 52 A0 02 00 91 F3 03 94 9A ?? ?? ?? ?? 80 01 00 B4 01 00 80 52 80 02 00 91 ?? ?? ?? ?? A0 06 00 35 63 03 00 91 E2 02 00 91 81 02 00 91 40 03 00 11 ?? ?? ?? ?? 14 00 00 91 3B 00 00 14 88 02 C0 39 8A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 14 CB 16 15 00 91 C0 02 00 91 E4 29 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 15 00 00 91 75 00 00 B5 14 00 80 92 26 00 00 14 82 02 00 91 C1 02 00 91 A0 02 00 91 ?? ?? ?? ?? 80 08 00 35 B8 02 16 8B ?? ?? ?? ?? ?? ?? ?? ?? 19 00 40 B9 ?? ?? ?? ?? D4 02 00 91 82 02 00 91 A1 00 80 D2 00 17 00 D1 ?? ?? ?? ?? 00 06 00 35 01 00 80 52 A0 02 00 91 ?? ?? ?? ?? 40 01 00 34 94 16 00 91 C8 52 00 91 9F 02 08 EB 81 FE FF 54 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 14 00 80 92 0C 00 00 14 ?? ?? ?? ?? 63 03 00 91 19 00 00 B9 E2 02 00 91 40 03 00 11 A1 02 00 91 ?? ?? ?? ?? 14 00 00 91 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 21 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 2A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_7_0 {
	meta:
		name = "??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 1188
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 0088 _invalid_parameter 00b8 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0108 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 015c ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0200 wcsrchr 0218 ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 026c _calloc_dbg 0280 _free_dbg 0288 ?dot_slash@?CB@???$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z@4QB_WB 0298 wcscpy_s 02ac wcscat_s 02f4 _waccess_s 030c ??$execute_command@_W@@YA_JHQEB_WQEBQEB_W1@Z 037c ?extensions@?CP@???$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z@4QAY04$$CB_WA 041c ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0434 _invoke_watson 0440 ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0464 ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 0488 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B BF A9 FD 03 00 91 1A 00 00 11 33 00 00 91 57 00 00 91 7B 00 00 91 13 04 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 FD 7B C1 A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 68 02 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 22 80 52 ?? ?? ?? ?? DF FF FF 17 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 22 80 52 ?? ?? ?? ?? CB FF FF 17 E9 02 40 F9 89 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 22 80 52 ?? ?? ?? ?? B6 FF FF 17 28 01 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 22 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 22 80 52 ?? ?? ?? ?? A1 FF FF 17 81 0B 80 52 60 02 00 91 ?? ?? ?? ?? E1 05 80 52 15 00 00 91 60 02 00 91 ?? ?? ?? ?? 74 02 00 91 ?? ?? ?? ?? 60 05 00 B5 B5 05 00 B5 41 07 80 52 60 02 00 91 ?? ?? ?? ?? 15 00 00 91 15 05 00 B5 68 02 C0 79 6A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 13 CB 15 FD 41 93 A0 0E 00 91 84 25 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 14 00 00 91 B4 00 00 B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 82 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? A1 0E 00 91 80 02 00 91 ?? ?? ?? ?? E0 0C 00 35 62 02 00 91 A1 0E 00 91 80 02 00 91 ?? ?? ?? ?? 20 0B 00 35 41 00 80 52 00 00 80 D2 95 12 00 91 ?? ?? ?? ?? 04 00 00 14 BF 02 00 F1 0A 10 55 FA 15 80 95 9A 7F 02 14 EB C1 05 80 52 A0 02 00 91 F3 03 94 9A ?? ?? ?? ?? 80 01 00 B4 01 00 80 52 80 02 00 91 ?? ?? ?? ?? A0 06 00 35 63 03 00 91 E2 02 00 91 81 02 00 91 40 03 00 11 ?? ?? ?? ?? 14 00 00 91 3B 00 00 14 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 14 CB 16 FD 41 93 C0 16 00 91 E4 29 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 15 00 00 91 75 00 00 B5 14 00 80 92 26 00 00 14 82 02 00 91 C1 16 00 91 A0 02 00 91 ?? ?? ?? ?? 80 08 00 35 D8 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 19 00 40 B9 ?? ?? ?? ?? D4 02 00 91 A0 06 18 8B 82 02 00 91 A1 00 80 D2 ?? ?? ?? ?? 00 06 00 35 01 00 80 52 A0 02 00 91 ?? ?? ?? ?? 40 01 00 34 94 2A 00 91 C8 A2 00 91 9F 02 08 EB 81 FE FF 54 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 14 00 80 92 0C 00 00 14 ?? ?? ?? ?? 63 03 00 91 19 00 00 B9 E2 02 00 91 40 03 00 11 A1 02 00 91 ?? ?? ?? ?? 14 00 00 91 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 20 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 2A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_8_0 {
	meta:
		name = "??$create_process@PEADPEAD$$T$$THAEAKPEAD$$TPEAU_STARTUPINFOA@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAH$$QEAPEAD0$$QEA$$T1$$QEAHAEAK01$$QEAPEAU_STARTUPINFOA@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 96
		refs = "0044 __imp_CreateProcessA"
		altNames = "??$create_process@AEBQEBDPEAD$$T$$THH$$T$$TPEAU_STARTUPINFOA@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAHAEBQEBD$$QEAPEAD$$QEA$$T2$$QEAH322$$QEAPEAU_STARTUPINFOA@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 FF 43 00 D1 E7 00 40 F9 C6 00 40 F9 A5 00 40 B9 84 00 40 B9 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 F9 E8 17 40 F9 E9 13 40 F9 08 01 40 F9 E8 07 00 F9 28 01 40 F9 E8 03 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 FF 43 00 91 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_12_0 {
	meta:
		name = "??$create_process@AEBQEB_WPEA_W$$T$$THH$$T$$TPEAU_STARTUPINFOW@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAHAEBQEB_W$$QEAPEA_W$$QEA$$T2$$QEAH322$$QEAPEAU_STARTUPINFOW@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 96
		refs = "0044 __imp_CreateProcessW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 FF 43 00 D1 E7 00 40 F9 C6 00 40 F9 A5 00 40 B9 84 00 40 B9 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 F9 E8 17 40 F9 E9 13 40 F9 08 01 40 F9 E8 07 00 F9 28 01 40 F9 E8 03 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 FF 43 00 91 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_9_0 {
	meta:
		name = "??$create_process@PEA_WPEA_W$$T$$THAEAKPEA_W$$TPEAU_STARTUPINFOW@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAH$$QEAPEA_W0$$QEA$$T1$$QEAHAEAK01$$QEAPEAU_STARTUPINFOW@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 96
		refs = "0044 __imp_CreateProcessW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 FF 43 00 D1 E7 00 40 F9 C6 00 40 F9 A5 00 40 B9 84 00 40 B9 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 F9 E8 17 40 F9 E9 13 40 F9 08 01 40 F9 E8 07 00 F9 28 01 40 F9 E8 03 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 FF 43 00 91 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_10_0 {
	meta:
		name = "??$execute_command@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 1000
		refs = "0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0070 ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 0080 _invalid_parameter 0094 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 0118 __doserrno 0148 __acrt_pack_narrow_command_line_and_environment 015c _free_dbg 01c4 ??$?RV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@V<lambda_e2d641523bd61448d1f22ac5868213dc>@@@?$__crt_seh_guarded_call@_N@@QEAA_N$$QEAV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@$$QEAV<lambda_e2d641523bd61448d1f22ac5868213dc>@@@Z 025c __imp_CreateProcessA 0278 __imp_GetLastError 0288 __acrt_errno_map_os_error 0290 __imp_CloseHandle 02d4 __imp_WaitForSingleObject 02ec __imp_GetExitCodeProcess 03e4 _exit"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B AF A9 FD 03 00 91 FF 43 00 D1 14 00 00 11 35 00 00 91 40 00 00 91 61 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 D1 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 16 80 52 ?? ?? ?? ?? E6 FF FF 17 9F 12 00 71 C9 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 16 80 52 ?? ?? ?? ?? CF FF FF 17 E3 A3 00 91 FF 23 00 F9 E2 03 01 91 FF 17 00 F9 ?? ?? ?? ?? 1F 04 00 31 21 01 00 54 E0 17 40 F9 41 00 80 52 ?? ?? ?? ?? E0 23 40 F9 41 00 80 52 FF 17 00 F9 ?? ?? ?? ?? C5 FF FF 17 E8 C3 00 91 FF 1B 00 F9 9F 12 00 71 E8 37 00 F9 E8 07 9F 1A E8 83 00 39 E9 E3 01 91 E8 A3 01 91 E9 3B 00 F9 E8 43 00 F9 E9 C3 01 91 E8 83 00 91 E9 A3 08 A9 E8 00 80 52 E9 00 80 52 E9 23 09 29 E3 23 01 91 E2 03 02 91 E1 33 01 91 E0 E3 00 91 ?? ?? ?? ?? C0 00 00 35 E0 1B 40 F9 41 00 80 52 ?? ?? ?? ?? FF 1B 00 F9 DE FF FF 17 9F 12 00 71 08 01 80 52 13 01 9F 1A ?? ?? ?? ?? 1F 00 00 B9 E8 C3 02 91 E6 17 40 F9 1F 7D 00 A9 E9 63 02 91 E1 23 40 F9 1F 7D 01 A9 07 00 80 D2 1F 7D 02 A9 65 02 00 11 1F 7D 03 A9 24 00 80 52 1F 7D 04 A9 03 00 80 D2 1F 7D 05 A9 02 00 80 D2 1F 31 00 F9 08 0D 80 52 E8 B3 00 B9 E8 F3 40 79 A0 02 00 91 E9 07 00 F9 E8 E7 01 79 E8 1B 40 F9 E8 7F 00 F9 E8 C3 02 91 E8 03 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 F3 A3 49 A9 F3 A3 05 A9 A0 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? E0 33 40 F9 ?? ?? ?? ?? 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 2F 40 F9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 13 00 80 92 36 00 00 14 9F 0A 00 71 A0 08 00 54 54 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 01 00 80 12 60 02 00 91 20 01 3F D6 ?? ?? ?? ?? E0 4F 40 F9 ?? ?? ?? ?? 09 FD DF C8 E1 43 01 91 20 01 3F D6 E0 33 40 F9 ?? ?? ?? ?? F3 53 80 B9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 2F 40 F9 1F 04 00 B1 80 03 00 54 ?? ?? ?? ?? 18 00 00 14 9F 12 00 71 21 02 00 54 1F 05 00 B1 ?? ?? ?? ?? C0 00 00 54 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 F3 2F 40 F9 7F 06 00 B1 A0 00 00 54 ?? ?? ?? ?? 09 FD DF C8 60 02 00 91 20 01 3F D6 13 00 80 D2 08 00 00 14 1F 05 00 B1 C0 00 00 54 ?? ?? ?? ?? 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 1B 40 F9 41 00 80 52 ?? ?? ?? ?? E0 17 40 F9 41 00 80 52 FF 1B 00 F9 ?? ?? ?? ?? E0 23 40 F9 41 00 80 52 FF 17 00 F9 ?? ?? ?? ?? 60 02 00 91 FF 43 00 91 FD 7B D1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 00 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_11_0 {
	meta:
		name = "??$execute_command@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 1004
		refs = "0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0070 ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 0080 _invalid_parameter 0094 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 0118 __doserrno 0148 __acrt_pack_wide_command_line_and_environment 015c _free_dbg 01c4 ??$?RV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@V<lambda_e2d641523bd61448d1f22ac5868213dc>@@@?$__crt_seh_guarded_call@_N@@QEAA_N$$QEAV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@$$QEAV<lambda_e2d641523bd61448d1f22ac5868213dc>@@@Z 0260 __imp_CreateProcessW 027c __imp_GetLastError 028c __acrt_errno_map_os_error 0294 __imp_CloseHandle 02d8 __imp_WaitForSingleObject 02f0 __imp_GetExitCodeProcess 03e8 _exit"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B AF A9 FD 03 00 91 FF 43 00 D1 14 00 00 11 35 00 00 91 40 00 00 91 61 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 D2 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 16 80 52 ?? ?? ?? ?? E6 FF FF 17 9F 12 00 71 C9 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 16 80 52 ?? ?? ?? ?? CF FF FF 17 E3 A3 00 91 FF 23 00 F9 E2 03 01 91 FF 17 00 F9 ?? ?? ?? ?? 1F 04 00 31 21 01 00 54 E0 17 40 F9 41 00 80 52 ?? ?? ?? ?? E0 23 40 F9 41 00 80 52 FF 17 00 F9 ?? ?? ?? ?? C5 FF FF 17 E8 C3 00 91 FF 1B 00 F9 9F 12 00 71 E8 37 00 F9 E8 07 9F 1A E8 83 00 39 E9 E3 01 91 E8 A3 01 91 E9 3B 00 F9 E8 43 00 F9 E9 C3 01 91 E8 83 00 91 E9 A3 08 A9 E8 00 80 52 E9 00 80 52 E9 23 09 29 E3 23 01 91 E2 03 02 91 E1 33 01 91 E0 E3 00 91 ?? ?? ?? ?? C0 00 00 35 E0 1B 40 F9 41 00 80 52 ?? ?? ?? ?? FF 1B 00 F9 DE FF FF 17 9F 12 00 71 08 01 80 52 08 01 9F 1A 13 01 16 32 ?? ?? ?? ?? 1F 00 00 B9 E8 C3 02 91 E6 17 40 F9 1F 7D 00 A9 E9 63 02 91 E1 23 40 F9 1F 7D 01 A9 07 00 80 D2 1F 7D 02 A9 65 02 00 11 1F 7D 03 A9 24 00 80 52 1F 7D 04 A9 03 00 80 D2 1F 7D 05 A9 02 00 80 D2 1F 31 00 F9 08 0D 80 52 E8 B3 00 B9 E8 F3 40 79 A0 02 00 91 E9 07 00 F9 E8 E7 01 79 E8 1B 40 F9 E8 7F 00 F9 E8 C3 02 91 E8 03 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 F3 A3 49 A9 F3 A3 05 A9 A0 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? E0 33 40 F9 ?? ?? ?? ?? 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 2F 40 F9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 13 00 80 92 36 00 00 14 9F 0A 00 71 A0 08 00 54 54 03 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 01 00 80 12 60 02 00 91 20 01 3F D6 ?? ?? ?? ?? E0 4F 40 F9 ?? ?? ?? ?? 09 FD DF C8 E1 43 01 91 20 01 3F D6 E0 33 40 F9 ?? ?? ?? ?? F3 53 80 B9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 2F 40 F9 1F 04 00 B1 80 03 00 54 ?? ?? ?? ?? 18 00 00 14 9F 12 00 71 21 02 00 54 1F 05 00 B1 ?? ?? ?? ?? C0 00 00 54 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 F3 2F 40 F9 7F 06 00 B1 A0 00 00 54 ?? ?? ?? ?? 09 FD DF C8 60 02 00 91 20 01 3F D6 13 00 80 D2 08 00 00 14 1F 05 00 B1 C0 00 00 54 ?? ?? ?? ?? 00 01 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 1B 40 F9 41 00 80 52 ?? ?? ?? ?? E0 17 40 F9 41 00 80 52 FF 1B 00 F9 ?? ?? ?? ?? E0 23 40 F9 41 00 80 52 FF 17 00 F9 ?? ?? ?? ?? 60 02 00 91 FF 43 00 91 FD 7B D1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 00 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_12_0 {
	meta:
		name = "??$pack_command_line_and_environment@AEBQEBQEBDAEBQEBQEBDPEAPEADPEAPEAD@?$__crt_char_traits@D@@SAHAEBQEBQEBD0$$QEAPEAPEAD1@Z"
		size = 20
		refs = "0010 __acrt_pack_narrow_command_line_and_environment"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_13_0 {
	meta:
		name = "??$pack_command_line_and_environment@AEBQEBQEB_WAEBQEBQEB_WPEAPEA_WPEAPEA_W@?$__crt_char_traits@_W@@SAHAEBQEBQEB_W0$$QEAPEAPEA_W1@Z"
		size = 20
		refs = "0010 __acrt_pack_wide_command_line_and_environment"
	strings:
		$1 = { 63 00 40 F9 42 00 40 F9 21 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_43_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ"
		size = 64
		refs = "001c __imp_CloseHandle"
		altNames = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAAXXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 F9 1F 04 00 B1 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 08 00 80 92 68 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_54_0 {
	meta:
		name = "?accumulate_inheritable_handles@@YA_NQEAPEAEQEA_K_N@Z"
		size = 76
		refs = "0040 ??$?RV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@V<lambda_e2d641523bd61448d1f22ac5868213dc>@@@?$__crt_seh_guarded_call@_N@@QEAA_N$$QEAV<lambda_37a10a800eaea7973688faf25eb488f1>@@AEAV<lambda_2f7836ec3cbcbb597c4a9919acb71f25>@@$$QEAV<lambda_e2d641523bd61448d1f22ac5868213dc>@@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E3 53 00 91 E0 07 02 A9 E1 63 00 91 E2 43 00 39 E2 C3 00 91 E0 47 00 91 E8 83 00 91 E8 1B 00 F9 E9 A3 00 91 E8 43 00 91 E9 A3 03 A9 E8 00 80 52 E9 00 80 52 E9 A3 02 29 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_56_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPEAX@Z"
		size = 40
		refs = "0008 __imp_CloseHandle"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 1F 00 00 71 E0 07 9F 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_57_0 {
	meta:
		name = "?detach@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAAPEAXXZ"
		size = 20
	strings:
		$1 = { 08 00 40 F9 09 00 80 92 09 00 00 F9 00 01 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_195_77_0 {
	meta:
		name = "_execv"
		size = 20
		refs = "0010 ??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 22 00 00 91 01 00 00 91 40 00 80 52 03 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_48_0 {
	meta:
		name = "_execvp"
		size = 20
		refs = "0010 ??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 22 00 00 91 01 00 00 91 40 00 80 52 03 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_82_0 {
	meta:
		name = "_wexecv"
		size = 20
		refs = "0010 ??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 22 00 00 91 01 00 00 91 40 00 80 52 03 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_54_0 {
	meta:
		name = "_wexecvp"
		size = 20
		refs = "0010 ??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 22 00 00 91 01 00 00 91 40 00 80 52 03 00 80 D2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_78_0 {
	meta:
		name = "_execve"
		size = 20
		refs = "0010 ??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 43 00 00 91 22 00 00 91 01 00 00 91 40 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_49_0 {
	meta:
		name = "_execvpe"
		size = 20
		refs = "0010 ??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 43 00 00 91 22 00 00 91 01 00 00 91 40 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_83_0 {
	meta:
		name = "_wexecve"
		size = 20
		refs = "0010 ??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 43 00 00 91 22 00 00 91 01 00 00 91 40 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_55_0 {
	meta:
		name = "_wexecvpe"
		size = 20
		refs = "0010 ??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 43 00 00 91 22 00 00 91 01 00 00 91 40 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_196_1_0 {
	meta:
		name = "expm1l"
		size = 440
		refs = "0010 _ldtest 0080 lnhalf 0090 lnone_half 00a4 s 0110 c 0198 expl"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 0F 40 FD 58 00 00 14 E8 3F 40 79 08 01 00 11 88 00 78 36 10 10 7E 1E F0 13 00 FD 03 00 00 14 F0 0F 40 FD F0 13 00 FD E0 13 40 FD 4E 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 42 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E A2 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 1A 70 1E F0 0F 40 FD 20 0A 70 1E 00 40 60 1E 09 00 00 14 08 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 17 00 FD F1 17 40 FD 10 10 6E 1E 20 3A 70 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "expm1"
		size = 440
		refs = "0010 _dtest 0080 lnhalf 0090 lnone_half 00a4 s 0110 c 0198 exp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 0F 40 FD 58 00 00 14 E8 3F 40 79 08 01 00 11 88 00 78 36 10 10 7E 1E F0 13 00 FD 03 00 00 14 F0 0F 40 FD F0 13 00 FD E0 13 40 FD 4E 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 42 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E A2 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 0F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 1A 70 1E F0 0F 40 FD 20 0A 70 1E 00 40 60 1E 09 00 00 14 08 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 17 00 FD F1 17 40 FD 10 10 6E 1E 20 3A 70 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_198_15_0 {
	meta:
		name = "call_wsetlocale"
		size = 408
		refs = "0024 _wsetlocale 0048 mbstowcs_s 0058 ??_C@_1GI@BNKDKMPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0060 ??_C@_1CA@DEKPAMPG@?$AAc?$AAa?$AAl?$AAl?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0068 ??_C@_1HC@ODOEFNJK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AA0?$AA?0?$AA?5?$AAn?$AAa@ 007c _invoke_watson_if_oneof 0084 ??_C@_0DE@PCFEELDP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0098 _calloc_dbg 00a8 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00b4 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 00d4 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0120 ??_C@_1JE@MHNHEPNK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAw?$AAi?$AAd?$AAe?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?4@"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 F9 E8 17 40 F9 1F 01 00 F1 E1 00 00 54 01 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 58 00 00 14 E4 7B 40 B2 E3 17 40 F9 02 00 80 D2 01 00 80 D2 E0 C3 00 91 ?? ?? ?? ?? E0 1F 00 B9 07 00 80 D2 A6 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 1F 40 B9 ?? ?? ?? ?? E4 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 2B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 2B 40 F9 2D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 04 00 80 92 E3 17 40 F9 E2 1B 40 F9 E1 2F 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 23 00 B9 07 00 80 D2 66 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 23 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 E0 00 00 54 08 00 80 D2 E8 33 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 33 40 F9 0D 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 B9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_198_16_0 {
	meta:
		name = "setlocale"
		size = 68
		refs = "0010 __acrt_eagerly_load_locale_apis 0020 ??0<lambda_87849dbe581bdf47b379eb01181f234f>@@QEAA@AEAHAEAPEBD@Z 0030 ??$__acrt_lock_and_call@V<lambda_87849dbe581bdf47b379eb01181f234f>@@@@YAPEADW4__acrt_lock_id@@$$QEAV<lambda_87849dbe581bdf47b379eb01181f234f>@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 ?? ?? ?? ?? E2 63 00 91 E1 43 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 80 00 80 52 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_199_0_0 {
	meta:
		name = "_exp2"
		size = 968
		refs = "005c _handle_nan 0094 ?max_exp2_arg@?1??_exp2@@9@9 00c8 ??_C@_04HPAFEEIN@exp2?$AA@ 00d0 _handle_error 00e4 ?min_exp2_arg@?1??_exp2@@9@9 01b0 ?log2_lead@?1??_exp2@@9@9 01dc ?log2_tail@?1??_exp2@@9@9 02e4 ?one_by_32_lead@?1??_exp2@@9@9 02f0 ?log2@?1??_exp2@@9@9 02fc splitexp 032c scaleDouble_1 0354 scaleDouble_2"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD F0 3F 00 FD E8 3F 40 F9 E8 1F 00 F9 E8 1F 40 F9 08 F9 40 92 E8 23 00 F9 09 12 E8 D2 E8 23 40 F9 1F 01 09 EB E3 07 00 54 09 FE EF D2 E8 23 40 F9 1F 01 09 EB 83 02 00 54 E8 1F 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 1F 40 F9 ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD C0 00 00 14 0A 00 00 14 E8 1F 40 F9 08 01 41 92 1F 01 00 F1 80 00 00 54 80 17 00 5C B9 00 00 14 03 00 00 14 E0 0B 40 FD B6 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 0D 02 00 54 26 00 80 52 21 16 00 5C E0 0B 40 FD 45 04 80 52 24 02 80 52 63 00 80 52 02 FE EF D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD A3 00 00 14 14 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E E2 01 00 54 26 00 80 52 A1 13 00 5C E0 0B 40 FD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD 8F 00 00 14 49 12 00 58 E8 23 40 F9 1F 01 09 EB C2 0C 00 54 09 80 E7 D2 E8 23 40 F9 1F 01 09 EB E2 00 00 54 11 10 6E 1E F0 0B 40 FD 20 2A 70 1E 00 40 60 1E 82 00 00 14 5B 00 00 14 F0 0B 40 FD F0 1B 00 FD F0 1B 40 FD F0 4F 00 FD E8 4F 40 F9 E8 27 00 F9 E8 27 40 F9 08 91 65 92 E8 27 00 F9 E8 27 40 F9 E8 53 00 F9 F0 53 40 FD F0 1B 00 FD F1 0B 40 FD F0 1B 40 FD 30 3A 70 1E F0 2F 00 FD F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 2B 00 FD F1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 2B 40 FD 32 3A 70 1E F1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 2A 70 1E F1 2F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 2A 70 1E F1 2F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 50 2A 70 1E F0 33 00 FD F1 2B 40 FD F0 33 40 FD 30 2A 70 1E F0 13 00 FD D1 0A 00 5C F0 13 40 FD 31 0A 70 1E B0 0A 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 70 0A 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 30 0A 00 5C 12 2A 71 1E 31 0A 00 5C F0 13 40 FD 31 0A 70 1E 10 0A 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E D0 09 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 90 09 00 5C 11 2A 71 1E F0 13 40 FD 31 0A 70 1E 10 08 00 5C 10 2A 71 1E 50 1A 70 1E F0 17 00 FD F1 17 40 FD F0 2B 40 FD 32 0A 70 1E F1 17 40 FD F0 33 40 FD 30 0A 70 1E 51 2A 70 1E 10 10 6E 1E 30 2A 70 1E F0 17 00 FD 25 00 00 14 E2 C3 01 91 E1 A3 01 91 E0 63 00 91 84 04 00 5C ?? ?? ?? ?? ?? ?? ?? ?? A2 06 00 5C ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E8 1B 40 B9 1F F9 0F 31 CD 01 00 54 E8 1B 40 B9 1F FD 0F 71 6A 01 00 54 F1 37 40 FD F0 3B 40 FD 20 2A 70 1E E0 1B 40 B9 00 40 60 1E ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD F0 17 00 FD 0A 00 00 14 F1 37 40 FD F0 3B 40 FD 20 2A 70 1E E0 1B 40 B9 00 40 60 1E ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 17 00 FD E0 17 40 FD FD 7B CC A8 C0 03 5F D6 00 00 00 00 00 00 00 00 2F 6C EE 64 47 15 B7 3F 9C 0F FA 0E A8 08 92 3E 2D 97 5D 93 AF 5E 98 3F F3 F0 DA 25 8E E8 F0 3E AD 64 21 01 6F FC EF 3F 02 6A A0 A3 98 7D 43 3F 41 FA CB 26 D7 5D 88 BF EB CD D1 4B 19 6A BB 3F 41 CD E8 5E 2B FC DF BF 00 00 00 00 00 00 40 40 }
	condition:
		$1
}

rule file_200_4_0 {
	meta:
		name = "_towupper_l"
		size = 476
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00b8 ??1_LocaleUpdate@@QEAA@XZ 00dc iswctype 0190 __acrt_LCMapStringW"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 23 00 79 E1 2B 00 F9 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 E0 23 40 79 6B 00 00 14 E1 2B 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 03 00 54 E8 23 40 79 08 01 00 11 1F 85 01 71 6B 01 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 00 00 54 E8 23 40 79 08 01 00 11 08 85 01 51 08 05 01 11 E8 23 00 B9 04 00 00 14 E8 23 40 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 08 3D 00 53 E8 27 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 27 40 79 45 00 00 14 E8 23 40 79 08 01 00 11 1F 01 04 71 6A 04 00 54 41 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 E8 2B 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 2B 40 79 34 00 00 14 15 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 00 91 08 01 40 F9 0A 61 04 91 E8 23 40 79 09 01 00 11 28 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 E8 2F 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 2F 40 79 1F 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 25 00 80 52 E4 6B 00 91 23 00 80 52 E2 43 00 91 01 40 80 52 00 01 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 E8 23 40 79 E8 33 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 33 40 79 06 00 00 14 E8 37 40 79 E8 3B 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 3B 40 79 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_200_5_0 {
	meta:
		name = "towupper"
		size = 40
		refs = "0014 _towupper_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 00 80 D2 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_590_5_0 {
	meta:
		name = "towlower"
		size = 40
		refs = "0014 _towlower_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 00 80 D2 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_201_1_0 {
	meta:
		name = "_pipe"
		size = 1000
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1CI@BCKKMFFO@?$AAp?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_1GE@OGEDBELM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0064 _CrtDbgReportW 008c __doserrno 0094 _errno 00ac ??_C@_1M@PEPCMIBF@?$AA_?$AAp?$AAi?$AAp?$AAe?$AA?$AA@ 00b8 _invalid_parameter 00dc ??_C@_1HA@HGFLGBKA@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAO?$AA_?$AAN?$AAO?$AAI?$AAN?$AAH?$AAE?$AAR?$AAI?$AAT?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_@ 0144 ??_C@_1HI@INGMPBH@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT@ 01b8 __imp_CreatePipe 01cc __imp_GetLastError 01dc __acrt_errno_map_os_error 01e4 _alloc_osfhnd 020c __imp_CloseHandle 0238 __pioinfo 0278 __acrt_lowio_unlock_fh 02fc _get_fmode 038c __acrt_lowio_set_os_handle 03c0 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 03c8 _invoke_watson"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B BB A9 FD 03 00 91 17 00 00 91 39 00 00 11 56 00 00 11 FF 02 00 F1 F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 13 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 04 03 00 91 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 81 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F3 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C3 02 80 52 C8 02 80 52 08 00 00 B9 A0 02 00 91 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 82 02 00 91 ?? ?? ?? ?? 00 00 80 12 C3 00 00 14 08 00 80 12 E8 06 00 B9 E8 02 00 B9 08 10 98 12 DF 02 08 6A F5 17 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 75 01 00 35 65 02 00 91 04 03 00 91 03 00 80 D2 22 03 80 52 81 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 35 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 03 80 52 60 02 00 91 DE FF FF 17 C8 06 12 12 09 00 98 52 1F 01 09 6B F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 73 01 00 35 A5 02 00 91 04 03 00 91 03 00 80 D2 42 03 80 52 81 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D3 00 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 43 03 80 52 C4 FF FF 17 1B 03 80 52 BB 3B 00 B9 BF 23 00 F9 E8 1F 76 2A 09 01 00 12 A9 4B 00 B9 23 03 00 11 A2 E3 00 91 A1 C3 00 91 A0 A3 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? B7 FF FF 17 ?? ?? ?? ?? 13 00 00 11 B3 17 00 B9 7F 06 00 31 E1 01 00 54 ?? ?? ?? ?? 1B 00 00 B9 ?? ?? ?? ?? 1F 00 00 B9 A0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A0 1B 40 F9 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A4 FF FF 17 68 7E 40 93 18 FD 46 93 ?? ?? ?? ?? ?? ?? ?? ?? 1A 15 40 92 28 7B 78 F8 09 19 1A 8B 28 11 80 52 28 E1 00 39 28 7B 78 F8 09 19 1A 8B 3F E5 00 39 2A 7B 78 F8 4B 19 1A 8B 68 F5 40 39 08 19 1F 12 68 F5 00 39 60 02 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 15 00 00 11 B5 17 00 B9 BF 06 00 31 A1 00 00 54 28 7B 78 F8 09 19 1A 8B 3F E1 00 39 D7 FF FF 17 A8 7E 40 93 1B FD 46 93 ?? ?? ?? ?? ?? ?? ?? ?? AA 0F 00 F9 0B 15 40 92 AB 13 00 F9 48 79 7B F8 09 19 0B 8B 2C 11 80 52 2C E1 00 39 48 79 7B F8 09 19 0B 8B 3F E5 00 39 4A 79 7B F8 4B 19 0B 8B 68 F5 40 39 08 19 1F 12 68 F5 00 39 A0 02 00 11 ?? ?? ?? ?? BF 13 00 B9 A0 43 00 91 ?? ?? ?? ?? 60 05 00 35 D6 00 78 37 56 02 70 37 09 00 90 52 A8 13 40 B9 1F 01 09 6B C1 01 00 54 28 7B 78 F8 0A 19 1A 8B 49 E1 40 39 28 19 00 12 48 E1 00 39 AC 0F 40 F9 89 79 7B F8 AD 13 40 F9 2B 19 0D 8B 68 E1 40 39 08 19 00 12 68 E1 00 39 03 00 00 14 AD 13 40 F9 AC 0F 40 F9 76 01 38 36 28 7B 78 F8 0A 19 1A 8B 49 E1 40 39 28 01 1C 32 48 E1 00 39 89 79 7B F8 2B 19 0D 8B 68 E1 40 39 08 01 1C 32 68 E1 00 39 A1 17 40 F9 60 02 00 11 ?? ?? ?? ?? A1 1B 40 F9 A0 02 00 11 ?? ?? ?? ?? F3 02 00 B9 F5 06 00 B9 00 00 80 52 09 00 00 14 04 00 80 D2 43 0B 80 52 82 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C5 A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_201_2_0 {
	meta:
		name = "_pipe$fin$1"
		size = 32
		refs = "000c __acrt_lowio_unlock_fh"
		altNames = "_pipe$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 17 40 B9 ?? ?? ?? ?? 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_202_6_0 {
	meta:
		name = "?InternalCompareStringA@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDH2HH@Z"
		size = 1768
		refs = "0008 __security_push_cookie 004c __strncnt 014c __imp_GetCPInfo 01a0 ??_C@_1HK@ELDMAMK@?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA1?$AA?$DN?$AA?$DN?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA2?$AA?$DN?$AA?$DN?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b8 ??_C@_1HC@NLKDIKED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01c4 _CrtDbgReportW 0370 __imp_MultiByteToWideChar 03b4 _MallocaComputeSize 03e8 ??_C@_0DJ@MBLHFEOE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 03f8 _malloc_dbg 0408 _MarkAllocaS 042c ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 0440 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 044c ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 046c ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 06b4 __acrt_CompareStringEx 06dc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 05 D1 E0 5B 00 F9 E1 9F 00 F9 E2 83 00 B9 E3 23 00 F9 E4 13 00 B9 E5 27 00 F9 E6 17 00 B9 E7 1B 00 B9 E8 13 40 B9 1F 01 00 71 6D 01 00 54 E8 13 40 B9 01 7D 40 93 21 00 00 91 E0 23 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 01 00 11 E8 13 00 B9 06 00 00 14 E8 13 40 B9 1F 05 00 31 6A 00 00 54 00 00 80 52 99 01 00 14 E8 17 40 B9 1F 01 00 71 6D 01 00 54 E8 17 40 B9 01 7D 40 93 21 00 00 91 E0 27 40 F9 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 08 01 00 11 E8 17 00 B9 06 00 00 14 E8 17 40 B9 1F 05 00 31 6A 00 00 54 00 00 80 52 87 01 00 14 E9 1B 40 B9 08 00 80 52 1F 01 09 6B 01 01 00 54 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 1B 00 B9 E8 13 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 01 00 71 C1 12 00 54 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 61 00 00 54 40 00 80 52 70 01 00 14 E8 17 40 B9 1F 05 00 71 6D 00 00 54 20 00 80 52 6B 01 00 14 E8 13 40 B9 1F 05 00 71 6D 00 00 54 60 00 80 52 66 01 00 14 E1 83 05 91 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 53 00 B9 E8 53 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 5B 01 00 14 E8 13 40 B9 1F 01 00 71 81 00 00 54 E8 17 40 B9 1F 05 00 71 E0 02 00 54 E8 13 40 B9 1F 05 00 71 81 00 00 54 E8 17 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 AD 05 00 54 E8 63 41 B9 1F 09 00 71 62 00 00 54 60 00 80 52 37 01 00 14 E8 9B 05 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 03 00 54 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 23 40 F9 09 01 40 39 29 01 00 11 E8 13 40 F9 08 01 40 39 08 01 00 11 3F 01 08 6B 8B 01 00 54 E8 23 40 F9 09 01 40 39 29 01 00 11 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 3F 01 08 6B 6C 00 00 54 40 00 80 52 13 01 00 14 DF FF FF 17 60 00 80 52 10 01 00 14 E8 17 40 B9 1F 01 00 71 AD 05 00 54 E8 63 41 B9 1F 09 00 71 62 00 00 54 20 00 80 52 08 01 00 14 E8 9B 05 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 03 00 54 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 27 40 F9 09 01 40 39 29 01 00 11 E8 13 40 F9 08 01 40 39 08 01 00 11 3F 01 08 6B 8B 01 00 54 E8 27 40 F9 09 01 40 39 29 01 00 11 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 3F 01 08 6B 6C 00 00 54 40 00 80 52 E4 00 00 14 DF FF FF 17 20 00 80 52 E1 00 00 14 05 00 80 52 04 00 80 D2 E3 13 40 B9 E2 23 40 F9 21 01 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5B 00 B9 E8 5B 40 B9 E8 2F 00 B9 E9 2F 40 B9 08 00 80 52 1F 01 09 6B 61 00 00 54 00 00 80 52 CF 00 00 14 E8 2F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 1F 01 00 F1 C0 02 00 54 E8 2F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 63 00 F9 C3 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 63 40 F9 ?? ?? ?? ?? E0 67 00 F9 A1 BB 9B 52 E0 67 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 4B 00 F9 03 00 00 14 08 00 80 D2 E8 4B 00 F9 E1 4B 40 F9 E0 03 05 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 01 01 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 A7 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 52 E8 5F 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 5F 40 B9 99 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 77 00 F9 E5 2F 40 B9 E4 77 40 F9 E3 13 40 B9 E2 23 40 F9 21 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 63 00 B9 E9 63 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 08 00 80 52 E8 67 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 67 40 B9 82 00 00 14 05 00 80 52 04 00 80 D2 E3 17 40 B9 E2 27 40 F9 21 01 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 6B 00 B9 E8 6B 40 B9 E8 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 08 00 80 52 E8 6F 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 6F 40 B9 6C 00 00 14 E8 2B 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 1F 01 00 F1 C0 02 00 54 E8 2B 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 7F 00 F9 C3 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 7F 40 F9 ?? ?? ?? ?? E0 83 00 F9 A1 BB 9B 52 E0 83 40 F9 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 4F 00 F9 03 00 00 14 08 00 80 D2 E8 4F 00 F9 E1 4F 40 F9 E0 43 05 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 01 01 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 AF 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 52 E8 73 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 73 40 B9 34 00 00 14 E0 E3 00 91 ?? ?? ?? ?? E0 93 00 F9 E5 2B 40 B9 E4 93 40 F9 E3 17 40 B9 E2 27 40 F9 21 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 77 00 B9 E8 77 40 B9 E8 7B 00 B9 E8 7B 40 B9 1F 01 00 71 21 01 00 54 08 00 80 52 E8 7F 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 7F 40 B9 1A 00 00 14 E0 E3 00 91 ?? ?? ?? ?? E0 97 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 F9 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 E5 2B 40 B9 E4 97 40 F9 E3 2F 40 B9 E2 9B 40 F9 E1 83 40 B9 E0 9F 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 E8 8B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 8B 40 B9 FF C3 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_202_10_0 {
	meta:
		name = "__acrt_CompareStringA"
		size = 136
		refs = "0030 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0064 ?InternalCompareStringA@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDH2HH@Z 0078 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 F9 E1 23 00 F9 E2 1F 00 B9 E3 1F 00 F9 E4 1B 00 B9 E5 1B 00 F9 E6 17 00 B9 E7 13 00 B9 E1 17 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 2B 00 F9 E0 63 01 91 ?? ?? ?? ?? E0 27 00 F9 E7 13 40 B9 E6 17 40 B9 E5 1B 40 F9 E4 1B 40 B9 E3 1F 40 F9 E2 1F 40 B9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 27 40 B9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "lroundl"
		size = 176
		refs = "0010 _ldtest 004c roundl 0090 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 03 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 4D 02 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0F 00 FD F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "lround"
		size = 176
		refs = "0010 _dtest 004c round 0090 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 03 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 4D 02 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 0F 00 FD F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_204_0_0 {
	meta:
		name = "??$common_tcsncat_s@D@@YAHQEAD_KQEBD1@Z"
		size = 1948
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0160 _CrtGetDebugFillThreshold 01b0 memset 01e8 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0360 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 03a4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0604 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0648 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 17 00 F9 E1 0B 00 F9 E2 43 00 F9 E3 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 21 01 00 54 E8 17 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 D5 01 00 14 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A2 01 00 14 E8 2F 40 F9 1F 01 00 F1 E0 0A 00 54 E8 43 40 F9 1F 01 00 F1 81 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E8 17 40 F9 00 05 00 91 E2 4B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 49 01 00 14 E8 17 40 F9 E8 13 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 2F 40 F9 E8 33 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F2 FF FF 17 E8 0F 40 F9 1F 01 00 F1 01 0B 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E8 17 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 DA 00 00 14 E8 43 40 F9 E8 1B 00 F9 E8 2F 40 F9 1F 05 00 B1 41 03 00 54 E9 13 40 F9 E8 1B 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 01 C0 39 08 01 00 11 E8 77 00 B9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 77 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 25 00 00 14 E8 33 40 F9 1F 01 00 F1 89 03 00 54 E9 13 40 F9 E8 1B 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 01 C0 39 08 01 00 11 E8 7B 00 B9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 7B 40 B9 1F 01 00 71 60 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 00 00 54 E8 33 40 F9 08 05 00 D1 E8 33 00 F9 E3 FF FF 17 E8 33 40 F9 1F 01 00 F1 81 00 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 01 00 F1 A1 0C 00 54 E8 2F 40 F9 1F 05 00 B1 61 01 00 54 E8 0B 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 17 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 00 0A 80 52 88 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E8 0B 40 F9 09 05 00 D1 E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E8 17 40 F9 00 05 00 91 E2 5B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 5F 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 5F 40 F9 1F 01 09 EB 82 00 00 54 E8 5F 40 F9 E8 63 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 63 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 17 40 F9 00 01 09 8B E2 63 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_204_1_0 {
	meta:
		name = "strncat_s"
		size = 60
		refs = "0028 ??$common_tcsncat_s@D@@YAHQEAD_KQEBD1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_607_1_0 {
	meta:
		name = "strncpy_s"
		size = 60
		refs = "0028 ??$common_tcsncpy_s@D@@YAHQEAD_KQEBD1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_355_1_0 {
	meta:
		name = "wcsncat_s"
		size = 60
		refs = "0028 ??$common_tcsncat_s@_W@@YAHQEA_W_KQEB_W1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_576_1_0 {
	meta:
		name = "wcsncpy_s"
		size = 60
		refs = "0028 ??$common_tcsncpy_s@_W@@YAHQEA_W_KQEB_W1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "fdim"
		size = 160
		refs = "0014 _dtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 17 00 00 14 16 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 0D 00 00 14 0C 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 88 00 00 54 40 01 00 5C 06 00 00 14 05 00 00 14 F1 0F 40 FD F0 13 40 FD 20 3A 70 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_408_0_0 {
	meta:
		name = "fdiml"
		size = 160
		refs = "0014 _ldtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 17 00 00 14 16 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 0D 00 00 14 0C 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 88 00 00 54 40 01 00 5C 06 00 00 14 05 00 00 14 F1 0F 40 FD F0 13 40 FD 20 3A 70 1E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_206_0_0 {
	meta:
		name = "strncpy"
		size = 196
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 07 40 F9 E8 13 00 F9 E8 0B 40 F9 1F 01 00 F1 C0 02 00 54 E9 07 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 03 40 B9 1F 01 00 71 A0 00 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E9 FF FF 17 E8 0B 40 F9 1F 01 00 F1 C0 01 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 00 01 00 54 E9 07 40 F9 08 00 80 52 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F4 FF FF 17 E0 13 40 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_207_5_0 {
	meta:
		name = "_mbsnbset_l"
		size = 412
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0044 _strnset 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0060 ??_C@_1HC@DGGOBGOB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 007c _CrtDbgReportW 008c _errno 0098 ??_C@_1BI@CEPLNFIK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 00b0 _invalid_parameter 00d0 ??_C@_1FG@HBOFIKMC@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 35 00 00 11 61 00 00 91 E0 43 00 91 76 02 00 91 54 00 00 91 ?? ?? ?? ?? E8 13 40 F9 08 09 40 B9 E8 00 00 35 82 02 00 91 A1 02 00 11 60 02 00 91 ?? ?? ?? ?? 16 00 00 91 49 00 00 14 73 03 00 B5 54 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 09 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 16 00 80 D2 2E 00 00 14 A8 7E 08 53 0C 1D 00 53 AC 04 00 34 AB 1E 00 53 6B 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 0C 04 80 52 0B 04 80 52 D4 02 00 B4 68 02 40 39 89 06 00 D1 68 02 00 34 34 05 00 D1 09 01 00 B4 69 06 40 39 C9 00 00 34 6C 02 00 39 6B 06 00 39 73 0A 00 91 D4 FE FF B5 0A 00 00 14 08 04 80 52 68 02 00 39 07 00 00 14 D4 00 00 B4 68 02 40 39 94 06 00 D1 68 00 00 34 75 16 00 38 94 FF FF B5 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 C0 02 00 91 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "fsetpos"
		size = 436
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GC@FNEGPDLB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BA@IMLBNLMA@?$AAf?$AAs?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a0 _fseeki64"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 38 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 08 00 00 14 02 00 80 52 E8 1B 40 F9 01 01 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "fmaxl"
		size = 164
		refs = "0014 _ldtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 1B 00 00 14 1A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 03 01 00 54 F1 13 40 FD F0 0F 40 FD 00 22 71 1E E1 00 00 54 E8 3F 40 79 08 01 00 11 88 00 78 36 E0 13 40 FD 03 00 00 14 02 00 00 14 E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_239_0_0 {
	meta:
		name = "fmax"
		size = 164
		refs = "0014 _dtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 1B 00 00 14 1A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 03 01 00 54 F1 13 40 FD F0 0F 40 FD 00 22 71 1E E1 00 00 54 E8 3F 40 79 08 01 00 11 88 00 78 36 E0 13 40 FD 03 00 00 14 02 00 00 14 E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "_fderfc"
		size = 180
		refs = "0020 _s 0064 _c 00a4 _fdexp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD 11 42 21 1E F0 13 40 BD 30 0A 30 1E F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E 40 1A 30 1E 01 00 80 52 00 40 20 1E E0 53 00 91 ?? ?? ?? ?? E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_211_1_0 {
	meta:
		name = "erff"
		size = 472
		refs = "0010 _fdtest 00a8 _fderf_small 00cc s 0110 c 016c _fderf_one 0184 _fderfc"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 00 01 00 54 E8 1F 40 B9 1F 05 00 71 E0 00 00 54 E8 1F 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 1B 40 BD 60 00 00 14 E8 37 40 79 08 01 00 11 88 00 78 36 10 10 3E 1E F0 23 00 BD 03 00 00 14 10 10 2E 1E F0 23 00 BD E0 23 40 BD 56 00 00 14 F0 1B 40 BD 08 22 20 1E A2 00 00 54 F0 1B 40 BD 10 42 21 1E F0 27 00 BD 03 00 00 14 F0 1B 40 BD F0 27 00 BD F0 27 40 BD F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E A2 05 00 54 F1 1B 40 BD F0 1B 40 BD 30 0A 30 1E F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E 51 1A 30 1E F0 1B 40 BD 20 0A 30 1E 00 40 20 1E 1B 00 00 14 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E 22 01 00 54 E0 17 40 BD ?? ?? ?? ?? E0 2F 00 BD 11 10 2E 1E F0 2F 40 BD 30 3A 30 1E F0 17 00 BD 03 00 00 14 10 10 2E 1E F0 17 00 BD F0 1B 40 BD 08 22 20 1E A2 00 00 54 F0 17 40 BD 10 42 21 1E F0 2B 00 BD 03 00 00 14 F0 17 40 BD F0 2B 00 BD E0 2B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "log"
		size = 1144
		refs = "0044 _handle_nan 0088 ??_C@_03MGHMBJCF@log?$AA@ 0090 _handle_error 0144 ?log_thresh1@?1??log@@9@9 0158 ?log_thresh2@?1??log@@9@9 01dc ?ca_4@?1??log@@9@9 01e8 ?ca_3@?1??log@@9@9 01fc ?ca_2@?1??log@@9@9 0210 ?ca_1@?1??log@@9@9 0270 ?corr@?L@??log@@9@9 0320 ?ln_lead_table@?1??log@@9@9 0348 ?ln_tail_table@?1??log@@9@9 03b4 ?cb_3@?1??log@@9@9 03c0 ?cb_2@?1??log@@9@9 03d4 ?cb_1@?1??log@@9@9 0414 ?log2_lead@?1??log@@9@9 0434 ?log2_tail@?1??log@@9@9"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 1B 00 FD F0 1B 40 FD F0 3B 00 FD E8 3B 40 F9 E8 0B 00 F9 E8 0B 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 04 00 54 E8 0B 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD 03 01 00 14 16 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 00 02 00 54 26 00 80 52 E1 1F 00 5C E0 1B 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD F0 00 00 14 03 00 00 14 E0 1B 40 FD ED 00 00 14 26 00 00 14 E8 0B 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 21 1D 00 5C E0 1B 40 FD 45 04 80 52 84 00 80 52 43 00 80 52 02 FE FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD DA 00 00 14 13 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 C1 1A 00 5C E0 1B 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD C7 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB 83 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB E8 06 00 54 F1 1B 40 FD 10 10 6E 1E 30 3A 70 1E F0 27 00 FD 11 10 60 1E F0 27 40 FD 31 2A 70 1E F0 27 40 FD 10 1A 71 1E F0 0F 00 FD F1 27 40 FD F0 0F 40 FD 30 0A 70 1E F0 4F 00 FD F1 0F 40 FD F0 0F 40 FD 30 2A 70 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 13 00 FD F0 27 40 FD F0 2B 00 FD F1 0F 40 FD F0 13 40 FD 32 0A 70 1E F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 51 0A 70 1E F0 4F 40 FD 30 3A 70 1E F0 2F 00 FD F1 2B 40 FD F0 2F 40 FD 20 2A 70 1E 00 40 60 1E 88 00 00 14 87 00 00 14 09 02 E0 D2 E8 0B 40 F9 1F 01 09 EB 62 02 00 54 E9 0B 40 F9 08 7A E0 D2 28 01 08 AA E8 53 00 F9 F0 53 40 FD F0 1F 00 FD F1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 1F 00 FD F0 1F 40 FD F0 57 00 FD E8 57 40 F9 E8 0B 00 F9 88 07 80 52 E8 43 00 B9 05 00 00 14 F0 1B 40 FD F0 1F 00 FD 08 00 80 52 E8 43 00 B9 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 09 FD 0F 51 E8 43 40 B9 28 01 08 4B E8 47 00 B9 E9 0B 40 F9 C8 7F 80 D2 09 2D 4C B3 E9 5B 00 F9 F0 5B 40 FD F0 1F 00 FD E8 0B 40 F9 08 15 52 92 08 01 4C B2 09 FD 6E D3 E8 0B 40 F9 08 01 53 92 08 FD 6D D3 28 01 08 8B 08 01 00 11 E8 2B 00 B9 E8 2B 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 67 00 FD E8 2B 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 63 00 FD E8 2B 40 B9 11 01 62 1E 70 08 00 5C 30 0A 70 1E F0 33 00 FD F1 1F 40 FD F0 33 40 FD 30 3A 70 1E F0 37 00 FD 11 10 6C 1E F0 37 40 FD 31 0A 70 1E F0 33 40 FD 11 2A 71 1E F0 37 40 FD 10 1A 71 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 13 00 FD F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 10 0A 71 1E F0 5F 00 FD F1 0F 40 FD F0 5F 40 FD 31 0A 70 1E F0 0F 40 FD 11 2A 71 1E F0 63 40 FD 10 2A 71 1E F0 6B 00 FD E8 47 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 67 40 FD 30 2A 70 1E F0 2B 00 FD E8 47 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 6B 40 FD 30 2A 70 1E F0 2F 00 FD F1 2B 40 FD F0 2F 40 FD 20 2A 70 1E 00 40 60 1E FD 7B CE A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule file_213_3_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 28
	strings:
		$1 = { 1F 00 00 71 08 00 B0 52 08 11 9F 1A 09 21 09 12 2A 1D 09 32 2A 00 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_4_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 28
	strings:
		$1 = { 1F 00 00 71 08 00 F0 D2 08 11 9F 9A 09 2D 4C 92 2A 29 4C B2 2A 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_5_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 24
	strings:
		$1 = { 1F 00 00 71 08 00 B0 52 08 11 9F 1A 09 79 00 32 29 00 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_6_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 24
	strings:
		$1 = { 1F 00 00 71 08 00 F0 D2 08 11 9F 9A 09 F9 40 B2 29 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_7_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 36
	strings:
		$1 = { 1F 00 00 71 08 00 B0 52 08 11 9F 1A 09 25 09 12 8A 00 00 18 29 01 0A 2A 29 00 00 B9 C0 03 5F D6 01 00 80 7F }
	condition:
		$1
}

rule file_213_8_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 40
	strings:
		$1 = { 1F 00 00 71 08 00 F0 D2 08 11 9F 9A 09 31 4C 92 8A 00 00 58 29 01 0A AA 29 00 00 F9 C0 03 5F D6 01 00 00 00 00 00 F0 7F }
	condition:
		$1
}

rule file_213_9_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAM@Z"
		size = 36
	strings:
		$1 = { 28 FC 01 11 09 21 09 53 2B 1D 09 12 48 58 00 12 69 01 08 2A 29 7D 00 2A 00 00 80 52 69 00 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_10_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAN@Z"
		size = 36
	strings:
		$1 = { 28 FC 0F 11 09 29 40 92 0A 00 00 11 2A 2D 0A AA 48 CC 40 92 00 00 80 52 09 D1 0A AA 69 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_11_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 24
	strings:
		$1 = { 1F 00 00 71 08 00 B0 52 08 11 9F 1A 09 01 01 12 29 00 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_12_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 24
	strings:
		$1 = { 1F 00 00 71 08 00 F0 D2 08 11 9F 9A 09 01 41 92 29 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_13_0 {
	meta:
		name = "??$common_cscanf@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 172
		refs = "0010 __security_push_cookie 002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0078 ?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0098 __security_pop_cookie"
		altNames = "__conio_common_vcscanf"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 14 00 00 91 33 00 00 91 41 00 00 91 E0 03 00 91 75 00 00 91 ?? ?? ?? ?? F4 7F 02 A9 E8 93 01 91 F4 4F 03 A9 FF 43 00 B9 E0 83 00 91 1F 7D 00 A9 1F 7D 01 A9 E8 23 00 91 E8 D7 08 A9 FF 47 00 B9 FF 23 01 39 FF 27 01 39 FF 2B 01 39 FF 2B 00 F9 FF 5B 00 B9 FF 73 01 39 FF 63 00 B9 FF FF 09 A9 ?? ?? ?? ?? E8 63 40 39 A8 00 00 34 EA 03 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FF 83 02 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_14_0 {
	meta:
		name = "??$common_cscanf@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 168
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0064 ?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0074 _free_dbg"
		altNames = "__conio_common_vcwscanf"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B B6 A9 FD 03 00 91 14 00 00 91 33 00 00 91 41 00 00 91 E0 03 02 91 75 00 00 91 ?? ?? ?? ?? F4 7F 01 A9 E8 23 02 91 F4 4F 02 A9 E0 43 00 91 FF A3 05 A9 FF 7F 06 29 FF 73 00 79 FF 77 00 79 FF F3 00 39 FF 23 00 F9 FF 4B 00 B9 FF 33 01 39 FF 53 00 B9 F5 FF 06 A9 FF 3F 00 F9 ?? ?? ?? ?? 41 00 80 52 13 00 00 11 E0 2F 40 F9 ?? ?? ?? ?? E8 63 42 39 FF 2F 00 F9 A8 00 00 34 EA 43 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FD 7B CA A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_15_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 104
		refs = "001c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 0058 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 13 00 00 91 E1 0B 00 F9 FF 63 00 39 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 32 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 43 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_17_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 104
		refs = "001c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 0058 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 13 00 00 91 E1 0B 00 F9 FF 63 00 39 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 32 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 43 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_16_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 108
		refs = "0020 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 _CrtDbgReportW 005c ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 28 00 80 52 E1 0B 00 F9 E8 63 00 39 13 00 00 91 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 31 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 43 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_18_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 108
		refs = "0020 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 _CrtDbgReportW 005c ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 28 00 80 52 E1 0B 00 F9 E8 63 00 39 13 00 00 91 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 31 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 43 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_19_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
		size = 96
		refs = "0034 _CrtGetDebugFillThreshold 004c memset"
		altNames = "??$fill_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 33 00 00 91 68 06 00 91 09 F9 60 92 15 00 00 91 54 00 00 91 69 01 00 B4 68 02 14 CB 1F 01 13 EB 02 01 00 54 ?? ?? ?? ?? A8 02 14 CB 1F 00 14 EB 02 30 94 9A 00 01 13 8B C1 1F 80 52 ?? ?? ?? ?? FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_21_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
		size = 92
		refs = "0030 _CrtGetDebugFillThreshold 0048 memset"
		altNames = "??$fill_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 28 04 00 91 09 F9 60 92 15 00 00 91 54 00 00 91 69 01 00 B4 33 00 14 CB 7F 02 01 EB 02 01 00 54 ?? ?? ?? ?? C1 1F 80 52 1F 00 14 EB 08 30 94 9A A0 06 13 8B 02 F9 7F D3 ?? ?? ?? ?? FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_25_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 60
	strings:
		$1 = { 60 00 10 36 20 00 80 52 0C 00 00 14 40 01 00 36 A0 00 08 36 08 00 F0 D2 3F 00 08 EB C9 00 00 54 F9 FF FF 17 08 00 F0 92 3F 00 08 EB 20 00 80 52 48 00 00 54 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_28_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
		size = 24
		altNames = "??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { 01 08 00 A9 1F 0C 01 A9 63 00 00 B4 28 00 80 52 68 00 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_30_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 304
		refs = "0010 __security_push_cookie 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 0058 _errno 006c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 007c _invalid_parameter 00a4 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 0100 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 011c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 0C D1 33 00 00 91 54 00 00 91 F4 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 20 00 80 52 20 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 D4 80 52 ?? ?? ?? ?? E1 FF FF 17 E2 03 00 91 61 02 00 91 ?? ?? ?? ?? 82 02 00 91 E1 03 00 91 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 FF 43 0C 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_31_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 304
		refs = "0010 __security_push_cookie 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 0058 _errno 006c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 007c _invalid_parameter 00a4 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 0100 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 011c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 0C D1 33 00 00 91 54 00 00 91 F4 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 20 00 80 52 20 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 D4 80 52 ?? ?? ?? ?? E1 FF FF 17 E2 03 00 91 61 02 00 91 ?? ?? ?? ?? 82 02 00 91 E1 03 00 91 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 FF 43 0C 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_32_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 304
		refs = "0010 __security_push_cookie 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 0058 _errno 006c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 007c _invalid_parameter 00a4 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 0100 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 011c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 0C D1 33 00 00 91 54 00 00 91 F4 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 20 00 80 52 20 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 D4 80 52 ?? ?? ?? ?? E1 FF FF 17 E2 03 00 91 61 02 00 91 ?? ?? ?? ?? 82 02 00 91 E1 03 00 91 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 FF 43 0C 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_33_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 304
		refs = "0010 __security_push_cookie 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 _CrtDbgReportW 0058 _errno 006c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 007c _invalid_parameter 00a4 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 0100 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 011c __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 0C D1 33 00 00 91 54 00 00 91 F4 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 D4 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 20 00 80 52 20 00 00 14 80 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 D4 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 D4 80 52 ?? ?? ?? ?? E1 FF FF 17 E2 03 00 91 61 02 00 91 ?? ?? ?? ?? 82 02 00 91 E1 03 00 91 ?? ?? ?? ?? 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 FF 43 0C 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_34_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2564
		refs = "0030 ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0064 _getche_nolock 00bc _isctype_l 00d0 _chvalidator_l 02a4 _ungetch_nolock 0554 ??R<lambda_51fe386bff0e7ee6313a78db88c8dbac>@@QEBA_NXZ 09d0 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z 09e4 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BC A9 FD 03 00 91 33 00 00 91 16 00 00 91 57 00 00 91 60 02 00 91 F7 13 00 F9 ?? ?? ?? ?? 60 00 00 35 E0 00 80 52 6B 02 00 14 68 0A 40 F9 09 05 00 91 E8 0F 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 0A 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 0A 00 80 52 E8 43 00 91 F3 A3 02 A9 E9 63 00 91 E9 1F 00 F9 EA 43 00 39 56 01 00 B4 C8 02 40 F9 09 09 40 B9 3F 05 00 71 CD 00 00 54 C2 02 00 91 01 01 80 52 40 1D 00 53 ?? ?? ?? ?? 05 00 00 14 02 01 80 52 41 1D 00 53 C0 02 00 91 ?? ?? ?? ?? 40 02 00 34 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 0A 1C 00 13 09 05 00 91 89 02 00 F9 E2 FF FF 17 0A 00 80 52 E0 FF FF 17 E0 43 C0 39 1F B4 00 71 E8 17 9F 1A 09 1C 00 53 E8 22 0C 39 A8 1F 80 52 2A AD 00 51 48 01 08 0A 48 02 00 35 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 08 1C 00 53 09 25 01 51 EA 1B 80 52 29 01 0A 0A 29 42 00 34 08 1C 00 53 09 39 01 51 29 01 0A 0A 09 41 00 34 1B 00 80 52 1F C0 00 71 E1 07 00 54 68 D6 40 A9 A9 06 00 91 1F 01 00 F1 69 0A 00 F9 24 11 48 FA A8 04 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 00 04 00 54 88 02 40 F9 0B 1C 00 13 EA 1B 80 52 09 05 00 91 68 1D 00 53 89 02 00 F9 09 61 01 51 29 01 0A 0A A9 02 00 35 69 A2 40 A9 3B 00 80 52 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 F5 0F 00 F9 18 00 00 14 E0 43 C0 39 03 00 00 14 E0 43 C0 39 0B 00 80 52 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA C8 01 00 54 68 05 00 11 09 1D 00 53 3F 05 00 71 49 01 00 54 6A 02 40 F9 7F 05 00 31 E0 00 00 54 48 01 40 F9 60 01 00 11 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? E0 43 C0 39 FA 22 00 91 F9 22 0C 91 F7 22 00 91 1C 00 80 52 15 00 80 52 1F C0 00 71 C1 02 00 54 35 00 80 52 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 20 01 00 54 88 02 40 F9 00 1C 00 13 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 43 00 39 81 00 00 54 EF FF FF 17 FF 43 00 39 00 00 80 52 7F 03 00 71 E9 01 80 52 28 01 80 52 38 11 88 1A 08 40 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 0A C0 00 51 0D 00 00 14 0A 7C 02 11 4B 1D 00 53 7F 65 00 71 68 00 00 54 0A 5C 01 51 07 00 00 14 08 FC 02 11 09 1D 00 53 3F 65 00 71 0A DC 00 51 49 00 00 54 0A 00 80 12 5F 01 18 6B 28 03 00 54 35 00 80 52 FF 02 19 EB 60 00 00 54 EA 02 00 39 F7 06 00 91 69 A2 40 A9 9C 07 00 11 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 D5 FF FF 17 C8 02 40 F9 09 7D 40 F9 2A 01 40 F9 4B 01 C0 39 1F 00 0B 6B E1 0A 00 54 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 FF 02 1A EB 21 03 00 54 1F C0 00 71 E1 02 00 54 35 00 80 52 69 A2 40 A9 9C 07 00 51 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 20 01 00 54 88 02 40 F9 00 1C 00 13 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 43 00 39 81 00 00 54 EE FF FF 17 FF 43 00 39 00 00 80 52 08 40 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 0A C0 00 51 0D 00 00 14 0A 7C 02 11 4B 1D 00 53 7F 65 00 71 68 00 00 54 0A 5C 01 51 07 00 00 14 08 FC 02 11 09 1D 00 53 3F 65 00 71 0A DC 00 51 49 00 00 54 0A 00 80 12 5F 01 18 6B 08 03 00 54 35 00 80 52 FF 02 19 EB 60 00 00 54 EA 02 00 39 F7 06 00 91 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 D6 FF FF 17 35 01 00 35 E0 A3 00 91 ?? ?? ?? ?? 00 D7 FF 34 7F 03 00 71 49 00 80 52 E8 00 80 52 20 11 88 1A 1F 01 00 14 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0F 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 08 00 80 52 1F 14 01 71 20 01 00 54 1F 40 01 71 A0 00 00 54 1F 94 01 71 A0 00 00 54 1F C0 01 71 A1 00 00 54 68 03 00 11 03 00 00 14 68 03 00 52 08 1D 00 53 15 00 80 52 88 15 00 34 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 08 1C 00 53 E0 43 00 39 09 AD 00 51 1F B4 00 71 AA 1F 80 52 29 01 0A 0A F8 17 9F 1A 49 02 00 35 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 16 00 80 52 1F C0 00 71 C1 02 00 54 36 00 80 52 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 20 01 00 54 88 02 40 F9 00 1C 00 13 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 43 00 39 81 00 00 54 EF FF FF 17 FF 43 00 39 00 00 80 52 08 40 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 0B C0 00 51 0D 00 00 14 0A 7C 02 11 4B 1D 00 53 7F 65 00 71 68 00 00 54 0B 5C 01 51 07 00 00 14 08 FC 02 11 09 1D 00 53 3F 65 00 71 0B DC 00 51 49 00 00 54 0B 00 80 12 7F 29 00 71 42 03 00 54 AA 0A 15 0B 08 8A 82 52 36 00 80 52 75 05 0A 0B BF 02 08 6B 6C 02 00 54 69 A2 40 A9 0B 05 00 91 3F 01 00 F1 6B 0A 00 F9 64 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 D5 FF FF 17 35 8A 82 52 08 40 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 0A C0 00 51 0D 00 00 14 0A 7C 02 11 4B 1D 00 53 7F 65 00 71 68 00 00 54 0A 5C 01 51 07 00 00 14 08 FC 02 11 09 1D 00 53 3F 65 00 71 0A DC 00 51 49 00 00 54 0A 00 80 12 5F 29 00 71 62 02 00 54 6B AA 40 A9 4C 05 00 91 7F 01 00 F1 6C 0A 00 F9 84 11 4B FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 DB FF FF 17 58 00 00 34 F5 03 15 4B B6 02 00 35 E0 A3 00 91 ?? ?? ?? ?? C0 BC FF 34 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 00 1C 00 13 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 43 00 39 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? FF 02 1A EB 60 04 00 54 E8 F2 5F 38 88 00 00 35 F7 06 00 D1 FF 02 1A EB 81 FF FF 54 FF 02 1A EB 80 03 00 54 08 8A 82 52 BF 02 08 6B 6D 00 00 54 20 01 80 52 22 00 00 14 E8 89 82 12 BF 02 08 6B 6A 00 00 54 00 01 80 52 1D 00 00 14 7F 03 00 71 89 00 80 52 28 00 80 52 28 11 88 1A 09 55 1C 1B 0A 8A 82 52 3F 01 0A 6B 4C FE FF 54 E8 89 82 12 3F 01 08 6B 8B FE FF 54 EA 13 40 F9 60 03 00 11 49 01 00 B9 E9 02 1A 4B 49 05 00 B9 0C 00 00 14 40 00 80 52 0A 00 00 14 E2 0F 40 F9 61 02 00 91 E0 43 00 91 ?? ?? ?? ?? 05 00 00 14 E2 0F 40 F9 61 02 00 91 E0 43 00 91 ?? ?? ?? ?? FD 7B C4 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_35_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 4472
		refs = "0030 ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0064 _getwche_nolock 00e4 iswctype 0264 _ungetwch_nolock 08f4 ??R<lambda_941c4bf3aea7f041a92a83121c3e0f82>@@QEBA_NXZ 1144 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 1158 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BC A9 FD 03 00 91 33 00 00 91 16 00 00 91 57 00 00 91 60 02 00 91 F7 13 00 F9 ?? ?? ?? ?? 60 00 00 35 E0 00 80 52 48 04 00 14 68 0A 40 F9 09 05 00 91 E8 0F 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E8 43 00 91 F3 A3 02 A9 E9 63 00 91 E9 1F 00 F9 11 00 00 14 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 01 01 80 52 E0 23 00 79 ?? ?? ?? ?? A0 FD FF 35 E0 23 40 79 1F B4 00 71 E8 17 9F 1A E8 22 0C 39 09 AC 00 51 A8 FF 9F 52 28 01 08 0A 48 02 00 35 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 08 24 01 51 E9 FB 9F 52 08 01 09 0A 88 7F 00 34 08 38 01 51 08 01 09 0A 88 7E 00 34 1B 00 80 52 1F C0 00 71 C1 07 00 54 68 D6 40 A9 A9 06 00 91 1F 01 00 F1 69 0A 00 F9 24 11 48 FA A8 04 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0B 00 00 11 7F 01 08 6B C0 03 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 68 61 01 51 E9 FB 9F 52 08 01 09 0A A8 02 00 35 69 A2 40 A9 3B 00 80 52 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 F5 0F 00 F9 17 00 00 14 E0 23 40 79 03 00 00 14 E0 23 40 79 0B 00 80 52 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 E8 FF 9F 52 68 01 08 0B A9 FF 9F 52 3F 21 28 6B 03 01 00 54 6A 02 40 F9 60 01 00 11 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? E0 23 40 79 FA 22 00 91 F8 22 0C 91 F9 22 00 91 1C 00 80 52 15 00 80 52 1F C0 00 71 C1 02 00 54 35 00 80 52 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B 00 01 00 54 88 02 40 F9 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 23 00 79 81 00 00 54 EF FF FF 17 FF 23 00 79 00 00 80 52 7F 03 00 71 E9 01 80 52 28 01 80 52 37 11 88 1A 1F C0 00 71 23 0F 00 54 1F E8 00 71 62 00 00 54 08 C0 00 51 73 00 00 14 09 E2 9F 52 1F 00 09 6B 42 0D 00 54 1F 80 19 71 03 0E 00 54 1F A8 19 71 62 00 00 54 08 80 19 51 6A 00 00 14 1F C0 1B 71 43 0D 00 54 1F E8 1B 71 62 00 00 54 08 C0 1B 51 64 00 00 14 1F 98 25 71 83 0C 00 54 1F C0 25 71 62 00 00 54 08 98 25 51 5E 00 00 14 1F 98 27 71 C3 0B 00 54 1F C0 27 71 62 00 00 54 08 98 27 51 58 00 00 14 1F 98 29 71 03 0B 00 54 1F C0 29 71 62 00 00 54 08 98 29 51 52 00 00 14 1F 98 2B 71 43 0A 00 54 1F C0 2B 71 62 00 00 54 08 98 2B 51 4C 00 00 14 1F 98 2D 71 83 09 00 54 1F C0 2D 71 62 00 00 54 08 98 2D 51 46 00 00 14 1F 98 31 71 C3 08 00 54 1F C0 31 71 62 00 00 54 08 98 31 51 40 00 00 14 1F 98 33 71 03 08 00 54 1F C0 33 71 62 00 00 54 08 98 33 51 3A 00 00 14 1F 98 35 71 43 07 00 54 1F C0 35 71 62 00 00 54 08 98 35 51 34 00 00 14 1F 40 39 71 83 06 00 54 1F 68 39 71 62 00 00 54 08 40 39 51 2E 00 00 14 1F 40 3B 71 C3 05 00 54 1F 68 3B 71 62 00 00 54 08 40 3B 51 28 00 00 14 1F 80 3C 71 03 05 00 54 1F A8 3C 71 62 00 00 54 08 80 3C 51 22 00 00 14 09 08 82 52 1F 00 09 6B 23 04 00 54 4A 09 82 52 1F 00 0A 6B 82 00 00 54 0B 08 82 52 08 00 0B 4B 19 00 00 14 0C FC 82 52 1F 00 0C 6B 03 03 00 54 4D FD 82 52 1F 00 0D 6B 82 00 00 54 09 FC 82 52 08 00 09 4B 10 00 00 14 0A 02 83 52 1F 00 0A 6B E3 01 00 54 4B 03 83 52 1F 00 0B 6B 82 01 00 54 0C 02 83 52 08 00 0C 4B 07 00 00 14 4D E3 9F 52 1F 00 0D 6B 62 00 00 54 09 E2 9F 52 F1 FF FF 17 08 00 80 12 1F 05 00 31 A1 02 00 54 EA F7 9F 52 08 00 0A 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 EB F3 9F 52 0A 00 0B 0B 4B 3D 00 53 7F 65 00 71 69 00 00 54 08 00 80 12 09 00 00 14 EC F3 9F 52 0C 00 0C 0B 8D 3D 00 53 BF 65 00 71 09 80 00 51 49 00 00 54 09 00 00 11 28 DD 00 51 1F 01 17 6B 28 03 00 54 35 00 80 52 3F 03 18 EB 60 00 00 54 28 03 00 39 39 07 00 91 69 A2 40 A9 9C 07 00 11 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 59 FF FF 17 C8 02 40 F9 09 7D 40 F9 2A 01 40 F9 4B 01 C0 39 1F 00 0B 6B 61 1A 00 54 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 3F 03 1A EB 21 03 00 54 1F C0 00 71 E1 02 00 54 35 00 80 52 69 A2 40 A9 9C 07 00 51 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B 00 01 00 54 88 02 40 F9 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 23 00 79 81 00 00 54 EE FF FF 17 FF 23 00 79 00 00 80 52 1F C0 00 71 23 0F 00 54 1F E8 00 71 62 00 00 54 08 C0 00 51 73 00 00 14 09 E2 9F 52 1F 00 09 6B 42 0D 00 54 1F 80 19 71 03 0E 00 54 1F A8 19 71 62 00 00 54 08 80 19 51 6A 00 00 14 1F C0 1B 71 43 0D 00 54 1F E8 1B 71 62 00 00 54 08 C0 1B 51 64 00 00 14 1F 98 25 71 83 0C 00 54 1F C0 25 71 62 00 00 54 08 98 25 51 5E 00 00 14 1F 98 27 71 C3 0B 00 54 1F C0 27 71 62 00 00 54 08 98 27 51 58 00 00 14 1F 98 29 71 03 0B 00 54 1F C0 29 71 62 00 00 54 08 98 29 51 52 00 00 14 1F 98 2B 71 43 0A 00 54 1F C0 2B 71 62 00 00 54 08 98 2B 51 4C 00 00 14 1F 98 2D 71 83 09 00 54 1F C0 2D 71 62 00 00 54 08 98 2D 51 46 00 00 14 1F 98 31 71 C3 08 00 54 1F C0 31 71 62 00 00 54 08 98 31 51 40 00 00 14 1F 98 33 71 03 08 00 54 1F C0 33 71 62 00 00 54 08 98 33 51 3A 00 00 14 1F 98 35 71 43 07 00 54 1F C0 35 71 62 00 00 54 08 98 35 51 34 00 00 14 1F 40 39 71 83 06 00 54 1F 68 39 71 62 00 00 54 08 40 39 51 2E 00 00 14 1F 40 3B 71 C3 05 00 54 1F 68 3B 71 62 00 00 54 08 40 3B 51 28 00 00 14 1F 80 3C 71 03 05 00 54 1F A8 3C 71 62 00 00 54 08 80 3C 51 22 00 00 14 09 08 82 52 1F 00 09 6B 23 04 00 54 4A 09 82 52 1F 00 0A 6B 82 00 00 54 0B 08 82 52 08 00 0B 4B 19 00 00 14 0C FC 82 52 1F 00 0C 6B 03 03 00 54 4D FD 82 52 1F 00 0D 6B 82 00 00 54 09 FC 82 52 08 00 09 4B 10 00 00 14 0A 02 83 52 1F 00 0A 6B E3 01 00 54 4B 03 83 52 1F 00 0B 6B 82 01 00 54 0C 02 83 52 08 00 0C 4B 07 00 00 14 4D E3 9F 52 1F 00 0D 6B 62 00 00 54 09 E2 9F 52 F1 FF FF 17 08 00 80 12 1F 05 00 31 A1 02 00 54 EA F7 9F 52 08 00 0A 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 EB F3 9F 52 0A 00 0B 0B 4B 3D 00 53 7F 65 00 71 69 00 00 54 08 00 80 12 09 00 00 14 EC F3 9F 52 0C 00 0C 0B 8D 3D 00 53 BF 65 00 71 09 80 00 51 49 00 00 54 09 00 00 11 28 DD 00 51 1F 01 17 6B 08 03 00 54 35 00 80 52 3F 03 18 EB 60 00 00 54 28 03 00 39 39 07 00 91 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 5A FF FF 17 35 01 00 35 E0 A3 00 91 ?? ?? ?? ?? 00 BA FF 34 7F 03 00 71 49 00 80 52 E8 00 80 52 20 11 88 1A 14 02 00 14 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0F 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 08 00 80 52 1F 14 01 71 20 01 00 54 1F 40 01 71 A0 00 00 54 1F 94 01 71 A0 00 00 54 1F C0 01 71 A1 00 00 54 68 03 00 11 03 00 00 14 68 03 00 52 08 1D 00 53 15 00 80 52 68 34 00 34 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 1F B4 00 71 E0 23 00 79 08 AC 00 51 A9 FF 9F 52 F7 17 9F 1A 08 01 09 0A 48 02 00 35 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 16 00 80 52 1F C0 00 71 C1 02 00 54 36 00 80 52 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B 00 01 00 54 88 02 40 F9 1F C0 00 71 09 05 00 91 89 02 00 F9 E0 23 00 79 81 00 00 54 EF FF FF 17 FF 23 00 79 00 00 80 52 1F C0 00 71 23 0F 00 54 1F E8 00 71 62 00 00 54 09 C0 00 51 73 00 00 14 08 E2 9F 52 1F 00 08 6B 42 0D 00 54 1F 80 19 71 03 0E 00 54 1F A8 19 71 62 00 00 54 09 80 19 51 6A 00 00 14 1F C0 1B 71 43 0D 00 54 1F E8 1B 71 62 00 00 54 09 C0 1B 51 64 00 00 14 1F 98 25 71 83 0C 00 54 1F C0 25 71 62 00 00 54 09 98 25 51 5E 00 00 14 1F 98 27 71 C3 0B 00 54 1F C0 27 71 62 00 00 54 09 98 27 51 58 00 00 14 1F 98 29 71 03 0B 00 54 1F C0 29 71 62 00 00 54 09 98 29 51 52 00 00 14 1F 98 2B 71 43 0A 00 54 1F C0 2B 71 62 00 00 54 09 98 2B 51 4C 00 00 14 1F 98 2D 71 83 09 00 54 1F C0 2D 71 62 00 00 54 09 98 2D 51 46 00 00 14 1F 98 31 71 C3 08 00 54 1F C0 31 71 62 00 00 54 09 98 31 51 40 00 00 14 1F 98 33 71 03 08 00 54 1F C0 33 71 62 00 00 54 09 98 33 51 3A 00 00 14 1F 98 35 71 43 07 00 54 1F C0 35 71 62 00 00 54 09 98 35 51 34 00 00 14 1F 40 39 71 83 06 00 54 1F 68 39 71 62 00 00 54 09 40 39 51 2E 00 00 14 1F 40 3B 71 C3 05 00 54 1F 68 3B 71 62 00 00 54 09 40 3B 51 28 00 00 14 1F 80 3C 71 03 05 00 54 1F A8 3C 71 62 00 00 54 09 80 3C 51 22 00 00 14 08 08 82 52 1F 00 08 6B 23 04 00 54 4A 09 82 52 1F 00 0A 6B 82 00 00 54 0B 08 82 52 09 00 0B 4B 19 00 00 14 0C FC 82 52 1F 00 0C 6B 03 03 00 54 4D FD 82 52 1F 00 0D 6B 82 00 00 54 08 FC 82 52 09 00 08 4B 10 00 00 14 0A 02 83 52 1F 00 0A 6B E3 01 00 54 4B 03 83 52 1F 00 0B 6B 82 01 00 54 0C 02 83 52 09 00 0C 4B 07 00 00 14 4D E3 9F 52 1F 00 0D 6B 62 00 00 54 08 E2 9F 52 F1 FF FF 17 09 00 80 12 3F 05 00 31 A1 02 00 54 EA F7 9F 52 08 00 0A 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 EB F3 9F 52 0A 00 0B 0B 4B 3D 00 53 7F 65 00 71 69 00 00 54 09 00 80 12 09 00 00 14 EC F3 9F 52 0C 00 0C 0B 8D 3D 00 53 BF 65 00 71 08 80 00 51 49 00 00 54 08 00 00 11 09 DD 00 51 3F 29 00 71 42 03 00 54 A8 0A 15 0B 0A 8A 82 52 36 00 80 52 35 05 08 0B BF 02 0A 6B 6C 02 00 54 6A A6 40 A9 2B 05 00 91 5F 01 00 F1 6B 0A 00 F9 64 11 4A FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 59 FF FF 17 35 8A 82 52 1F C0 00 71 23 0F 00 54 1F E8 00 71 62 00 00 54 08 C0 00 51 73 00 00 14 09 E2 9F 52 1F 00 09 6B 42 0D 00 54 1F 80 19 71 03 0E 00 54 1F A8 19 71 62 00 00 54 08 80 19 51 6A 00 00 14 1F C0 1B 71 43 0D 00 54 1F E8 1B 71 62 00 00 54 08 C0 1B 51 64 00 00 14 1F 98 25 71 83 0C 00 54 1F C0 25 71 62 00 00 54 08 98 25 51 5E 00 00 14 1F 98 27 71 C3 0B 00 54 1F C0 27 71 62 00 00 54 08 98 27 51 58 00 00 14 1F 98 29 71 03 0B 00 54 1F C0 29 71 62 00 00 54 08 98 29 51 52 00 00 14 1F 98 2B 71 43 0A 00 54 1F C0 2B 71 62 00 00 54 08 98 2B 51 4C 00 00 14 1F 98 2D 71 83 09 00 54 1F C0 2D 71 62 00 00 54 08 98 2D 51 46 00 00 14 1F 98 31 71 C3 08 00 54 1F C0 31 71 62 00 00 54 08 98 31 51 40 00 00 14 1F 98 33 71 03 08 00 54 1F C0 33 71 62 00 00 54 08 98 33 51 3A 00 00 14 1F 98 35 71 43 07 00 54 1F C0 35 71 62 00 00 54 08 98 35 51 34 00 00 14 1F 40 39 71 83 06 00 54 1F 68 39 71 62 00 00 54 08 40 39 51 2E 00 00 14 1F 40 3B 71 C3 05 00 54 1F 68 3B 71 62 00 00 54 08 40 3B 51 28 00 00 14 1F 80 3C 71 03 05 00 54 1F A8 3C 71 62 00 00 54 08 80 3C 51 22 00 00 14 09 08 82 52 1F 00 09 6B 23 04 00 54 4A 09 82 52 1F 00 0A 6B 82 00 00 54 0B 08 82 52 08 00 0B 4B 19 00 00 14 0C FC 82 52 1F 00 0C 6B 03 03 00 54 4D FD 82 52 1F 00 0D 6B 82 00 00 54 09 FC 82 52 08 00 09 4B 10 00 00 14 0A 02 83 52 1F 00 0A 6B E3 01 00 54 4B 03 83 52 1F 00 0B 6B 82 01 00 54 0C 02 83 52 08 00 0C 4B 07 00 00 14 4D E3 9F 52 1F 00 0D 6B 62 00 00 54 09 E2 9F 52 F1 FF FF 17 08 00 80 12 1F 05 00 31 A1 02 00 54 EA F7 9F 52 08 00 0A 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 EB F3 9F 52 0A 00 0B 0B 4B 3D 00 53 7F 65 00 71 69 00 00 54 08 00 80 12 09 00 00 14 EC F3 9F 52 0C 00 0C 0B 8D 3D 00 53 BF 65 00 71 09 80 00 51 49 00 00 54 09 00 00 11 28 DD 00 51 1F 29 00 71 62 02 00 54 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 02 00 00 14 00 00 80 52 E0 23 00 79 }
	condition:
		$1
}

rule file_213_36_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 580
		refs = "0030 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0078 _getche_nolock 00ec _ungetch_nolock 0138 ??R<lambda_0557a7c4a8c11f342041f9093932102f>@@QEBA_NXZ 0150 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0154 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 16 00 00 91 E2 0B 00 F9 33 00 00 91 F3 DB 01 A9 E8 43 00 91 E8 17 00 F9 14 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? CC 02 C0 39 89 6A E8 38 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 8B 6A EA 38 9F 01 0B 6B E1 06 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 75 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 A8 02 40 F9 00 1C 00 13 09 05 00 91 A9 02 00 F9 02 00 00 14 00 00 80 52 94 06 00 91 C0 02 00 39 9F 0E 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0B 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA C8 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 40 01 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 08 1C 00 13 06 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 00 80 52 35 00 00 14 08 00 80 52 C8 02 00 39 14 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? CC 02 C0 39 8B 6A EA 38 9F 01 0B 6B A0 00 00 54 ?? ?? ?? ?? 89 6A E8 38 9F 01 09 6B 81 05 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 75 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 A8 02 40 F9 00 1C 00 13 09 05 00 91 A9 02 00 F9 02 00 00 14 00 00 80 52 94 06 00 91 C0 02 00 39 9F 16 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 E0 63 00 91 ?? ?? ?? ?? 6A 00 80 52 1F 00 00 71 E9 00 80 52 40 11 89 1A F5 FF FF 17 }
	condition:
		$1
}

rule file_213_37_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 576
		refs = "0030 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0034 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0078 _getwche_nolock 00e8 _ungetwch_nolock 0138 ??R<lambda_4f1e3768719ab1dcfe496ac0e231901d>@@QEBA_NXZ 0150 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0154 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 15 00 00 91 E2 0B 00 F9 33 00 00 91 F3 D7 01 A9 E8 43 00 91 E8 17 00 F9 14 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 40 79 89 6A 68 78 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 8B 6A 6A 78 9F 01 0B 6B E1 06 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 76 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 C8 02 40 F9 09 05 00 91 C9 02 00 F9 02 00 00 14 00 00 80 52 94 0A 00 91 A0 02 00 79 9F 1A 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0B 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA E8 01 00 54 74 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0A 00 00 11 5F 01 08 6B 20 01 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 06 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 00 80 52 34 00 00 14 0A 00 80 52 AA 02 00 79 14 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 40 79 8B 6A 6A 78 9F 01 0B 6B A0 00 00 54 ?? ?? ?? ?? 89 6A 68 78 9F 01 09 6B 61 05 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 76 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 C8 02 40 F9 09 05 00 91 C9 02 00 F9 02 00 00 14 00 00 80 52 94 0A 00 91 A0 02 00 79 9F 2A 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 60 00 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 E0 63 00 91 ?? ?? ?? ?? 6A 00 80 52 1F 00 00 71 E9 00 80 52 40 11 89 1A F5 FF FF 17 }
	condition:
		$1
}

rule file_213_38_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 804
		refs = "0030 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0034 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0078 _getche_nolock 00ec _ungetch_nolock 0138 ??R<lambda_010354a0ba624beda16b647d91afbe6e>@@QEBA_NXZ 01bc ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z 021c ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 E2 0B 00 F9 33 00 00 91 F3 D3 01 A9 E8 43 00 91 E8 17 00 F9 15 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8C 02 C0 39 A9 6A E8 38 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? AB 6A EA 38 9F 01 0B 6B E1 06 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 76 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 C8 02 40 F9 00 1C 00 13 09 05 00 91 C9 02 00 F9 02 00 00 14 00 00 80 52 B5 06 00 91 80 02 00 39 BF 0E 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0B 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA C8 01 00 54 75 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 40 01 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 08 1C 00 13 06 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 00 80 52 74 00 00 14 08 00 80 52 88 02 00 39 1F A1 00 71 00 01 00 54 E0 63 00 91 ?? ?? ?? ?? 8A 00 80 52 1F 00 00 71 E9 00 80 52 40 11 89 1A 69 00 00 14 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 75 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 08 1C 00 13 02 00 00 14 08 00 80 52 61 02 00 91 88 02 00 39 80 02 00 91 ?? ?? ?? ?? A0 02 00 34 69 A2 40 A9 80 02 C0 39 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? A0 00 80 52 40 00 00 14 61 02 00 91 80 02 00 91 ?? ?? ?? ?? A0 02 00 34 69 A2 40 A9 80 02 C0 39 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? C0 00 80 52 28 00 00 14 88 02 C0 39 1F A5 00 71 80 04 00 54 8C 02 C0 39 EC 03 00 34 89 C1 00 51 3F 25 00 71 29 01 00 54 8A 85 01 51 5F 65 00 71 C9 00 00 54 8B 05 01 51 7F 65 00 71 69 00 00 54 9F 7D 01 71 21 F5 FF 54 6C A2 40 A9 0D 05 00 91 9F 01 00 F1 6D 0A 00 F9 A4 11 4C FA 48 01 00 54 75 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 09 1C 00 13 02 00 00 14 09 00 80 52 89 02 00 39 3F A5 00 71 21 FC FF 54 88 02 C0 39 1F A5 00 71 61 F2 FF 54 80 00 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_39_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 804
		refs = "0030 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0034 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0078 _getwche_nolock 00e8 _ungetwch_nolock 0138 ??R<lambda_a100d704ae63dafb338e20f72ea9fde9>@@QEBA_NXZ 01c0 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z 021c ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 E2 0B 00 F9 33 00 00 91 F3 D3 01 A9 E8 43 00 91 E8 17 00 F9 15 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8C 02 40 79 A9 6A 68 78 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? AB 6A 6A 78 9F 01 0B 6B E1 06 00 54 6D B2 40 A9 8E 05 00 91 BF 01 00 F1 6E 0A 00 F9 C4 11 4D FA 48 01 00 54 76 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 C8 02 40 F9 09 05 00 91 C9 02 00 F9 02 00 00 14 00 00 80 52 B5 0A 00 91 80 02 00 79 BF 1A 00 F1 81 FC FF 54 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 68 0A 40 F9 09 05 00 91 E8 0B 00 F9 68 06 40 F9 69 0A 00 F9 1F 01 00 F1 24 11 48 FA E8 01 00 54 75 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0A 00 00 11 5F 01 08 6B 20 01 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 06 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 00 80 52 74 00 00 14 0A 00 80 52 8A 02 00 79 5F A1 00 71 00 01 00 54 E0 63 00 91 ?? ?? ?? ?? 8A 00 80 52 1F 00 00 71 E9 00 80 52 40 11 89 1A 69 00 00 14 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 75 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0A 00 00 11 5F 01 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 02 00 00 14 0A 00 80 52 61 02 00 91 8A 02 00 79 80 02 00 91 ?? ?? ?? ?? 80 02 00 34 69 A2 40 A9 80 02 40 79 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? A0 00 80 52 40 00 00 14 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 80 02 00 34 69 A2 40 A9 80 02 40 79 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 6A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? C0 00 80 52 29 00 00 14 88 02 40 79 1F A5 00 71 A0 04 00 54 8C 02 40 79 0C 04 00 34 89 C1 00 51 3F 25 00 71 29 01 00 54 8A 85 01 51 5F 65 00 71 C9 00 00 54 8B 05 01 51 7F 65 00 71 69 00 00 54 9F 7D 01 71 41 F5 FF 54 6C A2 40 A9 0D 05 00 91 9F 01 00 F1 6D 0A 00 F9 A4 11 4C FA 68 01 00 54 75 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0E 00 00 11 DF 01 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 02 00 00 14 0E 00 80 52 8E 02 00 79 DF A5 00 71 01 FC FF 54 88 02 40 79 1F A5 00 71 61 F2 FF 54 80 00 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_40_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 188
		refs = "0020 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0068 _getche_nolock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 13 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 C0 39 69 6A E8 38 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 6B 6A EA 38 9F 01 0B 6B 61 03 00 54 8D B2 40 A9 8E 05 00 91 BF 01 00 F1 8E 0A 00 F9 C4 11 4D FA 48 01 00 54 96 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 C8 02 40 F9 0F 1C 00 13 09 05 00 91 C9 02 00 F9 02 00 00 14 0F 00 80 52 73 06 00 91 AF 02 00 39 7F 12 00 F1 81 FC FF 54 20 00 80 52 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 80 52 FA FF FF 17 }
	condition:
		$1
}

rule file_213_41_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 192
		refs = "0020 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0068 _getwche_nolock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 13 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 40 79 69 6A 68 78 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 6B 6A 6A 78 9F 01 0B 6B 81 03 00 54 8D B2 40 A9 8E 05 00 91 BF 01 00 F1 8E 0A 00 F9 C4 11 4D FA 68 01 00 54 96 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0F 00 00 11 FF 01 08 6B A0 00 00 54 C8 02 40 F9 09 05 00 91 C9 02 00 F9 02 00 00 14 0F 00 80 52 73 0A 00 91 AF 02 00 79 7F 22 00 F1 61 FC FF 54 20 00 80 52 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 80 52 FA FF FF 17 }
	condition:
		$1
}

rule file_213_42_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 188
		refs = "0020 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0068 _getche_nolock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 13 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 C0 39 69 6A E8 38 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 6B 6A EA 38 9F 01 0B 6B 61 03 00 54 8D B2 40 A9 8E 05 00 91 BF 01 00 F1 8E 0A 00 F9 C4 11 4D FA 48 01 00 54 96 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 C8 02 40 F9 0F 1C 00 13 09 05 00 91 C9 02 00 F9 02 00 00 14 0F 00 80 52 73 06 00 91 AF 02 00 39 7F 16 00 F1 81 FC FF 54 20 00 80 52 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 80 52 FA FF FF 17 }
	condition:
		$1
}

rule file_213_43_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 192
		refs = "0020 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0068 _getwche_nolock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 13 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 02 40 79 69 6A 68 78 9F 01 09 6B A0 00 00 54 ?? ?? ?? ?? 6B 6A 6A 78 9F 01 0B 6B 81 03 00 54 8D B2 40 A9 8E 05 00 91 BF 01 00 F1 8E 0A 00 F9 C4 11 4D FA 68 01 00 54 96 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0F 00 00 11 FF 01 08 6B A0 00 00 54 C8 02 40 F9 09 05 00 91 C9 02 00 F9 02 00 00 14 0F 00 80 52 73 0A 00 91 AF 02 00 79 7F 2A 00 F1 61 FC FF 54 20 00 80 52 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 80 52 FA FF FF 17 }
	condition:
		$1
}

rule file_213_44_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z"
		size = 356
		refs = "0038 ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z 0048 ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z 011c ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0124 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 2A 00 00 91 1F 24 00 71 68 08 00 54 89 00 00 10 28 49 A0 38 28 09 08 8B 00 01 1F D6 03 07 0B 13 1B 21 29 2B 2D 35 35 35 41 00 00 91 40 01 00 91 ?? ?? ?? ?? 46 00 00 14 41 00 00 91 40 01 00 91 ?? ?? ?? ?? 42 00 00 14 48 21 4C 39 09 00 B0 52 1F 01 00 71 29 11 9F 1A 28 01 01 12 48 00 00 B9 00 00 80 52 3A 00 00 14 48 21 4C 39 09 00 B0 52 1F 01 00 71 29 11 9F 1A 28 21 09 12 0A 1D 09 32 4A 00 00 B9 F7 FF FF 17 48 21 4C 39 09 00 B0 52 1F 01 00 71 29 11 9F 1A 28 79 00 32 F0 FF FF 17 48 21 4C 39 09 00 B0 52 8A 05 00 18 1F 01 00 71 29 11 9F 1A 28 25 09 12 08 01 0A 2A E8 FF FF 17 08 F8 BF 52 E6 FF FF 17 5F 00 00 B9 1F 00 00 14 48 21 4C 39 09 00 B0 52 40 00 80 52 1F 01 00 71 29 11 9F 1A 28 01 01 12 48 00 00 B9 18 00 00 14 48 21 4C 39 09 00 B0 52 60 00 80 52 1F 01 00 71 29 11 9F 1A 28 21 09 12 0A 1D 09 32 4A 00 00 B9 0F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 D3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 01 00 80 7F }
	condition:
		$1
}

rule file_213_45_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z"
		size = 360
		refs = "0038 ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z 0048 ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z 011c ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0124 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 2A 00 00 91 1F 24 00 71 68 08 00 54 89 00 00 10 28 49 A0 38 28 09 08 8B 00 01 1F D6 03 07 0B 13 1B 21 29 2B 2D 35 35 35 41 00 00 91 40 01 00 91 ?? ?? ?? ?? 46 00 00 14 41 00 00 91 40 01 00 91 ?? ?? ?? ?? 42 00 00 14 48 21 4C 39 09 00 F0 D2 1F 01 00 71 29 11 9F 9A 28 01 41 92 48 00 00 F9 00 00 80 52 3A 00 00 14 48 21 4C 39 09 00 F0 D2 1F 01 00 71 29 11 9F 9A 28 2D 4C 92 0A 29 4C B2 4A 00 00 F9 F7 FF FF 17 48 21 4C 39 09 00 F0 D2 1F 01 00 71 29 11 9F 9A 28 F9 40 B2 F0 FF FF 17 48 21 4C 39 09 00 F0 D2 8A 05 00 58 1F 01 00 71 29 11 9F 9A 28 31 4C 92 08 01 0A AA E8 FF FF 17 08 FF FF D2 E6 FF FF 17 5F 00 00 F9 1F 00 00 14 48 21 4C 39 09 00 F0 D2 40 00 80 52 1F 01 00 71 29 11 9F 9A 28 01 41 92 48 00 00 F9 18 00 00 14 48 21 4C 39 09 00 F0 D2 60 00 80 52 1F 01 00 71 29 11 9F 9A 28 2D 4C 92 0A 29 4C B2 4A 00 00 F9 0F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 D3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 01 00 00 00 00 00 F0 7F }
	condition:
		$1
}

rule file_213_46_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1372
		refs = "0030 ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 _CrtDbgReportW 0098 _errno 00a4 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00bc _invalid_parameter 00cc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0120 _isctype_l 0134 _chvalidator_l 0158 _getche_nolock 031c _ungetch_nolock 0480 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B BD A9 FD 03 00 91 33 00 00 91 14 00 00 91 60 02 00 91 56 00 00 11 75 00 00 11 ?? ?? ?? ?? 00 01 00 35 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 80 D2 3C 01 00 14 96 03 00 34 C8 0A 00 51 1F 89 00 71 29 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE FF FF 17 81 02 00 91 E0 43 00 91 ?? ?? ?? ?? 68 EE 40 A9 18 00 80 D2 69 07 00 91 1F 01 00 F1 69 0A 00 F9 24 11 48 FA 1A 00 00 14 88 02 40 F9 09 05 00 91 89 02 00 F9 14 1C 00 13 02 00 00 14 14 00 80 52 EA 0F 40 F9 4A 09 40 B9 5F 05 00 71 CD 00 00 54 E2 63 00 91 01 01 80 52 80 1E 00 53 ?? ?? ?? ?? 05 00 00 14 02 01 80 52 81 1E 00 53 E0 63 00 91 ?? ?? ?? ?? 80 01 00 34 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 88 FD FF 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 61 FC FF 54 E7 FF FF 17 BF 02 00 71 F5 07 9F 1A 9F B6 00 71 61 00 00 54 B5 02 1F 32 03 00 00 14 9F AE 00 71 21 02 00 54 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 14 1C 00 13 02 00 00 14 14 00 80 52 C8 7A 1B 12 A8 0A 00 35 88 42 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 88 C2 00 51 0D 00 00 14 88 7E 02 11 09 1D 00 53 3F 65 00 71 68 00 00 54 88 5E 01 51 07 00 00 14 88 FE 02 11 09 1D 00 53 3F 65 00 71 88 DE 00 51 49 00 00 54 08 00 80 12 88 00 00 34 36 08 00 35 56 01 80 52 3F 00 00 14 69 A2 40 A9 0A 05 00 91 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA 68 04 00 54 77 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 E0 03 00 54 E8 02 40 F9 00 1C 00 13 EA 1B 80 52 09 05 00 91 08 1C 00 53 E9 02 00 F9 09 61 01 51 29 01 0A 0A E9 02 00 35 DF 02 00 71 69 06 40 F9 08 02 80 52 16 01 96 1A 68 0A 40 F9 3F 01 00 F1 0A 05 00 91 6A 0A 00 F9 44 11 49 FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 14 1C 00 13 19 00 00 14 14 00 80 52 17 00 00 14 00 00 80 52 DF 02 00 71 69 06 40 F9 08 01 80 52 16 01 96 1A 68 0A 40 F9 3F 01 00 F1 0A 05 00 D1 6A 0A 00 F9 44 11 49 FA 88 01 00 54 08 04 00 11 09 1D 00 53 3F 05 00 71 09 01 00 54 6A 02 40 F9 1F 04 00 31 A0 00 00 54 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? D9 7E 40 93 08 00 80 92 59 00 00 B5 80 00 3E D4 17 09 D9 9A FA A2 19 9B 88 42 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 8A C2 00 51 0D 00 00 14 8A 7E 02 11 4B 1D 00 53 7F 65 00 71 68 00 00 54 8A 5E 01 51 07 00 00 14 88 FE 02 11 09 1D 00 53 3F 65 00 71 8A DE 00 51 49 00 00 54 0A 00 80 12 5F 05 00 31 4E 11 56 7A A2 03 00 54 B5 02 1D 32 1F 03 17 EB E3 00 00 54 1F 03 17 EB 61 00 00 54 5F 43 2A EB 62 00 00 54 B5 02 1E 32 03 00 00 14 28 7F 18 9B 18 41 2A 8B 6A A6 40 A9 2B 05 00 91 5F 01 00 F1 6B 0A 00 F9 64 11 4A FA 48 01 00 54 74 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 88 02 40 F9 09 05 00 91 89 02 00 F9 14 1C 00 13 D2 FF FF 17 14 00 80 52 D0 FF FF 17 69 A2 40 A9 0A 05 00 D1 3F 01 00 F1 6A 0A 00 F9 44 11 49 FA A8 01 00 54 88 06 00 11 09 1D 00 53 3F 05 00 71 29 01 00 54 6A 02 40 F9 9F 06 00 31 C0 00 00 54 48 01 40 F9 80 02 00 11 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? B5 01 18 37 68 0A 40 F9 7F 03 08 EB 60 00 00 54 68 0E 40 F9 1F 01 00 39 E8 A3 40 39 C8 DE FF 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 F1 FE FF 17 01 03 00 91 A0 02 00 11 ?? ?? ?? ?? 20 04 00 34 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 75 00 00 37 18 00 80 92 1D 00 00 14 E8 A3 40 39 B5 01 08 36 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 F0 D2 1B 00 00 14 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 F0 92 0F 00 00 14 55 00 08 36 F8 03 18 CB E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 69 0E 40 F9 89 00 00 B4 68 0A 40 F9 48 00 00 B5 3F 01 00 39 00 03 00 91 FD 7B C3 A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_47_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 2316
		refs = "0030 ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 _CrtDbgReportW 0098 _errno 00a4 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00bc _invalid_parameter 00cc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0108 _getwche_nolock 0138 iswctype 04dc _ungetwch_nolock 0830 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BD A9 FD 03 00 91 34 00 00 91 13 00 00 91 80 02 00 91 5A 00 00 11 76 00 00 11 ?? ?? ?? ?? 00 01 00 35 89 0E 40 F9 89 00 00 B4 88 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 80 D2 28 02 00 14 9A 03 00 34 48 0B 00 51 1F 89 00 71 29 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE FF FF 17 61 02 00 91 E0 43 00 91 ?? ?? ?? ?? 88 F2 40 A9 1B 00 80 D2 89 07 00 91 1F 01 00 F1 89 0A 00 F9 24 11 48 FA 06 00 00 14 89 A2 40 A9 0A 05 00 91 3F 01 00 F1 8A 0A 00 F9 44 11 49 FA 68 01 00 54 95 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 02 00 00 14 13 00 80 52 60 02 00 11 01 01 80 52 ?? ?? ?? ?? 80 FD FF 35 DF 02 00 71 F8 07 9F 1A 7F B6 00 71 61 00 00 54 18 03 1F 32 03 00 00 14 7F AE 00 71 41 02 00 54 89 A2 40 A9 0A 05 00 91 3F 01 00 F1 8A 0A 00 F9 44 11 49 FA 68 01 00 54 95 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 02 00 00 14 13 00 80 52 48 7B 1B 12 C8 19 00 35 7F C2 00 71 E3 0E 00 54 7F EA 00 71 62 00 00 54 68 C2 00 51 71 00 00 14 09 E2 9F 52 7F 02 09 6B 02 0D 00 54 7F 82 19 71 C3 0D 00 54 7F AA 19 71 62 00 00 54 68 82 19 51 68 00 00 14 7F C2 1B 71 03 0D 00 54 7F EA 1B 71 62 00 00 54 68 C2 1B 51 62 00 00 14 7F 9A 25 71 43 0C 00 54 7F C2 25 71 62 00 00 54 68 9A 25 51 5C 00 00 14 7F 9A 27 71 83 0B 00 54 7F C2 27 71 62 00 00 54 68 9A 27 51 56 00 00 14 7F 9A 29 71 C3 0A 00 54 7F C2 29 71 62 00 00 54 68 9A 29 51 50 00 00 14 7F 9A 2B 71 03 0A 00 54 7F C2 2B 71 62 00 00 54 68 9A 2B 51 4A 00 00 14 7F 9A 2D 71 43 09 00 54 7F C2 2D 71 62 00 00 54 68 9A 2D 51 44 00 00 14 7F 9A 31 71 83 08 00 54 7F C2 31 71 62 00 00 54 68 9A 31 51 3E 00 00 14 7F 9A 33 71 C3 07 00 54 7F C2 33 71 62 00 00 54 68 9A 33 51 38 00 00 14 7F 9A 35 71 03 07 00 54 7F C2 35 71 62 00 00 54 68 9A 35 51 32 00 00 14 7F 42 39 71 43 06 00 54 7F 6A 39 71 62 00 00 54 68 42 39 51 2C 00 00 14 7F 42 3B 71 83 05 00 54 7F 6A 3B 71 62 00 00 54 68 42 3B 51 26 00 00 14 7F 82 3C 71 C3 04 00 54 7F AA 3C 71 62 00 00 54 68 82 3C 51 20 00 00 14 09 08 82 52 7F 02 09 6B E3 03 00 54 48 09 82 52 7F 02 08 6B 82 00 00 54 08 08 82 52 68 02 08 4B 17 00 00 14 09 FC 82 52 7F 02 09 6B C3 02 00 54 48 FD 82 52 7F 02 08 6B 62 00 00 54 08 FC 82 52 F7 FF FF 17 09 02 83 52 7F 02 09 6B C3 01 00 54 48 03 83 52 7F 02 08 6B 62 01 00 54 08 02 83 52 EF FF FF 17 49 E3 9F 52 7F 02 09 6B 62 00 00 54 08 E2 9F 52 EA FF FF 17 08 00 80 12 1F 05 00 31 A1 02 00 54 E8 F7 9F 52 68 02 08 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 E8 F3 9F 52 68 02 08 0B 09 3D 00 53 3F 65 00 71 69 00 00 54 08 00 80 12 09 00 00 14 E8 F3 9F 52 68 02 08 0B 09 3D 00 53 3F 65 00 71 68 82 00 51 49 00 00 54 68 02 00 11 08 DD 00 51 88 00 00 34 1A 08 00 35 5A 01 80 52 3E 00 00 14 89 A2 40 A9 0A 05 00 91 3F 01 00 F1 8A 0A 00 F9 44 11 49 FA 68 04 00 54 95 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B C0 03 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 08 60 01 51 E9 FB 9F 52 08 01 09 0A 08 03 00 35 5F 03 00 71 89 06 40 F9 08 02 80 52 1A 01 9A 1A 88 0A 40 F9 3F 01 00 F1 0A 05 00 91 8A 0A 00 F9 44 11 49 FA 68 01 00 54 95 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 18 00 00 14 13 00 80 52 16 00 00 14 00 00 80 52 5F 03 00 71 89 06 40 F9 08 01 80 52 1A 01 9A 1A 88 0A 40 F9 3F 01 00 F1 0A 05 00 D1 8A 0A 00 F9 44 11 49 FA 68 01 00 54 E8 FF 9F 52 08 00 08 0B A9 FF 9F 52 3F 21 28 6B C3 00 00 54 8A 02 40 F9 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? 57 7F 40 93 08 00 80 92 57 00 00 B5 80 00 3E D4 16 09 D7 9A D9 A2 17 9B 7F C2 00 71 23 0F 00 54 7F EA 00 71 62 00 00 54 69 C2 00 51 73 00 00 14 08 E2 9F 52 7F 02 08 6B 42 0D 00 54 7F 82 19 71 03 0E 00 54 7F AA 19 71 62 00 00 54 69 82 19 51 6A 00 00 14 7F C2 1B 71 43 0D 00 54 7F EA 1B 71 62 00 00 54 69 C2 1B 51 64 00 00 14 7F 9A 25 71 83 0C 00 54 7F C2 25 71 62 00 00 54 69 9A 25 51 5E 00 00 14 7F 9A 27 71 C3 0B 00 54 7F C2 27 71 62 00 00 54 69 9A 27 51 58 00 00 14 7F 9A 29 71 03 0B 00 54 7F C2 29 71 62 00 00 54 69 9A 29 51 52 00 00 14 7F 9A 2B 71 43 0A 00 54 7F C2 2B 71 62 00 00 54 69 9A 2B 51 4C 00 00 14 7F 9A 2D 71 83 09 00 54 7F C2 2D 71 62 00 00 54 69 9A 2D 51 46 00 00 14 7F 9A 31 71 C3 08 00 54 7F C2 31 71 62 00 00 54 69 9A 31 51 40 00 00 14 7F 9A 33 71 03 08 00 54 7F C2 33 71 62 00 00 54 69 9A 33 51 3A 00 00 14 7F 9A 35 71 43 07 00 54 7F C2 35 71 62 00 00 54 69 9A 35 51 34 00 00 14 7F 42 39 71 83 06 00 54 7F 6A 39 71 62 00 00 54 69 42 39 51 2E 00 00 14 7F 42 3B 71 C3 05 00 54 7F 6A 3B 71 62 00 00 54 69 42 3B 51 28 00 00 14 7F 82 3C 71 03 05 00 54 7F AA 3C 71 62 00 00 54 69 82 3C 51 22 00 00 14 08 08 82 52 7F 02 08 6B 23 04 00 54 4A 09 82 52 7F 02 0A 6B 82 00 00 54 0B 08 82 52 69 02 0B 4B 19 00 00 14 0C FC 82 52 7F 02 0C 6B 03 03 00 54 4D FD 82 52 7F 02 0D 6B 82 00 00 54 08 FC 82 52 69 02 08 4B 10 00 00 14 0A 02 83 52 7F 02 0A 6B E3 01 00 54 4B 03 83 52 7F 02 0B 6B 82 01 00 54 0C 02 83 52 69 02 0C 4B 07 00 00 14 4D E3 9F 52 7F 02 0D 6B 62 00 00 54 08 E2 9F 52 F1 FF FF 17 09 00 80 12 3F 05 00 31 A1 02 00 54 EA F7 9F 52 68 02 0A 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 EB F3 9F 52 6A 02 0B 0B 4B 3D 00 53 7F 65 00 71 69 00 00 54 09 00 80 12 09 00 00 14 EC F3 9F 52 6C 02 0C 0B 8D 3D 00 53 BF 65 00 71 68 82 00 51 49 00 00 54 68 02 00 11 09 DD 00 51 3F 05 00 31 2E 11 5A 7A C2 03 00 54 18 03 1D 32 7F 03 16 EB E3 00 00 54 7F 03 16 EB 61 00 00 54 3F 43 29 EB 62 00 00 54 18 03 1E 32 03 00 00 14 E8 7E 1B 9B 1B 41 29 8B 8A A6 40 A9 2B 05 00 91 5F 01 00 F1 8B 0A 00 F9 64 11 4A FA 68 01 00 54 95 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 55 FF FF 17 13 00 80 52 53 FF FF 17 89 A2 40 A9 0A 05 00 D1 3F 01 00 F1 8A 0A 00 F9 44 11 49 FA 88 01 00 54 E8 FF 9F 52 68 02 08 0B A9 FF 9F 52 3F 21 28 6B E3 00 00 54 8A 02 40 F9 60 02 00 11 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? B8 01 18 37 88 0A 40 F9 9F 03 08 EB 60 00 00 54 88 0E 40 F9 1F 01 00 39 E8 A3 40 39 48 C1 FF 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 05 FE FF 17 61 03 00 91 00 03 00 11 ?? ?? ?? ?? 20 04 00 34 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 78 00 00 37 1B 00 80 92 1D 00 00 14 E8 A3 40 39 B8 01 08 36 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 89 0E 40 F9 89 00 00 B4 88 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 F0 D2 1B 00 00 14 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 89 0E 40 F9 89 00 00 B4 88 0A 40 F9 48 00 00 B5 3F 01 00 39 00 00 F0 92 0F 00 00 14 58 00 08 36 FB 03 1B CB E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 89 0E 40 F9 89 00 00 B4 88 0A 40 F9 48 00 00 B5 3F 01 00 39 60 03 00 91 FD 7B C3 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_48_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 200
		refs = "006c _getche_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 33 00 00 91 59 00 00 91 76 00 00 91 97 00 00 91 14 00 80 D2 D9 03 00 B4 18 00 13 CB CA 02 C0 39 08 6B F3 38 5F 01 08 6B 80 00 00 54 69 02 C0 39 5F 01 09 6B A1 03 00 54 EB AA 40 A9 4C 05 00 91 7F 01 00 F1 EC 0A 00 F9 84 11 4B FA 48 01 00 54 F5 02 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 A8 02 40 F9 0D 1C 00 13 09 05 00 91 A9 02 00 F9 02 00 00 14 0D 00 80 52 94 06 00 91 CD 02 00 39 9F 02 19 EB 73 06 00 91 A1 FC FF 54 20 00 80 52 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 00 00 80 52 F9 FF FF 17 }
	condition:
		$1
}

rule file_213_49_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 204
		refs = "006c _getwche_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 33 00 00 91 59 00 00 91 77 00 00 91 96 00 00 91 14 00 80 D2 F9 03 00 B4 18 00 13 CB EA 02 40 79 08 6B 73 78 5F 01 08 6B 80 00 00 54 69 02 40 79 5F 01 09 6B C1 03 00 54 CB AA 40 A9 4C 05 00 91 7F 01 00 F1 CC 0A 00 F9 84 11 4B FA 68 01 00 54 D5 02 40 F9 ?? ?? ?? ?? E8 FF 9F 52 0D 00 00 11 BF 01 08 6B A0 00 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 02 00 00 14 0D 00 80 52 94 06 00 91 ED 02 00 79 9F 02 19 EB 73 0A 00 91 81 FC FF 54 20 00 80 52 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 00 00 80 52 F9 FF FF 17 }
	condition:
		$1
}

rule file_213_50_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 004c _CrtDbgReportW 006c ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 007c ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 00dc ??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 FF 17 00 B9 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 63 00 91 ?? ?? ?? ?? E2 53 00 91 01 00 00 91 60 36 40 F9 ?? ?? ?? ?? E8 43 40 39 1F 01 00 71 04 18 41 7A C0 02 00 54 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 68 00 00 34 20 00 80 52 06 00 00 14 E1 53 00 91 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_51_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 004c _CrtDbgReportW 006c ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 007c ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 00dc ??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 FF 17 00 B9 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 63 00 91 ?? ?? ?? ?? E2 53 00 91 01 00 00 91 60 2A 40 F9 ?? ?? ?? ?? E8 43 40 39 1F 01 00 71 04 18 41 7A C0 02 00 54 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 00 00 34 20 00 80 52 06 00 00 14 E1 53 00 91 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_52_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 004c _CrtDbgReportW 006c ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 007c ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 00dc ??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 FF 0F 00 F9 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 83 00 91 ?? ?? ?? ?? E2 63 00 91 01 00 00 91 60 36 40 F9 ?? ?? ?? ?? E8 43 40 39 1F 01 00 71 04 18 41 7A C0 02 00 54 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 68 00 00 34 20 00 80 52 06 00 00 14 E1 63 00 91 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_53_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 004c _CrtDbgReportW 006c ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 007c ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 00dc ??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 FF 0F 00 F9 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 83 00 91 ?? ?? ?? ?? E2 63 00 91 01 00 00 91 60 2A 40 F9 ?? ?? ?? ?? E8 43 40 39 1F 01 00 71 04 18 41 7A C0 02 00 54 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 00 00 34 20 00 80 52 06 00 00 14 E1 63 00 91 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_54_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 856
		refs = "002c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW 0094 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 _errno 00cc ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00e4 _invalid_parameter 0128 _getche_nolock 01dc ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 025c _CrtGetDebugFillThreshold 0274 memset 0294 _ungetch_nolock"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 3B 00 00 11 15 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 ?? ?? ?? ?? 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 68 AA 40 39 48 05 00 35 6A 3A 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 3A 00 F9 75 81 5F F8 15 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 94 00 00 14 55 01 00 B4 68 02 40 F9 08 01 00 36 E9 03 0B CB 2A 05 40 92 48 01 0B 8B 0B 21 00 91 6B 3A 00 F9 74 81 5F B8 02 00 00 14 14 00 80 92 D4 01 00 B5 68 02 40 F9 08 01 10 36 ?? ?? ?? ?? 1F 04 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 BF 02 00 39 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 E6 FF FF 17 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 7A 1A 40 F9 B9 02 00 91 96 02 00 91 9B 00 00 34 9F 06 00 B1 40 00 00 54 96 06 00 D1 17 00 80 D2 5F 03 00 F1 E0 12 5A FA 40 07 00 54 ?? ?? ?? ?? 18 00 00 11 1F 07 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 03 00 11 61 03 00 11 60 02 00 91 ?? ?? ?? ?? E0 04 00 34 69 26 40 B9 3F 11 00 71 A0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 A8 00 00 35 D6 00 00 B4 38 03 00 39 D6 06 00 D1 39 07 00 91 F7 06 00 91 DB FF FF 17 9F 06 00 B1 00 F8 FF 54 E8 7B 40 B2 BF 02 00 39 9F 02 08 EB 84 1A 41 FA 69 F7 FF 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? B3 FF FF 17 1F 07 00 31 C0 00 00 54 68 06 40 F9 00 03 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 97 F2 FF B4 7F 03 00 71 E4 02 5A FA 60 00 00 54 68 02 40 F9 E8 F1 17 36 68 26 40 B9 1F 11 00 71 A0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 48 02 00 35 DB 01 00 34 88 06 00 91 3F 03 00 39 09 F9 60 92 49 01 00 B4 97 02 16 CB FF 02 14 EB E2 00 00 54 ?? ?? ?? ?? C1 1F 80 52 1F 00 16 EB 02 30 96 9A E0 02 15 8B ?? ?? ?? ?? 68 3E 40 F9 09 05 00 91 69 3E 00 F9 20 00 80 52 FD 7B C1 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_55_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 888
		refs = "002c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW 0090 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc _errno 00c8 ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00e0 _invalid_parameter 0124 _getwche_nolock 01e4 ?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 0248 ?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z 0278 _CrtGetDebugFillThreshold 0290 memset 02b4 _ungetwch_nolock"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 26 40 B9 3A 00 00 11 16 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 ?? ?? ?? ?? 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 48 05 00 35 6A 2E 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 2E 00 F9 76 81 5F F8 16 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 9D 00 00 14 56 01 00 B4 68 02 40 F9 08 01 00 36 E9 03 0B CB 2A 05 40 92 48 01 0B 8B 0B 21 00 91 6B 2E 00 F9 74 81 5F B8 02 00 00 14 14 00 80 92 F4 01 00 B5 68 02 40 F9 28 01 10 36 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 DF 02 00 39 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 E5 FF FF 17 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 95 02 00 91 79 1A 40 F9 F5 5B 01 A9 BA 00 00 34 9F 06 00 B1 60 00 00 54 95 06 00 D1 F5 0B 00 F9 17 00 80 D2 3F 03 00 F1 E0 12 59 FA 20 08 00 54 ?? ?? ?? ?? E8 FF 9F 52 18 00 00 11 1F 03 08 6B 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 03 00 11 41 03 00 11 60 02 00 91 ?? ?? ?? ?? 80 05 00 34 69 26 40 B9 3F 11 00 71 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 01 00 35 95 01 00 B4 05 03 00 11 E4 43 00 91 E3 63 00 91 82 02 00 91 C1 02 00 91 60 02 00 91 ?? ?? ?? ?? F5 0B 40 F9 40 03 00 34 F7 06 00 91 D5 FF FF 17 9F 06 00 B1 20 F7 FF 54 E8 7B 40 B2 DF 02 00 39 9F 02 08 EB 84 1A 41 FA 89 F6 FF 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A C0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? AC FF FF 17 E8 FF 9F 52 1F 03 08 6B C0 00 00 54 68 06 40 F9 00 03 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 77 F1 FF B4 5F 03 00 71 E4 02 59 FA 60 00 00 54 68 02 40 F9 C8 F0 17 36 68 26 40 B9 1F 11 00 71 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 02 00 35 FA 01 00 34 E8 0F 40 F9 1F 01 00 39 88 06 00 91 09 F9 60 92 49 01 00 B4 97 02 15 CB FF 02 14 EB E2 00 00 54 ?? ?? ?? ?? C1 1F 80 52 1F 00 15 EB 02 30 95 9A E0 02 16 8B ?? ?? ?? ?? 68 32 40 F9 09 05 00 91 69 32 00 F9 20 00 80 52 FD 7B C2 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_56_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 884
		refs = "002c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW 0090 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc _errno 00c8 ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00e0 _invalid_parameter 0124 _getche_nolock 01dc ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 0240 ?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z 0270 _CrtGetDebugFillThreshold 028c memset 02ac _ungetch_nolock"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 68 26 40 B9 3A 00 00 11 16 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 ?? ?? ?? ?? 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 48 05 00 35 6A 3A 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 3A 00 F9 76 81 5F F8 16 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 9C 00 00 14 56 01 00 B4 68 02 40 F9 08 01 00 36 E9 03 0B CB 2A 05 40 92 48 01 0B 8B 0B 21 00 91 6B 3A 00 F9 74 81 5F B8 02 00 00 14 14 00 80 92 D4 01 00 B5 68 02 40 F9 08 01 10 36 ?? ?? ?? ?? 1F 04 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 DF 02 00 79 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 E6 FF FF 17 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 95 02 00 91 79 1A 40 F9 F5 5B 01 A9 BA 00 00 34 9F 06 00 B1 60 00 00 54 95 06 00 D1 F5 0B 00 F9 17 00 80 D2 3F 03 00 F1 E0 12 59 FA 00 08 00 54 ?? ?? ?? ?? 18 00 00 11 1F 07 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 03 00 11 41 03 00 11 60 02 00 91 ?? ?? ?? ?? A0 05 00 34 69 26 40 B9 3F 11 00 71 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 68 01 00 35 95 01 00 B4 05 1F 00 13 E4 43 00 91 E3 63 00 91 82 02 00 91 C1 02 00 91 60 02 00 91 ?? ?? ?? ?? F5 0B 40 F9 40 03 00 34 F7 06 00 91 D6 FF FF 17 9F 06 00 B1 40 F7 FF 54 E8 7B 40 B2 DF 02 00 79 9F 02 08 EB 84 1A 41 FA A9 F6 FF 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 08 30 88 9A 02 F9 7F D3 C1 1F 80 52 C0 0A 00 91 ?? ?? ?? ?? AC FF FF 17 1F 07 00 31 C0 00 00 54 68 06 40 F9 00 03 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? B7 F1 FF B4 5F 03 00 71 E4 02 59 FA 60 00 00 54 68 02 40 F9 08 F1 17 36 68 26 40 B9 1F 11 00 71 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 88 02 00 35 1A 02 00 34 E8 0F 40 F9 1F 01 00 79 88 06 00 91 09 F9 60 92 69 01 00 B4 97 02 15 CB FF 02 14 EB 02 01 00 54 ?? ?? ?? ?? C1 1F 80 52 1F 00 15 EB 08 30 95 9A C0 06 17 8B 02 F9 7F D3 ?? ?? ?? ?? 68 3E 40 F9 09 05 00 91 69 3E 00 F9 20 00 80 52 FD 7B C2 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_57_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 876
		refs = "002c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW 0094 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 _errno 00cc ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00e4 _invalid_parameter 0128 _getwche_nolock 01e4 ?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 0264 _CrtGetDebugFillThreshold 0280 memset 02a4 _ungetwch_nolock"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 3B 00 00 11 15 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 ?? ?? ?? ?? 80 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 68 B2 40 39 48 05 00 35 6A 2E 40 F9 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 6B 2E 00 F9 75 81 5F F8 15 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 99 00 00 14 55 01 00 B4 68 02 40 F9 08 01 00 36 E9 03 0B CB 2A 05 40 92 48 01 0B 8B 0B 21 00 91 6B 2E 00 F9 74 81 5F B8 02 00 00 14 14 00 80 92 F4 01 00 B5 68 02 40 F9 28 01 10 36 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 BF 02 00 79 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 E5 FF FF 17 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 7A 1A 40 F9 B9 02 00 91 96 02 00 91 9B 00 00 34 9F 06 00 B1 40 00 00 54 96 06 00 D1 17 00 80 D2 5F 03 00 F1 E0 12 5A FA A0 07 00 54 ?? ?? ?? ?? E8 FF 9F 52 18 00 00 11 1F 03 08 6B 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 03 00 11 61 03 00 11 60 02 00 91 ?? ?? ?? ?? 00 05 00 34 69 26 40 B9 3F 11 00 71 A0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 A8 00 00 35 D6 00 00 B4 38 03 00 79 D6 06 00 D1 39 0B 00 91 F7 06 00 91 DA FF FF 17 9F 06 00 B1 E0 F7 FF 54 E8 7B 40 B2 BF 02 00 79 9F 02 08 EB 84 1A 41 FA 49 F7 FF 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 08 30 88 9A 02 F9 7F D3 C1 1F 80 52 A0 0A 00 91 ?? ?? ?? ?? B1 FF FF 17 E8 FF 9F 52 1F 03 08 6B C0 00 00 54 68 06 40 F9 00 03 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 17 F2 FF B4 7F 03 00 71 E4 02 5A FA 60 00 00 54 68 02 40 F9 68 F1 17 36 68 26 40 B9 1F 11 00 71 A0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 02 00 35 FB 01 00 34 88 06 00 91 3F 03 00 79 09 F9 60 92 69 01 00 B4 97 02 16 CB FF 02 14 EB 02 01 00 54 ?? ?? ?? ?? C1 1F 80 52 1F 00 16 EB 08 30 96 9A A0 06 17 8B 02 F9 7F D3 ?? ?? ?? ?? 68 32 40 F9 09 05 00 91 69 32 00 F9 20 00 80 52 FD 7B C1 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_58_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
		size = 88
		refs = "0030 _CrtGetDebugFillThreshold 0048 memset"
		altNames = "??$reset_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 33 00 00 91 7F 06 00 B1 14 00 00 91 A0 01 00 54 E8 7B 40 B2 9F 02 00 39 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_60_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z"
		size = 92
		refs = "0030 _CrtGetDebugFillThreshold 004c memset"
		altNames = "??$reset_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 33 00 00 91 7F 06 00 B1 14 00 00 91 C0 01 00 54 E8 7B 40 B2 9F 02 00 79 7F 02 08 EB 64 1A 41 FA 29 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 08 30 88 9A 02 F9 7F D3 C1 1F 80 52 80 0A 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_62_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 132
		refs = "0018 _getche_nolock 0054 _isctype_l 0068 _chvalidator_l"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 60 02 00 54 A8 02 40 F9 09 05 00 91 A9 02 00 F9 54 01 00 B4 8A 02 40 F9 4B 09 40 B9 7F 05 00 71 CD 00 00 54 82 02 00 91 01 01 80 52 60 1E 00 53 ?? ?? ?? ?? 05 00 00 14 02 01 80 52 61 1E 00 53 80 02 00 91 ?? ?? ?? ?? 60 FD FF 35 60 02 00 11 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_63_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 80
		refs = "0010 _getwche_nolock 0038 iswctype"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 14 00 00 91 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B 00 01 00 54 88 02 40 F9 01 01 80 52 60 02 00 11 09 05 00 91 89 02 00 F9 ?? ?? ?? ?? A0 FE FF 35 60 02 00 11 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_68_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 252
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00a4 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 00b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 38 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 38 00 F9 73 81 5F F8 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 18 00 00 14 08 3C 40 F9 09 05 00 91 09 3C 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 10 00 F1 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 88 02 40 B9 20 00 80 52 68 02 00 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_69_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 252
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00a4 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 00b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 2C 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 2C 00 F9 73 81 5F F8 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 18 00 00 14 08 30 40 F9 09 05 00 91 09 30 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 10 00 F1 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 88 02 40 B9 20 00 80 52 68 02 00 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_70_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 252
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00a4 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 00b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 38 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 38 00 F9 73 81 5F F8 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 18 00 00 14 08 3C 40 F9 09 05 00 91 09 3C 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 20 00 F1 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 88 02 40 F9 20 00 80 52 68 02 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_71_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 252
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00a4 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 00b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 2C 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 2C 00 F9 73 81 5F F8 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 18 00 00 14 08 30 40 F9 09 05 00 91 09 30 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 20 00 F1 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 88 02 40 F9 20 00 80 52 68 02 00 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_81_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QEAA@_KQEBE@Z"
		size = 56
	strings:
		$1 = { 08 D0 00 91 01 08 00 A9 1F 10 00 B9 1F 7D 00 A9 1F 7D 01 A9 1F 14 00 B9 1F 60 00 39 1F 64 00 39 1F 68 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_82_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QEAA@_KQEB_W@Z"
		size = 48
	strings:
		$1 = { 01 08 00 A9 1F 10 00 B9 1F 1C 00 F9 1F 14 00 B9 1F 30 00 79 1F 34 00 79 1F 70 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_85_0 {
	meta:
		name = "??0?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$console_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
	strings:
		$1 = { 02 00 00 F9 28 00 40 F9 08 88 00 A9 08 10 01 91 03 0C 00 F9 1F 20 00 B9 1F 7D 00 A9 1F 7D 01 A9 1F 24 00 B9 1F A0 00 39 1F A4 00 39 1F A8 00 39 1F 18 00 F9 1F 38 00 B9 1F F0 00 39 1F 40 00 B9 04 94 06 A9 1F FC 07 A9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_86_0 {
	meta:
		name = "??0?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$console_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 68
	strings:
		$1 = { 02 00 00 F9 28 00 40 F9 08 88 00 A9 03 0C 00 F9 1F 20 00 B9 1F 24 00 F9 1F 24 00 B9 1F 50 00 79 1F 54 00 79 1F B0 00 39 1F 18 00 F9 1F 38 00 B9 1F F0 00 39 1F 40 00 B9 04 14 05 A9 1F 7C 06 A9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_92_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QEAA@AEBU01@@Z"
		size = 64
		refs = "002c memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 28 00 40 B9 13 00 00 91 22 10 00 91 60 12 00 91 68 02 00 B9 29 00 40 B9 81 39 80 D2 23 7D 7E D3 ?? ?? ?? ?? 60 02 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_93_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QEAA@XZ"
		size = 52
		refs = "0020 memset"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 12 00 91 7F 02 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? 60 02 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_94_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QEAA@QEAM@Z"
		size = 96
		refs = "001c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 02 00 F9 7F 22 00 39 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 32 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 02 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_95_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QEAA@QEAN@Z"
		size = 100
		refs = "0020 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 28 00 80 52 61 02 00 F9 68 22 00 39 C1 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 31 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 02 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_97_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QEAA@XZ"
		size = 44
		refs = "0018 _free_dbg"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 1E 40 F9 41 00 80 52 ?? ?? ?? ?? 7F 1E 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_98_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
		size = 24
		altNames = "??1?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
	strings:
		$1 = { 09 0C 40 F9 89 00 00 B4 08 08 40 F9 48 00 00 B5 3F 01 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_100_0 {
	meta:
		name = "??1?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 44
		refs = "0018 _free_dbg"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 26 40 F9 41 00 80 52 ?? ?? ?? ?? 7F 26 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_107_0 {
	meta:
		name = "??M__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 132
	strings:
		$1 = { 08 00 40 B9 29 00 40 B9 1F 01 09 6B 88 03 00 54 1F 01 09 6B 62 00 00 54 20 00 80 52 19 00 00 14 0B 05 00 51 7F 05 00 31 A0 02 00 54 68 7D 40 D3 09 08 08 8B 28 08 08 8B 29 05 40 B9 0A 05 40 B9 3F 01 0A 6B 81 00 00 54 6B 05 00 51 7F 05 00 31 E1 FE FF 54 7F 05 00 31 20 01 00 54 68 7D 40 D3 09 08 08 8B 28 08 08 8B 29 05 40 B9 0A 05 40 B9 3F 01 0A 6B E0 87 9F 1A 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_115_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQEBE0AEAUbig_integer@1@@Z"
		size = 1724
		refs = "001c __security_push_cookie 00b8 memset 00d4 memcpy_s 01a0 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 01a4 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 020c memcpy 050c ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 068c __security_pop_cookie"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 03 16 D1 13 00 00 91 34 00 00 91 7F 02 14 EB 56 00 00 91 17 00 80 52 18 00 80 52 60 32 00 54 1F 27 00 71 61 09 00 54 CC 02 40 B9 6C 04 00 34 CD 12 00 91 09 00 80 52 0B 00 80 52 A8 59 6B B8 8A 32 00 58 08 7D 0A 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 49 FD 60 D3 01 FF FF 54 C9 02 00 34 CC 02 40 B9 9F CD 01 71 E2 00 00 54 8C 05 00 91 C9 7A 2C B8 C8 02 40 B9 09 05 00 11 C9 02 00 B9 0D 00 00 14 E0 53 00 91 FF 13 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 13 40 B9 E2 53 00 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 97 04 00 34 C8 02 40 B9 0D 00 80 52 68 01 00 34 A9 7D 40 D3 2C 05 00 91 CA 7A 6C B8 AD 05 00 11 4B 41 37 8B CB 7A 2C B8 CC 02 40 B9 77 FD 60 D3 BF 01 0C 6B E1 FE FF 54 D7 02 00 34 C8 02 40 B9 1F CD 01 71 E2 00 00 54 09 05 00 91 D7 7A 29 B8 CA 02 40 B9 4B 05 00 11 CB 02 00 B9 0D 00 00 14 E0 53 00 91 FF 13 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 13 40 B9 E2 53 00 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 17 00 80 52 18 00 80 52 68 16 40 38 E9 0A 17 0B 18 07 00 11 17 05 09 0B 7F 02 14 EB E1 F5 FF 54 18 28 00 34 68 29 00 18 08 7F A8 9B 1A FD 60 D3 59 7F 03 53 F9 1A 00 34 ?? ?? ?? ?? ?? ?? ?? ?? CA 04 80 52 3F 9B 00 71 5B 81 99 1A 6A 07 00 51 FB 03 00 B9 ?? ?? ?? ?? E0 53 00 91 75 09 0A 8B 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? B3 0A 40 39 01 00 80 52 B4 0E 40 39 E0 53 00 91 62 F6 7E D3 68 02 14 0B E8 13 00 B9 ?? ?? ?? ?? A9 02 40 79 ?? ?? ?? ?? EA 53 00 91 40 09 13 8B 82 F6 7E D3 01 09 09 8B ?? ?? ?? ?? EA 13 40 B9 5F 05 00 71 08 07 00 54 E8 17 40 B9 C8 01 00 35 E0 93 07 91 FF E3 01 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 E3 41 B9 E2 93 07 91 03 7D 7E D3 C8 02 00 B9 81 39 80 D2 C0 12 00 91 ?? ?? ?? ?? A4 00 00 14 1F 05 00 71 40 14 00 54 CC 02 40 B9 0C 14 00 34 CD 12 00 91 09 00 80 52 0B 00 80 52 0E 01 00 91 A8 59 6B B8 08 7D 0E 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 49 FD 60 D3 21 FF FF 54 69 12 00 34 CC 02 40 B9 9F CD 01 71 E2 00 00 54 8C 05 00 91 C9 7A 2C B8 C8 02 40 B9 09 05 00 11 C9 02 00 B9 8A 00 00 14 E0 53 00 91 FF 13 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 13 40 B9 E2 53 00 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 08 00 80 52 7D 00 00 14 C9 02 40 B9 3F 05 00 71 28 04 00 54 43 7D 7E D3 D3 06 40 B9 CA 02 00 B9 E2 53 00 91 81 39 80 D2 C0 12 00 91 ?? ?? ?? ?? 33 01 00 35 E0 53 00 91 FF 13 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 13 40 B9 E2 53 00 91 C0 FF FF 17 7F 06 00 71 E0 0C 00 54 CC 02 40 B9 AC 0C 00 34 CD 12 00 91 09 00 80 52 0B 00 80 52 A8 59 6B B8 08 7D 13 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 49 FD 60 D3 21 FF FF 54 C6 FF FF 17 5F 01 09 6B FF E3 01 B9 E8 27 9F 1A 1F 01 00 71 D3 12 00 91 EB 53 00 91 7B 11 93 9A 1F 01 00 71 EC 53 00 91 7C 12 8C 9A 1F 01 00 71 55 11 89 1A 1F 01 00 71 E0 93 07 91 82 39 80 D2 81 19 80 52 34 11 8A 1A ?? ?? ?? ?? E8 E3 41 B9 0F 00 80 52 95 07 00 34 66 5B 6F B8 06 01 00 35 FF 01 08 6B A1 06 00 54 E9 93 07 91 E8 05 00 11 3F 59 2F B8 E8 E3 01 B9 30 00 00 14 0D 00 80 52 EE 01 00 11 07 00 80 52 54 05 00 34 DF CD 01 71 C0 02 00 54 DF 01 08 6B C1 00 00 54 E9 93 07 91 E8 00 0F 0B 3F 59 2E B8 09 05 00 11 E9 E3 01 B9 8B 5B 67 B8 E5 93 07 91 E7 04 00 11 FF 00 14 6B 6C 7D 06 9B AB 58 6E B8 8C 41 2B 8B 8D 41 2D 8B ED 07 00 F9 AD 58 2E B8 ED 0F 40 B9 CE 05 00 11 E8 E3 41 B9 41 FD FF 54 4D 02 00 34 DF CD 01 71 00 02 00 54 DF 01 08 6B A1 00 00 54 E9 93 07 91 C8 05 00 11 3F 59 2E B8 E8 E3 01 B9 EC 93 07 91 8A 59 6E B8 A9 7D 40 D3 2B 41 2A 8B 8B 59 2E B8 6D FD 60 D3 E8 E3 41 B9 CE 05 00 11 0D FE FF 35 DF CD 01 71 80 06 00 54 EF 05 00 11 FF 01 15 6B C1 F8 FF 54 03 7D 7E D3 C8 02 00 B9 E2 93 07 91 81 39 80 D2 60 02 00 91 ?? ?? ?? ?? FB 03 40 B9 ?? ?? ?? ?? 28 00 80 52 E8 06 00 34 39 03 1B 4B ?? ?? ?? ?? B9 E5 FF 35 48 7F 03 53 09 75 1E 53 2A 0D 5A 0B 0B 07 0A 4B 6B 07 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 69 05 00 51 0C 59 69 B8 4C 05 00 34 9F 05 00 71 80 06 00 54 CD 02 40 B9 4D 06 00 34 CE 12 00 91 0A 00 80 52 0B 00 80 52 C8 59 6B B8 08 7D 0C 9B 0A 41 2A 8B CA 59 2B B8 6B 05 00 11 7F 01 0D 6B 4A FD 60 D3 21 FF FF 54 CA 04 00 34 C8 02 40 B9 1F CD 01 71 E2 02 00 54 09 05 00 91 CA 7A 29 B8 CA 02 40 B9 48 05 00 11 C8 02 00 B9 1D 00 00 14 E0 D3 0E 91 FF B3 03 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 B3 43 B9 E2 D3 0E 91 81 39 80 D2 60 02 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? FB 03 40 B9 08 00 80 52 ?? ?? ?? ?? CA FF FF 17 82 39 80 D2 FF B3 03 B9 81 19 80 52 E0 D3 0E 91 ?? ?? ?? ?? E8 B3 43 B9 E2 D3 0E 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? B7 04 00 34 C8 02 40 B9 0E 00 80 52 88 01 00 34 C9 7D 40 D3 2D 05 00 91 CB 7A 6D B8 EA 7E 40 D3 CE 05 00 11 4C 41 2B 8B CC 7A 2D B8 CD 02 40 B9 97 FD 60 D3 DF 01 0D 6B C1 FE FF 54 D7 02 00 34 C8 02 40 B9 1F CD 01 71 E2 00 00 54 09 05 00 91 D7 7A 29 B8 CA 02 40 B9 48 05 00 11 C8 02 00 B9 0D 00 00 14 E0 D3 0E 91 FF B3 03 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 B3 43 B9 E2 D3 0E 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? FF 03 16 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 CA 9A 3B 00 00 00 00 CD CC CC CC }
	condition:
		$1
}

rule file_213_116_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 200
		refs = "000c __security_push_cookie 0080 __security_pop_cookie 00a0 memset 00bc memcpy_s"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 07 D1 13 00 00 91 01 03 00 34 68 02 40 B9 0E 00 80 52 88 01 00 34 C9 7D 40 D3 2D 05 00 91 6B 7A 6D B8 2A 7C 40 D3 CE 05 00 11 4C 41 2B 8B 6C 7A 2D B8 6D 02 40 B9 81 FD 60 D3 DF 01 0D 6B C1 FE FF 54 21 01 00 34 68 02 40 B9 1F CD 01 71 82 01 00 54 09 05 00 91 61 7A 29 B8 6A 02 40 B9 48 05 00 11 68 02 00 B9 20 00 80 52 FF 43 07 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 E0 13 00 91 FF 03 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 03 40 B9 E2 13 00 91 81 39 80 D2 60 12 00 91 03 7D 7E D3 68 02 00 B9 ?? ?? ?? ?? 00 00 80 52 EE FF FF 17 }
	condition:
		$1
}

rule file_213_117_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAEAIII@Z"
		size = 28
	strings:
		$1 = { 09 00 40 B9 28 7C 40 D3 09 41 29 8B 2B 41 22 8B 0B 00 00 B9 60 FD 60 D3 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_118_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAEAIIII@Z"
		size = 48
	strings:
		$1 = { FF 43 00 D1 29 7C 40 D3 48 7C 40 D3 2A 7D 08 9B 09 00 40 B9 4A 41 29 8B 48 41 23 8B E8 03 00 F9 08 00 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_119_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ"
		size = 444
		refs = "0058 isspace 00e0 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 00ec ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 0124 ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 0134 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA 01ac ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 12 40 B9 68 00 00 34 00 00 80 52 65 00 00 14 68 06 40 F9 7F 16 00 B9 7F 62 00 39 7F 66 00 39 7F 6A 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 00 01 40 39 80 00 00 35 34 00 80 52 74 16 00 B9 F1 FF FF 17 ?? ?? ?? ?? C0 01 00 34 48 00 80 52 68 16 00 B9 68 06 40 F9 00 01 40 39 05 00 00 14 68 06 40 F9 09 05 00 91 69 06 00 F9 20 01 40 39 ?? ?? ?? ?? 60 FF FF 35 20 00 80 52 48 00 00 14 6A 06 40 F9 48 01 40 39 1F 95 00 71 C1 06 00 54 49 05 00 91 28 01 40 39 1F 95 00 71 40 06 00 54 88 00 80 52 69 06 00 F9 68 16 00 B9 28 01 40 39 34 00 80 52 1F A9 00 71 81 00 00 54 28 05 00 91 74 6A 00 39 68 06 00 F9 60 02 00 91 ?? ?? ?? ?? A0 F9 FF 34 60 02 00 91 ?? ?? ?? ?? 68 06 40 F9 09 01 40 39 3F DD 01 71 81 00 00 54 08 05 00 91 68 06 00 F9 05 00 00 14 28 0D 01 51 EA 1D 80 52 08 01 0A 0A 48 00 00 35 74 B2 00 39 60 02 00 91 ?? ?? ?? ?? 80 F7 FF 34 68 32 80 B9 89 01 80 D2 ?? ?? ?? ?? 09 7D 09 9B 68 2A 40 B9 2A C1 28 8B ?? ?? ?? ?? 48 69 69 38 08 FA FF 35 C8 02 80 52 68 7E 02 29 7F 62 00 39 7F 66 00 39 7F 6A 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 A9 FF FF 17 68 00 80 52 68 16 00 B9 48 01 40 39 2B 00 80 D2 01 00 80 52 60 02 00 91 68 62 00 39 49 01 40 39 48 00 80 D2 3F 95 00 71 68 11 88 9A 09 01 0A 8B 69 06 00 F9 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_120_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 476
		refs = "005c iswctype 00e4 ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 00f0 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 014c ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 015c ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 12 40 B9 68 00 00 34 00 00 80 52 6D 00 00 14 68 06 40 F9 7F 16 00 B9 7F 32 00 79 7F 36 00 79 7F 72 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 00 01 40 79 80 00 00 35 34 00 80 52 74 16 00 B9 F1 FF FF 17 01 01 80 52 ?? ?? ?? ?? C0 01 00 34 48 00 80 52 68 16 00 B9 68 06 40 F9 00 01 40 79 05 00 00 14 68 06 40 F9 09 09 00 91 69 06 00 F9 20 01 40 79 01 01 80 52 ?? ?? ?? ?? 40 FF FF 35 4E 00 00 14 6A 06 40 F9 48 01 40 79 1F 95 00 71 E1 07 00 54 49 09 00 91 28 01 40 79 1F 95 00 71 60 07 00 54 88 00 80 52 69 06 00 F9 68 16 00 B9 28 01 40 79 34 00 80 52 1F A9 00 71 81 00 00 54 28 09 00 91 74 72 00 39 68 06 00 F9 60 02 00 91 ?? ?? ?? ?? 80 F9 FF 34 60 02 00 91 ?? ?? ?? ?? 68 06 40 F9 09 01 40 79 3F DD 01 71 81 00 00 54 08 09 00 91 68 06 00 F9 0E 00 00 14 28 0D 01 51 EA FD 9F 52 08 01 0A 0A 08 01 00 34 68 2A 40 B9 1F 2D 00 71 E0 00 00 54 68 02 40 F9 09 FD 41 D3 2A 01 00 12 02 00 00 14 0A 00 80 52 4A 00 00 34 74 B2 00 39 60 02 00 91 ?? ?? ?? ?? 40 F6 FF 34 68 32 80 B9 89 01 80 D2 ?? ?? ?? ?? 09 7D 09 9B 68 2A 40 B9 2A C1 28 8B ?? ?? ?? ?? 48 69 69 38 C8 02 00 35 C8 02 80 52 68 7E 02 29 7F 32 00 79 7F 36 00 79 7F 72 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 9F FF FF 17 68 00 80 52 68 16 00 B9 48 01 40 79 4B 00 80 D2 68 32 00 79 49 01 40 79 88 00 80 D2 3F 95 00 71 68 11 88 9A 09 01 0A 8B 69 06 00 F9 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_121_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ"
		size = 132
		refs = "0014 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 001c ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c _CrtDbgReportW 0064 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0068 ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0080 _invoke_watson"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 22 40 39 ?? ?? ?? ?? A8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 33 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 22 40 39 A8 00 00 34 60 02 40 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_122_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ"
		size = 132
		refs = "0014 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 001c ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c _CrtDbgReportW 0064 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0068 ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0080 _invoke_watson"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 22 40 39 ?? ?? ?? ?? A8 01 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 34 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 22 40 39 A8 00 00 35 60 02 40 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_123_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 100
		refs = "001c ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 003c ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 28 20 40 39 20 00 00 91 28 01 00 34 ?? ?? ?? ?? 7F 02 00 71 08 00 F0 D2 08 11 9F 9A 09 2D 4C 92 2A 29 4C B2 0A 00 00 F9 08 00 00 14 ?? ?? ?? ?? 7F 02 00 71 08 00 B0 52 08 11 9F 1A 09 21 09 12 2A 1D 09 32 0A 00 00 B9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_124_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
		size = 1128
		refs = "00d8 ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 00f8 ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 01b0 fegetround 01d0 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 01d8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f4 _CrtDbgReportW"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 2B 00 00 11 F3 0F 00 F9 E8 7F 40 B2 EB 13 00 B9 7F 02 08 EB 54 00 00 11 95 00 00 91 EA 03 80 52 A9 01 00 54 E8 1F 40 B9 09 11 C0 5A 28 00 80 52 08 15 49 4B 4A 01 09 4B 09 1D 00 53 69 00 00 34 48 05 00 11 02 00 00 14 08 00 80 52 09 81 00 11 0B 00 00 14 E8 1B 40 B9 09 11 C0 5A 28 00 80 52 08 15 49 4B 4A 01 09 4B 09 1D 00 53 69 00 00 34 49 05 00 11 02 00 00 14 09 00 80 52 AA 22 40 39 AC 06 80 52 08 03 80 52 5F 01 00 71 88 11 88 1A 17 01 09 4B 5F 01 00 71 E9 7F 80 52 E8 0F 80 52 29 11 88 1A 78 01 17 4B 1F 03 09 6B 8D 02 00 54 A0 02 00 91 2A 01 00 34 ?? ?? ?? ?? 9F 02 00 71 08 00 F0 D2 08 11 9F 9A 09 2D 4C 92 2A 29 4C B2 0A 00 00 F9 08 00 00 14 ?? ?? ?? ?? 9F 02 00 71 08 00 B0 52 08 11 9F 1A 09 21 09 12 2A 1D 09 32 0A 00 00 B9 60 00 80 52 CD 00 00 14 5F 01 00 71 AC 7F 80 12 A8 0F 80 12 88 11 88 1A 1F 03 08 6B 6A 0C 00 54 28 01 18 0B 09 01 17 0B C8 0F 80 12 5F 01 00 71 CC 7F 80 12 98 11 88 1A 3A 05 00 51 3A 0B F8 36 E9 03 1A 4B 3F 01 01 71 82 08 00 54 3C 01 00 91 29 05 00 51 2A 00 80 D2 4A 21 C9 9A 28 00 80 D2 5F 01 13 EA 08 21 DC 9A F9 07 9F 1A 1B 01 13 8A C3 00 00 34 48 05 00 D1 08 01 13 8A 68 00 00 B5 16 00 80 52 02 00 00 14 36 00 80 52 99 00 00 35 76 00 00 35 09 00 80 52 18 00 00 14 ?? ?? ?? ?? 20 05 00 34 1F 00 04 71 A0 04 00 54 1F 00 08 71 00 04 00 54 1F 00 0C 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 4C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 09 00 80 52 EB 13 40 B9 68 26 DC 9A 13 01 09 8B D3 02 00 B4 AA 22 40 39 09 FE FF 92 E8 5B 40 B2 5F 01 00 71 28 11 88 9A 7F 02 08 EB 09 0E 00 54 68 01 1A 4B 09 01 17 4B 38 05 00 51 6C 00 00 14 9F 02 00 71 E9 17 9F 1A EF FF FF 17 89 02 00 11 ED FF FF 17 79 FD FF 34 56 00 00 35 3B FD FF B4 29 00 80 52 E8 FF FF 17 A8 22 40 39 A0 02 00 91 08 01 00 34 ?? ?? ?? ?? 9F 02 00 71 08 00 F0 D2 08 11 9F 9A 09 01 41 92 09 00 00 F9 07 00 00 14 ?? ?? ?? ?? 9F 02 00 71 08 00 B0 52 08 11 9F 1A 09 01 01 12 09 00 00 B9 40 00 80 52 67 00 00 14 73 22 DA 9A 4E 00 00 14 57 09 F8 36 E9 03 17 4B 3F 01 01 71 63 00 00 54 13 00 80 D2 2B 00 00 14 3A 01 00 91 29 05 00 51 2A 00 80 D2 4A 21 C9 9A 28 00 80 D2 5F 01 13 EA 08 21 DA 9A F7 07 9F 1A 19 01 13 8A C3 00 00 34 48 05 00 D1 08 01 13 8A 68 00 00 B5 16 00 80 52 02 00 00 14 36 00 80 52 57 00 00 35 D6 02 00 34 ?? ?? ?? ?? 80 05 00 34 1F 00 04 71 00 05 00 54 1F 00 08 71 60 04 00 54 1F 00 0C 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 4C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 09 00 80 52 68 26 DA 9A 13 01 09 8B AA 22 40 39 09 FC FF 92 E8 5F 40 B2 5F 01 00 71 28 11 88 9A 7F 02 08 EB E9 02 00 54 5F 01 00 71 E9 7F 80 52 E8 0F 80 52 28 11 88 1A 18 07 00 11 1F 03 08 6B 73 FE 41 D3 ED 01 00 54 46 FF FF 17 9F 02 00 71 E9 17 9F 1A EC FF FF 17 89 02 00 11 EA FF FF 17 17 FD FF 34 56 00 00 35 D9 FC FF B4 29 00 80 52 E5 FF FF 17 FF 02 00 71 4D 00 00 54 73 22 D7 9A 5F 01 00 71 09 FE FF 92 E8 5B 40 B2 28 11 88 9A 13 01 13 8A A0 02 00 91 0A 01 00 34 ?? ?? ?? ?? 08 FF 0F 11 09 29 40 92 29 2D 14 AA 68 D2 09 AA 08 00 00 F9 09 00 00 14 ?? ?? ?? ?? 08 FF 01 11 09 21 09 53 2B 1D 09 12 68 5A 00 12 69 01 08 2A 29 7D 14 2A 09 00 00 B9 00 00 80 52 FD 7B C2 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_125_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z"
		size = 348
		refs = "0158 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 88 20 40 39 8A 06 80 52 E9 02 80 52 1F 01 00 71 4F 11 89 1A 3F 00 01 71 48 02 00 54 08 00 40 B9 68 00 00 34 0A 04 40 B9 02 00 00 14 0A 00 80 52 1F 05 00 71 69 00 00 54 08 08 40 B9 02 00 00 14 08 00 80 52 09 7D 40 D3 48 7D 40 D3 7F 00 00 71 00 81 09 8B E3 17 9F 1A E1 01 00 11 3F 00 00 14 2B 7C 05 53 6A 05 00 51 6E 09 00 51 27 10 00 12 87 02 00 35 49 05 00 91 06 78 69 B8 7F 00 00 71 C9 05 00 91 05 78 69 B8 E3 17 9F 1A 0D 00 80 52 2E 01 00 34 AA 7D 40 D3 4B 05 00 91 0C 78 6B B8 AD 05 00 11 9F 01 00 71 63 00 9F 1A BF 01 0E 6B 21 FF FF 54 E1 15 0E 0B A0 80 06 8B 27 00 00 14 09 08 80 52 E1 14 0E 0B 2D 01 07 4B C9 05 00 91 05 78 69 B8 49 05 00 91 28 00 80 52 0A 78 69 B8 08 21 C7 1A 06 05 00 51 A8 81 00 51 4C 21 C8 9A 6A 05 00 91 0B 78 6A B8 E8 03 26 2A 6A 01 06 8A 4A 21 CD 9A 8D 01 0A 8B 0A 01 05 8A 47 25 C7 9A A3 00 00 35 A8 00 06 0A 68 00 00 35 23 00 80 52 02 00 00 14 03 00 80 52 0C 00 80 52 2E 01 00 34 89 7D 40 D3 2A 05 00 91 0B 78 6A B8 8C 05 00 11 7F 01 00 71 63 00 9F 1A 9F 01 0E 6B 21 FF FF 54 21 00 0F 0B A0 01 07 8B ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_126_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 92
		refs = "001c ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 0038 ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 28 20 40 39 20 00 00 91 08 01 00 34 ?? ?? ?? ?? 7F 02 00 71 08 00 F0 D2 08 11 9F 9A 09 01 41 92 09 00 00 F9 07 00 00 14 ?? ?? ?? ?? 7F 02 00 71 08 00 B0 52 08 11 9F 1A 09 01 01 12 09 00 00 B9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_127_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIAEBUbig_integer@1@@Z"
		size = 80
	strings:
		$1 = { 0C 00 40 B9 6C 00 00 35 00 00 80 52 10 00 00 14 88 05 00 51 0A 05 00 91 0B 78 6A B8 E9 03 80 52 68 11 C0 5A 2A 01 08 4B 29 00 80 52 28 15 48 4B 09 1D 00 53 69 00 00 34 48 05 00 11 02 00 00 14 08 00 80 52 08 15 0C 0B 00 81 00 51 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_128_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 44
	strings:
		$1 = { 08 10 C0 5A E9 03 80 52 2A 01 08 4B 29 00 80 52 28 15 48 4B 09 1D 00 53 69 00 00 34 40 05 00 11 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_129_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 120
	strings:
		$1 = { FF 43 00 D1 E8 7F 40 B2 E0 03 00 F9 1F 00 08 EB EA 03 80 52 A9 01 00 54 E8 07 40 B9 09 11 C0 5A 28 00 80 52 08 15 49 4B 4A 01 09 4B 09 1D 00 53 69 00 00 34 48 05 00 11 02 00 00 14 08 00 80 52 00 81 00 11 0B 00 00 14 E8 03 40 B9 09 11 C0 5A 28 00 80 52 08 15 49 4B 4A 01 09 4B 09 1D 00 53 69 00 00 34 40 05 00 11 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_132_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 7300
		refs = "001c __security_push_cookie 0094 memset 00b0 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 00b4 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 00b8 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0150 memcpy_s 027c memcpy 0b24 ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 0b44 ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 1724 ?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z 1b44 ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 1c30 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z 1c50 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z 1c58 __security_pop_cookie"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 2C D1 28 20 40 39 CA 06 80 52 E1 17 00 F9 29 03 80 52 FF 0B 02 B9 13 00 00 91 E0 33 08 91 F3 1B 00 F9 1F 01 00 71 48 11 89 1A 6A 06 40 B9 E8 23 00 B9 68 02 40 B9 82 39 80 D2 81 19 80 52 1F 01 00 71 E9 B3 88 1A 3F 01 0A 6B 28 31 8A 1A 2B 01 08 4B 69 42 2A 8B 68 42 28 8B EB 07 00 B9 3C 21 00 91 1B 21 00 91 FC EF 00 A9 89 03 1B 4B E9 03 00 B9 ?? ?? ?? ?? 73 22 00 91 7F 02 1B EB F7 0B 42 B9 16 00 80 52 18 00 80 52 B5 DE 00 18 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 30 00 54 DC DD 00 58 1F 27 00 71 01 09 00 54 77 04 00 34 09 00 80 52 0B 00 80 52 EC 33 08 91 88 59 6B B8 08 7D 1C 9B 0A 41 29 8B 8A 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 C9 02 00 34 EC 0B 42 B9 9F CD 01 71 E2 00 00 54 E8 33 08 91 09 59 2C B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 0E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 56 04 00 34 0A 00 80 52 57 01 00 34 EB 33 08 91 68 59 6A B8 09 41 36 8B 69 59 2A B8 F7 0B 42 B9 4A 05 00 11 36 FD 60 D3 5F 01 17 6B 01 FF FF 54 D6 02 00 34 FF CE 01 71 E2 00 00 54 E8 33 08 91 16 59 37 B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 0E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 16 00 80 52 18 00 80 52 68 16 40 38 C9 0A 16 0B 18 07 00 11 16 05 09 0B 7F 02 1B EB 41 F6 FF 54 FC 07 40 F9 98 26 00 34 08 7F B5 9B 1B FD 60 D3 79 7F 03 53 B9 19 00 34 CA 04 80 52 3F 9B 00 71 5C 81 99 1A ?? ?? ?? ?? 8A 07 00 51 ?? ?? ?? ?? E0 F3 1D 91 75 09 0A 8B 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? B3 0A 40 39 01 00 80 52 B4 0E 40 39 E0 F3 1D 91 62 F6 7E D3 68 02 14 0B E8 7B 07 B9 ?? ?? ?? ?? A9 02 40 79 ?? ?? ?? ?? EA F3 1D 91 40 09 13 8B 82 F6 7E D3 01 09 09 8B ?? ?? ?? ?? E9 7B 47 B9 3F 05 00 71 08 07 00 54 E8 7F 47 B9 C8 01 00 35 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? 9B 00 00 14 1F 05 00 71 40 13 00 54 37 13 00 34 09 00 80 52 0B 00 80 52 0C 01 00 91 ED 33 08 91 A8 59 6B B8 08 7D 0C 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 69 11 00 34 EC 0B 42 B9 9F CD 01 71 E2 00 00 54 E8 33 08 91 09 59 2C B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 83 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 08 00 80 52 75 00 00 14 FF 06 00 71 28 03 00 54 23 7D 7E D3 F3 0F 42 B9 E9 0B 02 B9 E2 F3 1D 91 81 39 80 D2 E0 33 08 91 ?? ?? ?? ?? 53 F8 FF 34 F7 0B 42 B9 7F 06 00 71 E0 0C 00 54 D7 0C 00 34 09 00 80 52 0B 00 80 52 ED 33 08 91 A8 59 6B B8 08 7D 13 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 CE FF FF 17 3F 01 17 6B FF DB 03 B9 E8 27 9F 1A 1F 01 00 71 EB F3 1D 91 EA 33 08 91 75 11 8A 9A 1F 01 00 71 EB F3 1D 91 EC 33 08 91 9A 11 8B 9A 1F 01 00 71 34 11 97 1A 1F 01 00 71 E0 73 0F 91 82 39 80 D2 81 19 80 52 F3 12 89 1A ?? ?? ?? ?? E8 DB 43 B9 0F 00 80 52 94 07 00 34 A6 5A 6F B8 06 01 00 35 FF 01 08 6B A1 06 00 54 E9 73 0F 91 E8 05 00 11 3F 59 2F B8 E8 DB 03 B9 30 00 00 14 0D 00 80 52 EE 01 00 11 07 00 80 52 53 05 00 34 DF CD 01 71 C0 02 00 54 DF 01 08 6B C1 00 00 54 E9 73 0F 91 E8 00 0F 0B 3F 59 2E B8 09 05 00 11 E9 DB 03 B9 4B 5B 67 B8 E5 73 0F 91 E7 04 00 11 FF 00 13 6B 6C 7D 06 9B AB 58 6E B8 8C 41 2B 8B 8D 41 2D 8B ED 0F 00 F9 AD 58 2E B8 ED 1F 40 B9 CE 05 00 11 E8 DB 43 B9 41 FD FF 54 4D 02 00 34 DF CD 01 71 00 02 00 54 DF 01 08 6B A1 00 00 54 E9 73 0F 91 C8 05 00 11 3F 59 2E B8 E8 DB 03 B9 EC 73 0F 91 8A 59 6E B8 A9 7D 40 D3 2B 41 2A 8B 8B 59 2E B8 6D FD 60 D3 E8 DB 43 B9 CE 05 00 11 0D FE FF 35 DF CD 01 71 60 06 00 54 EF 05 00 11 FF 01 14 6B C1 F8 FF 54 03 7D 7E D3 E8 0B 02 B9 E2 73 0F 91 81 39 80 D2 E0 33 08 91 ?? ?? ?? ?? ?? ?? ?? ?? F7 0B 42 B9 28 00 80 52 C8 06 00 34 39 03 1C 4B D9 E6 FF 35 ?? ?? ?? ?? 68 7F 03 53 09 75 1E 53 2A 0D 5B 0B 0B 07 0A 4B 6B 07 00 34 69 05 00 51 ?? ?? ?? ?? 0A 59 69 B8 4A 05 00 34 5F 05 00 71 A0 06 00 54 97 06 00 34 09 00 80 52 0B 00 80 52 4C 01 00 91 ED 33 08 91 A8 59 6B B8 08 7D 0C 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 C9 04 00 34 E8 0B 42 B9 1F CD 01 71 E2 02 00 54 EA 33 08 91 49 59 28 B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 1E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 08 00 80 52 ?? ?? ?? ?? CB FF FF 17 82 39 80 D2 FF 3B 00 B9 81 19 80 52 E0 F3 00 91 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 56 04 00 34 0A 00 80 52 57 01 00 34 EB 33 08 91 68 59 6A B8 09 41 36 8B 69 59 2A B8 F7 0B 42 B9 4A 05 00 11 36 FD 60 D3 5F 01 17 6B 01 FF FF 54 D6 02 00 34 FF CE 01 71 E2 00 00 54 E8 33 08 91 16 59 37 B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 0E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 FC EF 40 A9 95 AD 00 18 ?? ?? ?? ?? E8 07 40 B9 A8 1A 00 34 08 7D B5 9B 19 FD 60 D3 36 7F 03 53 36 17 00 34 CA 04 80 52 DF 9A 00 71 5A 81 96 1A 4A 07 00 51 ?? ?? ?? ?? E0 F3 1D 91 75 09 0A 8B 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? B3 0A 40 39 01 00 80 52 B4 0E 40 39 E0 F3 1D 91 62 F6 7E D3 68 02 14 0B E8 7B 07 B9 ?? ?? ?? ?? A9 02 40 79 ?? ?? ?? ?? ?? ?? ?? ?? EA F3 1D 91 01 09 09 8B 82 F6 7E D3 40 09 13 8B ?? ?? ?? ?? E9 7B 47 B9 3F 05 00 71 88 04 00 54 E8 7F 47 B9 28 01 00 35 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 86 00 00 14 1F 05 00 71 40 11 00 54 37 11 00 34 09 00 80 52 0B 00 80 52 0C 01 00 91 ED 33 08 91 A8 59 6B B8 08 7D 0C 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 69 0F 00 34 EC 0B 42 B9 9F CD 01 71 62 13 00 54 E8 33 08 91 09 59 2C B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 73 00 00 14 FF 06 00 71 28 03 00 54 23 7D 7E D3 F3 0F 42 B9 E9 0B 02 B9 E2 F3 1D 91 81 39 80 D2 E0 33 08 91 ?? ?? ?? ?? D3 FA FF 34 F7 0B 42 B9 7F 06 00 71 C0 0C 00 54 B7 0C 00 34 09 00 80 52 0B 00 80 52 ED 33 08 91 A8 59 6B B8 08 7D 13 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 DD FF FF 17 3F 01 17 6B FF DB 03 B9 E8 27 9F 1A 1F 01 00 71 EB F3 1D 91 EA 33 08 91 75 11 8A 9A 1F 01 00 71 EB F3 1D 91 EC 33 08 91 98 11 8B 9A 1F 01 00 71 34 11 97 1A 1F 01 00 71 E0 73 0F 91 82 39 80 D2 81 19 80 52 F3 12 89 1A ?? ?? ?? ?? E8 DB 43 B9 0F 00 80 52 94 07 00 34 A6 5A 6F B8 06 01 00 35 FF 01 08 6B A1 06 00 54 E9 73 0F 91 E8 05 00 11 3F 59 2F B8 E8 DB 03 B9 30 00 00 14 0D 00 80 52 EE 01 00 11 07 00 80 52 53 05 00 34 DF CD 01 71 C0 02 00 54 DF 01 08 6B C1 00 00 54 E9 73 0F 91 E8 00 0F 0B 3F 59 2E B8 09 05 00 11 E9 DB 03 B9 0B 5B 67 B8 E5 73 0F 91 E7 04 00 11 FF 00 13 6B 6C 7D 06 9B AB 58 6E B8 8C 41 2B 8B 8D 41 2D 8B ED 0F 00 F9 AD 58 2E B8 ED 1F 40 B9 CE 05 00 11 E8 DB 43 B9 41 FD FF 54 4D 02 00 34 DF CD 01 71 00 02 00 54 DF 01 08 6B A1 00 00 54 E9 73 0F 91 C8 05 00 11 3F 59 2E B8 E8 DB 03 B9 EC 73 0F 91 8A 59 6E B8 A9 7D 40 D3 2B 41 2A 8B 8B 59 2E B8 6D FD 60 D3 E8 DB 43 B9 CE 05 00 11 0D FE FF 35 DF CD 01 71 A0 05 00 54 EF 05 00 11 FF 01 14 6B C1 F8 FF 54 E2 73 0F 91 03 7D 7E D3 E8 0B 02 B9 81 39 80 D2 E0 33 08 91 ?? ?? ?? ?? F7 0B 42 B9 28 00 80 52 28 09 00 34 D6 02 1A 4B ?? ?? ?? ?? 56 E9 FF 35 B5 95 00 18 28 7F 03 53 EB 07 40 B9 09 75 1E 53 2A 0D 59 0B 6B 05 0A 4B 6B 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 69 05 00 51 0A 59 69 B8 2A 04 00 35 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 D7 09 00 35 01 00 80 52 FF 0B 00 B9 5A 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? F7 0B 42 B9 08 00 80 52 D1 FF FF 17 5F 05 00 71 80 FD FF 54 97 FD FF 34 09 00 80 52 0B 00 80 52 4C 01 00 91 ED 33 08 91 A8 59 6B B8 08 7D 0C 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 17 6B 49 FD 60 D3 01 FF FF 54 A9 FB FF 34 E8 0B 42 B9 1F CD 01 71 E2 00 00 54 EA 33 08 91 49 59 28 B8 E8 0B 42 B9 17 05 00 11 F7 0B 02 B9 D5 FF FF 17 82 39 80 D2 FF 3B 00 B9 81 19 80 52 E0 F3 00 91 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 33 08 91 03 7D 7E D3 E8 0B 02 B9 ?? ?? ?? ?? E4 A3 42 A9 13 21 4C 39 80 00 00 91 88 20 40 39 28 01 00 34 ?? ?? ?? ?? 7F 02 00 71 08 00 F0 D2 08 11 9F 9A 09 2D 4C 92 2A 29 4C B2 0A 00 00 F9 08 00 00 14 ?? ?? ?? ?? 7F 02 00 71 08 00 B0 52 08 11 9F 1A 09 21 09 12 2A 1D 09 32 0A 00 00 B9 60 00 80 52 3C 04 00 14 EA 06 00 51 E8 33 08 91 08 59 6A B8 EB 03 80 52 09 11 C0 5A 28 00 80 52 08 15 49 4B 6B 01 09 4B 09 1D 00 53 69 00 00 34 68 05 00 11 02 00 00 14 08 00 80 52 01 15 0A 0B E1 0B 00 B9 E8 23 40 B9 F3 03 40 B9 3F 00 08 6B 64 3A 40 7A 20 84 00 54 E0 B3 16 91 FF AB 05 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? F6 AB 45 B9 18 00 80 52 19 00 80 52 7F 03 1C EB A0 30 00 54 D4 84 00 58 3F 27 00 71 01 09 00 54 76 04 00 34 09 00 80 52 0B 00 80 52 EC B3 16 91 88 59 6B B8 08 7D 14 9B 0A 41 29 8B 8A 59 2B B8 6B 05 00 11 7F 01 16 6B 49 FD 60 D3 01 FF FF 54 C9 02 00 34 EC AB 45 B9 9F CD 01 71 E2 00 00 54 E8 B3 16 91 09 59 2C B8 E8 AB 45 B9 16 05 00 11 F6 AB 05 B9 0E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 B3 16 91 03 7D 7E D3 E8 AB 05 B9 ?? ?? ?? ?? F6 AB 45 B9 58 04 00 34 0A 00 80 52 56 01 00 34 EB B3 16 91 68 59 6A B8 09 41 38 8B 69 59 2A B8 F6 AB 45 B9 4A 05 00 11 38 FD 60 D3 5F 01 16 6B 01 FF FF 54 D8 02 00 34 DF CE 01 71 E2 00 00 54 E8 B3 16 91 18 59 36 B8 E8 AB 45 B9 16 05 00 11 F6 AB 05 B9 0E 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 B3 16 91 03 7D 7E D3 E8 AB 05 B9 ?? ?? ?? ?? F6 AB 45 B9 18 00 80 52 19 00 80 52 68 17 40 38 09 0B 18 0B 39 07 00 11 18 05 09 0B 7F 03 1C EB 41 F6 FF 54 99 26 00 34 28 7F B5 9B 1C FD 60 D3 9A 7F 03 53 BA 19 00 34 CA 04 80 52 5F 9B 00 71 5B 81 9A 1A ?? ?? ?? ?? FB 07 00 B9 6A 07 00 51 ?? ?? ?? ?? E0 F3 1D 91 75 09 0A 8B 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? B3 0A 40 39 01 00 80 52 B4 0E 40 39 E0 F3 1D 91 62 F6 7E D3 68 02 14 0B E8 7B 07 B9 ?? ?? ?? ?? A9 02 40 79 ?? ?? ?? ?? ?? ?? ?? ?? EA F3 1D 91 01 09 09 8B 82 F6 7E D3 40 09 13 8B ?? ?? ?? ?? E9 7B 47 B9 3F 05 00 71 08 07 00 54 E8 7F 47 B9 C8 01 00 35 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 B3 16 91 03 7D 7E D3 E8 AB 05 B9 ?? ?? ?? ?? 9A 00 00 14 1F 05 00 71 20 13 00 54 16 13 00 34 09 00 80 52 0B 00 80 52 0C 01 00 91 ED B3 16 91 A8 59 6B B8 08 7D 0C 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 16 6B 49 FD 60 D3 01 FF FF 54 49 11 00 34 EC AB 45 B9 9F CD 01 71 E2 00 00 54 E8 B3 16 91 09 59 2C B8 E8 AB 45 B9 16 05 00 11 F6 AB 05 B9 82 00 00 14 E0 F3 00 91 FF 3B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 3B 40 B9 E2 F3 00 91 81 39 80 D2 E0 B3 16 91 03 7D 7E D3 E8 AB 05 B9 ?? ?? ?? ?? F6 AB 45 B9 08 00 80 52 74 00 00 14 DF 06 00 71 28 03 00 54 23 7D 7E D3 F3 AF 45 B9 E9 AB 05 B9 E2 F3 1D 91 81 39 80 D2 E0 B3 16 91 ?? ?? ?? ?? 53 F8 FF 34 F6 AB 45 B9 7F 06 00 71 C0 0C 00 54 B6 0C 00 34 09 00 80 52 0B 00 80 52 ED B3 16 91 A8 59 6B B8 08 7D 13 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 16 6B 49 FD 60 D3 01 FF FF 54 CE FF FF 17 3F 01 16 6B FF DB 03 B9 E8 27 9F 1A 1F 01 00 71 EB F3 1D 91 EA B3 16 91 75 11 8A 9A 1F 01 00 71 EB F3 1D 91 EC B3 16 91 9B 11 8B 9A 1F 01 00 71 34 11 96 1A 1F 01 00 71 E0 73 0F 91 82 39 80 D2 81 19 80 52 D3 12 89 1A ?? ?? ?? ?? E8 DB 43 B9 07 00 80 52 74 07 00 34 A5 5A 67 B8 05 01 00 35 FF 00 08 6B 81 06 00 54 E9 73 0F 91 E8 04 00 11 3F 59 27 B8 E8 DB 03 B9 2F 00 00 14 0C 00 80 52 EF 00 00 11 06 00 80 52 33 05 00 34 FF CD 01 71 C0 02 00 54 FF 01 08 6B C1 00 00 54 E9 73 0F 91 C8 00 07 0B 3F 59 2F B8 09 05 00 11 E9 DB 03 B9 6B 5B 66 B8 E4 73 0F 91 C6 04 00 11 DF 00 13 6B 6B 7D 05 9B 6D 41 2C 8B 8C 58 6F B8 AE 41 2C 8B EE 0F 00 F9 8E 58 2F B8 EC 1F 40 B9 EF 05 00 11 E8 DB 43 B9 41 FD FF 54 2C 02 00 34 FF CD 01 71 E0 01 00 54 FF 01 08 6B A1 00 00 54 E9 73 0F 91 E8 05 00 11 3F 59 2F B8 E8 DB 03 B9 }
	condition:
		$1
}

rule file_213_133_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 156
		refs = "0098 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 24 00 00 91 8B 20 40 39 08 03 80 52 A9 06 80 52 0F 00 00 91 EA 05 40 B9 EC 21 00 91 7F 01 00 71 29 11 88 1A E8 01 40 B9 00 00 80 D2 29 01 08 0B E8 41 2A 8B 21 05 00 51 0D 21 00 91 9F 01 0D EB A0 01 00 54 7F 01 00 71 09 FC FF 92 E8 5F 40 B2 2E 11 88 9A 1F 00 0E EB E8 00 00 54 8B 01 40 39 8C 05 00 91 21 10 00 51 9F 01 0D EB 60 11 00 8B 21 FF FF 54 23 00 80 52 05 00 00 14 C3 00 00 34 88 15 40 38 88 FF FF 34 03 00 80 52 9F 01 0D EB 61 FF FF 54 E2 21 4C 39 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_134_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 48
	strings:
		$1 = { 08 10 C0 5A E9 03 80 52 2A 01 08 4B 29 00 80 52 28 15 48 4B EB 03 80 52 6A 01 0A 4B 09 1D 00 53 3F 01 00 71 08 04 80 52 40 11 88 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_136_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
		size = 100
		refs = "0018 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0030 _calloc_dbg 0040 _free_dbg"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 14 00 00 91 88 02 40 F9 08 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 64 21 80 52 42 00 80 52 21 00 80 D2 00 00 84 D2 ?? ?? ?? ?? 41 00 80 52 13 00 00 91 80 02 40 F9 ?? ?? ?? ?? 41 00 80 52 93 02 00 F9 00 00 80 D2 ?? ?? ?? ?? 80 02 40 F9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_137_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 24
	strings:
		$1 = { 08 20 40 39 0A FE FF 92 E9 5B 40 B2 1F 01 00 71 40 11 89 9A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_138_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z"
		size = 1264
		refs = "0018 __security_push_cookie 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@ 0060 _CrtDbgReportW 00a0 memset 00bc memcpy_s 04d4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BB A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 07 D1 14 00 00 91 89 02 40 B9 69 00 00 35 00 00 80 D2 28 01 00 14 28 00 40 B9 E8 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 5B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 21 FE FF 54 00 00 3E D4 EF FF FF 17 27 05 00 51 08 05 00 51 E8 09 00 35 35 04 40 B9 BF 06 00 71 01 02 00 54 E0 33 00 91 93 06 40 B9 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 81 39 80 D2 80 12 00 91 03 7D 7E D3 88 02 00 B9 ?? ?? ?? ?? 60 02 00 91 03 01 00 14 07 03 00 35 E0 33 00 91 93 06 40 B9 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 81 39 80 D2 80 12 00 91 03 7D 7E D3 88 02 00 B9 ?? ?? ?? ?? 55 00 00 35 80 00 3E D4 69 0A D5 1A 20 01 00 91 28 CD 15 1B 1F 01 00 71 88 06 00 B9 E8 97 9F 1A 88 02 00 B9 EB 00 00 14 16 00 80 D2 13 00 80 D2 0C 00 00 14 E9 7C 40 D3 2A 05 00 91 8B 7A 6A B8 6C 81 13 AA 55 00 00 B5 80 00 3E D4 88 09 D5 9A E7 04 00 51 13 B1 15 9B 08 7D 40 D3 16 81 16 8B FF 04 00 31 81 FE FF 54 E0 33 00 91 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 81 39 80 D2 80 12 00 91 03 7D 7E D3 88 02 00 B9 ?? ?? ?? ?? 68 FE 60 D3 93 A2 00 29 1F 01 00 71 28 00 80 52 4B 00 80 52 68 81 88 1A 88 02 00 B9 C6 00 00 14 1F 01 07 6B 88 F3 FF 54 ED 00 08 4B FF 00 0D 6B 03 05 00 11 EE 00 00 11 0B 03 00 54 EF 00 0D 4B E8 7D 40 93 C9 7D 40 93 0B 05 00 91 2A 05 00 91 2B 78 6B B8 8C 7A 6A B8 7F 01 0C 6B C1 00 00 54 CE 05 00 51 DF 01 0D 6B EF 05 00 51 AA FE FF 54 0A 00 00 14 C8 01 0D 4B 09 7D 40 93 CA 7D 40 93 2C 05 00 91 48 05 00 91 29 78 6C B8 8B 7A 68 B8 3F 01 0B 6B 42 00 00 54 AD 05 00 11 CD EF FF 34 68 04 00 51 0A 05 00 91 2C 78 6A B8 68 08 00 51 0A 05 00 91 E9 03 80 52 33 78 6A B8 EB 03 80 52 88 11 C0 5A 2A 01 08 4B 29 00 80 52 28 15 48 4B 6A 01 0A 4B 09 1D 00 53 3F 01 00 71 08 04 80 52 57 11 88 1A 09 04 80 52 39 01 17 4B 97 01 00 34 69 26 D9 1A 88 21 D7 1A 2C 01 08 2A 73 22 D7 1A 7F 08 00 71 C9 00 00 54 68 0C 00 51 0A 05 00 91 2B 78 6A B8 68 25 D9 1A 13 01 13 2A 16 00 80 D2 A5 05 00 51 A5 0D F8 37 98 7D 40 D3 A4 00 03 0B 9F 00 07 6B A8 00 00 54 89 7C 40 D3 2A 05 00 91 95 7A 6A B8 02 00 00 14 15 00 80 52 9A 04 00 51 4B 07 00 91 8C 7A 6B B8 EC 03 00 F9 8C 08 00 51 8E 05 00 91 F5 07 00 B9 82 7A 6E B8 D7 01 00 34 EA 03 40 F9 4F 24 D9 9A 42 20 D7 1A 9F 0C 00 71 4A 21 D7 9A E0 01 0A AA 03 01 00 54 88 0C 00 51 0C 05 00 91 8D 7A 6C B8 AE 25 D9 1A C2 01 02 2A 02 00 00 14 E0 03 40 F9 58 00 00 B5 80 00 3E D4 06 08 D8 9A EA 7F 40 B2 C9 80 18 9B DF 00 0A EB 2F 7D 40 D3 A9 00 00 54 E8 83 60 B2 C8 00 08 8B 0F 3D 18 9B E6 7F 40 B2 EB 7F 40 B2 FF 01 0B EB C8 01 00 54 6A 7E 40 D3 4B 7D 06 9B ED 03 0A CB 4C 7C 40 D3 89 81 0F AA 7F 01 09 EB E9 00 00 54 0F 03 0F 8B E8 7F 40 B2 FF 01 08 EB C6 04 00 D1 AB 01 0B 8B 09 FF FF 54 66 05 00 B4 0C 00 80 D2 0D 00 80 52 63 02 00 34 AE 00 00 11 A8 7D 40 D3 09 05 00 91 2A 78 69 B8 4B 31 06 9B CA 7D 40 D3 42 05 00 91 80 7A 62 B8 6C FD 60 D3 1F 00 0B 6B 42 00 00 54 8C 05 00 91 0B 00 0B 4B AD 05 00 11 8B 7A 22 B8 BF 01 03 6B CE 05 00 11 03 FE FF 54 9F 41 35 EB 69 02 00 54 0F 00 80 52 02 00 80 52 E3 01 00 34 4A 7C 40 D3 4B 05 00 91 2D 78 6B B8 48 00 05 0B EC 7D 40 D3 07 05 00 91 42 04 00 11 8E 41 2D 8B 8D 7A 67 B8 5F 00 03 6B CF 41 2D 8B 8F 7A 27 B8 EF FD 60 D3 63 FE FF 54 C6 04 00 D1 47 03 00 11 C8 7C 40 D3 16 81 16 8B A5 04 00 51 84 04 00 51 E5 F2 FF 36 88 02 40 B9 EE 04 00 11 CD 01 00 11 BF 01 08 6B 02 01 00 54 AA 7D 40 D3 4B 05 00 91 9F 7A 2B B8 8C 02 40 B9 AD 05 00 11 BF 01 0C 6B 43 FF FF 54 8E 02 00 B9 4E 01 00 34 88 02 40 B9 09 05 00 51 2E 05 00 91 8F 7A 6E B8 AF 00 00 35 0A 01 00 11 4B 05 00 51 8B 02 00 B9 0B FF FF 35 C0 02 00 91 FF 43 07 91 ?? ?? ?? ?? F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_141_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 24
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
	strings:
		$1 = { 08 20 40 39 EA 7F 80 52 E9 0F 80 52 1F 01 00 71 40 11 89 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_143_0 {
	meta:
		name = "?get@?$console_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 52
		refs = "0010 _getche_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 1F 04 00 31 80 00 00 54 68 02 40 F9 09 05 00 91 69 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_144_0 {
	meta:
		name = "?get@?$console_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 56
		refs = "0010 _getwche_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B 80 00 00 54 68 02 40 F9 09 05 00 91 69 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_145_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 88
		refs = "0028 _getche_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 09 A0 40 A9 0A 05 00 91 3F 01 00 F1 0A 08 00 F9 44 11 49 FA 48 01 00 54 13 00 40 F9 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 68 02 40 F9 00 1C 00 13 09 05 00 91 69 02 00 F9 02 00 00 14 00 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_146_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 88
		refs = "0028 _getwche_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 09 A0 40 A9 0A 05 00 91 3F 01 00 F1 0A 08 00 F9 44 11 49 FA 48 01 00 54 13 00 40 F9 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 02 40 F9 09 05 00 91 69 02 00 F9 02 00 00 14 00 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_147_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 52
	strings:
		$1 = { 08 80 00 91 1F 00 08 EB 09 04 80 D2 EB 83 89 9A 0A 00 80 D2 EB 00 00 B4 09 14 40 38 4A 05 00 91 5F 01 0B EB E9 03 29 2A 09 F0 1F 38 61 FF FF 54 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_148_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 72
		refs = "0008 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 08 00 84 D2 08 00 08 8B 1F 00 08 EB 09 00 84 D2 EB 83 89 9A 0A 00 80 D2 EB 00 00 B4 09 14 40 38 4A 05 00 91 5F 01 0B EB E9 03 29 2A 09 F0 1F 38 61 FF FF 54 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_149_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 132
		refs = "0038 ?scanset@?$format_string_parser@D@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@E@2@XZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 53 00 00 11 7F 06 00 31 61 00 00 54 00 00 80 52 17 00 00 14 A1 02 00 34 3F 04 00 71 A0 01 00 54 3F 20 00 71 41 FF FF 54 00 40 00 91 ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 2B 21 C8 1A 68 1E 40 D3 09 FD 43 D3 2A 69 60 38 7F 01 0A 6A 05 00 00 14 68 26 00 51 1F 11 00 71 A9 FD FF 54 7F 82 00 71 E0 07 9F 1A 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_150_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 144
		refs = "003c ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@_W@2@XZ 0040 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 53 00 00 11 E8 FF 9F 52 7F 02 08 6B 61 00 00 54 00 00 80 52 19 00 00 14 E1 02 00 34 3F 04 00 71 A0 01 00 54 3F 20 00 71 41 FF FF 54 00 40 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 2A 21 C8 1A 68 FE 43 D3 09 69 60 38 5F 01 09 6A 07 00 00 14 E8 FE 9F 52 68 02 08 0B 09 3D 00 53 3F 11 00 71 69 FD FF 54 7F 82 00 71 E0 07 9F 1A 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_151_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 56
	strings:
		$1 = { 08 C0 00 51 1F 25 00 71 68 00 00 54 20 00 80 52 09 00 00 14 08 84 01 51 1F 65 00 71 89 FF FF 54 08 04 01 51 1F 65 00 71 29 FF FF 54 1F 7C 01 71 E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_153_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 40
		refs = "000c ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 08 7C 40 93 89 01 80 D2 08 7D 09 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A C1 21 8B 48 69 69 38 1F 01 00 71 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_154_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z"
		size = 84
		refs = "0030 _isctype_l 0040 _chvalidator_l"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 0A 00 00 11 20 00 00 91 40 01 00 B4 08 00 40 F9 09 09 40 B9 3F 05 00 71 CD 00 00 54 02 00 00 91 40 1D 00 53 01 01 80 52 ?? ?? ?? ?? 04 00 00 14 02 01 80 52 41 1D 00 53 ?? ?? ?? ?? 1F 00 00 71 E0 07 9F 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_155_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z"
		size = 32
		refs = "000c iswctype"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 01 01 80 52 ?? ?? ?? ?? 1F 00 00 71 E0 07 9F 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_157_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 28
		refs = "0008 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 1F 00 00 F1 E0 07 9F 1A FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_161_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
		size = 192
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 0094 ?to_floating_point_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z 00a0 ?to_integer_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		altNames = "?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 47 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 32 40 B9 68 01 F8 37 1F 05 00 71 6D 02 00 54 1F 19 00 71 CD 01 00 54 1F 1D 00 71 20 01 00 54 1F 21 00 71 A0 01 00 54 1F 25 00 71 00 01 00 54 00 00 80 D2 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 60 2A 40 B9 ?? ?? ?? ?? FB FF FF 17 60 2A 40 B9 ?? ?? ?? ?? F8 FF FF 17 68 B2 40 39 4A 00 80 D2 29 00 80 D2 1F 01 00 71 40 11 89 9A F2 FF FF 17 }
	condition:
		$1
}

rule file_213_163_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ"
		size = 96
		refs = "001c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 62 40 39 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_164_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QEBA_WXZ"
		size = 96
		refs = "001c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 32 40 79 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_165_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ"
		size = 96
		refs = "001c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 45 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 66 40 39 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_166_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 80
		refs = "0020 memset"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 14 00 00 91 33 00 00 91 80 12 00 91 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? 69 FE 60 D3 93 A6 00 29 3F 01 00 71 29 00 80 52 48 00 80 52 28 01 88 1A 88 02 00 B9 80 02 00 91 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_167_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 24
	strings:
		$1 = { 08 20 40 39 AA 06 80 52 09 03 80 52 1F 01 00 71 40 11 89 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_170_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 24
	strings:
		$1 = { 08 20 40 39 AA 7F 80 12 A9 0F 80 12 1F 01 00 71 40 11 89 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_172_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ"
		size = 96
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
		altNames = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 4A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 32 40 B9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_174_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@AEBU21@@Z"
		size = 780
		refs = "0014 __security_push_cookie 0044 memset 00e0 memcpy_s 02bc __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 0E D1 28 00 40 B9 13 00 00 91 1F 05 00 71 88 04 00 54 28 04 40 B9 68 01 00 35 E0 33 00 91 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 68 02 00 B9 03 7D 7E D3 94 00 00 14 1F 05 00 71 A0 12 00 54 6C 02 40 B9 6C 12 00 34 6D 12 00 91 0A 00 80 52 0B 00 80 52 0E 01 00 91 A8 59 6B B8 08 7D 0E 9B 0A 41 2A 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 4A FD 60 D3 21 FF FF 54 22 00 00 14 09 05 00 91 6A 7A 29 B8 6A 02 40 B9 48 05 00 11 68 02 00 B9 80 00 00 14 69 02 40 B9 3F 05 00 71 A8 04 00 54 68 02 00 B9 28 00 40 B9 22 10 00 91 81 39 80 D2 74 06 40 B9 60 12 00 91 03 7D 7E D3 ?? ?? ?? ?? 94 FA FF 34 9F 06 00 71 40 0E 00 54 6C 02 40 B9 0C 0E 00 34 6D 12 00 91 0A 00 80 52 0B 00 80 52 A8 59 6B B8 08 7D 14 9B 0A 41 2A 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 4A FD 60 D3 21 FF FF 54 8A 0C 00 34 68 02 40 B9 1F CD 01 71 83 FB FF 54 E0 33 00 91 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 68 00 00 14 1F 01 09 6B E9 27 9F 1A 3F 01 00 71 36 10 93 9A 3F 01 00 71 77 12 81 9A 3F 01 00 71 28 10 93 9A 3F 01 00 71 15 01 40 B9 68 12 81 9A 14 01 40 B9 E0 33 00 91 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E9 0B 40 B9 06 00 80 52 F5 07 00 34 CA 7C 40 D3 C8 0A 0A 8B 04 05 40 B9 04 01 00 35 DF 00 09 6B C1 06 00 54 EB 33 00 91 C9 04 00 11 7F 79 2A B8 E9 0B 00 B9 31 00 00 14 0F 00 80 52 C7 00 00 11 05 00 80 52 74 05 00 34 FF CC 01 71 E0 02 00 54 FF 00 09 6B C1 00 00 54 E8 33 00 91 1F 59 27 B8 A8 00 06 0B 09 05 00 11 E9 0B 00 B9 AA 7C 40 D3 4B 05 00 91 ED 7A 6B B8 E3 33 00 91 A5 04 00 11 BF 00 14 6B AE 7D 04 9B 6D 58 67 B8 CE 41 2D 8B CF 41 2F 8B EF 03 00 F9 6F 58 27 B8 EF A7 40 29 E7 04 00 11 21 FD FF 54 4F 02 00 34 FF CC 01 71 00 02 00 54 FF 00 09 6B A1 00 00 54 E8 33 00 91 1F 59 27 B8 E8 04 00 11 E8 0B 00 B9 EC 33 00 91 8A 59 67 B8 E9 7D 40 D3 2B 41 2A 8B 8B 59 27 B8 6F FD 60 D3 E9 0B 40 B9 E7 04 00 11 0F FE FF 35 FF CC 01 71 40 02 00 54 C6 04 00 11 DF 00 15 6B 61 F8 FF 54 69 02 00 B9 23 7D 7E D3 E2 33 00 91 81 39 80 D2 60 12 00 91 ?? ?? ?? ?? 20 00 80 52 FF 83 0E 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 E0 73 07 91 FF DB 01 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 DB 41 B9 E2 73 07 91 03 7D 7E D3 68 02 00 B9 81 39 80 D2 60 12 00 91 ?? ?? ?? ?? 00 00 80 52 EC FF FF 17 }
	condition:
		$1
}

rule file_213_175_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 260
		refs = "000c __security_push_cookie 002c memset 0048 memcpy_s 0054 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 07 D1 13 00 00 91 61 02 00 35 E0 13 00 91 FF 03 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 03 40 B9 E2 13 00 91 81 39 80 D2 60 12 00 91 03 7D 7E D3 68 02 00 B9 ?? ?? ?? ?? 20 00 80 52 FF 43 07 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 3F 04 00 71 20 FF FF 54 6B 02 40 B9 EB FE FF 34 6D 12 00 91 0A 00 80 52 0C 00 80 52 2E 7C 40 D3 A8 59 6C B8 08 7D 0E 9B 0A 41 2A 8B AA 59 2C B8 8C 05 00 11 9F 01 0B 6B 4A FD 60 D3 21 FF FF 54 4A FD FF 34 68 02 40 B9 1F CD 01 71 E2 00 00 54 09 05 00 91 6A 7A 29 B8 6A 02 40 B9 48 05 00 11 68 02 00 B9 E1 FF FF 17 E0 13 00 91 FF 03 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 03 40 B9 E2 13 00 91 81 39 80 D2 60 12 00 91 03 7D 7E D3 68 02 00 B9 ?? ?? ?? ?? 00 00 80 52 D4 FF FF 17 }
	condition:
		$1
}

rule file_213_177_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 1260
		refs = "001c __security_push_cookie 0040 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0044 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 006c memset 00a8 memcpy 00ec memcpy_s 03a0 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 04c4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF C3 15 D1 3A 00 00 11 08 26 00 18 48 7F A8 9B 16 00 00 91 18 FD 60 D3 17 7F 03 53 97 1A 00 34 ?? ?? ?? ?? ?? ?? ?? ?? CA 04 80 52 FF 9A 00 71 5C 81 97 1A 8A 07 00 51 ?? ?? ?? ?? E0 73 07 91 75 09 0A 8B 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? B3 0A 40 39 01 00 80 52 B4 0E 40 39 E0 73 07 91 62 F6 7E D3 68 02 14 0B E8 DB 01 B9 ?? ?? ?? ?? A9 02 40 79 ?? ?? ?? ?? EA 73 07 91 40 09 13 8B 82 F6 7E D3 01 09 09 8B ?? ?? ?? ?? EA DB 41 B9 5F 05 00 71 08 07 00 54 E8 DF 41 B9 C8 01 00 35 E0 33 00 91 FF 0B 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 0B 40 B9 E2 33 00 91 03 7D 7E D3 C8 02 00 B9 81 39 80 D2 C0 12 00 91 ?? ?? ?? ?? A2 00 00 14 1F 05 00 71 00 14 00 54 CC 02 40 B9 CC 13 00 34 CD 12 00 91 09 00 80 52 0B 00 80 52 0E 01 00 91 A8 59 6B B8 08 7D 0E 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 49 FD 60 D3 21 FF FF 54 29 12 00 34 CC 02 40 B9 9F CD 01 71 E2 00 00 54 8C 05 00 91 C9 7A 2C B8 C8 02 40 B9 09 05 00 11 C9 02 00 B9 88 00 00 14 E0 73 07 91 FF DB 01 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 DB 41 B9 E2 73 07 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 08 00 80 52 7B 00 00 14 C9 02 40 B9 3F 05 00 71 28 04 00 54 43 7D 7E D3 D3 06 40 B9 CA 02 00 B9 E2 73 07 91 81 39 80 D2 C0 12 00 91 ?? ?? ?? ?? 33 01 00 35 E0 73 07 91 FF DB 01 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 DB 41 B9 E2 73 07 91 C0 FF FF 17 7F 06 00 71 A0 0C 00 54 CC 02 40 B9 6C 0C 00 34 CD 12 00 91 09 00 80 52 0B 00 80 52 A8 59 6B B8 08 7D 13 9B 0A 41 29 8B AA 59 2B B8 6B 05 00 11 7F 01 0C 6B 49 FD 60 D3 21 FF FF 54 C6 FF FF 17 5F 01 09 6B FF 0B 00 B9 E8 27 9F 1A 1F 01 00 71 D3 12 00 91 EB 73 07 91 79 11 93 9A 1F 01 00 71 EC 73 07 91 7B 12 8C 9A 1F 01 00 71 55 11 89 1A 1F 01 00 71 E0 33 00 91 82 39 80 D2 81 19 80 52 34 11 8A 1A ?? ?? ?? ?? E8 0B 40 B9 0F 00 80 52 75 07 00 34 26 5B 6F B8 06 01 00 35 FF 01 08 6B 81 06 00 54 E9 33 00 91 E8 05 00 11 3F 59 2F B8 E8 0B 00 B9 2F 00 00 14 0D 00 80 52 EE 01 00 11 07 00 80 52 34 05 00 34 DF CD 01 71 A0 02 00 54 DF 01 08 6B C1 00 00 54 E9 33 00 91 E8 00 0F 0B 3F 59 2E B8 09 05 00 11 E9 0B 00 B9 6B 5B 67 B8 E5 33 00 91 E7 04 00 11 FF 00 14 6B 6C 7D 06 9B AB 58 6E B8 8C 41 2B 8B 8D 41 2D 8B ED 03 00 F9 AD 58 2E B8 ED A3 40 29 CE 05 00 11 61 FD FF 54 4D 02 00 34 DF CD 01 71 00 02 00 54 DF 01 08 6B A1 00 00 54 E9 33 00 91 C8 05 00 11 3F 59 2E B8 E8 0B 00 B9 EC 33 00 91 8A 59 6E B8 A9 7D 40 D3 2B 41 2A 8B 8B 59 2E B8 6D FD 60 D3 E8 0B 40 B9 CE 05 00 11 0D FE FF 35 DF CD 01 71 E0 04 00 54 EF 05 00 11 FF 01 15 6B E1 F8 FF 54 03 7D 7E D3 C8 02 00 B9 E2 33 00 91 81 39 80 D2 60 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 00 80 52 48 05 00 34 F7 02 1C 4B ?? ?? ?? ?? 17 E6 FF 35 08 7F 03 53 09 75 1E 53 2A 0D 58 0B 4B 07 0A 4B 0B 09 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 69 05 00 51 0C 59 69 B8 6C 05 00 35 E0 B3 0E 91 FF AB 03 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 AB 43 B9 E2 B3 0E 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 36 00 00 14 E0 B3 0E 91 FF AB 03 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 AB 43 B9 E2 B3 0E 91 81 39 80 D2 60 02 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? D7 FF FF 17 E0 B3 0E 91 FF AB 03 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 AB 43 B9 E2 B3 0E 91 81 39 80 D2 C0 12 00 91 03 7D 7E D3 C8 02 00 B9 ?? ?? ?? ?? 00 00 80 52 1A 00 00 14 9F 05 00 71 E0 02 00 54 CD 02 40 B9 AD 02 00 34 CE 12 00 91 0A 00 80 52 0B 00 80 52 C8 59 6B B8 08 7D 0C 9B 0A 41 2A 8B CA 59 2B B8 6B 05 00 11 7F 01 0D 6B 4A FD 60 D3 21 FF FF 54 2A 01 00 34 C8 02 40 B9 1F CD 01 71 02 FC FF 54 09 05 00 91 CA 7A 29 B8 CA 02 40 B9 48 05 00 11 C8 02 00 B9 20 00 80 52 FF C3 15 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 CD CC CC CC }
	condition:
		$1
}

rule file_213_178_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQEAIII@Z"
		size = 56
	strings:
		$1 = { 0D 00 00 91 00 00 80 52 0B 00 80 52 41 01 00 34 4C 7C 40 D3 A8 59 6B B8 08 7D 0C 9B 0A 41 20 8B AA 59 2B B8 6B 05 00 11 7F 01 01 6B 40 FD 60 D3 21 FF FF 54 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_179_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 24
	strings:
		$1 = { 08 20 40 39 0A FC FF 92 E9 5F 40 B2 1F 01 00 71 40 11 89 9A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_180_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 76
	strings:
		$1 = { 08 40 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 00 C0 00 51 0D 00 00 14 08 7C 02 11 09 1D 00 53 3F 65 00 71 68 00 00 54 00 5C 01 51 07 00 00 14 08 FC 02 11 09 1D 00 53 3F 65 00 71 00 DC 00 51 49 00 00 54 00 00 80 12 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_181_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 568
	strings:
		$1 = { 1F C0 00 71 23 0F 00 54 1F E8 00 71 62 00 00 54 08 C0 00 51 71 00 00 14 09 E2 9F 52 1F 00 09 6B 02 0D 00 54 1F 80 19 71 03 0E 00 54 1F A8 19 71 62 00 00 54 08 80 19 51 68 00 00 14 1F C0 1B 71 43 0D 00 54 1F E8 1B 71 62 00 00 54 08 C0 1B 51 62 00 00 14 1F 98 25 71 83 0C 00 54 1F C0 25 71 62 00 00 54 08 98 25 51 5C 00 00 14 1F 98 27 71 C3 0B 00 54 1F C0 27 71 62 00 00 54 08 98 27 51 56 00 00 14 1F 98 29 71 03 0B 00 54 1F C0 29 71 62 00 00 54 08 98 29 51 50 00 00 14 1F 98 2B 71 43 0A 00 54 1F C0 2B 71 62 00 00 54 08 98 2B 51 4A 00 00 14 1F 98 2D 71 83 09 00 54 1F C0 2D 71 62 00 00 54 08 98 2D 51 44 00 00 14 1F 98 31 71 C3 08 00 54 1F C0 31 71 62 00 00 54 08 98 31 51 3E 00 00 14 1F 98 33 71 03 08 00 54 1F C0 33 71 62 00 00 54 08 98 33 51 38 00 00 14 1F 98 35 71 43 07 00 54 1F C0 35 71 62 00 00 54 08 98 35 51 32 00 00 14 1F 40 39 71 83 06 00 54 1F 68 39 71 62 00 00 54 08 40 39 51 2C 00 00 14 1F 40 3B 71 C3 05 00 54 1F 68 3B 71 62 00 00 54 08 40 3B 51 26 00 00 14 1F 80 3C 71 03 05 00 54 1F A8 3C 71 62 00 00 54 08 80 3C 51 20 00 00 14 09 08 82 52 1F 00 09 6B 23 04 00 54 48 09 82 52 1F 00 08 6B 82 00 00 54 08 08 82 52 08 00 08 4B 17 00 00 14 09 FC 82 52 1F 00 09 6B 03 03 00 54 48 FD 82 52 1F 00 08 6B 62 00 00 54 08 FC 82 52 F7 FF FF 17 09 02 83 52 1F 00 09 6B 03 02 00 54 48 03 83 52 1F 00 08 6B A2 01 00 54 08 02 83 52 EF FF FF 17 49 E3 9F 52 1F 00 09 6B 62 00 00 54 08 E2 9F 52 EA FF FF 17 08 00 80 12 1F 05 00 31 60 00 00 54 00 01 00 11 14 00 00 14 E8 F7 9F 52 08 00 08 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 E8 F3 9F 52 08 00 08 0B 09 3D 00 53 3F 65 00 71 69 00 00 54 00 00 80 12 08 00 00 14 E8 F3 9F 52 08 00 08 0B 09 3D 00 53 3F 65 00 71 48 00 00 54 00 80 00 51 00 DC 00 51 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_182_0 {
	meta:
		name = "?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 256
		refs = "0018 ?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 002c ?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ 0048 _getche_nolock 007c _ungetch_nolock 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0098 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b4 _CrtDbgReportW 00c8 _errno 00cc ??_C@_1NA@MGODPMFD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00e8 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 42 00 91 ?? ?? ?? ?? C0 00 00 35 00 00 80 12 33 00 00 14 60 02 00 91 ?? ?? ?? ?? 80 00 00 34 60 42 00 91 ?? ?? ?? ?? 60 FF FF 35 74 A6 47 A9 E9 01 00 B5 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 00 00 14 14 00 80 12 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 68 02 40 F9 48 03 00 36 69 22 40 B9 09 03 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 73 22 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_183_0 {
	meta:
		name = "?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 264
		refs = "0018 ?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 002c ?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ 0048 _getwche_nolock 0084 _ungetwch_nolock 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00a0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc _CrtDbgReportW 00d0 _errno 00d4 ??_C@_1NM@DBNKGEMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00f0 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 42 00 91 ?? ?? ?? ?? C0 00 00 35 00 00 80 12 35 00 00 14 60 02 00 91 ?? ?? ?? ?? 80 00 00 34 60 42 00 91 ?? ?? ?? ?? 60 FF FF 35 74 26 46 A9 29 02 00 B5 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 02 00 00 14 14 00 80 12 E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 68 02 40 F9 48 03 00 36 69 22 40 B9 09 03 00 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 73 22 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_184_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 124
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 006c ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 68 00 00 34 20 00 80 52 05 00 00 14 61 06 40 F9 02 00 80 52 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_185_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 124
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 006c ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 00 00 34 20 00 80 52 05 00 00 14 61 06 40 F9 02 00 80 52 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_186_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 344
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 007c ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 009c ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 00b0 ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00c0 ?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00fc ?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 0134 ?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 4A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 6A 42 40 B9 5F 25 00 71 88 07 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 13 21 26 29 2C 2E 31 17 34 34 34 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 00 01 00 54 1F 08 00 F1 E1 05 00 54 01 00 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 2B 00 00 14 01 00 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 26 00 00 14 21 00 80 52 60 02 00 91 ?? ?? ?? ?? 22 00 00 14 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 A0 00 00 54 1F 08 00 F1 61 03 00 54 01 01 80 52 EC FF FF 17 01 01 80 52 EF FF FF 17 22 00 80 52 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 13 00 00 14 22 00 80 52 41 01 80 52 FB FF FF 17 02 00 80 52 01 01 80 52 F8 FF FF 17 02 00 80 52 FA FF FF 17 02 00 80 52 01 02 80 52 F3 FF FF 17 60 02 00 91 ?? ?? ?? ?? 05 00 00 14 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_187_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 344
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW 007c ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 009c ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 00b0 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00c0 ?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00fc ?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 0134 ?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 4A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 6A 42 40 B9 5F 25 00 71 88 07 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 13 21 26 29 2C 2E 31 17 34 34 34 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 00 01 00 54 1F 08 00 F1 E1 05 00 54 01 00 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 2B 00 00 14 01 00 80 52 02 00 80 52 60 02 00 91 ?? ?? ?? ?? 26 00 00 14 21 00 80 52 60 02 00 91 ?? ?? ?? ?? 22 00 00 14 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 A0 00 00 54 1F 08 00 F1 61 03 00 54 01 01 80 52 EC FF FF 17 01 01 80 52 EF FF FF 17 22 00 80 52 01 00 80 52 60 02 00 91 ?? ?? ?? ?? 13 00 00 14 22 00 80 52 41 01 80 52 FB FF FF 17 02 00 80 52 01 01 80 52 F8 FF FF 17 02 00 80 52 FA FF FF 17 02 00 80 52 01 02 80 52 F3 FF FF 17 60 02 00 91 ?? ?? ?? ?? 05 00 00 14 60 02 00 91 ?? ?? ?? ?? 02 00 00 14 00 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_188_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 116
		refs = "0018 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0030 _ungetch_nolock 0038 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0058 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 36 40 F9 60 22 00 91 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 60 42 00 91 ?? ?? ?? ?? 1F 10 00 F1 00 01 00 54 1F 20 00 F1 60 00 00 54 00 00 80 52 06 00 00 14 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_189_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 120
		refs = "0018 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0034 _ungetwch_nolock 003c ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 005c ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 2A 40 F9 60 22 00 91 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 60 42 00 91 ?? ?? ?? ?? 1F 10 00 F1 00 01 00 54 1F 20 00 F1 60 00 00 54 00 00 80 52 06 00 00 14 60 02 00 91 ?? ?? ?? ?? 03 00 00 14 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_190_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 300
		refs = "0028 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0040 _ungetch_nolock 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0078 _CrtDbgReportW 0098 ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 00ac ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0114 ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 34 00 00 11 61 36 40 F9 60 22 00 91 55 00 00 11 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 63 00 91 ?? ?? ?? ?? A3 02 00 11 01 00 00 91 60 36 40 F9 82 02 00 11 ?? ?? ?? ?? E8 43 40 39 14 00 00 91 68 00 00 35 00 00 80 52 16 00 00 14 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 AA 40 39 68 00 00 34 20 00 80 52 05 00 00 14 22 00 80 52 81 02 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C4 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_191_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 304
		refs = "0028 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0044 _ungetwch_nolock 0050 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 007c _CrtDbgReportW 009c ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 00b0 ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0118 ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BC A9 FD 03 00 91 13 00 00 91 34 00 00 11 61 2A 40 F9 60 22 00 91 55 00 00 11 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 68 26 40 B9 FF 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 62 1A 40 F9 E3 43 00 91 61 22 00 91 E0 63 00 91 ?? ?? ?? ?? A3 02 00 11 01 00 00 91 60 2A 40 F9 82 02 00 11 ?? ?? ?? ?? E8 43 40 39 14 00 00 91 68 00 00 35 00 00 80 52 16 00 00 14 68 26 40 B9 1F 11 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 B2 40 39 68 00 00 34 20 00 80 52 05 00 00 14 22 00 80 52 81 02 00 91 60 02 00 91 ?? ?? ?? ?? FD 7B C4 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_192_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 172
		refs = "0010 _getche_nolock 0038 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0040 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c _CrtDbgReportW 0088 _ungetch_nolock 00a4 ?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 14 00 00 11 9F 06 00 31 80 03 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 6A 26 40 B9 5F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 A2 40 39 9F 02 08 6B 40 01 00 54 68 06 40 F9 80 02 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 81 1E 00 13 60 02 00 91 ?? ?? ?? ?? FA FF FF 17 }
	condition:
		$1
}

rule file_213_193_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 168
		refs = "0010 _getwche_nolock 003c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0044 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 _CrtDbgReportW 008c _ungetwch_nolock"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 14 00 00 11 E8 FF 9F 52 9F 02 08 6B 80 03 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 6A 26 40 B9 5F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 52 40 79 9F 02 08 6B 40 01 00 54 68 06 40 F9 80 02 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 20 00 80 52 FC FF FF 17 }
	condition:
		$1
}

rule file_213_194_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 228
		refs = "0018 __pctype_func 0028 _getche_nolock 0050 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0058 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 _CrtDbgReportW 00a8 _ungetch_nolock"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 35 00 00 11 ?? ?? ?? ?? A8 1E 00 53 09 D8 68 78 69 05 78 36 ?? ?? ?? ?? 14 00 00 11 9F 06 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 68 26 40 B9 1F 0D 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 45 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 A6 40 39 9F 02 08 6B 20 02 00 54 9F 06 00 31 C0 00 00 54 68 06 40 F9 80 02 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? BF 06 00 31 C0 00 00 54 68 06 40 F9 A0 02 00 11 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_196_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 144
		refs = "0038 ?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0054 ?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 007c _ungetch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 09 00 71 20 02 00 54 1F 0D 00 71 80 01 00 54 1F 11 00 71 60 00 00 54 00 00 80 52 15 00 00 14 60 02 00 91 ?? ?? ?? ?? 40 02 00 34 68 42 40 F9 09 05 00 91 69 42 00 F9 0E 00 00 14 60 02 00 91 ?? ?? ?? ?? 0B 00 00 14 61 36 40 F9 60 22 00 91 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_197_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 148
		refs = "0038 ?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0054 ?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0080 _ungetwch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 26 40 B9 1F 09 00 71 20 02 00 54 1F 0D 00 71 80 01 00 54 1F 11 00 71 60 00 00 54 00 00 80 52 16 00 00 14 60 02 00 91 ?? ?? ?? ?? 60 02 00 34 68 36 40 F9 09 05 00 91 69 36 00 F9 0F 00 00 14 60 02 00 91 ?? ?? ?? ?? 0C 00 00 14 61 2A 40 F9 60 22 00 91 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_198_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 144
		refs = "0024 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 003c _ungetch_nolock 0044 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 006c ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0080 ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 34 00 00 11 9F 06 00 71 13 00 00 91 41 01 00 54 61 36 40 F9 60 22 00 91 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 40 01 00 54 1F 08 00 F1 60 00 00 54 00 00 80 52 0A 00 00 14 02 00 80 52 81 02 00 11 60 02 00 91 ?? ?? ?? ?? 05 00 00 14 02 00 80 52 81 02 00 11 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_199_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 148
		refs = "0024 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0040 _ungetwch_nolock 0048 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0070 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0084 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 34 00 00 11 9F 06 00 71 13 00 00 91 61 01 00 54 61 2A 40 F9 60 22 00 91 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 60 42 00 91 ?? ?? ?? ?? 1F 04 00 F1 40 01 00 54 1F 08 00 F1 60 00 00 54 00 00 80 52 0A 00 00 14 02 00 80 52 81 02 00 11 60 02 00 91 ?? ?? ?? ?? 05 00 00 14 02 00 80 52 81 02 00 11 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_200_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 68
		refs = "0018 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0030 _ungetch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 36 40 F9 60 22 00 91 ?? ?? ?? ?? 1F 04 00 31 A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_201_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 72
		refs = "0018 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0034 _ungetwch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 61 2A 40 F9 60 22 00 91 ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B A0 00 00 54 68 06 40 F9 09 05 00 D1 69 06 00 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_203_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 16
	strings:
		$1 = { 60 00 00 B4 1F 7C 00 A9 1F 7C 01 A9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_204_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 36
		refs = "0008 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ 0018 memset"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 80 00 00 B4 02 00 84 D2 01 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_205_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 36
	strings:
		$1 = { 1F 14 00 B9 1F 60 00 39 1F 64 00 39 1F 68 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_206_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 36
	strings:
		$1 = { 1F 14 00 B9 1F 30 00 79 1F 34 00 79 1F 70 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_207_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
		size = 36
	strings:
		$1 = { 01 7C 02 29 1F 60 00 39 1F 64 00 39 1F 68 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_208_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
		size = 36
	strings:
		$1 = { 01 7C 02 29 1F 30 00 79 1F 34 00 79 1F 70 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_209_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
		size = 36
		altNames = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
	strings:
		$1 = { 08 08 40 F9 3F 00 08 EB A0 00 00 54 08 0C 40 F9 00 00 80 52 1F 01 00 39 02 00 00 14 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_211_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 264
		refs = "0074 fegetround 0094 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 009c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b8 _CrtDbgReportW"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 11 36 00 00 91 5F 00 01 71 63 00 00 54 00 00 80 D2 2B 00 00 14 49 04 00 51 2A 00 80 D2 4A 21 C9 9A 58 7C 40 D3 28 00 80 D2 5F 01 16 EA 08 21 D8 9A F5 07 9F 1A 17 01 16 8A C3 00 00 34 48 05 00 D1 09 01 16 8A 69 00 00 B5 14 00 80 52 02 00 00 14 34 00 80 52 55 00 00 35 D4 02 00 34 ?? ?? ?? ?? E0 03 00 34 1F 00 04 71 60 02 00 54 1F 00 08 71 00 03 00 54 1F 00 0C 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 4C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 13 00 80 52 C8 26 D8 9A 00 01 13 8B FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 7F 02 00 71 F3 17 9F 1A F7 FF FF 17 B5 FE FF 34 54 00 00 35 77 FE FF B4 33 00 80 52 F2 FF FF 17 }
	condition:
		$1
}

rule file_213_214_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 396
		refs = "0154 ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 0B 04 40 F9 68 01 40 39 0A 05 01 51 5F DD 00 71 88 0A 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 3B 4F 0E 4F 3B 3B 3B 4F 2E 4F 4F 4F 4F 4F 4F 4F 4F 4F 21 4F 4F 4F 4F 37 4F 4F 3D 4F 4F 4F 4F 4F 3B 4F 0E 31 3B 3B 3B 4F 2E 4F 4F 4F 4F 4D 39 35 4F 4F 21 4F 33 4F 4F 37 0A 10 40 F9 29 00 80 D2 4A 00 00 B5 09 10 00 F9 0A 28 40 B9 5F 09 00 71 41 00 00 54 1F B0 00 39 48 0D 00 51 AC 00 80 12 1F 01 0C 6A 44 09 47 7A 40 00 00 54 09 B0 00 39 1F 30 00 B9 68 05 00 91 08 04 00 F9 20 00 80 52 39 00 00 14 0A 28 40 B9 5F 09 00 71 41 00 00 54 1F B0 00 39 A9 00 80 12 48 0D 00 51 1F 01 09 6A 44 09 47 7A 29 00 80 D2 40 00 00 54 09 B0 00 39 09 30 00 B9 F0 FF FF 17 48 00 80 52 08 30 00 B9 ED FF FF 17 68 00 80 52 FD FF FF 17 A8 00 80 52 FB FF FF 17 48 01 80 52 08 28 00 B9 C8 00 80 52 F7 FF FF 17 88 00 80 52 F5 FF FF 17 E8 00 80 52 F3 FF FF 17 09 28 40 B9 3F 09 00 71 41 00 00 54 1F B0 00 39 28 0D 00 51 AA 00 80 12 1F 01 0A 6A 24 09 47 7A 60 00 00 54 29 00 80 D2 09 B0 00 39 08 01 80 52 08 30 00 B9 68 05 00 91 08 04 00 F9 ?? ?? ?? ?? 28 01 80 52 E1 FF FF 17 C8 02 80 52 08 7C 02 29 1F 60 00 39 1F 64 00 39 1F 68 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_215_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 396
		refs = "0154 ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 0B 04 40 F9 68 01 40 79 0A 05 01 51 5F DD 00 71 88 0A 00 54 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 3B 4F 0E 4F 3B 3B 3B 4F 2E 4F 4F 4F 4F 4F 4F 4F 4F 4F 21 4F 4F 4F 4F 37 4F 4F 3D 4F 4F 4F 4F 4F 3B 4F 0E 31 3B 3B 3B 4F 2E 4F 4F 4F 4F 4D 39 35 4F 4F 21 4F 33 4F 4F 37 0A 10 40 F9 29 00 80 D2 4A 00 00 B5 09 10 00 F9 0A 28 40 B9 5F 09 00 71 41 00 00 54 1F B0 00 39 48 0D 00 51 AC 00 80 12 1F 01 0C 6A 44 09 47 7A 40 00 00 54 09 B0 00 39 1F 30 00 B9 68 09 00 91 08 04 00 F9 20 00 80 52 39 00 00 14 0A 28 40 B9 5F 09 00 71 41 00 00 54 1F B0 00 39 A9 00 80 12 48 0D 00 51 1F 01 09 6A 44 09 47 7A 29 00 80 D2 40 00 00 54 09 B0 00 39 09 30 00 B9 F0 FF FF 17 48 00 80 52 08 30 00 B9 ED FF FF 17 68 00 80 52 FD FF FF 17 A8 00 80 52 FB FF FF 17 48 01 80 52 08 28 00 B9 C8 00 80 52 F7 FF FF 17 88 00 80 52 F5 FF FF 17 E8 00 80 52 F3 FF FF 17 09 28 40 B9 3F 09 00 71 41 00 00 54 1F B0 00 39 28 0D 00 51 AA 00 80 12 1F 01 0A 6A 24 09 47 7A 60 00 00 54 29 00 80 D2 09 B0 00 39 08 01 80 52 08 30 00 B9 68 09 00 91 08 04 00 F9 ?? ?? ?? ?? 28 01 80 52 E1 FF FF 17 C8 02 80 52 08 7C 02 29 1F 30 00 79 1F 34 00 79 1F 70 00 39 1F 10 00 F9 1F 28 00 B9 1F B0 00 39 1F 30 00 B9 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_216_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 36
	strings:
		$1 = { 09 04 40 F9 28 01 40 39 1F A9 00 71 A1 00 00 54 28 00 80 52 08 68 00 39 28 05 00 91 08 04 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_217_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 36
	strings:
		$1 = { 09 04 40 F9 28 01 40 79 1F A9 00 71 A1 00 00 54 28 00 80 52 08 70 00 39 28 09 00 91 08 04 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_218_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 212
		refs = "007c strtoull"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 13 00 00 91 60 06 40 F9 0A 00 C0 39 48 41 03 11 09 1D 00 53 3F 25 00 71 68 00 00 54 48 C1 00 51 0D 00 00 14 48 7D 02 11 09 1D 00 53 3F 65 00 71 68 00 00 54 48 5D 01 51 07 00 00 14 48 FD 02 11 09 1D 00 53 3F 65 00 71 48 DD 00 51 49 00 00 54 08 00 80 12 1F 25 00 71 69 00 00 54 20 00 80 52 17 00 00 14 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? 00 01 00 B4 68 06 40 F9 E9 0B 40 F9 3F 01 08 EB 80 00 00 54 60 12 00 F9 69 06 00 F9 F3 FF FF 17 C8 02 80 52 68 7E 02 29 7F 62 00 39 00 00 80 52 7F 66 00 39 7F 6A 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_219_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 696
		refs = "0260 wcstoull"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 13 00 00 91 60 06 40 F9 0A 00 40 79 5F C1 00 71 E3 0E 00 54 5F E9 00 71 62 00 00 54 48 C1 00 51 71 00 00 14 09 E2 9F 52 5F 01 09 6B 02 0D 00 54 5F 81 19 71 C3 0D 00 54 5F A9 19 71 62 00 00 54 48 81 19 51 68 00 00 14 5F C1 1B 71 03 0D 00 54 5F E9 1B 71 62 00 00 54 48 C1 1B 51 62 00 00 14 5F 99 25 71 43 0C 00 54 5F C1 25 71 62 00 00 54 48 99 25 51 5C 00 00 14 5F 99 27 71 83 0B 00 54 5F C1 27 71 62 00 00 54 48 99 27 51 56 00 00 14 5F 99 29 71 C3 0A 00 54 5F C1 29 71 62 00 00 54 48 99 29 51 50 00 00 14 5F 99 2B 71 03 0A 00 54 5F C1 2B 71 62 00 00 54 48 99 2B 51 4A 00 00 14 5F 99 2D 71 43 09 00 54 5F C1 2D 71 62 00 00 54 48 99 2D 51 44 00 00 14 5F 99 31 71 83 08 00 54 5F C1 31 71 62 00 00 54 48 99 31 51 3E 00 00 14 5F 99 33 71 C3 07 00 54 5F C1 33 71 62 00 00 54 48 99 33 51 38 00 00 14 5F 99 35 71 03 07 00 54 5F C1 35 71 62 00 00 54 48 99 35 51 32 00 00 14 5F 41 39 71 43 06 00 54 5F 69 39 71 62 00 00 54 48 41 39 51 2C 00 00 14 5F 41 3B 71 83 05 00 54 5F 69 3B 71 62 00 00 54 48 41 3B 51 26 00 00 14 5F 81 3C 71 C3 04 00 54 5F A9 3C 71 62 00 00 54 48 81 3C 51 20 00 00 14 09 08 82 52 5F 01 09 6B E3 03 00 54 48 09 82 52 5F 01 08 6B 82 00 00 54 08 08 82 52 48 01 08 4B 17 00 00 14 09 FC 82 52 5F 01 09 6B C3 02 00 54 48 FD 82 52 5F 01 08 6B 62 00 00 54 08 FC 82 52 F7 FF FF 17 09 02 83 52 5F 01 09 6B C3 01 00 54 48 03 83 52 5F 01 08 6B 62 01 00 54 08 02 83 52 EF FF FF 17 49 E3 9F 52 5F 01 09 6B 62 00 00 54 08 E2 9F 52 EA FF FF 17 08 00 80 12 1F 05 00 31 81 02 00 54 E8 F7 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 09 01 00 54 E8 F3 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 69 00 00 54 08 00 80 12 08 00 00 14 E8 F3 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 48 00 00 54 4A 81 00 51 48 DD 00 51 1F 25 00 71 69 00 00 54 20 00 80 52 17 00 00 14 42 01 80 52 FF 0B 00 F9 E1 43 00 91 ?? ?? ?? ?? 00 01 00 B4 68 06 40 F9 E9 0B 40 F9 3F 01 08 EB 80 00 00 54 60 12 00 F9 69 06 00 F9 F3 FF FF 17 C8 02 80 52 68 7E 02 29 7F 32 00 79 00 00 80 52 7F 36 00 79 7F 72 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_220_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 344
	strings:
		$1 = { 09 04 40 F9 28 01 40 39 1F A9 01 71 0C 07 00 54 1F A9 01 71 60 06 00 54 1F 25 01 71 A0 02 00 54 1F 31 01 71 00 02 00 54 1F 51 01 71 60 01 00 54 1F A1 01 71 C1 08 00 54 2A 05 00 91 48 01 40 39 1F A1 01 71 61 00 00 54 2A 00 80 52 39 00 00 14 48 00 80 52 3C 00 00 14 28 05 00 91 6A 01 80 52 35 00 00 14 28 05 00 91 0A 01 80 52 32 00 00 14 2B 05 00 91 6A 01 40 39 5F CD 00 71 E1 00 00 54 28 09 40 39 1F C9 00 71 81 00 00 54 28 0D 00 91 2A 01 80 52 28 00 00 14 5F D9 00 71 E1 00 00 54 28 09 40 39 1F D1 00 71 81 00 00 54 28 0D 00 91 4A 01 80 52 20 00 00 14 48 A1 02 11 09 1D 00 53 3F 81 00 71 48 04 00 54 48 04 00 58 08 25 C9 9A E8 03 00 36 0B 04 00 F9 4A 01 80 52 17 00 00 14 28 05 00 91 AA 00 80 52 13 00 00 14 1F B1 01 71 60 01 00 54 1F D1 01 71 C0 00 00 54 1F E9 01 71 61 02 00 54 28 05 00 91 CA 00 80 52 0A 00 00 14 28 05 00 91 EA 00 80 52 07 00 00 14 2A 05 00 91 48 01 40 39 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 09 00 91 08 04 00 F9 0A 28 00 B9 04 00 00 14 68 00 80 52 08 28 00 B9 0A 04 00 F9 C0 03 5F D6 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_213_221_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 352
	strings:
		$1 = { 09 04 40 F9 28 01 40 79 1F A9 01 71 2C 07 00 54 1F A9 01 71 80 06 00 54 1F 25 01 71 A0 02 00 54 1F 31 01 71 00 02 00 54 1F 51 01 71 60 01 00 54 1F A1 01 71 E1 08 00 54 2A 09 00 91 48 01 40 79 1F A1 01 71 61 00 00 54 2A 00 80 52 3A 00 00 14 48 00 80 52 3D 00 00 14 28 09 00 91 6A 01 80 52 36 00 00 14 28 09 00 91 0A 01 80 52 33 00 00 14 2B 09 00 91 6A 01 40 79 5F CD 00 71 E1 00 00 54 28 09 40 79 1F C9 00 71 81 00 00 54 28 19 00 91 2A 01 80 52 29 00 00 14 5F D9 00 71 E1 00 00 54 28 09 40 79 1F D1 00 71 81 00 00 54 28 19 00 91 4A 01 80 52 21 00 00 14 08 F5 9F 52 48 01 08 0B 09 3D 00 53 3F 81 00 71 48 04 00 54 68 04 00 58 08 25 C9 9A E8 03 00 36 0B 04 00 F9 4A 01 80 52 17 00 00 14 28 09 00 91 AA 00 80 52 13 00 00 14 1F B1 01 71 60 01 00 54 1F D1 01 71 C0 00 00 54 1F E9 01 71 61 02 00 54 28 09 00 91 CA 00 80 52 0A 00 00 14 28 09 00 91 EA 00 80 52 07 00 00 14 2A 09 00 91 48 01 40 79 1F B1 01 71 C1 00 00 54 8A 00 80 52 28 11 00 91 08 04 00 F9 0A 28 00 B9 04 00 00 14 68 00 80 52 08 28 00 B9 0A 04 00 F9 C0 03 5F D6 1F 20 03 D5 01 10 82 20 01 00 00 00 }
	condition:
		$1
}

rule file_213_222_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AEAA_ND@Z"
		size = 112
		refs = "0010 __pctype_func"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 ?? ?? ?? ?? 68 62 40 39 09 78 68 78 29 02 78 36 68 06 40 F9 09 15 40 38 89 01 00 35 48 05 80 52 68 7E 02 29 7F 62 00 39 00 00 80 52 7F 66 00 39 7F 6A 00 39 7F 12 00 F9 7F 2A 00 B9 7F B2 00 39 7F 32 00 B9 04 00 00 14 69 66 00 39 68 06 00 F9 20 00 80 52 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_224_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 52
	strings:
		$1 = { 08 04 40 F9 09 15 40 38 3F DD 01 71 61 00 00 54 08 04 00 F9 05 00 00 14 28 0D 01 51 EA 1D 80 52 08 01 0A 0A 68 00 00 35 29 00 80 52 09 B0 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_225_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 88
	strings:
		$1 = { 08 04 40 F9 09 25 40 78 3F DD 01 71 61 00 00 54 08 04 00 F9 0E 00 00 14 28 0D 01 51 EA FD 9F 52 08 01 0A 0A 08 01 00 34 08 28 40 B9 1F 2D 00 71 E0 00 00 54 08 00 40 F9 09 FD 41 D3 2A 01 00 12 02 00 00 14 0A 00 80 52 6A 00 00 34 29 00 80 52 09 B0 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_226_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 412
	strings:
		$1 = { 0F D0 00 91 8F 01 00 B5 88 01 80 52 1F 30 00 B9 1F B0 00 39 1F 28 00 B9 1F 10 00 F9 1F 68 00 39 1F 64 00 39 1F 60 00 39 08 7C 02 29 00 00 80 52 5A 00 00 14 FF 7D 00 A9 FF 7D 01 A9 09 04 40 F9 28 01 40 39 1F 79 01 71 E6 17 9F 1A 66 00 00 34 28 05 00 91 08 04 00 F9 09 04 40 F9 28 01 40 39 1F 75 01 71 C1 00 00 54 28 05 00 91 08 04 00 F9 09 FC 40 39 28 01 1B 32 08 FC 00 39 07 04 40 F9 E8 00 40 39 1F 75 01 71 C0 05 00 54 0A 04 40 F9 4B 01 40 39 6B 05 00 34 7F B5 00 71 44 01 47 FA 20 03 00 54 49 05 40 39 3F 75 01 71 C0 02 00 54 4D F1 5F 38 4B 05 40 39 BF 01 0B 6B 89 00 00 54 A8 01 00 11 6D 01 00 11 0B 01 00 11 6E 05 00 11 0A 00 00 14 0C 0C 4D 8B A9 09 00 12 2A 00 80 52 4B 21 C9 1A 8A D1 40 39 A9 05 00 11 2D 1D 00 53 68 01 0A 2A 88 D1 00 39 BF 01 2E 6B C1 FE FF 54 0A 00 00 14 0A 04 40 F9 25 00 80 52 4C 01 40 39 0E 0C 4C 8B 8B 09 00 12 AD 20 CB 1A CC D1 40 39 A8 01 0C 2A C8 D1 00 39 09 04 40 F9 2D 05 00 91 0D 04 00 F9 AB 01 40 39 7F 75 01 71 81 FA FF 54 08 04 40 F9 09 01 40 39 69 00 00 35 C8 02 80 52 AF FF FF 17 A6 01 00 34 E8 81 00 91 FF 01 08 EB 09 04 80 D2 EB 83 89 9A 0A 00 80 D2 EB 00 00 B4 E9 15 40 38 4A 05 00 91 5F 01 0B EB E9 03 29 2A E9 F1 1F 38 61 FF FF 54 08 04 40 F9 09 05 00 91 09 04 00 F9 20 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_227_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 512
		refs = "001c ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ 0064 memset"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 14 00 00 91 80 E2 00 91 ?? ?? ?? ?? 80 01 00 B5 88 01 80 52 9F 32 00 B9 00 00 80 52 9F B2 00 39 9F 2A 00 B9 9F 12 00 F9 9F 72 00 39 9F 36 00 79 9F 32 00 79 88 7E 02 29 68 00 00 14 80 E2 00 91 ?? ?? ?? ?? 80 00 00 B4 02 00 84 D2 01 00 80 52 ?? ?? ?? ?? 89 06 40 F9 28 01 40 79 1F 79 01 71 F6 17 9F 1A 76 00 00 34 28 09 00 91 88 06 00 F9 89 06 40 F9 28 01 40 79 1F 75 01 71 01 01 00 54 28 09 00 91 80 E2 00 91 88 06 00 F9 ?? ?? ?? ?? 08 2C 40 39 08 01 1B 32 08 2C 00 39 95 06 40 F9 A8 02 40 79 1F 75 01 71 60 06 00 54 89 06 40 F9 2A 01 40 79 0A 06 00 34 5F B5 00 71 24 01 55 FA 80 03 00 54 29 05 40 79 3F 75 01 71 20 03 00 54 8A 06 40 F9 53 E1 5F 78 4B 05 40 79 7F 02 0B 6B 89 00 00 54 68 02 00 11 73 01 00 11 0B 01 00 11 77 05 00 11 0C 00 00 14 80 E2 00 91 ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 6B FE 43 D3 2A 21 C8 1A 09 68 6B 38 48 01 09 2A 69 06 00 11 08 68 2B 38 33 3D 00 53 7F 22 37 6B 81 FE FF 54 0C 00 00 14 8A 06 40 F9 80 E2 00 91 53 01 40 79 ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 6B FE 43 D3 2A 21 C8 1A 09 68 6B 38 48 01 09 2A 08 68 2B 38 89 06 40 F9 2A 09 00 91 8A 06 00 F9 4A 01 40 79 5F 75 01 71 E1 F9 FF 54 88 06 40 F9 09 01 40 79 69 00 00 35 C8 02 80 52 A4 FF FF 17 16 02 00 34 80 E2 00 91 ?? ?? ?? ?? 08 00 84 D2 08 00 08 8B 1F 00 08 EB 09 00 84 D2 EB 83 89 9A 0A 00 80 D2 EB 00 00 B4 09 14 40 38 4A 05 00 91 5F 01 0B EB E9 03 29 2A 09 F0 1F 38 61 FF FF 54 88 06 40 F9 20 00 80 52 09 09 00 91 89 06 00 F9 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_228_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@E@2@XZ"
		size = 108
		refs = "0028 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 81 00 00 54 68 32 40 B9 1F 21 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 4B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 D2 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_229_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@_W@2@XZ"
		size = 108
		refs = "0028 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 81 00 00 54 68 32 40 B9 1F 21 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 4B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 E2 00 91 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_232_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QEAAXE@Z"
		size = 36
	strings:
		$1 = { 28 00 00 11 0B FD 43 D3 08 09 00 12 29 00 80 52 2A 21 C8 1A 69 69 60 38 48 01 09 2A 68 69 20 38 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_233_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QEAAX_W@Z"
		size = 60
		refs = "0010 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 33 00 00 11 ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 6B FE 43 D3 2A 21 C8 1A 09 68 6B 38 48 01 09 2A 08 68 2B 38 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_234_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 48
		altNames = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { 09 28 40 B9 3F 09 00 71 41 00 00 54 1F B0 00 39 28 0D 00 51 AA 00 80 12 1F 01 0A 6A 24 09 47 7A 60 00 00 54 28 00 80 52 08 B0 00 39 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_236_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 420
		refs = "000c __security_push_cookie 016c memset 0188 memcpy_s 0194 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 07 D1 13 00 00 91 23 10 00 12 6C 02 40 B9 08 04 80 52 02 01 03 4B 29 00 80 D2 28 21 C2 9A 00 05 00 51 88 05 00 51 0A 05 00 91 6B 7A 6A B8 E9 03 80 52 26 7C 05 53 E1 03 20 2A 68 11 C0 5A 2A 01 08 4B 29 00 80 52 28 15 48 4B 09 1D 00 53 69 00 00 34 48 05 00 11 02 00 00 14 08 00 80 52 09 04 80 52 28 01 08 4B 7F 00 08 6B 89 01 06 0B E4 97 9F 1A 3F CD 01 71 84 08 40 7A E8 07 9F 1A 3F CD 01 71 00 99 40 7A 21 06 00 54 3F C9 01 71 48 0E 80 52 25 31 88 1A A7 00 00 11 BF 04 00 31 A0 03 00 54 FF 00 06 6B 63 03 00 54 6B 02 40 B9 EA 00 06 4B 4C 05 00 51 5F 01 0B 6B 82 00 00 54 49 05 00 91 6E 7A 69 B8 02 00 00 14 0E 00 80 52 9F 01 0B 6B 82 00 00 54 8B 05 00 91 6D 7A 6B B8 02 00 00 14 0D 00 80 52 A8 01 01 0A C9 01 00 0A 0D 25 C2 1A 2C 21 C3 1A AF 01 0C 2A ED 7C 40 D3 AE 05 00 91 E7 04 00 51 6F 7A 2E B8 FF 04 00 31 A1 FC FF 54 0B 00 80 52 E6 00 00 34 68 7D 40 D3 0A 05 00 91 6B 05 00 11 7F 7A 2A B8 7F 01 06 6B 61 FF FF 54 A8 04 00 11 9F 00 00 71 08 11 85 1A 68 02 00 B9 20 00 80 52 0E 00 00 14 E0 13 00 91 FF 03 00 B9 82 39 80 D2 81 19 80 52 ?? ?? ?? ?? E8 03 40 B9 E2 13 00 91 81 39 80 D2 60 12 00 91 03 7D 7E D3 68 02 00 B9 ?? ?? ?? ?? 00 00 80 52 FF 43 07 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_237_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AEAA_NE@Z"
		size = 20
	strings:
		$1 = { 28 0C 01 51 E9 1D 80 52 1F 01 09 6A E0 17 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_238_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z"
		size = 60
	strings:
		$1 = { 28 0C 01 51 E9 FD 9F 52 08 01 09 0A 48 01 00 34 08 28 40 B9 1F 2D 00 71 61 00 00 54 20 00 80 52 06 00 00 14 08 00 40 F9 09 FD 41 D3 20 01 00 12 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_239_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 184
		refs = "0028 fegetround 0048 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 0050 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c _CrtDbgReportW"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 13 00 00 11 36 00 00 11 55 00 00 11 74 00 00 11 55 00 00 35 D4 02 00 34 ?? ?? ?? ?? C0 03 00 34 1F 00 04 71 40 03 00 54 1F 00 08 71 A0 02 00 54 1F 00 0C 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 4C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 00 00 80 52 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 7F 02 00 71 E0 17 9F 1A FA FF FF 17 60 02 00 11 F8 FF FF 17 D5 FE FF 34 54 00 00 35 96 FE FF 34 20 00 80 52 F3 FF FF 17 }
	condition:
		$1
}

rule file_213_242_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ"
		size = 96
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 6A 40 39 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_243_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ"
		size = 96
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 72 40 39 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_244_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QEBA_NE@Z"
		size = 36
	strings:
		$1 = { 29 00 00 11 28 09 00 12 2A 00 80 52 4A 21 C8 1A 28 FD 43 D3 09 69 60 38 5F 01 09 6A E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_213_245_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
		size = 60
		refs = "0010 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 33 00 00 11 ?? ?? ?? ?? 68 0A 00 12 29 00 80 52 2A 21 C8 1A 68 FE 43 D3 09 69 60 38 5F 01 09 6A E0 07 9F 1A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_246_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 108
		refs = "001c ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 C0 02 00 34 1F 0C 00 71 40 02 00 54 1F 20 00 71 00 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 31 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 00 00 80 D2 04 00 00 14 00 01 80 D2 02 00 00 14 80 00 80 D2 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_247_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 140
		refs = "004c ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 0054 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 1F 28 00 71 08 02 00 54 89 00 00 10 28 49 A0 38 28 09 08 8B 00 01 1F D6 03 05 07 03 09 09 09 09 0B 03 09 09 80 00 80 D2 15 00 00 14 20 00 80 D2 13 00 00 14 40 00 80 D2 11 00 00 14 00 01 80 D2 0F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 2F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 00 00 80 D2 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_248_0 {
	meta:
		name = "?unget@?$console_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 32
		refs = "0018 _ungetch_nolock"
	strings:
		$1 = { 3F 04 00 31 C0 00 00 54 08 00 40 F9 09 05 00 D1 09 00 00 F9 20 00 00 11 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_213_249_0 {
	meta:
		name = "?unget@?$console_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 36
		refs = "001c _ungetwch_nolock"
	strings:
		$1 = { E8 FF 9F 52 3F 00 08 6B C0 00 00 54 08 00 40 F9 09 05 00 D1 09 00 00 F9 20 00 00 11 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_213_250_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 76
		refs = "0044 _ungetch_nolock"
	strings:
		$1 = { 09 A0 40 A9 0A 05 00 D1 3F 01 00 F1 0A 08 00 F9 44 11 49 FA A8 01 00 54 28 04 00 11 09 1D 00 53 3F 05 00 71 29 01 00 54 0A 00 40 F9 3F 04 00 31 C0 00 00 54 48 01 40 F9 20 00 00 11 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_213_251_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 72
		refs = "0040 _ungetwch_nolock"
	strings:
		$1 = { 09 A0 40 A9 0A 05 00 D1 3F 01 00 F1 0A 08 00 F9 44 11 49 FA 88 01 00 54 E8 FF 9F 52 28 00 08 0B A9 FF 9F 52 3F 21 28 6B E3 00 00 54 0A 00 40 F9 20 00 00 11 48 01 40 F9 09 05 00 D1 49 01 00 F9 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_213_254_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ"
		size = 136
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 _CrtDbgReportW 0048 _errno 0054 ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 006c _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 04 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 3B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_255_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ"
		size = 136
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 _CrtDbgReportW 0048 _errno 0054 ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 006c _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 04 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 3B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_256_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 220
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 _CrtDbgReportW 0048 _errno 005c ??_C@_1NM@LAGLDPPG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 006c _invalid_parameter 0084 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 00 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 17 00 00 14 08 0C 40 F9 88 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 EC 80 52 ?? ?? ?? ?? E5 FF FF 17 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_257_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 220
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 _CrtDbgReportW 0048 _errno 005c ??_C@_1OC@DEGEOIHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 006c _invalid_parameter 0084 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 08 00 40 F9 48 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 17 00 00 14 08 0C 40 F9 88 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 EC 80 52 ?? ?? ?? ?? E5 FF FF 17 20 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_258_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 476
	strings:
		$1 = { 1F C0 00 71 83 0E 00 54 1F E8 00 71 62 00 00 54 00 C0 00 51 71 00 00 14 08 E2 9F 52 1F 00 08 6B 02 0D 00 54 1F 80 19 71 63 0D 00 54 1F A8 19 71 62 00 00 54 00 80 19 51 68 00 00 14 1F C0 1B 71 A3 0C 00 54 1F E8 1B 71 62 00 00 54 00 C0 1B 51 62 00 00 14 1F 98 25 71 E3 0B 00 54 1F C0 25 71 62 00 00 54 00 98 25 51 5C 00 00 14 1F 98 27 71 23 0B 00 54 1F C0 27 71 62 00 00 54 00 98 27 51 56 00 00 14 1F 98 29 71 63 0A 00 54 1F C0 29 71 62 00 00 54 00 98 29 51 50 00 00 14 1F 98 2B 71 A3 09 00 54 1F C0 2B 71 62 00 00 54 00 98 2B 51 4A 00 00 14 1F 98 2D 71 E3 08 00 54 1F C0 2D 71 62 00 00 54 00 98 2D 51 44 00 00 14 1F 98 31 71 23 08 00 54 1F C0 31 71 62 00 00 54 00 98 31 51 3E 00 00 14 1F 98 33 71 63 07 00 54 1F C0 33 71 62 00 00 54 00 98 33 51 38 00 00 14 1F 98 35 71 A3 06 00 54 1F C0 35 71 62 00 00 54 00 98 35 51 32 00 00 14 1F 40 39 71 E3 05 00 54 1F 68 39 71 62 00 00 54 00 40 39 51 2C 00 00 14 1F 40 3B 71 23 05 00 54 1F 68 3B 71 62 00 00 54 00 40 3B 51 26 00 00 14 1F 80 3C 71 63 04 00 54 1F A8 3C 71 62 00 00 54 00 80 3C 51 20 00 00 14 08 08 82 52 1F 00 08 6B 83 03 00 54 48 09 82 52 1F 00 08 6B 82 00 00 54 08 08 82 52 00 00 08 4B 17 00 00 14 08 FC 82 52 1F 00 08 6B 63 02 00 54 48 FD 82 52 1F 00 08 6B 62 00 00 54 08 FC 82 52 F7 FF FF 17 08 02 83 52 1F 00 08 6B 63 01 00 54 48 03 83 52 1F 00 08 6B 02 01 00 54 08 02 83 52 EF FF FF 17 48 E3 9F 52 1F 00 08 6B 62 00 00 54 08 E2 9F 52 EA FF FF 17 00 00 80 12 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_259_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
		size = 96
		refs = "001c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 _CrtDbgReportW"
		altNames = "?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 16 40 B9 1F 11 00 71 C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 60 12 40 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_261_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z"
		size = 40
	strings:
		$1 = { 68 00 40 F9 20 00 80 52 05 01 00 39 69 00 40 F9 2A 05 00 91 6A 00 00 F9 88 00 40 F9 09 05 00 D1 89 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_262_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 168
		refs = "0028 __pctype_func 0038 _getche_nolock 0070 _mbtowc_l"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 B4 00 00 11 FF 47 00 39 F4 43 00 39 13 00 00 91 75 00 00 91 96 00 00 91 ?? ?? ?? ?? 88 1E 00 53 09 D8 68 78 09 01 78 36 ?? ?? ?? ?? 1F 04 00 31 80 00 00 54 68 06 40 F9 09 05 00 91 69 06 00 F9 E0 47 00 39 63 36 40 F9 E8 07 80 52 E8 27 00 79 E1 43 00 91 E0 4B 00 91 68 00 40 F9 02 09 80 B9 ?? ?? ?? ?? A8 02 40 F9 20 00 80 52 14 01 00 79 A9 02 40 F9 2A 09 00 91 AA 02 00 F9 C8 02 40 F9 09 05 00 D1 C9 02 00 F9 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_263_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
		size = 260
		refs = "003c wctomb_s 0084 _CrtGetDebugFillThreshold 009c memset 00e0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 00ec ??_C@_1OM@KHMAGJEJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0100 _invoke_watson"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 73 00 00 91 FF 13 00 B9 54 00 00 91 36 00 00 91 61 02 40 F9 9F 06 00 B1 95 00 00 91 A3 00 00 11 E0 43 00 91 61 01 00 54 A2 00 80 D2 ?? ?? ?? ?? C0 00 00 34 1F 58 00 71 C0 04 00 54 1F 88 00 71 E1 03 00 54 23 00 00 14 EB 13 40 B9 16 00 00 14 A2 02 40 F9 ?? ?? ?? ?? 1F 88 00 71 E1 01 00 54 E8 7B 40 B2 DF 02 00 39 9F 02 08 EB 84 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A C0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? 00 00 80 52 0B 00 00 14 EB 13 40 B9 7F 01 00 71 ED 00 00 54 68 02 40 F9 09 C1 2B 8B 69 02 00 F9 AA 02 40 F9 48 C1 2B CB A8 02 00 F9 20 00 80 52 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 AA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_264_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z"
		size = 40
	strings:
		$1 = { 68 00 40 F9 20 00 80 52 05 01 00 79 69 00 40 F9 2A 09 00 91 6A 00 00 F9 88 00 40 F9 09 05 00 D1 89 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_213_265_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 256
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1NM@OAOANBCH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00b0 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 38 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 38 00 F9 73 81 5F F8 93 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 82 00 00 34 08 3C 40 F9 09 05 00 91 09 3C 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 20 00 F1 A8 FE FF 54 1F 04 00 71 A0 01 00 54 1F 08 00 71 20 01 00 54 1F 10 00 71 A0 00 00 54 1F 20 00 71 A1 FD FF 54 74 02 00 F9 06 00 00 14 74 02 00 B9 04 00 00 14 74 02 00 79 02 00 00 14 74 02 00 39 20 00 80 52 E5 FF FF 17 }
	condition:
		$1
}

rule file_213_266_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 256
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1OI@PLAONLPK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0088 _invalid_parameter 00b0 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 0A 2C 40 F9 34 00 00 91 E8 03 0A CB 09 09 40 92 2A 01 0A 8B 4B 21 00 91 0B 2C 00 F9 73 81 5F F8 93 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 82 00 00 34 08 30 40 F9 09 05 00 91 09 30 00 F9 00 40 00 91 ?? ?? ?? ?? 1F 20 00 F1 A8 FE FF 54 1F 04 00 71 A0 01 00 54 1F 08 00 71 20 01 00 54 1F 10 00 71 A0 00 00 54 1F 20 00 71 A1 FD FF 54 74 02 00 F9 06 00 00 14 74 02 00 B9 04 00 00 14 74 02 00 79 02 00 00 14 74 02 00 39 20 00 80 52 E5 FF FF 17 }
	condition:
		$1
}

rule file_213_271_0 {
	meta:
		name = "_chvalidchk_l"
		size = 20
		refs = "0010 _chvalidator_l"
	strings:
		$1 = { 08 00 00 11 40 00 00 91 22 00 00 11 01 01 00 11 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_273_0 {
	meta:
		name = "_ischartype_l"
		size = 48
		refs = "0020 _isctype_l 002c _chvalidator_l"
	strings:
		$1 = { 0A 00 00 11 40 00 00 91 E0 00 00 B4 08 00 40 F9 09 09 40 B9 3F 05 00 71 6D 00 00 54 40 01 00 11 ?? ?? ?? ?? 22 00 00 11 41 01 00 11 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_0_0 {
	meta:
		name = "_hypot"
		size = 920
		refs = "00bc infinity_with_flags 0308 sqrt 0320 scaleDouble_1 0360 ??_C@_06MEIMCGCF@_hypot?$AA@ 0368 _handle_error"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 0F 00 FD E1 0B 00 FD D0 1B 00 5C F0 6F 00 FD F0 0F 40 FD F0 2F 00 FD E8 2F 40 F9 E8 13 00 F9 E8 13 40 F9 08 F9 40 92 E8 13 00 F9 F0 0B 40 FD F0 33 00 FD E8 33 40 F9 E8 17 00 F9 E8 17 40 F9 08 F9 40 92 E8 17 00 F9 E8 13 40 F9 08 FD 74 D3 E8 1F 00 F9 E8 17 40 F9 08 FD 74 D3 E8 23 00 F9 E8 1F 40 F9 1F FD 1F F1 80 00 00 54 E8 23 40 F9 1F FD 1F F1 C1 03 00 54 E8 1F 40 F9 1F FD 1F F1 A1 00 00 54 E8 13 40 F9 08 CD 40 92 1F 01 00 F1 00 01 00 54 E8 23 40 F9 1F FD 1F F1 61 01 00 54 E8 17 40 F9 08 CD 40 92 1F 01 00 F1 E1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 37 00 FD E0 37 40 FD AD 00 00 14 0A 00 00 14 F1 0F 40 FD F0 0F 40 FD 32 0A 70 1E F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E A3 00 00 14 E8 13 40 F9 E8 3B 00 F9 F0 3B 40 FD F0 0F 00 FD E8 17 40 F9 E8 3F 00 F9 F0 3F 40 FD F0 0B 00 FD E9 1F 40 F9 E8 23 40 F9 28 01 08 CB 08 01 00 11 E8 4B 00 B9 08 00 80 52 E8 33 00 B9 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 0B 40 FD 8F 00 00 14 68 00 00 14 E8 17 40 F9 1F 01 00 F1 81 00 00 54 E0 0F 40 FD 89 00 00 14 62 00 00 14 E8 4B 40 B9 1F D9 00 71 8C 00 00 54 E8 4B 40 B9 1F D9 00 31 EA 00 00 54 F1 0F 40 FD F0 0B 40 FD 20 2A 70 1E 00 40 60 1E 7D 00 00 14 56 00 00 14 E8 1F 40 F9 1F CD 17 F1 88 00 00 54 E8 23 40 F9 1F CD 17 F1 89 02 00 54 08 4B 80 52 E8 33 00 B9 E9 13 40 F9 08 B0 E4 D2 28 01 08 CB E8 13 00 F9 E8 13 40 F9 E8 43 00 F9 F0 43 40 FD F0 0F 00 FD E9 17 40 F9 08 B0 E4 D2 28 01 08 CB E8 17 00 F9 E8 17 40 F9 E8 47 00 F9 F0 47 40 FD F0 0B 00 FD 3D 00 00 14 E8 1F 40 F9 1F 2D 08 F1 83 00 00 54 E8 23 40 F9 1F 2D 08 F1 E2 06 00 54 E8 4A 80 12 E8 33 00 B9 E8 1F 40 F9 1F 01 00 F1 01 02 00 54 E9 13 40 F9 08 B2 E4 D2 28 01 08 8B E8 4B 00 F9 F0 4B 40 FD F0 0F 00 FD F1 0F 40 FD B0 0A 00 5C 30 3A 70 1E F0 0F 00 FD F0 0F 40 FD F0 4F 00 FD E8 4F 40 F9 E8 13 00 F9 09 00 00 14 E9 13 40 F9 08 B0 E4 D2 28 01 08 8B E8 13 00 F9 E8 13 40 F9 E8 53 00 F9 F0 53 40 FD F0 0F 00 FD E8 23 40 F9 1F 01 00 F1 01 02 00 54 E9 17 40 F9 08 B2 E4 D2 28 01 08 8B E8 57 00 F9 F0 57 40 FD F0 0B 00 FD F1 0B 40 FD 70 07 00 5C 30 3A 70 1E F0 0B 00 FD F0 0B 40 FD F0 5B 00 FD E8 5B 40 F9 E8 17 00 F9 09 00 00 14 E9 17 40 F9 08 B0 E4 D2 28 01 08 8B E8 17 00 F9 E8 17 40 F9 E8 5F 00 F9 F0 5F 40 FD F0 0B 00 FD F1 0F 40 FD F0 0F 40 FD 32 0A 70 1E F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E 50 2A 70 1E F0 63 00 FD E0 63 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 2B 00 FD E0 33 40 B9 E0 2B 40 FD ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD F0 2B 00 FD F1 6F 40 FD F0 2B 40 FD 00 22 71 1E ED 01 00 54 46 00 80 52 E1 0B 40 FD E0 0F 40 FD 45 04 80 52 24 02 80 52 63 00 80 52 02 FE EF D2 01 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 00 FD E0 73 40 FD 02 00 00 14 E0 2B 40 FD FD 7B CF A8 C0 03 5F D6 1F 20 03 D5 FF FF FF FF FF FF EF 7F 00 00 00 00 00 00 90 25 }
	condition:
		$1
}

rule file_214_2_0 {
	meta:
		name = "infinity_with_flags"
		size = 48
		refs = "0010 raise_fpsw_flags"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? 08 FE EF D2 E8 0F 00 F9 F0 0F 40 FD F0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "_wremove"
		size = 88
		refs = "0010 __imp_DeleteFileW 002c __imp_GetLastError 0040 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_370_0_0 {
	meta:
		name = "_wrmdir"
		size = 88
		refs = "0010 __imp_RemoveDirectoryW 002c __imp_GetLastError 0040 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "__acrt_GetTempPathA"
		size = 296
		refs = "0008 __security_push_cookie 002c memset 0038 __imp_GetTempPathW 0064 __acrt_AreFileApisANSI 00e0 __imp_WideCharToMultiByte 011c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 09 D1 E0 1B 00 B9 E1 17 00 F9 E0 C3 00 91 00 00 00 91 42 41 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E1 C3 00 91 A0 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 2E 00 00 14 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 1F 00 B9 07 00 80 D2 06 00 80 D2 E5 1B 40 B9 E4 17 40 F9 03 00 80 12 E2 C3 00 91 01 00 80 52 E0 1F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E8 23 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 04 00 00 14 E8 0B 40 B9 00 05 00 51 00 00 00 11 FF 03 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_217_4_0 {
	meta:
		name = "_mbscpy_s_l"
		size = 828
		refs = "0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0030 ??_C@_1HG@EKJPHOI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0070 ??_C@_1BI@DFEOJMJL@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0080 _invalid_parameter 00ac _CrtGetDebugFillThreshold 00c4 memset 00cc ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 011c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0138 strcpy_s 01e0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 9F 02 00 F1 33 00 00 91 64 1A 40 FA 56 00 00 91 48 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 A9 00 00 14 56 04 00 B5 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 03 80 52 ?? ?? ?? ?? D8 FF FF 17 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 C8 00 00 35 C2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 76 00 00 14 8C 02 00 91 75 02 00 91 C8 16 40 38 8D 01 00 91 88 15 00 38 68 00 00 34 B5 06 00 D1 75 FF FF B5 15 07 00 B5 C8 02 40 39 E8 01 00 35 AB 01 00 91 BF 01 14 EB 03 01 00 54 69 01 40 39 29 01 0E 8B 2A 65 40 39 8A 00 10 36 6B 05 00 D1 7F 01 14 EB 42 FF FF 54 A9 01 0B 4B 69 00 00 36 9F F1 1F 38 49 00 00 14 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 36 00 00 14 8B 09 00 D1 6A 01 00 91 7F 01 14 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 14 EB 42 FF FF 54 69 01 0A 4B 3F 01 00 72 68 06 00 91 60 11 54 FA 09 F9 60 92 C3 02 00 54 7F 01 00 39 B5 06 00 91 C9 01 00 B4 68 02 15 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 02 30 88 9A 88 02 15 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 10 00 00 14 C9 01 00 B4 68 02 15 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 02 30 88 9A 88 02 15 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_218_6_0 {
	meta:
		name = "_ismbcalnum_l"
		size = 148
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 08 02 00 54 E8 0F 40 F9 6A 1E 00 53 EB 20 80 52 08 01 40 F9 09 D9 6A 78 28 01 0B 0A E8 00 00 35 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 69 00 00 37 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 23 00 80 52 E2 20 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "_getdllprocaddr"
		size = 52
		refs = "0014 __imp_GetProcAddress"
	strings:
		$1 = { 21 01 00 B5 E8 FF 9F D2 5F 00 08 EB 0C 01 00 54 41 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 5F 04 00 B1 60 FF FF 54 00 00 80 D2 C0 03 5F D6 }
	condition:
		$1
}

rule file_220_0_0 {
	meta:
		name = "__acrt_CompareStringW"
		size = 308
		refs = "0040 wcsnlen 011c __acrt_CompareStringEx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 FF 43 00 D1 E0 2F 00 F9 E1 33 00 B9 E2 23 00 F9 E3 27 00 B9 E4 1F 00 F9 E5 23 00 B9 E8 27 40 B9 1F 01 00 71 4D 01 00 54 E8 27 40 B9 01 7D 40 93 21 00 00 91 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 01 00 11 E8 27 00 B9 E8 23 40 B9 1F 01 00 71 4D 01 00 54 E8 23 40 B9 01 7D 40 93 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 00 11 E8 23 00 B9 E8 27 40 B9 1F 01 00 71 80 00 00 54 E8 23 40 B9 1F 01 00 71 E1 02 00 54 E9 27 40 B9 E8 23 40 B9 28 01 08 4B 1F 01 00 71 81 00 00 54 48 00 80 52 E8 2F 00 B9 0D 00 00 14 E9 27 40 B9 E8 23 40 B9 28 01 08 4B 1F 01 00 71 8A 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 68 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E0 2F 40 B9 0E 00 00 14 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 E5 23 40 B9 E4 1F 40 F9 E3 27 40 B9 E2 23 40 F9 E1 33 40 B9 E0 2F 40 F9 ?? ?? ?? ?? E0 37 00 B9 E0 37 40 B9 FF 43 00 91 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "_Hypot"
		size = 824
		refs = "001c _dunscale 0070 _Inf_C 01e0 _dscale 0260 sqrt 02cc ?root2@?6??_Hypot@@9@9 02e4 ?oneplusroot2low@?6??_Hypot@@9@9 02f8 ?oneplusroot2high@?6??_Hypot@@9@9"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 FD E1 0F 00 FD E0 1F 00 F9 E1 83 00 91 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 E8 53 00 79 E1 63 00 91 E0 4B 00 91 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 E8 57 00 79 E9 1F 40 F9 08 00 80 52 28 01 00 B9 E8 53 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 57 C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? AB 00 00 14 AA 00 00 14 E8 53 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD A4 00 00 14 A3 00 00 14 E8 57 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 9D 00 00 14 9C 00 00 14 F0 13 40 FD 08 22 60 1E 82 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD F0 0F 40 FD 08 22 60 1E E1 00 00 54 F0 13 40 FD 08 22 60 1E 61 00 00 54 80 11 00 5C 88 00 00 14 20 00 00 14 F0 13 40 FD 08 22 60 1E 20 02 00 54 E9 23 C0 79 29 01 00 11 E8 27 C0 79 08 01 00 11 3F 01 08 6B 6B 01 00 54 E9 23 C0 79 29 01 00 11 E8 27 C0 79 08 01 00 11 3F 01 08 6B 21 02 00 54 F1 0F 40 FD F0 13 40 FD 00 22 71 1E A2 01 00 54 E8 23 C0 79 E8 63 00 79 F0 13 40 FD F0 33 00 FD E8 27 C0 79 E8 23 00 79 E8 63 C0 79 E8 27 00 79 F0 0F 40 FD F0 13 00 FD F0 33 40 FD F0 0F 00 FD E9 23 C0 79 29 01 00 11 88 00 80 52 29 0D C8 1A 48 00 80 52 29 7D 08 1B E8 1F 40 F9 09 01 00 B9 E8 1F 40 F9 08 01 40 B9 1F 01 00 71 81 00 00 54 E9 1F 40 F9 48 00 80 52 28 01 00 B9 E9 23 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 83 00 91 ?? ?? ?? ?? E9 27 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? F1 13 40 FD F0 0F 40 FD 30 3A 70 1E F0 23 00 FD F1 13 40 FD F0 23 40 FD 00 22 71 1E 41 00 00 54 3F 00 00 14 F1 23 40 FD F0 0F 40 FD 00 22 71 1E C2 02 00 54 F1 13 40 FD F0 0F 40 FD 30 1A 70 1E F0 27 00 FD F1 27 40 FD F0 27 40 FD 31 0A 70 1E 10 10 6E 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 37 00 FD F1 27 40 FD F0 37 40 FD 31 2A 70 1E F0 0F 40 FD 11 1A 71 1E F0 13 40 FD 10 2A 71 1E F0 23 00 FD 26 00 00 14 F1 23 40 FD F0 0F 40 FD 30 1A 70 1E F0 2B 00 FD F1 2B 40 FD 10 10 60 1E 31 2A 70 1E F0 2B 40 FD 30 0A 70 1E F0 2F 00 FD F1 2F 40 FD 10 10 60 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 31 2A 70 1E F0 2F 40 FD 11 1A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E F0 3F 00 FD F1 0F 40 FD F0 3F 40 FD 31 1A 70 1E F0 13 40 FD 10 2A 71 1E F0 23 00 FD E0 23 40 FD FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "_LHypot"
		size = 824
		refs = "001c _ldunscale 0070 _LInf_C 01e0 _ldscale 0260 sqrtl 02cc ?root2@?6??_LHypot@@9@9 02e4 ?oneplusroot2low@?6??_LHypot@@9@9 02f8 ?oneplusroot2high@?6??_LHypot@@9@9"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 FD E1 0F 00 FD E0 1F 00 F9 E1 83 00 91 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 E8 53 00 79 E1 63 00 91 E0 4B 00 91 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 E8 57 00 79 E9 1F 40 F9 08 00 80 52 28 01 00 B9 E8 53 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 57 C0 79 08 01 00 11 1F 05 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? AB 00 00 14 AA 00 00 14 E8 53 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD A4 00 00 14 A3 00 00 14 E8 57 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 9D 00 00 14 9C 00 00 14 F0 13 40 FD 08 22 60 1E 82 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD F0 0F 40 FD 08 22 60 1E E1 00 00 54 F0 13 40 FD 08 22 60 1E 61 00 00 54 80 11 00 5C 88 00 00 14 20 00 00 14 F0 13 40 FD 08 22 60 1E 20 02 00 54 E9 23 C0 79 29 01 00 11 E8 27 C0 79 08 01 00 11 3F 01 08 6B 6B 01 00 54 E9 23 C0 79 29 01 00 11 E8 27 C0 79 08 01 00 11 3F 01 08 6B 21 02 00 54 F1 0F 40 FD F0 13 40 FD 00 22 71 1E A2 01 00 54 E8 23 C0 79 E8 63 00 79 F0 13 40 FD F0 33 00 FD E8 27 C0 79 E8 23 00 79 E8 63 C0 79 E8 27 00 79 F0 0F 40 FD F0 13 00 FD F0 33 40 FD F0 0F 00 FD E9 23 C0 79 29 01 00 11 88 00 80 52 29 0D C8 1A 48 00 80 52 29 7D 08 1B E8 1F 40 F9 09 01 00 B9 E8 1F 40 F9 08 01 40 B9 1F 01 00 71 81 00 00 54 E9 1F 40 F9 48 00 80 52 28 01 00 B9 E9 23 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 83 00 91 ?? ?? ?? ?? E9 27 C0 79 29 01 00 11 E8 1F 40 F9 08 01 40 B9 21 01 08 4B 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? F1 13 40 FD F0 0F 40 FD 30 3A 70 1E F0 23 00 FD F1 13 40 FD F0 23 40 FD 00 22 71 1E 41 00 00 54 3F 00 00 14 F1 23 40 FD F0 0F 40 FD 00 22 71 1E C2 02 00 54 F1 13 40 FD F0 0F 40 FD 30 1A 70 1E F0 27 00 FD F1 27 40 FD F0 27 40 FD 31 0A 70 1E 10 10 6E 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 37 00 FD F1 27 40 FD F0 37 40 FD 31 2A 70 1E F0 0F 40 FD 11 1A 71 1E F0 13 40 FD 10 2A 71 1E F0 23 00 FD 26 00 00 14 F1 23 40 FD F0 0F 40 FD 30 1A 70 1E F0 2B 00 FD F1 2B 40 FD 10 10 60 1E 31 2A 70 1E F0 2B 40 FD 30 0A 70 1E F0 2F 00 FD F1 2F 40 FD 10 10 60 1E 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 31 2A 70 1E F0 2F 40 FD 11 1A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 2B 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E F0 3F 00 FD F1 0F 40 FD F0 3F 40 FD 31 1A 70 1E F0 13 40 FD 10 2A 71 1E F0 23 00 FD E0 23 40 FD FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_221_1_0 {
	meta:
		name = "csqrt"
		size = 912
		refs = "0018 creal 0030 cimag 0044 _dtest 0068 _Inf_C 0070 _Cbuild 0164 _Zero_C 01b0 _Hypot 0230 ldexp 0258 sqrt"
	strings:
		$1 = { FD 7B AD A9 FD 03 00 91 E0 1F 00 FD E1 23 00 FD E1 23 40 FD E0 1F 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 17 00 FD E1 23 40 FD E0 1F 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 33 00 79 E8 33 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD BE 00 00 14 47 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 08 01 00 11 1F 05 00 71 40 00 00 54 3F 00 00 14 E8 33 C0 79 08 01 00 11 1F 09 00 71 21 02 00 54 F0 17 40 FD 08 22 60 1E 42 01 00 54 E1 17 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD A6 00 00 14 04 00 00 14 E0 1F 40 FD E1 23 40 FD A2 00 00 14 2B 00 00 14 F0 17 40 FD 08 22 60 1E A2 02 00 54 E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 27 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 27 00 FD E1 27 40 FD 80 12 00 5C ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 8B 00 00 14 14 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 2B 00 FD 03 00 00 14 90 10 00 5C F0 2B 00 FD E1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 77 00 00 14 E0 D3 00 91 E1 0B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 13 00 FD E8 37 40 B9 1F 01 00 71 A1 01 00 54 F1 0B 40 FD F0 13 40 FD 21 0A 70 1E 21 40 60 1E E0 13 40 FD ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 62 00 00 14 61 00 00 14 F0 17 40 FD 08 22 60 1E A2 00 00 54 F0 17 40 FD 10 42 61 1E F0 2F 00 FD 03 00 00 14 F0 17 40 FD F0 2F 00 FD E8 37 40 B9 E0 03 08 4B 00 00 00 11 E0 2F 40 FD ?? ?? ?? ?? E0 3F 00 FD F0 3F 40 FD F0 43 00 FD F1 43 40 FD F0 13 40 FD 31 2A 70 1E 10 10 60 1E 00 0A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 47 00 FD E9 37 40 B9 48 00 80 52 28 0D C8 1A 00 05 00 51 00 00 00 11 E0 47 40 FD ?? ?? ?? ?? E0 4B 00 FD F0 4B 40 FD F0 13 00 FD F0 17 40 FD 08 22 60 1E EB 01 00 54 11 10 60 1E F0 13 40 FD 31 0A 70 1E F0 0B 40 FD 01 1A 71 1E 21 40 60 1E E0 13 40 FD ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 2E 00 00 14 2D 00 00 14 E8 2F 40 79 08 01 00 11 48 02 78 36 F0 13 40 FD 01 42 61 1E F0 0B 40 FD 12 42 61 1E 11 10 60 1E F0 13 40 FD 30 0A 70 1E 40 1A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD 1A 00 00 14 19 00 00 14 F0 0B 40 FD 08 22 60 1E 41 01 00 54 E1 13 40 FD E0 02 00 5C ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E0 87 40 FD E1 8B 40 FD 0E 00 00 14 0D 00 00 14 11 10 60 1E F0 13 40 FD 31 0A 70 1E F0 0B 40 FD 00 1A 71 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E0 8F 40 FD E1 93 40 FD FD 7B D3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_528_1_0 {
	meta:
		name = "csqrtl"
		size = 912
		refs = "0018 creall 0030 cimagl 0044 _ldtest 0068 _LInf_C 0070 _LCbuild 0164 _LZero_C 01b0 _LHypot 0230 ldexpl 0258 sqrtl"
	strings:
		$1 = { FD 7B AD A9 FD 03 00 91 E0 1F 00 FD E1 23 00 FD E1 23 40 FD E0 1F 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 17 00 FD E1 23 40 FD E0 1F 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 33 00 79 E8 33 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD BE 00 00 14 47 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 08 01 00 11 1F 05 00 71 40 00 00 54 3F 00 00 14 E8 33 C0 79 08 01 00 11 1F 09 00 71 21 02 00 54 F0 17 40 FD 08 22 60 1E 42 01 00 54 E1 17 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD A6 00 00 14 04 00 00 14 E0 1F 40 FD E1 23 40 FD A2 00 00 14 2B 00 00 14 F0 17 40 FD 08 22 60 1E A2 02 00 54 E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 27 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 27 00 FD E1 27 40 FD 80 12 00 5C ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 8B 00 00 14 14 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 2B 00 FD 03 00 00 14 90 10 00 5C F0 2B 00 FD E1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 77 00 00 14 E0 D3 00 91 E1 0B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 13 00 FD E8 37 40 B9 1F 01 00 71 A1 01 00 54 F1 0B 40 FD F0 13 40 FD 21 0A 70 1E 21 40 60 1E E0 13 40 FD ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 62 00 00 14 61 00 00 14 F0 17 40 FD 08 22 60 1E A2 00 00 54 F0 17 40 FD 10 42 61 1E F0 2F 00 FD 03 00 00 14 F0 17 40 FD F0 2F 00 FD E8 37 40 B9 E0 03 08 4B 00 00 00 11 E0 2F 40 FD ?? ?? ?? ?? E0 3F 00 FD F0 3F 40 FD F0 43 00 FD F1 43 40 FD F0 13 40 FD 31 2A 70 1E 10 10 60 1E 00 0A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 47 00 FD E9 37 40 B9 48 00 80 52 28 0D C8 1A 00 05 00 51 00 00 00 11 E0 47 40 FD ?? ?? ?? ?? E0 4B 00 FD F0 4B 40 FD F0 13 00 FD F0 17 40 FD 08 22 60 1E EB 01 00 54 11 10 60 1E F0 13 40 FD 31 0A 70 1E F0 0B 40 FD 01 1A 71 1E 21 40 60 1E E0 13 40 FD ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 2E 00 00 14 2D 00 00 14 E8 2F 40 79 08 01 00 11 48 02 78 36 F0 13 40 FD 01 42 61 1E F0 0B 40 FD 12 42 61 1E 11 10 60 1E F0 13 40 FD 30 0A 70 1E 40 1A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD 1A 00 00 14 19 00 00 14 F0 0B 40 FD 08 22 60 1E 41 01 00 54 E1 13 40 FD E0 02 00 5C ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E0 87 40 FD E1 8B 40 FD 0E 00 00 14 0D 00 00 14 11 10 60 1E F0 13 40 FD 31 0A 70 1E F0 0B 40 FD 00 1A 71 1E E1 13 40 FD 00 40 60 1E ?? ?? ?? ?? E1 93 00 FD E0 8F 00 FD E0 8F 40 FD E1 93 40 FD FD 7B D3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "trunc"
		size = 36
		refs = "0014 _d_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_365_0_0 {
	meta:
		name = "truncl"
		size = 36
		refs = "0014 _ld_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "nextafterf"
		size = 52
		refs = "0020 nexttowardf"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD F0 13 40 BD 01 C2 22 1E 21 40 60 1E E0 17 40 BD ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_225_0_0 {
	meta:
		name = "_cgetws"
		size = 268
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0038 _CrtDbgReportW 0048 __doserrno 0050 _errno 0064 ??_C@_1BA@IJPIFGNE@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?$AA@ 0074 _invalid_parameter 008c ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00ec _cgetws_s"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 14 00 00 91 94 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 13 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 21 00 00 14 81 02 40 79 C1 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 13 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 13 80 52 ?? ?? ?? ?? E3 FF FF 17 93 12 00 91 FF 0B 00 F9 60 02 00 91 E2 43 00 91 ?? ?? ?? ?? E8 23 40 79 1F 00 00 71 60 02 9F 9A 88 06 00 79 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_225_1_0 {
	meta:
		name = "_cgetws_s"
		size = 896
		refs = "002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1DC@MHMMOEHO@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0088 __doserrno 0090 _errno 00a8 ??_C@_1BE@NFEJJKN@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA_?$AAs?$AA?$AA@ 00b4 _invalid_parameter 00c8 ??_C@_1CE@ILGEGJJH@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAw?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0130 _CrtGetDebugFillThreshold 014c memset 0158 ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a8 __acrt_lock 01c8 __console_wchar_buffer_used 01d4 __console_wchar_buffer 0214 __dcrt_lowio_console_input_handle 0224 __dcrt_lowio_initialize_console_input 0234 __imp_GetLastError 0244 __acrt_errno_map_os_error 0258 __imp_GetConsoleMode 0270 __imp_SetConsoleMode 0294 __imp_ReadConsoleW 035c __acrt_unlock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 35 00 00 91 54 00 00 91 7F 02 00 F1 F7 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 17 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 05 03 00 91 24 03 00 91 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F7 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 23 04 80 52 C8 02 80 52 08 00 00 B9 04 00 80 D2 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 03 00 91 ?? ?? ?? ?? C0 02 80 52 AA 00 00 14 BF 02 00 F1 F7 97 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 77 01 00 35 05 03 00 91 24 03 00 91 03 00 80 D2 42 04 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D7 00 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 43 04 80 52 E2 FF FF 17 7F 02 00 79 BF 06 00 B1 A0 01 00 54 E8 7B 40 B2 BF 02 08 EB A4 1A 41 FA 29 01 00 54 ?? ?? ?? ?? A8 06 00 D1 1F 00 08 EB 08 30 88 9A 02 F9 7F D3 C1 1F 80 52 60 0A 00 91 ?? ?? ?? ?? 9F 02 00 F1 F7 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 77 01 00 35 05 03 00 91 24 03 00 91 03 00 80 D2 A2 04 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D7 00 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? A3 04 80 52 BE FF FF 17 20 01 80 52 ?? ?? ?? ?? 16 00 80 52 BF 1B 00 B9 B3 17 00 F9 B5 06 00 D1 B5 13 00 F9 9F 02 00 F9 B5 0C 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 08 02 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 68 02 00 79 73 0A 00 91 B3 17 00 F9 AB 06 00 D1 AB 13 00 F9 88 02 40 F9 09 05 00 91 89 02 00 F9 ?? ?? ?? ?? 5F 01 00 71 F5 03 8B 9A B5 13 00 F9 ?? ?? ?? ?? 55 0A 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 1F 08 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 B1 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 40 B9 42 00 00 14 A1 53 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A2 02 00 11 04 00 80 D2 A3 43 00 91 61 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 80 FC FF 34 AA 13 40 B9 5F 09 00 71 43 01 00 54 4B 09 00 51 68 5A 6B 78 1F 35 00 71 C1 00 00 54 88 02 40 F9 09 41 2B 8B 89 02 00 F9 7F 5A 2B 78 1B 00 00 14 BF 42 2A EB 81 01 00 54 49 05 00 51 68 5A 69 78 1F 35 00 71 01 01 00 54 7F 5A 29 78 A8 13 40 B9 09 05 00 51 88 02 40 F9 09 41 29 8B 89 02 00 F9 0E 00 00 14 5F 05 00 71 01 01 00 54 68 02 40 79 1F 29 00 71 A1 00 00 54 7F 02 00 79 88 02 40 F9 88 02 00 F9 05 00 00 14 88 02 40 F9 09 41 2A 8B 89 02 00 F9 7F 5A 2A 78 A1 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 B6 1B 40 B9 20 01 80 52 ?? ?? ?? ?? C0 02 00 11 FD 7B C3 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_225_2_0 {
	meta:
		name = "_cgetws_s$fin$0"
		size = 32
		refs = "000c __acrt_unlock"
		altNames = "_cgets_s$fin$0 _cputs$fin$0 _cputws$fin$0 _getch$fin$0 _getche$fin$0 _getwch$fin$0 _getwche$fin$0 _kbhit$fin$0 _ungetch$fin$0 _ungetwch$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 20 01 80 52 ?? ?? ?? ?? 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_226_8_0 {
	meta:
		name = "__acrt_lowio_create_handle_array"
		size = 484
		refs = "000c ??_C@_0DB@JFFPGLDM@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0020 _calloc_dbg 0030 ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_lowio_handle_data@@@Z 003c ??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBA_NXZ 0060 ??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAA@XZ 0070 ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_lowio_handle_data@@XZ 00cc __acrt_InitializeCriticalSectionEx 01c0 ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_lowio_handle_data@@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 24 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 08 80 D2 00 08 80 D2 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 1F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 1F 40 F9 5D 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E9 17 40 F9 08 00 82 D2 28 01 08 8B E8 27 00 F9 E8 17 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 01 01 91 E8 0B 00 F9 E9 27 40 F9 E8 0B 40 F9 1F 01 09 EB 40 08 00 54 E8 0B 40 F9 00 01 00 91 02 00 80 52 01 F4 81 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 A1 00 91 08 00 80 92 28 01 00 F9 E8 0B 40 F9 09 C1 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 E1 00 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 09 E5 00 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 09 E9 00 91 48 01 80 52 28 01 00 39 E8 0B 40 F9 09 ED 00 91 48 01 80 52 28 01 00 39 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 39 E8 0B 40 F9 08 F5 00 91 08 01 40 39 08 19 1F 12 09 1D 00 53 E8 0B 40 F9 08 F5 00 91 09 01 00 39 E8 0B 40 F9 08 F5 00 91 09 01 40 39 A8 1F 80 52 28 01 08 0A 09 1D 00 53 E8 0B 40 F9 08 F5 00 91 09 01 00 39 E8 0B 40 F9 08 F5 00 91 09 01 40 39 68 1F 80 52 28 01 08 0A 09 1D 00 53 E8 0B 40 F9 08 F5 00 91 09 01 00 39 E8 0B 40 F9 09 F9 00 91 08 00 80 52 28 01 00 39 B9 FF FF 17 E0 83 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 2F 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_9_0 {
	meta:
		name = "__acrt_lowio_destroy_handle_array"
		size = 140
		refs = "0068 __imp_DeleteCriticalSection 0080 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 41 00 00 54 1B 00 00 14 E8 0F 40 F9 E8 13 00 F9 E9 13 40 F9 08 00 82 D2 28 01 08 8B E8 17 00 F9 E8 13 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 01 01 91 E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB 00 01 00 54 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 F3 FF FF 17 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_10_0 {
	meta:
		name = "__acrt_lowio_ensure_fh_exists"
		size = 440
		refs = "0044 ??_C@_1EM@BPODPNEJ@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1DM@JELNOMLN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAo?$AAw?$AAi?$AAo?$AA_?$AAe?$AAn?$AAs?$AAu?$AAr?$AAe?$AA_?$AAf?$AAh?$AA_?$AAe?$AAx?$AAi?$AAs?$AAt?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00dc __acrt_lock 00f8 _nhandle 0118 __pioinfo 0134 __acrt_lowio_create_handle_array 01a8 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 1B 00 B9 09 00 84 52 A8 1B 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 13 00 B9 03 00 00 14 08 00 80 52 A8 13 00 B9 A8 13 40 B9 A8 17 00 B9 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 23 00 B9 A9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 01 80 52 39 00 00 14 08 00 80 52 A8 1F 00 B9 E0 00 80 52 ?? ?? ?? ?? 08 00 80 D2 A8 17 00 F9 04 00 00 14 A8 17 40 F9 08 05 00 91 A8 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? A8 1B 40 B9 1F 01 09 6B EB 04 00 54 A9 17 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 40 00 00 54 EF FF FF 17 ?? ?? ?? ?? A0 1F 00 F9 A9 17 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B A8 1F 40 F9 28 01 00 F9 A9 17 40 F9 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 81 00 00 54 88 01 80 52 A8 1F 00 B9 07 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 01 11 ?? ?? ?? ?? ?? ?? ?? ?? D3 FF FF 17 E0 00 80 52 ?? ?? ?? ?? A0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_12_0 {
	meta:
		name = "__acrt_lowio_lock_fh"
		size = 100
		refs = "0020 __pioinfo 0050 __imp_EnterCriticalSection"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 00 01 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_14_0 {
	meta:
		name = "__acrt_lowio_unlock_fh"
		size = 100
		refs = "0020 __pioinfo 0050 __imp_LeaveCriticalSection"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 00 01 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_13_0 {
	meta:
		name = "__acrt_lowio_set_os_handle"
		size = 404
		refs = "001c _nhandle 0044 __pioinfo 007c _query_app_type 00d0 __imp_SetStdHandle 0160 _errno 0174 __doserrno"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 17 00 F9 E8 13 40 B9 1F 01 00 71 4B 0A 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B A2 09 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 1F 05 00 B1 41 07 00 54 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 05 00 71 01 04 00 54 E8 17 40 F9 E8 13 00 F9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 60 01 00 54 E8 17 40 B9 1F 09 00 71 C0 01 00 54 12 00 00 14 E1 13 40 F9 20 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 0C 00 00 14 E1 13 40 F9 40 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 06 00 00 14 E1 13 40 F9 60 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 A1 00 91 E8 17 40 F9 28 01 00 F9 00 00 80 52 0D 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 B9 00 00 80 12 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_15_0 {
	meta:
		name = "_alloc_osfhnd"
		size = 728
		refs = "000c __acrt_lock 004c __pioinfo 0064 __acrt_lowio_create_handle_array 00bc _nhandle 00e4 __acrt_lowio_lock_fh 01bc __imp_EnterCriticalSection 01e8 __imp_LeaveCriticalSection 02c8 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 00 80 52 ?? ?? ?? ?? 08 00 80 12 A8 1F 00 B9 08 00 80 52 A8 13 00 B9 04 00 00 14 A8 13 40 B9 08 05 00 11 A8 13 00 B9 A8 13 40 B9 1F 01 02 71 6A 14 00 54 A8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 E1 06 00 54 ?? ?? ?? ?? A0 1B 00 F9 A8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B A8 1B 40 F9 28 01 00 F9 A8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 41 00 00 54 83 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 01 11 ?? ?? ?? ?? ?? ?? ?? ?? A9 13 40 B9 08 08 80 52 28 7D 08 1B A8 1B 00 B9 A0 1B 40 B9 ?? ?? ?? ?? A8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 28 00 80 52 28 01 00 39 A8 1B 40 B9 A8 1F 00 B9 63 00 00 14 A8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 A8 17 00 F9 A9 17 40 F9 08 00 82 D2 28 01 08 8B A8 1F 00 F9 A8 17 40 F9 A8 13 00 F9 04 00 00 14 A8 13 40 F9 08 01 01 91 A8 13 00 F9 A9 1F 40 F9 A8 13 40 F9 1F 01 09 EB 60 09 00 54 A8 13 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 48 00 00 36 F4 FF FF 17 A8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 13 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 08 01 00 36 A8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 FF FF 17 A9 13 40 B9 08 08 80 52 2A 7D 08 1B A9 13 40 F9 A8 17 40 F9 28 01 08 CB 08 FD 46 93 08 01 00 11 48 01 08 0B A8 17 00 B9 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 28 00 80 52 28 01 00 39 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 A1 00 91 08 00 80 92 28 01 00 F9 A8 17 40 B9 A8 1F 00 B9 03 00 00 14 B0 FF FF 17 59 FF FF 17 E0 00 80 52 ?? ?? ?? ?? A0 1F 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_17_0 {
	meta:
		name = "_free_osfhnd"
		size = 468
		refs = "0018 _nhandle 0040 __pioinfo 00c4 _query_app_type 0110 __imp_SetStdHandle 01a0 _errno 01b4 __doserrno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 6B 0C 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B C2 0B 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 09 00 36 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 1F 05 00 B1 00 07 00 54 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 05 00 71 C1 03 00 54 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 60 01 00 54 E8 17 40 B9 1F 09 00 71 C0 01 00 54 12 00 00 14 01 00 80 D2 20 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 0C 00 00 14 01 00 80 D2 40 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 06 00 00 14 01 00 80 D2 60 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 A1 00 91 08 00 80 92 28 01 00 F9 00 00 80 52 0D 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 08 00 80 52 28 01 00 B9 00 00 80 12 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_18_0 {
	meta:
		name = "_get_osfhandle"
		size = 660
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_1BO@EMBOBGKE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAf?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 92 91 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 57 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 12 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 00 01 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_226_19_0 {
	meta:
		name = "_open_osfhandle"
		size = 848
		refs = "0070 __imp_GetFileType 0094 __imp_GetLastError 00a8 __acrt_errno_map_os_error 00f8 _alloc_osfhnd 0114 _errno 0128 __doserrno 0154 __acrt_lowio_set_os_handle 0180 __pioinfo 033c __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 1B 00 F9 A1 1F 00 B9 08 00 80 52 A8 43 00 39 A8 1F 40 B9 C8 00 18 36 A8 43 40 39 08 01 00 11 08 01 1B 32 08 1D 00 53 A8 43 00 39 A8 1F 40 B9 C8 00 70 36 A8 43 40 39 08 01 00 11 08 01 19 32 08 1D 00 53 A8 43 00 39 A8 1F 40 B9 C8 00 38 36 A8 43 40 39 08 01 00 11 08 01 1C 32 08 1D 00 53 A8 43 00 39 A0 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 27 00 B9 A8 27 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 2B 00 B9 A0 2B 40 B9 ?? ?? ?? ?? 00 00 80 12 A5 00 00 14 A8 23 40 B9 1F 09 00 71 E1 00 00 54 A8 43 40 39 08 01 00 11 08 01 1A 32 08 1D 00 53 A8 43 00 39 09 00 00 14 A8 23 40 B9 1F 0D 00 71 C1 00 00 54 A8 43 40 39 08 01 00 11 08 01 1D 32 08 1D 00 53 A8 43 00 39 ?? ?? ?? ?? A0 2F 00 B9 A8 2F 40 B9 A8 17 00 B9 A8 17 40 B9 1F 05 00 31 A1 01 00 54 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 08 03 80 52 28 01 00 B9 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 08 00 80 52 28 01 00 B9 00 00 80 12 81 00 00 14 08 00 80 52 A8 63 00 39 A1 1B 40 F9 A0 17 40 B9 ?? ?? ?? ?? A8 43 40 39 08 01 00 11 08 01 00 32 08 1D 00 53 A8 43 00 39 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 A8 43 40 39 28 01 00 39 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 08 00 80 52 28 01 00 39 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 19 1F 12 0B 1D 00 53 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 28 00 80 52 A8 63 00 39 A8 63 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 17 40 B9 ?? ?? ?? ?? A0 17 40 B9 FD 7B C5 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_226_20_0 {
	meta:
		name = "_open_osfhandle$fin$0"
		size = 192
		refs = "002c __pioinfo 00b0 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 63 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 17 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_227_1_0 {
	meta:
		name = "_mbctokata_l"
		size = 60
		refs = "0010 _ismbchira_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 ?? ?? ?? ?? C0 00 00 34 73 86 02 11 E8 6F 90 52 7F 02 08 6B 43 00 00 54 73 06 00 11 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "_wcsrev"
		size = 176
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E8 0F 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 07 00 B9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 B9 1F 01 00 71 40 00 00 54 F6 FF FF 17 E8 07 40 F9 08 11 00 D1 E8 07 00 F9 E8 0F 40 F9 E8 0B 00 F9 E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 42 02 00 54 E8 0B 40 F9 08 01 40 79 E8 03 00 79 E9 0B 40 F9 E8 07 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E9 07 40 F9 E8 03 40 79 28 01 00 79 E8 07 40 F9 08 09 00 D1 E8 07 00 F9 EC FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "_LCmulcc"
		size = 212
		refs = "0020 creall 0038 cimagl 00b8 _LCbuild"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E2 23 00 FD E3 27 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 0B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 13 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 0F 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 17 00 FD F1 0B 40 FD F0 17 40 FD 32 0A 70 1E F1 13 40 FD F0 0F 40 FD 30 0A 70 1E 41 2A 70 1E F1 0B 40 FD F0 0F 40 FD 32 0A 70 1E F1 13 40 FD F0 17 40 FD 30 0A 70 1E 40 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 3F 00 FD E0 3B 00 FD E0 3B 40 FD E1 3F 40 FD FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "_Cmulcc"
		size = 212
		refs = "0020 creal 0038 cimag 00b8 _Cbuild"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 FD E1 1F 00 FD E2 23 00 FD E3 27 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 0B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 13 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 0F 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 17 00 FD F1 0B 40 FD F0 17 40 FD 32 0A 70 1E F1 13 40 FD F0 0F 40 FD 30 0A 70 1E 41 2A 70 1E F1 0B 40 FD F0 0F 40 FD 32 0A 70 1E F1 13 40 FD F0 17 40 FD 30 0A 70 1E 40 3A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 3F 00 FD E0 3B 00 FD E0 3B 40 FD E1 3F 40 FD FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_229_1_0 {
	meta:
		name = "_LCmulcr"
		size = 112
		refs = "001c cimagl 002c creall 0054 _LCbuild"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E2 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 13 00 FD F1 0F 40 FD F0 0B 40 FD 21 0A 70 1E F1 13 40 FD F0 0B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 23 00 FD E0 1F 00 FD E0 1F 40 FD E1 23 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_657_1_0 {
	meta:
		name = "_Cmulcr"
		size = 112
		refs = "001c cimag 002c creal 0054 _Cbuild"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E2 0B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 13 00 FD F1 0F 40 FD F0 0B 40 FD 21 0A 70 1E F1 13 40 FD F0 0B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 23 00 FD E0 1F 00 FD E0 1F 40 FD E1 23 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_229_2_0 {
	meta:
		name = "cpowl"
		size = 288
		refs = "0020 cimagl 003c creall 0094 powl 00a4 _LCbuild 00c8 clogl 00e4 _LCmulcc 00f8 cexpl"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0B 00 FD E1 0F 00 FD E2 13 00 FD E3 17 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 1B 00 FD F0 1B 40 FD 08 22 60 1E 81 04 00 54 E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD 08 22 60 1E AB 03 00 54 E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD 08 22 60 1E C1 02 00 54 E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 27 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 2B 00 FD E1 27 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 2F 00 FD E1 03 00 5C E0 2F 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD E0 33 40 FD E1 37 40 FD 15 00 00 14 14 00 00 14 E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 3F 00 FD E0 3B 00 FD E3 3F 40 FD E2 3B 40 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E1 47 00 FD E0 43 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E1 4F 00 FD E0 4B 00 FD E0 4B 40 FD E1 4F 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_657_2_0 {
	meta:
		name = "cpow"
		size = 288
		refs = "0020 cimag 003c creal 0094 pow 00a4 _Cbuild 00c8 clog 00e4 _Cmulcc 00f8 cexp"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0B 00 FD E1 0F 00 FD E2 13 00 FD E3 17 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 1B 00 FD F0 1B 40 FD 08 22 60 1E 81 04 00 54 E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD 08 22 60 1E AB 03 00 54 E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD 08 22 60 1E C1 02 00 54 E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 27 00 FD E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 2B 00 FD E1 27 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 2F 00 FD E1 03 00 5C E0 2F 40 FD ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD E0 33 40 FD E1 37 40 FD 15 00 00 14 14 00 00 14 E1 0F 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 3F 00 FD E0 3B 00 FD E3 3F 40 FD E2 3B 40 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E1 47 00 FD E0 43 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E1 4F 00 FD E0 4B 00 FD E0 4B 40 FD E1 4F 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_230_3_0 {
	meta:
		name = "??$common_popen@D@@YAPEAU_iobuf@@QEBD0@Z"
		size = 520
		refs = "0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 _CrtDbgReportW 0080 _errno 0098 ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00a4 _invalid_parameter 00b8 ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QEBD@Z 0150 _pipe 018c __acrt_lock 01a8 ??$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z 01dc _close 01ec __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 18 00 00 91 34 00 00 91 1F 03 00 F1 F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 13 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 E4 02 00 91 03 00 80 D2 22 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 00 35 ?? ?? ?? ?? 23 2B 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 D2 52 00 00 14 9F 02 00 F1 F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 73 01 00 35 A5 02 00 91 E4 02 00 91 03 00 80 D2 42 2B 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 93 00 00 35 ?? ?? ?? ?? 43 2B 80 52 E4 FF FF 17 80 02 00 91 ?? ?? ?? ?? A0 1B 00 B9 AA 43 00 91 A9 63 00 91 28 01 C0 79 48 01 00 79 29 09 C0 39 49 09 00 39 A8 63 C0 39 28 FC FF 34 0A 10 80 52 A8 67 C0 39 1F D1 01 71 09 10 88 52 22 01 8A 1A 1F 89 01 71 41 00 00 54 42 00 11 32 01 80 80 52 A0 83 00 91 ?? ?? ?? ?? 1F 04 00 31 80 FA FF 54 A8 43 C0 39 1F DD 01 71 F4 07 9F 1A 9F 02 00 71 AA 23 40 B9 A9 27 40 B9 48 01 89 1A A8 1B 00 B9 9F 02 00 71 28 01 8A 1A A8 1F 00 B9 40 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 40 B9 A3 63 00 91 82 02 00 11 A1 43 00 91 00 03 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? 13 00 00 B9 94 01 00 B5 B5 83 00 91 B3 63 00 91 B3 17 00 F9 7F 02 15 EB E0 00 00 54 60 02 40 B9 1F 04 00 31 40 00 00 54 ?? ?? ?? ?? 73 12 00 91 F8 FF FF 17 40 01 80 52 ?? ?? ?? ?? 80 02 00 91 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_4_0 {
	meta:
		name = "?fin$0@?0???$common_popen@D@@YAPEAU_iobuf@@QEBD0@Z@4HA"
		size = 32
		refs = "000c __acrt_unlock"
		altNames = "_pclose$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 40 01 80 52 ?? ?? ?? ?? 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_230_5_0 {
	meta:
		name = "??$common_popen@_W@@YAPEAU_iobuf@@QEB_W0@Z"
		size = 552
		refs = "0018 __security_push_cookie 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0068 _CrtDbgReportW 0090 _errno 00a8 ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00b4 _invalid_parameter 00c8 ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QEB_W@Z 0160 _pipe 019c __acrt_lock 01b8 ??$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z 01ec _close 01fc __acrt_unlock 0208 __security_pop_cookie"
	strings:
		$1 = { FD 7B BB A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 23 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 F9 03 00 91 18 00 00 91 35 00 00 91 1F 03 00 F1 F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 13 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 85 02 00 91 E4 02 00 91 03 00 80 D2 22 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 00 35 ?? ?? ?? ?? 23 2B 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 80 02 00 91 ?? ?? ?? ?? 00 00 80 D2 52 00 00 14 BF 02 00 F1 F3 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 73 01 00 35 85 02 00 91 E4 02 00 91 03 00 80 D2 42 2B 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 93 00 00 35 ?? ?? ?? ?? 43 2B 80 52 E4 FF FF 17 A0 02 00 91 ?? ?? ?? ?? 20 03 00 F9 2A 63 00 91 29 03 00 91 28 01 40 B9 48 01 00 B9 29 09 C0 79 49 09 00 79 28 03 40 79 28 FC FF 34 0A 10 80 52 28 07 40 79 1F D1 01 71 09 10 88 52 22 01 8A 1A 1F 89 01 71 41 00 00 54 42 00 11 32 01 80 80 52 20 23 00 91 ?? ?? ?? ?? 1F 04 00 31 80 FA FF 54 28 33 40 79 1F DD 01 71 F4 07 9F 1A 9F 02 00 71 2A 0B 40 B9 29 0F 40 B9 48 01 89 1A 28 03 00 B9 9F 02 00 71 28 01 8A 1A 28 07 00 B9 40 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 40 B9 23 03 00 91 82 02 00 11 21 63 00 91 00 03 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? 13 00 00 B9 94 01 00 B5 35 23 00 91 33 03 00 91 33 0B 00 F9 7F 02 15 EB E0 00 00 54 60 02 40 B9 1F 04 00 31 40 00 00 54 ?? ?? ?? ?? 73 12 00 91 F8 FF FF 17 40 01 80 52 ?? ?? ?? ?? 80 02 00 91 FF 83 00 91 ?? ?? ?? ?? F9 23 40 F9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C5 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_230_6_0 {
	meta:
		name = "?fin$0@?0???$common_popen@_W@@YAPEAU_iobuf@@QEB_W0@Z@4HA"
		size = 28
		refs = "0008 __acrt_unlock"
	strings:
		$1 = { FD 7B BF A9 40 01 80 52 ?? ?? ?? ?? 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_230_7_0 {
	meta:
		name = "??$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z"
		size = 1028
		refs = "0020 __imp_GetCurrentProcess 0048 __pioinfo 0074 __imp_DuplicateHandle 008c __imp_CloseHandle 00a0 _close 00b4 _fdopen 00c8 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 00e0 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 00e8 ?comspec_name@?1???$get_comspec@D@@YAPEBDXZ@4QBDB 0104 _dupenv_s_dbg 0118 ?default_cmd_exe@?1???$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z@4QBDB 01ac ?slash_c@?1???$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z@4QBDB 01ec ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0204 _calloc_dbg 0218 strcpy_s 022c strcat_s 024c ??$get_executable_path@D@@YAPEBDQEBD@Z 0294 __imp_CreateProcessA 02fc _free_dbg 0334 fclose 0374 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 037c ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0380 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0394 _invoke_watson 03a0 ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 03a4 ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 03c4 ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 03e8 ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B B3 A9 FD 03 00 91 FF 43 00 D1 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 19 00 00 91 34 00 00 91 56 00 00 11 73 00 00 91 20 01 3F D6 69 02 80 B9 08 00 80 92 ?? ?? ?? ?? E8 13 00 F9 ?? ?? ?? ?? 46 00 80 52 2A FD 46 93 08 79 6A F8 29 15 40 92 25 00 80 52 04 00 80 52 E3 83 00 91 0B 19 09 8B ?? ?? ?? ?? ?? ?? ?? ?? 61 15 40 F9 02 00 00 91 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 60 00 00 35 15 00 80 D2 A8 00 00 14 60 02 40 B9 ?? ?? ?? ?? 60 06 40 B9 08 00 80 12 81 02 00 91 68 02 00 B9 ?? ?? ?? ?? 14 00 00 91 F4 17 00 F9 B4 FE FF B4 00 00 80 D2 ?? ?? ?? ?? 13 00 00 91 F3 1F 00 F9 73 00 00 B5 15 00 80 D2 94 00 00 14 ?? ?? ?? ?? FF 1B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 C3 00 91 ?? ?? ?? ?? C0 02 00 34 1F 58 00 71 20 13 00 54 18 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E8 A3 01 91 1F 7D 00 A9 09 20 80 52 1F 7D 01 A9 1F 7D 02 A9 1F 7D 03 A9 1F 7D 04 A9 1F 7D 05 A9 08 0D 80 52 E9 9F 00 B9 ?? ?? ?? ?? E8 63 00 B9 16 01 00 35 E8 13 40 F9 E8 5B 00 F9 0A 00 00 14 F8 1B 40 F9 B8 FD FF B4 15 03 00 91 ED FF FF 17 28 15 40 F9 DF 06 00 71 E8 5B 00 F9 E8 13 40 F9 40 00 00 54 28 35 40 F9 E8 5F 00 F9 28 55 40 F9 AB 02 00 91 E8 63 00 F9 A9 02 C0 39 89 00 00 34 6B 05 00 91 6A 01 C0 39 CA FF FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 6E 01 15 CB 88 1D C0 38 E8 FF FF 35 ?? ?? ?? ?? 8D 01 08 CB 28 03 C0 39 2C 03 00 91 88 00 00 34 8C 05 00 91 89 01 C0 39 C9 FF FF 35 89 01 19 CB C8 01 0D 8B 17 01 09 8B ?? ?? ?? ?? E0 06 00 91 A4 24 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 16 00 00 91 F6 07 00 B4 A2 02 00 91 E1 06 00 91 ?? ?? ?? ?? 20 0E 00 35 ?? ?? ?? ?? E1 06 00 91 C0 02 00 91 ?? ?? ?? ?? 60 0C 00 35 22 03 00 91 E1 06 00 91 C0 02 00 91 ?? ?? ?? ?? A0 0A 00 35 A0 02 00 91 ?? ?? ?? ?? C0 05 00 B4 1F 00 15 EB E9 23 03 91 08 10 9F 9A 3F 7D 00 A9 EA 23 03 91 E8 23 00 F9 3F 09 00 F9 48 25 40 A9 EB 23 01 91 4A 09 40 F9 07 00 80 D2 06 00 80 D2 05 00 80 52 68 25 00 A9 E8 23 01 91 E8 07 00 F9 ?? ?? ?? ?? E9 83 01 91 6A 09 00 F9 ?? ?? ?? ?? E9 03 00 F9 09 FD DF C8 24 00 80 52 03 00 80 D2 02 00 80 D2 C1 02 00 91 20 01 3F D6 80 00 00 35 F3 1F 40 F9 15 00 80 D2 0A 00 00 14 F5 17 40 F9 ?? ?? ?? ?? FF 17 00 F9 E0 2B 40 F9 09 FD DF C8 20 01 3F D6 E8 27 40 F9 75 22 00 A9 13 00 80 D2 E0 23 40 F9 41 00 80 52 ?? ?? ?? ?? F4 17 40 F9 02 00 00 14 15 00 80 D2 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 03 00 91 ?? ?? ?? ?? 53 00 00 B4 7F 7E 00 A9 74 00 00 B4 80 02 00 91 ?? ?? ?? ?? E0 13 40 F9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A0 02 00 91 FF 43 00 91 FD 7B CD A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_8_0 {
	meta:
		name = "??$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z"
		size = 1032
		refs = "0020 __imp_GetCurrentProcess 0048 __pioinfo 0074 __imp_DuplicateHandle 008c __imp_CloseHandle 00a0 _close 00b4 _wfdopen 00c8 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 00e0 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 00e8 ?comspec_name@?1???$get_comspec@_W@@YAPEB_WXZ@4QB_WB 0104 _wdupenv_s_dbg 0118 ?default_cmd_exe@?1???$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z@4QB_WB 01ac ?slash_c@?1???$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z@4QB_WB 01ec ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0208 _calloc_dbg 021c wcscpy_s 0230 wcscat_s 0250 ??$get_executable_path@_W@@YAPEB_WQEB_W@Z 0298 __imp_CreateProcessW 0300 _free_dbg 0338 fclose 0378 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0380 ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0384 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0398 _invoke_watson 03a4 ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 03a8 ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 03c8 ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 03ec ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 23 00 F9 FD 7B B3 A9 FD 03 00 91 FF 43 00 D1 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 19 00 00 91 34 00 00 91 56 00 00 11 73 00 00 91 20 01 3F D6 69 02 80 B9 08 00 80 92 ?? ?? ?? ?? E8 13 00 F9 ?? ?? ?? ?? 46 00 80 52 2A FD 46 93 08 79 6A F8 29 15 40 92 25 00 80 52 04 00 80 52 E3 83 00 91 0B 19 09 8B ?? ?? ?? ?? ?? ?? ?? ?? 61 15 40 F9 02 00 00 91 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? 60 00 00 35 15 00 80 D2 A9 00 00 14 60 02 40 B9 ?? ?? ?? ?? 60 06 40 B9 08 00 80 12 81 02 00 91 68 02 00 B9 ?? ?? ?? ?? 14 00 00 91 F4 17 00 F9 B4 FE FF B4 00 00 80 D2 ?? ?? ?? ?? 13 00 00 91 F3 1F 00 F9 73 00 00 B5 15 00 80 D2 95 00 00 14 ?? ?? ?? ?? FF 1B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 C3 00 91 ?? ?? ?? ?? C0 02 00 34 1F 58 00 71 40 13 00 54 18 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E8 A3 01 91 1F 7D 00 A9 09 20 80 52 1F 7D 01 A9 1F 7D 02 A9 1F 7D 03 A9 1F 7D 04 A9 1F 7D 05 A9 08 0D 80 52 E9 9F 00 B9 ?? ?? ?? ?? E8 63 00 B9 16 01 00 35 E8 13 40 F9 E8 5B 00 F9 0A 00 00 14 F8 1B 40 F9 B8 FD FF B4 15 03 00 91 ED FF FF 17 28 15 40 F9 DF 06 00 71 E8 5B 00 F9 E8 13 40 F9 40 00 00 54 28 35 40 F9 E8 5F 00 F9 28 55 40 F9 AB 02 00 91 E8 63 00 F9 A9 02 C0 79 89 00 00 34 6B 09 00 91 6A 01 C0 79 CA FF FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 6E 01 15 CB 88 2D C0 78 E8 FF FF 35 ?? ?? ?? ?? 29 03 C0 79 8D 01 08 CB 2C 03 00 91 89 00 00 34 8C 09 00 91 8A 01 C0 79 CA FF FF 35 88 01 19 CB 09 FD 41 93 2A 05 8D 8B ?? ?? ?? ?? A4 24 80 52 57 05 8E 8B ?? ?? ?? ?? 42 00 80 52 E0 06 00 91 41 00 80 D2 ?? ?? ?? ?? 16 00 00 91 F6 07 00 B4 A2 02 00 91 E1 06 00 91 ?? ?? ?? ?? 20 0E 00 35 ?? ?? ?? ?? E1 06 00 91 C0 02 00 91 ?? ?? ?? ?? 60 0C 00 35 22 03 00 91 E1 06 00 91 C0 02 00 91 ?? ?? ?? ?? A0 0A 00 35 A0 02 00 91 ?? ?? ?? ?? C0 05 00 B4 1F 00 15 EB E9 23 03 91 08 10 9F 9A 3F 7D 00 A9 EA 23 03 91 E8 23 00 F9 3F 09 00 F9 48 25 40 A9 EB 23 01 91 4A 09 40 F9 07 00 80 D2 06 00 80 D2 05 00 80 52 68 25 00 A9 E8 23 01 91 E8 07 00 F9 ?? ?? ?? ?? E9 83 01 91 6A 09 00 F9 ?? ?? ?? ?? E9 03 00 F9 09 FD DF C8 24 00 80 52 03 00 80 D2 02 00 80 D2 C1 02 00 91 20 01 3F D6 80 00 00 35 F3 1F 40 F9 15 00 80 D2 0A 00 00 14 F5 17 40 F9 ?? ?? ?? ?? FF 17 00 F9 E0 2B 40 F9 09 FD DF C8 20 01 3F D6 E8 27 40 F9 75 22 00 A9 13 00 80 D2 E0 23 40 F9 41 00 80 52 ?? ?? ?? ?? F4 17 40 F9 02 00 00 14 15 00 80 D2 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 03 00 91 ?? ?? ?? ?? 53 00 00 B4 7F 7E 00 A9 74 00 00 B4 80 02 00 91 ?? ?? ?? ?? E0 13 40 F9 1F 04 00 B1 80 00 00 54 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A0 02 00 91 FF 43 00 91 FD 7B CD A8 FB 23 40 F9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_9_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QEBD@Z"
		size = 372
		refs = "0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@ 0068 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 _CrtDbgReportW 0094 _errno 00a0 ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 00b8 _invalid_parameter 0104 ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 E8 53 00 91 1F 01 00 79 E9 53 00 91 1F 09 00 39 28 01 C0 79 EA 43 00 91 29 09 C0 39 48 01 00 79 08 00 C0 39 49 09 00 39 1F 81 00 71 A1 00 00 54 00 04 00 91 0A 00 C0 39 5F 81 00 71 A0 FF FF 54 08 00 C0 39 1F C9 01 71 80 03 00 54 1F DD 01 71 40 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 11 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 2A 00 00 14 0A 04 00 91 E8 43 00 39 48 01 C0 39 1F 81 00 71 A1 00 00 54 4A 05 00 91 49 01 C0 39 3F 81 00 71 A0 FF FF 54 48 01 C0 39 1F 89 01 71 04 19 40 7A 60 03 00 54 1F D1 01 71 20 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 12 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 14 E8 47 00 39 E0 13 40 B9 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_10_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QEB_W@Z"
		size = 372
		refs = "0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@ 0068 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 _CrtDbgReportW 0094 _errno 00a0 ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 00b8 _invalid_parameter 0104 ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 E8 63 00 91 1F 01 00 B9 E9 63 00 91 1F 09 00 79 28 01 40 B9 EA 43 00 91 29 09 C0 79 48 01 00 B9 08 00 40 79 49 09 00 79 1F 81 00 71 A1 00 00 54 00 08 00 91 0A 00 40 79 5F 81 00 71 A0 FF FF 54 08 00 40 79 1F C9 01 71 80 03 00 54 1F DD 01 71 40 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 11 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 2A 00 00 14 0A 08 00 91 E8 23 00 79 48 01 40 79 1F 81 00 71 A1 00 00 54 4A 09 00 91 49 01 40 79 3F 81 00 71 A0 FF FF 54 48 01 40 79 1F 89 01 71 04 19 40 7A 60 03 00 54 1F D1 01 71 20 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 12 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 14 E8 27 00 79 E0 0B 40 F9 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_15_0 {
	meta:
		name = "??$get_executable_path@D@@YAPEBDQEBD@Z"
		size = 512
		refs = "001c _access_s 002c ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0044 _calloc_dbg 005c ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0064 ?path_name@?1???$get_path@D@@YAPEBDXZ@4QBDB 0080 _dupenv_s_dbg 00a8 __acrt_getpath 00b4 ?backslash@?L@???$get_executable_path@D@@YAPEBDQEBD@Z@4QBDB 00bc ?__crt_stdio_path_requires_backslash@@YA_NQEBD@Z 00d0 strcat_s 0164 _free_dbg 0194 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 019c ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 01a0 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 01b4 _invoke_watson 01c0 ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 01c4 ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 01e4 ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BE A9 FD 03 00 91 01 00 80 52 15 00 00 91 ?? ?? ?? ?? 60 00 00 35 A0 02 00 91 54 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E4 18 80 52 42 00 80 52 21 00 80 D2 80 20 80 D2 ?? ?? ?? ?? 14 00 00 91 93 02 00 91 74 00 00 B5 14 00 80 D2 44 00 00 14 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 40 08 00 54 16 00 80 D2 02 00 00 14 F6 0B 40 F9 62 20 80 D2 81 02 00 91 C0 02 00 91 ?? ?? ?? ?? 17 00 00 91 57 05 00 B4 ?? ?? ?? ?? 80 02 00 91 ?? ?? ?? ?? C0 00 00 34 ?? ?? ?? ?? 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 20 07 00 35 88 02 C0 39 8A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4C 01 14 CB AA 02 C0 39 AB 02 00 91 8A 00 00 34 6B 05 00 91 68 01 C0 39 C8 FF FF 35 69 01 15 CB 89 01 09 8B 3F 11 04 F1 02 02 00 54 A2 02 00 91 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 80 05 00 35 01 00 80 52 80 02 00 91 ?? ?? ?? ?? 80 02 00 34 62 20 80 D2 81 02 00 91 E0 02 00 91 ?? ?? ?? ?? 17 00 00 91 37 FB FF B5 14 00 80 D2 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FD 7B C2 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 13 00 80 D2 F3 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_16_0 {
	meta:
		name = "??$get_executable_path@_W@@YAPEB_WQEB_W@Z"
		size = 568
		refs = "001c _waccess_s 002c ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0044 _calloc_dbg 005c ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0064 ?path_name@?1???$get_path@_W@@YAPEB_WXZ@4QB_WB 0080 _wdupenv_s_dbg 00a8 __acrt_wgetpath 00b4 ?backslash@?L@???$get_executable_path@_W@@YAPEB_WQEB_W@Z@4QB_WB 0104 wcscat_s 019c _free_dbg 01cc ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01d4 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 01d8 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 01ec _invoke_watson 01f8 ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 01fc ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 021c ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BE A9 FD 03 00 91 01 00 80 52 15 00 00 91 ?? ?? ?? ?? 60 00 00 35 A0 02 00 91 62 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E4 18 80 52 42 00 80 52 41 00 80 D2 80 20 80 D2 ?? ?? ?? ?? 14 00 00 91 93 02 00 91 74 00 00 B5 14 00 80 D2 52 00 00 14 ?? ?? ?? ?? FF 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 01 00 80 D2 E0 43 00 91 ?? ?? ?? ?? A0 00 00 34 1F 58 00 71 00 0A 00 54 16 00 80 D2 02 00 00 14 F6 0B 40 F9 62 20 80 D2 81 02 00 91 C0 02 00 91 ?? ?? ?? ?? 17 00 00 91 17 07 00 B4 ?? ?? ?? ?? 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 14 CB 4B FD 41 93 8C 06 0B 8B 9F 02 0C EB 60 01 00 54 8C E1 5F 78 9F 71 01 71 00 01 00 54 9F BD 00 71 C0 00 00 54 ?? ?? ?? ?? 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 40 07 00 35 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4C 01 14 CB AA 02 C0 79 AB 02 00 91 8A 00 00 34 6B 09 00 91 68 01 C0 79 C8 FF FF 35 6B 01 15 CB 69 FD 41 93 2C 05 8C 8B 9F 11 04 F1 02 02 00 54 A2 02 00 91 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 80 05 00 35 01 00 80 52 80 02 00 91 ?? ?? ?? ?? 80 02 00 34 62 20 80 D2 81 02 00 91 E0 02 00 91 ?? ?? ?? ?? 17 00 00 91 77 F9 FF B5 14 00 80 D2 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 91 FD 7B C2 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 13 00 80 D2 F3 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_26_0 {
	meta:
		name = "??$tcscat_s@PEADHAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEAHAEBQEBD@Z"
		size = 16
		refs = "000c strcat_s"
		altNames = "??$tcscat_s@AEAPEADHAEBQEBD@?$__crt_char_traits@D@@SAHAEAPEAD$$QEAHAEBQEBD@Z"
	strings:
		$1 = { 21 00 80 B9 42 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_7_0 {
	meta:
		name = "??$tcscat_s@AEAPEA_WHAEBQEB_W@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEAHAEBQEB_W@Z"
		size = 16
		refs = "000c wcscat_s"
	strings:
		$1 = { 21 00 80 B9 42 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_30_0 {
	meta:
		name = "??$tcscat_s@PEA_WHAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEAHAEBQEB_W@Z"
		size = 16
		refs = "000c wcscat_s"
	strings:
		$1 = { 21 00 80 B9 42 00 40 F9 00 00 40 F9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_18_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEAD$$TAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEBQEBD@Z"
		size = 32
		refs = "0000 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c _dupenv_s_dbg"
	strings:
		$1 = { ?? ?? ?? ?? 42 00 40 F9 ?? ?? ?? ?? 21 00 40 F9 00 00 40 F9 45 0D 80 52 43 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_497_19_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEA_W$$TAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEBQEB_W@Z"
		size = 32
		refs = "0000 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c _wdupenv_s_dbg"
	strings:
		$1 = { ?? ?? ?? ?? 42 00 40 F9 ?? ?? ?? ?? 21 00 40 F9 00 00 40 F9 25 0F 80 52 43 00 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_56_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEAA@XZ"
		size = 20
		altNames = "?close@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEAAXXZ"
	strings:
		$1 = { 08 00 40 F9 68 00 00 B4 1F 7D 00 A9 1F 00 00 F9 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_57_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEAA@XZ"
		size = 44
		refs = "0018 fclose"
		altNames = "?close@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEAAXXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 F9 60 00 00 B4 ?? ?? ?? ?? 7F 02 00 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_65_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEBD@Z"
		size = 104
		refs = "0048 _mbsrchr"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 08 00 C0 39 0A 00 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 1F 00 0A EB 61 00 00 54 00 00 80 52 0B 00 00 14 53 05 00 D1 68 02 C0 39 1F 71 01 71 A1 00 00 54 81 0B 80 52 ?? ?? ?? ?? 7F 02 00 EB 02 00 00 14 1F BD 00 71 E0 07 9F 1A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_66_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEB_W@Z"
		size = 76
	strings:
		$1 = { 08 00 C0 79 0A 00 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 00 CB 09 FD 41 93 0B 04 09 8B 1F 00 0B EB 61 00 00 54 00 00 80 52 06 00 00 14 68 E1 5F 78 1F 71 01 71 80 FF FF 54 1F BD 00 71 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_230_72_0 {
	meta:
		name = "?close@stream_traits@?A0xe43b7539@@SA_NPEAU_iobuf@@@Z"
		size = 24
		refs = "0008 fclose"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_20_4 {
	meta:
		name = "__acrt_thread_detach"
		size = 24
		refs = "0008 __acrt_freeptd"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_666_8_4 {
	meta:
		name = "__acrt_uninitialize_tmpfile"
		size = 24
		refs = "0008 __acrt_stdio_free_tmpfile_name_buffers_nolock 000c _rmtmp"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_23_3 {
	meta:
		name = "_endthread"
		size = 24
		refs = "000c ?common_end_thread@@YAXI@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_4_3 {
	meta:
		name = "_lock_locales"
		size = 24
		refs = "000c __acrt_lock"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 80 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_5_3 {
	meta:
		name = "_unlock_locales"
		size = 24
		refs = "000c __acrt_unlock"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 80 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_88_0 {
	meta:
		name = "?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z"
		size = 184
		refs = "000c ?__idtabsiz@@3IA 0060 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 007c _recalloc_dbg 008c _free_dbg"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 6B 06 40 F9 6A 02 40 B9 69 01 00 91 6C 11 0A 8B 7F 01 0C EB C0 00 00 54 28 05 41 F8 1F 01 00 EB C0 00 00 54 3F 01 0C EB 81 FF FF 54 A0 00 00 B4 00 00 80 D2 19 00 00 14 20 41 00 D1 17 00 00 14 48 05 00 11 1F 01 0A 6B 43 FF FF 54 ?? ?? ?? ?? ?? ?? ?? ?? 85 0E 80 52 43 00 80 52 02 02 80 D2 01 01 00 91 60 01 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 00 00 80 D2 ?? ?? ?? ?? B4 FD FF B4 68 02 40 B9 74 06 00 F9 09 01 00 91 08 05 00 11 80 12 09 8B 68 02 00 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_230_98_0 {
	meta:
		name = "_pclose"
		size = 344
		refs = "0020 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 0074 _errno 008c ??_C@_1BA@KDAKDIPO@?$AA_?$AAp?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 0098 _invalid_parameter 00ac __acrt_lock 00b4 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 00d4 fclose 0104 _cwait 013c __acrt_unlock"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 14 00 00 91 9F 02 00 F1 F3 07 9F 1A 33 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 37 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 04 00 80 D2 C3 37 80 52 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 12 29 00 00 14 15 00 80 12 40 01 80 52 ?? ?? ?? ?? 80 02 00 91 ?? ?? ?? ?? 16 00 00 91 B6 00 00 B5 ?? ?? ?? ?? 28 01 80 52 08 00 00 B9 1B 00 00 14 80 02 00 91 ?? ?? ?? ?? D3 06 40 F9 DF 02 00 F9 DF 06 00 F9 ?? ?? ?? ?? 14 00 40 B9 ?? ?? ?? ?? 1F 00 00 B9 BF 13 00 B9 22 00 80 52 61 02 00 91 A0 43 00 91 ?? ?? ?? ?? 1F 04 00 B1 01 01 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 11 00 71 80 00 00 54 ?? ?? ?? ?? 14 00 00 B9 04 00 00 14 ?? ?? ?? ?? 14 00 00 B9 B5 13 40 B9 40 01 80 52 ?? ?? ?? ?? A0 02 00 11 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "ccos"
		size = 112
		refs = "0018 creal 0028 cimag 0040 _Cbuild 0054 ccosh"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E1 17 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 1F 00 FD E0 1B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E0 23 40 FD E1 27 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "ccosl"
		size = 112
		refs = "0018 creall 0028 cimagl 0040 _LCbuild 0054 ccoshl"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E1 17 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0F 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD 00 42 61 1E E1 0F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 1F 00 FD E0 1B 00 FD E1 1F 40 FD E0 1B 40 FD ?? ?? ?? ?? E1 27 00 FD E0 23 00 FD E0 23 40 FD E1 27 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_233_5_0 {
	meta:
		name = "_mbctolower_l"
		size = 200
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c __acrt_LCMapStringA"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BC A9 FD 03 00 91 FF 43 00 D1 13 00 00 11 E0 A3 00 91 ?? ?? ?? ?? EA 1F 40 F9 7F FE 03 71 09 03 00 54 68 7E 08 53 F3 87 00 39 09 1D 00 53 28 01 0A 8B E9 83 00 39 09 65 40 39 E9 02 10 36 47 05 40 B9 28 00 80 52 41 11 41 F9 46 00 80 52 E8 03 00 B9 E5 93 00 91 44 00 80 52 E3 83 00 91 02 20 80 52 E0 C3 00 91 ?? ?? ?? ?? 60 01 00 34 E9 93 40 39 E8 97 40 39 13 21 09 0B 07 00 00 14 68 06 00 11 48 C1 28 8B 09 61 40 39 69 00 20 36 48 C1 33 8B 13 65 44 39 E8 03 41 39 A8 00 00 34 EA 17 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FF 43 00 91 FD 7B C4 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_4_0 {
	meta:
		name = "?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z"
		size = 492
		refs = "0088 ??_C@_1EK@MLDBCLCM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAm?$AAi?$AAn?$AAi?$AAm?$AAu?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1CG@HMPBPEAJ@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0108 _invalid_parameter 0160 __acrt_fp_strflt_to_string"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 33 00 F9 E1 1B 00 F9 E2 27 00 F9 E3 13 00 B9 E4 3F 00 F9 E5 3B 00 F9 E8 13 40 B9 1F 01 00 71 8D 00 00 54 E8 13 40 B9 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 09 00 11 08 7D 40 93 E8 2B 00 F9 E9 2B 40 F9 E8 1B 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 35 00 00 14 E8 1B 40 F9 08 09 00 D1 09 01 00 11 E8 13 40 B9 1F 01 09 6B 8A 00 00 54 E8 13 40 B9 E8 27 00 B9 05 00 00 14 E8 1B 40 F9 08 09 00 D1 08 01 00 11 E8 27 00 B9 E8 27 40 B9 E8 3F 00 B9 E3 27 40 F9 E2 3F 40 B9 E1 1B 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 17 40 B9 28 01 00 B9 E0 17 40 B9 14 00 00 14 E8 27 40 F9 08 01 00 91 08 01 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E9 3B 40 F9 E8 2B 40 B9 28 01 00 B9 E8 27 40 F9 08 11 00 91 E9 3F 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_6_0 {
	meta:
		name = "?try_get_ptd_buffer@@YAPEADXZ"
		size = 188
		refs = "0008 __acrt_getptd_noexit 0054 ??_C@_0DA@BFCMAIEI@minkernel?2crts?2ucrt?2src?2appcrt?2c@ 0064 _malloc_dbg 0074 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0088 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 00a4 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 23 00 00 14 E8 0B 40 F9 08 C1 01 91 08 01 40 F9 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 C1 01 91 00 01 40 F9 1A 00 00 14 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 A0 2B 80 D2 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 C1 01 91 E8 1F 40 F9 28 01 00 F9 E0 03 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 C1 01 91 00 01 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_7_0 {
	meta:
		name = "_ecvt"
		size = 172
		refs = "0018 ?try_get_ptd_buffer@@YAPEADXZ 007c _ecvt_s"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 FD E0 13 00 B9 E1 23 00 F9 E2 1F 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 1B 00 00 14 E8 13 40 B9 1F 6D 05 71 8A 00 00 54 E8 13 40 B9 E8 17 00 B9 03 00 00 14 68 2B 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E4 1F 40 F9 E3 23 40 F9 E2 1B 40 B9 E0 27 40 FD A1 2B 80 D2 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_8_0 {
	meta:
		name = "_ecvt_s"
		size = 1192
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BA@FFFKJLKN@?$AA_?$AAe?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e0 _CrtGetDebugFillThreshold 0230 memset 0268 ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0328 ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03d8 __acrt_fltout 03f4 ?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z 049c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 08 D1 E0 0B 00 F9 E1 03 00 F9 E0 53 00 FD E2 0B 00 B9 E3 3B 00 F9 E4 37 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 ED 00 00 14 E8 03 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 BD 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 03 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 03 40 F9 1F 01 09 EB 40 03 00 54 E9 03 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 2F 00 F9 E8 03 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 D1 E8 33 00 F9 E8 0B 40 F9 00 05 00 91 E2 33 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 6A 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 3A 00 00 14 E9 A3 02 91 29 01 00 91 08 00 80 D2 28 21 00 A9 C3 2B 80 D2 E2 E3 02 91 E1 A3 02 91 C0 2B 80 52 E0 53 40 FD ?? ?? ?? ?? E5 37 40 F9 E4 3B 40 F9 E3 0B 40 B9 E2 A3 02 91 E1 03 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 03 40 F9 08 09 00 D1 09 01 00 11 E8 0B 40 B9 1F 01 09 6B 8A 00 00 54 E8 0B 40 B9 E8 3B 00 B9 05 00 00 14 E8 03 40 F9 08 09 00 D1 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 6B 02 00 54 E8 0F 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0F 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E0 53 40 B9 FF 43 08 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_9_0 {
	meta:
		name = "_fcvt"
		size = 248
		refs = "0008 __security_push_cookie 0020 ?try_get_ptd_buffer@@YAPEADXZ 0068 __acrt_fltout 00c0 _fcvt_s 00ec __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 06 D1 E0 13 00 FD E0 03 00 B9 E1 1F 00 F9 E2 1B 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 2A 00 00 14 E9 03 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 C3 2B 80 D2 E2 43 01 91 E1 03 01 91 C0 2B 80 52 E0 13 40 FD ?? ?? ?? ?? 69 2B 80 52 E8 47 40 B9 29 01 08 4B E8 03 40 B9 1F 01 09 6B 8A 00 00 54 E8 03 40 B9 E8 07 00 B9 05 00 00 14 69 2B 80 52 E8 47 40 B9 28 01 08 4B E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E4 1B 40 F9 E3 1F 40 F9 E2 0B 40 B9 E0 13 40 FD A1 2B 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FF C3 06 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_234_10_0 {
	meta:
		name = "_fcvt_s"
		size = 1168
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BA@CJDLLOHG@?$AA_?$AAf?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e0 _CrtGetDebugFillThreshold 0230 memset 0268 ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0328 ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03d8 __acrt_fltout 0474 ?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z 0484 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 08 D1 E0 1F 00 F9 E1 07 00 F9 E0 5B 00 FD E2 07 00 B9 E3 3B 00 F9 E4 37 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 E7 00 00 14 E8 07 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B7 00 00 14 E9 1F 40 F9 08 00 80 52 28 01 00 39 E8 07 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 07 40 F9 1F 01 09 EB 40 03 00 54 E9 07 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 07 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 D1 E8 33 00 F9 E8 1F 40 F9 00 05 00 91 E2 33 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 64 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 34 00 00 14 E9 E3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 C3 2B 80 D2 E2 E3 02 91 E1 E3 01 91 C0 2B 80 52 E0 5B 40 FD ?? ?? ?? ?? E9 7F 40 B9 E8 07 40 B9 28 01 08 0B E8 33 00 B9 E8 07 40 B9 1F 01 00 71 6D 01 00 54 E8 7F 40 B9 1F 01 00 71 0D 01 00 54 E9 07 40 B9 E8 33 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 B0 12 E8 37 00 B9 03 00 00 14 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 E8 4B 00 B9 E5 37 40 F9 E4 3B 40 F9 E3 4B 40 B9 E2 E3 01 91 E1 07 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E0 4F 40 B9 FF 43 08 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_235_9_0 {
	meta:
		name = "_putch"
		size = 60
		refs = "0030 ??$?RV<lambda_964a5dbffd41b5aa0d45fdb7180ac8f3>@@AEAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@V<lambda_c561a53cc468f5ddf59968495e70c67a>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_964a5dbffd41b5aa0d45fdb7180ac8f3>@@AEAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@$$QEAV<lambda_c561a53cc468f5ddf59968495e70c67a>@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E3 63 00 91 E0 17 00 B9 E2 83 00 91 E1 73 00 91 E0 43 00 91 E8 53 00 91 E8 13 00 F9 29 01 80 52 28 01 80 52 E8 27 03 29 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_235_10_0 {
	meta:
		name = "_putch_nolock"
		size = 228
		refs = "0010 __acrt_getptd 0024 __pctype_func 0034 ??_C@_1DG@NCPKEAM@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AA?$FL?$AA0?$AA?$FN?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 003c ??_C@_1GG@GBBCPJPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW 00ac mbtowc 00bc _putwch_nolock"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 14 00 00 11 ?? ?? ?? ?? 13 00 00 91 68 66 47 79 1F 05 00 71 81 02 00 54 ?? ?? ?? ?? 68 B2 4E 39 09 78 68 78 C9 01 78 37 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 74 B6 0E 39 02 00 00 14 74 B2 0E 39 68 66 47 79 08 01 00 35 ?? ?? ?? ?? 68 B2 4E 39 09 78 68 78 89 00 78 36 28 00 80 52 68 66 07 79 10 00 00 14 68 66 47 79 61 B2 0E 91 E0 43 00 91 08 05 00 11 02 7D 40 93 ?? ?? ?? ?? 1F 04 00 31 C0 00 00 54 E0 23 40 79 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B 41 00 00 54 14 00 80 12 7F 66 07 79 80 02 00 11 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_236_6_0 {
	meta:
		name = "_ismbcupper_l"
		size = 112
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 E8 00 00 54 E8 13 40 F9 69 06 00 11 08 41 29 8B 09 61 40 39 20 11 04 53 06 00 00 14 23 00 80 52 22 00 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_12_0 {
	meta:
		name = "??$common_atodbl_l@MD@@YAHQEAMQEBDQEAU__crt_locale_pointers@@@Z"
		size = 428
		refs = "0048 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 00c8 _invalid_parameter 00dc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00f8 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 010c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0120 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z 0160 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 27 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 35 00 00 14 E1 27 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 83 02 91 E8 2F 00 F9 02 00 80 D2 E1 2B 40 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 E3 01 91 ?? ?? ?? ?? E0 3B 00 F9 E2 1F 40 F9 E1 37 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 09 00 71 60 01 00 54 E8 1B 40 B9 1F 0D 00 71 40 00 00 54 0D 00 00 14 68 00 80 52 E8 2B 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 2B 40 B9 0F 00 00 14 88 00 80 52 E8 2F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 2F 40 B9 09 00 00 14 08 00 80 52 E8 33 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 33 40 B9 03 00 00 14 E0 E3 01 91 ?? ?? ?? ?? FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_13_0 {
	meta:
		name = "??$common_atodbl_l@ND@@YAHQEANQEBDQEAU__crt_locale_pointers@@@Z"
		size = 428
		refs = "0048 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 00c8 _invalid_parameter 00dc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00f8 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 010c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0120 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z 0160 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E1 2B 00 F9 E2 27 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 35 00 00 14 E1 27 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 83 02 91 E8 2F 00 F9 02 00 80 D2 E1 2B 40 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 E3 01 91 ?? ?? ?? ?? E0 3B 00 F9 E2 1F 40 F9 E1 37 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 09 00 71 60 01 00 54 E8 1B 40 B9 1F 0D 00 71 40 00 00 54 0D 00 00 14 68 00 80 52 E8 2B 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 2B 40 B9 0F 00 00 14 88 00 80 52 E8 2F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 2F 40 B9 09 00 00 14 08 00 80 52 E8 33 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 33 40 B9 03 00 00 14 E0 E3 01 91 ?? ?? ?? ?? FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_14_0 {
	meta:
		name = "??$common_atof_l@D@@YANQEBDQEAU__crt_locale_pointers@@@Z"
		size = 336
		refs = "0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 00c4 _invalid_parameter 00d8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00fc ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0110 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0124 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z 0134 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 00 5C 1C 00 00 14 E1 1F 40 F9 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 50 03 00 5C F0 17 00 FD E8 43 02 91 E8 23 00 F9 02 00 80 D2 E1 13 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 C3 01 91 ?? ?? ?? ?? E0 2F 00 F9 E2 A3 00 91 E1 2B 40 F9 E0 2F 40 F9 ?? ?? ?? ?? F0 17 40 FD F0 33 00 FD E0 C3 01 91 ?? ?? ?? ?? E0 33 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_237_15_0 {
	meta:
		name = "??$common_atof_l@_W@@YANQEB_WQEAU__crt_locale_pointers@@@Z"
		size = 336
		refs = "0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 00c4 _invalid_parameter 00d8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00fc ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0110 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0124 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z 0134 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 00 5C 1C 00 00 14 E1 1F 40 F9 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 50 03 00 5C F0 17 00 FD E8 43 02 91 E8 23 00 F9 02 00 80 D2 E1 13 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 C3 01 91 ?? ?? ?? ?? E0 2F 00 F9 E2 A3 00 91 E1 2B 40 F9 E0 2F 40 F9 ?? ?? ?? ?? F0 17 40 FD F0 33 00 FD E0 C3 01 91 ?? ?? ?? ?? E0 33 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_237_115_0 {
	meta:
		name = "_atodbl"
		size = 56
		refs = "0024 ??$common_atodbl_l@ND@@YAHQEANQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 01 00 91 02 00 80 D2 E1 13 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_118_0 {
	meta:
		name = "_atoflt"
		size = 56
		refs = "0024 ??$common_atodbl_l@MD@@YAHQEAMQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 01 00 91 02 00 80 D2 E1 13 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_116_0 {
	meta:
		name = "_atodbl_l"
		size = 60
		refs = "0028 ??$common_atodbl_l@ND@@YAHQEANQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E2 13 00 F9 E8 0F 40 F9 00 01 00 91 E2 13 40 F9 E1 17 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_119_0 {
	meta:
		name = "_atoflt_l"
		size = 60
		refs = "0028 ??$common_atodbl_l@MD@@YAHQEAMQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E2 13 00 F9 E8 0F 40 F9 00 01 00 91 E2 13 40 F9 E1 17 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_117_0 {
	meta:
		name = "_atof_l"
		size = 44
		refs = "0018 ??$common_atof_l@D@@YANQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_269_3_0 {
	meta:
		name = "_difftime64"
		size = 44
		refs = "0018 ??$common_difftime@_J@@YAN_J0@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_123_0 {
	meta:
		name = "_wtof_l"
		size = 44
		refs = "0018 ??$common_atof_l@_W@@YANQEB_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_122_0 {
	meta:
		name = "_wtof"
		size = 40
		refs = "0014 ??$common_atof_l@_W@@YANQEB_WQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_237_124_0 {
	meta:
		name = "atof"
		size = 40
		refs = "0014 ??$common_atof_l@D@@YANQEBDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_0_0 {
	meta:
		name = "??$common_creat@D@@YAHQEBDH@Z"
		size = 128
		refs = "0044 ??$tsopen_s@PEAHAEBQEBDHHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH2AEBH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1B 00 B9 08 00 80 12 E8 13 00 B9 08 08 80 52 E8 1F 00 B9 48 60 80 52 E8 23 00 B9 E8 43 00 91 E8 1F 00 F9 E4 63 00 91 E3 73 00 91 E2 83 00 91 E1 C3 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 E8 17 00 B9 03 00 00 14 08 00 80 12 E8 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_1_0 {
	meta:
		name = "??$common_creat@_W@@YAHQEB_WH@Z"
		size = 128
		refs = "0044 ??$tsopen_s@PEAHAEBQEB_WHHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH2AEBH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1B 00 B9 08 00 80 12 E8 13 00 B9 08 08 80 52 E8 1F 00 B9 48 60 80 52 E8 23 00 B9 E8 43 00 91 E8 1F 00 F9 E4 63 00 91 E3 73 00 91 E2 83 00 91 E1 C3 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 E8 17 00 B9 03 00 00 14 08 00 80 12 E8 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_2_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEBDHHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH2AEBH@Z"
		size = 88
		refs = "0044 _sopen_s"
		altNames = "??$tsopen_s@PEAHAEBQEBDAEBHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBDAEBH2$$QEAH@Z ??$tsopen_s@PEAHAEBQEBDHHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH22@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 B9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_13_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WAEBHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_WAEBH2$$QEAH@Z"
		size = 88
		refs = "0044 _wsopen_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 B9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_3_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WHHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH2AEBH@Z"
		size = 88
		refs = "0044 _wsopen_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 B9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_13_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WHHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH22@Z"
		size = 88
		refs = "0044 _wsopen_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 B9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_4_0 {
	meta:
		name = "_creat"
		size = 44
		refs = "0018 ??$common_creat@D@@YAHQEBDH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_6_0 {
	meta:
		name = "_timespec32_get"
		size = 44
		refs = "0018 ??$common_timespec_get@U_timespec32@@@@YAHQEAU_timespec32@@H@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_7_0 {
	meta:
		name = "_timespec64_get"
		size = 44
		refs = "0018 ??$common_timespec_get@U_timespec64@@@@YAHQEAU_timespec64@@H@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_241_5_0 {
	meta:
		name = "_wcreat"
		size = 44
		refs = "0018 ??$common_creat@_W@@YAHQEB_WH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E1 13 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "_initterm"
		size = 124
		refs = "005c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB 00 02 00 54 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 41 00 00 54 F5 FF FF 17 E8 0B 40 F9 08 01 40 F9 E8 0F 00 F9 EF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0F 40 F9 00 01 3F D6 EB FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "_initterm_e"
		size = 160
		refs = "005c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E8 17 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 00 03 00 54 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 41 00 00 54 F5 FF FF 17 E8 0F 40 F9 08 01 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 E0 13 40 B9 03 00 00 14 E3 FF FF 17 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "_intrin_sqrt"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD F0 03 40 FD 00 C2 61 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_243_1_0 {
	meta:
		name = "sqrt"
		size = 288
		refs = "0044 _handle_nan 0088 ??_C@_04EIAKFFMI@sqrt?$AA@ 0090 _handle_error 00fc _intrin_sqrt"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 13 00 FD E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB A1 03 00 54 E8 0B 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD 30 00 00 14 13 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 61 05 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 1D 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 60 02 00 54 E8 0B 40 F9 08 F9 40 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 A1 02 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 00 FD E0 1F 40 FD 07 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 27 00 FD E0 27 40 FD FD 7B C5 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "_strset"
		size = 84
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 E8 0B 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 03 40 B9 09 1D 00 13 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F4 FF FF 17 E0 0B 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_245_9_0 {
	meta:
		name = "_ismbcspace_l"
		size = 144
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c _isctype_l 0050 _chvalidator_l 0068 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 E8 01 00 54 E8 0F 40 F9 08 09 40 B9 1F 05 00 71 CD 00 00 54 E2 63 00 91 01 01 80 52 60 02 00 11 ?? ?? ?? ?? 0B 00 00 14 02 01 80 52 61 02 00 11 E0 63 00 91 ?? ?? ?? ?? 06 00 00 14 23 00 80 52 02 01 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 220
		refs = "0008 __security_push_cookie 0030 __pioinfo 0090 __imp_WriteFile 00ac __imp_GetLastError 00d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 03 00 B9 E1 0B 00 F9 E2 07 00 B9 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 0F 00 F9 08 00 80 52 E8 23 00 B9 E9 93 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 04 00 80 D2 E3 93 00 91 E2 07 40 B9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 B9 E8 0B 40 B9 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 00 B9 E8 0F 40 B9 E8 23 00 B9 E0 13 40 F9 E1 2B 40 B9 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_1_0 {
	meta:
		name = "?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 1592
		refs = "0008 __security_push_cookie 0030 __pioinfo 0078 __imp_GetConsoleCP 0128 __pctype_func 0198 ??_C@_1DI@CNMHHHLG@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AA_?$AAd?$AAb?$AAc?$AAs?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?$CJ?$AA?$AA@ 01a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b0 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01bc _CrtDbgReportW 02cc mbtowc 04c4 __imp_WideCharToMultiByte 0508 __imp_WriteFile 0524 __imp_GetLastError 062c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 03 00 B9 E1 2B 00 F9 E2 1F 00 B9 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 33 00 F9 E8 1F 40 B9 09 7D 40 D3 E8 2B 40 F9 08 01 09 8B E8 2F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E8 23 40 B9 E8 37 00 B9 08 00 80 52 E8 7B 00 B9 E9 F3 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E8 2B 40 F9 E8 07 00 F9 E9 2F 40 F9 E8 07 40 F9 1F 01 09 EB 22 2B 00 54 E8 07 40 F9 08 01 C0 39 E8 1B 00 39 08 00 80 52 E8 0B 00 79 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 09 02 53 08 01 00 11 1F 01 00 71 60 0E 00 54 ?? ?? ?? ?? E0 37 00 F9 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F9 00 91 08 01 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 37 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 28 02 78 37 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F9 00 91 08 01 C0 39 E8 23 02 39 E8 07 40 F9 08 01 C0 39 E8 27 02 39 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 09 01 40 39 68 1F 80 52 28 01 08 0A 0B 1D 00 53 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 42 00 80 D2 E1 23 02 91 E0 13 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 05 00 31 81 00 00 54 E0 3F 40 F9 E1 83 40 B9 D0 00 00 14 6B 00 00 14 ?? ?? ?? ?? E0 3B 00 F9 E8 07 40 F9 08 01 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 3B 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 68 0A 78 36 E8 07 40 F9 09 05 00 91 E8 2F 40 F9 3F 01 08 EB 02 02 00 54 42 00 80 D2 E1 07 40 F9 E0 13 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 05 00 31 81 00 00 54 E0 3F 40 F9 E1 83 40 B9 B2 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 3E 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 F9 00 91 E8 07 40 F9 08 01 C0 39 28 01 00 39 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 01 1E 32 0B 1D 00 53 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 E8 7F 40 B9 08 05 00 11 E8 7F 00 B9 E0 3F 40 F9 E1 83 40 B9 71 00 00 14 0C 00 00 14 22 00 80 D2 E1 07 40 F9 E0 13 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 05 00 31 81 00 00 54 E0 3F 40 F9 E1 83 40 B9 65 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 07 00 80 D2 06 00 80 D2 A5 00 80 52 E4 43 02 91 23 00 80 52 E2 13 00 91 01 00 80 52 E0 37 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 81 00 00 54 E0 3F 40 F9 E1 83 40 B9 4E 00 00 14 04 00 80 D2 E3 63 00 91 E2 17 40 B9 E1 43 02 91 E0 33 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 E8 7B 00 B9 E0 3F 40 F9 E1 83 40 B9 39 00 00 14 E9 07 40 F9 E8 2B 40 F9 28 01 08 CB 09 01 00 11 E8 83 40 B9 08 01 09 0B E8 7F 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B 82 00 00 54 E0 3F 40 F9 E1 83 40 B9 2B 00 00 14 E8 1B C0 39 08 01 00 11 1F 29 00 71 81 04 00 54 A8 01 80 52 E8 23 00 79 04 00 80 D2 E3 63 00 91 22 00 80 52 E1 43 00 91 E0 33 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E8 47 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 E8 7B 00 B9 E0 3F 40 F9 E1 83 40 B9 10 00 00 14 E8 1B 40 B9 1F 05 00 71 82 00 00 54 E0 3F 40 F9 E1 83 40 B9 0A 00 00 14 E8 83 40 B9 08 05 00 11 E8 83 00 B9 E8 7F 40 B9 08 05 00 11 E8 7F 00 B9 A5 FE FF 17 E0 3F 40 F9 E1 83 40 B9 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_2_0 {
	meta:
		name = "?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QEBDI@Z"
		size = 340
		refs = "0008 __security_push_cookie 007c _putwch_nolock 00ac __imp_GetLastError 0148 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 13 00 F9 E1 13 00 B9 08 00 80 52 E8 33 00 B9 E9 D3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E8 13 40 B9 09 7D 40 D3 E8 13 40 F9 08 01 09 8B E8 17 00 F9 E8 13 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E9 17 40 F9 E8 07 40 F9 1F 01 09 EB A2 06 00 54 E8 07 40 F9 08 01 40 79 E8 03 00 79 E0 03 40 79 ?? ?? ?? ?? E0 07 00 79 E9 07 40 79 29 01 00 11 E8 03 40 79 08 01 00 11 3F 01 08 6B A1 00 00 54 E8 37 40 B9 08 09 00 11 E8 37 00 B9 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 E8 33 00 B9 E0 1B 40 F9 E1 3B 40 B9 1E 00 00 14 E8 03 40 79 08 01 00 11 1F 29 00 71 E1 02 00 54 A0 01 80 52 ?? ?? ?? ?? E0 0B 00 79 E8 0B 40 79 08 01 00 11 1F 35 00 71 40 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 E8 33 00 B9 E0 1B 40 F9 E1 3B 40 B9 0A 00 00 14 E8 37 40 B9 08 05 00 11 E8 37 00 B9 E8 3B 40 B9 08 05 00 11 E8 3B 00 B9 C6 FF FF 17 E0 1B 40 F9 E1 3B 40 B9 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_3_0 {
	meta:
		name = "?write_requires_double_translation_nolock@@YA_NH@Z"
		size = 420
		refs = "0010 _isatty 0040 __pioinfo 0080 __acrt_getptd 0174 __imp_GetConsoleMode"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 5D 00 00 14 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 38 37 00 00 80 52 48 00 00 14 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 41 02 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 00 00 54 00 00 80 52 1D 00 00 14 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 E1 83 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_4_0 {
	meta:
		name = "?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 520
		refs = "0008 __security_push_cookie 0010 __chkstk 0038 __pioinfo 017c __imp_WriteFile 0198 __imp_GetLastError 01fc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? CF 28 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 13 00 B9 E1 1F 00 F9 E2 2B 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 2B 00 F9 E8 2B 40 B9 09 7D 40 D3 E8 1F 40 F9 08 01 09 8B E8 23 00 F9 08 00 80 52 E8 5B 00 B9 E9 73 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E8 1F 40 F9 E8 13 00 F9 E9 23 40 F9 E8 13 40 F9 1F 01 09 EB 02 0A 00 54 E9 A3 01 91 08 80 82 D2 28 01 08 8B 08 05 00 D1 E8 27 00 F9 E8 A3 01 91 E8 07 00 F9 E9 27 40 F9 E8 07 40 F9 1F 01 09 EB E2 03 00 54 E9 23 40 F9 E8 13 40 F9 1F 01 09 EB 62 03 00 54 E8 13 40 F9 08 01 C0 39 E8 03 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 03 C0 39 08 01 00 11 1F 29 00 71 41 01 00 54 E8 63 40 B9 08 05 00 11 E8 63 00 B9 E9 07 40 F9 A8 01 80 52 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E9 07 40 F9 E8 03 C0 39 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 DF FF FF 17 E9 07 40 F9 E8 A3 01 91 28 01 08 CB 08 01 00 11 E8 17 00 B9 04 00 80 D2 E3 63 00 91 E2 17 40 B9 E1 A3 01 91 E0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 E8 5B 00 B9 E0 2F 40 F9 E1 63 40 B9 0F 00 00 14 E9 5F 40 B9 E8 1B 40 B9 28 01 08 0B E8 5F 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B 82 00 00 54 E0 2F 40 F9 E1 63 40 B9 04 00 00 14 AE FF FF 17 E0 2F 40 F9 E1 63 40 B9 CF 28 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_5_0 {
	meta:
		name = "?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 540
		refs = "0008 __security_push_cookie 0010 __chkstk 0038 __pioinfo 0190 __imp_WriteFile 01ac __imp_GetLastError 0210 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? CF 28 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 13 00 B9 E1 1F 00 F9 E2 2B 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 2B 00 F9 E8 2B 40 B9 09 7D 40 D3 E8 1F 40 F9 08 01 09 8B E8 23 00 F9 08 00 80 52 E8 5B 00 B9 E9 73 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E8 1F 40 F9 E8 13 00 F9 E9 23 40 F9 E8 13 40 F9 1F 01 09 EB A2 0A 00 54 E9 A3 01 91 08 80 82 D2 28 01 08 8B 08 09 00 D1 E8 27 00 F9 E8 A3 01 91 E8 07 00 F9 E9 27 40 F9 E8 07 40 F9 1F 01 09 EB E2 03 00 54 E9 23 40 F9 E8 13 40 F9 1F 01 09 EB 62 03 00 54 E8 13 40 F9 08 01 40 79 E8 03 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 03 40 79 08 01 00 11 1F 29 00 71 41 01 00 54 E8 63 40 B9 08 09 00 11 E8 63 00 B9 E9 07 40 F9 A8 01 80 52 28 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E9 07 40 F9 E8 03 40 79 28 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 DF FF FF 17 E9 07 40 F9 E8 A3 01 91 28 01 08 CB 08 FD 41 93 08 01 00 11 09 7D 40 D3 48 00 80 D2 28 7D 08 9B 08 01 00 11 E8 17 00 B9 04 00 80 D2 E3 63 00 91 E2 17 40 B9 E1 A3 01 91 E0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 E8 5B 00 B9 E0 2F 40 F9 E1 63 40 B9 0F 00 00 14 E9 5F 40 B9 E8 1B 40 B9 28 01 08 0B E8 5F 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B 82 00 00 54 E0 2F 40 F9 E1 63 40 B9 04 00 00 14 A9 FF FF 17 E0 2F 40 F9 E1 63 40 B9 CF 28 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_6_0 {
	meta:
		name = "?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 664
		refs = "0008 __security_push_cookie 0010 __chkstk 0038 __pioinfo 0178 __imp_WideCharToMultiByte 019c __imp_GetLastError 0210 __imp_WriteFile 028c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 0F 29 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 23 00 B9 E1 27 00 F9 E2 27 00 B9 E8 23 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 23 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 37 00 F9 E8 27 40 B9 09 7D 40 D3 E8 27 40 F9 08 01 09 8B E8 2B 00 F9 08 00 80 52 E8 73 00 B9 E9 D3 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E8 27 40 F9 E8 0F 00 F9 E9 2B 40 F9 E8 0F 40 F9 1F 01 09 EB 82 0E 00 54 E8 03 02 91 08 A1 1A 91 E8 2F 00 F9 E8 03 02 91 E8 07 00 F9 E9 2F 40 F9 E8 07 40 F9 1F 01 09 EB 82 03 00 54 E9 2B 40 F9 E8 0F 40 F9 1F 01 09 EB 02 03 00 54 E8 0F 40 F9 08 01 40 79 E8 03 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 03 40 79 08 01 00 11 1F 29 00 71 E1 00 00 54 E9 07 40 F9 A8 01 80 52 28 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E9 07 40 F9 E8 03 40 79 28 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E2 FF FF 17 E9 07 40 F9 E8 03 02 91 28 01 08 CB 08 FD 41 93 08 01 00 11 E8 2B 00 B9 07 00 80 D2 06 00 80 D2 A5 AA 81 52 E4 C3 1C 91 E3 2B 40 B9 E2 03 02 91 01 00 80 52 20 BD 9F 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 E8 73 00 B9 E0 3B 40 F9 E1 7B 40 B9 32 00 00 14 08 00 80 52 E8 07 00 B9 E9 13 40 B9 E8 07 40 B9 1F 01 09 6B 82 04 00 54 E8 07 40 B9 09 7D 40 D3 E8 C3 1C 91 08 01 09 8B E8 33 00 F9 E9 13 40 B9 E8 07 40 B9 28 01 08 4B E8 37 00 B9 04 00 80 D2 E3 03 01 91 E2 37 40 B9 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 41 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 73 00 B9 E0 3B 40 F9 E1 7B 40 B9 0E 00 00 14 E9 07 40 B9 E8 43 40 B9 28 01 08 0B E8 07 00 B9 DA FF FF 17 E9 0F 40 F9 E8 27 40 F9 28 01 08 CB 08 01 00 11 E8 77 00 B9 8A FF FF 17 E0 3B 40 F9 E1 7B 40 B9 0F 29 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_246_7_0 {
	meta:
		name = "_write"
		size = 856
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1O@KOFKDHPL@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0254 __acrt_lowio_lock_fh 02e0 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0330 _write_nolock 0344 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 A0 13 00 B9 A1 43 00 F9 A2 37 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 BF 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 85 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 40 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 27 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 00 14 A2 37 40 B9 A1 43 40 F9 A0 13 40 B9 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 A8 27 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C9 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_246_9_0 {
	meta:
		name = "_write_nolock"
		size = 1740
		refs = "0008 __security_push_cookie 0064 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0088 _CrtDbgReportW 00b0 __doserrno 00c4 _errno 00e8 ??_C@_1BM@NCANHCIP@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00f8 _invalid_parameter 0118 __pioinfo 01a8 ??_C@_1CK@CPEAGIIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 02a0 _lseeki64_nolock 02c8 ?write_requires_double_translation_nolock@@YA_NH@Z 0320 ?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 0378 ?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QEBDI@Z 0454 ?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 04b0 ?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 050c ?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 0568 ?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 0608 __acrt_errno_map_os_error 06c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 05 D1 E0 07 00 B9 E1 1F 00 F9 E2 0B 00 B9 E8 0B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 A4 01 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 41 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 41 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 6F 01 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 E8 03 00 39 E8 03 C0 39 1F 09 00 71 80 00 00 54 E8 03 C0 39 1F 05 00 71 41 07 00 54 EA 0B 40 B9 49 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 42 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 42 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 1E 01 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 A8 00 28 36 42 00 80 52 01 00 80 D2 E0 07 40 B9 ?? ?? ?? ?? E8 1F 40 F9 E8 0F 00 F9 08 00 80 52 E8 E3 00 B9 E9 93 03 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 07 40 B9 ?? ?? ?? ?? E0 33 00 39 E8 33 40 39 08 01 00 11 1F 01 00 71 60 07 00 54 E8 03 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 00 01 00 54 E8 13 40 B9 1F 01 00 71 2D 06 00 54 E8 13 40 B9 1F 09 00 71 2D 03 00 54 2D 00 00 14 E2 0B 40 B9 E1 0F 40 F9 E0 07 40 B9 ?? ?? ?? ?? E1 8B 00 B9 E0 43 00 F9 EA C3 03 91 4A 01 00 91 E9 03 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 C3 03 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 16 00 00 14 E1 0B 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E1 9B 00 B9 E0 4B 00 F9 EA 03 04 91 4A 01 00 91 E9 43 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 03 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 7C 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 0A 38 36 E8 03 C0 39 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 60 06 00 54 E8 17 40 B9 1F 09 00 71 20 03 00 54 45 00 00 14 E2 0B 40 B9 E1 0F 40 F9 E0 07 40 B9 ?? ?? ?? ?? E1 AB 00 B9 E0 53 00 F9 EA 43 04 91 4A 01 00 91 E9 83 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 43 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 2E 00 00 14 E2 0B 40 B9 E1 0F 40 F9 E0 07 40 B9 ?? ?? ?? ?? E1 BB 00 B9 E0 5B 00 F9 EA 83 04 91 4A 01 00 91 E9 C3 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 83 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 17 00 00 14 E2 0B 40 B9 E1 0F 40 F9 E0 07 40 B9 ?? ?? ?? ?? E1 CB 00 B9 E0 63 00 F9 EA C3 04 91 4A 01 00 91 E9 03 03 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 C3 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 17 00 00 14 E2 0B 40 B9 E1 0F 40 F9 E0 07 40 B9 ?? ?? ?? ?? E1 DB 00 B9 E0 6B 00 F9 EA 03 05 91 4A 01 00 91 E9 43 03 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 83 03 91 4A 01 00 91 E9 03 05 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 E8 E7 40 B9 1F 01 00 71 81 07 00 54 E8 E3 40 B9 1F 01 00 71 60 02 00 54 E8 E3 40 B9 1F 15 00 71 81 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 E3 40 B9 28 01 00 B9 03 00 00 14 E0 E3 40 B9 ?? ?? ?? ?? 00 00 80 12 2B 00 00 14 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 01 30 36 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 69 00 71 61 00 00 54 00 00 80 52 11 00 00 14 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 88 03 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 08 00 80 52 28 01 00 B9 00 00 80 12 05 00 00 14 E9 E7 40 B9 E8 EB 40 B9 20 01 08 4B 00 00 00 11 FF 43 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_247_1_0 {
	meta:
		name = "?shortsort@@YAXPEAD0_KP6AHPEBX2@Z@Z"
		size = 240
		refs = "0080 __guard_check_icall_fptr 00c4 ?swap@@YAXPEAD0_K@Z 00e0 ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 30 00 80 92 B0 2F 00 F9 A0 1F 00 F9 A1 13 00 F9 A2 17 00 F9 A3 2B 00 F9 A8 43 00 91 A8 33 00 F9 A9 1F 40 F9 A8 13 40 F9 1F 01 09 EB 49 05 00 54 A8 1F 40 F9 A8 23 00 F9 A9 1F 40 F9 A8 17 40 F9 28 01 08 8B A8 0F 00 F9 05 00 00 14 A9 0F 40 F9 A8 17 40 F9 28 01 08 8B A8 0F 00 F9 A9 13 40 F9 A8 0F 40 F9 1F 01 09 EB 48 02 00 54 A8 2B 40 F9 A8 27 00 F9 AF 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A1 23 40 F9 A0 0F 40 F9 A8 27 40 F9 00 01 3F D6 A0 33 00 B9 A8 33 40 B9 1F 01 00 71 6D 00 00 54 A8 0F 40 F9 A8 23 00 F9 E8 FF FF 17 A2 17 40 F9 A1 13 40 F9 A0 23 40 F9 ?? ?? ?? ?? A9 13 40 F9 A8 17 40 F9 28 01 08 CB A8 13 00 F9 D4 FF FF 17 A0 43 00 91 ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_247_2_0 {
	meta:
		name = "?dtor$0@?0??shortsort@@YAXPEAD0_KP6AHPEBX2@Z@Z@4HA"
		size = 20
		refs = "0008 ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
		altNames = "?dtor$0@?0??shortsort_s@@YAXPEAD0_KP6AHPEAXPEBX3@ZQEAX@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 A0 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_247_3_0 {
	meta:
		name = "?swap@@YAXPEAD0_K@Z"
		size = 140
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 0B 00 F9 E2 0F 00 F9 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 40 03 00 54 E8 0F 40 F9 E8 13 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 13 40 F9 1F 01 00 F1 40 02 00 54 E8 07 40 F9 08 01 C0 39 E8 03 00 39 E9 07 40 F9 E8 0B 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E9 0B 40 F9 E8 03 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 FF FF 17 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_247_4_0 {
	meta:
		name = "qsort"
		size = 1972
		refs = "0008 __security_push_cookie 0060 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1M@INMHODIG@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA?$AA@ 00e0 _invalid_parameter 011c ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d8 ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02dc ?shortsort@@YAXPEAD0_KP6AHPEBX2@Z@Z 0310 __guard_check_icall_fptr 0348 ?swap@@YAXPEAD0_K@Z 07a8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 13 D1 E0 4B 00 F9 E1 47 00 F9 E2 17 00 F9 E3 1F 00 F9 E8 4B 40 F9 1F 01 00 F1 E1 00 00 54 E8 47 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 57 00 B9 03 00 00 14 28 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 00 14 E8 17 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 01 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 52 01 00 14 08 00 80 52 E8 03 00 B9 E8 47 40 F9 1F 09 00 F1 42 00 00 54 4C 01 00 14 E8 4B 40 F9 E8 13 00 F9 E8 47 40 F9 09 05 00 D1 E8 17 40 F9 09 7D 09 9B E8 4B 40 F9 08 01 09 8B E8 1B 00 F9 E9 1B 40 F9 E8 13 40 F9 29 01 08 CB E8 17 40 F9 48 00 00 B5 80 00 3E D4 28 09 C8 9A 08 05 00 91 E8 4F 00 F9 E8 4F 40 F9 1F 21 00 F1 E8 00 00 54 E3 1F 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? 1A 01 00 14 E9 4F 40 F9 48 00 80 D2 29 09 C8 9A E8 17 40 F9 29 7D 08 9B E8 13 40 F9 08 01 09 8B E8 0F 00 F9 E8 1F 40 F9 E8 53 00 F9 EF 53 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 13 40 F9 E8 53 40 F9 00 01 3F D6 E0 67 00 B9 E8 67 40 B9 1F 01 00 71 AD 00 00 54 E2 17 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 F9 E8 57 00 F9 EF 57 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 13 40 F9 E8 57 40 F9 00 01 3F D6 E0 6B 00 B9 E8 6B 40 B9 1F 01 00 71 AD 00 00 54 E2 17 40 F9 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 F9 E8 5B 00 F9 EF 5B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 1B 40 F9 E0 0F 40 F9 E8 5B 40 F9 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 AD 00 00 54 E2 17 40 F9 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 13 40 F9 E8 0B 00 F9 E8 1B 40 F9 E8 07 00 F9 E9 0B 40 F9 E8 0F 40 F9 1F 01 09 EB E9 02 00 54 E9 0B 40 F9 E8 17 40 F9 28 01 08 8B E8 0B 00 F9 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB E2 01 00 54 E8 1F 40 F9 E8 5F 00 F9 EF 5F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 0B 40 F9 E8 5F 40 F9 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 6D FD FF 54 E9 0B 40 F9 E8 0F 40 F9 1F 01 09 EB E8 02 00 54 E9 0B 40 F9 E8 17 40 F9 28 01 08 8B E8 0B 00 F9 E9 1B 40 F9 E8 0B 40 F9 1F 01 09 EB E8 01 00 54 E8 1F 40 F9 E8 63 00 F9 EF 63 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 0B 40 F9 E8 63 40 F9 00 01 3F D6 E0 77 00 B9 E8 77 40 B9 1F 01 00 71 6D FD FF 54 E9 07 40 F9 E8 17 40 F9 28 01 08 CB E8 07 00 F9 E9 0F 40 F9 E8 07 40 F9 1F 01 09 EB E9 01 00 54 E8 1F 40 F9 E8 67 00 F9 EF 67 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 07 40 F9 E8 67 40 F9 00 01 3F D6 E0 7B 00 B9 E8 7B 40 B9 1F 01 00 71 6C FD FF 54 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 42 00 00 54 0C 00 00 14 E2 17 40 F9 E1 07 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E9 07 40 F9 E8 0F 40 F9 1F 01 09 EB 61 00 00 54 E8 0B 40 F9 E8 0F 00 F9 A7 FF FF 17 E9 07 40 F9 E8 17 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 0F 40 F9 1F 01 09 EB E2 02 00 54 E9 07 40 F9 E8 17 40 F9 28 01 08 CB E8 07 00 F9 E9 0F 40 F9 E8 07 40 F9 1F 01 09 EB E9 01 00 54 E8 1F 40 F9 E8 6B 00 F9 EF 6B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 07 40 F9 E8 6B 40 F9 00 01 3F D6 E0 83 00 B9 E8 83 40 B9 1F 01 00 71 60 FD FF 54 E9 07 40 F9 E8 0F 40 F9 1F 01 09 EB E3 02 00 54 E9 07 40 F9 E8 17 40 F9 28 01 08 CB E8 07 00 F9 E9 13 40 F9 E8 07 40 F9 1F 01 09 EB E9 01 00 54 E8 1F 40 F9 E8 6F 00 F9 EF 6F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 0F 40 F9 E0 07 40 F9 E8 6F 40 F9 00 01 3F D6 E0 7F 00 B9 E8 7F 40 B9 1F 01 00 71 60 FD FF 54 E9 07 40 F9 E8 13 40 F9 2A 01 08 CB E9 1B 40 F9 E8 0B 40 F9 28 01 08 CB 5F 01 08 EB 0B 04 00 54 E9 07 40 F9 E8 13 40 F9 1F 01 09 EB 82 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 03 91 09 01 09 8B E8 13 40 F9 28 01 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 0B 91 09 01 09 8B E8 07 40 F9 28 01 00 F9 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 1B 40 F9 E8 0B 40 F9 1F 01 09 EB 82 00 00 54 E8 0B 40 F9 E8 13 00 F9 F5 FE FF 17 1F 00 00 14 E9 1B 40 F9 E8 0B 40 F9 1F 01 09 EB 82 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 03 91 09 01 09 8B E8 0B 40 F9 28 01 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 0B 91 09 01 09 8B E8 1B 40 F9 28 01 00 F9 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 07 40 F9 E8 13 40 F9 1F 01 09 EB 82 00 00 54 E8 07 40 F9 E8 1B 00 F9 D6 FE FF 17 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E8 03 40 B9 1F 01 00 71 4B 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 E3 03 91 08 01 09 8B 08 01 40 F9 E8 13 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 0B 91 08 01 09 8B 08 01 40 F9 E8 1B 00 F9 BF FE FF 17 FF 43 13 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_248_0_0 {
	meta:
		name = "acoshl"
		size = 320
		refs = "0010 _ldtest 0070 _fperrraise 0074 _LNan_C 00a4 _LEps_C 00e4 sqrtl 00fc log1pl 0114 logl 0120 ln2"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 0F 40 FD 3B 00 00 14 E8 3F 40 79 08 01 00 11 68 00 78 37 E0 0F 40 FD 36 00 00 14 11 10 6E 1E F0 0F 40 FD 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2D 00 00 14 2C 00 00 14 11 10 6E 1E F0 0F 40 FD 00 22 71 1E 81 00 00 54 20 05 00 5C 26 00 00 14 25 00 00 14 11 10 60 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E F0 0F 40 FD 00 22 71 1E C2 02 00 54 F1 0F 40 FD 10 10 6E 1E 30 3A 70 1E F0 13 00 FD F1 0F 40 FD 10 10 6E 1E 31 2A 70 1E F0 13 40 FD 00 0A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD F0 17 40 FD 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 0A 00 00 14 09 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 20 2A 70 1E 00 40 60 1E FD 7B C4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_543_0_0 {
	meta:
		name = "acosh"
		size = 320
		refs = "0010 _dtest 0070 _fperrraise 0074 _Nan_C 00a4 _Eps_C 00e4 sqrt 00fc log1p 0114 log 0120 ln2"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 0F 40 FD 3B 00 00 14 E8 3F 40 79 08 01 00 11 68 00 78 37 E0 0F 40 FD 36 00 00 14 11 10 6E 1E F0 0F 40 FD 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2D 00 00 14 2C 00 00 14 11 10 6E 1E F0 0F 40 FD 00 22 71 1E 81 00 00 54 20 05 00 5C 26 00 00 14 25 00 00 14 11 10 60 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E F0 0F 40 FD 00 22 71 1E C2 02 00 54 F1 0F 40 FD 10 10 6E 1E 30 3A 70 1E F0 13 00 FD F1 0F 40 FD 10 10 6E 1E 31 2A 70 1E F0 13 40 FD 00 0A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 17 00 FD F1 13 40 FD F0 17 40 FD 20 2A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 0A 00 00 14 09 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 20 2A 70 1E 00 40 60 1E FD 7B C4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "wcsncmp"
		size = 180
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 0B 00 F9 E2 07 00 F9 E8 07 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 23 00 00 14 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E8 07 40 F9 1F 01 00 F1 A0 02 00 54 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 02 00 54 E8 03 40 F9 09 01 40 79 29 01 00 11 E8 0B 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B 01 01 00 54 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E7 FF FF 17 E8 03 40 F9 09 01 40 79 29 01 00 11 E8 0B 40 F9 08 01 40 79 08 01 00 11 20 01 08 4B 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_250_1_0 {
	meta:
		name = "perror"
		size = 232
		refs = "0018 __acrt_lowio_lock_fh 0040 strlen 005c _write_nolock 0064 ??_C@_02LMMGGCAJ@?3?5?$AA@ 0074 _errno 008c _get_sys_err_msg 00c4 ??_C@_01EEMJAFIK@?6?$AA@ 00d8 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 0F 00 F9 48 00 80 52 A8 13 00 B9 40 00 80 52 ?? ?? ?? ?? A8 0F 40 F9 1F 01 00 F1 80 02 00 54 A8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 01 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 17 00 F9 A8 17 40 F9 02 01 00 11 42 00 00 11 A1 0F 40 F9 40 00 80 52 ?? ?? ?? ?? 42 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A0 1B 00 F9 A8 1B 40 F9 08 01 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 A8 13 00 F9 A0 13 40 F9 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 02 01 00 11 42 00 00 11 A1 13 40 F9 40 00 80 52 ?? ?? ?? ?? 22 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_250_2_0 {
	meta:
		name = "perror$fin$0"
		size = 28
		refs = "000c __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 40 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "__acrt_wcstok_s_novalidation"
		size = 436
	strings:
		$1 = { FF 43 01 D1 E0 0F 00 F9 E1 17 00 F9 E2 1B 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0F 40 F9 E8 13 00 F9 04 00 00 14 E8 1B 40 F9 08 01 40 F9 E8 13 00 F9 E8 13 40 F9 E8 03 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 03 00 54 E8 17 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 09 01 40 79 29 01 00 11 E8 03 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B 40 00 00 54 F0 FF FF 17 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 41 00 00 54 05 00 00 14 E8 03 40 F9 08 09 00 91 E8 03 00 F9 DE FF FF 17 E8 03 40 F9 E8 1F 00 F9 04 00 00 14 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 04 00 54 E8 17 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0B 40 F9 09 01 40 79 29 01 00 11 E8 03 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B 40 00 00 54 F0 FF FF 17 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 01 00 54 E9 03 40 F9 08 00 80 52 28 01 00 79 E8 03 40 F9 08 09 00 91 E8 03 00 F9 02 00 00 14 D8 FF FF 17 E9 1B 40 F9 E8 03 40 F9 28 01 00 F9 E9 1F 40 F9 E8 03 40 F9 1F 01 09 EB 80 00 00 54 E8 1F 40 F9 E8 23 00 F9 03 00 00 14 08 00 80 D2 E8 23 00 F9 E0 23 40 F9 FF 43 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_251_1_0 {
	meta:
		name = "wcstok_s"
		size = 644
		refs = "0048 ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GG@NMAMIMOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BC@DIFGONLO@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d8 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0270 __acrt_wcstok_s_novalidation"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 6B 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 3B 00 00 14 E8 27 40 F9 1F 01 00 F1 01 01 00 54 E8 1F 40 F9 08 01 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 07 00 00 14 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_313_1_0 {
	meta:
		name = "strtok_s"
		size = 644
		refs = "0048 ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GG@KPMDDGLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BC@LFCPBNCF@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d8 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0270 __acrt_strtok_s_novalidation"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 6B 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 3B 00 00 14 E8 27 40 F9 1F 01 00 F1 01 01 00 54 E8 1F 40 F9 08 01 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 07 00 00 14 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "atanh"
		size = 340
		refs = "0010 _dtest 0088 _fperrraise 008c _Nan_C 00c0 _Inf_C 010c log1p"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 03 00 00 14 E0 13 40 FD 42 00 00 14 F0 13 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 17 00 B9 F0 13 40 FD 10 42 61 1E F0 13 00 FD 03 00 00 14 08 00 80 52 E8 17 00 B9 F1 13 40 FD 10 10 6E 1E 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2E 00 00 14 2D 00 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 17 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 17 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E0 17 40 FD 1A 00 00 14 19 00 00 14 11 10 60 1E F0 13 40 FD 32 0A 70 1E 11 10 6E 1E F0 13 40 FD 30 3A 70 1E 40 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD 11 10 6C 1E F0 23 40 FD 30 0A 70 1E F0 1B 00 FD E8 17 40 B9 1F 01 00 71 A0 00 00 54 F0 1B 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 1B 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "atanhl"
		size = 340
		refs = "0010 _ldtest 0088 _fperrraise 008c _LNan_C 00c0 _LInf_C 010c log1pl"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 A0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 03 00 00 14 E0 13 40 FD 42 00 00 14 F0 13 40 FD 08 22 60 1E E2 00 00 54 28 00 80 52 E8 17 00 B9 F0 13 40 FD 10 42 61 1E F0 13 00 FD 03 00 00 14 08 00 80 52 E8 17 00 B9 F1 13 40 FD 10 10 6E 1E 00 22 71 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2E 00 00 14 2D 00 00 14 11 10 6E 1E F0 13 40 FD 00 22 71 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 17 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 17 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E0 17 40 FD 1A 00 00 14 19 00 00 14 11 10 60 1E F0 13 40 FD 32 0A 70 1E 11 10 6E 1E F0 13 40 FD 30 3A 70 1E 40 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD 11 10 6C 1E F0 23 40 FD 30 0A 70 1E F0 1B 00 FD E8 17 40 B9 1F 01 00 71 A0 00 00 54 F0 1B 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 1B 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "??$common_filelength@J@@YAJH@Z"
		size = 960
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 024c __acrt_lowio_lock_fh 02d8 ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0338 ??$lseek_nolock@AEBHHH@?$__crt_integer_traits@J@@SAJAEBH$$QEAH1@Z 03a8 ??$lseek_nolock@AEBHAEBJH@?$__crt_integer_traits@J@@SAJAEBHAEBJ$$QEAH@Z 03b0 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 13 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 DC 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 E3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A2 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 27 00 B9 03 00 00 14 08 00 80 52 A8 27 00 B9 A8 27 40 B9 A8 2B 00 B9 A8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 5D 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 1B 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 25 00 00 14 28 00 80 52 A8 3B 00 B9 08 00 80 52 A8 3F 00 B9 A2 E3 00 91 A1 F3 00 91 A0 43 00 91 ?? ?? ?? ?? A0 43 00 B9 A8 43 40 B9 A8 17 00 B9 A8 17 40 B9 1F 05 00 31 41 00 00 54 16 00 00 14 48 00 80 52 A8 47 00 B9 08 00 80 52 A8 4B 00 B9 A2 13 01 91 A1 23 01 91 A0 43 00 91 ?? ?? ?? ?? A0 4F 00 B9 A8 4F 40 B9 A8 1B 00 B9 A9 1B 40 B9 A8 17 40 B9 1F 01 09 6B E0 00 00 54 08 00 80 52 A8 53 00 B9 A2 43 01 91 A1 53 00 91 A0 43 00 91 ?? ?? ?? ?? A0 13 40 B9 ?? ?? ?? ?? A0 1B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_2_0 {
	meta:
		name = "??$common_filelength@_J@@YA_JH@Z"
		size = 960
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 024c __acrt_lowio_lock_fh 02d8 ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0338 ??$lseek_nolock@AEBHHH@?$__crt_integer_traits@_J@@SA_JAEBH$$QEAH1@Z 03a8 ??$lseek_nolock@AEBHAEB_JH@?$__crt_integer_traits@_J@@SA_JAEBHAEB_J$$QEAH@Z 03b0 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 A0 13 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 00 00 80 92 DC 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 E3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 A2 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 5D 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 92 A8 2B 00 F9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 25 00 00 14 28 00 80 52 A8 33 00 B9 08 00 80 52 A8 37 00 B9 A2 C3 00 91 A1 D3 00 91 A0 43 00 91 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 A8 27 00 F9 A8 27 40 F9 1F 05 00 B1 41 00 00 54 16 00 00 14 48 00 80 52 A8 3B 00 B9 08 00 80 52 A8 3F 00 B9 A2 E3 00 91 A1 F3 00 91 A0 43 00 91 ?? ?? ?? ?? A0 53 00 F9 A8 53 40 F9 A8 2B 00 F9 A9 2B 40 F9 A8 27 40 F9 1F 01 09 EB E0 00 00 54 08 00 80 52 A8 43 00 B9 A2 03 01 91 A1 23 01 91 A0 43 00 91 ?? ?? ?? ?? A0 13 40 B9 ?? ?? ?? ?? A0 2B 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_4_0 {
	meta:
		name = "??$lseek_nolock@AEBHAEBJH@?$__crt_integer_traits@J@@SAJAEBHAEBJ$$QEAH@Z"
		size = 64
		refs = "002c _lseek_nolock"
		altNames = "??$lseek_nolock@AEBHHH@?$__crt_integer_traits@J@@SAJAEBH$$QEAH1@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 B9 E8 17 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_5_0 {
	meta:
		name = "??$lseek_nolock@AEBHAEB_JH@?$__crt_integer_traits@_J@@SA_JAEBHAEB_J$$QEAH@Z"
		size = 64
		refs = "002c _lseeki64_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 0B 40 F9 02 01 40 B9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_253_7_0 {
	meta:
		name = "??$lseek_nolock@AEBHHH@?$__crt_integer_traits@_J@@SA_JAEBH$$QEAH1@Z"
		size = 72
		refs = "0034 _lseeki64_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 0F 00 F9 E8 0B 40 F9 08 01 40 B9 01 7D 40 93 E8 0F 40 F9 02 01 40 B9 21 00 00 91 E8 13 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_254_0_0 {
	meta:
		name = "_clrfp"
		size = 44
	strings:
		$1 = { FF 43 00 D1 28 44 3B D5 08 01 00 11 E8 03 00 B9 08 00 80 D2 28 44 1B D5 E8 03 40 B9 00 7D 40 D3 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_254_1_0 {
	meta:
		name = "_ctrlfp"
		size = 116
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 F9 09 44 3B D5 08 E0 93 D2 28 01 08 CA 08 01 00 11 E8 03 00 B9 E9 0B 40 F9 E8 07 40 F9 28 01 08 8A 0A 01 00 11 E8 07 40 F9 E8 03 28 AA 09 01 00 11 E8 03 40 B9 08 01 09 0A 48 01 08 2A E8 07 00 B9 E9 07 40 B9 08 E0 93 52 28 01 08 4A 08 7D 40 D3 08 44 1B D5 E8 03 40 B9 00 7D 40 D3 00 00 00 91 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_254_2_0 {
	meta:
		name = "_set_statfp"
		size = 40
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 28 44 3B D5 08 01 00 11 09 7D 40 93 E8 03 40 F9 28 01 08 AA 28 44 1B D5 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_254_3_0 {
	meta:
		name = "_statfp"
		size = 36
	strings:
		$1 = { FF 43 00 D1 28 44 3B D5 08 01 00 11 E8 03 00 B9 E8 03 40 B9 00 7D 40 D3 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_257_0_0 {
	meta:
		name = "_wcsset"
		size = 84
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 79 E8 0B 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E9 07 40 F9 E8 03 40 79 28 01 00 79 F5 FF FF 17 E0 0B 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_258_0_0 {
	meta:
		name = "strlen"
		size = 88
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 F6 FF FF 17 E9 07 40 F9 E8 0B 40 F9 28 01 08 CB 00 05 00 D1 00 00 00 91 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_260_0_0 {
	meta:
		name = "_Cbuild"
		size = 44
		altNames = "_LCbuild"
	strings:
		$1 = { FF 83 00 D1 E0 03 00 FD E1 07 00 FD F0 03 40 FD F0 0B 00 FD F0 07 40 FD F0 0F 00 FD E0 0B 40 FD E1 0F 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_260_1_0 {
	meta:
		name = "cproj"
		size = 280
		refs = "0018 creal 0030 cimag 0044 _dtest 00b0 _Zero_C 00d0 _Inf_C 00d8 _Cbuild"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E1 13 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 27 00 FD E1 13 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 17 00 FD E0 23 01 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 E8 2B 00 79 E0 A3 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 2F 00 79 E8 2B C0 79 08 01 00 11 1F 05 00 71 80 01 00 54 E8 2F C0 79 08 01 00 11 1F 05 00 71 00 01 00 54 EA 43 01 91 4A 01 00 91 E8 63 00 91 08 01 00 91 09 21 40 A9 49 21 00 A9 17 00 00 14 E8 5F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 1B 00 FD 03 00 00 14 70 02 00 5C F0 1B 00 FD E1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA 43 01 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_494_1_0 {
	meta:
		name = "cprojl"
		size = 280
		refs = "0018 creall 0030 cimagl 0044 _ldtest 00b0 _LZero_C 00d0 _LInf_C 00d8 _LCbuild"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E1 13 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 27 00 FD E1 13 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 17 00 FD E0 23 01 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 E8 2B 00 79 E0 A3 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 2F 00 79 E8 2B C0 79 08 01 00 11 1F 05 00 71 80 01 00 54 E8 2F C0 79 08 01 00 11 1F 05 00 71 00 01 00 54 EA 43 01 91 4A 01 00 91 E8 63 00 91 08 01 00 91 09 21 40 A9 49 21 00 A9 17 00 00 14 E8 5F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 1B 00 FD 03 00 00 14 70 02 00 5C F0 1B 00 FD E1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 37 00 FD E0 33 00 FD EA 43 01 91 4A 01 00 91 E8 83 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E0 2B 40 FD E1 2F 40 FD FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_262_0_0 {
	meta:
		name = "cos"
		size = 1168
		refs = "0078 val_with_flags 00bc cos_piby4 00f8 _handle_nan 012c ??_C@_03LALBNOCG@cos?$AA@ 0134 _handle_error 0218 ?twobypi@?7??cos@@9@9 023c ?piby2_1@?7??cos@@9@9 025c ?piby2_1tail@?7??cos@@9@9 02b0 ?piby2_2@?7??cos@@9@9 02d8 ?piby2_2tail@?7??cos@@9@9 031c ?piby2_3@?7??cos@@9@9 0344 ?piby2_3tail@?7??cos@@9@9 03b4 __remainder_piby2 0404 sin_piby4"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 3F 00 FD E8 3F 40 F9 E8 2B 00 F9 E8 2B 40 F9 08 F9 40 92 E8 13 00 F9 89 21 00 58 E8 13 40 F9 1F 01 09 EB E8 04 00 54 09 E4 E7 D2 E8 13 40 F9 1F 01 09 EB 82 03 00 54 09 C8 E7 D2 E8 13 40 F9 1F 01 09 EB C2 01 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 00 10 6E 1E FA 00 00 14 07 00 00 14 00 02 80 52 00 10 6E 1E ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD F3 00 00 14 0A 00 00 14 F1 0F 40 FD F0 0F 40 FD 31 0A 70 1E 10 10 6C 1E 31 0A 70 1E 10 10 6E 1E 00 3A 71 1E 00 40 60 1E E9 00 00 14 07 00 00 14 61 1D 00 5C E0 0F 40 FD ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD E2 00 00 14 1E 00 00 14 E8 2B 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 03 00 54 E8 2B 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 2B 40 F9 ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD D3 00 00 14 0F 00 00 14 26 00 80 52 81 1A 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 41 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD C4 00 00 14 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 6B 00 B9 E8 6B 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 11 17 00 5C F0 0F 40 FD 00 22 71 1E 82 10 00 54 E8 13 40 F9 08 FD 74 D3 E8 5B 00 F9 69 16 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 29 16 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 29 15 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 E9 14 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 1B 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 29 4C 92 09 FD 74 D3 E8 5B 40 F9 08 01 09 CB E8 3B 00 F9 E8 3B 40 F9 1F 3D 00 F1 89 06 00 54 F0 1B 40 FD F0 2F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2F 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2F 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD E8 3B 40 F9 1F C1 00 F1 29 03 00 54 F0 1B 40 FD F0 2F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2F 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2F 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD F1 1B 40 FD F0 17 40 FD 30 3A 70 1E F0 23 00 FD F1 1B 40 FD F0 23 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E F0 33 00 FD E8 13 40 B9 08 05 00 12 E8 4F 00 B9 06 00 00 14 E2 33 01 91 E1 83 01 91 E0 03 01 91 E0 0F 40 FD ?? ?? ?? ?? E8 4F 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 05 00 71 A0 01 00 54 E8 3B 40 B9 1F 09 00 71 40 02 00 54 E8 3B 40 B9 1F 0D 00 71 E0 02 00 54 E1 33 40 FD E0 23 40 FD ?? ?? ?? ?? E0 5F 00 FD E0 5F 40 FD 16 00 00 14 E1 33 40 FD E0 23 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD 00 42 61 1E 00 40 60 1E 0E 00 00 14 E1 33 40 FD E0 23 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD 00 42 61 1E 00 40 60 1E 06 00 00 14 E1 33 40 FD E0 23 40 FD ?? ?? ?? ?? E0 6B 00 FD E0 6B 40 FD FD 7B CE A8 C0 03 5F D6 18 2D 44 54 FB 21 E9 3F 00 00 00 00 00 00 00 00 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 }
	condition:
		$1
}

rule file_262_1_0 {
	meta:
		name = "cos_piby4"
		size = 244
		refs = "0070 ?c6@?1??cos_piby4@@9@9 007c ?c5@?1??cos_piby4@@9@9 0090 ?c4@?1??cos_piby4@@9@9 00a4 ?c3@?1??cos_piby4@@9@9 00b8 ?c2@?1??cos_piby4@@9@9 00cc ?c1@?1??cos_piby4@@9@9"
	strings:
		$1 = { FF C3 00 D1 E0 07 00 FD E1 13 00 FD F1 07 40 FD F0 07 40 FD 30 0A 70 1E F0 03 00 FD 11 10 6C 1E F0 03 40 FD 30 0A 70 1E F0 0B 00 FD 11 10 6E 1E F0 0B 40 FD 30 3A 70 1E F0 0F 00 FD 11 10 6E 1E F0 0F 40 FD 31 3A 70 1E F0 0B 40 FD 32 3A 70 1E F1 07 40 FD F0 13 40 FD 30 0A 70 1E 53 3A 70 1E F1 03 40 FD F0 03 40 FD 32 0A 70 1E F1 03 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 50 0A 70 1E 71 2A 70 1E F0 0F 40 FD 00 2A 71 1E 00 40 60 1E FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_262_3_0 {
	meta:
		name = "sin"
		size = 1360
		refs = "0078 val_with_flags 00c4 sin_piby4 0100 _handle_nan 0134 ??_C@_03BLEJJJBH@sin?$AA@ 013c _handle_error 0220 ?twobypi@?7??sin@@9@9 0244 ?piby2_1@?7??sin@@9@9 0264 ?piby2_1tail@?7??sin@@9@9 02b8 ?piby2_2@?7??sin@@9@9 02e0 ?piby2_2tail@?7??sin@@9@9 0324 ?piby2_3@?7??sin@@9@9 034c ?piby2_3tail@?7??sin@@9@9 03bc __remainder_piby2 0420 cos_piby4"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 3F 00 FD E8 3F 40 F9 E8 33 00 F9 E8 33 40 F9 08 F9 40 92 E8 13 00 F9 49 27 00 58 E8 13 40 F9 1F 01 09 EB 28 05 00 54 09 E4 E7 D2 E8 13 40 F9 1F 01 09 EB C2 03 00 54 09 C8 E7 D2 E8 13 40 F9 1F 01 09 EB C2 01 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 0F 40 FD 27 01 00 14 07 00 00 14 00 02 80 52 E0 0F 40 FD ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD 20 01 00 14 0C 00 00 14 F1 0F 40 FD F0 0F 40 FD 31 0A 70 1E F0 0F 40 FD 31 0A 70 1E D0 23 00 5C 31 0A 70 1E F0 0F 40 FD 00 3A 71 1E 00 40 60 1E 14 01 00 14 07 00 00 14 21 23 00 5C E0 0F 40 FD ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD 0D 01 00 14 1E 00 00 14 E8 33 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 03 00 54 E8 33 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 33 40 F9 ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD FE 00 00 14 0F 00 00 14 26 00 80 52 41 20 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 C1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD EF 00 00 14 E9 33 40 F9 E8 13 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD D1 1C 00 5C F0 0F 40 FD 00 22 71 1E 82 10 00 54 E8 13 40 F9 08 FD 74 D3 E8 5B 00 F9 29 1C 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 E9 1B 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 E9 1A 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 A9 1A 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 1F 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 29 4C 92 09 FD 74 D3 E8 5B 40 F9 08 01 09 CB E8 3B 00 F9 E8 3B 40 F9 1F 3D 00 F1 89 06 00 54 F0 1F 40 FD F0 37 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 37 40 FD F0 17 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 37 40 FD F0 1F 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD E8 3B 40 F9 1F C1 00 F1 29 03 00 54 F0 1F 40 FD F0 37 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 37 40 FD F0 17 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 37 40 FD F0 1F 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD F1 1F 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD F1 1F 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E F0 23 00 FD E8 13 40 B9 08 05 00 12 E8 4F 00 B9 06 00 00 14 E2 33 01 91 E1 03 01 91 E0 C3 00 91 E0 0F 40 FD ?? ?? ?? ?? E8 5B 40 B9 1F 01 00 71 20 05 00 54 E8 4F 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 05 00 71 E0 01 00 54 E8 4B 40 B9 1F 09 00 71 80 02 00 54 E8 4B 40 B9 1F 0D 00 71 E0 02 00 54 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD 00 42 61 1E 00 40 60 1E 3C 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD 00 42 61 1E 00 40 60 1E 34 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 67 00 FD E0 67 40 FD 2E 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 6B 00 FD E0 6B 40 FD 28 00 00 14 27 00 00 14 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 05 00 71 A0 01 00 54 E8 53 40 B9 1F 09 00 71 00 02 00 54 E8 53 40 B9 1F 0D 00 71 A0 02 00 54 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 6F 00 FD E0 6F 40 FD 16 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 73 00 FD E0 73 40 FD 10 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 77 00 FD F0 77 40 FD 00 42 61 1E 00 40 60 1E 08 00 00 14 E1 23 40 FD E0 1B 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD 00 42 61 1E 00 40 60 1E FD 7B D0 A8 C0 03 5F D6 1F 20 03 D5 18 2D 44 54 FB 21 E9 3F 55 55 55 55 55 55 C5 3F 00 00 00 00 00 00 00 00 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 }
	condition:
		$1
}

rule file_262_4_0 {
	meta:
		name = "sin_piby4"
		size = 284
		refs = "0030 ?c6@?1??sin_piby4@@9@9 003c ?c5@?1??sin_piby4@@9@9 0050 ?c4@?1??sin_piby4@@9@9 0064 ?c3@?1??sin_piby4@@9@9 0078 ?c2@?1??sin_piby4@@9@9 00a0 ?c1@?1??sin_piby4@@9@9"
	strings:
		$1 = { FF C3 00 D1 E0 07 00 FD E1 0B 00 FD F1 07 40 FD F0 07 40 FD 30 0A 70 1E F0 03 00 FD F1 03 40 FD F0 07 40 FD 30 0A 70 1E F0 0F 00 FD F1 03 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E F0 13 00 FD F0 0B 40 FD 08 22 60 1E C1 01 00 54 F1 03 40 FD F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 0F 40 FD 11 0A 71 1E F0 07 40 FD 00 2A 71 1E 00 40 60 1E 15 00 00 14 14 00 00 14 11 10 6C 1E F0 0B 40 FD 32 0A 70 1E F1 0F 40 FD F0 13 40 FD 30 0A 70 1E 51 3A 70 1E F0 03 40 FD 11 0A 71 1E F0 0B 40 FD 32 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 51 3A 70 1E F0 07 40 FD 00 3A 71 1E 00 40 60 1E FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "cexpl"
		size = 760
		refs = "0018 creall 0030 cimagl 0044 _ldtest 0158 _LZero_C 0184 cosl 01a0 sinl 01d0 _fperrraise 01dc _LNan_C 02a8 _ldexp 02d0 _LCbuild"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 27 00 FD E1 2B 00 FD E1 2B 40 FD E0 27 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 0F 00 FD E1 2B 40 FD E0 27 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 73 00 79 E8 73 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 77 00 79 E8 77 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 05 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 0F 40 FD F0 17 00 FD 87 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 C1 01 00 54 F0 0F 40 FD 08 22 60 1E C2 00 00 54 B0 10 00 5C F0 1B 00 FD 70 10 00 5C F0 17 00 FD 05 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 05 00 00 14 F0 13 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 6D 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 41 09 00 54 F0 0F 40 FD 08 22 60 1E 62 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 70 0D 00 5C F0 1B 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 03 00 00 14 30 0C 00 5C F0 23 00 FD F0 23 40 FD F0 17 00 FD 0F 00 00 14 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD 31 0B 00 5C F0 37 40 FD 30 0A 70 1E F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD 51 0A 00 5C F0 3B 40 FD 30 0A 70 1E F0 17 00 FD 24 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 01 00 54 20 00 80 52 ?? ?? ?? ?? F0 0F 40 FD F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD 18 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 0F 00 00 14 E0 13 40 FD ?? ?? ?? ?? E0 3F 00 FD F1 0F 40 FD F0 3F 40 FD 30 0A 70 1E F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 43 00 FD F1 0F 40 FD F0 43 40 FD 30 0A 70 1E F0 17 00 FD 20 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 41 01 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD 13 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 0F 40 FD F0 17 00 FD E0 13 40 FD ?? ?? ?? ?? E0 47 00 FD 01 00 80 52 E0 47 40 FD E0 C3 00 91 ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD 01 00 80 52 E0 4B 40 FD E0 A3 00 91 ?? ?? ?? ?? E1 17 40 FD E0 1B 40 FD ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_442_0_0 {
	meta:
		name = "cexp"
		size = 760
		refs = "0018 creal 0030 cimag 0044 _dtest 0158 _Zero_C 0184 cos 01a0 sin 01d0 _fperrraise 01dc _Nan_C 02a8 _dexp 02d0 _Cbuild"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 27 00 FD E1 2B 00 FD E1 2B 40 FD E0 27 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 0F 00 FD E1 2B 40 FD E0 27 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 73 00 79 E8 73 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 77 00 79 E8 77 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 05 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 0F 40 FD F0 17 00 FD 87 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 C1 01 00 54 F0 0F 40 FD 08 22 60 1E C2 00 00 54 B0 10 00 5C F0 1B 00 FD 70 10 00 5C F0 17 00 FD 05 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 05 00 00 14 F0 13 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 6D 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 41 09 00 54 F0 0F 40 FD 08 22 60 1E 62 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 70 0D 00 5C F0 1B 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 03 00 00 14 30 0C 00 5C F0 23 00 FD F0 23 40 FD F0 17 00 FD 0F 00 00 14 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD 31 0B 00 5C F0 37 40 FD 30 0A 70 1E F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD 51 0A 00 5C F0 3B 40 FD 30 0A 70 1E F0 17 00 FD 24 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 01 00 54 20 00 80 52 ?? ?? ?? ?? F0 0F 40 FD F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD 18 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 0F 40 FD F0 1B 00 FD F0 13 40 FD F0 17 00 FD 0F 00 00 14 E0 13 40 FD ?? ?? ?? ?? E0 3F 00 FD F1 0F 40 FD F0 3F 40 FD 30 0A 70 1E F0 1B 00 FD E0 13 40 FD ?? ?? ?? ?? E0 43 00 FD F1 0F 40 FD F0 43 40 FD 30 0A 70 1E F0 17 00 FD 20 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 41 01 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD 13 00 00 14 F0 0F 40 FD F0 1B 00 FD F0 0F 40 FD F0 17 00 FD E0 13 40 FD ?? ?? ?? ?? E0 47 00 FD 01 00 80 52 E0 47 40 FD E0 C3 00 91 ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD 01 00 80 52 E0 4B 40 FD E0 A3 00 91 ?? ?? ?? ?? E1 17 40 FD E0 1B 40 FD ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_265_1_0 {
	meta:
		name = "??$thread_start@P6AIPEAX@Z@@YAKQEAX@Z"
		size = 256
		refs = "0018 __imp_GetLastError 002c __imp_ExitThread 0040 __acrt_getptd 0058 __acrt_get_begin_thread_init_policy 0070 __acrt_RoInitialize 00cc ?invoke_thread_procedure@@YAIQ6AIPEAX@ZQEAX@Z 00d8 _endthreadex 00ec _exit"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 1F 00 F9 A8 1F 40 F9 1F 01 00 F1 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 23 00 B9 A0 23 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 1F 40 F9 A8 0F 00 F9 ?? ?? ?? ?? A0 27 00 F9 A8 27 40 F9 09 01 0F 91 A8 0F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 1F 09 00 71 21 02 00 54 20 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A8 2B 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 0F 40 F9 09 81 00 91 A8 17 40 B9 08 1D 00 53 28 01 00 39 A8 0F 40 F9 08 01 00 91 08 01 40 F9 A8 2B 00 F9 A8 0F 40 F9 08 21 00 91 01 01 40 F9 A0 2B 40 F9 ?? ?? ?? ?? A0 2F 00 B9 A0 2F 40 B9 ?? ?? ?? ?? 05 00 00 14 A0 13 00 B9 A0 13 40 B9 00 00 00 11 ?? ?? ?? ?? 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_265_3_0 {
	meta:
		name = "??$thread_start@P6AXPEAX@Z@@YAKQEAX@Z"
		size = 256
		refs = "0018 __imp_GetLastError 002c __imp_ExitThread 0040 __acrt_getptd 0058 __acrt_get_begin_thread_init_policy 0070 __acrt_RoInitialize 00cc ?invoke_thread_procedure@@YAIQ6AXPEAX@ZQEAX@Z 00d8 _endthreadex 00ec _exit"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 1F 00 F9 A8 1F 40 F9 1F 01 00 F1 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 23 00 B9 A0 23 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 1F 40 F9 A8 0F 00 F9 ?? ?? ?? ?? A0 27 00 F9 A8 27 40 F9 09 01 0F 91 A8 0F 40 F9 28 01 00 F9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 1F 09 00 71 21 02 00 54 20 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A8 2B 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 0F 40 F9 09 81 00 91 A8 17 40 B9 08 1D 00 53 28 01 00 39 A8 0F 40 F9 08 01 00 91 08 01 40 F9 A8 2B 00 F9 A8 0F 40 F9 08 21 00 91 01 01 40 F9 A0 2B 40 F9 ?? ?? ?? ?? A0 2F 00 B9 A0 2F 40 B9 ?? ?? ?? ?? 05 00 00 14 A0 13 00 B9 A0 13 40 B9 00 00 00 11 ?? ?? ?? ?? 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_265_2_0 {
	meta:
		name = "?filt$0@?0???$thread_start@P6AIPEAX@Z@@YAKQEAX@Z@4HA"
		size = 68
		refs = "002c _seh_filter_exe"
		altNames = "?filt$0@?0???$thread_start@P6AXPEAX@Z@@YAKQEAX@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 23 00 F9 A8 23 40 F9 08 01 40 F9 08 01 40 B9 A8 13 00 B9 A1 23 40 F9 A0 13 40 B9 21 00 00 91 00 00 00 11 ?? ?? ?? ?? A0 33 00 B9 A0 33 40 B9 00 00 00 11 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_10_0 {
	meta:
		name = "??Rthread_parameter_free_policy@?A0x4e93fcdd@@QEAAXQEAU__acrt_thread_parameter@@@Z"
		size = 140
		refs = "0040 __imp_CloseHandle 006c __imp_FreeLibrary 0080 _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 1A 00 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 08 41 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0B 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 08 61 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 41 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_11_0 {
	meta:
		name = "?common_end_thread@@YAXI@Z"
		size = 288
		refs = "000c __acrt_getptd_noexit 002c __imp_ExitThread 007c __acrt_RoUninitialize 00b4 __imp_CloseHandle 00f8 __imp_FreeLibraryAndExitThread"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 A1 00 00 54 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 08 01 0F 91 08 01 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A1 00 00 54 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0F 40 F9 08 81 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 ?? ?? ?? ?? E8 0F 40 F9 08 41 00 91 08 01 40 F9 1F 05 00 B1 80 01 00 54 E8 0F 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 08 41 00 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 05 00 B1 C0 01 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 20 01 00 54 E8 0F 40 F9 08 61 00 91 E1 13 40 B9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 05 00 00 14 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_12_0 {
	meta:
		name = "?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z"
		size = 300
		refs = "0014 ??_C@_0DC@EOJDPMNN@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0028 _calloc_dbg 0038 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAA@QEAU__acrt_thread_parameter@@@Z 004c ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAAPEAU__acrt_thread_parameter@@XZ 005c ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@QEAU__acrt_thread_parameter@@@Z 0068 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAA@XZ 0070 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ 0094 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@XZ 00a4 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBAPEAU__acrt_thread_parameter@@XZ 00f8 __imp_GetModuleHandleExW 0108 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAPEAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 13 00 F9 E1 37 00 F9 E4 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 05 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 2B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2B 40 F9 22 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 09 21 00 91 E8 37 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 02 61 00 91 42 00 00 91 E1 13 40 F9 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_16_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AIPEAX@ZQEAX@Z"
		size = 68
		refs = "001c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0F 00 F9 EF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 40 F9 E8 0F 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_17_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AXPEAX@ZQEAX@Z"
		size = 64
		refs = "001c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 E8 0B 00 F9 EF 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 40 F9 E8 0B 40 F9 00 01 3F D6 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_21_0 {
	meta:
		name = "_beginthread"
		size = 580
		refs = "0048 ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BK@LDJFDJGO@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 00c8 _invalid_parameter 00dc ?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z 00ec ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@QEAU__acrt_thread_parameter@@@Z 00f8 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ 011c ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@XZ 0134 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBAPEAU__acrt_thread_parameter@@XZ 0150 ??$thread_start@P6AXPEAX@Z@@YAKQEAX@Z 0160 __imp_CreateThread 0184 __imp_GetLastError 0198 __acrt_errno_map_os_error 01d4 __imp_ResumeThread 0224 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAPEAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 27 00 F9 E1 37 00 B9 E2 2F 00 F9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 5B 00 00 14 E1 2F 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 46 00 00 14 08 00 80 52 E8 3B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 37 40 B9 01 7D 40 D3 E5 E3 00 91 84 00 80 52 E3 3B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 21 00 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 F9 E8 3F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E0 3F 40 B9 ?? ?? ?? ?? 08 00 80 92 E8 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 40 F9 23 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 09 41 00 91 E8 17 40 F9 28 01 00 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 1F 05 00 31 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E0 47 40 B9 ?? ?? ?? ?? 08 00 80 92 E8 4B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 F9 08 00 00 14 E0 63 00 91 ?? ?? ?? ?? E8 17 40 F9 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_22_0 {
	meta:
		name = "_beginthreadex"
		size = 500
		refs = "0054 ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BO@FIKPNENM@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAe?$AAx?$AA?$AA@ 00d4 _invalid_parameter 00e8 ?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z 00f8 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@QEAU__acrt_thread_parameter@@@Z 0104 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBA_NXZ 0128 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@XZ 0138 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEBAPEAU__acrt_thread_parameter@@XZ 0154 ??$thread_start@P6AIPEAX@Z@@YAKQEAX@Z 0164 __imp_CreateThread 0188 __imp_GetLastError 019c __acrt_errno_map_os_error 01d4 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAPEAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 43 00 F9 E1 2F 00 B9 E2 23 00 F9 E3 33 00 F9 E4 33 00 B9 E5 27 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 44 00 00 14 E1 33 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 40 F9 2F 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 2F 40 B9 01 7D 40 D3 E5 E3 00 91 E4 33 40 B9 E3 3F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 21 00 00 91 E0 43 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 F9 E8 47 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E0 37 40 B9 ?? ?? ?? ?? 08 00 80 D2 E8 4B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 F9 0E 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 E8 3B 40 B9 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E8 2B 40 F9 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_265_24_0 {
	meta:
		name = "_endthreadex"
		size = 28
		refs = "0010 ?common_end_thread@@YAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_266_0_0 {
	meta:
		name = "cacoshf"
		size = 1340
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 00ac _FInf_C 015c pi3by4 016c piby4 0188 pi 01e4 piby2 022c _FCbuild 0240 csqrtf 031c big 040c asinhf 043c logf 04e4 atan2f"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 53 00 BD E1 57 00 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 8B 00 BD F0 8B 40 BD F0 23 00 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 8F 00 BD F0 8F 40 BD F0 17 00 BD E0 83 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 53 00 79 E0 53 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 3B 00 79 E8 53 C0 79 08 01 00 11 1F 09 00 71 21 03 00 54 E8 3B C0 79 08 01 00 11 1F 09 00 71 C1 00 00 54 F0 23 40 BD F0 1B 00 BD F0 17 40 BD F0 13 00 BD 0F 00 00 14 E8 3B C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 BD F0 23 40 BD F0 13 00 BD 05 00 00 14 F0 23 40 BD F0 1B 00 BD F0 23 40 BD F0 13 00 BD 10 01 00 14 E8 3B C0 79 08 01 00 11 1F 09 00 71 01 02 00 54 E8 53 C0 79 08 01 00 11 1F 05 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 BD F0 17 40 BD F0 13 00 BD 05 00 00 14 F0 17 40 BD F0 1B 00 BD F0 17 40 BD F0 13 00 BD FD 00 00 14 E8 53 C0 79 08 01 00 11 1F 05 00 71 61 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 BD E8 3B C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 F0 23 40 BD 08 22 20 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 BD 0A 00 00 14 F0 23 40 BD 08 22 20 1E A2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 00 BD 03 00 00 14 10 1D 00 1C F0 13 00 BD E8 2F 40 79 08 01 00 11 88 00 78 36 F0 13 40 BD 10 42 21 1E F0 13 00 BD D7 00 00 14 E8 3B C0 79 08 01 00 11 1F 05 00 71 41 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 00 BD F0 17 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 47 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 47 00 BD F0 47 40 BD F0 13 00 BD C2 00 00 14 F0 17 40 BD 01 42 21 1E F1 23 40 BD 10 10 2E 1E 20 3A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 9F 00 BD E0 9B 00 BD E1 9F 40 BD E0 9B 40 BD ?? ?? ?? ?? E1 C7 00 BD E0 C3 00 BD E9 63 01 91 29 01 00 91 E8 03 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 F1 23 40 BD 10 10 2E 1E 20 2A 30 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 A7 00 BD E0 A3 00 BD E1 A7 40 BD E0 A3 40 BD ?? ?? ?? ?? E1 CF 00 BD E0 CB 00 BD E9 83 01 91 29 01 00 91 E8 23 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E1 5F 40 BD E0 5B 40 BD ?? ?? ?? ?? E0 93 00 BD F0 93 40 BD F0 33 00 BD E1 5F 40 BD E0 5B 40 BD ?? ?? ?? ?? E0 6B 00 BD F0 6B 40 BD F0 2F 00 BD E1 67 40 BD E0 63 40 BD ?? ?? ?? ?? E0 6F 00 BD F0 6F 40 BD F0 3B 00 BD E1 67 40 BD E0 63 40 BD ?? ?? ?? ?? E0 73 00 BD F0 73 40 BD F0 37 00 BD 28 00 80 52 E8 4B 00 B9 F1 33 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 33 40 BD F0 27 00 BD F1 3B 40 BD F0 27 40 BD 31 1A 30 1E F0 2F 40 BD 11 0A 31 1E F0 37 40 BD 10 3A 31 1E F0 3F 00 BD 2D 00 00 14 F1 2F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 2F 40 BD F0 27 00 BD F1 37 40 BD F0 27 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 3B 40 BD 30 3A 30 1E F0 3F 00 BD 1D 00 00 14 F0 2F 40 BD 11 42 21 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E A2 01 00 54 F0 2F 40 BD 10 42 21 1E F0 27 00 BD F1 37 40 BD F0 27 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 3B 40 BD 30 3A 30 1E F0 3F 00 BD 0B 00 00 14 D0 0A 00 1C F0 27 00 BD F1 33 40 BD F0 37 40 BD 32 0A 30 1E F1 2F 40 BD F0 3B 40 BD 30 0A 30 1E 50 3A 30 1E F0 3F 00 BD E0 3F 40 BD ?? ?? ?? ?? E0 77 00 BD F0 77 40 BD F0 1B 00 BD F0 27 40 BD 08 22 20 1E 41 00 00 54 13 00 00 14 F0 1B 40 BD 08 22 20 1E 2B 01 00 54 E0 27 40 BD ?? ?? ?? ?? E0 7B 00 BD F1 1B 40 BD F0 7B 40 BD 30 2A 30 1E F0 1B 00 BD 08 00 00 14 E0 27 40 BD ?? ?? ?? ?? E0 7F 00 BD F1 1B 40 BD F0 7F 40 BD 30 3A 30 1E F0 1B 00 BD E8 2F 40 79 08 01 00 11 A8 00 78 36 F0 17 40 BD 10 42 21 1E F0 17 00 BD 03 00 00 14 08 00 80 52 E8 4B 00 B9 F1 23 40 BD 10 10 2E 1E 20 3A 30 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 AF 00 BD E0 AB 00 BD E1 AF 40 BD E0 AB 40 BD ?? ?? ?? ?? E1 B7 00 BD E0 B3 00 BD E1 B7 40 BD E0 B3 40 BD ?? ?? ?? ?? E0 83 00 BD E1 37 40 BD E0 83 40 BD ?? ?? ?? ?? E0 87 00 BD 11 10 20 1E F0 87 40 BD 30 0A 30 1E F0 13 00 BD E8 4B 40 B9 1F 01 00 71 80 00 00 54 F0 13 40 BD 10 42 21 1E F0 13 00 BD E1 13 40 BD E0 1B 40 BD ?? ?? ?? ?? E1 BF 00 BD E0 BB 00 BD E0 BB 40 BD E1 BF 40 BD FD 7B CD A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "__p___mb_cur_max"
		size = 76
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 00 21 00 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_268_7_0 {
	meta:
		name = "_access_s"
		size = 188
		refs = "0024 _waccess_s 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 13 00 B9 E8 1F 40 F9 1F 01 00 F1 E1 00 00 54 E1 13 40 B9 00 00 80 D2 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 21 00 00 14 01 00 80 D2 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 2B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2B 40 B9 0D 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 13 40 B9 E0 27 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 33 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_609_6_0 {
	meta:
		name = "_chmod"
		size = 188
		refs = "0024 _wchmod 003c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0048 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 0058 __acrt_copy_path_to_wide_string 0078 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0088 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 13 00 B9 E8 1F 40 F9 1F 01 00 F1 E1 00 00 54 E1 13 40 B9 00 00 80 D2 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 21 00 00 14 01 00 80 D2 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 2B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2B 40 B9 0D 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 13 40 B9 E0 27 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 33 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "??$common_difftime@J@@YANJJ@Z"
		size = 104
		refs = "0028 _errno"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 17 00 B9 E8 17 40 B9 1F 01 00 71 8B 00 00 54 E8 13 40 B9 1F 01 00 71 0A 01 00 54 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 C8 02 80 52 28 01 00 B9 20 01 00 5C 06 00 00 14 E9 13 40 B9 E8 17 40 B9 28 01 08 4B 00 01 62 1E 00 40 60 1E FD 7B C2 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_269_1_0 {
	meta:
		name = "??$common_difftime@_J@@YAN_J0@Z"
		size = 104
		refs = "0028 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 8B 00 00 54 E8 0B 40 F9 1F 01 00 F1 0A 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 20 01 00 5C 06 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 00 01 62 9E 00 40 60 1E FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_269_2_0 {
	meta:
		name = "_difftime32"
		size = 44
		refs = "0018 ??$common_difftime@J@@YANJJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_4_0 {
	meta:
		name = "?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 00 C1 00 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_5_0 {
	meta:
		name = "?check_block@@YA_NQEAU_CrtMemBlockHeader@@@Z"
		size = 1232
		refs = "002c ?is_block_type_valid@@YA_NH@Z 0060 ?block_use_names@@3QBQEBDB 0078 ??_C@_07OHKEFPKJ@DAMAGED?$AA@ 0098 ?check_bytes@@YA_NQEBEE_K@Z 00c8 ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 0104 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 011c _CrtDbgReport 015c ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0230 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 0288 ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 034c ??_C@_0KA@IHNJJKPL@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 0394 ??_C@_0IC@BBJIOOJH@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 0434 ??_C@_0EG@DGJMPDBH@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@ 048c ??_C@_0CI@JMLBEDHJ@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 FF 43 00 D1 E0 17 00 F9 28 00 80 52 E8 83 00 39 08 00 80 D2 E8 1F 00 F9 E8 17 40 F9 08 71 00 91 00 01 40 B9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E8 17 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 E8 1F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1F 00 F9 E8 17 40 F9 00 B1 00 91 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 61 07 00 54 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 E0 03 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 33 00 F9 E8 17 40 F9 0B 61 00 91 E8 17 40 F9 0A 41 00 91 E8 17 40 F9 09 A1 00 91 68 01 40 B9 E8 0B 00 B9 48 01 40 F9 E8 03 00 F9 E7 33 40 F9 26 01 40 B9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 16 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 17 40 F9 08 A1 00 91 E7 37 40 F9 06 01 40 B9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 E8 83 00 39 E0 17 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 17 40 F9 08 81 00 91 E9 3B 40 F9 08 01 40 F9 20 01 08 8B 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 61 07 00 54 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 E0 03 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 17 40 F9 0B 61 00 91 E8 17 40 F9 0A 41 00 91 E8 17 40 F9 09 A1 00 91 68 01 40 B9 E8 0B 00 B9 48 01 40 F9 E8 03 00 F9 E7 3F 40 F9 26 01 40 B9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 16 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 17 40 F9 08 A1 00 91 E7 43 40 F9 06 01 40 B9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 E8 83 00 39 E8 17 40 F9 08 71 00 91 08 01 40 B9 1F 01 00 71 E1 07 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 17 40 F9 08 81 00 91 02 01 40 F9 A1 1B 80 52 E0 47 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 21 06 00 54 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 20 03 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 17 40 F9 09 61 00 91 E8 17 40 F9 08 41 00 91 27 01 40 B9 06 01 40 F9 E5 4B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 12 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E5 4F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 E8 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 21 07 00 54 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 E0 03 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 17 40 F9 0B 61 00 91 E8 17 40 F9 0A 41 00 91 E8 17 40 F9 09 81 00 91 68 01 40 B9 E8 0B 00 B9 48 01 40 F9 E8 03 00 F9 27 01 40 F9 E6 53 40 F9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 16 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 57 00 F9 E8 17 40 F9 08 81 00 91 07 01 40 F9 E6 57 40 F9 E5 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 83 40 39 FF 43 00 91 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_6_0 {
	meta:
		name = "?check_bytes@@YA_NQEBEE_K@Z"
		size = 124
	strings:
		$1 = { FF C3 00 D1 E0 0B 00 F9 E1 03 00 39 E2 0F 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 8B E8 13 00 F9 E8 0B 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E9 13 40 F9 E8 07 40 F9 1F 01 09 EB 60 01 00 54 E8 07 40 F9 09 01 40 39 29 01 00 11 E8 03 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 03 00 00 14 F0 FF FF 17 20 00 80 52 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_7_0 {
	meta:
		name = "?dump_all_object_since_nolock@@YAXQEBU_CrtMemState@@@Z"
		size = 1184
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0034 ??_C@_0BE@KCIPKCIA@Dumping?5objects?5?9?$DO?6?$AA@ 003c ??_C@_02DKCKIIND@?$CFs?$AA@ 0054 _CrtDbgReport 00a0 ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 012c _crtDbgFlag 0164 _CrtIsValidPointer 0188 ?is_bad_read_pointer@@YA_NQEBX_K@Z 01ac ??_C@_0BE@OIEFNFL@?$CDFile?5Error?$CD?$CI?$CFd?$CJ?5?3?5?$AA@ 01fc ??_C@_0L@JMEFFCCJ@?$CFhs?$CI?$CFd?$CJ?5?3?5?$AA@ 023c ??_C@_06PKLGBFGM@?$HL?$CFld?$HN?5?$AA@ 028c ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 02bc ??_C@_0DD@GHNAAKBB@client?5block?5at?50x?$CFp?0?5subtype?5?$CFx@ 02f0 _pfnDumpClient 0358 __guard_check_icall_fptr 0380 ?print_block_data@@YAXQEAU__crt_locale_pointers@@QEAU_CrtMemBlockHeader@@@Z 03b8 ??_C@_0CH@FAGDDGPN@normal?5block?5at?50x?$CFp?0?5?$CFIu?5bytes?5@ 0448 ??_C@_0DA@MDLBNIBM@crt?5block?5at?50x?$CFp?0?5subtype?5?$CFx?0?5?$CF@ 0490 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B B4 A9 FD 03 00 91 E0 27 00 F9 01 00 80 D2 E0 83 02 91 ?? ?? ?? ?? E0 4F 00 F9 E0 83 02 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 23 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 F9 1F 01 00 F1 C0 00 00 54 E8 27 40 F9 08 01 00 91 08 01 40 F9 E8 2B 00 F9 03 00 00 14 08 00 80 D2 E8 2B 00 F9 E8 2B 40 F9 E8 37 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 00 F9 05 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 20 1E 00 54 E9 37 40 F9 E8 0B 40 F9 1F 01 09 EB A0 1D 00 54 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 0D 00 71 41 00 00 54 EF FF FF 17 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 01 00 71 41 00 00 54 E8 FF FF 17 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 09 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 48 00 20 37 DE FF FF 17 E8 0B 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 20 07 00 54 E8 0B 40 F9 08 41 00 91 02 00 80 52 21 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 60 01 00 54 E8 0B 40 F9 08 41 00 91 21 00 80 D2 00 01 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 E8 0B 40 F9 08 61 00 91 05 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 14 00 00 14 E8 0B 40 F9 09 61 00 91 E8 0B 40 F9 08 41 00 91 26 01 40 B9 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 A1 00 91 05 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 11 00 71 21 08 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 0B 40 F9 09 81 00 91 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 7D 10 13 06 3D 00 12 27 01 40 F9 C6 00 00 11 E5 3B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 03 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 0B 40 F9 08 81 00 91 01 01 40 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 41 02 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 0B 40 F9 13 81 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E8 2F 00 F9 EF 2F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 61 02 40 F9 E0 43 40 F9 E8 2F 40 F9 00 01 3F D6 04 00 00 14 E1 0B 40 F9 E0 23 40 F9 ?? ?? ?? ?? 41 00 00 14 E8 0B 40 F9 08 71 00 91 08 01 40 B9 1F 05 00 71 21 03 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 0B 40 F9 08 81 00 91 06 01 40 F9 E5 47 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 0B 40 F9 E0 23 40 F9 ?? ?? ?? ?? 24 00 00 14 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 09 00 71 C1 03 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 0B 40 F9 09 81 00 91 E8 0B 40 F9 08 71 00 91 08 01 40 B9 08 7D 10 13 06 3D 00 12 27 01 40 F9 C6 00 00 11 E5 4B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 0B 40 F9 E0 23 40 F9 ?? ?? ?? ?? 0A FF FF 17 E0 83 02 91 ?? ?? ?? ?? FD 7B CC A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_8_0 {
	meta:
		name = "?free_dbg_nolock@@YAXQEAXH@Z"
		size = 2028
		refs = "0014 ?validate_heap_if_required_nolock@@YAXXZ 0038 ?is_block_an_aligned_allocation@@YA_NQEBX@Z 0054 ??_C@_0EJ@HEIBCIMJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 006c _CrtDbgReport 0088 _errno 00a0 _pfnAllocHook 00c0 __guard_check_icall_fptr 0100 ??_C@_0BL@KEIPLFAC@Client?5hook?5free?5failure?4?6?$AA@ 0108 ??_C@_02DKCKIIND@?$CFs?$AA@ 0144 _CrtIsValidHeapPointer 0158 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0170 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 017c _CrtDbgReportW 019c ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 01b8 ?is_block_type_valid@@YA_NH@Z 01d0 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0210 _crtDbgFlag 0230 ?check_bytes@@YA_NQEBEE_K@Z 0260 ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 029c ?block_use_names@@3QBQEBDB 02c4 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0344 ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0438 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 04b8 ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 052c ??_C@_1OK@GFEOEJAF@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm@ 0588 memset 0590 _free_base 05d0 ??_C@_1ME@GFALMLNA@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5@ 0618 ?__acrt_current_allocations@@3_KA 0678 ?__acrt_last_block@@3PEAU_CrtMemBlockHeader@@EA 0688 ??_C@_1DI@ILNOPEPI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@ 0718 ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 0728 ??_C@_1DK@KEHFGDIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 FF 43 00 D1 E0 1B 00 F9 E1 2F 00 B9 ?? ?? ?? ?? E8 1B 40 F9 1F 01 00 F1 41 00 00 54 EE 01 00 14 E8 2F 40 B9 1F 05 00 71 81 03 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E5 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 D0 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 A0 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 3B 00 F9 EF 3B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 06 00 80 52 05 00 80 D2 04 00 80 52 E3 2F 40 B9 02 00 80 D2 E1 1B 40 F9 60 00 80 52 E8 3B 40 F9 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 01 00 14 E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 71 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 13 00 F9 E8 13 40 F9 08 71 00 91 00 01 40 B9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 71 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? A8 16 10 37 E8 13 40 F9 00 B1 00 91 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E8 13 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 20 05 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 13 40 F9 0C 61 00 91 E8 13 40 F9 0B 41 00 91 E8 13 40 F9 0A A1 00 91 E8 13 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B 88 01 40 B9 E8 0B 00 B9 68 01 40 F9 E8 03 00 F9 E7 47 40 F9 46 01 40 B9 25 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 20 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 13 40 F9 0A A1 00 91 E8 13 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E7 4B 40 F9 46 01 40 B9 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 13 40 F9 08 81 00 91 E9 4F 40 F9 08 01 40 F9 20 01 08 8B 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E8 13 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 20 05 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 13 40 F9 0C 61 00 91 E8 13 40 F9 0B 41 00 91 E8 13 40 F9 0A A1 00 91 E8 13 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B 88 01 40 B9 E8 0B 00 B9 68 01 40 F9 E8 03 00 F9 E7 53 40 F9 46 01 40 B9 25 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 20 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 F9 E8 13 40 F9 0A A1 00 91 E8 13 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E7 57 40 F9 46 01 40 B9 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 71 00 91 08 01 40 B9 1F 0D 00 71 E1 04 00 54 E8 13 40 F9 08 61 00 91 09 17 00 18 08 01 40 B9 1F 01 09 6B C1 00 00 54 E8 13 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 78 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 81 00 91 08 01 40 F9 02 D1 00 91 42 00 00 91 A1 1B 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? 92 00 00 14 E8 13 40 F9 08 71 00 91 E9 2F 40 B9 08 01 40 B9 1F 01 09 6B 20 03 00 54 E8 13 40 F9 08 71 00 91 08 01 40 B9 1F 09 00 71 81 00 00 54 E8 2F 40 B9 1F 05 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 79 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 0A 81 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 29 01 08 CB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 88 0B 08 37 E8 13 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 08 01 00 91 08 01 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 1B 00 00 14 E9 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 7B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 21 00 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 13 40 F9 0A 01 00 91 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 1B 00 00 14 E9 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 7C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 01 00 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 81 00 91 08 01 40 F9 02 D1 00 91 42 00 00 91 A1 1B 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? 0E 00 00 14 E8 13 40 F9 09 71 00 91 08 00 80 52 28 01 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 13 40 F9 08 81 00 91 02 01 40 F9 A1 1B 80 52 E0 5B 40 F9 ?? ?? ?? ?? FF 43 00 91 FD 7B CB A8 C0 03 5F D6 BC BA DC FE }
	condition:
		$1
}

rule file_270_9_0 {
	meta:
		name = "?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 00 C1 00 D1 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_10_0 {
	meta:
		name = "?heap_alloc_dbg@@YAPEAX_KHQEBDH@Z"
		size = 224
		refs = "0018 _query_new_mode 0058 ?heap_alloc_dbg_internal@@YAPEAX_KHQEBDH@Z 0090 _callnewh 00a4 _errno"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 B9 E2 23 00 F9 E3 1B 00 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E3 1B 40 B9 E2 23 40 F9 E1 1F 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 18 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 E9 1F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 02 00 00 14 DD FF FF 17 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_11_0 {
	meta:
		name = "?heap_alloc_dbg_internal@@YAPEAX_KHQEBDH@Z"
		size = 1248
		refs = "0024 __acrt_lock 0028 ?validate_heap_if_required_nolock@@YAXXZ 002c ?__acrt_current_request_number@@3JA 0038 _crtBreakAlloc 0060 _pfnAllocHook 0080 __guard_check_icall_fptr 00d4 ??_C@_0DF@BBEGIFEK@Client?5hook?5allocation?5failure?5a@ 00ec _CrtDbgReport 010c ??_C@_0CB@CCLOLAHO@Client?5hook?5allocation?5failure?4?6@ 0114 ??_C@_02DKCKIIND@?$CFs?$AA@ 015c _crtDbgFlag 0190 _errno 01c0 ?is_block_type_valid@@YA_NH@Z 01d8 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 0228 __acrt_heap 0230 __imp_HeapAlloc 031c ?__acrt_total_allocations@@3_KA 035c ?__acrt_current_allocations@@3_KA 0374 ?__acrt_max_allocations@@3_KA 039c ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 03c4 ?__acrt_last_block@@3PEAU_CrtMemBlockHeader@@EA 0464 memset 046c ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 04c4 __acrt_unlock"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 A0 17 00 F9 A1 33 00 B9 A2 23 00 F9 A3 37 00 B9 08 00 80 D2 A8 3B 00 F9 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 3B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 3B 40 B9 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 00 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 2F 00 F9 AF 2F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A6 37 40 B9 A5 23 40 F9 A4 3B 40 B9 A3 33 40 B9 A2 17 40 F9 01 00 80 D2 20 00 80 52 A8 2F 40 F9 00 01 3F D6 A0 4B 00 B9 A8 4B 40 B9 1F 01 00 71 81 04 00 54 A8 23 40 F9 1F 01 00 F1 20 02 00 54 A6 37 40 B9 A5 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 4F 00 B9 A9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 53 00 B9 A9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 DE 00 00 14 A8 33 40 B9 08 3D 00 12 1F 09 00 71 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 88 00 00 37 28 00 80 52 A8 43 00 39 03 00 00 14 08 00 80 52 A8 43 00 39 A8 43 40 39 A8 87 00 39 A8 17 40 F9 1F 51 01 B1 89 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A8 3F 40 F9 A8 33 00 F9 A8 33 40 F9 1F 01 00 F1 80 00 00 54 A9 33 40 F9 88 01 80 52 28 01 00 B9 C2 00 00 14 A0 33 40 B9 ?? ?? ?? ?? A0 83 00 39 A8 83 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? A0 57 00 B9 A9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 F9 08 D1 00 91 A8 43 00 F9 A2 43 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 47 00 F9 A8 47 40 F9 A8 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 81 01 00 54 ?? ?? ?? ?? A0 4B 00 F9 A8 4B 40 F9 A8 37 00 F9 A8 37 40 F9 1F 01 00 F1 80 00 00 54 A9 37 40 F9 88 01 80 52 28 01 00 B9 91 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? A8 87 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 A8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 A8 0F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A8 0F 40 F9 09 41 00 91 08 00 80 D2 28 01 00 F9 A8 0F 40 F9 09 61 00 91 E8 0F 00 18 28 01 00 B9 A8 0F 40 F9 09 81 00 91 A8 17 40 F9 28 01 00 F9 A8 0F 40 F9 09 71 00 91 68 00 80 52 28 01 00 B9 A8 0F 40 F9 09 A1 00 91 08 00 80 52 28 01 00 B9 4F 00 00 14 09 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 08 CB A8 17 40 F9 3F 01 08 EB 09 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 F9 29 01 08 8B ?? ?? ?? ?? ?? ?? ?? ?? 04 00 00 14 ?? ?? ?? ?? 08 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 F9 29 01 08 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB A9 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 21 00 91 A8 0F 40 F9 28 01 00 F9 04 00 00 14 ?? ?? ?? ?? A8 0F 40 F9 ?? ?? ?? ?? A8 0F 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 A8 0F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A8 0F 40 F9 09 41 00 91 A8 23 40 F9 28 01 00 F9 A8 0F 40 F9 09 61 00 91 A8 37 40 B9 28 01 00 B9 A8 0F 40 F9 09 81 00 91 A8 17 40 F9 28 01 00 F9 A8 0F 40 F9 09 71 00 91 A8 33 40 B9 28 01 00 B9 A8 0F 40 F9 09 A1 00 91 A8 3B 40 B9 28 01 00 B9 ?? ?? ?? ?? A8 0F 40 F9 ?? ?? ?? ?? A8 0F 40 F9 00 B1 00 91 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? A0 4F 00 F9 A9 4F 40 F9 A8 17 40 F9 20 01 08 8B 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? A0 53 00 F9 A2 17 40 F9 A1 19 80 52 A0 53 40 F9 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 A8 3B 00 F9 00 00 80 52 ?? ?? ?? ?? A0 3B 40 F9 FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 BC BA DC FE 00 00 00 00 }
	condition:
		$1
}

rule file_270_13_0 {
	meta:
		name = "?is_bad_read_pointer@@YA_NQEBX_K@Z"
		size = 312
		refs = "002c __imp_GetSystemInfo"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 1B 00 F9 A1 1F 00 F9 A9 03 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 28 21 02 A9 A0 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 47 40 B9 A8 23 00 B9 A8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 37 00 00 14 A8 1B 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 32 00 00 14 A8 1B 40 F9 A8 0B 00 F9 A9 0B 40 F9 A8 1F 40 F9 28 01 08 8B 08 05 00 D1 A8 17 00 F9 A9 0B 40 F9 A8 17 40 F9 1F 01 09 EB 62 00 00 54 20 00 80 52 25 00 00 14 A8 0B 40 F9 08 FD DF 08 08 1D 00 13 A8 63 00 39 A8 23 40 B9 08 05 00 51 E8 03 28 2A A8 1F 00 B9 A8 1F 40 B9 09 7D 40 93 A8 0B 40 F9 08 01 09 8A A8 0B 00 F9 A8 1F 40 B9 09 7D 40 93 A8 17 40 F9 08 01 09 8A A8 17 00 F9 A9 17 40 F9 A8 0B 40 F9 1F 01 09 EB 60 01 00 54 A8 23 40 B9 09 7D 40 D3 A8 0B 40 F9 08 01 09 8B A8 0B 00 F9 A8 0B 40 F9 08 FD DF 08 08 1D 00 13 A8 67 00 39 F3 FF FF 17 03 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_270_14_0 {
	meta:
		name = "?filt$0@?0??is_bad_read_pointer@@YA_NQEBX_K@Z@4HA"
		size = 20
		altNames = "terminate$filt$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 20 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_15_0 {
	meta:
		name = "?is_block_an_aligned_allocation@@YA_NQEBX@Z"
		size = 64
		refs = "002c ?check_bytes@@YA_NQEBEE_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E9 0F 40 F9 28 01 80 92 28 01 08 8A 08 21 00 D1 E8 13 00 F9 02 01 80 D2 A1 1D 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_16_0 {
	meta:
		name = "?is_block_type_valid@@YA_NH@Z"
		size = 104
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 08 3D 00 12 1F 11 00 71 C0 01 00 54 E8 03 40 B9 08 3D 00 12 1F 09 00 71 40 01 00 54 E8 03 40 B9 1F 05 00 71 E0 00 00 54 E8 03 40 B9 1F 0D 00 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_17_0 {
	meta:
		name = "?print_block_data@@YAXQEAU__crt_locale_pointers@@QEAU_CrtMemBlockHeader@@@Z"
		size = 620
		refs = "0008 __security_push_cookie 0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0084 ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 00ac ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00c8 _ischartype_l 0114 _errno 0170 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0180 sprintf_s 01a4 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 01ac ??_C@_1CC@DIJAHFFJ@?$AAp?$AAr?$AAi?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 01b4 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 01cc _invoke_watson_if_oneof 0200 __report_rangecheckfailure 0220 ??_C@_0BA@HJBKCELP@?5Data?3?5?$DM?$CFs?$DO?5?$CFs?6?$AA@ 0238 _CrtDbgReport 0258 ??1_LocaleUpdate@@QEAA@XZ 0260 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 03 D1 E0 23 00 F9 E1 17 00 F9 E1 23 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 3F 00 F9 08 00 80 D2 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 17 40 F9 08 81 00 91 08 01 40 F9 1F 41 00 F1 C2 00 00 54 E8 17 40 F9 08 81 00 91 08 01 40 F9 E8 1B 00 F9 03 00 00 14 08 02 80 D2 E8 1B 00 F9 E9 1B 40 F9 E8 07 40 F9 1F 01 09 EB 62 0B 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 07 40 F9 28 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 01 40 39 E8 03 00 39 E0 03 02 91 ?? ?? ?? ?? E0 2B 00 F9 E0 03 40 39 00 00 00 11 E2 2B 40 F9 E1 2A 80 52 00 00 00 11 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 A0 00 00 54 E8 03 40 39 08 01 00 11 E8 13 00 B9 03 00 00 14 08 04 80 52 E8 13 00 B9 E8 13 40 B9 0A 1D 00 13 E9 07 40 F9 28 00 80 D2 29 7D 08 9B E8 83 02 91 08 01 09 8B 0A 01 00 39 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 40 B9 E8 1F 00 B9 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 08 00 80 52 28 01 00 B9 E3 03 40 39 63 00 00 11 E9 07 40 F9 68 00 80 D2 29 7D 08 9B 28 06 80 D2 01 01 09 CB E9 07 40 F9 68 00 80 D2 29 7D 08 9B E8 E3 02 91 00 01 09 8B 63 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? E0 37 00 F9 07 00 80 D2 86 C9 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E8 37 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 E8 1F 40 B9 28 01 00 B9 94 FF FF 17 E8 07 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 45 00 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 83 02 91 E8 1F 40 F9 29 01 08 8B 08 00 80 52 28 01 00 39 E6 E3 02 91 E5 83 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 03 02 91 ?? ?? ?? ?? FF C3 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_18_0 {
	meta:
		name = "?realloc_dbg_nolock@@YAPEAXQEAXQEA_KHQEBDH_N@Z"
		size = 2428
		refs = "0040 _malloc_dbg 0078 _free_dbg 0084 ?validate_heap_if_required_nolock@@YAXXZ 0088 ?__acrt_current_request_number@@3JA 0094 _crtBreakAlloc 00bc _pfnAllocHook 00dc __guard_check_icall_fptr 0134 ??_C@_0DI@KKJPDPGM@Client?5hook?5re?9allocation?5failur@ 014c _CrtDbgReport 016c ??_C@_0CE@DOFMDOL@Client?5hook?5re?9allocation?5failur@ 0174 ??_C@_02DKCKIIND@?$CFs?$AA@ 01f0 ??_C@_0FA@EFEIGJKG@Error?3?5memory?5allocation?3?5bad?5me@ 0228 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 026c ?is_block_an_aligned_allocation@@YA_NQEBX@Z 0288 ??_C@_0EM@LGFLMAGJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 02bc _errno 02dc _CrtIsValidHeapPointer 02f0 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 02f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0308 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0314 _CrtDbgReportW 0334 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 03b0 ??_C@_1PC@MCGKJLN@?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn@ 0400 ?__acrt_total_allocations@@3_KA 0414 ??_C@_0DA@HFBKENN@Error?3?5possible?5heap?5corruption?5@ 04c0 _realloc_base 04f0 _expand_base 051c __acrt_heap 0524 __imp_HeapSize 05f4 ?__acrt_current_allocations@@3_KA 0628 ?__acrt_max_allocations@@3_KA 0654 ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 06b8 memset 0760 ??_C@_1JM@MCMEPJEP@?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAi?$AAs?$AA_?$AAa?$AAl?$AAl?$AAo?$AAw?$AAe?$AAd?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CB?$AAr?$AAe?$AAa@ 0804 ?__acrt_last_block@@3PEAU_CrtMemBlockHeader@@EA 0814 ??_C@_1DM@LNOPKAIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@ 08a4 ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 08b4 ??_C@_1DO@HABCJBHO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 23 00 F9 E1 17 00 F9 E2 27 00 B9 E3 2B 00 F9 E4 33 00 B9 E5 43 00 39 E8 23 40 F9 1F 01 00 F1 41 01 00 54 E3 33 40 B9 E2 2B 40 F9 E1 27 40 B9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E0 5B 40 F9 49 02 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E1 27 40 B9 E0 23 40 F9 ?? ?? ?? ?? 00 00 80 D2 3C 02 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 4B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 4B 40 B9 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 40 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 4F 00 F9 EF 4F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E6 33 40 B9 E5 2B 40 F9 E4 4B 40 B9 E3 27 40 B9 E8 17 40 F9 02 01 40 F9 E1 23 40 F9 40 00 80 52 E8 4F 40 F9 00 01 3F D6 E0 7F 00 B9 E8 7F 40 B9 1F 01 00 71 A1 04 00 54 E8 2B 40 F9 1F 01 00 F1 20 02 00 54 E6 33 40 B9 E5 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 87 00 B9 E9 87 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 F1 01 00 14 E8 27 40 B9 1F 05 00 71 80 05 00 54 E8 27 40 B9 08 3D 00 12 1F 11 00 71 00 05 00 54 E8 27 40 B9 08 3D 00 12 1F 09 00 71 80 04 00 54 E8 2B 40 F9 1F 01 00 F1 20 02 00 54 E6 33 40 B9 E5 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 8B 00 B9 E9 8B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 10 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 8F 00 B9 E9 8F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 1D 00 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E5 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 93 00 B9 E9 93 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 A7 01 00 14 E0 23 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 4B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 23 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 1F 00 F9 E8 1F 40 F9 08 71 00 91 08 01 40 B9 1F 0D 00 71 81 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 1F 40 F9 08 61 00 91 69 2F 00 18 08 01 40 B9 1F 01 09 6B C1 00 00 54 E8 1F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 1D 00 00 14 E8 1F 40 F9 08 81 00 91 09 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB C2 02 00 54 E5 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 44 01 00 14 E8 17 40 F9 08 01 40 F9 1F 51 01 B1 09 01 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 39 01 00 14 E8 17 40 F9 08 01 40 F9 08 D1 00 91 E8 53 00 F9 08 00 80 D2 E8 0F 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E1 53 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 24 01 00 14 19 00 00 14 E1 53 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 18 01 00 14 E2 0F 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 77 00 F9 E8 77 40 F9 08 C1 00 D1 09 11 00 D1 E8 17 40 F9 09 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E8 47 40 39 08 01 00 11 1F 01 00 71 41 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 B1 A2 03 00 54 E8 0F 40 F9 0A 81 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 29 01 08 CB ?? ?? ?? ?? ?? ?? ?? ?? 09 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 08 CB E8 17 40 F9 08 01 40 F9 3F 01 08 EB A9 00 00 54 E8 17 40 F9 08 01 40 F9 E8 57 00 F9 03 00 00 14 08 00 80 92 E8 57 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 57 40 F9 29 01 08 8B ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 40 F9 0A 81 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 29 01 08 CB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 17 40 F9 08 01 40 F9 29 01 08 8B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB A9 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 2F 00 F9 E8 0F 40 F9 08 81 00 91 09 01 40 F9 E8 17 40 F9 08 01 40 F9 1F 01 09 EB 09 02 00 54 E8 0F 40 F9 0A 81 00 91 E8 17 40 F9 09 01 40 F9 48 01 40 F9 22 01 08 CB E8 0F 40 F9 08 81 00 91 E9 2F 40 F9 08 01 40 F9 20 01 08 8B 42 00 00 91 A1 19 80 52 00 00 00 91 ?? ?? ?? ?? E9 2F 40 F9 E8 17 40 F9 08 01 40 F9 20 01 08 8B 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 47 40 39 08 01 00 11 1F 01 00 71 A1 01 00 54 E8 0F 40 F9 09 41 00 91 E8 2B 40 F9 28 01 00 F9 E8 0F 40 F9 09 61 00 91 E8 33 40 B9 28 01 00 B9 E8 0F 40 F9 09 A1 00 91 E8 4B 40 B9 28 01 00 B9 E8 0F 40 F9 09 81 00 91 E8 17 40 F9 08 01 40 F9 28 01 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 21 03 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E9 1F 40 F9 E8 0F 40 F9 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 57 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 1F 40 F9 E8 0F 40 F9 1F 01 09 EB A0 00 00 54 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 E0 2F 40 F9 6B 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 21 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 1B 00 00 14 E9 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 58 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 21 00 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 01 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 1B 00 00 14 E9 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 59 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 01 00 91 ?? ?? ?? ?? 08 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 21 00 91 E8 0F 40 F9 28 01 00 F9 04 00 00 14 ?? ?? ?? ?? E8 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 ?? ?? ?? ?? E8 0F 40 F9 ?? ?? ?? ?? E0 2F 40 F9 FD 7B D0 A8 C0 03 5F D6 BC BA DC FE }
	condition:
		$1
}

rule file_270_19_0 {
	meta:
		name = "?validate_heap_if_required_nolock@@YAXXZ"
		size = 232
		refs = "0008 ?__acrt_check_frequency@@3IA 0028 ?__acrt_check_counter@@3IA 0050 ?heap_validation_pending@@3_NA 0074 _CrtCheckMemory 0088 ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00ac _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 41 00 00 54 32 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 51 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 6B E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 25 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 40 00 00 54 1F 00 00 14 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A0 13 00 B9 A8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 17 00 B9 A9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_20_0 {
	meta:
		name = "?fin$0@?0??validate_heap_if_required_nolock@@YAXXZ@4HA"
		size = 32
		refs = "0008 ?heap_validation_pending@@3_NA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_21_0 {
	meta:
		name = "_CrtCheckMemory"
		size = 512
		refs = "0008 _crtDbgFlag 0028 __acrt_lock 002c ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 0080 ?check_block@@YA_NQEAU_CrtMemBlockHeader@@@Z 00b8 ??_C@_0EG@GPFHANHO@Cycle?5in?5block?5list?5detected?5whi@ 00d0 _CrtDbgReport 0160 __acrt_heap 0168 __imp_HeapValidate 0184 ??_C@_0BJ@ELMAOCAJ@Heap?5validation?5failed?4?6?$AA@ 018c ??_C@_02DKCKIIND@?$CFs?$AA@ 01cc __acrt_unlock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 68 00 00 37 20 00 80 52 78 00 00 14 28 00 80 52 A8 43 00 39 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 0F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 81 00 00 54 08 00 80 D2 A8 23 00 F9 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 91 08 01 40 F9 A8 23 00 F9 A8 23 40 F9 A8 17 00 F9 A8 0F 40 F9 1F 01 00 F1 00 07 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 47 00 39 A9 43 40 39 29 01 00 11 A8 47 40 39 08 01 00 11 28 01 08 0A 08 1D 00 53 A8 43 00 39 A9 17 40 F9 A8 0F 40 F9 1F 01 09 EB 41 02 00 54 A5 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 A8 43 00 39 19 00 00 14 A8 0F 40 F9 08 01 00 91 08 01 40 F9 A8 0F 00 F9 A8 17 40 F9 1F 01 00 F1 20 02 00 54 A8 17 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 D2 A8 27 00 F9 07 00 00 14 A8 17 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 A8 27 00 F9 A8 27 40 F9 A8 17 00 F9 C7 FF FF 17 02 00 80 D2 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 37 00 B9 A8 37 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 A8 43 00 39 00 00 80 52 ?? ?? ?? ?? A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_23_0 {
	meta:
		name = "_CrtDoForAllClientObjects"
		size = 368
		refs = "0044 ??_C@_1CI@CEIBPAIA@?$AAc?$AAa?$AAl?$AAl?$AAb?$AAa?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1DE@GJCKCKEC@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAo?$AAF?$AAo?$AAr?$AAA?$AAl?$AAl?$AAC?$AAl?$AAi?$AAe?$AAn?$AAt?$AAO?$AAb?$AAj?$AAe?$AAc?$AAt?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00cc _crtDbgFlag 00e0 __acrt_lock 00e4 ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 012c ?block_from_header@@YAPEAEQEAU_CrtMemBlockHeader@@@Z 0140 __guard_check_icall_fptr 0164 __acrt_unlock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 17 00 F9 A1 23 00 F9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 13 00 B9 03 00 00 14 08 00 80 52 A8 13 00 B9 A8 13 40 B9 A8 17 00 B9 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A9 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 23 00 B9 A9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 A9 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 48 00 00 37 24 00 00 14 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 0F 00 F9 05 00 00 14 A8 0F 40 F9 08 01 00 91 08 01 40 F9 A8 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 A0 02 00 54 A8 0F 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 11 00 71 C1 01 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 27 00 F9 A8 17 40 F9 A8 1B 00 F9 AF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A1 23 40 F9 A0 27 40 F9 A8 1B 40 F9 00 01 3F D6 E6 FF FF 17 00 00 80 52 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_25_0 {
	meta:
		name = "_CrtDumpMemoryLeaks"
		size = 168
		refs = "0008 __security_push_cookie 0014 _CrtMemCheckpoint 0030 _crtDbgFlag 0048 ??_C@_0BI@JBFPOEJA@Detected?5memory?5leaks?$CB?6?$AA@ 0050 ??_C@_02DKCKIIND@?$CFs?$AA@ 0068 _CrtDbgReport 0088 _CrtMemDumpAllObjectsSince 009c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 23 00 91 ?? ?? ?? ?? E8 1B 40 F9 1F 01 00 F1 41 01 00 54 E8 0F 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 02 20 36 E8 13 40 F9 1F 01 00 F1 80 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 03 00 B9 E9 03 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 ?? ?? ?? ?? 20 00 80 52 02 00 00 14 00 00 80 52 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_28_0 {
	meta:
		name = "_CrtIsMemoryBlock"
		size = 424
		refs = "0084 __acrt_lock 008c ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 00a8 ?is_block_type_valid@@YA_NH@Z 00d0 _CrtIsValidPointer 0110 ?__acrt_current_request_number@@3JA 0194 __acrt_unlock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 27 00 F9 A1 23 00 B9 A2 17 00 F9 A3 1B 00 F9 A4 1F 00 F9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 A9 17 40 F9 08 00 80 52 28 01 00 B9 A8 1B 40 F9 1F 01 00 F1 80 00 00 54 A9 1B 40 F9 08 00 80 D2 28 01 00 F9 A8 1F 40 F9 1F 01 00 F1 80 00 00 54 A9 1F 40 F9 08 00 80 52 28 01 00 B9 A8 27 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 4A 00 00 14 08 00 80 52 A8 27 00 B9 00 00 80 52 ?? ?? ?? ?? A0 27 40 F9 ?? ?? ?? ?? A0 2B 00 F9 A8 2B 40 F9 A8 0F 00 F9 A8 0F 40 F9 08 71 00 91 00 01 40 B9 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 34 00 00 14 22 00 80 52 A1 23 40 B9 A0 27 40 F9 ?? ?? ?? ?? A0 43 00 B9 A8 43 40 B9 1F 01 00 71 41 00 00 54 2B 00 00 14 A8 0F 40 F9 0A 81 00 91 A8 23 40 B9 09 7D 40 D3 48 01 40 F9 1F 01 09 EB 40 00 00 54 23 00 00 14 A8 0F 40 F9 0A A1 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 4D 00 00 54 1B 00 00 14 A8 17 40 F9 1F 01 00 F1 C0 00 00 54 A8 0F 40 F9 08 A1 00 91 A9 17 40 F9 08 01 40 B9 28 01 00 B9 A8 1B 40 F9 1F 01 00 F1 C0 00 00 54 A8 0F 40 F9 08 41 00 91 A9 1B 40 F9 08 01 40 F9 28 01 00 F9 A8 1F 40 F9 1F 01 00 F1 C0 00 00 54 A8 0F 40 F9 08 61 00 91 A9 1F 40 F9 08 01 40 B9 28 01 00 B9 28 00 80 52 A8 27 00 B9 00 00 80 52 ?? ?? ?? ?? A0 27 40 B9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_270_30_0 {
	meta:
		name = "_CrtIsValidHeapPointer"
		size = 88
		refs = "0024 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 0034 __acrt_heap 003c __imp_HeapValidate"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 0D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E2 13 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_31_0 {
	meta:
		name = "_CrtIsValidPointer"
		size = 60
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 B9 E2 0B 00 B9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E0 03 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_32_0 {
	meta:
		name = "_CrtMemCheckpoint"
		size = 856
		refs = "0040 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1CE@NJJKELF@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAC?$AAh?$AAe?$AAc?$AAk?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?$AA@ 00c0 _invalid_parameter 00cc __acrt_lock 00d8 ?__acrt_first_block@@3PEAU_CrtMemBlockHeader@@EA 02a8 ??_C@_0DP@LEFMFBOD@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 02c0 _CrtDbgReport 02e4 ??_C@_0CB@EAAIGELO@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 0324 ?__acrt_max_allocations@@3_KA 0338 ?__acrt_total_allocations@@3_KA 0348 __acrt_unlock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 13 00 F9 A8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 BC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 BC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A2 00 00 14 00 00 80 52 ?? ?? ?? ?? A8 13 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 08 00 80 52 A8 1B 00 B9 04 00 00 14 A8 1B 40 B9 08 05 00 11 A8 1B 00 B9 A8 1B 40 B9 1F 15 00 71 82 02 00 54 A8 13 40 F9 0A 21 00 91 A8 1B 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 D2 28 01 00 F9 A8 13 40 F9 0A C1 00 91 A8 1B 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 D2 28 01 00 F9 E8 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? A8 0B 00 F9 05 00 00 14 A8 0B 40 F9 08 01 00 91 08 01 40 F9 A8 0B 00 F9 A8 0B 40 F9 1F 01 00 F1 00 0D 00 54 A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 01 00 71 2B 07 00 54 A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 1F 15 00 71 6A 06 00 54 A8 13 40 F9 0A 21 00 91 A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 F9 0A 05 00 91 A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B A8 13 40 F9 08 21 00 91 08 01 09 8B 0A 01 00 F9 A8 13 40 F9 0A C1 00 91 A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 28 7D 08 9B 49 01 08 8B A8 0B 40 F9 08 81 00 91 29 01 40 F9 08 01 40 F9 2A 01 08 8B A8 0B 40 F9 08 71 00 91 08 01 40 B9 08 3D 00 12 09 7D 40 93 08 01 80 D2 29 7D 08 9B A8 13 40 F9 08 C1 00 91 08 01 09 8B 0A 01 00 F9 29 00 00 14 A8 0B 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 C0 02 00 54 A8 0B 40 F9 09 61 00 91 A8 0B 40 F9 08 41 00 91 27 01 40 B9 06 01 40 F9 A5 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 0F 00 00 14 A5 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 93 FF FF 17 A8 13 40 F9 09 61 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 A8 13 40 F9 09 81 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 00 00 80 52 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_270_34_0 {
	meta:
		name = "_CrtMemDifference"
		size = 1124
		refs = "0048 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CE@PDIENACM@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAi?$AAf?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAe?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CK@FFKLBHMD@?$AAo?$AAl?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ??_C@_1CK@NJPPHDJP@?$AAn?$AAe?$AAw?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03b8 _crtDbgFlag"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 F9 E2 23 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 E3 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 B3 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 83 00 00 14 08 00 80 52 E8 53 00 39 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 15 00 71 CA 0A 00 54 E8 23 40 F9 0A C1 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 27 40 F9 0A C1 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 69 01 40 F9 08 01 40 F9 2B 01 08 CB E8 0F 40 F9 0A C1 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 23 40 F9 0A 21 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 27 40 F9 0A 21 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 69 01 40 F9 08 01 40 F9 2B 01 08 CB E8 0F 40 F9 0A 21 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 0F 40 F9 0A C1 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 F9 1F 01 00 F1 81 01 00 54 E8 0F 40 F9 0A 21 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 F9 1F 01 00 F1 41 00 00 54 B4 FF FF 17 E8 13 40 B9 1F 01 00 71 41 00 00 54 B0 FF FF 17 E8 13 40 B9 1F 09 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 48 00 20 37 A9 FF FF 17 28 00 80 52 E8 53 00 39 A6 FF FF 17 E8 23 40 F9 09 61 01 91 E8 27 40 F9 08 61 01 91 29 01 40 F9 08 01 40 F9 29 01 08 CB E8 0F 40 F9 08 61 01 91 09 01 00 F9 E8 23 40 F9 09 81 01 91 E8 27 40 F9 08 81 01 91 29 01 40 F9 08 01 40 F9 29 01 08 CB E8 0F 40 F9 08 81 01 91 09 01 00 F9 E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 53 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E0 3B 40 B9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_35_0 {
	meta:
		name = "_CrtMemDumpAllObjectsSince"
		size = 104
		refs = "0010 __acrt_lock 0018 ?dump_all_object_since_nolock@@YAXQEBU_CrtMemState@@@Z 0020 __acrt_unlock 0024 ??_C@_0BH@GFGKJDCO@Object?5dump?5complete?4?6?$AA@ 002c ??_C@_02DKCKIIND@?$CFs?$AA@ 0044 _CrtDbgReport"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 A0 0F 00 F9 00 00 80 52 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? A0 13 00 B9 A9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_37_0 {
	meta:
		name = "_CrtMemDumpStatistics"
		size = 524
		refs = "0040 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1CM@MPNIBKGK@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAu?$AAm?$AAp?$AAS?$AAt?$AAa?$AAt?$AAi?$AAs?$AAt?$AAi?$AAc?$AAs?$AA?$AA@ 00c0 _invalid_parameter 00fc ?block_use_names@@3QBQEBDB 014c ??_C@_0BO@DACNIABB@?$CFId?5bytes?5in?5?$CFId?5?$CFhs?5Blocks?4?6?$AA@ 0164 _CrtDbgReport 0190 ??_C@_0CB@BLHDAFNE@Largest?5number?5used?3?5?$CFId?5bytes?4?6@ 01d0 ??_C@_0BP@DEDHGGGI@Total?5allocations?3?5?$CFId?5bytes?4?6?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 D8 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 D8 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 50 00 00 14 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 15 00 71 E2 04 00 54 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0C 01 09 8B E8 13 40 F9 0A 21 00 91 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 13 40 F9 0A C1 00 91 E8 13 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 48 01 08 8B 87 01 40 F9 66 01 40 F9 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 D5 FF FF 17 E8 13 40 F9 08 61 01 91 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 08 81 01 91 05 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 00 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_38_0 {
	meta:
		name = "_CrtReportBlockType"
		size = 76
		refs = "0010 _CrtIsValidHeapPointer 0030 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 71 00 91 00 01 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_40_0 {
	meta:
		name = "_CrtSetBreakAlloc"
		size = 44
		refs = "0008 _crtBreakAlloc"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 00 B9 ?? ?? ?? ?? E8 03 40 B9 ?? ?? ?? ?? E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "__setfflag"
		size = 44
		refs = "0008 __fastflag"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 00 B9 ?? ?? ?? ?? E8 03 40 B9 ?? ?? ?? ?? E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_41_0 {
	meta:
		name = "_CrtSetDbgBlockType"
		size = 208
		refs = "0014 __acrt_lock 001c _CrtIsValidHeapPointer 0038 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 0054 ?is_block_type_valid@@YA_NH@Z 006c ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0090 _CrtDbgReportW 00c0 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 13 00 F9 A1 1F 00 B9 00 00 80 52 ?? ?? ?? ?? A0 13 40 F9 ?? ?? ?? ?? A0 17 00 B9 A8 17 40 B9 1F 01 00 71 41 00 00 54 23 00 00 14 A0 13 40 F9 ?? ?? ?? ?? A0 1B 00 F9 A8 1B 40 F9 A8 17 00 F9 A8 17 40 F9 08 71 00 91 00 01 40 B9 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 8A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1B 00 B9 A9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 F9 09 71 00 91 A8 1F 40 B9 28 01 00 B9 00 00 80 52 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_270_43_0 {
	meta:
		name = "_CrtSetDbgFlag"
		size = 416
		refs = "008c ??_C@_1IE@BBIFDGEB@?$AAn?$AAe?$AAw?$AA_?$AAb?$AAi?$AAt?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAF?$AAL?$AAA?$AAG?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BO@GJFDNMNF@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAD?$AAb?$AAg?$AAF?$AAl?$AAa?$AAg?$AA?$AA@ 010c _invalid_parameter 0110 _crtDbgFlag 0128 __acrt_lock 0150 ?__acrt_check_frequency@@3IA 0174 ?__acrt_check_counter@@3IA 0190 __acrt_unlock"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 17 00 B9 E8 06 80 52 A8 2B 00 B9 A8 17 40 B9 09 3D 00 12 E8 06 80 12 28 01 08 0A 1F 01 00 71 81 00 00 54 28 00 80 52 A8 43 00 39 03 00 00 14 08 00 80 52 A8 43 00 39 A8 43 40 39 A8 47 00 39 A8 17 40 B9 1F 05 00 31 00 01 00 54 A8 47 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 08 00 80 52 A8 1B 00 B9 03 00 00 14 28 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 A5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 A5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 00 14 08 00 80 52 A8 23 00 B9 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 23 00 B9 A8 17 40 B9 1F 05 00 31 41 00 00 54 12 00 00 14 A8 17 40 B9 A8 00 10 36 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? 06 00 00 14 A8 17 40 B9 08 7D 10 13 09 3D 00 12 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? A0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_51_0 {
	meta:
		name = "_aligned_free_dbg"
		size = 276
		refs = "0040 ?check_bytes@@YA_NQEBEE_K@Z 005c ??_C@_0EF@PGELACII@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 0074 _CrtDbgReport 00c4 ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 0108 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 41 00 00 54 3D 00 00 14 E8 13 40 F9 08 F1 7D 92 08 41 00 D1 E8 17 00 F9 E8 13 40 F9 00 11 00 D1 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E5 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 1F 00 00 14 E8 17 40 F9 00 21 00 91 02 01 80 D2 A1 1D 80 52 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E5 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 F9 08 01 00 91 21 00 80 52 00 01 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_52_0 {
	meta:
		name = "_aligned_malloc_dbg"
		size = 64
		refs = "002c _aligned_offset_malloc_dbg"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 13 00 B9 E4 13 40 B9 E3 0F 40 F9 02 00 80 D2 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_53_0 {
	meta:
		name = "_aligned_msize_dbg"
		size = 456
		refs = "0070 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0094 _CrtDbgReportW 00bc _errno 00e0 ??_C@_1CG@CEGMHIMN@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00f0 _invalid_parameter 0120 _msize"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 F9 E1 0F 00 F9 E2 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 D2 E8 2F 00 F9 08 00 80 D2 E8 2B 00 F9 08 00 80 D2 E8 33 00 F9 08 00 80 D2 E8 27 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 32 00 00 14 08 00 80 D2 E8 17 00 F9 E8 1B 40 F9 08 F1 7D 92 08 41 00 D1 E8 17 00 F9 E8 17 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 2B 00 F9 E8 17 40 F9 08 01 00 91 E9 1B 40 F9 08 01 40 F9 28 01 08 CB E8 1F 00 F9 09 00 80 D2 E8 3F 40 F9 28 01 08 CB 08 09 40 92 E8 27 00 F9 E8 0F 40 F9 1F 21 00 F1 89 00 00 54 E8 0F 40 F9 E8 23 00 F9 03 00 00 14 08 01 80 D2 E8 23 00 F9 E8 23 40 F9 08 05 00 D1 E8 0F 00 F9 E9 27 40 F9 E8 0F 40 F9 28 01 08 8B 09 41 00 91 E8 1F 40 F9 28 01 08 CB E8 2F 00 F9 E9 2B 40 F9 E8 1F 40 F9 29 01 08 CB E8 2F 40 F9 28 01 08 CB E8 33 00 F9 E0 33 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_54_0 {
	meta:
		name = "_aligned_offset_malloc_dbg"
		size = 764
		refs = "0068 ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 008c _CrtDbgReportW 00b4 _errno 00d8 ??_C@_1DG@DONCJBBJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00e8 _invalid_parameter 0138 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0264 _malloc_dbg 02dc memset"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 23 00 F9 E1 0B 00 F9 E2 17 00 F9 E3 4F 00 F9 E4 3B 00 B9 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0B 40 F9 09 05 00 D1 E8 0B 40 F9 08 01 09 8A 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 81 00 00 14 E8 17 40 F9 1F 01 00 F1 00 01 00 54 E9 23 40 F9 E8 17 40 F9 1F 01 09 EB 83 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 DF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 4D 00 00 14 E8 0B 40 F9 1F 21 00 F1 89 00 00 54 E8 0B 40 F9 E8 2B 00 F9 03 00 00 14 08 01 80 D2 E8 2B 00 F9 E8 2B 40 F9 08 05 00 D1 E8 0B 00 F9 09 00 80 D2 E8 17 40 F9 28 01 08 CB 08 09 40 92 E8 37 00 F9 E9 37 40 F9 E8 0B 40 F9 28 01 08 8B 08 41 00 91 E8 33 00 F9 E9 23 40 F9 E8 33 40 F9 28 01 08 8B E8 2F 00 F9 E9 2F 40 F9 E8 23 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 29 00 00 14 E3 3B 40 B9 E2 4F 40 F9 21 00 80 52 E0 2F 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 1C 00 00 14 E9 27 40 F9 E8 33 40 F9 29 01 08 8B E8 17 40 F9 29 01 08 8B E8 0B 40 F9 E8 03 28 AA 29 01 08 8A E8 17 40 F9 28 01 08 CB E8 3F 00 F9 E9 3F 40 F9 E8 37 40 F9 28 01 08 CB 08 41 00 D1 E8 3B 00 F9 E8 3B 40 F9 00 21 00 91 02 01 80 D2 A1 1D 80 52 00 00 00 91 ?? ?? ?? ?? E8 3B 40 F9 09 01 00 91 E8 27 40 F9 28 01 00 F9 E0 3F 40 F9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_55_0 {
	meta:
		name = "_aligned_offset_realloc_dbg"
		size = 1212
		refs = "0040 _aligned_offset_malloc_dbg 0060 _aligned_free_dbg 0090 ?check_bytes@@YA_NQEBEE_K@Z 00ac ??_C@_0EI@NDNJMAJK@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 00c4 _CrtDbgReport 00e0 _errno 012c ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 01ac ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@ 01b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01c4 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 01d0 _CrtDbgReportW 021c ??_C@_1DI@NINIKFFK@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 022c _invalid_parameter 027c ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0314 _msize 03dc _malloc_dbg 0454 memset 0498 memcpy 04ac _free_dbg"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 0F 00 F9 E3 1B 00 F9 E4 43 00 F9 E5 4B 00 B9 E8 13 40 F9 1F 01 00 F1 41 01 00 54 E4 4B 40 B9 E3 43 40 F9 E2 1B 40 F9 E1 0F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 1A 01 00 14 E8 17 40 F9 1F 01 00 F1 A1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 D2 13 01 00 14 E8 13 40 F9 08 F1 7D 92 08 41 00 D1 E8 2B 00 F9 E8 13 40 F9 00 11 00 D1 82 00 80 D2 A1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E5 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 EF 00 00 14 E8 2B 40 F9 00 21 00 91 02 01 80 D2 A1 1D 80 52 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E5 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 00 80 52 01 00 80 D2 20 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 09 05 00 D1 E8 0F 40 F9 08 01 09 8A 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 A0 00 00 14 E8 1B 40 F9 1F 01 00 F1 00 01 00 54 E9 17 40 F9 E8 1B 40 F9 1F 01 09 EB 83 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 28 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 6C 00 00 14 E8 2B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 2B 40 F9 08 01 00 91 E9 13 40 F9 08 01 40 F9 29 01 08 CB E8 6F 40 F9 08 01 09 CB E8 57 00 F9 E8 0F 40 F9 1F 21 00 F1 89 00 00 54 E8 0F 40 F9 E8 3F 00 F9 03 00 00 14 08 01 80 D2 E8 3F 00 F9 E8 3F 40 F9 08 05 00 D1 E8 0F 00 F9 09 00 80 D2 E8 1B 40 F9 28 01 08 CB 08 09 40 92 E8 4F 00 F9 E9 4F 40 F9 E8 0F 40 F9 28 01 08 8B 08 41 00 91 E8 4B 00 F9 E9 17 40 F9 E8 4B 40 F9 28 01 08 8B E8 47 00 F9 E9 47 40 F9 E8 17 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 3B 00 00 14 E3 4B 40 B9 E2 43 40 F9 21 00 80 52 E0 47 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 37 00 F9 E8 37 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 2E 00 00 14 E9 37 40 F9 E8 4B 40 F9 29 01 08 8B E8 1B 40 F9 29 01 08 8B E8 0F 40 F9 E8 03 28 AA 29 01 08 8A E8 1B 40 F9 28 01 08 CB E8 3B 00 F9 E9 3B 40 F9 E8 4F 40 F9 28 01 08 CB 08 41 00 D1 E8 53 00 F9 E8 53 40 F9 00 21 00 91 02 01 80 D2 A1 1D 80 52 00 00 00 91 ?? ?? ?? ?? E8 53 40 F9 09 01 00 91 E8 37 40 F9 28 01 00 F9 E9 17 40 F9 E8 57 40 F9 1F 01 09 EB 89 00 00 54 E8 17 40 F9 E8 5B 00 F9 03 00 00 14 E8 57 40 F9 E8 5B 00 F9 E2 5B 40 F9 E1 13 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E8 2B 40 F9 08 01 00 91 21 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 3B 40 F9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_56_0 {
	meta:
		name = "_aligned_offset_recalloc_dbg"
		size = 312
		refs = "0050 _errno 0084 _aligned_msize 00d0 _aligned_offset_realloc_dbg 0128 memset"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 27 00 F9 E3 2F 00 F9 E4 2B 00 F9 E5 3B 00 F9 E6 13 00 B9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E9 03 80 92 E8 0F 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 27 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 32 00 00 14 E8 13 40 F9 1F 01 00 F1 20 01 00 54 E2 2B 40 F9 E1 2F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 23 00 F9 03 00 00 14 08 00 80 D2 E8 23 00 F9 E8 23 40 F9 E8 1B 00 F9 E9 27 40 F9 E8 0F 40 F9 28 7D 08 9B E8 17 00 F9 E5 13 40 B9 E4 3B 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 10 00 00 14 E9 17 40 F9 E8 1B 40 F9 1F 01 09 EB 62 01 00 54 E9 17 40 F9 E8 1B 40 F9 22 01 08 CB E9 1F 40 F9 E8 1B 40 F9 20 01 08 8B 42 00 00 91 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 1F 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_57_0 {
	meta:
		name = "_aligned_realloc_dbg"
		size = 72
		refs = "0034 _aligned_offset_realloc_dbg"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 13 00 B9 E5 13 40 B9 E4 0F 40 F9 03 00 80 D2 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_58_0 {
	meta:
		name = "_aligned_recalloc_dbg"
		size = 80
		refs = "003c _aligned_offset_recalloc_dbg"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E5 13 00 B9 E6 13 40 B9 E5 0F 40 F9 04 00 80 D2 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_59_0 {
	meta:
		name = "_calloc_dbg"
		size = 188
		refs = "0048 _errno 0084 ?heap_alloc_dbg@@YAPEAX_KHQEBDH@Z 00ac memset"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E2 17 00 B9 E3 23 00 F9 E4 13 00 B9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E9 03 80 92 E8 0F 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 17 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 15 00 00 14 E9 17 40 F9 E8 0F 40 F9 28 7D 08 9B E8 1B 00 F9 E3 13 40 B9 E2 23 40 F9 E1 17 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 A0 00 00 54 E2 1B 40 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_61_0 {
	meta:
		name = "_expand_dbg"
		size = 344
		refs = "0050 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BI@HAPNGHDP@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00d0 _invalid_parameter 0110 __acrt_lock 0134 ?realloc_dbg_nolock@@YAPEAXQEAXQEA_KHQEBDH_N@Z 0148 __acrt_unlock"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 1B 00 F9 A1 17 00 F9 A2 23 00 B9 A3 2B 00 F9 A4 1F 00 B9 A8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 13 00 B9 03 00 00 14 08 00 80 52 A8 13 00 B9 A8 13 40 B9 A8 17 00 B9 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 66 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1B 00 B9 A9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 66 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1E 00 00 14 A8 17 40 F9 1F 51 01 B1 09 01 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 14 00 00 14 08 00 80 D2 A8 1F 00 F9 00 00 80 52 ?? ?? ?? ?? A8 17 40 F9 A8 2F 00 F9 05 00 80 52 A4 1F 40 B9 A3 2B 40 F9 A2 23 40 B9 A1 63 01 91 A0 1B 40 F9 ?? ?? ?? ?? A0 33 00 F9 A8 33 40 F9 A8 1F 00 F9 00 00 80 52 ?? ?? ?? ?? A0 1F 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_63_0 {
	meta:
		name = "_free_dbg"
		size = 128
		refs = "0014 __acrt_lock 0034 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 0068 ?free_dbg_nolock@@YAXQEAXH@Z 0070 __acrt_unlock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 A0 13 00 F9 A1 13 00 B9 00 00 80 52 ?? ?? ?? ?? A8 13 40 B9 1F 05 00 31 81 01 00 54 A8 13 40 F9 1F 01 00 F1 20 01 00 54 A0 13 40 F9 ?? ?? ?? ?? A0 17 00 F9 A8 17 40 F9 08 71 00 91 08 01 40 B9 A8 17 00 B9 03 00 00 14 A8 13 40 B9 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A1 1B 40 B9 A0 13 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_270_67_0 {
	meta:
		name = "_malloc_dbg"
		size = 60
		refs = "0028 ?heap_alloc_dbg@@YAPEAX_KHQEBDH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 0F 00 F9 E3 13 00 B9 E3 13 40 B9 E2 0F 40 F9 E1 17 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_68_0 {
	meta:
		name = "_msize_dbg"
		size = 472
		refs = "0044 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BG@MBKOGDLD@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00c4 _invalid_parameter 00dc __acrt_lock 00e0 ?validate_heap_if_required_nolock@@YAXXZ 00e8 _CrtIsValidHeapPointer 00fc ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 0140 ?header_from_block@@YAPEAU_CrtMemBlockHeader@@QEBX@Z 015c ?is_block_type_valid@@YA_NH@Z 0174 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 01c8 __acrt_unlock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 1B 00 F9 A1 4B 00 B9 A8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 82 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1F 00 B9 A9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 82 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 41 00 00 14 08 00 80 D2 A8 23 00 F9 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A0 1B 40 F9 ?? ?? ?? ?? A0 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 84 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A0 1B 40 F9 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 A8 1F 00 F9 A8 1F 40 F9 08 71 00 91 00 01 40 B9 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 84 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 F9 08 81 00 91 08 01 40 F9 A8 23 00 F9 00 00 80 52 ?? ?? ?? ?? A0 23 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_70_0 {
	meta:
		name = "_realloc_dbg"
		size = 112
		refs = "0028 __acrt_lock 004c ?realloc_dbg_nolock@@YAPEAXQEAXQEA_KHQEBDH_N@Z 0060 __acrt_unlock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 1F 00 F9 A1 13 00 F9 A2 17 00 B9 A3 17 00 F9 A4 13 00 B9 08 00 80 D2 A8 0F 00 F9 00 00 80 52 ?? ?? ?? ?? A8 13 40 F9 A8 1B 00 F9 25 00 80 52 A4 13 40 B9 A3 17 40 F9 A2 17 40 B9 A1 C3 00 91 A0 1F 40 F9 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 A8 0F 00 F9 00 00 80 52 ?? ?? ?? ?? A0 0F 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_72_0 {
	meta:
		name = "_recalloc_dbg"
		size = 296
		refs = "004c _errno 0078 _msize 00c0 _realloc_dbg 0118 memset"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 27 00 F9 E3 17 00 B9 E4 33 00 F9 E5 13 00 B9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E9 03 80 92 E8 0F 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 27 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 2F 00 00 14 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 23 00 F9 03 00 00 14 08 00 80 D2 E8 23 00 F9 E8 23 40 F9 E8 1B 00 F9 E9 27 40 F9 E8 0F 40 F9 28 7D 08 9B E8 17 00 F9 E4 13 40 B9 E3 33 40 F9 E2 17 40 B9 E1 17 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 10 00 00 14 E9 17 40 F9 E8 1B 40 F9 1F 01 09 EB 62 01 00 54 E9 17 40 F9 E8 1B 40 F9 22 01 08 CB E9 1F 40 F9 E8 1B 40 F9 20 01 08 8B 42 00 00 91 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 1F 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_73_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 124
		refs = "001c __local_stdio_printf_options 0040 __stdio_common_vsprintf_s"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 ?? ?? ?? ?? E0 27 00 F9 E5 13 40 F9 E4 17 40 F9 E3 1B 40 F9 E2 1F 40 F9 E1 23 40 F9 E8 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 17 00 B9 03 00 00 14 E8 13 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_79_0 {
	meta:
		name = "_vswprintf_c_l"
		size = 124
		refs = "001c __local_stdio_printf_options 0040 __stdio_common_vswprintf"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 ?? ?? ?? ?? E0 27 00 F9 E5 13 40 F9 E4 17 40 F9 E3 1B 40 F9 E2 1F 40 F9 E1 23 40 F9 E8 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 17 00 B9 03 00 00 14 E8 13 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_270_74_0 {
	meta:
		name = "sprintf_s"
		size = 108
		refs = "0024 ??$__vcrt_va_start_verify_argument_type@QEBD@@YAXXZ 0044 _vsprintf_s_l"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 ?? ?? ?? ?? E8 23 01 91 E8 0F 00 F9 E4 0F 40 F9 03 00 80 D2 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C4 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_84_0 {
	meta:
		name = "swprintf"
		size = 108
		refs = "0024 ??$__vcrt_va_start_verify_argument_type@QEB_W@@YAXXZ 0044 _vswprintf_c_l"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 ?? ?? ?? ?? E8 23 01 91 E8 0F 00 F9 E4 0F 40 F9 03 00 80 D2 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C4 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_271_1_0 {
	meta:
		name = "__dcrt_terminate_console_output"
		size = 40
		refs = "0000 __dcrt_lowio_console_output_handle 0014 __imp_CloseHandle"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 08 08 00 91 1F 05 00 F1 A9 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 C0 03 5F D6 }
	condition:
		$1
}

rule file_435_1_0 {
	meta:
		name = "__dcrt_terminate_console_input"
		size = 40
		refs = "0000 __dcrt_lowio_console_input_handle 0014 __imp_CloseHandle"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 08 08 00 91 1F 05 00 F1 A9 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 C0 03 5F D6 }
	condition:
		$1
}

rule file_272_7_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
		size = 1900
		refs = "004c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CC@NFHGNMIC@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00cc _invalid_parameter 00e0 strnlen 0138 _CrtGetDebugFillThreshold 0188 memset 018c ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01d0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03e0 __acrt_LCMapStringA 04c8 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 050c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05a4 _MallocaComputeSize 05d0 ??_C@_0DB@BMFAIMIG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 05e0 _malloc_dbg 05f0 _MarkAllocaS 0614 ??0?$__crt_scoped_stack_ptr_tag@D@@QEAA@QEAD@Z 0628 ??0?$__crt_scoped_stack_ptr@D@@QEAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z 0634 ??B?$__crt_scoped_stack_ptr@D@@QEBA_NXZ 0678 ??1?$__crt_scoped_stack_ptr@D@@QEAA@XZ 0688 ?get@?$__crt_scoped_stack_ptr@D@@QEBAPEADXZ 0708 strcpy_s"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 FF 43 00 D1 E0 1B 00 F9 E1 13 00 F9 E2 23 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A3 01 00 14 E1 13 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 37 00 F9 E9 13 40 F9 E8 37 40 F9 1F 01 09 EB 03 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 40 03 00 54 E9 13 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 13 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 53 00 F9 E8 1B 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 42 01 00 14 E8 13 40 F9 1F 05 00 B1 A0 04 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 20 04 00 54 E8 37 40 F9 09 05 00 91 E8 13 40 F9 3F 01 08 EB 82 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E8 37 40 F9 09 05 00 91 E8 13 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 06 00 00 14 E8 37 40 F9 09 05 00 91 E8 13 40 F9 08 01 09 CB E8 5B 00 F9 E8 37 40 F9 09 05 00 91 E8 1B 40 F9 00 01 09 8B E2 5B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 23 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 04 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 02 00 54 E8 1F 40 F9 09 01 C0 39 29 01 00 11 28 0C 80 52 1F 01 09 6B AC 01 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F E9 01 71 0C 01 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 08 81 00 51 09 1D 00 13 E8 1F 40 F9 09 01 00 39 E6 FF FF 17 00 00 80 52 F4 00 00 14 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 23 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 06 00 80 52 05 00 80 D2 04 00 80 12 E3 1B 40 F9 02 40 80 52 21 01 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 E8 2F 00 B9 E9 2F 40 B9 08 00 80 52 1F 01 09 6B 61 01 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 48 05 80 52 28 01 00 B9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 00 01 40 B9 CF 00 00 14 E8 2F 40 B9 09 7D 40 93 E8 13 40 F9 1F 01 09 EB 02 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 40 03 00 54 E9 13 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 5F 00 F9 E8 13 40 F9 09 05 00 D1 E8 5F 40 F9 1F 01 09 EB 82 00 00 54 E8 5F 40 F9 E8 63 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 63 00 F9 E8 1B 40 F9 00 05 00 91 E2 63 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 73 00 00 14 E8 2F 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 1F 01 00 F1 80 02 00 54 E8 2F 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 93 00 F9 23 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 93 40 F9 ?? ?? ?? ?? E0 97 00 F9 A1 BB 9B 52 E0 97 40 F9 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 E8 67 00 F9 03 00 00 14 08 00 80 D2 E8 67 00 F9 E1 67 40 F9 E0 A3 05 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 01 01 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 BB 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 08 01 40 B9 E8 83 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 83 40 B9 38 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 AB 00 F9 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 23 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 E6 2F 40 B9 E5 AB 40 F9 04 00 80 12 E3 1B 40 F9 02 40 80 52 21 01 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 00 02 00 54 E0 23 01 91 ?? ?? ?? ?? E0 AF 00 F9 E2 AF 40 F9 E1 13 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 E8 8F 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 8F 40 B9 0F 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 B3 00 F9 E9 B3 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 93 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 93 40 B9 03 00 00 14 E0 23 01 91 ?? ?? ?? ?? FF 43 00 91 FD 7B D7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_272_13_0 {
	meta:
		name = "_strupr"
		size = 388
		refs = "000c __acrt_locale_changed 0058 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BA@DIKNJIGG@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?$AA@ 00d8 _invalid_parameter 0174 _strupr_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 0A 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 27 00 00 14 E8 17 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 02 00 54 E8 13 40 F9 09 01 C0 39 29 01 00 11 28 0C 80 52 1F 01 09 6B AC 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F E9 01 71 0C 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 08 81 00 51 09 1D 00 13 E8 13 40 F9 09 01 00 39 E6 FF FF 17 E0 17 40 F9 07 00 00 14 06 00 00 14 02 00 80 D2 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_273_0_0 {
	meta:
		name = "copysign"
		size = 96
		altNames = "copysignl"
	strings:
		$1 = { FF 83 00 D1 E0 07 00 FD E1 0B 00 FD E8 23 00 91 08 19 00 91 E8 03 00 F9 E8 43 00 91 08 19 00 91 E8 0F 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 09 79 10 12 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 01 11 12 28 01 08 2A 09 3D 00 53 E8 03 40 F9 09 01 00 79 E0 07 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_274_5_0 {
	meta:
		name = "_ismbchira_l"
		size = 100
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 C1 00 00 54 E8 53 90 52 68 02 08 4B 1F 49 01 71 20 00 80 52 49 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_274_7_0 {
	meta:
		name = "_ismbckata_l"
		size = 112
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 21 01 00 54 08 68 90 52 68 02 08 4B 1F 59 01 71 A8 00 00 54 E8 6F 90 52 7F 02 08 6B 20 00 80 52 41 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_274_9_0 {
	meta:
		name = "_ismbcsymbol_l"
		size = 112
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 21 01 00 54 28 28 90 52 68 02 08 4B 1F AD 01 71 A8 00 00 54 E8 2F 90 52 7F 02 08 6B 20 00 80 52 41 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_275_0_0 {
	meta:
		name = "modf"
		size = 368
	strings:
		$1 = { FF 43 01 D1 E0 03 00 FD E0 07 00 F9 F0 03 40 FD F0 17 00 FD E8 17 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 F9 40 92 E8 0F 00 F9 09 68 E8 D2 E8 0F 40 F9 1F 01 09 EB 23 03 00 54 09 FE EF D2 E8 0F 40 F9 1F 01 09 EB 49 01 00 54 E8 07 40 F9 F0 03 40 FD 10 01 00 FD F1 03 40 FD F0 03 40 FD 20 2A 70 1E 00 40 60 1E 3F 00 00 14 0B 00 00 14 E8 07 40 F9 F0 03 40 FD 10 01 00 FD E8 0B 40 F9 08 01 41 92 E8 1B 00 F9 F0 1B 40 FD F0 03 00 FD E0 03 40 FD 34 00 00 14 33 00 00 14 09 FE E7 D2 E8 0F 40 F9 1F 01 09 EB 42 01 00 54 E8 0B 40 F9 08 01 41 92 E8 1F 00 F9 E8 07 40 F9 F0 1F 40 FD 10 01 00 FD E0 03 40 FD 27 00 00 14 26 00 00 14 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 E8 23 00 F9 28 00 80 D2 E8 13 00 F9 89 06 80 D2 E8 23 40 F9 29 01 08 CB E8 13 40 F9 08 21 C9 9A 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 E9 03 28 AA E8 0B 40 F9 08 01 09 8A E8 27 00 F9 E8 07 40 F9 F0 27 40 FD 10 01 00 FD E8 07 40 F9 11 01 40 FD F0 03 40 FD 00 22 71 1E C1 00 00 54 F0 03 40 FD 08 22 60 1E 62 00 00 54 20 01 00 5C 06 00 00 14 F1 03 40 FD E8 07 40 F9 10 01 40 FD 20 3A 70 1E 00 40 60 1E FF 43 01 91 C0 03 5F D6 00 00 00 00 00 00 00 80 }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_3_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_6_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_9_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_1_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 164
		refs = "0038 ??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 E1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 F1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 0A 61 00 91 E8 0B 40 F9 09 01 12 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 37 91 08 00 80 12 28 01 00 B9 E8 0B 40 F9 09 B1 37 91 08 00 80 12 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_4_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 164
		refs = "0038 ??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 E1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 F1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 0A 61 00 91 E8 0B 40 F9 09 01 12 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 37 91 08 00 80 12 28 01 00 B9 E8 0B 40 F9 09 B1 37 91 08 00 80 12 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_7_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 164
		refs = "0038 ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 E1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 F1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 0A 61 00 91 E8 0B 40 F9 09 01 12 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 37 91 08 00 80 12 28 01 00 B9 E8 0B 40 F9 09 B1 37 91 08 00 80 12 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_10_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 164
		refs = "0038 ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 E1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 F1 11 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 0A 61 00 91 E8 0B 40 F9 09 01 12 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 37 91 08 00 80 12 28 01 00 B9 E8 0B 40 F9 09 B1 37 91 08 00 80 12 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_2_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 108
		refs = "0048 ??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E8 0F 40 F9 05 01 40 F9 E8 13 40 F9 04 01 40 F9 E8 17 40 F9 03 01 40 F9 E8 1B 40 F9 02 01 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 C1 11 91 08 00 80 52 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_5_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 108
		refs = "0048 ??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E8 0F 40 F9 05 01 40 F9 E8 13 40 F9 04 01 40 F9 E8 17 40 F9 03 01 40 F9 E8 1B 40 F9 02 01 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 C1 11 91 08 00 80 52 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_8_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 108
		refs = "0048 ??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E8 0F 40 F9 05 01 40 F9 E8 13 40 F9 04 01 40 F9 E8 17 40 F9 03 01 40 F9 E8 1B 40 F9 02 01 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 C1 11 91 08 00 80 52 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_11_0 {
	meta:
		name = "??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 108
		refs = "0048 ??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E8 0F 40 F9 05 01 40 F9 E8 13 40 F9 04 01 40 F9 E8 17 40 F9 03 01 40 F9 E8 1B 40 F9 02 01 40 F9 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 C1 11 91 08 00 80 52 28 01 00 B9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_32_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEBDAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_33_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEB_WAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_34_0 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_a2288fdbbd702c8f223b438290af01a4>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEBDAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_a2288fdbbd702c8f223b438290af01a4>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_a2288fdbbd702c8f223b438290af01a4>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_35_2 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_ee59099aa97e0ff6f003b984c1584058>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEB_WAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_ee59099aa97e0ff6f003b984c1584058>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_ee59099aa97e0ff6f003b984c1584058>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_36_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_a31071773b9a94e445cbd5d04ef99106>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEBDAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_a31071773b9a94e445cbd5d04ef99106>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_a31071773b9a94e445cbd5d04ef99106>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_37_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@QEAA@AEBQEAU_iobuf@@AEBQEAU__crt_locale_pointers@@AEB_KAEBQEB_WAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 83 01 91 E1 C3 00 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_38_0 {
	meta:
		name = "??$common_vsnprintf_s@D@@YAH_KQEAD00QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 1540
		refs = "0058 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 0150 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0228 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z 0274 _CrtGetDebugFillThreshold 02dc memset 0498 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 4B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 37 00 F9 E5 47 00 F9 E6 43 00 F9 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 47 01 00 14 E8 17 40 F9 1F 01 00 F1 21 01 00 54 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 3C 01 00 14 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 09 01 00 14 08 00 80 12 E8 13 00 B9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 49 09 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 40 B9 E8 5B 00 B9 E8 17 40 F9 02 05 00 91 E5 43 40 F9 E4 47 40 F9 E3 37 40 F9 42 00 00 91 E1 13 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 13 00 B9 E8 13 40 B9 1F 09 00 31 A1 06 00 54 E8 0F 40 F9 1F 05 00 B1 A0 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 20 04 00 54 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 3F 01 08 EB 82 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 3B 00 F9 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 09 01 09 CB E8 3B 40 F9 1F 01 09 EB 82 00 00 54 E8 3B 40 F9 E8 3F 00 F9 06 00 00 14 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 08 01 09 CB E8 3F 00 F9 E8 17 40 F9 09 05 00 91 E8 13 40 F9 00 01 09 8B E2 3F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 08 01 40 B9 1F 89 00 71 C1 00 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 E8 5B 40 B9 28 01 00 B9 00 00 80 12 BB 00 00 14 2B 00 00 14 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 08 01 40 B9 E8 63 00 B9 E5 43 40 F9 E4 47 40 F9 E3 37 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 13 00 B9 E8 0F 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 13 40 B9 1F 09 00 31 21 02 00 54 E8 17 40 F9 1F 05 00 B1 C1 01 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 08 01 40 B9 1F 89 00 71 C1 00 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 E8 63 40 B9 28 01 00 B9 00 00 80 12 90 00 00 14 E8 13 40 B9 1F 01 00 71 2A 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 4F 00 F9 E8 0F 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 53 00 F9 E8 13 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 09 00 31 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 2D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 2D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 37 00 00 14 00 00 80 12 35 00 00 14 E8 0F 40 F9 1F 05 00 B1 20 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 04 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 3F 01 08 EB E2 03 00 54 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 E8 57 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 07 00 00 14 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 5B 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 13 40 F9 00 01 09 8B E2 5B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 4B 00 B9 03 00 00 14 E8 13 40 B9 E8 4B 00 B9 E0 4B 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_39_0 {
	meta:
		name = "??$common_vsnprintf_s@_W@@YAH_KQEA_W00QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 1592
		refs = "0058 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 0150 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0228 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z 0274 _CrtGetDebugFillThreshold 02f0 memset 04b8 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 4B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 37 00 F9 E5 47 00 F9 E6 43 00 F9 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 01 00 14 E8 17 40 F9 1F 01 00 F1 21 01 00 54 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 49 01 00 14 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 16 01 00 14 08 00 80 12 E8 13 00 B9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB E9 09 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 40 B9 E8 5B 00 B9 E8 17 40 F9 02 05 00 91 E5 43 40 F9 E4 47 40 F9 E3 37 40 F9 42 00 00 91 E1 13 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 13 00 B9 E8 13 40 B9 1F 09 00 31 41 07 00 54 E8 0F 40 F9 1F 05 00 B1 40 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB C0 04 00 54 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 3F 01 08 EB 22 04 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 3B 00 F9 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 09 01 09 CB E8 3B 40 F9 1F 01 09 EB 82 00 00 54 E8 3B 40 F9 E8 3F 00 F9 06 00 00 14 E8 17 40 F9 09 05 00 91 E8 0F 40 F9 08 01 09 CB E8 3F 00 F9 E9 3F 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 08 01 40 B9 1F 89 00 71 C1 00 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 E8 5B 40 B9 28 01 00 B9 00 00 80 12 C3 00 00 14 2B 00 00 14 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 08 01 40 B9 E8 63 00 B9 E5 43 40 F9 E4 47 40 F9 E3 37 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 13 00 B9 E8 0F 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 13 40 B9 1F 09 00 31 21 02 00 54 E8 17 40 F9 1F 05 00 B1 C1 01 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 08 01 40 B9 1F 89 00 71 C1 00 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 E8 63 40 B9 28 01 00 B9 00 00 80 12 98 00 00 14 E8 13 40 B9 1F 01 00 71 8A 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 4F 00 F9 E8 0F 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 09 00 31 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 2D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 2D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3C 00 00 14 00 00 80 12 3A 00 00 14 E8 0F 40 F9 1F 05 00 B1 C0 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 05 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 3F 01 08 EB 82 04 00 54 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 E8 57 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 07 00 00 14 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 B9 08 05 00 11 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 4B 00 B9 03 00 00 14 E8 13 40 B9 E8 4B 00 B9 E0 4B 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_40_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@D@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@D@1@@Z 0258 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 15 D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 39 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 15 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_44_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@D@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@D@1@@Z 0258 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 15 D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 39 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 15 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_41_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@_W@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@_W@1@@Z 0258 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 15 D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 79 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 15 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_45_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@_W@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@_W@1@@Z 0258 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 15 D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 79 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 15 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_42_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@D@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@D@1@@Z 0258 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 3B D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 39 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 3B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_43_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 1196
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 00dc _invalid_parameter 0128 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 01bc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0228 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0238 ??0?$string_output_adapter@_W@__crt_stdio_output@@QEAA@QEAU?$string_output_adapter_context@_W@1@@Z 0258 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z 0264 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 028c ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ 0294 ??1_LocaleUpdate@@QEAA@XZ 04a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 3B D1 E0 1B 00 F9 E1 0B 00 F9 E2 07 00 F9 E3 33 00 F9 E4 4F 00 F9 E5 53 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 EE 00 00 14 E8 07 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 E1 4F 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E9 A3 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E8 0B 40 F9 E8 37 00 F9 E8 07 40 F9 E8 3B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 1B 40 F9 E8 00 08 37 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 08 1D 00 53 E8 03 02 39 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E1 A3 01 91 E0 83 03 91 ?? ?? ?? ?? E0 5B 00 F9 E5 53 40 F9 E4 57 40 F9 E3 33 40 F9 E2 1B 40 F9 E1 5B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 77 00 F9 E0 C3 03 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 0B 40 F9 1F 01 00 F1 21 01 00 54 E8 03 40 B9 E8 47 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 80 00 00 14 E8 1B 40 F9 A8 05 00 36 E8 07 40 F9 1F 01 00 F1 A1 01 00 54 E8 03 40 B9 1F 01 00 71 40 01 00 54 08 00 80 12 E8 4B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4B 40 B9 70 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 20 01 00 54 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 11 00 00 14 E8 03 40 B9 1F 01 00 71 CB 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 3F 01 08 EB 29 01 00 54 08 00 80 12 E8 4F 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 4F 40 B9 53 00 00 14 4B 00 00 14 E8 1B 40 F9 28 04 08 36 E8 07 40 F9 1F 01 00 F1 41 00 00 54 1C 00 00 14 E8 03 40 B9 1F 01 00 71 AA 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 79 15 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 01 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 29 00 00 14 E8 07 40 F9 1F 01 00 F1 41 01 00 54 08 00 80 12 E8 53 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 53 40 B9 25 00 00 14 1D 00 00 14 E9 07 40 F9 E8 3F 40 F9 1F 01 09 EB 41 02 00 54 E8 07 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 28 00 80 12 E8 57 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 57 40 B9 10 00 00 14 08 00 00 14 E9 3F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 03 40 B9 E8 5B 00 B9 E0 C3 03 91 ?? ?? ?? ?? E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FF 83 3B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_46_0 {
	meta:
		name = "??$common_vsprintf_s@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 1024
		refs = "0054 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0120 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 01c4 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z 0218 _CrtGetDebugFillThreshold 0268 memset 02ac ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 4F 00 F9 E1 1F 00 F9 E2 0F 00 F9 E3 2B 00 F9 E4 4B 00 F9 E5 47 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C7 00 00 14 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 94 00 00 14 E5 47 40 F9 E4 4B 40 F9 E3 2B 40 F9 E2 0F 40 F9 E1 1F 40 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 8A 04 00 54 E9 1F 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 2F 00 F9 E8 0F 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 33 00 F9 E8 1F 40 F9 00 05 00 91 E2 33 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 09 00 31 41 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 31 00 00 14 2F 00 00 14 E8 13 40 B9 1F 01 00 71 8B 05 00 54 E8 0F 40 F9 1F 05 00 B1 20 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 04 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 3F 01 08 EB E2 03 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 37 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 09 01 09 CB E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 07 00 00 14 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 3B 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 1F 40 F9 00 01 09 8B E2 3B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 13 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_47_0 {
	meta:
		name = "??$common_vsprintf_s@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 1056
		refs = "0054 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0120 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 01c4 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z 0218 _CrtGetDebugFillThreshold 0274 memset 02b8 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 4F 00 F9 E1 1F 00 F9 E2 0F 00 F9 E3 2B 00 F9 E4 4B 00 F9 E5 47 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 CF 00 00 14 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 9C 00 00 14 E5 47 40 F9 E4 4B 40 F9 E3 2B 40 F9 E2 0F 40 F9 E1 1F 40 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 EA 04 00 54 E9 1F 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 2F 00 F9 E8 0F 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 33 00 F9 E9 33 40 F9 48 00 80 D2 22 7D 08 9B E8 1F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 13 40 B9 1F 09 00 31 41 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 36 00 00 14 34 00 00 14 E8 13 40 B9 1F 01 00 71 2B 06 00 54 E8 0F 40 F9 1F 05 00 B1 C0 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 05 00 54 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 3F 01 08 EB 82 04 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 37 00 F9 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 09 01 09 CB E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 07 00 00 14 E8 13 40 B9 08 05 00 11 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 3B 00 F9 E9 3B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 B9 08 05 00 11 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E0 13 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_48_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 88
		refs = "0018 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 40 80 D2 07 00 00 14 E8 0F 40 F9 08 01 10 91 09 01 40 F9 48 00 80 D2 20 09 C8 9A 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_49_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 96
		refs = "0018 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 20 80 D2 09 00 00 14 E8 0F 40 F9 08 01 10 91 09 01 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 20 09 C8 9A 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_50_0 {
	meta:
		name = "??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ"
		size = 96
		refs = "0018 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ 004c ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ"
		altNames = "??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 0F 40 F9 00 01 00 91 00 00 00 91 07 00 00 14 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_52_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z"
		size = 344
		refs = "0034 _errno 006c ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ 00bc ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@ 00cc _malloc_dbg 00dc ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 010c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0128 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 09 00 80 92 E8 1B 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A 48 00 80 D2 28 09 C8 9A 1F 05 00 F1 02 01 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 41 00 00 14 E9 1B 40 F9 48 00 80 D2 28 7D 08 9B E8 13 00 F9 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 E8 13 40 F9 1F 01 10 F1 68 00 00 54 20 00 80 52 2F 00 00 14 E8 0F 40 F9 08 01 10 91 09 01 40 F9 E8 13 40 F9 1F 01 09 EB 68 00 00 54 20 00 80 52 27 00 00 14 83 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 4B 00 39 E0 A3 00 91 ?? ?? ?? ?? E0 4B 40 39 0F 00 00 14 E8 0F 40 F9 00 21 10 91 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 09 01 10 91 E8 13 40 F9 28 01 00 F9 28 00 80 52 E8 4F 00 39 E0 A3 00 91 ?? ?? ?? ?? E0 4F 40 39 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_53_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@C@__crt_stdio_output@@YACPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_54_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@C@__crt_stdio_output@@YACPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_55_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@C@__crt_stdio_output@@YACPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_56_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@C@__crt_stdio_output@@YACPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_57_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 68
		refs = "001c ??$read_va_arg@C@__crt_stdio_output@@YACAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 C0 39 08 01 00 11 09 7D 40 93 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@E@__crt_stdio_output@@YAEPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@E@__crt_stdio_output@@YAEPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_63_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@E@__crt_stdio_output@@YAEPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@E@__crt_stdio_output@@YAEPEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 68
		refs = "001c ??$read_va_arg@E@__crt_stdio_output@@YAEAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 09 7D 40 93 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_69_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_70_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_71_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 68
		refs = "001c ??$read_va_arg@F@__crt_stdio_output@@YAFAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 09 7D 40 93 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_77_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 09 1D 00 13 E8 1F 40 F9 09 01 00 39 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_78_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 09 1D 00 13 E8 1F 40 F9 09 01 00 39 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_79_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 64
		refs = "001c ??$read_va_arg@G@__crt_stdio_output@@YAGAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 40 79 09 1D 00 13 E8 13 40 F9 09 01 00 39 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_81_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_82_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_83_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_84_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 496
		refs = "002c ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6C 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 35 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 16 00 00 14 15 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 08 01 00 11 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_85_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 68
		refs = "001c ??$read_va_arg@G@__crt_stdio_output@@YAGAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 40 79 08 01 00 11 09 7D 40 93 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_89_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_90_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_91_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_92_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_93_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 64
		refs = "001c ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 09 7D 40 93 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_97_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 D3 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_98_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 D3 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_99_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 D3 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_100_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 492
		refs = "002c ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6B 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 15 00 00 14 14 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 7D 40 D3 E8 1F 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_101_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 64
		refs = "001c ??$read_va_arg@I@__crt_stdio_output@@YAIAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 09 7D 40 D3 E8 13 40 F9 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_105_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_106_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_114_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_118_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_129_2 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@X@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_130_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@X@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_145_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_146_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_153_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_154_3 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_107_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_108_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_122_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_126_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_131_2 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_132_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_147_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_148_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_155_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_156_3 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 1B 40 F9 E8 23 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_109_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAD@__crt_stdio_output@@YAPEADAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_113_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_115_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_116_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_117_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_119_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_120_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_121_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_123_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_124_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_125_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_127_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_128_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_133_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_134_2 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_135_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_136_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 60
		refs = "001c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_149_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_150_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_151_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_152_4 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_157_3 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_158_3 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_159_3 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_160_2 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 60
		refs = "001c ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_137_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 564
		refs = "002c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0140 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0194 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01d8 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 7D 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 46 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 01 04 00 54 E9 03 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 40 FD ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 23 00 00 14 22 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 FD E9 43 01 91 29 01 00 91 E8 23 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 63 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 1B 40 F9 29 01 00 91 E8 63 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_138_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 564
		refs = "002c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0140 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0194 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01d8 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 7D 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 46 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 01 04 00 54 E9 03 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 40 FD ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 23 00 00 14 22 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 FD E9 43 01 91 29 01 00 91 E8 23 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 63 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 1B 40 F9 29 01 00 91 E8 63 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_139_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 564
		refs = "002c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0140 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0194 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01d8 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 7D 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 46 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 01 04 00 54 E9 03 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 40 FD ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 23 00 00 14 22 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 FD E9 43 01 91 29 01 00 91 E8 23 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 63 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 1B 40 F9 29 01 00 91 E8 63 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_140_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 564
		refs = "002c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0140 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0194 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01d8 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 7D 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 46 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 01 04 00 54 E9 03 01 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 40 FD ?? ?? ?? ?? E0 2F 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 2F 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 23 00 00 14 22 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 FD E9 43 01 91 29 01 00 91 E8 23 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 63 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 1B 40 F9 29 01 00 91 E8 63 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_141_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 120
		refs = "001c ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E1 17 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 0F 00 FD E9 83 00 91 29 01 00 91 E8 63 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 E8 83 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 17 40 F9 29 01 00 91 E8 C3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_161_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 1F 40 F9 E8 43 40 79 28 01 00 79 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_162_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 1F 40 F9 E8 43 40 79 28 01 00 79 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_163_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 1F 40 F9 E8 43 40 79 28 01 00 79 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_164_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 488
		refs = "002c ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 008c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 _CrtDbgReportW 00d8 _errno 00fc ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 010c _invalid_parameter 0130 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 0184 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 01c8 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 6A 00 00 14 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 96 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 33 00 00 14 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 03 00 54 00 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 E2 33 40 B9 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 14 00 00 14 13 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 79 E9 1F 40 F9 E8 43 40 79 28 01 00 79 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_165_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 60
		refs = "001c ??$read_va_arg@_W@__crt_stdio_output@@YA_WAEAPEAD@Z"
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E9 13 40 F9 E8 23 40 79 28 01 00 79 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_169_0 {
	meta:
		name = "??$get_parameter_type@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z"
		size = 20
		altNames = "??$get_parameter_type@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z ??$get_parameter_type@D@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z ??$get_parameter_type@D@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAD@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$get_parameter_type@X@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z ??$get_parameter_type@X@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z ??$get_parameter_type@X@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z ??$get_parameter_type@X@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PEAX@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 60 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_181_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 80
		altNames = "??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 08 01 00 11 1F 8D 01 71 00 01 00 54 E8 03 C0 39 08 01 00 11 1F 0D 01 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_183_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 80
		altNames = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F 8D 01 71 00 01 00 54 E8 03 40 79 08 01 00 11 1F 0D 01 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_185_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 160
		altNames = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 08 01 00 11 1F 91 01 71 80 03 00 54 E8 03 C0 39 08 01 00 11 1F A5 01 71 00 03 00 54 E8 03 C0 39 08 01 00 11 1F BD 01 71 80 02 00 54 E8 03 C0 39 08 01 00 11 1F D5 01 71 00 02 00 54 E8 03 C0 39 08 01 00 11 1F E1 01 71 80 01 00 54 E8 03 C0 39 08 01 00 11 1F 61 01 71 00 01 00 54 E8 03 C0 39 08 01 00 11 1F A9 00 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_187_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 160
		altNames = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F 91 01 71 80 03 00 54 E8 03 40 79 08 01 00 11 1F A5 01 71 00 03 00 54 E8 03 40 79 08 01 00 11 1F BD 01 71 80 02 00 54 E8 03 40 79 08 01 00 11 1F D5 01 71 00 02 00 54 E8 03 40 79 08 01 00 11 1F E1 01 71 80 01 00 54 E8 03 40 79 08 01 00 11 1F 61 01 71 00 01 00 54 E8 03 40 79 08 01 00 11 1F A9 00 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_189_0 {
	meta:
		name = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 64
		altNames = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 08 01 00 11 1F C1 01 71 81 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_191_0 {
	meta:
		name = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 64
		altNames = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F C1 01 71 81 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_193_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 80
		altNames = "??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 08 01 00 11 1F CD 01 71 00 01 00 54 E8 03 C0 39 08 01 00 11 1F 4D 01 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_195_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 80
		altNames = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F CD 01 71 00 01 00 54 E8 03 40 79 08 01 00 11 1F 4D 01 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_197_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 236
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 39 E2 0B 00 B9 E8 0B 40 B9 E8 07 00 B9 E8 07 40 B9 1F 09 00 71 80 01 00 54 E8 07 40 B9 1F 0D 00 71 A0 00 00 54 E8 07 40 B9 1F 31 00 71 80 00 00 54 07 00 00 14 20 00 80 52 28 00 00 14 20 00 80 52 26 00 00 14 00 00 80 52 24 00 00 14 E8 0B 40 B9 1F 35 00 71 61 00 00 54 00 00 80 52 1F 00 00 14 08 00 80 52 E8 0F 00 39 E8 03 C0 39 08 01 00 11 1F 8D 01 71 00 01 00 54 E8 03 C0 39 08 01 00 11 1F CD 01 71 80 00 00 54 08 00 80 52 E8 07 00 39 03 00 00 14 28 00 80 52 E8 07 00 39 E8 07 40 39 E8 0B 00 39 E9 0B 40 39 29 01 00 11 08 00 80 52 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_198_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 280
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 79 E2 0F 00 B9 E8 0F 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 09 00 71 80 01 00 54 E8 0B 40 B9 1F 0D 00 71 A0 00 00 54 E8 0B 40 B9 1F 31 00 71 80 00 00 54 07 00 00 14 20 00 80 52 33 00 00 14 20 00 80 52 31 00 00 14 00 00 80 52 2F 00 00 14 E8 0F 40 B9 1F 35 00 71 61 00 00 54 20 00 80 52 2A 00 00 14 28 00 80 52 1F 01 00 71 C0 00 00 54 E8 0F 40 F9 88 00 10 36 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 0B 00 39 E8 0B 40 79 08 01 00 11 1F 8D 01 71 00 01 00 54 E8 0B 40 79 08 01 00 11 1F CD 01 71 80 00 00 54 08 00 80 52 E8 07 00 39 03 00 00 14 28 00 80 52 E8 07 00 39 E8 07 40 39 E8 0F 00 39 E9 0B 40 39 29 01 00 11 E8 0F 40 39 08 01 00 11 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_199_0 {
	meta:
		name = "??$peek_va_arg@C@__crt_stdio_output@@YACPEAD@Z"
		size = 120
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 F9 08 01 C0 39 E8 03 00 39 0E 00 00 14 09 00 80 D2 E8 07 40 F9 29 01 08 CB 08 00 80 D2 28 01 08 8A 09 21 00 91 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 C0 39 E8 03 00 39 E0 03 C0 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_200_0 {
	meta:
		name = "??$peek_va_arg@E@__crt_stdio_output@@YAEPEAD@Z"
		size = 120
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 39 E8 03 00 39 0E 00 00 14 09 00 80 D2 E8 07 40 F9 29 01 08 CB 08 00 80 D2 28 01 08 8A 09 21 00 91 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 39 E8 03 00 39 E0 03 40 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_201_0 {
	meta:
		name = "??$peek_va_arg@F@__crt_stdio_output@@YAFPEAD@Z"
		size = 116
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 F9 08 01 C0 79 E8 03 00 79 0D 00 00 14 09 00 80 D2 E8 07 40 F9 28 01 08 CB 08 01 40 92 09 21 00 91 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 C0 79 E8 03 00 79 E0 03 C0 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_202_0 {
	meta:
		name = "??$peek_va_arg@G@__crt_stdio_output@@YAGPEAD@Z"
		size = 116
		altNames = "??$peek_va_arg@_W@__crt_stdio_output@@YA_WPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 79 E8 03 00 79 0D 00 00 14 09 00 80 D2 E8 07 40 F9 28 01 08 CB 08 01 40 92 09 21 00 91 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 79 E8 03 00 79 E0 03 40 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_203_0 {
	meta:
		name = "??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
		size = 116
		altNames = "??$peek_va_arg@I@__crt_stdio_output@@YAIPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 03 00 B9 0D 00 00 14 09 00 80 D2 E8 07 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 21 00 D1 08 01 40 B9 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_205_0 {
	meta:
		name = "??$peek_va_arg@PEAD@__crt_stdio_output@@YAPEADPEAD@Z"
		size = 116
		altNames = "??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@PEAD@Z ??$peek_va_arg@PEAX@__crt_stdio_output@@YAPEAXPEAD@Z ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPEAD@Z ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 03 40 F9 08 21 00 91 E8 03 00 F9 E8 03 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 07 00 F9 0D 00 00 14 09 00 80 D2 E8 03 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 03 40 F9 08 21 00 D1 08 01 40 F9 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_211_0 {
	meta:
		name = "??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PEAD@Z"
		size = 140
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 03 40 F9 08 21 00 91 E8 03 00 F9 E8 03 40 F9 08 21 00 D1 08 01 40 F9 E9 23 00 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 10 00 00 14 09 00 80 D2 E8 03 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 03 40 F9 08 21 00 D1 E9 23 00 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 07 40 FD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_215_0 {
	meta:
		name = "??$puttc_nolock@AEBDPEAU_iobuf@@@?$__crt_char_traits@D@@SAHAEBD$$QEAPEAU_iobuf@@@Z"
		size = 60
		refs = "0028 _fputc_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 00 01 C0 39 00 00 00 11 E8 13 40 F9 01 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_216_0 {
	meta:
		name = "??$puttc_nolock@AEB_WPEAU_iobuf@@@?$__crt_char_traits@_W@@SAGAEB_W$$QEAPEAU_iobuf@@@Z"
		size = 52
		refs = "0020 _fputwc_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 79 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_115_0 {
	meta:
		name = "??$ungettc_nolock@AEBGPEAU_iobuf@@@?$__crt_char_traits@_W@@SAGAEBG$$QEAPEAU_iobuf@@@Z"
		size = 52
		refs = "0020 _ungetwc_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 79 ?? ?? ?? ?? E0 23 00 79 E0 23 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_217_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAEAPEAD@Z"
		size = 148
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 07 40 F9 08 01 40 F9 09 21 00 91 E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 C0 39 E8 03 00 39 12 00 00 14 09 00 80 D2 E8 07 40 F9 08 01 40 F9 29 01 08 CB 08 00 80 D2 28 01 08 8A 09 21 00 91 E8 07 40 F9 08 01 40 F9 09 01 09 8B E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 C0 39 E8 03 00 39 E0 03 C0 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_218_0 {
	meta:
		name = "??$read_va_arg@E@__crt_stdio_output@@YAEAEAPEAD@Z"
		size = 148
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 07 40 F9 08 01 40 F9 09 21 00 91 E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 39 E8 03 00 39 12 00 00 14 09 00 80 D2 E8 07 40 F9 08 01 40 F9 29 01 08 CB 08 00 80 D2 28 01 08 8A 09 21 00 91 E8 07 40 F9 08 01 40 F9 09 01 09 8B E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 39 E8 03 00 39 E0 03 40 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_219_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAEAPEAD@Z"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 07 40 F9 08 01 40 F9 09 21 00 91 E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 C0 79 E8 03 00 79 11 00 00 14 09 00 80 D2 E8 07 40 F9 08 01 40 F9 28 01 08 CB 08 01 40 92 09 21 00 91 E8 07 40 F9 08 01 40 F9 09 01 09 8B E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 C0 79 E8 03 00 79 E0 03 C0 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_220_0 {
	meta:
		name = "??$read_va_arg@G@__crt_stdio_output@@YAGAEAPEAD@Z"
		size = 144
		altNames = "??$read_va_arg@_W@__crt_stdio_output@@YA_WAEAPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 07 40 F9 08 01 40 F9 09 21 00 91 E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 79 E8 03 00 79 11 00 00 14 09 00 80 D2 E8 07 40 F9 08 01 40 F9 28 01 08 CB 08 01 40 92 09 21 00 91 E8 07 40 F9 08 01 40 F9 09 01 09 8B E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 79 E8 03 00 79 E0 03 40 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_221_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z"
		size = 144
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAEAPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 07 40 F9 08 01 40 F9 09 21 00 91 E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 03 00 B9 11 00 00 14 09 00 80 D2 E8 07 40 F9 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 07 40 F9 08 01 40 F9 09 01 09 8B E8 07 40 F9 09 01 00 F9 E8 07 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 B9 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_223_0 {
	meta:
		name = "??$read_va_arg@PEAD@__crt_stdio_output@@YAPEADAEAPEAD@Z"
		size = 144
		altNames = "??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@@__crt_stdio_output@@YAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AEAA_NXZ@AEAPEAD@Z ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z ??$read_va_arg@_K@__crt_stdio_output@@YA_KAEAPEAD@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 08 00 80 52 1F 01 00 71 A0 01 00 54 E8 03 40 F9 08 01 40 F9 09 21 00 91 E8 03 40 F9 09 01 00 F9 E8 03 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 07 00 F9 11 00 00 14 09 00 80 D2 E8 03 40 F9 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 E8 03 40 F9 08 01 40 F9 09 01 09 8B E8 03 40 F9 09 01 00 F9 E8 03 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_237_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z"
		size = 168
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 03 40 F9 08 01 40 F9 09 21 00 91 E8 03 40 F9 09 01 00 F9 E8 03 40 F9 08 01 40 F9 08 21 00 D1 08 01 40 F9 E9 23 00 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 14 00 00 14 09 00 80 D2 E8 03 40 F9 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 E8 03 40 F9 08 01 40 F9 09 01 09 8B E8 03 40 F9 09 01 00 F9 E8 03 40 F9 08 01 40 F9 08 21 00 D1 E9 23 00 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 07 40 FD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_242_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ"
		size = 140
		refs = "0018 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ 0034 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 0F 40 F9 09 01 00 91 E8 13 40 F9 20 01 08 8B 00 00 00 91 0D 00 00 14 E8 0F 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E9 17 40 F9 E8 1B 40 F9 20 01 08 8B 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_243_0 {
	meta:
		name = "??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z"
		size = 64
		refs = "002c strtol"
		altNames = "??$tcstol@PEBDPEAPEADH@?$__crt_char_traits@D@@SAJ$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_14_0 {
	meta:
		name = "??$tcserror_s@PEAD_KAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBH@Z"
		size = 64
		refs = "002c strerror_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_15_0 {
	meta:
		name = "??$tcserror_s@PEA_W_KAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBH@Z"
		size = 64
		refs = "002c _wcserror_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_244_0 {
	meta:
		name = "??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 64
		refs = "002c wcstol"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_246_0 {
	meta:
		name = "??$tcstol@PEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJ$$QEAPEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 64
		refs = "002c wcstol"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_247_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_248_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_249_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_250_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_251_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_252_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 388
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0110 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B 08 05 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 C0 05 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 43 00 39 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CC FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_253_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_254_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_255_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_256_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_257_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_258_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 412
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0118 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 48 00 80 D2 29 7D 08 9B E8 23 40 F9 08 01 09 8B 08 09 00 D1 E8 1B 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 17 40 B9 1F 01 00 71 20 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 EA 17 40 B9 E9 2B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 3D 00 53 E8 23 00 79 E9 17 40 B9 E8 2B 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 17 00 B9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C9 FF FF 17 E9 1B 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_259_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_260_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_261_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_262_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_263_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_264_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 396
		refs = "0024 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0038 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0058 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ 0118 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 47 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E9 23 40 F9 E8 27 40 F9 28 01 08 8B 08 05 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 00 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 1D 00 13 E8 43 00 39 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 43 C0 39 08 01 00 11 1F E5 00 71 2D 01 00 54 E0 43 C0 39 00 00 00 11 E1 47 40 39 00 00 00 11 ?? ?? ?? ?? E0 4B 00 39 E8 4B C0 39 E8 43 00 39 E8 13 40 F9 09 01 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 01 40 F9 09 05 00 D1 E8 13 40 F9 09 01 00 F9 CA FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 05 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_265_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_266_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_267_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_268_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_269_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_270_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 420
		refs = "0024 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0038 ??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0060 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ 0120 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 2B 00 B9 E3 4B 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 08 09 00 D1 E8 1F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 8C 00 00 54 E8 1B 40 F9 1F 01 00 F1 60 06 00 54 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 09 05 00 51 E8 0F 40 F9 08 E1 00 91 09 01 00 B9 E8 2B 40 B9 0A 7D 40 D3 E9 1B 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB 08 C1 00 91 08 3D 00 53 E8 23 00 79 E8 2B 40 B9 09 7D 40 D3 E8 1B 40 F9 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 1B 00 F9 E8 23 40 79 08 01 00 11 1F E5 00 71 4D 01 00 54 E0 23 40 79 00 00 00 11 E1 4B 40 39 00 00 00 11 ?? ?? ?? ?? E0 4F 00 39 E8 4F C0 39 08 3D 00 53 E8 23 00 79 E8 23 40 79 08 1D 00 13 09 3D 00 53 E8 13 40 F9 08 01 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 C7 FF FF 17 E9 1F 40 F9 E8 13 40 F9 08 01 40 F9 28 01 08 CB 08 FD 41 93 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_271_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z"
		size = 112
		refs = "004c ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E2 1B 00 B9 E3 13 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B 6A 01 00 54 E2 13 40 F9 E1 43 C0 39 E0 17 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 01 40 B9 1F 05 00 31 41 00 00 54 02 00 00 14 F0 FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_273_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z"
		size = 112
		refs = "004c ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E2 1B 00 B9 E3 13 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B 6A 01 00 54 E2 13 40 F9 E1 43 C0 39 E0 17 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 01 40 B9 1F 05 00 31 41 00 00 54 02 00 00 14 F0 FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_272_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z"
		size = 120
		refs = "0054 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E2 1B 00 B9 E3 13 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B AA 01 00 54 E8 43 C0 39 01 3D 00 53 E2 13 40 F9 21 00 00 11 E0 17 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 01 40 B9 1F 05 00 31 41 00 00 54 02 00 00 14 EE FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_274_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z"
		size = 120
		refs = "0054 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E2 1B 00 B9 E3 13 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B AA 01 00 54 E8 43 C0 39 01 3D 00 53 E2 13 40 F9 21 00 00 11 E0 17 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 01 40 B9 1F 05 00 31 41 00 00 54 02 00 00 14 EE FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_294_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IEAA@XZ"
		size = 276
		refs = "0038 ??0__crt_deferred_errno_cache@@QEAA@XZ 00f8 ??0formatting_buffer@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 61 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 81 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 A1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 D1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 E1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 01 01 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 09 05 01 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_295_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IEAA@XZ"
		size = 276
		refs = "0038 ??0__crt_deferred_errno_cache@@QEAA@XZ 00f8 ??0formatting_buffer@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 61 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 81 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 A1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 D1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 E1 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 01 01 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 09 09 01 91 08 00 80 52 28 01 00 79 E8 0B 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 0B 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_296_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 168
		refs = "0024 ??0?$common_data@D@__crt_stdio_output@@IEAA@XZ"
		altNames = "??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 17 00 F9 E3 1F 00 F9 E4 1B 00 F9 E5 23 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 83 00 91 29 01 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 11 91 29 01 00 91 E8 83 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 00 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 61 00 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 81 00 91 E8 23 40 F9 28 01 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_298_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 168
		refs = "0024 ??0?$common_data@_W@__crt_stdio_output@@IEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 17 00 F9 E3 1F 00 F9 E4 1B 00 F9 E5 23 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 83 00 91 29 01 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 11 91 29 01 00 91 E8 83 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 00 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 61 00 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 81 00 91 E8 23 40 F9 28 01 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_299_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 168
		refs = "0024 ??0?$common_data@_W@__crt_stdio_output@@IEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 17 00 F9 E3 1F 00 F9 E4 1B 00 F9 E5 23 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 F9 E9 83 00 91 29 01 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 11 91 29 01 00 91 E8 83 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 00 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 61 00 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 81 00 91 E8 23 40 F9 28 01 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_300_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_301_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_302_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_303_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_304_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_305_0 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_306_0 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_307_2 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_308_4 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_309_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_310_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_311_3 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		refs = "0038 ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 63 00 91 E4 83 00 91 E3 A3 00 91 E2 C3 00 91 E1 1F 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_312_0 {
	meta:
		name = "??0?$stream_output_adapter@D@__crt_stdio_output@@QEAA@QEAU_iobuf@@@Z"
		size = 48
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z"
		altNames = "??0?$stream_output_adapter@_W@__crt_stdio_output@@QEAA@QEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 01 00 91 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_317_0 {
	meta:
		name = "??0__acrt_stdio_temporary_buffering_guard@@QEAA@QEAU_iobuf@@@Z"
		size = 72
		refs = "0024 __acrt_stdio_begin_temporary_buffering_nolock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 0F 40 F9 09 21 00 91 E8 43 40 39 28 01 00 39 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_318_0 {
	meta:
		name = "??0__crt_deferred_errno_cache@@QEAA@XZ"
		size = 36
		altNames = "??0__crt_stdio_stream@@QEAA@XZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_319_0 {
	meta:
		name = "??0__crt_errno_guard@@QEAA@QEAH@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 07 40 F9 09 01 00 91 E8 03 40 F9 28 01 00 F9 E8 07 40 F9 09 21 00 91 E8 03 40 F9 08 01 40 B9 28 01 00 B9 E9 03 40 F9 08 00 80 52 28 01 00 B9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_321_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		size = 64
		refs = "002c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 09 01 10 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 00 21 10 91 01 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_323_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QEAA@XZ"
		size = 36
		refs = "0018 ??1formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_354_0 {
	meta:
		name = "??1__acrt_stdio_temporary_buffering_guard@@QEAA@XZ"
		size = 48
		refs = "0024 __acrt_stdio_end_temporary_buffering_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 09 01 00 91 E8 0B 40 F9 08 21 00 91 21 01 40 F9 00 01 40 39 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_355_0 {
	meta:
		name = "??1__crt_errno_guard@@QEAA@XZ"
		size = 88
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 F9 08 01 40 B9 1F 01 00 71 A1 01 00 54 E8 03 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 00 01 00 54 E8 03 40 F9 0A 21 00 91 E8 03 40 F9 08 01 00 91 09 01 40 F9 48 01 40 B9 28 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_356_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 21 10 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_357_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
		size = 76
		refs = "0014 ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 0B 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_179_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
		size = 76
		refs = "0014 ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 0B 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_380_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 104
		altNames = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { FF 43 00 D1 E0 0F 00 B9 E1 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 08 80 52 E8 03 00 39 03 00 00 14 28 0C 80 52 E8 03 00 39 E8 03 C0 39 08 01 00 11 E8 07 00 B9 E8 07 40 B9 08 E5 00 51 08 05 00 51 E8 0B 00 B9 E9 0B 40 B9 E8 0F 40 B9 28 01 08 0B 00 1D 00 13 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_392_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 228
		altNames = "?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 E1 11 91 08 01 40 B9 09 05 00 11 E8 03 40 F9 08 E1 11 91 09 01 00 B9 E8 03 40 F9 08 E1 11 91 08 01 40 B9 1F 0D 00 71 61 00 00 54 00 00 80 52 28 00 00 14 E8 03 40 F9 08 E1 11 91 08 01 40 B9 1F 09 00 71 01 01 00 54 E8 03 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 1C 00 00 14 E8 03 40 F9 09 F1 11 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 A1 37 91 08 00 80 12 28 01 00 B9 E8 03 40 F9 09 B1 37 91 08 00 80 12 28 01 00 B9 E8 03 40 F9 09 D1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 E1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 0A 01 12 91 E8 03 40 F9 09 61 00 91 48 01 40 F9 28 01 00 F9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_396_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 96
		altNames = "?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 C1 11 91 08 01 40 B9 09 05 00 11 E8 07 40 F9 08 C1 11 91 09 01 00 B9 E8 07 40 F9 08 C1 11 91 08 01 40 B9 1F 09 00 71 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_400_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 404
	strings:
		$1 = { FF C3 00 D1 E0 0B 00 F9 E1 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 03 00 39 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 0B 40 F9 09 01 C0 39 29 01 00 11 E8 03 C0 39 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F1 FF FF 17 E8 0B 40 F9 08 01 C0 39 08 01 00 11 E8 07 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 07 40 B9 1F 01 00 71 C0 07 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 95 01 71 40 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 15 01 71 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 EE FF FF 17 E8 0B 40 F9 E8 0F 00 F9 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 A1 00 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 F8 FF FF 17 E8 0B 40 F9 09 01 C0 39 29 01 00 11 E8 03 C0 39 08 01 00 11 3F 01 08 6B 81 00 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 01 C0 39 08 01 00 11 E8 0B 00 B9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0B 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_401_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 43 00 39 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 43 C0 39 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 43 C0 39 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 43 C0 39 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_403_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 43 00 39 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 43 C0 39 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 43 C0 39 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 43 C0 39 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_404_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 43 00 39 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 43 C0 39 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 43 C0 39 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 43 C0 39 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_405_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 43 00 39 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 43 C0 39 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 43 C0 39 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 43 C0 39 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_406_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 43 00 39 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 43 C0 39 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 43 C0 39 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 43 C0 39 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_407_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 23 40 79 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 23 40 79 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_409_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 23 40 79 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 23 40 79 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_410_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 23 40 79 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 23 40 79 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_411_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 23 40 79 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 23 40 79 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_412_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 232
		refs = "0014 ?state_transition_table@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPEBEXZ 0094 ?state_count@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 23 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E8 E3 00 91 E8 17 00 F9 E8 23 40 79 08 01 00 11 1F 81 00 71 6B 02 00 54 E8 23 40 79 08 01 00 11 1F E9 01 71 EC 01 00 54 E8 23 40 79 08 01 00 11 08 81 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 29 7D 08 1B E8 23 40 B9 28 01 08 0B E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 00 7D 04 13 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_413_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 296
		refs = "0020 tolower 0054 isdigit"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E8 17 40 F9 00 01 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 95 01 71 C0 01 00 54 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 FE FF 54 E8 17 40 F9 00 01 C0 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F E1 01 71 81 00 00 54 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 17 40 F9 08 01 C0 39 E8 43 00 39 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 E9 17 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 08 01 C0 39 E8 47 00 39 E9 17 40 F9 E8 43 C0 39 28 01 00 39 E8 47 C0 39 E8 43 00 39 E8 17 40 F9 08 01 C0 39 08 01 00 11 E8 23 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 23 40 B9 1F 01 00 71 E1 FD FF 54 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_415_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QEAAAEAHXZ"
		size = 76
		refs = "0020 _errno"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 E8 0B 40 F9 08 01 00 91 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_417_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z"
		size = 20
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_419_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z"
		size = 20
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_421_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
		size = 20
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD 80 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_422_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z"
		size = 20
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 40 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_449_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z"
		size = 80
		altNames = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 07 00 B9 E8 07 40 F9 08 C1 00 91 09 01 40 B9 E8 07 40 B9 28 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_461_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 860
		refs = "0028 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 00b4 ??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 00e4 ??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01a0 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0204 ??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 02d4 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 17 00 F9 E2 4B 00 B9 E3 43 00 39 E4 33 00 B9 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 E8 47 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 E8 4B 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 4B 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E9 47 40 39 29 01 00 11 E8 4B 40 39 08 01 00 11 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 00 1D 00 53 00 00 00 11 AC 00 00 14 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 4F 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 53 00 39 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 57 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 5B 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 A1 01 00 54 E8 53 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 5B 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E9 4F 40 39 29 01 00 11 E8 53 40 39 08 01 00 11 3F 01 08 6B E1 00 00 54 E9 57 40 39 29 01 00 11 E8 5B 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 76 00 00 14 E8 17 40 F9 09 41 00 91 E8 17 40 F9 08 11 00 91 22 01 40 B9 01 01 C0 39 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 87 00 39 E2 33 40 B9 E1 43 C0 39 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 8B 00 39 E9 87 40 39 29 01 00 11 E8 8B 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 5A 00 00 14 20 00 80 52 58 00 00 14 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 5F 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 63 00 39 E8 5F 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 63 40 39 08 01 00 11 1F 01 00 71 C0 06 00 54 E9 5F 40 39 29 01 00 11 E8 63 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 3C 00 00 14 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 33 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E9 3B 40 B9 E8 3F 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 24 00 00 14 E8 17 40 F9 08 41 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 33 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 00 1D 00 53 00 00 00 11 0F 00 00 14 E8 17 40 F9 08 01 00 91 E9 4B 40 B9 08 01 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 00 1D 00 53 00 00 00 11 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_462_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 860
		refs = "0028 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 00b4 ??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 00e4 ??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01a0 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0204 ??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 02d4 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 17 00 F9 E2 4B 00 B9 E3 43 00 39 E4 33 00 B9 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 E8 47 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 E8 4B 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 4B 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E9 47 40 39 29 01 00 11 E8 4B 40 39 08 01 00 11 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 00 1D 00 53 00 00 00 11 AC 00 00 14 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 4F 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 53 00 39 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 57 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 5B 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 A1 01 00 54 E8 53 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 5B 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E9 4F 40 39 29 01 00 11 E8 53 40 39 08 01 00 11 3F 01 08 6B E1 00 00 54 E9 57 40 39 29 01 00 11 E8 5B 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 76 00 00 14 E8 17 40 F9 09 41 00 91 E8 17 40 F9 08 11 00 91 22 01 40 B9 01 01 C0 39 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 87 00 39 E2 33 40 B9 E1 43 C0 39 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 8B 00 39 E9 87 40 39 29 01 00 11 E8 8B 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 5A 00 00 14 20 00 80 52 58 00 00 14 E8 17 40 F9 08 11 00 91 00 01 C0 39 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 5F 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 63 00 39 E8 5F 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 63 40 39 08 01 00 11 1F 01 00 71 C0 06 00 54 E9 5F 40 39 29 01 00 11 E8 63 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 3C 00 00 14 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 33 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E9 3B 40 B9 E8 3F 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 24 00 00 14 E8 17 40 F9 08 41 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 33 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 00 1D 00 53 00 00 00 11 0F 00 00 14 E8 17 40 F9 08 01 00 91 E9 4B 40 B9 08 01 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 00 1D 00 53 00 00 00 11 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_463_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 860
		refs = "0028 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 00b4 ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 00e4 ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01a0 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0204 ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 02d4 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 17 00 F9 E2 4B 00 B9 E3 33 00 79 E4 33 00 B9 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 E8 43 00 39 E0 33 40 79 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 47 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 47 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E9 43 40 39 29 01 00 11 E8 47 40 39 08 01 00 11 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 00 1D 00 53 00 00 00 11 AC 00 00 14 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 4B 00 39 E0 33 40 79 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 4F 00 39 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 53 00 39 E0 33 40 79 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 57 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A1 01 00 54 E8 4F 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 53 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E9 4B 40 39 29 01 00 11 E8 4F 40 39 08 01 00 11 3F 01 08 6B E1 00 00 54 E9 53 40 39 29 01 00 11 E8 57 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 76 00 00 14 E8 17 40 F9 09 41 00 91 E8 17 40 F9 08 11 00 91 22 01 40 B9 01 01 40 79 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 8B 00 39 E2 33 40 B9 E1 33 40 79 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 8F 00 39 E9 8B 40 39 29 01 00 11 E8 8F 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 5A 00 00 14 20 00 80 52 58 00 00 14 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 5B 00 39 E0 33 40 79 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 5F 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 5F 40 39 08 01 00 11 1F 01 00 71 C0 06 00 54 E9 5B 40 39 29 01 00 11 E8 5F 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 3C 00 00 14 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 33 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E9 3B 40 B9 E8 3F 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 24 00 00 14 E8 17 40 F9 08 41 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 33 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 00 1D 00 53 00 00 00 11 0F 00 00 14 E8 17 40 F9 08 01 00 91 E9 4B 40 B9 08 01 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 00 1D 00 53 00 00 00 11 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_464_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 860
		refs = "0028 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 00b4 ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 00e4 ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01a0 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0204 ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 02d4 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 17 00 F9 E2 4B 00 B9 E3 33 00 79 E4 33 00 B9 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 E8 43 00 39 E0 33 40 79 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 47 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 47 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E9 43 40 39 29 01 00 11 E8 47 40 39 08 01 00 11 3F 01 08 6B 81 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 00 1D 00 53 00 00 00 11 AC 00 00 14 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 4B 00 39 E0 33 40 79 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 4F 00 39 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 53 00 39 E0 33 40 79 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 57 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A1 01 00 54 E8 4F 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 53 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E9 4B 40 39 29 01 00 11 E8 4F 40 39 08 01 00 11 3F 01 08 6B E1 00 00 54 E9 53 40 39 29 01 00 11 E8 57 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 76 00 00 14 E8 17 40 F9 09 41 00 91 E8 17 40 F9 08 11 00 91 22 01 40 B9 01 01 40 79 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 8B 00 39 E2 33 40 B9 E1 33 40 79 E8 2B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 8F 00 39 E9 8B 40 39 29 01 00 11 E8 8F 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 5A 00 00 14 20 00 80 52 58 00 00 14 E8 17 40 F9 08 11 00 91 00 01 40 79 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 5B 00 39 E0 33 40 79 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 5F 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 5F 40 39 08 01 00 11 1F 01 00 71 C0 06 00 54 E9 5B 40 39 29 01 00 11 E8 5F 40 39 08 01 00 11 3F 01 08 6B 60 00 00 54 00 00 80 52 3C 00 00 14 E8 17 40 F9 08 41 00 91 08 01 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 33 40 B9 1F 25 00 71 81 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E9 3B 40 B9 E8 3F 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 24 00 00 14 E8 17 40 F9 08 41 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 E8 33 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 00 1D 00 53 00 00 00 11 0F 00 00 14 E8 17 40 F9 08 01 00 91 E9 4B 40 B9 08 01 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 00 1D 00 53 00 00 00 11 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_479_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 280
		refs = "001c ?get@__crt_deferred_errno_cache@@QEAAAEAHXZ 002c ??0__crt_errno_guard@@QEAA@QEAH@Z 006c ??$tcstol@PEBDPEAPEADH@?$__crt_char_traits@D@@SAJ$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z 00b0 ??1__crt_errno_guard@@QEAA@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 F9 E8 0F 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 37 00 F9 08 00 80 D2 E8 17 00 F9 48 01 80 52 E8 23 00 B9 E8 A3 00 91 E8 1F 00 F9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 08 05 00 D1 E8 23 00 F9 E2 83 00 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 F9 E8 27 40 B9 28 01 00 B9 E8 0F 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 40 B9 1F 89 00 71 E1 00 00 54 08 00 80 52 E8 43 00 39 E0 63 01 91 ?? ?? ?? ?? E0 43 40 39 16 00 00 14 E8 0F 40 F9 08 61 00 91 09 01 40 F9 E8 17 40 F9 1F 01 09 EB E2 00 00 54 08 00 80 52 E8 47 00 39 E0 63 01 91 ?? ?? ?? ?? E0 47 40 39 0A 00 00 14 E8 0F 40 F9 09 61 00 91 E8 17 40 F9 28 01 00 F9 28 00 80 52 E8 4B 00 39 E0 63 01 91 ?? ?? ?? ?? E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_485_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 280
		refs = "001c ?get@__crt_deferred_errno_cache@@QEAAAEAHXZ 002c ??0__crt_errno_guard@@QEAA@QEAH@Z 006c ??$tcstol@PEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJ$$QEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00b0 ??1__crt_errno_guard@@QEAA@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 F9 E8 0F 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 37 00 F9 08 00 80 D2 E8 17 00 F9 48 01 80 52 E8 23 00 B9 E8 A3 00 91 E8 1F 00 F9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 08 09 00 D1 E8 23 00 F9 E2 83 00 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 F9 E8 27 40 B9 28 01 00 B9 E8 0F 40 F9 00 41 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 40 B9 1F 89 00 71 E1 00 00 54 08 00 80 52 E8 43 00 39 E0 63 01 91 ?? ?? ?? ?? E0 43 40 39 16 00 00 14 E8 0F 40 F9 08 61 00 91 09 01 40 F9 E8 17 40 F9 1F 01 09 EB E2 00 00 54 08 00 80 52 E8 47 00 39 E0 63 01 91 ?? ?? ?? ?? E0 47 40 39 0A 00 00 14 E8 0F 40 F9 09 61 00 91 E8 17 40 F9 28 01 00 F9 28 00 80 52 E8 4B 00 39 E0 63 01 91 ?? ?? ?? ?? E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_491_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLC@PMCLHHAE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_492_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLI@FOCNEPKJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_493_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BKA@IIAAOGBO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_494_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLC@INKIGOCN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_495_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLI@EGFICANE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_496_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BKA@DNADAJMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_497_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMK@CPBKHDIH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_498_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BNA@HGLCOOBP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_499_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLI@EEAAPJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_500_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMK@JGIBNIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_501_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BNA@OIIAGHJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_502_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 1064
		refs = "0018 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ 0074 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLI@IKDKMDHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter 0104 ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c4 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z 01e0 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0248 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0318 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0330 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0348 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0360 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0378 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0390 ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03a8 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03c0 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 03f0 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 A1 11 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 FB 00 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 33 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 CB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C9 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 17 00 54 E8 0F 40 F9 09 41 01 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 09 B1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 61 00 91 0A 01 40 F9 E8 0F 40 F9 09 09 01 91 48 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 0F 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 47 40 B9 1F 01 00 71 E0 12 00 54 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 12 00 54 E8 0F 40 F9 09 B1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 0F 40 F9 09 B1 00 91 E8 4B 40 B9 28 01 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 89 00 00 14 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 1F 21 00 71 21 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 CD 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 54 00 00 14 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 B1 00 91 08 01 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 1D 00 71 E8 06 00 54 EA 3F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 0E 14 1A 20 26 2C E0 0F 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 0F 00 00 14 55 FF FF 17 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 3C FF FF 17 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_505_0 {
	meta:
		name = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
		size = 52
		altNames = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 08 C1 00 91 09 01 40 B9 E8 03 40 B9 29 01 08 2A E8 07 40 F9 08 C1 00 91 09 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_517_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 88
		altNames = "?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 21 01 00 54 E8 07 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 03 00 B9 03 00 00 14 28 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_525_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 116
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 01 01 00 54 E8 03 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 61 00 00 54 20 00 80 52 0E 00 00 14 E8 03 40 F9 08 E1 11 91 08 01 40 B9 1F 09 00 71 01 01 00 54 E8 03 40 F9 08 F1 11 91 08 01 40 B9 1F 01 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_529_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 20
		altNames = "?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ no_op_initialize"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_533_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 88
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 21 01 00 54 E8 07 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_541_0 {
	meta:
		name = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 36
		altNames = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 E1 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_553_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_554_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_555_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_556_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_557_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_558_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_559_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_560_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_561_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_562_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_563_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_564_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 184
		refs = "0068 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 13 00 B9 E8 13 40 B9 08 81 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 C8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0D 18 18 11 18 18 18 18 18 18 18 09 18 05 18 18 15 15 15 15 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 10 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 0C 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? 04 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_565_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMG@KOENKAMB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_566_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMM@BLBJDDIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_567_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLE@PAACOKDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_568_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMG@CGPDIFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_569_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMM@JGEKEBKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_570_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BLE@LCKPBJON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_571_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BNO@LMMLJOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_572_2 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BOE@NLICFINO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_573_4 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMM@JHGFKAND@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_574_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BNO@OHFFMOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_575_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BOE@IPKNNOEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_576_3 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 268
		refs = "0010 ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0034 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0074 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BMM@PGHHMNDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f4 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 36 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_577_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_578_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_579_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_580_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_581_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_582_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0058 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 05 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_583_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_584_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_585_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_586_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_587_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_588_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 104
		refs = "0014 ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0058 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 02 A1 00 91 E8 0F 40 F9 09 09 01 91 E8 0F 40 F9 00 A1 11 91 42 00 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_589_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BNC@BAMNIOCM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_590_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BNI@EJPCEBAG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_591_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BMA@MEBEEDJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_592_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BNC@JPKLPOHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_593_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BNI@EDCGAPJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_594_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 396
		refs = "0040 __acrt_isleadbyte_l_noupdate 0078 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z 00f4 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0118 _CrtDbgReportW 0140 _errno 0164 ??_C@_1BMA@FANDDEHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0174 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 43 00 39 E8 17 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 17 40 F9 09 21 00 91 E8 17 40 F9 08 05 01 91 00 01 C0 39 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 09 00 54 E8 17 40 F9 02 A1 00 91 E8 17 40 F9 09 05 01 91 E8 17 40 F9 00 A1 11 91 42 00 00 91 21 01 C0 39 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 08 61 00 91 0A 01 40 F9 E8 17 40 F9 09 05 01 91 48 01 C0 39 28 01 00 39 E8 17 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 17 40 F9 08 61 00 91 09 01 00 F9 E8 17 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 D6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_595_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 40
		altNames = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 E8 07 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_601_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 116
		altNames = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 D1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 01 01 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 E8 03 40 F9 09 F1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_613_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_614_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_615_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_616_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_617_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_618_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_619_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_620_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_621_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_622_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_623_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_624_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 188
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 E1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 1D 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 14 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0B 00 00 14 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 E1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_625_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMC@DAENMDAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_626_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMI@PKGBOKJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_627_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BLA@GJNGKGIK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_628_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMC@FAGJFBLI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_629_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMI@LKDDDFDL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_630_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BLA@MEDMHIOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_631_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BNK@ONPHCEAM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_632_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BOA@CBIEMBEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_633_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMI@DNMDMAAN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_634_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BNK@KHNJGCCP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_635_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BOA@BMEGDMHF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_636_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1504
		refs = "0044 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c4 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e8 _CrtDbgReportW 0110 _errno 0134 ??_C@_1BMI@KBPJOJJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0144 _invalid_parameter 019c ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 19 01 71 E1 01 00 54 E8 0B 40 F9 08 01 40 F9 48 01 18 37 E8 0B 40 F9 09 B1 00 91 E8 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E0 73 40 39 62 01 00 14 20 00 80 52 60 01 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 39 01 71 81 07 00 54 E8 0B 40 F9 08 01 40 F9 E8 06 18 37 E8 0B 40 F9 09 B1 00 91 08 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 EA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 23 01 00 14 00 00 80 52 21 01 00 14 20 00 80 52 1F 01 00 14 E8 0B 40 F9 08 F1 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 EB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 00 00 14 E8 0B 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F A9 01 71 AC 02 00 54 E8 1B 40 B9 1F A9 01 71 60 18 00 54 E8 1B 40 B9 1F 51 01 71 6C 01 00 54 E8 1B 40 B9 1F 51 01 71 A0 1A 00 54 E8 1B 40 B9 1F 25 01 71 A0 06 00 54 E8 1B 40 B9 1F 31 01 71 20 16 00 54 D4 00 00 14 E8 1B 40 B9 1F A1 01 71 A0 02 00 54 D0 00 00 14 E8 1B 40 B9 08 B1 01 51 E8 1B 00 B9 E8 1B 40 B9 1F 39 00 71 48 19 00 54 EA 1B 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 87 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 C4 00 AC 00 C4 00 C4 00 B8 00 C4 00 C4 00 B2 00 B2 00 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 48 00 80 52 28 01 00 B9 20 00 80 52 A5 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 48 01 80 52 28 01 00 B9 4A 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 11 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 2F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 91 01 71 80 04 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A5 01 71 A0 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F BD 01 71 C0 02 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F D5 01 71 E0 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E1 01 71 00 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 61 01 71 A1 00 00 54 E8 0B 40 F9 09 F1 00 91 28 01 80 52 28 01 00 B9 20 00 80 52 3F 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 09 F1 00 91 88 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 00 91 68 00 80 52 28 01 00 B9 20 00 80 52 26 00 00 14 E8 0B 40 F9 09 F1 00 91 08 01 80 52 28 01 00 B9 20 00 80 52 20 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 00 80 52 28 01 00 B9 20 00 80 52 1A 00 00 14 E8 0B 40 F9 09 F1 00 91 E8 00 80 52 28 01 00 B9 20 00 80 52 14 00 00 14 E8 0B 40 F9 09 F1 00 91 C8 00 80 52 28 01 00 B9 20 00 80 52 0E 00 00 14 E8 0B 40 F9 09 F1 00 91 88 01 80 52 28 01 00 B9 20 00 80 52 08 00 00 14 E8 0B 40 F9 09 F1 00 91 A8 01 80 52 28 01 00 B9 20 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_637_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_638_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_639_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_640_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_641_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_642_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1540
		refs = "0090 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00a8 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c0 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00d8 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f0 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0108 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0120 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0138 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0150 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0168 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01ac ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0210 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0454 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 04f4 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 052c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 059c ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 05 01 51 E8 4B 00 B9 E8 4B 40 B9 1F DD 00 71 A8 0A 00 54 EA 4B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 E8 43 00 39 3C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 E8 43 00 39 36 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 E8 43 00 39 30 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 E8 43 00 39 2A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 E8 43 00 39 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 E8 43 00 39 1E 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 E8 43 00 39 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 E8 43 00 39 12 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E3 00 39 E8 E3 40 39 E8 43 00 39 0C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 40 39 E8 43 00 39 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 01 39 E8 1B 41 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 16 01 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 01 39 E8 17 41 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0D 01 00 14 E8 0F 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 05 01 00 14 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 08 00 80 D2 E8 17 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1F 01 39 E8 1F 41 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B A8 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 26 00 00 14 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 EF 00 39 E8 EF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 68 05 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 13 00 00 14 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F3 00 39 E8 F3 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 04 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 F7 00 39 E8 F7 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 FB 00 39 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 FF 00 39 E8 FB 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 FF 40 39 08 01 00 11 1F 01 00 71 40 05 00 54 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B 08 06 80 52 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 61 01 71 40 01 00 54 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 8B 00 39 03 00 00 14 28 00 80 52 E8 8B 00 39 E1 8B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 03 01 39 E9 17 40 F9 28 00 80 D2 29 7D 08 9B E8 93 00 91 09 01 09 8B E8 03 C1 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 0F 40 F9 09 D1 00 91 E8 0F 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 17 40 F9 28 01 08 CB 08 01 00 11 E8 4F 00 B9 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 07 01 39 E8 07 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 04 41 00 91 E8 0F 40 F9 03 A1 00 91 E8 17 40 F9 02 01 00 11 E8 0F 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 93 00 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 01 39 E8 0B 41 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 01 39 E8 0F 41 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 01 39 E8 13 41 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 03 A1 00 91 E8 0F 40 F9 00 A1 11 91 63 00 00 91 E2 4F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_643_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_644_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_645_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_646_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_647_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_648_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1560
		refs = "0008 __security_push_cookie 0098 ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b0 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00c8 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e0 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f8 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0110 ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0128 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0140 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0158 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0170 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0188 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01b4 ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0218 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 045c ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0500 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 0538 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 05a8 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 060c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E0 07 00 F9 08 00 80 52 E8 03 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 01 51 E8 3B 00 B9 E8 3B 40 B9 1F DD 00 71 A8 0A 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 20 4F 0E 4F 20 20 20 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 4F 1A 4F 4F 4F 4F 38 4F 14 4F 4F 4F 4F 4F 4F 20 4F 0E 26 20 20 20 4F 26 4F 4F 4F 4F 4A 32 44 4F 4F 1A 4F 2C 4F 4F 3E E0 07 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 3C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 36 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 30 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 2A 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 24 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 03 00 39 1E 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 03 00 39 18 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 E8 03 00 39 12 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 03 00 39 0C 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 03 00 39 06 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 E8 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 17 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0E 01 00 14 E8 07 40 F9 08 01 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 01 00 14 E9 03 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 28 09 00 79 08 00 80 D2 E8 0F 00 F9 01 02 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 01 08 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B A8 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 26 00 00 14 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 68 05 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 13 00 00 14 41 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 04 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F E1 01 71 E0 00 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 01 04 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 BF 00 39 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 47 00 39 03 00 00 14 28 00 80 52 E8 47 00 39 E8 47 40 39 E8 C3 00 39 E8 BF 40 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 09 01 09 8B 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 61 01 71 40 01 00 54 E8 07 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 80 00 00 54 08 00 80 52 E8 4B 00 39 03 00 00 14 28 00 80 52 E8 4B 00 39 E1 4B 40 39 20 0A 80 52 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 0A 3D 00 53 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 03 01 91 08 01 09 8B 0A 01 00 79 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 09 D1 00 91 E8 07 40 F9 08 41 01 91 29 01 40 B9 08 01 40 B9 28 01 08 4B 09 7D 40 93 E8 0F 40 F9 28 01 08 CB 08 01 00 11 E8 3F 00 B9 81 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 04 41 00 91 E8 07 40 F9 03 A1 00 91 E8 0F 40 F9 02 01 00 11 E8 07 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 00 00 11 E1 03 01 91 00 00 00 91 ?? ?? ?? ?? 01 01 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 06 80 52 00 00 00 91 ?? ?? ?? ?? 01 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 01 00 71 4B 02 00 54 81 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 07 40 F9 03 A1 00 91 E8 07 40 F9 00 A1 11 91 63 00 00 91 E2 3F 40 B9 01 04 80 52 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_649_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_650_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_651_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_652_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_653_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_654_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_655_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_656_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_657_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_658_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_659_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_660_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 212
		refs = "0034 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0048 ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 006c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F A9 00 71 20 01 00 54 E8 0F 40 F9 01 D1 00 91 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 23 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 11 00 00 14 E8 0F 40 F9 08 D1 00 91 08 01 40 B9 1F 01 00 71 6A 01 00 54 81 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 D1 00 91 08 01 40 B9 E9 03 08 4B E8 0F 40 F9 08 D1 00 91 09 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_677_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADD@Z"
		size = 32
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 39 E8 07 40 F9 00 21 01 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_678_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
		size = 40
		refs = "0014 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADD@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_679_0 {
	meta:
		name = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
		size = 40
		refs = "0014 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_W_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_12_0 {
	meta:
		name = "_mkgmtime64"
		size = 40
		refs = "0014 ??$common_mktime@_J@@YA_JQEAUtm@@_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_680_0 {
	meta:
		name = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_W_W@Z"
		size = 32
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 E8 07 40 F9 00 21 01 91 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_681_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
		size = 160
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 E8 03 00 B9 E8 03 40 B9 1F 2D 00 71 E8 03 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 09 0B 0D 0F 11 19 13 15 17 80 00 80 D2 16 00 00 14 20 00 80 D2 14 00 00 14 40 00 80 D2 12 00 00 14 80 00 80 D2 10 00 00 14 00 01 80 D2 0E 00 00 14 00 01 80 D2 0C 00 00 14 00 01 80 D2 0A 00 00 14 00 01 80 D2 08 00 00 14 00 01 80 D2 06 00 00 14 80 00 80 D2 04 00 00 14 00 01 80 D2 02 00 00 14 00 00 80 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_682_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_683_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_684_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_685_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_686_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_687_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_688_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_689_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_690_4 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_691_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_692_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_693_3 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_694_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_695_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_696_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_697_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_698_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_699_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_700_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_701_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_702_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_703_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_704_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_705_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 428
		refs = "001c ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0080 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 00a4 strlen 00f4 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 13 00 F9 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 5B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 52 00 00 14 E8 13 40 F9 1F 01 00 F1 C0 00 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 34 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 48 00 80 52 29 0D C8 1A E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 12 00 00 14 E8 13 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 01 91 48 01 40 F9 28 01 00 F9 E8 13 40 F9 08 01 00 91 09 01 40 79 29 01 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_706_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_707_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0044 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_708_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_709_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_710_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0044 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_711_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1088
		refs = "0018 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0284 __acrt_fp_format 0290 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d4 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0340 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0414 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FE 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F5 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 94 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 05 01 91 05 01 C0 39 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 05 01 91 08 01 C0 39 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 05 01 91 68 0E 80 52 28 01 00 39 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_712_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_713_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0044 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_714_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_715_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_716_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0044 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_717_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 1092
		refs = "0018 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0020 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0044 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0148 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 016c ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0198 ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 01c8 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 01f4 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 0208 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 0288 __acrt_fp_format 0294 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 02d8 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0344 ?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z 0418 strlen"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 FF 43 00 D1 E0 13 00 F9 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 FF 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 F6 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 EA 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 85 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 05 01 71 C1 00 00 54 E8 13 40 F9 09 E1 00 91 A8 01 80 52 28 01 00 B9 05 00 00 14 E8 13 40 F9 09 E1 00 91 C8 00 80 52 28 01 00 B9 16 00 00 14 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 A1 00 00 54 E8 13 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 E8 13 40 F9 08 E1 00 91 08 01 40 B9 08 75 05 11 01 7D 40 93 E8 13 40 F9 00 61 01 91 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 75 05 D1 09 01 00 11 E8 13 40 F9 08 E1 00 91 09 01 00 B9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 09 21 01 91 E8 23 40 F9 28 01 00 F9 E9 C3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 95 00 00 14 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 13 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 0A 21 00 91 E8 13 40 F9 09 E1 00 91 E8 13 40 F9 08 09 01 91 08 01 40 79 05 1D 00 13 A5 00 00 11 48 01 40 F9 E8 03 00 F9 E8 13 40 F9 07 01 40 F9 26 01 40 B9 A5 00 00 11 E4 27 40 F9 E3 2B 40 F9 E2 2F 40 F9 E1 33 40 F9 E0 C3 00 91 ?? ?? ?? ?? 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 9D 01 71 E0 00 00 54 E8 13 40 F9 08 09 01 91 08 01 40 79 08 01 00 11 1F 1D 01 71 01 02 00 54 01 04 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 01 91 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 61 01 00 54 01 08 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 01 91 09 01 00 F9 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F A5 01 71 C0 02 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 25 01 71 E0 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F B9 01 71 00 01 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 39 01 71 A1 00 00 54 E8 13 40 F9 09 09 01 91 68 0E 80 52 28 01 00 79 E8 13 40 F9 08 21 01 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 11 E8 13 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FF 43 00 91 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_718_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_719_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_720_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_721_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_722_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_723_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_724_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_725_2 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_726_4 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_727_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_728_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_729_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 40
		refs = "0014 ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_730_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 428
		refs = "0030 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0058 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 007c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 00bc ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 00dc wctomb_s 0128 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 8B 00 39 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 06 00 54 08 00 80 52 E8 43 00 79 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 4C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 43 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 41 01 91 E3 43 40 79 E2 1B 40 F9 E1 1F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 1D 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0F 00 00 14 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 09 21 01 91 E8 27 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_731_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 428
		refs = "0030 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0058 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 007c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 00bc ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 00dc wctomb_s 0128 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 8B 00 39 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 06 00 54 08 00 80 52 E8 43 00 79 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 4C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 43 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 41 01 91 E3 43 40 79 E2 1B 40 F9 E1 1F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 1D 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0F 00 00 14 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 09 21 01 91 E8 27 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_733_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 428
		refs = "0030 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0058 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 007c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 00bc ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 00dc wctomb_s 0128 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 8B 00 39 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 06 00 54 08 00 80 52 E8 43 00 79 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 4C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 43 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 41 01 91 E3 43 40 79 E2 1B 40 F9 E1 1F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 1D 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0F 00 00 14 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 09 21 01 91 E8 27 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_734_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 428
		refs = "0030 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0058 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 007c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 00bc ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 00dc wctomb_s 0128 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 8B 00 39 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 06 00 54 08 00 80 52 E8 43 00 79 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 4C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 43 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 41 01 91 E3 43 40 79 E2 1B 40 F9 E1 1F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 1D 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0F 00 00 14 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 09 21 01 91 E8 27 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_735_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 428
		refs = "0030 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0058 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 007c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00a8 ??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ 00bc ??$data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ 00dc wctomb_s 0128 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 8B 00 39 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 06 00 54 08 00 80 52 E8 43 00 79 E1 83 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 4C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 43 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 00 41 01 91 E3 43 40 79 E2 1B 40 F9 E1 1F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 1D 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 0F 00 00 14 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 0F 40 F9 09 21 01 91 E8 27 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_736_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 416
		refs = "0030 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0054 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00d4 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0118 _mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 79 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 08 00 80 52 E8 2B 00 79 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4A 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 E8 2B 40 79 08 01 00 11 08 1D 00 12 08 1D 00 13 E8 83 00 39 08 00 80 52 E8 87 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 83 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 09 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 2B 40 79 28 01 00 79 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_737_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 416
		refs = "0030 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0054 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00d4 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0118 _mbtowc_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 79 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 08 00 80 52 E8 2B 00 79 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4A 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 E8 2B 40 79 08 01 00 11 08 1D 00 12 08 1D 00 13 E8 83 00 39 08 00 80 52 E8 87 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 83 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 09 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 2B 40 79 28 01 00 79 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_739_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 416
		refs = "0030 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0054 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00d4 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0118 _mbtowc_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 79 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 08 00 80 52 E8 2B 00 79 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4A 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 E8 2B 40 79 08 01 00 11 08 1D 00 12 08 1D 00 13 E8 83 00 39 08 00 80 52 E8 87 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 83 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 09 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 2B 40 79 28 01 00 79 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_740_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 416
		refs = "0030 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0054 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00d4 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0118 _mbtowc_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 79 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 08 00 80 52 E8 2B 00 79 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4A 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 E8 2B 40 79 08 01 00 11 08 1D 00 12 08 1D 00 13 E8 83 00 39 08 00 80 52 E8 87 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 83 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 09 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 2B 40 79 28 01 00 79 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_741_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 416
		refs = "0030 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0054 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00d4 ??$data@_W@formatting_buffer@__crt_stdio_output@@QEAAPEA_WXZ 0118 _mbtowc_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 79 E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 08 00 80 52 E8 2B 00 79 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4A 00 00 14 E8 0F 40 F9 09 F1 00 91 E8 0F 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C1 04 00 54 E8 2B 40 79 08 01 00 11 08 1D 00 12 08 1D 00 13 E8 83 00 39 08 00 80 52 E8 87 00 39 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 83 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 AA 00 00 54 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 09 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 2B 40 79 28 01 00 79 E8 0F 40 F9 00 61 01 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 0F 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 01 91 28 00 80 52 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_742_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_743_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_744_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_745_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_746_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_747_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_748_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_749_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_750_4 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_751_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_752_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_753_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 56
		refs = "0014 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_754_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMG@JJPLEEHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_755_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMM@CMKPNHDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_756_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BLE@MHLEAOID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_757_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMG@BBEFGBID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_758_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMM@KBPMKFBC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_759_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BLE@IFBJPNFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@D@__crt_stdio_output@@IEAAAEAPEADXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 08 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_760_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BNO@ILHNHKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_761_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BOE@OMDELMGH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_762_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMM@KANDEEGK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_763_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BNO@NAODCKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_764_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BOE@LIBLDKPN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_765_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 1248
		refs = "0020 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 009c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 00bc ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d8 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 011c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0138 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 017c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0198 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01dc ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01f8 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0248 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 026c _CrtDbgReportW 0294 _errno 02b8 ??_C@_1BMM@MBMBCJIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02c8 _invalid_parameter 02f0 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0358 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0398 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0404 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0424 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z 0460 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IEAAAEAPEA_WXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 47 00 B9 E2 93 00 39 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 3F 40 F9 E8 3B 00 F9 E8 3B 40 F9 1F 21 00 F1 28 0E 00 54 E8 3B 40 F9 08 01 00 11 E8 5B 00 B9 E8 5B 40 B9 08 05 00 51 E8 5B 00 B9 E8 5B 40 B9 1F 1D 00 71 08 0D 00 54 EA 5B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 1A 62 32 62 62 62 4A 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 E8 83 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 9B 00 39 E8 9B 40 39 E8 83 00 39 E8 83 40 39 E8 43 00 39 79 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 9F 00 39 E8 9F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 E8 87 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 E8 87 00 39 E8 87 40 39 E8 43 00 39 61 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF 40 39 E8 8B 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 E8 8B 00 39 E8 8B 40 39 E8 43 00 39 49 00 00 14 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB 40 39 E8 8F 00 39 07 00 00 14 E1 E3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF 40 39 E8 8F 00 39 E8 8F 40 39 E8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 37 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 82 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 7C 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 73 00 00 14 08 00 80 D2 E8 2B 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 F9 1F 01 00 F1 0A 01 00 54 E8 1F 40 F9 E8 03 08 CB E8 2B 00 F9 01 08 80 52 E0 0F 40 F9 ?? ?? ?? ?? 03 00 00 14 E8 1F 40 F9 E8 2B 00 F9 E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 00 71 CA 00 00 54 E8 0F 40 F9 09 E1 00 91 28 00 80 52 28 01 00 B9 0D 00 00 14 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 00 91 08 01 40 B9 1F 01 08 71 AD 00 00 54 E8 0F 40 F9 09 E1 00 91 08 40 80 52 28 01 00 B9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 3F 40 F9 1F 21 00 F1 E1 00 00 54 E3 93 40 39 E2 47 40 B9 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? 08 00 00 14 E8 2B 40 F9 01 01 00 11 E3 93 40 39 E2 47 40 B9 21 00 00 11 E0 0F 40 F9 ?? ?? ?? ?? 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 04 00 54 E8 0F 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 C0 02 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 09 00 D1 E8 37 40 F9 09 01 00 F9 E8 37 40 F9 09 01 40 F9 08 06 80 52 28 01 00 79 E8 0F 40 F9 08 41 01 91 08 01 40 B9 09 05 00 11 E8 0F 40 F9 08 41 01 91 09 01 00 B9 20 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_766_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BLK@BGFMMAPO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_767_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BMA@GACGPGHN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_768_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BKI@NDKBCDGP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_769_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BLK@FOLFMPJH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_770_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BMA@CBPCAOAB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_771_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BKI@CJEIGDAI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_772_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BNC@DONELHFF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_773_2 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BNI@IMOCDBNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_774_4 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BMA@PGOJAHFP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_775_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BNC@OHPDPPJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_776_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BNI@OPBGCNOB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_777_3 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 748
		refs = "001c ??$extract_argument_from_va_list@PEAXPEAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 _get_printf_count_output 00a8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc _CrtDbgReportW 00f4 _errno 0118 ??_C@_1BMA@IHIBOLMD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0128 _invalid_parameter 0148 ?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z 0244 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AB 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 A2 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 47 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 6D 00 00 14 00 00 80 52 6B 00 00 14 E8 0F 40 F9 08 F1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 21 00 F1 88 05 00 54 E8 2B 40 F9 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 1F 1D 00 71 68 04 00 54 EA 3B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 09 1D 10 1D 1D 1D 16 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 1D 00 13 E8 1B 40 F9 09 01 00 39 45 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 3D 00 13 E8 1B 40 F9 09 01 00 79 3E 00 00 14 E8 0F 40 F9 08 A1 00 91 E9 1B 40 F9 08 01 40 B9 28 01 00 B9 38 00 00 14 E8 0F 40 F9 08 A1 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 09 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 48 81 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E8 0F 40 F9 09 01 01 91 28 00 80 52 28 01 00 39 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_778_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_779_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_780_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_781_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_782_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_783_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_784_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_785_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_786_4 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_787_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_788_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_789_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0014 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA_NI@Z 0034 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z 0044 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 01 10 80 52 E0 0F 40 F9 ?? ?? ?? ?? 02 00 80 52 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_790_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_791_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_792_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_793_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_794_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_795_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_796_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_797_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_798_4 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_799_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_800_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_801_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 76
		refs = "0038 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 00 91 08 02 80 52 28 01 00 B9 E8 0F 40 F9 09 F1 00 91 68 01 80 52 28 01 00 B9 22 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_802_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_803_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_804_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_805_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_806_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_807_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 05 01 91 22 01 40 B9 01 01 C0 39 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_808_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_809_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_810_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_811_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_812_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_813_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 416
		refs = "001c ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0040 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 00b8 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00e4 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEA_WXZ 0124 wcsnlen 0158 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPEADXZ 017c ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 01 21 01 91 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 58 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 20 00 80 52 4F 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 1F 05 00 31 81 00 00 54 08 00 B0 12 E8 1F 00 B9 05 00 00 14 E8 0B 40 F9 08 E1 00 91 08 01 40 B9 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 0B 40 F9 09 F1 00 91 E8 0B 40 F9 08 09 01 91 22 01 40 B9 01 01 40 79 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E8 0B 40 F9 09 21 01 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 09 51 01 91 28 00 80 52 28 01 00 39 E8 23 40 B9 01 7D 40 93 E8 0B 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 0B 40 F9 08 41 01 91 09 01 00 B9 15 00 00 14 E8 0B 40 F9 08 21 01 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 ?? ?? ?? ?? E0 1F 00 F9 E8 0B 40 F9 09 21 01 91 E8 1F 40 F9 28 01 00 F9 02 00 80 52 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 0B 40 F9 09 41 01 91 E8 27 40 B9 28 01 00 B9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_814_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
		size = 72
		refs = "002c strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHHD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E2 43 00 39 E8 17 40 B9 01 7D 40 93 E8 0F 40 F9 08 21 01 91 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 00 01 00 11 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_820_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
		size = 188
		refs = "0080 __acrt_isleadbyte_l_noupdate"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 23 00 79 08 00 80 52 E8 17 00 B9 E8 17 40 F9 08 21 01 91 08 01 40 F9 E8 13 00 F9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 1B 40 B9 E8 17 40 B9 1F 01 09 6B 4A 03 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 17 40 F9 09 21 00 91 E8 13 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 21 01 40 F9 00 00 00 11 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 00 00 54 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E1 FF FF 17 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_826_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_827_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_828_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_829_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_830_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_831_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_832_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_833_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_834_4 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_835_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_836_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_837_3 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 41 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_838_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_839_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_840_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_841_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_842_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_843_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_844_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_845_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_846_4 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_847_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_848_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_849_3 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 44
		refs = "0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 02 00 80 52 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_850_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
		size = 56
		altNames = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXI@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 0A C1 00 91 E8 03 40 B9 E9 03 28 2A 48 01 40 B9 09 01 09 0A E8 07 40 F9 08 C1 00 91 09 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_862_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 00f0 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1PO@LKIIANED@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 D1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_863_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 00f0 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1PO@PODEJAGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 D1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_864_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00f0 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1BAK@DALINHHB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 D1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_865_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00f0 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1BAK@CDLANFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 D1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_866_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 60
		refs = "0018 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z"
		altNames = "?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 09 D1 00 91 E8 13 40 B9 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_870_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 00f0 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1PK@KBJECIEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 E1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_871_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 00f0 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1PK@KBJLALII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 05 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 05 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 E1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_872_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00f0 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1BAG@DOFNHDMF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 E1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_873_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 604
		refs = "0024 ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0060 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00f0 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0114 _CrtDbgReportW 013c _errno 0160 ??_C@_1BAG@GKCGGKOF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0170 _invalid_parameter 0200 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0238 ??$peek_va_arg@H@__crt_stdio_output@@YAHPEAD@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 89 00 00 14 08 00 80 D2 E8 23 00 F9 48 01 80 52 E8 33 00 B9 E8 03 01 91 E8 27 00 F9 E8 0F 40 F9 00 61 00 91 E2 C3 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 F9 09 09 00 91 E8 0F 40 F9 08 61 00 91 09 01 00 F9 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 0B 00 54 E8 23 40 B9 1F 01 00 71 8B 01 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 E1 00 00 54 E8 23 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 9E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 0F 40 F9 08 A1 37 91 09 01 40 B9 E8 23 40 B9 1F 01 09 6B 8D 00 00 54 E8 23 40 B9 E8 2F 00 B9 05 00 00 14 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 E8 2F 00 B9 E8 0F 40 F9 09 A1 37 91 E8 2F 40 B9 28 01 00 B9 E8 0F 40 F9 0C F1 00 91 E8 0F 40 F9 0B 09 01 91 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 22 00 80 52 21 00 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 12 00 00 14 10 00 00 14 E8 0F 40 F9 0A 21 12 91 E8 23 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 0F 40 F9 09 E1 00 91 E8 3F 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_874_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 60
		refs = "0018 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z"
		altNames = "?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 09 E1 00 91 E8 13 40 B9 28 01 00 B9 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_879_0 {
	meta:
		name = "?validate@?$stream_output_adapter@D@__crt_stdio_output@@QEBA_NXZ"
		size = 272
		refs = "0018 ?valid@__crt_stdio_stream@@QEBA_NXZ 0058 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1HE@FGKHNBNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00d8 _invalid_parameter 00f0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00fc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_880_0 {
	meta:
		name = "?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ"
		size = 272
		refs = "0018 ?valid@__crt_stdio_stream@@QEBA_NXZ 0058 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1HK@MPBCDOK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00d8 _invalid_parameter 00f0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00fc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_881_0 {
	meta:
		name = "?validate@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HE@IACOMEJF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_882_0 {
	meta:
		name = "?validate@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HK@IIPGOADH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_883_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 336
		refs = "0078 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00b8 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dc _CrtDbgReportW 0104 _errno 0128 ??_C@_1BBM@LLHBCDAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 43 00 39 E4 17 00 B9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E8 17 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E8 17 40 F9 09 11 00 91 E8 43 C0 39 28 01 00 39 E8 17 40 F9 09 41 00 91 E8 17 40 B9 28 01 00 B9 39 00 00 14 E4 17 40 B9 E3 43 C0 39 E2 1B 40 B9 E1 17 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_884_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 336
		refs = "0078 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00b8 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dc _CrtDbgReportW 0104 _errno 0128 ??_C@_1BBM@CBBAFMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 43 00 39 E4 17 00 B9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E8 17 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E8 17 40 F9 09 11 00 91 E8 43 C0 39 28 01 00 39 E8 17 40 F9 09 41 00 91 E8 17 40 B9 28 01 00 B9 39 00 00 14 E4 17 40 B9 E3 43 C0 39 E2 1B 40 B9 E1 17 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_885_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 336
		refs = "0078 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00b8 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dc _CrtDbgReportW 0104 _errno 0128 ??_C@_1BCI@ILAANKJG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 27 00 79 E4 17 00 B9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E8 17 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E8 17 40 F9 09 11 00 91 E8 27 40 79 28 01 00 79 E8 17 40 F9 09 41 00 91 E8 17 40 B9 28 01 00 B9 39 00 00 14 E4 17 40 B9 E3 27 40 79 E2 1B 40 B9 E1 17 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_886_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 336
		refs = "0078 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00b8 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dc _CrtDbgReportW 0104 _errno 0128 ??_C@_1BCI@OBMMNJKK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 27 00 79 E4 17 00 B9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E8 17 40 F9 09 01 00 91 E8 1B 40 B9 28 01 00 B9 E8 17 40 F9 09 11 00 91 E8 27 40 79 28 01 00 79 E8 17 40 F9 09 41 00 91 E8 17 40 B9 28 01 00 B9 39 00 00 14 E4 17 40 B9 E3 27 40 79 E2 1B 40 B9 E1 17 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 BF 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_887_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 812
		refs = "00d0 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 0120 memset 0240 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0248 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0258 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0264 _CrtDbgReportW 028c _errno 02b0 ??_C@_1BEO@JEHLMMKB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 02c0 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 B1 00 91 08 01 40 B9 1F 05 00 71 01 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 95 00 71 61 00 00 54 20 00 80 52 B9 00 00 14 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 01 00 71 A1 07 00 54 08 00 80 D2 E8 23 00 F9 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 0B 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 CD 00 00 54 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 28 00 00 14 48 01 80 52 E8 27 00 B9 E8 03 01 91 E8 27 00 F9 E8 0B 40 F9 00 61 00 91 E2 93 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 CD 02 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 21 02 00 54 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E8 0B 40 F9 00 21 12 91 02 2C 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 F1 11 91 48 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 60 00 00 54 20 00 80 52 71 00 00 14 08 00 80 D2 E8 1F 00 F9 48 01 80 52 E8 2F 00 B9 E8 E3 00 91 E8 2B 00 F9 E8 0B 40 F9 00 61 00 91 E2 B3 00 91 E1 43 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 05 00 51 E8 0B 40 F9 08 B1 37 91 09 01 00 B9 E8 1F 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 53 00 00 14 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 CB 01 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 21 01 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 17 00 00 14 E8 0B 40 F9 0A B1 37 91 E8 0B 40 F9 08 A1 37 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B CD 00 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 E8 23 00 B9 05 00 00 14 E8 0B 40 F9 08 A1 37 91 08 01 40 B9 E8 23 00 B9 E8 0B 40 F9 09 A1 37 91 E8 23 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_888_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 812
		refs = "00d0 ??$tcstol@AEAPEBDPEAPEADH@?$__crt_char_traits@D@@SAJAEAPEBD$$QEAPEAPEAD$$QEAH@Z 0120 memset 0240 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0248 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0258 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0264 _CrtDbgReportW 028c _errno 02b0 ??_C@_1BEO@ODGKIOAL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 02c0 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 B1 00 91 08 01 40 B9 1F 05 00 71 01 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F 95 00 71 61 00 00 54 20 00 80 52 B9 00 00 14 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 01 00 71 A1 07 00 54 08 00 80 D2 E8 23 00 F9 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 0B 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 CD 00 00 54 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 28 00 00 14 48 01 80 52 E8 27 00 B9 E8 03 01 91 E8 27 00 F9 E8 0B 40 F9 00 61 00 91 E2 93 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 CD 02 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 21 02 00 54 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E8 0B 40 F9 00 21 12 91 02 2C 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 F1 11 91 48 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 60 00 00 54 20 00 80 52 71 00 00 14 08 00 80 D2 E8 1F 00 F9 48 01 80 52 E8 2F 00 B9 E8 E3 00 91 E8 2B 00 F9 E8 0B 40 F9 00 61 00 91 E2 B3 00 91 E1 43 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 05 00 51 E8 0B 40 F9 08 B1 37 91 09 01 00 B9 E8 1F 40 F9 09 05 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 53 00 00 14 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 CB 01 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 91 00 71 21 01 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 17 00 00 14 E8 0B 40 F9 0A B1 37 91 E8 0B 40 F9 08 A1 37 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B CD 00 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 E8 23 00 B9 05 00 00 14 E8 0B 40 F9 08 A1 37 91 08 01 40 B9 E8 23 00 B9 E8 0B 40 F9 09 A1 37 91 E8 23 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_889_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 812
		refs = "00d0 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 0120 memset 0240 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0248 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0258 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0264 _CrtDbgReportW 028c _errno 02b0 ??_C@_1BFK@IOIDDMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 02c0 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 B1 00 91 08 01 40 B9 1F 05 00 71 01 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 95 00 71 61 00 00 54 20 00 80 52 B9 00 00 14 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 01 00 71 A1 07 00 54 08 00 80 D2 E8 23 00 F9 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 0B 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E5 00 71 CD 00 00 54 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 28 00 00 14 48 01 80 52 E8 27 00 B9 E8 03 01 91 E8 27 00 F9 E8 0B 40 F9 00 61 00 91 E2 93 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 CD 02 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 21 02 00 54 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E8 0B 40 F9 00 21 12 91 02 2C 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 F1 11 91 48 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 60 00 00 54 20 00 80 52 71 00 00 14 08 00 80 D2 E8 1F 00 F9 48 01 80 52 E8 2F 00 B9 E8 E3 00 91 E8 2B 00 F9 E8 0B 40 F9 00 61 00 91 E2 B3 00 91 E1 43 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 05 00 51 E8 0B 40 F9 08 B1 37 91 09 01 00 B9 E8 1F 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 53 00 00 14 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 CB 01 00 54 E8 1F 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 21 01 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 17 00 00 14 E8 0B 40 F9 0A B1 37 91 E8 0B 40 F9 08 A1 37 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B CD 00 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 E8 23 00 B9 05 00 00 14 E8 0B 40 F9 08 A1 37 91 08 01 40 B9 E8 23 00 B9 E8 0B 40 F9 09 A1 37 91 E8 23 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_890_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 812
		refs = "00d0 ??$tcstol@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAJAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 0120 memset 0240 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0248 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0258 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0264 _CrtDbgReportW 028c _errno 02b0 ??_C@_1BFK@KNCMELHH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 02c0 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 B1 00 91 08 01 40 B9 1F 05 00 71 01 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 95 00 71 61 00 00 54 20 00 80 52 B9 00 00 14 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 01 00 71 A1 07 00 54 08 00 80 D2 E8 23 00 F9 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F C1 00 71 0B 01 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F E5 00 71 CD 00 00 54 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 28 00 00 14 48 01 80 52 E8 27 00 B9 E8 03 01 91 E8 27 00 F9 E8 0B 40 F9 00 61 00 91 E2 93 00 91 E1 23 01 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 CD 02 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 21 02 00 54 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 00 00 54 E8 0B 40 F9 00 21 12 91 02 2C 81 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 F1 11 91 48 00 80 52 28 01 00 B9 05 00 00 14 E8 0B 40 F9 09 F1 11 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 60 00 00 54 20 00 80 52 71 00 00 14 08 00 80 D2 E8 1F 00 F9 48 01 80 52 E8 2F 00 B9 E8 E3 00 91 E8 2B 00 F9 E8 0B 40 F9 00 61 00 91 E2 B3 00 91 E1 43 01 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 09 05 00 51 E8 0B 40 F9 08 B1 37 91 09 01 00 B9 E8 1F 40 F9 09 09 00 91 E8 0B 40 F9 08 61 00 91 09 01 00 F9 E8 0B 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 53 00 00 14 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 CB 01 00 54 E8 1F 40 F9 08 01 40 79 08 01 00 11 1F 91 00 71 21 01 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 AB 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 17 00 00 14 E8 0B 40 F9 0A B1 37 91 E8 0B 40 F9 08 A1 37 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B CD 00 00 54 E8 0B 40 F9 08 B1 37 91 08 01 40 B9 E8 23 00 B9 05 00 00 14 E8 0B 40 F9 08 A1 37 91 08 01 40 B9 E8 23 00 B9 E8 0B 40 F9 09 A1 37 91 E8 23 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_895_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 244
		refs = "005c ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BDG@PLANJEFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 00dc _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 1D 00 71 80 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 28 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_896_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 244
		refs = "005c ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BDG@KOLEFKPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 00dc _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 1D 00 71 80 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 28 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_897_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 244
		refs = "005c ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BEC@FNIGNBHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 00dc _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 1D 00 71 80 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 28 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_898_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 244
		refs = "005c ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BEC@NDOOKIMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 00dc _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 B1 00 91 08 01 40 B9 1F 1D 00 71 80 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 28 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_899_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 596
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0124 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z 0138 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z 014c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z 0160 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z 01b8 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 01c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc _CrtDbgReportW 0204 _errno 0228 ??_C@_1BDM@FDOLKCHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0238 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 88 00 00 14 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 C1 00 00 54 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 7C 00 00 14 E8 0F 40 F9 08 21 12 91 E8 23 00 F9 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 E8 27 00 F9 E8 23 40 F9 E8 1B 00 F9 04 00 00 14 E8 1B 40 F9 08 61 00 91 E8 1B 00 F9 E9 27 40 F9 E8 1B 40 F9 1F 01 09 EB 60 0C 00 54 E8 0F 40 F9 0A 81 00 91 E8 1B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 B9 E8 23 00 B9 E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F 0D 00 71 48 04 00 54 EA 23 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 06 0B 10 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 47 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 42 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 3D 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 FD E9 83 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 03 00 00 14 98 FF FF 17 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_900_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 596
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0124 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z 0138 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z 014c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z 0160 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z 01b8 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 01c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc _CrtDbgReportW 0204 _errno 0228 ??_C@_1BDM@GFCGMNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0238 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 88 00 00 14 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 C1 00 00 54 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 7C 00 00 14 E8 0F 40 F9 08 21 12 91 E8 23 00 F9 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 E8 27 00 F9 E8 23 40 F9 E8 1B 00 F9 04 00 00 14 E8 1B 40 F9 08 61 00 91 E8 1B 00 F9 E9 27 40 F9 E8 1B 40 F9 1F 01 09 EB 60 0C 00 54 E8 0F 40 F9 0A 81 00 91 E8 1B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 B9 E8 23 00 B9 E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F 0D 00 71 48 04 00 54 EA 23 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 06 0B 10 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 47 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 42 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 3D 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 FD E9 83 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 03 00 00 14 98 FF FF 17 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_901_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 596
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0124 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z 0138 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z 014c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z 0160 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z 01b8 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 01c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc _CrtDbgReportW 0204 _errno 0228 ??_C@_1BEI@JNJAFAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0238 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 88 00 00 14 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 C1 00 00 54 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 7C 00 00 14 E8 0F 40 F9 08 21 12 91 E8 23 00 F9 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 E8 27 00 F9 E8 23 40 F9 E8 1B 00 F9 04 00 00 14 E8 1B 40 F9 08 61 00 91 E8 1B 00 F9 E9 27 40 F9 E8 1B 40 F9 1F 01 09 EB 60 0C 00 54 E8 0F 40 F9 0A 81 00 91 E8 1B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 B9 E8 23 00 B9 E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F 0D 00 71 48 04 00 54 EA 23 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 06 0B 10 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 47 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 42 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 3D 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 FD E9 83 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 03 00 00 14 98 FF FF 17 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_902_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 596
		refs = "0010 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ 0124 ??$read_va_arg@H@__crt_stdio_output@@YAHAEAPEAD@Z 0138 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAEAPEAD@Z 014c ??$read_va_arg@PEAX@__crt_stdio_output@@YAPEAXAEAPEAD@Z 0160 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AEAPEAD@Z 01b8 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 01c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc _CrtDbgReportW 0204 _errno 0228 ??_C@_1BEI@IHLBHMLJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0238 _invalid_parameter"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 88 00 00 14 E8 0F 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 C1 00 00 54 E8 0F 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 60 00 00 54 20 00 80 52 7C 00 00 14 E8 0F 40 F9 08 21 12 91 E8 23 00 F9 E8 0F 40 F9 0A 21 12 91 E8 0F 40 F9 08 A1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 E8 27 00 F9 E8 23 40 F9 E8 1B 00 F9 04 00 00 14 E8 1B 40 F9 08 61 00 91 E8 1B 00 F9 E9 27 40 F9 E8 1B 40 F9 1F 01 09 EB 60 0C 00 54 E8 0F 40 F9 0A 81 00 91 E8 1B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 B9 E8 23 00 B9 E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F 0D 00 71 48 04 00 54 EA 23 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 06 0B 10 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 47 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 42 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? 3D 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 FD E9 83 01 91 29 01 00 91 E8 43 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 03 00 00 14 98 FF FF 17 20 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_907_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 376
		refs = "0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1BBG@JLLDGFML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0104 _invalid_parameter 015c ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 81 0A 00 54 E8 13 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 09 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 19 00 00 14 E8 13 40 F9 0C F1 00 91 E8 13 40 F9 0B 05 01 91 E8 13 40 F9 0A 21 12 91 E8 13 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 82 00 80 52 21 00 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_908_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 376
		refs = "0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1BBG@KIHCHFIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0104 _invalid_parameter 015c ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 81 0A 00 54 E8 13 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 09 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 19 00 00 14 E8 13 40 F9 0C F1 00 91 E8 13 40 F9 0B 05 01 91 E8 13 40 F9 0A 21 12 91 E8 13 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 C0 39 82 00 80 52 21 00 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_909_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 376
		refs = "0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1BCC@PDNLFIHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0104 _invalid_parameter 015c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 81 0A 00 54 E8 13 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 09 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 19 00 00 14 E8 13 40 F9 0C F1 00 91 E8 13 40 F9 0B 09 01 91 E8 13 40 F9 0A 21 12 91 E8 13 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 82 00 80 52 21 00 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_910_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 376
		refs = "0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1BCC@GJLKCHIG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0104 _invalid_parameter 015c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 F1 11 91 08 01 40 B9 1F 09 00 71 81 0A 00 54 E8 13 40 F9 08 E1 11 91 08 01 40 B9 1F 05 00 71 E1 09 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 13 40 F9 08 B1 37 91 08 01 40 B9 1F 91 01 71 8A 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 A1 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 19 00 00 14 E8 13 40 F9 0C F1 00 91 E8 13 40 F9 0B 09 01 91 E8 13 40 F9 0A 21 12 91 E8 13 40 F9 08 01 00 D1 08 B1 37 91 08 01 40 B9 09 7D 40 93 08 03 80 D2 28 7D 08 9B 41 01 08 8B 84 01 40 B9 63 01 40 79 82 00 80 52 21 00 00 91 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_929_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
		size = 220
		refs = "0020 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0044 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0084 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 009c ??$puttc_nolock@AEBDPEAU_iobuf@@@?$__crt_char_traits@D@@SAHAEBD$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 47 00 39 E2 0F 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 08 01 40 B9 09 05 00 11 E8 0F 40 F9 09 01 00 B9 18 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E1 E3 00 91 E0 47 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 05 00 31 A1 00 00 54 E9 0F 40 F9 08 00 80 12 28 01 00 B9 06 00 00 14 E8 0F 40 F9 08 01 40 B9 09 05 00 11 E8 0F 40 F9 09 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_930_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
		size = 228
		refs = "0020 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0044 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0084 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 009c ??$puttc_nolock@AEB_WPEAU_iobuf@@@?$__crt_char_traits@_W@@SAGAEB_W$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 27 00 79 E2 0F 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 08 01 40 B9 09 05 00 11 E8 0F 40 F9 09 01 00 B9 1A 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E1 E3 00 91 E0 4B 00 91 ?? ?? ?? ?? E0 2B 00 79 E9 2B 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B A1 00 00 54 E9 0F 40 F9 08 00 80 12 28 01 00 B9 06 00 00 14 E8 0F 40 F9 08 01 40 B9 09 05 00 11 E8 0F 40 F9 09 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_931_0 {
	meta:
		name = "?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
		size = 304
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 03 00 39 E2 0B 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 0A 41 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 01 03 00 54 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0B 40 F9 08 01 40 B9 09 05 00 11 E8 0B 40 F9 09 01 00 B9 04 00 00 14 E9 0B 40 F9 08 00 80 12 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 00 01 40 39 24 00 00 14 E8 0B 40 F9 08 01 40 B9 09 05 00 11 E8 0B 40 F9 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 40 F9 E8 03 C0 39 28 01 00 39 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 00 F9 20 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_932_0 {
	meta:
		name = "?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
		size = 304
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 03 00 79 E2 0B 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 0A 41 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 01 03 00 54 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E8 0B 40 F9 08 01 40 B9 09 05 00 11 E8 0B 40 F9 09 01 00 B9 04 00 00 14 E9 0B 40 F9 08 00 80 12 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 00 01 40 39 24 00 00 14 E8 0B 40 F9 08 01 40 B9 09 05 00 11 E8 0B 40 F9 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 40 F9 E8 03 40 79 28 01 00 79 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 00 F9 20 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_933_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 384
		refs = "0008 __security_push_cookie 00a8 wctomb_s 0120 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0174 __security_pop_cookie"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 03 00 F9 E1 23 00 39 E8 03 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 08 00 54 E8 03 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 6D 07 00 54 E8 03 40 F9 08 21 01 91 08 01 40 F9 E8 13 00 F9 08 00 80 52 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 F9 08 41 01 91 09 01 40 B9 E8 0F 40 B9 1F 01 09 6B 40 05 00 54 08 00 80 52 E8 13 00 B9 E8 13 40 F9 08 01 40 79 E8 17 00 79 E3 17 40 79 C2 00 80 D2 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 20 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 E2 13 40 B9 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? CF FF FF 17 11 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 0A 41 01 91 E8 03 40 F9 09 21 01 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_936_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 384
		refs = "0008 __security_push_cookie 00a8 wctomb_s 0120 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0174 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 03 00 F9 E1 23 00 39 E8 03 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 08 00 54 E8 03 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 6D 07 00 54 E8 03 40 F9 08 21 01 91 08 01 40 F9 E8 13 00 F9 08 00 80 52 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 F9 08 41 01 91 09 01 40 B9 E8 0F 40 B9 1F 01 09 6B 40 05 00 54 08 00 80 52 E8 13 00 B9 E8 13 40 F9 08 01 40 79 E8 17 00 79 E3 17 40 79 C2 00 80 D2 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 20 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 E2 13 40 B9 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? CF FF FF 17 11 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 0A 41 01 91 E8 03 40 F9 09 21 01 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_937_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 384
		refs = "0008 __security_push_cookie 00a8 wctomb_s 0120 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0174 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 03 00 F9 E1 23 00 39 E8 03 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 08 00 54 E8 03 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 6D 07 00 54 E8 03 40 F9 08 21 01 91 08 01 40 F9 E8 13 00 F9 08 00 80 52 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 F9 08 41 01 91 09 01 40 B9 E8 0F 40 B9 1F 01 09 6B 40 05 00 54 08 00 80 52 E8 13 00 B9 E8 13 40 F9 08 01 40 79 E8 17 00 79 E3 17 40 79 C2 00 80 D2 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 20 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 E2 13 40 B9 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? CF FF FF 17 11 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 0A 41 01 91 E8 03 40 F9 09 21 01 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_938_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 384
		refs = "0008 __security_push_cookie 00a8 wctomb_s 0120 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0174 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 03 00 F9 E1 23 00 39 E8 03 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 08 00 54 E8 03 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 6D 07 00 54 E8 03 40 F9 08 21 01 91 08 01 40 F9 E8 13 00 F9 08 00 80 52 E8 0F 00 B9 04 00 00 14 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 F9 08 41 01 91 09 01 40 B9 E8 0F 40 B9 1F 01 09 6B 40 05 00 54 08 00 80 52 E8 13 00 B9 E8 13 40 F9 08 01 40 79 E8 17 00 79 E3 17 40 79 C2 00 80 D2 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 B9 1F 01 00 71 81 00 00 54 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 20 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 E2 13 40 B9 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? CF FF FF 17 11 00 00 14 E8 03 40 F9 04 41 00 91 E8 03 40 F9 03 A1 00 91 E8 03 40 F9 0A 41 01 91 E8 03 40 F9 09 21 01 91 E8 03 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_939_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 380
		refs = "00c0 _mbtowc_l 0110 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z 016c ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 27 00 79 E8 13 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 61 08 00 54 E8 13 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 CD 07 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 E8 17 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 13 40 F9 08 41 01 91 09 01 40 B9 E8 17 40 B9 1F 01 09 6B A0 05 00 54 08 00 80 52 E8 23 00 79 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 17 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EC 00 00 54 E8 13 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 21 00 00 14 E8 13 40 F9 02 A1 00 91 E8 13 40 F9 00 A1 11 91 42 00 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 09 8B E8 17 00 F9 CC FF FF 17 11 00 00 14 E8 13 40 F9 04 41 00 91 E8 13 40 F9 03 A1 00 91 E8 13 40 F9 0A 41 01 91 E8 13 40 F9 09 21 01 91 E8 13 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_942_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 380
		refs = "00c0 _mbtowc_l 0110 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z 016c ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 27 00 79 E8 13 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 61 08 00 54 E8 13 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 CD 07 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 E8 17 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 13 40 F9 08 41 01 91 09 01 40 B9 E8 17 40 B9 1F 01 09 6B A0 05 00 54 08 00 80 52 E8 23 00 79 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 17 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EC 00 00 54 E8 13 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 21 00 00 14 E8 13 40 F9 02 A1 00 91 E8 13 40 F9 00 A1 11 91 42 00 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 09 8B E8 17 00 F9 CC FF FF 17 11 00 00 14 E8 13 40 F9 04 41 00 91 E8 13 40 F9 03 A1 00 91 E8 13 40 F9 0A 41 01 91 E8 13 40 F9 09 21 01 91 E8 13 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_943_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 380
		refs = "00c0 _mbtowc_l 0110 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z 016c ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 27 00 79 E8 13 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 61 08 00 54 E8 13 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 CD 07 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 E8 17 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 13 40 F9 08 41 01 91 09 01 40 B9 E8 17 40 B9 1F 01 09 6B A0 05 00 54 08 00 80 52 E8 23 00 79 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 17 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EC 00 00 54 E8 13 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 21 00 00 14 E8 13 40 F9 02 A1 00 91 E8 13 40 F9 00 A1 11 91 42 00 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 09 8B E8 17 00 F9 CC FF FF 17 11 00 00 14 E8 13 40 F9 04 41 00 91 E8 13 40 F9 03 A1 00 91 E8 13 40 F9 0A 41 01 91 E8 13 40 F9 09 21 01 91 E8 13 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_944_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 380
		refs = "00c0 _mbtowc_l 0110 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z 016c ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 27 00 79 E8 13 40 F9 08 51 01 91 08 01 40 39 08 01 00 11 1F 01 00 71 61 08 00 54 E8 13 40 F9 08 41 01 91 08 01 40 B9 1F 01 00 71 CD 07 00 54 E8 13 40 F9 08 21 01 91 08 01 40 F9 E8 17 00 F9 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 13 40 F9 08 41 01 91 09 01 40 B9 E8 17 40 B9 1F 01 09 6B A0 05 00 54 08 00 80 52 E8 23 00 79 E8 13 40 F9 09 21 00 91 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 17 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EC 00 00 54 E8 13 40 F9 09 A1 00 91 08 00 80 12 28 01 00 B9 20 00 80 52 21 00 00 14 E8 13 40 F9 02 A1 00 91 E8 13 40 F9 00 A1 11 91 42 00 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 09 8B E8 17 00 F9 CC FF FF 17 11 00 00 14 E8 13 40 F9 04 41 00 91 E8 13 40 F9 03 A1 00 91 E8 13 40 F9 0A 41 01 91 E8 13 40 F9 09 21 01 91 E8 13 40 F9 00 A1 11 91 84 00 00 91 63 00 00 91 42 01 40 B9 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_945_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 332
		refs = "0028 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 004c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0088 ?get@__crt_deferred_errno_cache@@QEAAAEAHXZ 0098 ??0__crt_errno_guard@@QEAA@QEAH@Z 00ec ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z 0120 ??1__crt_errno_guard@@QEAA@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 17 00 B9 E3 0F 00 F9 E4 1F 00 F9 E8 17 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 E8 17 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 01 01 00 54 E8 0F 40 F9 09 01 40 B9 E8 17 40 B9 29 01 08 0B E8 0F 40 F9 09 01 00 B9 31 00 00 14 E0 1F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 3B 00 F9 E8 17 40 B9 09 7D 40 93 E8 1B 40 F9 08 01 09 8B E8 2B 00 F9 E8 1B 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 20 03 00 54 E2 0F 40 F9 E8 13 40 F9 01 01 C0 39 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 40 B9 1F 05 00 31 E1 01 00 54 E0 1F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 40 B9 1F A9 00 71 80 00 00 54 E0 83 01 91 ?? ?? ?? ?? 08 00 00 14 E2 0F 40 F9 E1 07 80 52 E0 17 40 F9 ?? ?? ?? ?? E2 FF FF 17 E0 83 01 91 ?? ?? ?? ?? FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_946_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 340
		refs = "0028 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 004c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0088 ?get@__crt_deferred_errno_cache@@QEAAAEAHXZ 0098 ??0__crt_errno_guard@@QEAA@QEAH@Z 00f4 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z 0128 ??1__crt_errno_guard@@QEAA@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 17 00 B9 E3 0F 00 F9 E4 1F 00 F9 E8 17 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 E8 17 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 01 01 00 54 E8 0F 40 F9 09 01 40 B9 E8 17 40 B9 29 01 08 0B E8 0F 40 F9 09 01 00 B9 33 00 00 14 E0 1F 40 F9 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 3B 00 F9 E8 17 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 2B 00 F9 E8 1B 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E9 2B 40 F9 E8 13 40 F9 1F 01 09 EB 20 03 00 54 E2 0F 40 F9 E8 13 40 F9 01 01 40 79 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 40 B9 1F 05 00 31 E1 01 00 54 E0 1F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 40 B9 1F A9 00 71 80 00 00 54 E0 83 01 91 ?? ?? ?? ?? 08 00 00 14 E2 0F 40 F9 E1 07 80 52 E0 17 40 F9 ?? ?? ?? ?? E2 FF FF 17 E0 83 01 91 ?? ?? ?? ?? FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_947_0 {
	meta:
		name = "?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 528
		refs = "0128 memcpy"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 F9 E2 13 00 B9 E3 13 00 F9 E4 27 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 78 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 0A 41 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 81 02 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 13 40 F9 09 01 00 B9 04 00 00 14 E9 13 40 F9 08 00 80 12 28 01 00 B9 59 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 09 21 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 E8 1B 40 F9 1F 01 09 EB 82 00 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 13 40 B9 08 7D 40 93 E8 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 E2 17 40 F9 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 40 F9 E8 17 40 F9 29 01 08 8B E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 40 F9 E8 17 40 F9 29 01 08 8B E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 13 40 F9 09 01 00 B9 11 00 00 14 E8 13 40 B9 09 7D 40 93 E8 17 40 F9 1F 01 09 EB A0 00 00 54 E9 13 40 F9 08 00 80 12 28 01 00 B9 08 00 00 14 E8 17 40 F9 09 01 00 11 E8 13 40 F9 08 01 40 B9 09 01 09 0B E8 13 40 F9 09 01 00 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_948_0 {
	meta:
		name = "?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 548
		refs = "0134 memcpy"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 F9 E2 13 00 B9 E3 13 00 F9 E4 27 00 F9 E8 13 40 B9 1F 01 00 71 41 00 00 54 7D 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 0A 41 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 81 02 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 13 40 F9 09 01 00 B9 04 00 00 14 E9 13 40 F9 08 00 80 12 28 01 00 B9 5E 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 09 21 00 91 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB E8 1B 00 F9 E8 13 40 B9 09 7D 40 93 E8 1B 40 F9 1F 01 09 EB 82 00 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 13 40 B9 08 7D 40 93 E8 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E9 17 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 42 00 00 91 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 01 40 F9 0A 01 00 91 E9 17 40 F9 48 00 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 40 F9 E8 17 40 F9 29 01 08 8B E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 61 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 09 01 40 B9 E8 13 40 B9 29 01 08 0B E8 13 40 F9 09 01 00 B9 11 00 00 14 E8 13 40 B9 09 7D 40 93 E8 17 40 F9 1F 01 09 EB A0 00 00 54 E9 13 40 F9 08 00 80 12 28 01 00 B9 08 00 00 14 E8 17 40 F9 09 01 00 11 E8 13 40 F9 08 01 40 B9 09 01 09 0B E8 13 40 F9 09 01 00 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_949_0 {
	meta:
		name = "__acrt_isleadbyte_l_noupdate"
		size = 84
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E1 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 01 00 91 E8 03 40 B9 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 00 01 11 12 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_951_0 {
	meta:
		name = "__stdio_common_vfprintf"
		size = 68
		refs = "0030 ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_952_0 {
	meta:
		name = "__stdio_common_vfprintf_p"
		size = 68
		refs = "0030 ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_953_0 {
	meta:
		name = "__stdio_common_vfprintf_s"
		size = 68
		refs = "0030 ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_411_4 {
	meta:
		name = "__stdio_common_vfscanf"
		size = 68
		refs = "0030 ??$common_vfscanf@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_954_2 {
	meta:
		name = "__stdio_common_vfwprintf"
		size = 68
		refs = "0030 ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_955_2 {
	meta:
		name = "__stdio_common_vfwprintf_p"
		size = 68
		refs = "0030 ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_956_3 {
	meta:
		name = "__stdio_common_vfwprintf_s"
		size = 68
		refs = "0030 ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_412_3 {
	meta:
		name = "__stdio_common_vfwscanf"
		size = 68
		refs = "0030 ??$common_vfscanf@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_957_0 {
	meta:
		name = "__stdio_common_vsnprintf_s"
		size = 84
		refs = "0040 ??$common_vsnprintf_s@D@@YAH_KQEAD00QEBDQEAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E6 0F 40 F9 E5 13 40 F9 E4 17 40 F9 E3 1B 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_958_0 {
	meta:
		name = "__stdio_common_vsnwprintf_s"
		size = 84
		refs = "0040 ??$common_vsnprintf_s@_W@@YAH_KQEA_W00QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E6 0F 40 F9 E5 13 40 F9 E4 17 40 F9 E3 1B 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_959_0 {
	meta:
		name = "__stdio_common_vsprintf"
		size = 76
		refs = "0038 ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_960_0 {
	meta:
		name = "__stdio_common_vsprintf_p"
		size = 76
		refs = "0038 ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_961_0 {
	meta:
		name = "__stdio_common_vsprintf_s"
		size = 76
		refs = "0038 ??$common_vsprintf_s@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_413_0 {
	meta:
		name = "__stdio_common_vsscanf"
		size = 76
		refs = "0038 ??$common_vsscanf@D@@YAH_KQEBD01QEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_962_2 {
	meta:
		name = "__stdio_common_vswprintf"
		size = 76
		refs = "0038 ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_963_2 {
	meta:
		name = "__stdio_common_vswprintf_p"
		size = 76
		refs = "0038 ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_276_964_3 {
	meta:
		name = "__stdio_common_vswprintf_s"
		size = 76
		refs = "0038 ??$common_vsprintf_s@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_414_0 {
	meta:
		name = "__stdio_common_vswscanf"
		size = 76
		refs = "0038 ??$common_vsscanf@_W@@YAH_KQEB_W01QEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_7_3 {
	meta:
		name = "_makepath_s"
		size = 76
		refs = "0038 ??$common_makepath_s@D@@YAHQEAD_KQEBD222@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_9_3 {
	meta:
		name = "_wmakepath_s"
		size = 76
		refs = "0038 ??$common_makepath_s@_W@@YAHQEA_W_KQEB_W222@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "fegetexceptflag"
		size = 136
		refs = "0044 _getfpstatusword 0058 __acrt_fenv_get_fp_status_word_from_exception_mask"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 13 00 B9 08 00 80 52 E8 17 00 B9 E8 13 40 B9 08 11 00 12 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 C1 00 00 54 E9 13 40 F9 08 00 80 52 28 01 00 B9 00 00 80 52 10 00 00 14 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 17 40 B9 E8 1F 40 B9 28 01 08 0A E8 17 00 B9 E9 13 40 F9 E8 17 40 B9 28 01 00 B9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_0_0 {
	meta:
		name = "??$cleanup_after_error@D@@YAHQEAD_K@Z"
		size = 376
		refs = "0048 _CrtGetDebugFillThreshold 0098 memset 009c ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 00e0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0104 _CrtDbgReportW 012c _errno 0150 ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0160 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 0F 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 40 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 0F 40 F9 09 05 00 D1 E8 17 40 F9 1F 01 09 EB 82 00 00 54 E8 17 40 F9 E8 1F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 1F 00 F9 E8 1B 40 F9 00 05 00 91 E2 1F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 02 00 00 14 C0 02 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_1_0 {
	meta:
		name = "??$cleanup_after_error@_W@@YAHQEA_W_K@Z"
		size = 388
		refs = "0048 _CrtGetDebugFillThreshold 00a4 memset 00a8 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 00ec ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0110 _CrtDbgReportW 0138 _errno 015c ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 016c _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 0F 00 F9 E9 1F 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 03 00 54 E9 0F 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 0F 40 F9 09 05 00 D1 E8 17 40 F9 1F 01 09 EB 82 00 00 54 E8 17 40 F9 E8 1B 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 D1 E8 1B 00 F9 E9 1B 40 F9 48 00 80 D2 22 7D 08 9B E8 1F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 A3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 02 00 00 14 C0 02 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_2_0 {
	meta:
		name = "??$common_makepath_s@D@@YAHQEAD_KQEBD222@Z"
		size = 1376
		refs = "0060 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 016c ??$cleanup_after_error@D@@YAHQEAD_K@Z 0254 ?previous_character@@YAPEBDQEBD0@Z 04dc _CrtGetDebugFillThreshold 0550 memset"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 43 00 F9 E3 23 00 F9 E4 4B 00 F9 E5 2B 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 1C 01 00 14 E8 13 40 F9 E8 0B 00 F9 E8 0F 40 F9 1F 05 00 B1 C0 00 00 54 E9 13 40 F9 E8 0F 40 F9 28 01 08 8B E8 47 00 F9 03 00 00 14 08 00 80 D2 E8 47 00 F9 E8 47 40 F9 E8 17 00 F9 E8 43 40 F9 1F 01 00 F1 20 04 00 54 E8 43 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 03 00 54 E8 17 40 F9 1F 01 00 F1 80 01 00 54 E9 17 40 F9 E8 0B 40 F9 28 01 08 CB 1F 09 00 F1 EA 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 B9 E0 67 40 B9 F8 00 00 14 E9 0B 40 F9 E8 43 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 23 40 F9 1F 01 00 F1 00 09 00 54 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 60 08 00 54 E8 23 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 6B 00 B9 E0 6B 40 B9 CF 00 00 14 E9 0B 40 F9 E8 1B 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E4 FF FF 17 E1 1B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 01 C0 39 08 01 00 11 1F BD 00 71 20 03 00 54 E8 1B 40 F9 08 01 C0 39 08 01 00 11 1F 71 01 71 80 02 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 6F 00 B9 E0 6F 40 B9 A7 00 00 14 E9 0B 40 F9 88 0B 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 4B 40 F9 1F 01 00 F1 00 04 00 54 E8 4B 40 F9 E8 27 00 F9 E8 27 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 73 00 B9 E0 73 40 B9 8A 00 00 14 E9 0B 40 F9 E8 27 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 27 40 F9 08 05 00 91 E8 27 00 F9 E4 FF FF 17 E8 2B 40 F9 1F 01 00 F1 A0 07 00 54 E8 2B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 03 00 54 E8 2B 40 F9 08 01 C0 39 08 01 00 11 1F B9 00 71 80 02 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 77 00 B9 E0 77 40 B9 65 00 00 14 E9 0B 40 F9 C8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E8 2F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E0 7B 40 B9 4B 00 00 14 E9 0B 40 F9 E8 2F 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 2F 40 F9 08 05 00 91 E8 2F 00 F9 E4 FF FF 17 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 7F 00 B9 E0 7F 40 B9 33 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 1F 05 00 B1 20 05 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB A0 04 00 54 E9 0B 40 F9 E8 13 40 F9 29 01 08 CB E8 0F 40 F9 3F 01 08 EB E2 03 00 54 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 4F 00 F9 E9 0B 40 F9 E8 13 40 F9 29 01 08 CB E8 0F 40 F9 09 01 09 CB E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 07 00 00 14 E9 0B 40 F9 E8 13 40 F9 29 01 08 CB E8 0F 40 F9 08 01 09 CB E8 53 00 F9 E9 0B 40 F9 E8 13 40 F9 29 01 08 CB E8 13 40 F9 00 01 09 8B E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_3_0 {
	meta:
		name = "??$common_makepath_s@_W@@YAHQEA_W_KQEB_W222@Z"
		size = 1424
		refs = "0060 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 0178 ??$cleanup_after_error@_W@@YAHQEA_W_K@Z 0260 ?previous_character@@YAPEB_WPEB_WQEB_W@Z 04ec _CrtGetDebugFillThreshold 0580 memset"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 43 00 F9 E3 23 00 F9 E4 4B 00 F9 E5 2B 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 28 01 00 14 E8 13 40 F9 E8 0B 00 F9 E8 0F 40 F9 1F 05 00 B1 00 01 00 54 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E8 47 00 F9 03 00 00 14 08 00 80 D2 E8 47 00 F9 E8 47 40 F9 E8 17 00 F9 E8 43 40 F9 1F 01 00 F1 40 04 00 54 E8 43 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 17 40 F9 1F 01 00 F1 A0 01 00 54 E9 17 40 F9 E8 0B 40 F9 28 01 08 CB 08 FD 41 93 1F 09 00 F1 EA 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 B9 E0 67 40 B9 01 01 00 14 E9 0B 40 F9 E8 43 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 23 40 F9 1F 01 00 F1 00 09 00 54 E8 23 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 60 08 00 54 E8 23 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 6B 00 B9 E0 6B 40 B9 D8 00 00 14 E9 0B 40 F9 E8 1B 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 E4 FF FF 17 E1 1B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 1B 00 F9 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F BD 00 71 20 03 00 54 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F 71 01 71 80 02 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 6F 00 B9 E0 6F 40 B9 B0 00 00 14 E9 0B 40 F9 88 0B 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 4B 40 F9 1F 01 00 F1 00 04 00 54 E8 4B 40 F9 E8 27 00 F9 E8 27 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 73 00 B9 E0 73 40 B9 93 00 00 14 E9 0B 40 F9 E8 27 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 27 40 F9 08 09 00 91 E8 27 00 F9 E4 FF FF 17 E8 2B 40 F9 1F 01 00 F1 A0 07 00 54 E8 2B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 2B 40 F9 08 01 40 79 08 01 00 11 1F B9 00 71 80 02 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 77 00 B9 E0 77 40 B9 6E 00 00 14 E9 0B 40 F9 C8 05 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E8 2F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E0 7B 40 B9 54 00 00 14 E9 0B 40 F9 E8 2F 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 2F 40 F9 08 09 00 91 E8 2F 00 F9 E4 FF FF 17 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E9 17 40 F9 E8 0B 40 F9 1F 01 09 EB E3 00 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 7F 00 B9 E0 7F 40 B9 3C 00 00 14 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 FD 41 93 E8 0F 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 4F 00 F9 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 FD 41 93 E8 0F 40 F9 09 01 09 CB E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 08 00 00 14 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 FD 41 93 E8 0F 40 F9 08 01 09 CB E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 FD 41 93 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_4_0 {
	meta:
		name = "?previous_character@@YAPEBDQEBD0@Z"
		size = 44
		refs = "0018 _mbsdec"
		altNames = "?previous_character@@YAPEADQEAD0@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_0_0 {
	meta:
		name = "??$common_strnlen@$00G@@YA_KQEBG_K@Z"
		size = 44
		refs = "0018 ??$common_strnlen_c@$00G@@YA_KQEBG_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_1_0 {
	meta:
		name = "??$common_strnlen@$0A@E@@YA_KQEBE_K@Z"
		size = 44
		refs = "0018 ??$common_strnlen_c@$0A@E@@YA_KQEBE_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_2_4 {
	meta:
		name = "??$common_strnlen@$0A@G@@YA_KQEBG_K@Z"
		size = 44
		refs = "0018 ??$common_strnlen_c@$0A@G@@YA_KQEBG_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_86_4 {
	meta:
		name = "?strpbrk@@YAPEADQEADQEBD@Z"
		size = 44
		refs = "0018 strpbrk"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_87_0 {
	meta:
		name = "?wcspbrk@@YAPEA_WPEA_WPEB_W@Z"
		size = 44
		refs = "0018 wcspbrk"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_33_0 {
	meta:
		name = "_findfirst32"
		size = 44
		refs = "0018 ??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YA_JQEBDQEAU_finddata32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_34_3 {
	meta:
		name = "_findfirst32i64"
		size = 44
		refs = "0018 ??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_JQEBDQEAU_finddata32i64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_35_3 {
	meta:
		name = "_findfirst64"
		size = 44
		refs = "0018 ??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YA_JQEBDQEAU__finddata64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_36_4 {
	meta:
		name = "_findfirst64i32"
		size = 44
		refs = "0018 ??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_JQEBDQEAU_finddata64i32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_42_4 {
	meta:
		name = "_wfindfirst32"
		size = 44
		refs = "0018 ??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_43_4 {
	meta:
		name = "_wfindfirst32i64"
		size = 44
		refs = "0018 ??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_44_4 {
	meta:
		name = "_wfindfirst64"
		size = 44
		refs = "0018 ??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_45_4 {
	meta:
		name = "_wfindfirst64i32"
		size = 44
		refs = "0018 ??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_8_4 {
	meta:
		name = "strnlen"
		size = 44
		refs = "0018 ??$common_strnlen@$0A@E@@YA_KQEBE_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_10_4 {
	meta:
		name = "wcsnlen"
		size = 44
		refs = "0018 ??$common_strnlen@$0A@G@@YA_KQEBG_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_5_0 {
	meta:
		name = "?previous_character@@YAPEB_WPEB_WQEB_W@Z"
		size = 32
		altNames = "?previous_character@@YAPEA_WPEA_WQEA_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 03 40 F9 00 09 00 D1 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_6_0 {
	meta:
		name = "_makepath"
		size = 64
		refs = "0034 _makepath_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E5 0B 40 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 01 00 80 92 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_279_8_0 {
	meta:
		name = "_wmakepath"
		size = 64
		refs = "0034 _wmakepath_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 E5 0B 40 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 01 00 80 92 E0 1B 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_2_0 {
	meta:
		name = "??$common_putenv@D@@YAHQEBD0@Z"
		size = 72
		refs = "0018 __acrt_lock 0024 ??$common_putenv_nolock@D@@YAHQEBD0@Z 0030 __acrt_unlock"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 34 00 00 91 60 01 80 52 ?? ?? ?? ?? 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 13 00 00 11 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_281_4_0 {
	meta:
		name = "??$common_putenv@_W@@YAHQEB_W0@Z"
		size = 72
		refs = "0018 __acrt_lock 0024 ??$common_putenv_nolock@_W@@YAHQEB_W0@Z 0030 __acrt_unlock"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 34 00 00 91 60 01 80 52 ?? ?? ?? ?? 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 13 00 00 11 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_281_3_0 {
	meta:
		name = "?fin$0@?0???$common_putenv@D@@YAHQEBD0@Z@4HA"
		size = 32
		refs = "000c __acrt_unlock"
		altNames = "?fin$0@?0???$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z@4HA ?fin$0@?0???$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z@4HA ?fin$0@?0???$common_getenv@D@@YAPEADQEBD@Z@4HA ?fin$0@?0???$common_getenv@_W@@YAPEA_WQEB_W@Z@4HA ?fin$0@?0???$common_getenv_s@D@@YAHQEA_KQEAD_KQEBD@Z@4HA ?fin$0@?0???$common_getenv_s@_W@@YAHQEA_KQEA_W_KQEB_W@Z@4HA ?fin$0@?0???$common_putenv@_W@@YAHQEB_W0@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 60 01 80 52 ?? ?? ?? ?? 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_281_6_0 {
	meta:
		name = "??$common_putenv_nolock@D@@YAHQEBD0@Z"
		size = 260
		refs = "0010 _environ_table 0020 _wenviron_table 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 007c ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0094 _invalid_parameter 00a4 ??$create_environment_string@D@@YAPEADQEBD0@Z 00b8 __dcrt_set_variable_in_narrow_environment_nolock 00d0 ??$set_variable_in_other_environment@D@@YA_NQEBD0@Z 00ec _free_dbg"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 14 00 00 91 35 00 00 91 ?? ?? ?? ?? A8 00 00 B5 ?? ?? ?? ?? 68 00 00 B5 00 00 80 12 30 00 00 14 34 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 FF FF 17 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 13 00 00 91 A0 01 00 B4 21 00 80 52 13 00 80 D2 ?? ?? ?? ?? 20 01 00 35 ?? ?? ?? ?? A8 00 00 B4 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 60 00 00 34 14 00 80 52 02 00 00 14 14 00 80 12 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_7_0 {
	meta:
		name = "??$common_putenv_nolock@_W@@YAHQEB_W0@Z"
		size = 260
		refs = "0010 _environ_table 0024 _wenviron_table 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 007c ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0094 _invalid_parameter 00a4 ??$create_environment_string@_W@@YAPEA_WQEB_W0@Z 00b8 __dcrt_set_variable_in_wide_environment_nolock 00d0 ??$set_variable_in_other_environment@_W@@YA_NQEB_W0@Z 00ec _free_dbg"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 14 00 00 91 35 00 00 91 C8 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? 68 00 00 B5 00 00 80 12 30 00 00 14 34 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 FF FF 17 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 13 00 00 91 A0 01 00 B4 21 00 80 52 13 00 80 D2 ?? ?? ?? ?? 20 01 00 35 ?? ?? ?? ?? A8 00 00 B4 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 60 00 00 34 14 00 80 52 02 00 00 14 14 00 80 12 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_8_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@D@@YA_KQEBD0@Z"
		size = 164
		refs = "0010 __imp_MultiByteToWideChar 0044 _errno"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 34 00 00 91 02 00 00 91 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 00 00 80 52 20 01 3F D6 13 7C 40 93 D3 00 00 B5 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 00 00 80 D2 10 00 00 14 74 00 00 B5 60 02 00 91 0D 00 00 14 ?? ?? ?? ?? 09 FD DF C8 05 00 80 52 04 00 80 D2 03 00 80 12 82 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 C8 FD FF B4 00 01 13 8B FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_9_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@_W@@YA_KQEB_W0@Z"
		size = 180
		refs = "0010 __imp_WideCharToMultiByte 004c _errno"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 34 00 00 91 02 00 00 91 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 00 00 80 52 20 01 3F D6 13 7C 40 93 D3 00 00 B5 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 00 00 80 D2 12 00 00 14 74 00 00 B5 60 02 00 91 0F 00 00 14 ?? ?? ?? ?? 09 FD DF C8 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 82 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 88 FD FF B4 00 01 13 8B FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_10_0 {
	meta:
		name = "??$create_environment_string@D@@YAPEADQEBD0@Z"
		size = 668
		refs = "0024 strnlen 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0050 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 00a0 _invalid_parameter 00bc ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0104 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 0120 _calloc_dbg 0140 strcpy_s 0164 strchr 0180 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 01e4 ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 0280 _free_dbg"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 35 00 00 91 35 0A 00 B4 E1 FF 8F D2 ?? ?? ?? ?? E1 FF 8F D2 18 00 00 91 A0 02 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 03 08 EB 16 00 00 91 43 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 78 00 00 14 E8 FF 8F D2 DF 02 08 EB 83 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 08 80 52 ?? ?? ?? ?? E4 FF FF 17 ?? ?? ?? ?? D7 02 18 8B ?? ?? ?? ?? E0 0A 00 91 C4 08 80 52 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 14 00 00 91 74 00 00 B5 14 00 80 D2 52 00 00 14 62 02 00 91 E1 0A 00 91 80 02 00 91 ?? ?? ?? ?? 88 02 18 8B A9 07 80 52 89 6A 38 38 00 05 00 91 A2 02 00 91 C1 06 00 91 46 00 00 14 A1 07 80 52 ?? ?? ?? ?? 20 06 00 B4 08 00 13 CB E9 FF 8F D2 1F 01 09 EB 8B 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 0A 80 52 ?? ?? ?? ?? B3 FF FF 17 E1 FF 8F D2 00 04 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB 83 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 0A 80 52 ?? ?? ?? ?? 9A FF FF 17 68 02 C0 39 6A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 55 01 13 CB ?? ?? ?? ?? ?? ?? ?? ?? A0 06 00 91 84 0B 80 52 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 14 00 00 91 34 F6 FF B4 62 02 00 91 A1 06 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_11_0 {
	meta:
		name = "??$create_environment_string@_W@@YAPEA_WQEB_W0@Z"
		size = 676
		refs = "0024 wcsnlen 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0050 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006c _CrtDbgReportW 007c _errno 0090 ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 00a0 _invalid_parameter 00bc ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0104 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 0120 _calloc_dbg 0140 wcscpy_s 0164 wcschr 0184 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 01e8 ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 0288 _free_dbg"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 35 00 00 91 35 0A 00 B4 E1 FF 8F D2 ?? ?? ?? ?? E1 FF 8F D2 18 00 00 91 A0 02 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 03 08 EB 16 00 00 91 43 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 7A 00 00 14 E8 FF 8F D2 DF 02 08 EB 83 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 08 80 52 ?? ?? ?? ?? E4 FF FF 17 ?? ?? ?? ?? D7 02 18 8B ?? ?? ?? ?? E0 0A 00 91 C4 08 80 52 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 14 00 00 91 74 00 00 B5 14 00 80 D2 54 00 00 14 62 02 00 91 E1 0A 00 91 80 02 00 91 ?? ?? ?? ?? 88 06 18 8B A9 07 80 52 A2 02 00 91 09 01 00 79 00 09 00 91 C1 06 00 91 48 00 00 14 A1 07 80 52 ?? ?? ?? ?? 40 06 00 B4 08 00 13 CB 09 F9 7F 92 CA FF 9F D2 3F 01 0A EB 8B 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 0A 80 52 ?? ?? ?? ?? B2 FF FF 17 E1 FF 8F D2 00 08 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB 83 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 0A 80 52 ?? ?? ?? ?? 99 FF FF 17 68 02 C0 79 6A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 13 CB 15 FD 41 93 ?? ?? ?? ?? A0 06 00 91 84 0B 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 14 00 00 91 F4 F5 FF B4 62 02 00 91 A1 06 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_14_0 {
	meta:
		name = "??$set_variable_in_other_environment@D@@YA_NQEBD0@Z"
		size = 376
		refs = "0018 __imp_MultiByteToWideChar 0054 _errno 0098 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 00b0 _calloc_dbg 0108 _free_dbg 0168 __dcrt_set_variable_in_wide_environment_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 17 00 00 91 36 00 00 91 05 00 80 52 04 00 80 D2 03 00 80 12 E2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 58 05 80 52 14 7C 40 93 B4 00 00 B5 ?? ?? ?? ?? 14 00 80 D2 18 00 00 B9 0E 00 00 14 B6 01 00 B4 ?? ?? ?? ?? 09 FD DF C8 05 00 80 52 04 00 80 D2 03 00 80 12 C2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 28 FE FF B4 14 01 14 8B ?? ?? ?? ?? ?? ?? ?? ?? C4 0E 80 52 42 00 80 52 41 00 80 D2 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 B3 02 00 91 F3 0B 00 F9 F5 01 00 B4 ?? ?? ?? ?? 09 FD DF C8 85 02 00 11 A4 02 00 91 03 00 80 12 E2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 E8 01 00 B5 ?? ?? ?? ?? F3 0B 40 F9 18 00 00 B9 14 00 80 52 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 B6 01 00 B4 A4 06 08 8B A9 07 80 52 85 02 08 4B ?? ?? ?? ?? 89 E0 1F 78 09 FD DF C8 03 00 80 12 C2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 C0 FC FF 34 01 00 80 52 A0 02 00 91 13 00 80 D2 ?? ?? ?? ?? 1F 00 00 71 F4 17 9F 1A E3 FF FF 17 }
	condition:
		$1
}

rule file_281_15_0 {
	meta:
		name = "??$set_variable_in_other_environment@_W@@YA_NQEB_W0@Z"
		size = 408
		refs = "0018 __imp_WideCharToMultiByte 005c _errno 00a8 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 00c0 _calloc_dbg 0120 _free_dbg 0188 __dcrt_set_variable_in_narrow_environment_nolock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 17 00 00 91 36 00 00 91 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 E2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 58 05 80 52 14 7C 40 93 B4 00 00 B5 ?? ?? ?? ?? 14 00 80 D2 18 00 00 B9 10 00 00 14 F6 01 00 B4 ?? ?? ?? ?? 09 FD DF C8 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 C2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 E8 FD FF B4 14 01 14 8B ?? ?? ?? ?? ?? ?? ?? ?? C4 0E 80 52 42 00 80 52 21 00 80 D2 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 B3 02 00 91 F3 0B 00 F9 35 02 00 B4 ?? ?? ?? ?? 09 FD DF C8 07 00 80 D2 06 00 80 D2 85 02 00 11 A4 02 00 91 03 00 80 12 E2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 08 7C 40 93 E8 01 00 B5 ?? ?? ?? ?? F3 0B 40 F9 18 00 00 B9 14 00 80 52 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 F6 01 00 B4 A4 02 08 8B A9 07 80 52 85 02 08 4B 89 F0 1F 38 ?? ?? ?? ?? 09 FD DF C8 07 00 80 D2 06 00 80 D2 03 00 80 12 C2 02 00 91 01 00 80 52 00 00 80 52 20 01 3F D6 80 FC FF 34 01 00 80 52 A0 02 00 91 13 00 80 D2 ?? ?? ?? ?? 1F 00 00 71 F4 17 9F 1A E1 FF FF 17 }
	condition:
		$1
}

rule file_281_34_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YA_KIQEBD@Z"
		size = 56
		refs = "0008 __imp_MultiByteToWideChar"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 22 00 00 91 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 20 01 3F D6 00 7C 40 93 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_35_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YA_KIQEB_W@Z"
		size = 64
		refs = "0008 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 22 00 00 91 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 20 01 3F D6 00 7C 40 93 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_36_0 {
	meta:
		name = "?__crt_transform_string@@YA_KIQEBDQEA_W_K@Z"
		size = 56
		refs = "0008 __imp_MultiByteToWideChar"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 44 00 00 91 65 00 00 11 22 00 00 91 03 00 80 12 01 00 80 52 20 01 3F D6 00 7C 40 93 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_37_0 {
	meta:
		name = "?__crt_transform_string@@YA_KIQEB_WQEAD_K@Z"
		size = 64
		refs = "0008 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 44 00 00 91 65 00 00 11 22 00 00 91 07 00 80 D2 06 00 80 D2 03 00 80 12 01 00 80 52 20 01 3F D6 00 7C 40 93 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_45_0 {
	meta:
		name = "?other_environment_exists@@YA_ND@Z"
		size = 20
		refs = "0000 _wenviron_table"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_281_46_0 {
	meta:
		name = "?other_environment_exists@@YA_N_W@Z"
		size = 20
		refs = "0000 _environ_table"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 07 9F 1A C0 03 5F D6 }
	condition:
		$1
}

rule file_281_52_0 {
	meta:
		name = "_putenv_s"
		size = 152
		refs = "0010 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0014 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0018 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0034 _CrtDbgReportW 0044 _errno 0050 ??_C@_1BE@FHKNNLOF@?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0068 _invalid_parameter 0074 ??$common_putenv@D@@YAHQEBD0@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 41 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1D 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 07 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 03 00 00 14 ?? ?? ?? ?? 00 00 40 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_281_54_0 {
	meta:
		name = "_wputenv_s"
		size = 152
		refs = "0010 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0014 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0018 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0034 _CrtDbgReportW 0044 _errno 0050 ??_C@_1BG@MIFFAGPH@?$AA_?$AAw?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0068 _invalid_parameter 0074 ??$common_putenv@_W@@YAHQEB_W0@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 41 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 1E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 07 00 00 14 ?? ?? ?? ?? 60 00 00 35 00 00 80 52 03 00 00 14 ?? ?? ?? ?? 00 00 40 B9 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "CountryEnumProc"
		size = 368
		refs = "0008 __security_push_cookie 0014 __acrt_getptd 0044 LcidFromHexString 008c __imp_GetLocaleInfoW 00d0 _wcsicmp 00e8 TestDefaultCountry 0164 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 04 D1 E0 23 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 61 02 91 E8 17 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 81 0E 91 08 01 40 F9 E8 07 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 03 00 B9 E8 17 40 F9 08 71 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 E8 00 80 52 E8 13 00 B9 03 00 00 14 48 00 82 52 E8 13 00 B9 03 0F 80 52 E2 23 01 91 E1 13 40 B9 E0 03 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 29 00 00 14 E8 17 40 F9 08 21 00 91 E1 23 01 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 C1 02 00 54 E0 03 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 00 02 00 54 E8 07 40 F9 09 21 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 09 11 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 01 1E 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 88 00 10 37 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E0 17 40 B9 FF C3 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_1_0 {
	meta:
		name = "GetLcidFromCountry"
		size = 164
		refs = "000c __acrt_getptd 002c wcslen 0068 CountryEnumProc 0070 __imp_EnumSystemLocalesW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 61 02 91 E8 0F 00 F9 E8 0F 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 0F 40 F9 09 71 00 91 E8 13 40 B9 28 01 00 B9 21 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 08 01 00 91 08 01 40 B9 A8 00 10 37 E8 13 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_2_0 {
	meta:
		name = "GetLcidFromDefault"
		size = 100
		refs = "002c __imp_GetUserDefaultLCID"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 09 01 40 B9 88 20 80 52 29 01 08 2A E8 0F 40 F9 08 01 00 91 09 01 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 0F 40 F9 09 21 00 91 E8 13 40 B9 28 01 00 B9 E8 0F 40 F9 09 11 00 91 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_3_0 {
	meta:
		name = "GetLcidFromLangCountry"
		size = 364
		refs = "000c __acrt_getptd 002c wcslen 00e4 GetPrimaryLen 0108 LangCountryEnumProc 0110 __imp_EnumSystemLocalesW"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 61 02 91 E8 0B 00 F9 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 0B 40 F9 09 61 00 91 E8 1B 40 B9 28 01 00 B9 E8 0B 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 0B 40 F9 09 71 00 91 E8 1F 40 B9 28 01 00 B9 E8 17 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 48 00 80 52 E8 23 00 B9 08 00 00 14 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 23 00 B9 E8 0B 40 F9 09 51 00 91 E8 23 40 B9 28 01 00 B9 21 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 17 40 F9 08 01 00 91 08 01 40 B9 68 01 40 36 E8 17 40 F9 08 01 00 91 08 01 40 B9 E8 00 48 36 E8 17 40 F9 08 01 00 91 08 01 40 B9 08 09 00 12 1F 01 00 71 A1 00 00 54 E8 17 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_4_0 {
	meta:
		name = "GetLcidFromLanguage"
		size = 240
		refs = "000c __acrt_getptd 002c wcslen 0090 GetPrimaryLen 00b4 LanguageEnumProc 00bc __imp_EnumSystemLocalesW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 61 02 91 E8 13 00 F9 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 F9 09 61 00 91 E8 13 40 B9 28 01 00 B9 E8 13 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 48 00 80 52 E8 17 00 B9 08 00 00 14 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 13 40 F9 09 51 00 91 E8 17 40 B9 28 01 00 B9 21 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 17 40 F9 08 01 00 91 08 01 40 B9 A8 00 10 37 E8 17 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_5_0 {
	meta:
		name = "GetPrimaryLen"
		size = 156
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 E8 07 00 B9 E8 07 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 03 40 79 08 01 00 11 1F 05 01 71 AB 00 00 54 E8 03 40 79 08 01 00 11 1F 69 01 71 2D 01 00 54 E8 03 40 79 08 01 00 11 1F 85 01 71 EB 01 00 54 E8 03 40 79 08 01 00 11 1F E9 01 71 6C 01 00 54 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E7 FF FF 17 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_6_0 {
	meta:
		name = "LangCountryEnumProc"
		size = 1476
		refs = "0008 __security_push_cookie 0014 __acrt_getptd 0044 LcidFromHexString 008c __imp_GetLocaleInfoW 00d0 _wcsicmp 0200 _wcsnicmp 024c wcslen 0298 TestDefaultCountry 0444 TestDefaultLanguage 05b8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 05 D1 E0 37 00 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 61 02 91 E8 0B 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 81 0E 91 08 01 40 F9 E8 03 00 F9 E0 37 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 0B 00 B9 E8 0B 40 F9 08 71 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 E8 00 80 52 E8 1B 00 B9 03 00 00 14 48 00 82 52 E8 1B 00 B9 03 0F 80 52 E2 03 02 91 E1 1B 40 B9 E0 0B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 3E 01 00 14 E8 0B 40 F9 08 21 00 91 E1 03 02 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 C1 0F 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 1F 00 B9 03 00 00 14 28 00 82 52 E8 1F 00 B9 03 0F 80 52 E2 03 02 91 E1 1F 40 B9 E0 0B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 1A 01 00 14 E8 0B 40 F9 08 01 00 91 E1 03 02 91 00 01 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 41 02 00 54 E8 03 40 F9 08 01 00 91 09 01 40 B9 88 60 80 52 29 01 08 2A E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 09 21 00 91 E8 0B 40 B9 28 01 00 B9 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 49 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 A8 08 08 37 E8 0B 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 60 05 00 54 E8 0B 40 F9 08 51 00 91 08 01 40 B9 02 7D 40 93 E8 0B 40 F9 08 01 00 91 42 00 00 91 E1 03 02 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 A1 03 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 1F 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 09 21 00 91 E8 0B 40 B9 28 01 00 B9 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 09 01 00 11 E8 0B 40 F9 08 51 00 91 08 01 40 B9 3F 01 08 6B A1 00 00 54 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 16 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 48 02 00 37 E0 0B 40 B9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 80 01 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 00 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 09 21 00 91 E8 0B 40 B9 28 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 08 05 18 12 1F 01 0C 71 00 15 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 23 00 B9 03 00 00 14 28 00 82 52 E8 23 00 B9 03 0F 80 52 E2 03 02 91 E1 23 40 B9 E0 0B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E8 47 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 97 00 00 14 E8 0B 40 F9 08 01 00 91 E1 03 02 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 0B 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 17 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 40 02 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 A1 00 00 54 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 3B 00 00 14 E8 0B 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 C0 04 00 54 E8 0B 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 09 01 00 11 E8 0B 40 F9 08 51 00 91 08 01 40 B9 3F 01 08 6B 41 03 00 54 E2 03 40 F9 21 00 80 52 E0 0B 40 B9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 1F 01 00 71 20 02 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 A1 00 00 54 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 11 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 A1 00 00 54 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 2C 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 E1 04 00 54 E8 0B 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 40 04 00 54 E8 0B 40 F9 08 01 00 91 E1 03 02 91 00 01 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 1F 01 00 71 21 03 00 54 E2 03 40 F9 01 00 80 52 E0 0B 40 B9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 01 00 71 20 02 00 54 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 A1 00 00 54 E8 03 40 F9 09 11 00 91 E8 0B 40 B9 28 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 88 00 10 37 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E0 27 40 B9 FF C3 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_7_0 {
	meta:
		name = "LanguageEnumProc"
		size = 568
		refs = "0008 __security_push_cookie 0014 __acrt_getptd 0044 LcidFromHexString 008c __imp_GetLocaleInfoW 00d0 _wcsicmp 0104 TestDefaultLanguage 022c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 05 D1 E0 27 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 61 02 91 E8 0B 00 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 81 0E 91 08 01 40 F9 E8 07 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 03 00 B9 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 1B 00 B9 03 00 00 14 28 00 82 52 E8 1B 00 B9 03 0F 80 52 E2 43 01 91 E1 1B 40 B9 E0 03 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 1F 01 00 71 E1 00 00 54 E8 07 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 5B 00 00 14 E8 0B 40 F9 08 01 00 91 E1 43 01 91 00 01 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C1 03 00 54 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 21 01 00 54 E2 07 40 F9 21 00 80 52 E0 03 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 00 02 00 54 E8 07 40 F9 09 21 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 09 11 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 01 1E 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 2B 00 00 14 E8 0B 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 C1 04 00 54 E8 0B 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 20 04 00 54 E8 0B 40 F9 08 01 00 91 E1 43 01 91 00 01 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 01 03 00 54 E2 07 40 F9 01 00 80 52 E0 03 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 00 02 00 54 E8 07 40 F9 09 21 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 09 11 00 91 E8 03 40 B9 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 01 1E 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 B9 88 00 10 37 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E0 1F 40 B9 FF 03 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_8_0 {
	meta:
		name = "LcidFromHexString"
		size = 228
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 08 00 80 52 E8 07 00 B9 E8 0B 40 F9 08 01 40 79 E8 03 00 79 E8 03 40 79 08 01 00 11 E8 0B 00 B9 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0B 40 B9 1F 01 00 71 E0 04 00 54 E8 03 40 79 08 01 00 11 1F 85 01 71 8B 01 00 54 E8 03 40 79 08 01 00 11 1F 99 01 71 0C 01 00 54 E9 03 40 79 29 01 00 11 28 FB 9F 52 28 01 08 0B 08 3D 00 53 E8 03 00 79 0F 00 00 14 E8 03 40 79 08 01 00 11 1F 05 01 71 6B 01 00 54 E8 03 40 79 08 01 00 11 1F 19 01 71 EC 00 00 54 E9 03 40 79 29 01 00 11 28 FF 9F 52 28 01 08 0B 08 3D 00 53 E8 03 00 79 E9 07 40 B9 08 02 80 52 29 7D 08 1B E8 03 40 79 08 01 00 11 28 01 08 0B 08 C1 00 51 E8 07 00 B9 CF FF FF 17 E0 07 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_9_0 {
	meta:
		name = "ProcessCodePage"
		size = 320
		refs = "0030 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 003c wcscmp 0068 __imp_GetLocaleInfoW 0098 __imp_GetACP 00b4 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 0118 _wtol"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 41 03 00 54 E8 1F 40 F9 08 21 00 91 43 00 80 52 E2 43 00 91 C1 06 00 18 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 29 00 00 14 E8 13 40 B9 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E0 2B 40 B9 20 00 00 14 1E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 E8 1F 40 F9 08 21 00 91 43 00 80 52 E2 43 00 91 C1 02 00 18 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 08 00 00 14 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 04 10 00 20 0B 00 00 20 }
	condition:
		$1
}

rule file_282_10_0 {
	meta:
		name = "TestDefaultCountry"
		size = 136
		refs = "0054 __rglangidNotDefault"
	strings:
		$1 = { FF 43 00 D1 E0 0B 00 B9 E8 0B 40 B9 08 3D 00 53 E8 03 00 79 08 00 80 52 E8 07 00 B9 04 00 00 14 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 B9 08 7D 40 93 1F 29 00 F1 22 02 00 54 EA 03 40 79 4A 01 00 11 E8 07 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 79 08 01 00 11 5F 01 08 6B 61 00 00 54 00 00 80 52 03 00 00 14 EA FF FF 17 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_11_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 244
		refs = "003c __acrt_getptd 0060 __imp_GetLocaleInfoW 00ac GetPrimaryLen 00c0 wcslen"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 23 00 B9 E2 23 00 F9 E8 13 40 B9 08 3D 00 53 08 01 00 11 08 25 00 12 08 3D 00 53 08 01 00 11 08 01 16 32 08 3D 00 53 08 01 00 11 E8 17 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 61 02 91 E8 17 00 F9 43 00 80 52 E2 73 00 91 C1 04 00 18 E0 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E9 1F 40 B9 E8 13 40 B9 1F 01 09 6B A0 02 00 54 E8 23 40 B9 1F 01 00 71 40 02 00 54 E8 17 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 17 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 09 01 00 11 E8 27 40 B9 1F 01 09 6B 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 01 00 00 20 }
	condition:
		$1
}

rule file_282_12_0 {
	meta:
		name = "TranslateName"
		size = 240
		refs = "006c _wcsicmp"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 17 00 B9 E2 1B 00 F9 08 00 80 52 E8 1B 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B EC 05 00 54 E9 1B 40 B9 E8 17 40 B9 29 01 08 0B 48 00 80 52 28 0D C8 1A E8 13 00 B9 E8 13 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 01 00 91 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A1 01 00 54 E8 13 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 09 21 00 91 E8 1B 40 F9 09 01 00 F9 20 00 80 52 0E 00 00 14 0B 00 00 14 E8 1F 40 B9 1F 01 00 71 AA 00 00 54 E8 13 40 B9 08 05 00 51 E8 17 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 1B 00 B9 CF FF FF 17 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_282_13_0 {
	meta:
		name = "__acrt_get_qualified_locale_downlevel"
		size = 1124
		refs = "0008 __security_push_cookie 001c __acrt_getptd 003c memset 00cc __acrt_rg_country_count 00e4 __acrt_rg_country 00ec TranslateName 0164 GetLcidFromLangCountry 0170 GetLcidFromLanguage 0190 __acrt_rg_language_count 01a8 __acrt_rg_language 0244 GetLcidFromCountry 0250 GetLcidFromDefault 029c ProcessCodePage 02e8 __imp_IsValidCodePage 031c __imp_IsValidLocale 0378 __acrt_LCIDToLocaleName 03cc __imp_GetLocaleInfoW 044c _itow_s 0458 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 02 D1 E0 17 00 F9 E1 2F 00 F9 E2 13 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 61 02 91 E8 07 00 F9 82 01 80 D2 01 00 80 52 E0 C3 01 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 81 0E 91 E8 27 00 F9 E9 27 40 F9 E8 C3 01 91 28 01 00 F9 E8 27 40 F9 08 01 40 F9 E8 0B 00 F9 E8 17 40 F9 09 01 00 91 E8 07 40 F9 08 01 00 91 09 01 00 F9 E8 17 40 F9 09 01 02 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 01 00 54 E8 07 40 F9 02 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 05 00 D1 01 01 00 11 42 00 00 91 21 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 00 08 00 54 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 07 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 41 04 00 54 E8 07 40 F9 02 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 05 00 D1 01 01 00 11 42 00 00 91 21 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 40 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? 12 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 7A 00 00 14 E8 17 40 F9 1F 01 00 F1 A0 00 00 54 E8 17 40 F9 08 01 04 91 E8 2B 00 F9 03 00 00 14 08 00 80 D2 E8 2B 00 F9 E1 0B 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 02 00 54 09 BD 9F 52 E8 1B 40 B9 1F 01 09 6B 00 02 00 54 29 BD 9F 52 E8 1B 40 B9 1F 01 09 6B 80 01 00 54 E8 1B 40 B9 00 3D 00 53 00 00 00 11 00 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E8 37 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 53 00 00 14 E8 0B 40 F9 08 11 00 91 21 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 46 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E9 2F 40 F9 E8 1B 40 B9 28 01 00 B9 E8 07 40 F9 01 61 09 91 E8 0B 40 F9 08 11 00 91 03 00 80 52 A2 0A 80 52 21 00 00 91 00 01 40 B9 ?? ?? ?? ?? E8 13 40 F9 1F 01 00 F1 60 06 00 54 E8 13 40 F9 01 81 04 91 E8 0B 40 F9 08 11 00 91 03 00 80 52 A2 0A 80 52 21 00 00 91 00 01 40 B9 ?? ?? ?? ?? E8 13 40 F9 02 01 00 91 E8 0B 40 F9 08 11 00 91 03 08 80 52 42 00 00 91 21 00 82 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 1A 00 00 14 E8 13 40 F9 02 01 02 91 E8 0B 40 F9 08 21 00 91 03 08 80 52 42 00 00 91 41 00 82 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 09 00 00 14 E8 13 40 F9 01 01 04 91 43 01 80 52 02 02 80 D2 21 00 00 91 E0 1B 40 B9 ?? ?? ?? ?? 20 00 80 52 FF 03 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_283_4_0 {
	meta:
		name = "_stricoll"
		size = 100
		refs = "0010 __acrt_locale_changed 0030 _stricmp 0050 _stricoll_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 08 00 00 14 07 00 00 14 02 00 80 D2 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_283_5_0 {
	meta:
		name = "_stricoll_l"
		size = 740
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GG@JIKHLNFP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BI@PHKGNLHA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01f4 _stricmp 0278 __acrt_CompareStringA"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 3F 00 F9 E1 3F 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 5F 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 2B 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 2B 40 B9 7B 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 33 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 33 40 B9 47 00 00 14 E0 63 01 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 61 01 00 54 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 3B 40 B9 33 00 00 14 E0 63 01 91 ?? ?? ?? ?? E0 4F 00 F9 E0 63 01 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 01 91 ?? ?? ?? ?? E0 57 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 09 51 00 91 E8 53 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 27 01 40 B9 06 00 80 12 E5 27 40 F9 04 00 80 12 E3 2B 40 F9 22 00 82 52 01 01 40 F9 E0 57 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 43 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 43 40 B9 07 00 00 14 E8 23 40 B9 08 09 00 51 E8 47 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 47 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_284_4_0 {
	meta:
		name = "_wcscoll_l"
		size = 692
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BG@FHFNCKLD@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01f4 wcscmp 0248 __acrt_CompareStringW"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 2F 00 F9 E1 2F 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 57 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 2B 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 2B 40 B9 6F 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 33 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 33 40 B9 3B 00 00 14 E0 23 02 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 61 01 00 54 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 3B 40 B9 27 00 00 14 E0 23 02 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 05 00 80 12 E4 27 40 F9 03 00 80 12 E2 2B 40 F9 01 00 82 52 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 43 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 43 40 B9 07 00 00 14 E8 23 40 B9 08 09 00 51 E8 47 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 47 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_284_5_0 {
	meta:
		name = "wcscoll"
		size = 484
		refs = "0010 __acrt_locale_changed 005c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BA@KPGOIMMO@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 wcscmp 01d0 _wcscoll_l"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 23 00 F9 E1 1F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 0D 00 54 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 0E 00 00 14 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 08 00 00 14 07 00 00 14 02 00 80 D2 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 33 00 B9 E0 33 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_285_5_0 {
	meta:
		name = "_mbsnbcat_l"
		size = 508
		refs = "0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_1HC@MJOFKHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0070 ??_C@_1BI@CBAIJIAM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0080 _invalid_parameter 0094 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0100 strncat 0138 _mbsbtype_l"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 14 00 00 91 37 00 00 91 56 00 00 91 56 0E 00 B4 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 58 00 00 14 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 06 80 52 ?? ?? ?? ?? E6 FF FF 17 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? EC 13 40 F9 88 09 40 B9 E8 00 00 35 C2 02 00 91 E1 02 00 91 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 31 00 00 14 95 02 00 91 93 02 00 91 88 16 40 38 C8 FF FF 35 7F 02 15 EB 60 01 00 54 69 02 15 4B 2A 05 00 51 41 7D 40 93 E2 63 00 91 A0 02 00 91 ?? ?? ?? ?? EC 13 40 F9 1F 04 00 71 41 00 00 54 73 06 00 D1 EA 16 40 38 D6 06 00 D1 48 01 0C 8B 09 65 40 39 6A 16 00 38 49 01 10 36 96 01 00 B4 EA 02 40 39 D6 06 00 D1 F7 06 00 91 6A 02 00 39 73 06 00 91 8A 00 00 35 7F E2 1F 38 05 00 00 14 8A 00 00 34 76 00 00 B4 EF FF FF 17 7F F2 1F 38 7F 02 15 EB 60 01 00 54 69 02 15 4B 2A 05 00 51 41 7D 40 93 E2 63 00 91 A0 02 00 91 ?? ?? ?? ?? 1F 04 00 71 61 00 00 54 7F F2 1F 38 02 00 00 14 7F 02 00 39 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 A0 02 00 91 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_286_0_0 {
	meta:
		name = "_realloc_base"
		size = 268
		refs = "0020 _malloc_base 0040 _free_base 005c _errno 0084 __acrt_heap 008c __imp_HeapReAlloc 00b8 _query_new_mode 00d0 _callnewh"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 36 00 00 14 E8 0B 40 F9 1F 01 00 F1 A1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 D2 2F 00 00 14 E9 0B 40 F9 E8 03 80 92 1F 01 09 EB 02 01 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 24 00 00 14 E3 0B 40 F9 E2 13 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 14 00 00 14 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 02 00 00 14 DE FF FF 17 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_287_0_0 {
	meta:
		name = "__wcsncnt"
		size = 108
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 E8 07 00 F9 08 00 80 D2 E8 03 00 F9 07 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 C0 00 00 54 E9 0F 40 F9 E8 03 40 F9 1F 01 09 EB 40 00 00 54 F1 FF FF 17 E0 03 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_288_0_0 {
	meta:
		name = "_fpclass"
		size = 328
		refs = "0028 _sptype"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 FD E8 5F 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B 01 03 00 54 E0 17 40 FD ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 00 01 00 54 E8 13 40 B9 1F 09 00 71 E0 00 00 54 E8 13 40 B9 1F 0D 00 71 C0 00 00 54 07 00 00 14 00 40 80 52 37 00 00 14 80 00 80 52 35 00 00 14 40 00 80 52 33 00 00 14 20 00 80 52 31 00 00 14 E8 5F 40 79 08 01 00 11 08 01 11 12 E8 17 00 B9 E8 5F 40 79 08 01 00 11 08 29 1C 12 1F 01 00 71 41 02 00 54 E8 2F 40 B9 08 4D 14 53 1F 01 00 71 81 00 00 54 E8 2B 40 B9 1F 01 00 71 60 01 00 54 E8 17 40 B9 1F 01 00 71 80 00 00 54 08 02 80 52 E8 1B 00 B9 03 00 00 14 08 10 80 52 E8 1B 00 B9 E0 1B 40 B9 17 00 00 14 F0 17 40 FD 08 22 60 1E 61 01 00 54 E8 17 40 B9 1F 01 00 71 80 00 00 54 08 04 80 52 E8 1F 00 B9 03 00 00 14 08 08 80 52 E8 1F 00 B9 E0 1F 40 B9 0A 00 00 14 E8 17 40 B9 1F 01 00 71 80 00 00 54 08 01 80 52 E8 23 00 B9 03 00 00 14 08 20 80 52 E8 23 00 B9 E0 23 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_288_1_0 {
	meta:
		name = "_isnan"
		size = 104
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD E8 0F 40 79 08 01 00 11 09 2D 1D 12 08 FE 8F 52 3F 01 08 6B 01 01 00 54 E8 07 40 B9 08 49 13 53 1F 01 00 71 41 01 00 54 E8 03 40 B9 1F 01 00 71 E1 00 00 54 E8 0F 40 79 08 01 00 11 09 2D 1D 12 08 FF 8F 52 3F 01 08 6B 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "__pctype_func"
		size = 76
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 01 00 91 00 01 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_290_0_0 {
	meta:
		name = "_fdrint"
		size = 496
		refs = "0014 fegetround 0070 _fd_int"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 27 00 BD F0 27 40 BD F0 13 00 BD ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 08 71 6C 01 00 54 E8 17 40 B9 1F 01 08 71 80 0B 00 54 E8 17 40 B9 1F 01 00 71 20 03 00 54 E8 17 40 B9 1F 01 04 71 C0 00 00 54 64 00 00 14 E8 17 40 B9 1F 01 0C 71 C0 09 00 54 60 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 27 40 79 08 01 00 11 A8 00 78 36 F1 13 40 BD 10 10 2E 1E 30 3A 30 1E F0 13 00 BD 50 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 37 00 79 E8 37 C0 79 08 01 00 11 1F 01 00 71 E1 03 00 54 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 01 00 80 12 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 27 40 79 08 01 00 11 C8 00 78 36 F1 13 40 BD 10 10 20 1E 30 3A 30 1E F0 13 00 BD 05 00 00 14 F1 13 40 BD 10 10 20 1E 30 2A 30 1E F0 13 00 BD 16 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 27 40 79 08 01 00 11 C8 00 78 36 F1 13 40 BD 10 10 2E 1E 30 3A 30 1E F0 13 00 BD 05 00 00 14 F1 13 40 BD 10 10 2E 1E 30 2A 30 1E F0 13 00 BD 14 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? 10 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 47 00 79 E8 47 C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 27 40 79 08 01 00 11 A8 00 78 37 F1 13 40 BD 10 10 2E 1E 30 2A 30 1E F0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_290_1_0 {
	meta:
		name = "rintf"
		size = 128
		refs = "0010 _fdtest 004c _fdrint 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EB 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 17 40 BD 0D 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 23 00 BD F0 23 40 BD F0 1F 00 BD F1 17 40 BD F0 1F 40 BD 00 22 31 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? E0 1F 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "fesetexceptflag"
		size = 200
		refs = "0030 _getfpstatusword 0044 __acrt_fenv_get_fp_status_word_from_exception_mask 0088 _setfpstatusword 0098 fetestexcept"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 17 00 B9 08 00 80 52 E8 13 00 B9 E8 17 40 B9 08 11 00 12 1F 01 00 71 61 00 00 54 00 00 80 52 25 00 00 14 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 13 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 E8 1B 40 B9 E9 03 28 2A E8 13 40 B9 08 01 09 0A E8 13 00 B9 E8 17 40 F9 09 01 40 B9 E8 1B 40 B9 29 01 08 0A E8 13 40 B9 08 01 09 2A E8 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E8 13 40 B9 00 11 00 12 00 00 00 11 ?? ?? ?? ?? E0 27 00 B9 E8 13 40 B9 09 11 00 12 E8 27 40 B9 1F 01 09 6B 60 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "div"
		size = 80
		altNames = "ldiv"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E1 07 00 B9 E9 03 40 B9 E8 07 40 B9 48 00 00 35 80 00 3E D4 28 0D C8 1A E8 0B 00 B9 EA 03 40 B9 E9 07 40 B9 49 00 00 35 80 00 3E D4 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 0F 00 B9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_294_5_0 {
	meta:
		name = "_mbsbtype_l"
		size = 344
		refs = "0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1HC@EEJIICCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0058 ??_C@_1BI@IGAIOCOA@?$AA_?$AAm?$AAb?$AAs?$AAb?$AAt?$AAy?$AAp?$AAe?$AA_?$AAl?$AA?$AA@ 0070 _invalid_parameter 0084 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00c0 _mbbtype_l 00d8 ??_C@_1CA@MCAHMKMK@?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 35 00 00 14 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 09 40 B9 68 00 00 35 00 00 80 52 27 00 00 14 00 00 80 12 74 00 00 B5 69 02 40 39 49 04 00 34 6A 16 40 38 2A 01 00 34 01 00 00 11 40 01 00 11 E2 63 00 91 ?? ?? ?? ?? 9F 02 00 F1 94 06 00 D1 40 03 00 54 F4 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "lrintf"
		size = 192
		refs = "0010 _fdtest 004c nearbyintf 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1F 00 BD E0 73 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 04 00 54 E8 1B 40 B9 1F 01 00 71 8D 00 00 54 E8 1B 40 B9 1F 09 00 71 0D 03 00 54 E0 1F 40 BD ?? ?? ?? ?? E0 23 00 BD F0 23 40 BD F0 17 00 BD F1 1F 40 BD F0 17 40 BD 00 22 31 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 17 40 BD 10 02 00 1C 00 22 31 1E 28 01 00 54 D1 01 00 1C F0 17 40 BD 00 22 31 1E A8 00 00 54 F0 17 40 BD 00 02 38 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 00 00 00 CF 00 00 00 4F }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "ilogbf"
		size = 140
		refs = "0014 _fdunscale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 BD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 20 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 07 00 00 14 00 00 B0 12 0C 00 00 14 00 00 B0 52 0A 00 00 14 00 00 B0 12 08 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E0 23 C0 79 00 00 00 11 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "_fpieee_flt"
		size = 236
		refs = "00a8 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 23 00 F9 08 00 80 D2 E8 13 00 F9 E8 17 40 B9 E8 13 00 B9 E9 05 00 18 E8 13 40 B9 1F 01 09 6B 03 05 00 54 89 05 00 18 E8 13 40 B9 1F 01 09 6B C9 00 00 54 29 05 00 18 E8 13 40 B9 1F 01 09 6B 40 00 00 54 1F 00 00 14 E8 1B 40 F9 08 01 00 91 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 08 81 00 91 E8 13 00 F9 28 44 3B D5 08 01 00 11 09 7D 40 93 E8 13 80 92 28 01 08 8A 28 44 1B D5 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 C0 01 00 54 E8 23 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 13 40 F9 00 01 40 F9 E8 17 40 F9 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 02 00 00 14 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 8E 00 00 C0 91 00 00 C0 93 00 00 C0 }
	condition:
		$1
}

rule file_298_0_0 {
	meta:
		name = "_ldrint"
		size = 496
		refs = "0014 fegetround 0070 _ld_int"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 FD F0 1B 40 FD F0 0B 00 FD ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 08 71 6C 01 00 54 E8 1B 40 B9 1F 01 08 71 80 0B 00 54 E8 1B 40 B9 1F 01 00 71 20 03 00 54 E8 1B 40 B9 1F 01 04 71 C0 00 00 54 64 00 00 14 E8 1B 40 B9 1F 01 0C 71 C0 09 00 54 60 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 2F 40 79 08 01 00 11 A8 00 78 36 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD 50 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 08 01 00 11 1F 01 00 71 E1 03 00 54 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 01 00 80 12 E0 43 00 91 ?? ?? ?? ?? E0 47 00 79 E8 47 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD 05 00 00 14 F1 0B 40 FD 10 10 60 1E 30 2A 70 1E F0 0B 00 FD 16 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD 14 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? 10 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 2F 40 79 08 01 00 11 A8 00 78 37 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD E0 0B 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_602_0_0 {
	meta:
		name = "_drint"
		size = 496
		refs = "0014 fegetround 0070 _d_int"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 FD F0 1B 40 FD F0 0B 00 FD ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 08 71 6C 01 00 54 E8 1B 40 B9 1F 01 08 71 80 0B 00 54 E8 1B 40 B9 1F 01 00 71 20 03 00 54 E8 1B 40 B9 1F 01 04 71 C0 00 00 54 64 00 00 14 E8 1B 40 B9 1F 01 0C 71 C0 09 00 54 60 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 2F 40 79 08 01 00 11 A8 00 78 36 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD 50 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 08 01 00 11 1F 01 00 71 E1 03 00 54 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 1F 01 00 71 20 01 00 54 01 00 80 12 E0 43 00 91 ?? ?? ?? ?? E0 47 00 79 E8 47 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD 05 00 00 14 F1 0B 40 FD 10 10 60 1E 30 2A 70 1E F0 0B 00 FD 16 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD 14 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? 10 00 00 14 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 2F 40 79 08 01 00 11 A8 00 78 37 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD E0 0B 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_298_1_0 {
	meta:
		name = "rintl"
		size = 128
		refs = "0010 _ldtest 004c _ldrint 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 EB 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0F 40 FD 0D 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 13 00 FD F1 0F 40 FD F0 13 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_602_1_0 {
	meta:
		name = "rint"
		size = 128
		refs = "0010 _dtest 004c _drint 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 EB 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0F 40 FD 0D 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 13 00 FD F1 0F 40 FD F0 13 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "_d_inttype"
		size = 168
		refs = "0010 _fpclass 0038 _frnd"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 08 12 80 52 28 01 08 0A 1F 01 00 71 60 00 00 54 00 00 80 52 1C 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD F0 13 40 FD F0 17 00 FD F1 0F 40 FD F0 17 40 FD 00 22 71 1E 41 02 00 54 F1 0F 40 FD 10 10 60 1E 20 1A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 1B 00 FD F1 0F 40 FD 10 10 60 1E 31 1A 70 1E F0 1B 40 FD 00 22 71 1E 81 00 00 54 40 00 80 52 05 00 00 14 03 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_299_1_0 {
	meta:
		name = "_powhlp"
		size = 616
		refs = "0078 _d_inf 01b0 _d_inttype 0220 _d_mzero"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 FD E1 0F 00 FD E0 0B 00 F9 08 00 80 52 E8 3F 00 B9 F0 13 40 FD 08 22 60 1E A2 00 00 54 F0 13 40 FD 10 42 61 1E F0 23 00 FD 03 00 00 14 F0 13 40 FD F0 23 00 FD F0 23 40 FD F0 1B 00 FD 09 FE AF 52 E8 1F 40 B9 1F 01 09 6B 21 03 00 54 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 11 10 6E 1E F0 1B 40 FD 00 22 71 1E CD 00 00 54 E9 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 0C 00 00 14 11 10 6E 1E F0 1B 40 FD 00 22 71 1E A2 00 00 54 E8 0B 40 F9 30 0E 00 5C 10 01 00 FD 04 00 00 14 E8 0B 40 F9 10 10 6E 1E 10 01 00 FD 68 00 00 14 09 FE BF 52 E8 1F 40 B9 1F 01 09 6B 21 03 00 54 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 11 10 6E 1E F0 1B 40 FD 00 22 71 1E AD 00 00 54 E8 0B 40 F9 D0 0B 00 5C 10 01 00 FD 0D 00 00 14 11 10 6E 1E F0 1B 40 FD 00 22 71 1E C2 00 00 54 E9 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 04 00 00 14 E8 0B 40 F9 10 10 6E 1E 10 01 00 FD 4C 00 00 14 09 FE AF 52 E8 27 40 B9 1F 01 09 6B E1 02 00 54 E8 23 40 B9 1F 01 00 71 81 02 00 54 F0 0F 40 FD 08 22 60 1E CD 00 00 54 E9 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 FD 0B 00 00 14 F0 0F 40 FD 08 22 60 1E A2 00 00 54 E8 0B 40 F9 70 07 00 5C 10 01 00 FD 04 00 00 14 E8 0B 40 F9 10 10 6E 1E 10 01 00 FD 32 00 00 14 09 FE BF 52 E8 27 40 B9 1F 01 09 6B C1 05 00 54 E8 23 40 B9 1F 01 00 71 61 05 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 2B 00 B9 F0 0F 40 FD 08 22 60 1E 0D 02 00 54 E8 2B 40 B9 1F 05 00 71 C1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 27 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 27 00 FD E8 0B 40 F9 F0 27 40 FD 10 01 00 FD 14 00 00 14 F0 0F 40 FD 08 22 60 1E C2 01 00 54 E8 2B 40 B9 1F 05 00 71 A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 00 FD 03 00 00 14 90 01 00 5C F0 2B 00 FD E8 0B 40 F9 F0 2B 40 FD 10 01 00 FD 04 00 00 14 E8 0B 40 F9 10 10 6E 1E 10 01 00 FD E0 3F 40 B9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_300_5_0 {
	meta:
		name = "_mbsicmp_l"
		size = 680
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1HA@EBPEOBJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0084 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c8 ??_C@_1BG@BMDHEPAJ@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00f8 _stricmp_l 0150 __acrt_LCMapStringA"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BC A9 FD 03 00 91 FF 43 00 D1 15 00 00 91 34 00 00 91 41 00 00 91 E0 A3 00 91 ?? ?? ?? ?? 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 06 80 52 ?? ?? ?? ?? 14 00 00 14 34 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 61 00 00 14 EB 1F 40 F9 68 09 40 B9 C8 00 00 35 E2 C3 00 91 81 02 00 91 A0 02 00 91 ?? ?? ?? ?? 5F 00 00 14 37 00 80 52 A3 02 00 91 AC 16 40 38 96 02 00 91 88 1D 00 53 68 C1 28 8B 09 65 40 39 69 03 10 36 A9 02 40 39 69 00 00 35 13 00 80 52 1E 00 00 14 67 05 40 B9 46 00 80 52 F7 03 00 B9 61 11 41 F9 E5 83 00 91 44 00 80 52 02 40 80 52 E0 C3 00 91 ?? ?? ?? ?? 1F 04 00 71 61 00 00 54 F3 83 40 39 07 00 00 14 1F 08 00 71 61 07 00 54 EA 83 40 39 E9 87 40 39 28 21 0A 0B 13 3D 00 53 EB 1F 40 F9 B5 06 00 91 08 00 00 14 89 05 00 11 69 C1 29 8B 2A 61 40 39 6A 00 20 36 8A 01 0B 8B 4C 65 44 39 93 3D 00 53 8D 16 40 38 A8 1D 00 53 68 C1 28 8B 09 65 40 39 89 03 10 36 89 02 40 39 69 00 00 35 08 00 80 52 1F 00 00 14 67 05 40 B9 46 00 80 52 F7 03 00 B9 61 11 41 F9 E5 83 00 91 44 00 80 52 C3 02 00 91 02 40 80 52 E0 C3 00 91 ?? ?? ?? ?? 1F 04 00 71 61 00 00 54 E8 83 40 39 07 00 00 14 1F 08 00 71 81 02 00 54 EA 83 40 39 E9 87 40 39 28 21 0A 0B 08 3D 00 53 EB 1F 40 F9 94 06 00 91 08 00 00 14 A9 05 00 11 69 C1 29 8B 2A 61 40 39 6A 00 20 36 AA 01 0B 8B 4D 65 44 39 A8 3D 00 53 7F 02 08 6B 21 01 00 54 F3 F5 FF 35 00 00 80 52 0A 00 00 14 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 05 00 00 14 7F 02 08 6B 2A 00 80 52 09 00 80 12 40 81 89 1A E8 03 41 39 A8 00 00 34 EA 17 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FF 43 00 91 FD 7B C4 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_301_0_0 {
	meta:
		name = "atanhf"
		size = 340
		refs = "0010 _fdtest 0088 _fperrraise 008c _FNan_C 00c0 _FInf_C 010c log1pf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A0 00 00 54 E8 1F 40 B9 1F 09 00 71 40 00 00 54 03 00 00 14 E0 17 40 BD 42 00 00 14 F0 17 40 BD 08 22 20 1E E2 00 00 54 28 00 80 52 E8 1B 00 B9 F0 17 40 BD 10 42 21 1E F0 17 00 BD 03 00 00 14 08 00 80 52 E8 1B 00 B9 F1 17 40 BD 10 10 2E 1E 00 22 31 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2E 00 00 14 2D 00 00 14 11 10 2E 1E F0 17 40 BD 00 22 31 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 1B 40 B9 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 23 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 00 BD E0 23 40 BD 1A 00 00 14 19 00 00 14 11 10 20 1E F0 17 40 BD 32 0A 30 1E 11 10 2E 1E F0 17 40 BD 30 3A 30 1E 40 1A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 2F 00 BD 11 10 2C 1E F0 2F 40 BD 30 0A 30 1E F0 27 00 BD E8 1B 40 B9 1F 01 00 71 A0 00 00 54 F0 27 40 BD 10 42 21 1E F0 2B 00 BD 03 00 00 14 F0 27 40 BD F0 2B 00 BD E0 2B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "logb"
		size = 168
		refs = "0014 _dunscale 005c _fperrraise 0060 _Inf_C"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 C0 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 0F 40 FD 13 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 00 01 62 1E 00 40 60 1E FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_341_0_0 {
	meta:
		name = "logbl"
		size = 168
		refs = "0014 _ldunscale 005c _fperrraise 0060 _LInf_C"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 C0 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 0F 40 FD 13 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 00 01 62 1E 00 40 60 1E FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "atan2"
		size = 2696
		refs = "01ac _handle_nan 0208 ?pi@?1??atan2@@9@9 021c val_with_flags 0274 ?piby2@?1??atan2@@9@9 02cc scaleUpDouble1024 0410 scaleDouble_1 044c scaleDownDouble 054c ?three_piby4@?1??atan2@@9@9 05a0 ?piby4@?1??atan2@@9@9 06c4 ?atan_jby256_lead@?1??atan2@@9@9 06ec ?atan_jby256_tail@?1??atan2@@9@9 0754 scaleDouble_2 0994 ?piby2_head@?1??atan2@@9@9 09a8 ?piby2_tail@?1??atan2@@9@9 09c8 ?pi_head@?1??atan2@@9@9 09dc ?pi_tail@?1??atan2@@9@9"
	strings:
		$1 = { FF 83 08 D1 FD 7B 00 A9 FD 03 00 91 E0 0F 00 FD E1 43 00 FD F0 43 40 FD F0 87 00 FD E8 87 40 F9 E8 37 00 F9 F0 0F 40 FD F0 8B 00 FD E8 8B 40 F9 E8 17 00 F9 E8 37 40 F9 08 F9 40 92 E8 73 00 F9 E8 17 40 F9 08 F9 40 92 E8 77 00 F9 E8 37 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 4F 00 B9 E8 17 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 4B 00 B9 E8 37 40 F9 08 01 41 92 E8 47 00 F9 E8 17 40 F9 08 01 41 92 E8 2F 00 F9 E8 73 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E8 93 40 B9 E8 D7 00 B9 E8 77 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 97 00 B9 03 00 00 14 08 00 80 52 E8 97 00 B9 E8 97 40 B9 E8 D3 00 B9 09 FE EF D2 E8 73 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 9B 00 B9 03 00 00 14 08 00 80 52 E8 9B 00 B9 E8 9B 40 B9 E8 CB 00 B9 09 FE EF D2 E8 77 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 9F 00 B9 03 00 00 14 08 00 80 52 E8 9F 00 B9 E8 9F 40 B9 E8 CF 00 B9 09 FE EF D2 E8 73 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 A3 00 B9 03 00 00 14 08 00 80 52 E8 A3 00 B9 E8 A3 40 B9 E8 DF 00 B9 09 FE EF D2 E8 77 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 A7 00 B9 03 00 00 14 08 00 80 52 E8 A7 00 B9 E8 A7 40 B9 E8 DB 00 B9 E9 4B 40 B9 E8 4F 40 B9 28 01 08 4B E8 23 00 B9 E8 CB 40 B9 1F 01 00 71 E0 00 00 54 E0 37 40 F9 ?? ?? ?? ?? E0 8F 00 FD E0 8F 40 FD 19 02 00 14 3C 00 00 14 E8 CF 40 B9 1F 01 00 71 E0 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 93 00 FD E0 93 40 FD 10 02 00 14 33 00 00 14 E8 D3 40 B9 1F 01 00 71 80 03 00 54 E8 47 40 F9 1F 01 00 F1 C0 02 00 54 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 97 00 FD E0 97 40 FD FD 01 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 00 FD E0 9B 40 FD F5 01 00 14 03 00 00 14 E0 0F 40 FD F2 01 00 14 15 00 00 14 E8 D7 40 B9 1F 01 00 71 40 02 00 54 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 9F 00 FD E0 9F 40 FD E2 01 00 14 05 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 4F 40 B9 1F F5 0F 71 0A 04 00 54 E8 4B 40 B9 1F F5 0F 71 AA 03 00 54 E1 A3 01 91 E0 37 40 F9 ?? ?? ?? ?? E1 A3 00 91 E0 17 40 F9 ?? ?? ?? ?? E8 37 40 F9 E8 A3 00 F9 F0 A3 40 FD F0 43 00 FD E8 17 40 F9 E8 A7 00 F9 F0 A7 40 FD F0 0F 00 FD E8 37 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 4F 00 B9 E8 17 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 4B 00 B9 E9 4B 40 B9 E8 4F 40 B9 28 01 08 4B E8 23 00 B9 E8 23 40 B9 1F E1 00 71 CD 02 00 54 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 AB 00 FD E0 AB 40 FD AC 01 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AF 00 FD E0 AF 40 FD A4 01 00 14 95 00 00 14 E8 23 40 B9 1F 71 00 31 AA 08 00 54 E8 47 40 F9 1F 01 00 F1 41 08 00 54 E8 23 40 B9 1F C9 10 31 4A 02 00 54 E8 2F 40 F9 1F 01 00 F1 00 01 00 54 00 02 80 52 00 33 00 5C ?? ?? ?? ?? E0 B3 00 FD E0 B3 40 FD 91 01 00 14 07 00 00 14 00 02 80 52 60 32 00 5C ?? ?? ?? ?? E0 B7 00 FD E0 B7 40 FD 8A 01 00 14 2D 00 00 14 E8 23 40 B9 1F F9 0F 31 AA 04 00 54 80 0C 80 52 E0 0F 40 FD ?? ?? ?? ?? E0 BB 00 FD F0 BB 40 FD F0 0F 00 FD F1 0F 40 FD F0 43 40 FD 30 1A 70 1E F0 0F 00 FD F0 0F 40 FD F0 BF 00 FD E8 BF 40 F9 E8 17 00 F9 E2 A3 00 91 81 0C 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 17 40 F9 E8 C3 00 F9 F0 C3 40 FD F0 0F 00 FD E8 17 40 F9 08 29 4C 92 1F 01 00 F1 01 01 00 54 00 02 80 52 E0 0F 40 FD ?? ?? ?? ?? E0 C7 00 FD E0 C7 40 FD 66 01 00 14 03 00 00 14 E0 0F 40 FD 63 01 00 14 06 00 00 14 F1 0F 40 FD F0 43 40 FD 20 1A 70 1E 00 40 60 1E 5D 01 00 14 4E 00 00 14 E8 23 40 B9 1F E1 00 31 2A 03 00 54 E8 47 40 F9 1F 01 00 F1 C0 02 00 54 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 CB 00 FD E0 CB 40 FD 4A 01 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 CF 00 FD E0 CF 40 FD 42 01 00 14 33 00 00 14 E8 DB 40 B9 1F 01 00 71 00 06 00 54 E8 DF 40 B9 1F 01 00 71 A0 05 00 54 E8 47 40 F9 1F 01 00 F1 C0 02 00 54 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 D3 00 FD E0 D3 40 FD 2C 01 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 D7 00 FD E0 D7 40 FD 24 01 00 14 15 00 00 14 E8 2F 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 DB 00 FD E0 DB 40 FD 17 01 00 14 08 00 00 14 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 DF 00 FD E0 DF 40 FD 0F 01 00 14 F0 43 40 FD F0 0B 00 FD F0 0F 40 FD F0 1F 00 FD E8 47 40 F9 1F 01 00 F1 80 00 00 54 F0 43 40 FD 10 42 61 1E F0 0B 00 FD E8 2F 40 F9 1F 01 00 F1 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1F 00 FD F1 1F 40 FD F0 0B 40 FD 00 22 71 1E 82 00 00 54 28 00 80 52 E8 AB 00 B9 03 00 00 14 08 00 80 52 E8 AB 00 B9 E8 AB 40 B9 E8 B3 00 B9 E8 B3 40 B9 1F 01 00 71 E0 00 00 54 F0 0B 40 FD F0 E3 00 FD F0 1F 40 FD F0 0B 00 FD F0 E3 40 FD F0 1F 00 FD F1 1F 40 FD F0 0B 40 FD 30 1A 70 1E F0 23 00 FD B1 1D 00 5C F0 23 40 FD 00 22 71 1E AD 0D 00 54 71 1D 00 5C F0 23 40 FD 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 73 00 B9 E8 73 40 B9 08 41 00 51 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 1B 00 FD E8 73 40 B9 08 41 00 51 09 7D 40 D3 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 2B 00 FD E8 73 40 B9 11 01 63 1E 10 10 6E 1E 31 0A 70 1E 90 19 00 5C 30 1A 70 1E F0 7B 00 FD F0 0B 40 FD F0 E7 00 FD E8 E7 40 F9 E8 3F 00 F9 E8 3F 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 08 FD 0F 51 E8 AF 00 B9 E8 AF 40 B9 E0 03 08 4B 00 00 00 11 E0 0B 40 FD ?? ?? ?? ?? E0 EB 00 FD F0 EB 40 FD F0 0B 00 FD E8 AF 40 B9 E0 03 08 4B 00 00 00 11 E0 1F 40 FD ?? ?? ?? ?? E0 EF 00 FD F0 EF 40 FD F0 1F 00 FD F0 0B 40 FD F0 F3 00 FD E8 F3 40 F9 E8 3F 00 F9 E8 3F 40 F9 08 91 65 92 E8 F7 00 F9 F0 F7 40 FD F0 5F 00 FD F1 0B 40 FD F0 5F 40 FD 30 3A 70 1E F0 7F 00 FD F1 7B 40 FD F0 5F 40 FD 31 0A 70 1E F0 1F 40 FD 12 3A 71 1E F1 7B 40 FD F0 7F 40 FD 30 0A 70 1E 52 3A 70 1E F1 7B 40 FD F0 1F 40 FD 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E 50 1A 70 1E F0 63 00 FD F1 63 40 FD F0 63 40 FD 30 0A 70 1E F0 33 00 FD F1 2B 40 FD F0 63 40 FD 32 2A 70 1E F1 33 40 FD 90 11 00 5C 31 0A 70 1E 90 11 00 5C 11 3A 71 1E F0 33 40 FD 11 0A 71 1E F0 63 40 FD 10 0A 71 1E 50 3A 70 1E F0 2B 00 FD 52 00 00 14 B1 10 00 5C F0 23 40 FD 00 22 71 1E C2 00 00 54 F0 0E 00 5C F0 1B 00 FD F0 23 40 FD F0 2B 00 FD 49 00 00 14 F0 0B 40 FD F0 FB 00 FD E8 FB 40 F9 E8 3F 00 F9 E8 3F 40 F9 08 7D 60 92 E8 FF 00 F9 F0 FF 40 FD F0 5F 00 FD F0 23 40 FD F0 03 01 FD E8 03 41 F9 E8 3F 00 F9 E8 3F 40 F9 08 7D 60 92 E8 07 01 F9 F0 07 41 FD F0 83 00 FD F1 0B 40 FD F0 5F 40 FD 30 3A 70 1E F0 7F 00 FD F1 23 40 FD F0 83 40 FD 30 3A 70 1E F0 0B 01 FD 10 0B 00 5C F0 1B 00 FD F1 23 40 FD F0 23 40 FD 30 0A 70 1E F0 33 00 FD F1 5F 40 FD F0 83 40 FD 31 0A 70 1E F0 1F 40 FD 12 3A 71 1E F1 7F 40 FD F0 83 40 FD 30 0A 70 1E 52 3A 70 1E F1 0B 40 FD F0 0B 41 FD 30 0A 70 1E 51 3A 70 1E F0 0B 40 FD 33 1A 70 1E F1 23 40 FD F0 33 40 FD 32 0A 70 1E F1 33 40 FD 70 09 00 5C 31 0A 70 1E 70 09 00 5C 11 3A 71 1E F0 33 40 FD 11 0A 71 1E 30 09 00 5C 11 3A 71 1E F0 33 40 FD 11 0A 71 1E F0 08 00 5C 11 3A 71 1E F0 33 40 FD 11 0A 71 1E B0 08 00 5C 10 3A 71 1E 50 0A 70 1E 71 3A 70 1E F0 23 40 FD 10 2A 71 1E F0 2B 00 FD E8 B3 40 B9 1F 01 00 71 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 3A 70 1E F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 30 3A 70 1E F0 2B 00 FD E8 47 40 F9 1F 01 00 F1 60 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 3A 70 1E F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 30 3A 70 1E F0 2B 00 FD F1 1B 40 FD F0 2B 40 FD 30 2A 70 1E F0 1B 00 FD E8 2F 40 F9 1F 01 00 F1 80 00 00 54 F0 1B 40 FD 10 42 61 1E F0 1B 00 FD E0 1B 40 FD FD 7B 40 A9 FF 83 08 91 C0 03 5F D6 00 00 00 00 00 00 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 3F 00 00 00 00 00 00 70 40 7D 2D 80 B9 92 99 C9 3F 77 08 55 55 55 55 D5 3F 3A 8C 30 E2 8E 79 45 3E C2 51 D7 92 31 0C B7 3F EB C4 B8 39 88 71 BC 3F E1 6B BD 82 24 49 C2 3F A3 43 96 99 99 99 C9 3F 38 55 55 55 55 55 D5 3F }
	condition:
		$1
}

rule file_303_5_0 {
	meta:
		name = "scaleUpDouble1024"
		size = 160
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 17 00 F9 E8 07 40 F9 08 29 4C 92 1F 01 00 F1 21 03 00 54 E9 07 40 F9 08 02 E8 D2 28 01 08 AA E8 0F 00 F9 F0 0F 40 FD F0 03 00 FD E8 07 40 F9 08 01 41 92 1F 01 00 F1 C0 00 00 54 F1 03 40 FD 10 10 62 1E 30 2A 70 1E F0 03 00 FD 05 00 00 14 F1 03 40 FD 10 10 62 1E 30 3A 70 1E F0 03 00 FD F0 03 40 FD F0 13 00 FD E8 13 40 F9 E8 0B 00 F9 05 00 00 14 E9 07 40 F9 08 00 E8 D2 28 01 08 8B E8 0B 00 F9 E9 17 40 F9 E8 0B 40 F9 28 01 00 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "_fdpoly"
		size = 112
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 BD E0 0B 00 F9 E1 03 00 B9 E8 0B 40 F9 10 01 40 BD F0 07 00 BD E8 03 40 B9 08 05 00 51 E8 03 00 B9 E9 03 40 B9 08 00 80 52 1F 01 09 6B 8C 01 00 54 E8 0B 40 F9 08 11 00 91 E8 0B 00 F9 F1 07 40 BD F0 0B 40 BD 31 0A 30 1E E8 0B 40 F9 10 01 40 BD 30 2A 30 1E F0 07 00 BD EF FF FF 17 E0 07 40 BD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_304_1_0 {
	meta:
		name = "erfcf"
		size = 888
		refs = "0010 _fdtest 0084 erfc_half 009c erff 00cc mid0 00e4 mid00 00f8 s00 0104 _fdpoly 0110 c00 0140 mid01 0154 s01 016c c01 01d0 approx 02f0 _fd_int 0314 expf 034c _fdexp 0360 _fperrraise"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 BD E0 43 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 40 01 00 54 E8 23 40 B9 1F 05 00 71 20 01 00 54 E8 23 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 13 40 BD C6 00 00 14 00 10 2E 1E C4 00 00 14 E8 27 40 79 08 01 00 11 88 00 78 36 10 10 20 1E F0 2B 00 BD 03 00 00 14 F0 17 00 1C F0 2B 00 BD E0 2B 40 BD BA 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E 42 01 00 54 E0 13 40 BD ?? ?? ?? ?? E0 2F 00 BD 11 10 2E 1E F0 2F 40 BD 20 3A 30 1E 00 40 20 1E AD 00 00 14 AC 00 00 14 D1 15 00 1C F0 13 40 BD 00 22 31 1E 82 06 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E 02 03 00 54 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 30 1E F0 13 00 BD 81 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 BD ?? ?? ?? ?? E0 33 00 BD 81 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 BD ?? ?? ?? ?? E0 37 00 BD F1 33 40 BD F0 37 40 BD 20 1A 30 1E 00 40 20 1E 8D 00 00 14 17 00 00 14 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 30 1E F0 13 00 BD 81 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 BD ?? ?? ?? ?? E0 3B 00 BD 81 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 BD ?? ?? ?? ?? E0 3F 00 BD F1 3B 40 BD F0 3F 40 BD 20 1A 30 1E 00 40 20 1E 76 00 00 14 75 00 00 14 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 1F 21 00 F1 02 0D 00 54 E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 BD F0 13 40 BD 00 22 31 1E 62 0B 00 54 11 10 2E 1E F0 13 40 BD 31 1A 30 1E E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 11 00 91 10 01 40 BD 30 3A 30 1E F0 17 00 BD E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 41 00 91 E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 41 01 40 B9 00 01 40 F9 E0 17 40 BD ?? ?? ?? ?? E0 43 00 BD E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 81 00 91 E8 1B 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 61 00 91 41 01 40 B9 00 01 40 F9 E0 17 40 BD ?? ?? ?? ?? E0 47 00 BD F1 43 40 BD F0 47 40 BD 30 1A 30 1E F0 27 00 BD F0 13 40 BD F0 17 00 BD 01 01 80 52 E0 53 00 91 ?? ?? ?? ?? F1 17 40 BD F0 13 40 BD 32 3A 30 1E F1 17 40 BD F0 13 40 BD 30 2A 30 1E 40 0A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 4B 00 BD F1 27 40 BD F0 4B 40 BD 30 0A 30 1E F0 27 00 BD F0 17 40 BD 11 42 21 1E F0 17 40 BD 30 0A 30 1E F0 17 00 BD 01 00 80 52 E0 27 40 BD E0 53 00 91 ?? ?? ?? ?? E0 17 40 BD 05 00 00 14 93 FF FF 17 00 02 80 52 ?? ?? ?? ?? 60 00 00 1C FD 7B C5 A8 C0 03 5F D6 00 00 00 00 AA F1 C2 3F }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "__acrt_getheap"
		size = 104
		refs = "0008 __acrt_heap 0018 ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 003c _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_305_1_0 {
	meta:
		name = "__acrt_initialize_heap"
		size = 72
		refs = "0008 __imp_GetProcessHeap 0018 __acrt_heap"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 F9 ?? ?? ?? ?? E8 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_305_2_0 {
	meta:
		name = "__acrt_uninitialize_heap"
		size = 32
		refs = "0008 __acrt_heap"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_305_3_0 {
	meta:
		name = "_get_heap_handle"
		size = 104
		refs = "0008 __acrt_heap 0018 ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 003c _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "__acrt_execute_initializers"
		size = 344
		refs = "007c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E9 13 40 F9 E8 17 40 F9 1F 01 09 EB 61 00 00 54 20 00 80 52 4B 00 00 14 E8 17 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 41 00 91 E8 0F 00 F9 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB 00 03 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 41 00 00 54 F4 FF FF 17 E8 0F 40 F9 08 01 00 91 08 01 40 F9 E8 1B 00 F9 EF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 1B 40 F9 00 01 3F D6 E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 E3 FF FF 17 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB 61 00 00 54 20 00 80 52 24 00 00 14 04 00 00 14 E8 0F 40 F9 08 41 00 D1 E8 0F 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 60 03 00 54 E8 0F 40 F9 08 41 00 D1 08 01 00 91 08 01 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 08 41 00 D1 08 21 00 91 08 01 40 F9 1F 01 00 F1 41 00 00 54 ED FF FF 17 E8 0F 40 F9 08 41 00 D1 08 21 00 91 08 01 40 F9 E8 1F 00 F9 EF 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 00 00 80 52 E8 1F 40 F9 00 01 3F D6 E0 FF FF 17 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_306_1_0 {
	meta:
		name = "__acrt_execute_uninitializers"
		size = 172
		refs = "0084 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E9 0F 40 F9 E8 13 40 F9 1F 01 09 EB 61 00 00 54 20 00 80 52 20 00 00 14 E8 0F 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 41 00 D1 E8 0B 00 F9 E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB A0 02 00 54 E8 0B 40 F9 08 41 00 D1 08 21 00 91 08 01 40 F9 1F 01 00 F1 41 00 00 54 F3 FF FF 17 E8 0B 40 F9 08 41 00 D1 08 21 00 91 08 01 40 F9 E8 17 00 F9 EF 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 00 00 80 52 E8 17 40 F9 00 01 3F D6 E6 FF FF 17 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "wcscmp"
		size = 168
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 F9 08 00 80 52 E8 03 00 B9 E8 0B 40 F9 09 01 40 79 29 01 00 11 E8 07 40 F9 08 01 40 79 08 01 00 11 28 01 08 4B E8 03 00 B9 E8 03 40 B9 1F 01 00 71 A1 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 EA FF FF 17 E8 03 40 B9 1F 01 00 71 8A 00 00 54 00 00 80 12 08 00 00 14 06 00 00 14 E8 03 40 B9 1F 01 00 71 6D 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_309_0_0 {
	meta:
		name = "_dquad"
		size = 1280
		refs = "0008 __security_push_cookie 0020 huge_rad 0050 twobypi 0098 _d_int 00c4 __c 0154 _dunscale 0174 _dxp_setw 01ac _dscale 01d8 __b 01f0 memcpy 0200 _dxp_mulh 0264 _dxp_addx 02a0 inv2pi 0320 get_acsize 0470 _dxp_getw 04ac fmod 04d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 17 00 F9 E8 17 40 F9 10 01 40 FD F0 0B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 20 22 70 1E 42 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E A2 07 00 54 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD F0 07 40 FD 08 22 60 1E CB 00 00 54 F1 07 40 FD 10 10 6C 1E 30 2A 70 1E F0 07 00 FD 05 00 00 14 F1 07 40 FD 10 10 6C 1E 30 3A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 08 22 60 1E 40 04 00 54 F1 07 40 FD 10 10 6A 1E 31 0A 70 1E 70 21 00 5C 30 1A 70 1E F0 0F 00 FD F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 12 3A 71 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 50 3A 70 1E F0 0B 00 FD E8 17 40 F9 F0 0B 40 FD 10 01 00 FD D3 00 00 14 C8 00 80 52 E8 03 00 B9 F0 0B 40 FD F0 07 00 FD E1 23 00 91 E0 13 00 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 1F 59 01 71 CA 00 00 54 E0 0B 40 FD E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? 3C 00 00 14 E8 0B C0 79 08 01 00 11 08 D9 00 51 08 7D 05 13 08 3D 00 13 E8 0B 00 79 E8 0B C0 79 08 01 00 11 08 69 1B 53 E1 03 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 FD 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 02 06 80 D2 21 00 00 91 E0 43 01 91 ?? ?? ?? ?? E0 1B 40 FD E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? F0 1F 40 FD 08 22 60 1E E0 02 00 54 E8 0B C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 02 06 80 D2 21 00 00 91 E0 03 02 91 ?? ?? ?? ?? E0 1F 40 FD E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 03 02 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 2B 40 FD 00 22 71 1E C3 00 00 54 F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 02 08 00 54 F1 2B 40 FD F0 2F 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 11 42 61 1E F0 10 00 5C 20 1A 70 1E 00 40 60 1E 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 02 91 ?? ?? ?? ?? E0 1B 40 FD E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? F0 1F 40 FD 08 22 60 1E 00 03 00 54 E0 2B 40 FD ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 03 00 B9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 02 91 ?? ?? ?? ?? E0 1F 40 FD E1 03 40 B9 E0 C3 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 C3 02 91 E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 03 02 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? B7 FF FF 17 F1 2B 40 FD F0 2F 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD F0 07 40 FD 08 22 60 1E CB 00 00 54 F1 07 40 FD 10 10 6C 1E 30 2A 70 1E F0 07 00 FD 05 00 00 14 F1 07 40 FD 10 10 6C 1E 30 3A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 08 22 60 1E C0 03 00 54 E0 2B 40 FD ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 03 00 B9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 83 03 91 ?? ?? ?? ?? F0 07 40 FD 11 42 61 1E 10 10 6A 1E 31 0A 70 1E 30 05 00 5C 20 1A 70 1E 00 40 60 1E E1 03 40 B9 E0 83 03 91 ?? ?? ?? ?? E3 03 40 B9 E2 83 03 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? E0 23 00 FD E8 17 40 F9 F0 23 40 FD 10 01 00 FD 31 03 00 5C F0 07 40 FD 00 22 71 1E A3 00 00 54 F1 07 40 FD D0 02 00 5C 00 22 71 1E E2 00 00 54 A1 02 00 5C E0 07 40 FD ?? ?? ?? ?? E0 27 00 FD F0 27 40 FD F0 07 00 FD F0 07 40 FD 08 02 78 1E 00 05 00 12 00 00 00 11 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 90 41 00 00 C0 FF FF FF DF C1 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 41 }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "_ldquad"
		size = 1280
		refs = "0008 __security_push_cookie 0020 huge_rad 0050 twobypi 0098 _ld_int 00c4 __c 0154 _ldunscale 0174 _ldxp_setw 01ac _ldscale 01d8 __b 01f0 memcpy 0200 _ldxp_mulh 0264 _ldxp_addx 02a0 inv2pi 0320 get_acsize 0470 _ldxp_getw 04ac fmodl 04d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 17 00 F9 E8 17 40 F9 10 01 40 FD F0 0B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 20 22 70 1E 42 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E A2 07 00 54 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD F0 07 40 FD 08 22 60 1E CB 00 00 54 F1 07 40 FD 10 10 6C 1E 30 2A 70 1E F0 07 00 FD 05 00 00 14 F1 07 40 FD 10 10 6C 1E 30 3A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 08 22 60 1E 40 04 00 54 F1 07 40 FD 10 10 6A 1E 31 0A 70 1E 70 21 00 5C 30 1A 70 1E F0 0F 00 FD F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 12 3A 71 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 52 3A 70 1E F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E 50 3A 70 1E F0 0B 00 FD E8 17 40 F9 F0 0B 40 FD 10 01 00 FD D3 00 00 14 C8 00 80 52 E8 03 00 B9 F0 0B 40 FD F0 07 00 FD E1 23 00 91 E0 13 00 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 1F 59 01 71 CA 00 00 54 E0 0B 40 FD E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? 3C 00 00 14 E8 0B C0 79 08 01 00 11 08 D9 00 51 08 7D 05 13 08 3D 00 13 E8 0B 00 79 E8 0B C0 79 08 01 00 11 08 69 1B 53 E1 03 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 FD 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 02 06 80 D2 21 00 00 91 E0 43 01 91 ?? ?? ?? ?? E0 1B 40 FD E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? F0 1F 40 FD 08 22 60 1E E0 02 00 54 E8 0B C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 02 06 80 D2 21 00 00 91 E0 03 02 91 ?? ?? ?? ?? E0 1F 40 FD E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 03 02 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 2B 40 FD 00 22 71 1E C3 00 00 54 F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 02 08 00 54 F1 2B 40 FD F0 2F 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 11 42 61 1E F0 10 00 5C 20 1A 70 1E 00 40 60 1E 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 02 91 ?? ?? ?? ?? E0 1B 40 FD E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? F0 1F 40 FD 08 22 60 1E 00 03 00 54 E0 2B 40 FD ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 03 00 B9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 02 91 ?? ?? ?? ?? E0 1F 40 FD E1 03 40 B9 E0 C3 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 C3 02 91 E1 03 40 B9 E0 03 02 91 ?? ?? ?? ?? E3 03 40 B9 E2 03 02 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? B7 FF FF 17 F1 2B 40 FD F0 2F 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 07 00 FD F0 07 40 FD 08 22 60 1E CB 00 00 54 F1 07 40 FD 10 10 6C 1E 30 2A 70 1E F0 07 00 FD 05 00 00 14 F1 07 40 FD 10 10 6C 1E 30 3A 70 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 08 22 60 1E C0 03 00 54 E0 2B 40 FD ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 03 00 B9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 83 03 91 ?? ?? ?? ?? F0 07 40 FD 11 42 61 1E 10 10 6A 1E 31 0A 70 1E 30 05 00 5C 20 1A 70 1E 00 40 60 1E E1 03 40 B9 E0 83 03 91 ?? ?? ?? ?? E3 03 40 B9 E2 83 03 91 E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? E1 03 40 B9 E0 43 01 91 ?? ?? ?? ?? E0 23 00 FD E8 17 40 F9 F0 23 40 FD 10 01 00 FD 31 03 00 5C F0 07 40 FD 00 22 71 1E A3 00 00 54 F1 07 40 FD D0 02 00 5C 00 22 71 1E E2 00 00 54 A1 02 00 5C E0 07 40 FD ?? ?? ?? ?? E0 27 00 FD F0 27 40 FD F0 07 00 FD F0 07 40 FD 08 02 78 1E 00 05 00 12 00 00 00 11 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 90 41 00 00 C0 FF FF FF DF C1 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 41 }
	condition:
		$1
}

rule file_309_1_0 {
	meta:
		name = "_dquadph"
		size = 424
		refs = "0014 _dquad 0034 _d_int 0070 fmod 00a4 __pi 00c4 __piby4"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E0 0F 00 FD E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 F0 0F 40 FD F0 13 00 FD 21 00 80 52 E0 83 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 13 40 FD 30 3A 70 1E F0 0F 00 FD 51 0A 00 5C F0 13 40 FD 00 22 71 1E A3 00 00 54 F1 13 40 FD F0 09 00 5C 00 22 71 1E E2 00 00 54 C1 09 00 5C E0 13 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 13 00 FD F1 13 40 FD 10 10 60 1E 30 0A 70 1E 08 02 78 1E 09 05 00 12 E8 13 40 B9 08 01 09 0B E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E F0 1B 00 FD F1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 48 02 00 54 F1 0F 40 FD 10 10 6C 1E 30 3A 70 1E F0 0F 00 FD E8 13 40 B9 08 05 00 11 E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E E8 17 40 F9 10 01 00 FD 1B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 1B 40 FD 00 22 71 1E 48 02 00 54 F1 0F 40 FD 10 10 6C 1E 30 2A 70 1E F0 0F 00 FD E8 13 40 B9 08 05 00 51 E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E E8 17 40 F9 10 01 00 FD 04 00 00 14 E8 17 40 F9 F0 1B 40 FD 10 01 00 FD E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 00 80 FF FF FF CF C1 00 00 80 FF FF FF CF 41 00 00 00 00 00 00 D0 41 }
	condition:
		$1
}

rule file_461_1_0 {
	meta:
		name = "_ldquadph"
		size = 424
		refs = "0014 _ldquad 0034 _ld_int 0070 fmodl 00a4 __pi 00c4 __piby4"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E0 0F 00 FD E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 F0 0F 40 FD F0 13 00 FD 21 00 80 52 E0 83 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 13 40 FD 30 3A 70 1E F0 0F 00 FD 51 0A 00 5C F0 13 40 FD 00 22 71 1E A3 00 00 54 F1 13 40 FD F0 09 00 5C 00 22 71 1E E2 00 00 54 C1 09 00 5C E0 13 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 13 00 FD F1 13 40 FD 10 10 60 1E 30 0A 70 1E 08 02 78 1E 09 05 00 12 E8 13 40 B9 08 01 09 0B E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E F0 1B 00 FD F1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 48 02 00 54 F1 0F 40 FD 10 10 6C 1E 30 3A 70 1E F0 0F 00 FD E8 13 40 B9 08 05 00 11 E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E E8 17 40 F9 10 01 00 FD 1B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 1B 40 FD 00 22 71 1E 48 02 00 54 F1 0F 40 FD 10 10 6C 1E 30 2A 70 1E F0 0F 00 FD E8 13 40 B9 08 05 00 51 E8 13 00 B9 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E E8 17 40 F9 10 01 40 FD 10 2A 71 1E E8 17 40 F9 10 01 00 FD 04 00 00 14 E8 17 40 F9 F0 1B 40 FD 10 01 00 FD E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 00 80 FF FF FF CF C1 00 00 80 FF FF FF CF 41 00 00 00 00 00 00 D0 41 }
	condition:
		$1
}

rule file_309_2_0 {
	meta:
		name = "_dsin"
		size = 592
		refs = "0014 _dtest 0094 _fperrraise 0098 _Nan_C 00a8 _dquad 00c0 _Rteps_C 0118 _c 01a8 _s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E0 17 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 40 01 00 54 E8 1B 40 B9 1F 05 00 71 A0 02 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 16 00 00 14 E0 13 40 FD 7D 00 00 14 E8 17 40 B9 68 00 00 36 10 10 6E 1E F0 13 00 FD E8 17 40 B9 A8 00 08 36 F0 13 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD E0 1B 40 FD 6F 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 1F 00 B9 E9 17 40 B9 E8 1F 40 B9 28 01 08 0B E8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 13 40 FD 20 22 70 1E 62 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 00 22 71 1E C2 00 00 54 E8 17 40 B9 68 00 00 36 10 10 6E 1E F0 13 00 FD 4A 00 00 14 F1 13 40 FD F0 13 40 FD 30 0A 70 1E F0 17 00 FD E8 17 40 B9 48 04 00 36 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 13 00 FD 23 00 00 14 F1 13 40 FD F0 17 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 0A 70 1E F0 13 40 FD 10 2A 71 1E F0 13 00 FD E8 17 40 B9 A8 00 08 36 F0 13 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 13 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_461_2_0 {
	meta:
		name = "_ldsin"
		size = 592
		refs = "0014 _ldtest 0094 _fperrraise 0098 _LNan_C 00a8 _ldquad 00c0 _LRteps_C 0118 _c 01a8 _s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E0 17 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 40 01 00 54 E8 1B 40 B9 1F 05 00 71 A0 02 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 16 00 00 14 E0 13 40 FD 7D 00 00 14 E8 17 40 B9 68 00 00 36 10 10 6E 1E F0 13 00 FD E8 17 40 B9 A8 00 08 36 F0 13 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 13 40 FD F0 1B 00 FD E0 1B 40 FD 6F 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 1F 00 B9 E9 17 40 B9 E8 1F 40 B9 28 01 08 0B E8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 13 40 FD 20 22 70 1E 62 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 00 22 71 1E C2 00 00 54 E8 17 40 B9 68 00 00 36 10 10 6E 1E F0 13 00 FD 4A 00 00 14 F1 13 40 FD F0 13 40 FD 30 0A 70 1E F0 17 00 FD E8 17 40 B9 48 04 00 36 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 13 00 FD 23 00 00 14 F1 13 40 FD F0 17 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 0A 70 1E F0 13 40 FD 10 2A 71 1E F0 13 00 FD E8 17 40 B9 A8 00 08 36 F0 13 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 13 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_309_3_0 {
	meta:
		name = "get_acsize"
		size = 104
		refs = "0014 _dunscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E1 83 00 91 E0 43 00 91 ?? ?? ?? ?? E9 23 C0 79 29 01 00 11 A8 06 80 52 29 0D C8 1A 48 00 80 52 28 7D 08 1B 08 15 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 1F 19 00 F1 88 00 00 54 E8 17 40 B9 E8 1B 00 B9 03 00 00 14 C8 00 80 52 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_461_4_0 {
	meta:
		name = "get_acsize"
		size = 104
		refs = "0014 _ldunscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E1 83 00 91 E0 43 00 91 ?? ?? ?? ?? E9 23 C0 79 29 01 00 11 A8 06 80 52 29 0D C8 1A 48 00 80 52 28 7D 08 1B 08 15 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 1F 19 00 F1 88 00 00 54 E8 17 40 B9 E8 1B 00 B9 03 00 00 14 C8 00 80 52 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_309_4_0 {
	meta:
		name = "lgamma"
		size = 1280
		refs = "001c _d_int 0060 _Inf_C 007c _fperrraise 008c _dgamma_big 00b0 pi 00c4 _dsin 00ec _dlog 0100 lgamma_big 0184 rootapprox 0298 _dpoly 030c approx 0430 _dtgamma 0494 loge2lo 04b0 loge2hi 04d0 log1p"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 13 00 FD 01 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 A0 01 00 54 E8 2F 40 B9 1F 05 00 71 E0 00 00 54 E8 2F 40 B9 1F 09 00 71 40 00 00 54 0E 00 00 14 E0 0F 40 FD 24 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 21 01 00 14 F0 0F 40 FD 08 22 60 1E C8 00 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 19 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0F 40 FD 00 22 71 1E 02 04 00 54 F1 0F 40 FD F0 13 40 FD 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 71 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F1 0F 40 FD F0 23 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 1A 71 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 27 00 FD F0 0F 40 FD 00 42 61 1E 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F1 27 40 FD F0 2B 40 FD 20 3A 70 1E 00 40 60 1E F5 00 00 14 F4 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E E8 00 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD EA 00 00 14 E9 00 00 14 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 2D 00 F1 62 03 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 F1 0F 40 FD 10 01 40 FD 00 22 71 1E C2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 11 01 40 FD F0 0F 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 E0 FF FF 17 E8 13 40 B9 08 7D 40 93 1F 2D 00 F1 22 06 00 54 F0 0F 40 FD F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 F1 13 40 FD 10 01 40 FD 31 3A 70 1E E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 61 00 91 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 92 00 00 14 91 00 00 14 F1 0F 40 FD 50 12 00 5C 00 22 71 1E 82 0B 00 54 11 10 6F 1E F0 0F 40 FD 00 22 71 1E 02 0B 00 54 F0 0F 40 FD F0 13 00 FD 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 05 00 F1 E2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 13 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 EC FF FF 17 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 F1 13 40 FD 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD F1 37 40 FD F0 3B 40 FD 30 1A 70 1E F0 3F 00 FD E0 3F 40 FD 33 00 00 14 32 00 00 14 E1 AB 00 91 E0 63 00 91 ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 13 00 FD F0 0F 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 0F 40 FD F0 1B 00 FD 00 00 80 52 E0 1B 40 FD ?? ?? ?? ?? E0 47 00 FD F0 47 40 FD 10 42 61 1E F0 0F 00 FD E8 57 C0 79 08 01 00 11 E8 03 08 4B 10 01 62 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 31 0A 70 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 31 0A 70 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD F1 0F 40 FD F0 4B 40 FD 30 2A 70 1E F0 0F 00 FD E0 0F 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 33 33 33 33 33 33 F3 3F }
	condition:
		$1
}

rule file_461_6_0 {
	meta:
		name = "lgammal"
		size = 1280
		refs = "001c _ld_int 0060 _LInf_C 007c _fperrraise 008c _ldgamma_big 00b0 pi 00c4 _ldsin 00ec _ldlog 0100 lgamma_big 0184 rootapprox 0298 _ldpoly 030c approx 0430 _ldtgamma 0494 loge2lo 04b0 loge2hi 04d0 log1pl"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 13 00 FD 01 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 A0 01 00 54 E8 2F 40 B9 1F 05 00 71 E0 00 00 54 E8 2F 40 B9 1F 09 00 71 40 00 00 54 0E 00 00 14 E0 0F 40 FD 24 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 21 01 00 14 F0 0F 40 FD 08 22 60 1E C8 00 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 19 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0F 40 FD 00 22 71 1E 02 04 00 54 F1 0F 40 FD F0 13 40 FD 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 71 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F1 0F 40 FD F0 23 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 1A 71 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 27 00 FD F0 0F 40 FD 00 42 61 1E 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F1 27 40 FD F0 2B 40 FD 20 3A 70 1E 00 40 60 1E F5 00 00 14 F4 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E E8 00 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD EA 00 00 14 E9 00 00 14 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 2D 00 F1 62 03 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 F1 0F 40 FD 10 01 40 FD 00 22 71 1E C2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 11 01 40 FD F0 0F 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 E0 FF FF 17 E8 13 40 B9 08 7D 40 93 1F 2D 00 F1 22 06 00 54 F0 0F 40 FD F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 F1 13 40 FD 10 01 40 FD 31 3A 70 1E E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 61 00 91 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 92 00 00 14 91 00 00 14 F1 0F 40 FD 50 12 00 5C 00 22 71 1E 82 0B 00 54 11 10 6F 1E F0 0F 40 FD 00 22 71 1E 02 0B 00 54 F0 0F 40 FD F0 13 00 FD 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 05 00 F1 E2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 13 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 EC FF FF 17 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 F1 13 40 FD 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD F1 37 40 FD F0 3B 40 FD 30 1A 70 1E F0 3F 00 FD E0 3F 40 FD 33 00 00 14 32 00 00 14 E1 AB 00 91 E0 63 00 91 ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 13 00 FD F0 0F 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1B 00 FD 03 00 00 14 F0 0F 40 FD F0 1B 00 FD 00 00 80 52 E0 1B 40 FD ?? ?? ?? ?? E0 47 00 FD F0 47 40 FD 10 42 61 1E F0 0F 00 FD E8 57 C0 79 08 01 00 11 E8 03 08 4B 10 01 62 1E F0 1F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 31 0A 70 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 31 0A 70 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD E0 13 40 FD ?? ?? ?? ?? E0 4B 00 FD F1 0F 40 FD F0 4B 40 FD 30 2A 70 1E F0 0F 00 FD E0 0F 40 FD FD 7B CA A8 C0 03 5F D6 1F 20 03 D5 33 33 33 33 33 33 F3 3F }
	condition:
		$1
}

rule file_309_5_0 {
	meta:
		name = "lgamma_big"
		size = 264
		refs = "0024 _dlog 0064 _dunscale 0088 _dscale 00a0 c 00d8 half_ln2pim1 00f8 _fperrraise"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD 11 10 6E 1E F0 13 40 FD 30 1A 70 1E F0 17 00 FD 00 00 80 52 E0 13 40 FD ?? ?? ?? ?? E0 1F 00 FD F1 1F 40 FD 10 10 6E 1E 30 3A 70 1E F0 23 00 FD F1 13 40 FD 10 10 6C 1E 30 3A 70 1E F0 0F 00 FD F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 1B 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 23 40 FD 30 0A 70 1E F0 0F 00 FD E1 23 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 CA 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_461_5_0 {
	meta:
		name = "lgamma_big"
		size = 264
		refs = "0024 _ldlog 0064 _ldunscale 0088 _ldscale 00a0 c 00d8 half_ln2pim1 00f8 _fperrraise"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 FD 11 10 6E 1E F0 13 40 FD 30 1A 70 1E F0 17 00 FD 00 00 80 52 E0 13 40 FD ?? ?? ?? ?? E0 1F 00 FD F1 1F 40 FD 10 10 6E 1E 30 3A 70 1E F0 23 00 FD F1 13 40 FD 10 10 6C 1E 30 3A 70 1E F0 0F 00 FD F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 1B 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? F1 0F 40 FD F0 23 40 FD 30 0A 70 1E F0 0F 00 FD E1 23 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 CA 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 17 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 0F 40 FD 10 2A 71 1E F0 0F 00 FD 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_310_0_0 {
	meta:
		name = "nearbyintl"
		size = 96
		refs = "0010 _ldtest 004c _ldrint"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 EB 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0F 40 FD 05 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_684_0_0 {
	meta:
		name = "nearbyint"
		size = 96
		refs = "0010 _dtest 004c _drint"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 EB 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 0F 40 FD 05 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_312_5_0 {
	meta:
		name = "_ismbslead_l"
		size = 332
		refs = "0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_1HA@HNFHIHGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003c _CrtDbgReportW 004c _errno 0060 ??_C@_1BK@JHJMEEFN@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAl?$AAe?$AAa?$AAd?$AA_?$AAl?$AA?$AA@ 0070 _invalid_parameter 0084 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 52 32 00 00 14 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 06 80 52 ?? ?? ?? ?? E6 FF FF 17 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EB 13 40 F9 68 09 40 B9 28 02 00 34 7F 02 14 EB E8 01 00 54 69 02 40 39 A9 01 00 34 29 01 0B 8B 2A 65 40 39 CA 00 10 36 7F 02 14 EB 73 06 00 91 A0 00 00 54 68 02 40 39 A8 00 00 34 73 06 00 91 F3 FF FF 17 00 00 80 12 02 00 00 14 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_313_0_0 {
	meta:
		name = "__acrt_strtok_s_novalidation"
		size = 692
		refs = "0008 __security_push_cookie 005c __report_rangecheckfailure 02a8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 02 D1 E0 1B 00 F9 E1 2F 00 F9 E2 23 00 F9 08 00 80 52 E8 0B 00 B9 04 00 00 14 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 0B 40 B9 1F 81 00 71 EA 01 00 54 E8 0B 40 B9 08 7D 40 93 E8 17 00 F9 E8 17 40 F9 1F 81 00 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 83 01 91 E8 17 40 F9 29 01 08 8B 08 00 80 52 28 01 00 39 ED FF FF 17 E8 2F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 83 01 91 0A 01 09 8B E8 0B 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 09 21 C9 1A 48 01 40 39 08 01 00 11 0A 01 09 2A E8 0B 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 83 01 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 0B 40 F9 08 01 40 39 08 01 00 11 E8 23 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 23 40 B9 1F 01 00 71 41 FB FF 54 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 23 40 F9 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 03 00 F9 E8 03 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 83 01 91 08 01 09 8B 0A 01 40 39 4A 01 00 11 E8 0F 40 F9 08 01 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 08 21 C9 1A 48 01 08 0A 1F 01 00 71 40 01 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E2 FF FF 17 E8 03 40 F9 E8 27 00 F9 04 00 00 14 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 03 00 54 E8 0F 40 F9 08 01 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 83 01 91 08 01 09 8B 0A 01 40 39 4A 01 00 11 E8 0F 40 F9 08 01 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 08 21 C9 1A 48 01 08 0A 1F 01 00 71 00 01 00 54 E9 03 40 F9 08 00 80 52 28 01 00 39 E8 03 40 F9 08 05 00 91 E8 03 00 F9 02 00 00 14 DB FF FF 17 E9 23 40 F9 E8 03 40 F9 28 01 00 F9 E9 27 40 F9 E8 03 40 F9 1F 01 09 EB 80 00 00 54 E8 27 40 F9 E8 2B 00 F9 03 00 00 14 08 00 80 D2 E8 2B 00 F9 E0 2B 40 F9 FF 03 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_315_5_0 {
	meta:
		name = "_mbsrev_l"
		size = 432
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_1GO@BCOBJAPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 006c ??_C@_1BE@HMKMJMHA@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAe?$AAv?$AA_?$AAl?$AA?$AA@ 0084 _invalid_parameter 00a0 _strrev 00ec ??_C@_1FE@OKOAGNBP@?$AA?$CI?$AA?$CC?$AAB?$AAa?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAo?$AA?5?$AA_?$AAm@ 012c ??_C@_1BK@NHCDBJID@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DO?$AAs?$AAt?$AAa?$AAr?$AAt?$AA?$AA@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 E0 43 00 91 75 02 00 91 74 02 00 91 ?? ?? ?? ?? 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 15 00 80 D2 3D 00 00 14 EB 13 40 F9 68 09 40 B9 A8 00 00 35 60 02 00 91 ?? ?? ?? ?? 15 00 00 91 36 00 00 14 68 02 40 39 88 05 00 34 08 01 0B 8B 76 02 00 91 09 65 40 39 73 06 00 91 49 FF 17 36 6A 02 40 39 CA 00 00 34 69 F2 5F 38 6A F2 1F 38 69 02 00 39 73 06 00 91 F3 FF FF 17 ?? ?? ?? ?? C8 02 80 52 ?? ?? ?? ?? 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 7F 02 15 EB 88 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 09 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D3 02 00 91 7F 02 00 39 6A 06 00 D1 05 00 00 14 89 16 40 38 48 F5 5F 38 88 F2 1F 38 49 05 00 39 9F 02 0A EB 63 FF FF 54 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 A0 02 00 91 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_316_0_0 {
	meta:
		name = "_dpow"
		size = 2736
		refs = "0008 __security_push_cookie 003c _dunscale 0054 _d_int 0188 _Inf_C 0238 _Zero_C 0358 _fperrraise 03e8 _Nan_C 0440 ?rthalf@?1??_dpow@@9@9 047c scale 04cc lnbias 0520 _dlogpoly 056c ?ln2@?1??_dpow@@9@9 05b0 ?maxexp@?1??_dpow@@9@9 0768 _dxp_setw 078c _dxp_addx 07b4 log2e 07c0 memcpy 07d0 _dxp_mulh 08a8 _dxp_addh 0980 _dxp_getw 09f8 _dexp 0a88 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 06 D1 E0 07 00 FD E1 13 00 FD E0 33 00 F9 F0 13 40 FD F0 1B 00 FD 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 1B 00 B9 E1 23 00 91 E0 13 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 03 00 79 01 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 07 00 79 E8 33 40 F9 1F 01 00 F1 80 00 00 54 E9 33 40 F9 08 00 80 52 28 01 00 79 E8 07 C0 79 08 01 00 11 1F 01 00 71 81 00 00 54 F0 13 40 FD 08 22 60 1E A0 02 00 54 E8 03 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E8 0B C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 11 10 6C 1E F0 07 40 FD 00 22 71 1E 20 01 00 54 E8 07 C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 11 10 7C 1E F0 07 40 FD 00 22 71 1E 81 00 00 54 00 10 6E 1E 66 02 00 14 C1 00 00 14 E9 03 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 07 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 15 00 54 E8 03 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 07 40 FD 55 02 00 14 A3 00 00 14 E8 07 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 4E 02 00 14 9C 00 00 14 E8 03 C0 79 08 01 00 11 1F 05 00 71 01 08 00 54 E8 1F 40 79 08 01 00 11 A8 01 78 37 E8 4F 40 79 08 01 00 11 88 00 78 36 F0 48 00 5C F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD E0 3F 40 FD 3B 02 00 14 30 00 00 14 E8 4F 40 79 08 01 00 11 08 03 78 37 E8 07 C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 8B 00 79 E8 8B C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 43 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 43 00 FD E0 43 40 FD 21 02 00 14 16 00 00 14 E8 07 C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 8F 00 79 E8 8F C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 47 00 FD 03 00 00 14 70 42 00 5C F0 47 00 FD E0 47 40 FD 0B 02 00 14 59 00 00 14 E8 07 C0 79 08 01 00 11 1F 05 00 71 C1 03 00 54 E8 4F 40 79 08 01 00 11 C8 01 78 37 E8 0B C0 79 08 01 00 11 1F 01 00 71 8C 00 00 54 70 40 00 5C F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD E0 4B 40 FD F7 01 00 14 0D 00 00 14 E8 0B C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 00 FD 03 00 00 14 50 3E 00 5C F0 4F 00 FD E0 4F 40 FD EA 01 00 14 38 00 00 14 E8 4F 40 79 08 01 00 11 48 03 78 37 E8 07 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 93 00 79 E8 93 C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 1F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 53 00 FD 03 00 00 14 D0 3A 00 5C F0 53 00 FD E0 53 40 FD CE 01 00 14 1C 00 00 14 80 00 80 52 ?? ?? ?? ?? E8 07 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 97 00 79 E8 97 C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 1F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 57 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 57 00 FD E0 57 40 FD B2 01 00 14 0D 00 00 14 E8 1F 40 79 08 01 00 11 48 01 78 36 E8 07 C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A5 01 00 14 F0 07 40 FD 08 22 60 1E 8D 00 00 54 08 00 80 52 E8 53 00 79 0A 00 00 14 F0 07 40 FD 10 42 61 1E F0 07 00 FD 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 79 E8 9B C0 79 E8 53 00 79 E8 0B C0 79 08 01 00 11 1F 05 00 71 E1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 07 40 FD 00 22 71 1E 42 01 00 54 08 00 80 52 E8 53 00 B9 10 10 6E 1E F0 2F 00 FD F1 07 40 FD 10 10 60 1E 30 0A 70 1E F0 07 00 FD 12 00 00 14 F1 07 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E 08 81 00 51 E8 53 00 B9 E8 53 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E 10 10 6C 1E 30 2A 70 1E F0 2F 00 FD E8 53 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 1F 00 F9 F1 07 40 FD F0 2F 40 FD 32 3A 70 1E F1 07 40 FD F0 2F 40 FD 30 2A 70 1E 50 1A 70 1E F0 37 00 FD F1 37 40 FD F0 37 40 FD 30 0A 70 1E F0 5B 00 FD F1 07 40 FD F0 2F 40 FD 30 3A 70 1E F0 07 00 FD E0 5B 40 FD ?? ?? ?? ?? E0 67 00 FD F1 5B 40 FD F0 67 40 FD 31 0A 70 1E F0 07 40 FD 32 3A 70 1E 11 10 6E 1E F0 2F 40 FD 31 3A 70 1E 10 10 60 1E 10 0A 71 1E 51 2A 70 1E F0 37 40 FD 10 0A 71 1E F0 3B 00 FD F1 07 40 FD F0 3B 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 1A 70 1E F0 1B 00 FD E8 0B C0 79 08 01 00 11 11 01 62 1E E8 1F 40 F9 10 01 40 FD 11 2A 71 1E F0 1B 40 FD 10 2A 71 1E F0 1B 00 FD F1 13 40 FD F0 1B 40 FD 30 0A 70 1E F0 0B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 00 22 71 1E 82 00 00 54 08 00 80 52 E8 03 00 79 FA 00 00 14 F1 0B 40 FD 10 D0 75 1E 00 22 71 1E E8 0A 00 54 11 D0 65 1E F0 0B 40 FD 00 22 71 1E 68 0A 00 54 F1 13 40 FD 50 25 00 5C 00 22 71 1E E2 09 00 54 31 25 00 5C F0 13 40 FD 00 22 71 1E 62 09 00 54 F0 0B 40 FD 08 22 60 1E C2 00 00 54 F1 0B 40 FD 10 10 6C 1E 30 3A 70 1E F0 5F 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6C 1E 30 2A 70 1E F0 5F 00 FD F0 5F 40 FD 08 02 78 1E E8 1B 00 B9 F1 07 40 FD F0 3B 40 FD 31 2A 70 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD E8 1F 40 F9 1F 01 00 F1 01 02 00 54 E8 0B C0 79 08 01 00 11 11 01 62 1E F0 13 40 FD 11 0A 71 1E E8 1B 40 B9 10 01 62 1E 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD 21 00 00 14 E8 1F 40 F9 09 21 00 91 E8 1F 40 F9 08 41 00 91 31 01 40 FD 10 01 40 FD 31 2A 70 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD E8 0B C0 79 08 01 00 11 11 01 62 1E E8 1F 40 F9 10 01 40 FD 31 2A 70 1E F0 13 40 FD 11 0A 71 1E E8 1B 40 B9 10 01 62 1E 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD 08 00 80 12 E8 03 00 79 A0 00 00 14 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 00 00 54 28 00 80 52 E8 03 00 79 98 00 00 14 E0 07 40 FD 81 00 80 52 E0 A3 03 91 ?? ?? ?? ?? E0 3B 40 FD 41 00 80 52 E0 63 03 91 ?? ?? ?? ?? 43 00 80 52 E2 63 03 91 81 00 80 52 E0 A3 03 91 ?? ?? ?? ?? F0 77 40 FD 08 22 60 1E C1 00 00 54 E0 17 00 5C 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? 31 00 00 14 02 04 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 04 91 ?? ?? ?? ?? E0 77 40 FD 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? 28 00 80 52 E8 2F 00 B9 04 00 00 14 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 11 00 71 EA 03 00 54 E8 2F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 03 91 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 02 00 54 02 04 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 05 91 ?? ?? ?? ?? E8 2F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 03 91 08 01 09 8B 00 01 40 FD 81 00 80 52 E0 23 05 91 ?? ?? ?? ?? 83 00 80 52 E2 23 05 91 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? DD FF FF 17 E8 1F 40 F9 1F 01 00 F1 C0 00 00 54 63 00 80 52 E2 1F 40 F9 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 00 01 62 1E 00 40 60 1E 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? E0 13 40 FD 41 00 80 52 E0 A3 03 91 ?? ?? ?? ?? 02 04 80 D2 E1 A3 04 91 E0 23 04 91 ?? ?? ?? ?? E0 77 40 FD 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? F0 7B 40 FD 08 22 60 1E C0 01 00 54 02 04 80 D2 E1 A3 04 91 E0 A3 05 91 ?? ?? ?? ?? E0 7B 40 FD 81 00 80 52 E0 A3 05 91 ?? ?? ?? ?? 83 00 80 52 E2 A3 05 91 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? F0 87 40 FD F0 07 00 FD F0 87 40 FD 08 22 60 1E 40 01 00 54 F0 8B 40 FD 08 22 60 1E E0 00 00 54 F1 8B 40 FD F0 8F 40 FD 31 2A 70 1E F0 07 40 FD 10 2A 71 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 00 42 61 1E 00 40 60 1E 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD F0 0B 00 FD F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 0B 00 FD F0 07 40 FD 08 02 78 1E E8 1B 00 B9 08 00 80 12 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F 01 00 71 2A 02 00 54 E8 33 40 F9 1F 01 00 F1 E0 00 00 54 E8 1B 40 B9 09 3D 00 13 E8 33 40 F9 09 01 00 79 08 00 80 52 E8 1B 00 B9 E1 1B 40 B9 00 10 6E 1E E0 43 00 91 ?? ?? ?? ?? E0 9F 00 79 E8 9F C0 79 E8 03 00 79 E8 03 C0 79 08 01 00 11 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 A0 00 00 54 E8 57 40 B9 1F 05 00 71 E0 00 00 54 0B 00 00 14 50 03 00 5C F0 0B 00 FD 00 02 80 52 ?? ?? ?? ?? 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 00 FD 00 01 80 52 ?? ?? ?? ?? E8 53 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0B 40 FD 10 42 61 1E F0 63 00 FD 03 00 00 14 F0 0B 40 FD F0 63 00 FD E0 63 40 FD FF 03 06 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 44 C0 00 00 00 00 00 00 44 40 }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "_ldpow"
		size = 2736
		refs = "0008 __security_push_cookie 003c _ldunscale 0054 _ld_int 0188 _LInf_C 0238 _LZero_C 0358 _fperrraise 03e8 _LNan_C 0440 ?rthalf@?1??_ldpow@@9@9 047c scale 04cc lnbias 0520 _ldlogpoly 056c ?ln2@?1??_ldpow@@9@9 05b0 ?maxexp@?1??_ldpow@@9@9 0768 _ldxp_setw 078c _ldxp_addx 07b4 log2e 07c0 memcpy 07d0 _ldxp_mulh 08a8 _ldxp_addh 0980 _ldxp_getw 09f8 _ldexp 0a88 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 06 D1 E0 07 00 FD E1 13 00 FD E0 33 00 F9 F0 13 40 FD F0 1B 00 FD 08 00 80 D2 E8 1F 00 F9 08 00 80 52 E8 1B 00 B9 E1 23 00 91 E0 13 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 03 00 79 01 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 07 00 79 E8 33 40 F9 1F 01 00 F1 80 00 00 54 E9 33 40 F9 08 00 80 52 28 01 00 79 E8 07 C0 79 08 01 00 11 1F 01 00 71 81 00 00 54 F0 13 40 FD 08 22 60 1E A0 02 00 54 E8 03 C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E8 0B C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 11 10 6C 1E F0 07 40 FD 00 22 71 1E 20 01 00 54 E8 07 C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 11 10 7C 1E F0 07 40 FD 00 22 71 1E 81 00 00 54 00 10 6E 1E 66 02 00 14 C1 00 00 14 E9 03 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 07 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 15 00 54 E8 03 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 07 40 FD 55 02 00 14 A3 00 00 14 E8 07 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 4E 02 00 14 9C 00 00 14 E8 03 C0 79 08 01 00 11 1F 05 00 71 01 08 00 54 E8 1F 40 79 08 01 00 11 A8 01 78 37 E8 4F 40 79 08 01 00 11 88 00 78 36 F0 48 00 5C F0 3F 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 00 FD E0 3F 40 FD 3B 02 00 14 30 00 00 14 E8 4F 40 79 08 01 00 11 08 03 78 37 E8 07 C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 8B 00 79 E8 8B C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 43 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 43 00 FD E0 43 40 FD 21 02 00 14 16 00 00 14 E8 07 C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 8F 00 79 E8 8F C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 47 00 FD 03 00 00 14 70 42 00 5C F0 47 00 FD E0 47 40 FD 0B 02 00 14 59 00 00 14 E8 07 C0 79 08 01 00 11 1F 05 00 71 C1 03 00 54 E8 4F 40 79 08 01 00 11 C8 01 78 37 E8 0B C0 79 08 01 00 11 1F 01 00 71 8C 00 00 54 70 40 00 5C F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD E0 4B 40 FD F7 01 00 14 0D 00 00 14 E8 0B C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 4F 00 FD 03 00 00 14 50 3E 00 5C F0 4F 00 FD E0 4F 40 FD EA 01 00 14 38 00 00 14 E8 4F 40 79 08 01 00 11 48 03 78 37 E8 07 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 93 00 79 E8 93 C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 1F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 53 00 FD 03 00 00 14 D0 3A 00 5C F0 53 00 FD E0 53 40 FD CE 01 00 14 1C 00 00 14 80 00 80 52 ?? ?? ?? ?? E8 07 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 97 00 79 E8 97 C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 1F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 57 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 57 00 FD E0 57 40 FD B2 01 00 14 0D 00 00 14 E8 1F 40 79 08 01 00 11 48 01 78 36 E8 07 C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A5 01 00 14 F0 07 40 FD 08 22 60 1E 8D 00 00 54 08 00 80 52 E8 53 00 79 0A 00 00 14 F0 07 40 FD 10 42 61 1E F0 07 00 FD 01 00 80 12 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 79 E8 9B C0 79 E8 53 00 79 E8 0B C0 79 08 01 00 11 1F 05 00 71 E1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 07 40 FD 00 22 71 1E 42 01 00 54 08 00 80 52 E8 53 00 B9 10 10 6E 1E F0 2F 00 FD F1 07 40 FD 10 10 60 1E 30 0A 70 1E F0 07 00 FD 12 00 00 14 F1 07 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E 08 81 00 51 E8 53 00 B9 E8 53 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 1A 70 1E 10 10 6C 1E 30 2A 70 1E F0 2F 00 FD E8 53 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 1F 00 F9 F1 07 40 FD F0 2F 40 FD 32 3A 70 1E F1 07 40 FD F0 2F 40 FD 30 2A 70 1E 50 1A 70 1E F0 37 00 FD F1 37 40 FD F0 37 40 FD 30 0A 70 1E F0 5B 00 FD F1 07 40 FD F0 2F 40 FD 30 3A 70 1E F0 07 00 FD E0 5B 40 FD ?? ?? ?? ?? E0 67 00 FD F1 5B 40 FD F0 67 40 FD 31 0A 70 1E F0 07 40 FD 32 3A 70 1E 11 10 6E 1E F0 2F 40 FD 31 3A 70 1E 10 10 60 1E 10 0A 71 1E 51 2A 70 1E F0 37 40 FD 10 0A 71 1E F0 3B 00 FD F1 07 40 FD F0 3B 40 FD 31 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 1A 70 1E F0 1B 00 FD E8 0B C0 79 08 01 00 11 11 01 62 1E E8 1F 40 F9 10 01 40 FD 11 2A 71 1E F0 1B 40 FD 10 2A 71 1E F0 1B 00 FD F1 13 40 FD F0 1B 40 FD 30 0A 70 1E F0 0B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 00 22 71 1E 82 00 00 54 08 00 80 52 E8 03 00 79 FA 00 00 14 F1 0B 40 FD 10 D0 75 1E 00 22 71 1E E8 0A 00 54 11 D0 65 1E F0 0B 40 FD 00 22 71 1E 68 0A 00 54 F1 13 40 FD 50 25 00 5C 00 22 71 1E E2 09 00 54 31 25 00 5C F0 13 40 FD 00 22 71 1E 62 09 00 54 F0 0B 40 FD 08 22 60 1E C2 00 00 54 F1 0B 40 FD 10 10 6C 1E 30 3A 70 1E F0 5F 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6C 1E 30 2A 70 1E F0 5F 00 FD F0 5F 40 FD 08 02 78 1E E8 1B 00 B9 F1 07 40 FD F0 3B 40 FD 31 2A 70 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD E8 1F 40 F9 1F 01 00 F1 01 02 00 54 E8 0B C0 79 08 01 00 11 11 01 62 1E F0 13 40 FD 11 0A 71 1E E8 1B 40 B9 10 01 62 1E 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD 21 00 00 14 E8 1F 40 F9 09 21 00 91 E8 1F 40 F9 08 41 00 91 31 01 40 FD 10 01 40 FD 31 2A 70 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD E8 0B C0 79 08 01 00 11 11 01 62 1E E8 1F 40 F9 10 01 40 FD 31 2A 70 1E F0 13 40 FD 11 0A 71 1E E8 1B 40 B9 10 01 62 1E 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD 08 00 80 12 E8 03 00 79 A0 00 00 14 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 00 00 54 28 00 80 52 E8 03 00 79 98 00 00 14 E0 07 40 FD 81 00 80 52 E0 A3 03 91 ?? ?? ?? ?? E0 3B 40 FD 41 00 80 52 E0 63 03 91 ?? ?? ?? ?? 43 00 80 52 E2 63 03 91 81 00 80 52 E0 A3 03 91 ?? ?? ?? ?? F0 77 40 FD 08 22 60 1E C1 00 00 54 E0 17 00 5C 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? 31 00 00 14 02 04 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 04 91 ?? ?? ?? ?? E0 77 40 FD 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? 28 00 80 52 E8 2F 00 B9 04 00 00 14 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 11 00 71 EA 03 00 54 E8 2F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 03 91 08 01 09 8B 10 01 40 FD 08 22 60 1E C0 02 00 54 02 04 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 05 91 ?? ?? ?? ?? E8 2F 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 A3 03 91 08 01 09 8B 00 01 40 FD 81 00 80 52 E0 23 05 91 ?? ?? ?? ?? 83 00 80 52 E2 23 05 91 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? DD FF FF 17 E8 1F 40 F9 1F 01 00 F1 C0 00 00 54 63 00 80 52 E2 1F 40 F9 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? E8 0B C0 79 08 01 00 11 00 01 62 1E 00 40 60 1E 81 00 80 52 E0 A3 04 91 ?? ?? ?? ?? E0 13 40 FD 41 00 80 52 E0 A3 03 91 ?? ?? ?? ?? 02 04 80 D2 E1 A3 04 91 E0 23 04 91 ?? ?? ?? ?? E0 77 40 FD 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? F0 7B 40 FD 08 22 60 1E C0 01 00 54 02 04 80 D2 E1 A3 04 91 E0 A3 05 91 ?? ?? ?? ?? E0 7B 40 FD 81 00 80 52 E0 A3 05 91 ?? ?? ?? ?? 83 00 80 52 E2 A3 05 91 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? F0 87 40 FD F0 07 00 FD F0 87 40 FD 08 22 60 1E 40 01 00 54 F0 8B 40 FD 08 22 60 1E E0 00 00 54 F1 8B 40 FD F0 8F 40 FD 31 2A 70 1E F0 07 40 FD 10 2A 71 1E F0 07 00 FD 01 00 80 52 E0 23 00 91 ?? ?? ?? ?? F0 07 40 FD 00 42 61 1E 00 40 60 1E 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? 81 00 80 52 E0 23 04 91 ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD F0 0B 00 FD F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 0B 00 FD F0 07 40 FD 08 02 78 1E E8 1B 00 B9 08 00 80 12 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F 01 00 71 2A 02 00 54 E8 33 40 F9 1F 01 00 F1 E0 00 00 54 E8 1B 40 B9 09 3D 00 13 E8 33 40 F9 09 01 00 79 08 00 80 52 E8 1B 00 B9 E1 1B 40 B9 00 10 6E 1E E0 43 00 91 ?? ?? ?? ?? E0 9F 00 79 E8 9F C0 79 E8 03 00 79 E8 03 C0 79 08 01 00 11 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 A0 00 00 54 E8 57 40 B9 1F 05 00 71 E0 00 00 54 0B 00 00 14 50 03 00 5C F0 0B 00 FD 00 02 80 52 ?? ?? ?? ?? 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 00 FD 00 01 80 52 ?? ?? ?? ?? E8 53 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0B 40 FD 10 42 61 1E F0 63 00 FD 03 00 00 14 F0 0B 40 FD F0 63 00 FD E0 63 40 FD FF 03 06 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 44 C0 00 00 00 00 00 00 44 40 }
	condition:
		$1
}

rule file_316_1_0 {
	meta:
		name = "_dtgamma"
		size = 552
		refs = "0034 stirling 00b4 _dunscale 01d0 s 01dc _dpoly 01e8 c"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E8 17 40 F9 10 01 40 FD F0 0B 00 FD F1 0B 40 FD 10 10 00 5C 00 22 71 1E 08 01 00 54 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 75 00 00 14 74 00 00 14 11 10 7C 1E F0 0B 40 FD 00 22 71 1E 42 03 00 54 10 10 6E 1E F0 0F 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD F1 0F 40 FD F0 0B 40 FD 30 0A 70 1E F0 0F 00 FD F1 0B 40 FD 10 10 6C 1E 00 22 71 1E 42 00 00 54 02 00 00 14 F3 FF FF 17 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? 42 00 00 14 11 10 6C 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 11 10 6E 1E F0 0B 40 FD 31 2A 70 1E F0 0B 40 FD 10 0A 71 1E F0 0F 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? 34 00 00 14 11 10 6F 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 F0 0B 40 FD F0 0F 00 FD F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD E9 13 40 F9 08 00 80 52 28 01 00 79 26 00 00 14 11 90 60 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 10 10 6E 1E F0 0F 00 FD F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD E9 13 40 F9 08 00 80 52 28 01 00 79 18 00 00 14 10 10 6E 1E F0 0F 00 FD 05 00 00 14 F1 0F 40 FD F0 0B 40 FD 30 1A 70 1E F0 0F 00 FD F1 0B 40 FD 10 90 60 1E 00 22 71 1E C2 00 00 54 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD F4 FF FF 17 F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 F9 F0 0F 40 FD 10 01 00 FD E1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 1F 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD F1 1F 40 FD F0 23 40 FD 31 1A 70 1E F0 0B 40 FD 20 0A 70 1E 00 40 60 1E FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 4B 40 }
	condition:
		$1
}

rule file_636_1_0 {
	meta:
		name = "_ldtgamma"
		size = 552
		refs = "0034 stirling 00b4 _ldunscale 01d0 s 01dc _ldpoly 01e8 c"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E8 17 40 F9 10 01 40 FD F0 0B 00 FD F1 0B 40 FD 10 10 00 5C 00 22 71 1E 08 01 00 54 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 75 00 00 14 74 00 00 14 11 10 7C 1E F0 0B 40 FD 00 22 71 1E 42 03 00 54 10 10 6E 1E F0 0F 00 FD 05 00 00 14 F1 0B 40 FD 10 10 6E 1E 30 2A 70 1E F0 0B 00 FD F1 0F 40 FD F0 0B 40 FD 30 0A 70 1E F0 0F 00 FD F1 0B 40 FD 10 10 6C 1E 00 22 71 1E 42 00 00 54 02 00 00 14 F3 FF FF 17 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? 42 00 00 14 11 10 6C 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 11 10 6E 1E F0 0B 40 FD 31 2A 70 1E F0 0B 40 FD 10 0A 71 1E F0 0F 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? 34 00 00 14 11 10 6F 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 F0 0B 40 FD F0 0F 00 FD F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD E9 13 40 F9 08 00 80 52 28 01 00 79 26 00 00 14 11 90 60 1E F0 0B 40 FD 00 22 71 1E 62 01 00 54 10 10 6E 1E F0 0F 00 FD F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD E9 13 40 F9 08 00 80 52 28 01 00 79 18 00 00 14 10 10 6E 1E F0 0F 00 FD 05 00 00 14 F1 0F 40 FD F0 0B 40 FD 30 1A 70 1E F0 0F 00 FD F1 0B 40 FD 10 90 60 1E 00 22 71 1E C2 00 00 54 F1 0B 40 FD 10 10 6E 1E 30 3A 70 1E F0 0B 00 FD F4 FF FF 17 F1 0B 40 FD 10 10 60 1E 30 3A 70 1E F0 0B 00 FD E1 63 00 91 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 F9 F0 0F 40 FD 10 01 00 FD E1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 1F 00 FD C1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD F1 1F 40 FD F0 23 40 FD 31 1A 70 1E F0 0B 40 FD 20 0A 70 1E 00 40 60 1E FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 4B 40 }
	condition:
		$1
}

rule file_316_2_0 {
	meta:
		name = "stirling"
		size = 512
		refs = "0034 _dpow 0098 approx0 0144 _dpoly 01c0 exp"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 10 01 40 FD F0 0F 00 FD F1 0F 40 FD 10 10 6C 1E 21 3A 70 1E E0 17 40 F9 21 40 60 1E E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 2B 00 FD E8 17 40 F9 08 01 C0 79 08 01 00 11 E8 03 08 4B 09 3D 00 13 E8 17 40 F9 09 01 00 79 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 01 00 F1 E2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 0F 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 EC FF FF 17 11 10 6E 1E F0 0F 40 FD 31 1A 70 1E E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 10 01 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 FD ?? ?? ?? ?? E0 23 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 FD ?? ?? ?? ?? E0 27 00 FD F1 23 40 FD F0 27 40 FD 30 1A 70 1E E8 13 40 F9 10 01 00 FD F0 0F 40 FD 00 42 61 1E 00 40 60 1E ?? ?? ?? ?? E0 2F 00 FD F1 2B 40 FD F0 2F 40 FD 31 0A 70 1E E8 13 40 F9 10 01 40 FD 10 1A 71 1E E8 13 40 F9 10 01 00 FD 80 00 00 5C FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_636_3_0 {
	meta:
		name = "stirling"
		size = 512
		refs = "0034 _ldpow 0098 approx0 0144 _ldpoly 01c0 expl"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 10 01 40 FD F0 0F 00 FD F1 0F 40 FD 10 10 6C 1E 21 3A 70 1E E0 17 40 F9 21 40 60 1E E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 2B 00 FD E8 17 40 F9 08 01 C0 79 08 01 00 11 E8 03 08 4B 09 3D 00 13 E8 17 40 F9 09 01 00 79 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 01 00 F1 E2 01 00 54 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 0F 40 FD 00 22 71 1E 42 00 00 54 02 00 00 14 EC FF FF 17 11 10 6E 1E F0 0F 40 FD 31 1A 70 1E E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 10 01 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 FD ?? ?? ?? ?? E0 23 00 FD E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 13 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 FD ?? ?? ?? ?? E0 27 00 FD F1 23 40 FD F0 27 40 FD 30 1A 70 1E E8 13 40 F9 10 01 00 FD F0 0F 40 FD 00 42 61 1E 00 40 60 1E ?? ?? ?? ?? E0 2F 00 FD F1 2B 40 FD F0 2F 40 FD 31 0A 70 1E E8 13 40 F9 10 01 40 FD 10 1A 71 1E E8 13 40 F9 10 01 00 FD 80 00 00 5C FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_316_3_0 {
	meta:
		name = "tgamma"
		size = 848
		refs = "001c _d_int 007c _fperrraise 0080 _Nan_C 00ac _Inf_C 011c _dgamma_big 0190 pi 01a8 _dsin 01ec _dtgamma 022c _dscale"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD F0 13 00 FD 01 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 A0 02 00 54 E8 37 40 B9 1F 05 00 71 E0 00 00 54 E8 37 40 B9 1F 09 00 71 40 00 00 54 29 00 00 14 E0 0B 40 FD B5 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 37 E0 0B 40 FD B0 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AA 00 00 14 F0 0B 40 FD 08 22 60 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 00 FD E0 23 40 FD 98 00 00 14 09 00 00 14 F0 0B 40 FD 08 22 60 1E C2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8F 00 00 14 11 12 00 5C F0 0B 40 FD 00 22 71 1E C8 00 00 54 00 02 80 52 ?? ?? ?? ?? 80 11 00 5C 87 00 00 14 86 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 00 22 71 1E 62 0A 00 54 F0 0B 40 FD F0 0F 00 FD F0 0B 40 FD 11 42 61 1E 10 10 6E 1E 30 3A 70 1E F0 27 00 FD F1 0B 40 FD F0 13 40 FD 30 3A 70 1E F0 13 00 FD 01 00 80 12 E0 63 00 91 ?? ?? ?? ?? F1 0B 40 FD F0 0F 40 FD 31 3A 70 1E 10 10 7E 1E 20 22 70 1E 82 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 20 0A 70 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F0 0B 40 FD 11 42 61 1E F0 2B 40 FD 32 0A 70 1E F0 0B 40 FD 11 42 61 1E 10 10 6E 1E 30 3A 70 1E 51 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 1A 71 1E F0 0F 00 FD E1 AB 00 91 E0 23 01 91 ?? ?? ?? ?? E0 2F 00 FD 11 10 6E 1E F0 2F 40 FD 31 2A 70 1E F0 0F 40 FD 10 1A 71 1E F0 0F 00 FD F1 0F 40 FD F0 27 40 FD 30 0A 70 1E F0 0F 00 FD E1 57 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 A0 00 00 54 E8 3B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0F 40 FD 2F 00 00 14 2E 00 00 14 71 06 00 5C F0 0B 40 FD 00 22 71 1E C8 04 00 54 E1 BB 00 91 E0 43 00 91 ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 13 00 FD 11 10 6E 1E F0 13 40 FD 31 2A 70 1E F0 0B 40 FD 30 1A 70 1E F0 0B 00 FD E8 5F C0 79 08 01 00 11 E1 03 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 A0 00 00 54 E8 3F 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0B 40 FD 06 00 00 14 05 00 00 14 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 C0 65 C0 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 65 40 }
	condition:
		$1
}

rule file_636_4_0 {
	meta:
		name = "tgammal"
		size = 848
		refs = "001c _ld_int 007c _fperrraise 0080 _LNan_C 00ac _LInf_C 011c _ldgamma_big 0190 pi 01a8 _ldsin 01ec _ldtgamma 022c _ldscale"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD F0 13 00 FD 01 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 A0 02 00 54 E8 37 40 B9 1F 05 00 71 E0 00 00 54 E8 37 40 B9 1F 09 00 71 40 00 00 54 29 00 00 14 E0 0B 40 FD B5 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 37 E0 0B 40 FD B0 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AA 00 00 14 F0 0B 40 FD 08 22 60 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 2F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 23 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 00 FD E0 23 40 FD 98 00 00 14 09 00 00 14 F0 0B 40 FD 08 22 60 1E C2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8F 00 00 14 11 12 00 5C F0 0B 40 FD 00 22 71 1E C8 00 00 54 00 02 80 52 ?? ?? ?? ?? 80 11 00 5C 87 00 00 14 86 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 61 1E F0 0B 40 FD 00 22 71 1E 62 0A 00 54 F0 0B 40 FD F0 0F 00 FD F0 0B 40 FD 11 42 61 1E 10 10 6E 1E 30 3A 70 1E F0 27 00 FD F1 0B 40 FD F0 13 40 FD 30 3A 70 1E F0 13 00 FD 01 00 80 12 E0 63 00 91 ?? ?? ?? ?? F1 0B 40 FD F0 0F 40 FD 31 3A 70 1E 10 10 7E 1E 20 22 70 1E 82 00 00 54 F0 13 40 FD 10 42 61 1E F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 20 0A 70 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F0 0B 40 FD 11 42 61 1E F0 2B 40 FD 32 0A 70 1E F0 0B 40 FD 11 42 61 1E 10 10 6E 1E 30 3A 70 1E 51 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 1A 71 1E F0 0F 00 FD E1 AB 00 91 E0 23 01 91 ?? ?? ?? ?? E0 2F 00 FD 11 10 6E 1E F0 2F 40 FD 31 2A 70 1E F0 0F 40 FD 10 1A 71 1E F0 0F 00 FD F1 0F 40 FD F0 27 40 FD 30 0A 70 1E F0 0F 00 FD E1 57 C0 79 21 00 00 11 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 A0 00 00 54 E8 3B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0F 40 FD 2F 00 00 14 2E 00 00 14 71 06 00 5C F0 0B 40 FD 00 22 71 1E C8 04 00 54 E1 BB 00 91 E0 43 00 91 ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 13 00 FD 11 10 6E 1E F0 13 40 FD 31 2A 70 1E F0 0B 40 FD 30 1A 70 1E F0 0B 00 FD E8 5F C0 79 08 01 00 11 E1 03 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 A0 00 00 54 E8 3F 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 0B 40 FD 06 00 00 14 05 00 00 14 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 C0 65 C0 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 65 40 }
	condition:
		$1
}

rule file_317_18_0 {
	meta:
		name = "?has_big_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 18 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_317_22_0 {
	meta:
		name = "_fwrite_nolock"
		size = 2016
		refs = "0040 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0048 ?valid@__crt_stdio_stream@@QEBA_NXZ 0088 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1BO@JGPKCBCE@?$AA_?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0108 _invalid_parameter 0148 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 02ac ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 02c8 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0324 ?has_big_buffer@__crt_stdio_stream@@QEBA_NXZ 039c ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 03e4 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0488 memcpy 0548 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0554 __acrt_stdio_flush_nolock 0618 _fileno 062c _write 0730 __acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 E0 53 00 F9 E1 1F 00 F9 E2 3F 00 F9 E3 6F 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 E8 3F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 E9 01 00 14 E1 6F 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 97 00 B9 E9 97 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 B2 01 00 14 E8 53 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9B 00 B9 E9 9B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 82 01 00 14 09 00 80 92 E8 1F 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 3F 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9F 00 B9 E9 9F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 4D 01 00 14 E0 43 00 91 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 08 81 00 91 08 01 40 B9 E8 63 00 B9 03 00 00 14 08 00 82 52 E8 63 00 B9 E8 63 40 B9 E8 2F 00 B9 E9 1F 40 F9 E8 3F 40 F9 28 7D 08 9B E8 23 00 F9 E8 53 40 F9 E8 1B 00 F9 E8 23 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 25 00 54 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 E0 0E 00 54 E0 43 00 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 E0 0D 00 54 E0 43 00 91 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 AA 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E9 23 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 F4 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB 82 00 00 54 E8 0F 40 F9 E8 57 00 F9 09 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 08 41 00 91 08 01 40 B9 08 7D 40 93 E8 57 00 F9 E8 57 40 F9 E8 3B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 01 00 91 E2 3B 40 F9 E1 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E9 0F 40 F9 E8 3B 40 F9 28 01 08 CB E8 0F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 08 41 00 91 E8 5B 00 F9 E8 3B 40 F9 09 01 00 11 E8 5B 40 F9 08 01 40 B9 09 01 09 4B E8 5B 40 F9 09 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 01 00 91 E8 5F 00 F9 E8 5F 40 F9 09 01 40 F9 E8 3B 40 F9 29 01 08 8B E8 5F 40 F9 09 01 00 F9 E9 1B 40 F9 E8 3B 40 F9 28 01 08 8B E8 1B 00 F9 B0 00 00 14 E8 2F 40 B9 09 7D 40 D3 E8 0F 40 F9 1F 01 09 EB 63 0F 00 54 E0 43 00 91 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 A3 00 F9 E0 A3 40 F9 ?? ?? ?? ?? E0 93 00 B9 E8 93 40 B9 1F 01 00 71 40 01 00 54 E9 23 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 94 00 00 14 E8 2F 40 B9 1F 01 00 71 A9 01 00 54 E8 2F 40 B9 0A 7D 40 D3 E9 0F 40 F9 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 29 01 08 CB E8 0F 40 F9 08 01 09 CB E8 63 00 F9 03 00 00 14 E8 0F 40 F9 E8 63 00 F9 E8 63 40 F9 E8 67 00 F9 E9 7B 7F B2 E8 67 40 F9 1F 01 09 EB 82 00 00 54 E8 67 40 F9 E8 6B 00 F9 03 00 00 14 E8 7B 7F B2 E8 6B 00 F9 E8 6B 40 F9 08 01 00 11 E8 27 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 A7 00 F9 E0 A7 40 F9 ?? ?? ?? ?? E0 87 00 B9 E2 27 40 B9 E1 1B 40 F9 E0 87 40 B9 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 05 00 31 A1 01 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E9 23 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 59 00 00 14 E9 27 40 B9 E8 2B 40 B9 1F 01 09 6B 89 00 00 54 E8 27 40 B9 E8 67 00 B9 03 00 00 14 E8 2B 40 B9 E8 67 00 B9 E8 67 40 B9 E8 6B 00 B9 E8 6B 40 B9 09 7D 40 D3 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 E8 6B 40 B9 09 7D 40 D3 E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 E9 27 40 B9 E8 2B 40 B9 1F 01 09 6B A2 01 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E9 23 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 34 00 00 14 31 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 AB 00 F9 E8 1B 40 F9 00 01 C0 39 00 00 00 11 E1 AB 40 F9 00 00 00 11 ?? ?? ?? ?? E0 8F 00 B9 E8 8F 40 B9 1F 05 00 31 41 01 00 54 E9 23 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 1D 00 00 14 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 AF 00 F9 E8 AF 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 2D 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 08 81 00 91 08 01 40 B9 E8 6F 00 B9 03 00 00 14 28 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 2F 00 B9 D1 FE FF 17 E0 3F 40 F9 FD 7B D7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_317_23_0 {
	meta:
		name = "fwrite"
		size = 304
		refs = "006c ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0090 _CrtDbgReportW 00b8 _errno 00dc ??_C@_1O@KLNKIMAP@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 00ec _invalid_parameter 010c ??0<lambda_96f4279ff90247a4c5c5d9824f56f8c1>@@QEAA@AEBQEAU_iobuf@@AEBQEBXAEB_K2@Z 011c ??$__acrt_lock_stream_and_call@V<lambda_96f4279ff90247a4c5c5d9824f56f8c1>@@@@YA_KQEAU_iobuf@@$$QEAV<lambda_96f4279ff90247a4c5c5d9824f56f8c1>@@@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 23 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 3D 00 00 14 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 0D 00 00 14 E4 A3 00 91 E3 C3 00 91 E2 03 01 91 E1 83 00 91 E0 63 01 91 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_318_10_0 {
	meta:
		name = "_ungetc_nolock"
		size = 1200
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0038 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0054 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0060 _fileno 009c __pioinfo 00cc __badioinfo 019c ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01c0 _CrtDbgReportW 01e8 _errno 020c ??_C@_1BO@OLMLKKEA@?$AA_?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 021c _invalid_parameter 0244 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0298 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 02c4 __acrt_stdio_allocate_buffer_nolock 048c ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0498 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 27 00 B9 E1 3F 00 F9 E1 3F 40 F9 E0 43 00 91 ?? ?? ?? ?? E9 E3 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E0 E3 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 05 00 31 A0 02 00 54 E8 1B 40 B9 1F 09 00 31 40 02 00 54 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 23 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 23 00 F9 E8 23 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 E8 1B 40 B9 1F 05 00 31 A0 02 00 54 E8 1B 40 B9 1F 09 00 31 40 02 00 54 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 27 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 27 00 F9 E8 27 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A1 00 00 14 E8 27 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 9C 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 7F 00 39 C1 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 83 00 39 E8 7F 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 83 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 86 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 53 40 F9 0A 01 00 91 E8 57 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB C1 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 61 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 00 91 E8 2B 00 F9 E8 2B 40 F9 08 01 40 F9 09 05 00 91 E8 2B 40 F9 09 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 E0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 08 01 00 91 E8 2F 00 F9 E8 2F 40 F9 08 01 40 F9 09 05 00 D1 E8 2F 40 F9 09 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 09 01 C0 39 29 01 00 11 E8 27 40 B9 08 1D 00 13 08 01 00 11 3F 01 08 6B C0 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 00 91 E8 33 00 F9 E8 33 40 F9 08 01 40 F9 09 05 00 91 E8 33 40 F9 09 01 00 F9 00 00 80 12 2A 00 00 14 15 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 08 01 00 91 E8 37 00 F9 E8 37 40 F9 08 01 40 F9 09 05 00 D1 E8 37 40 F9 09 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 73 00 F9 E8 27 40 B9 09 1D 00 13 E8 73 40 F9 08 01 00 91 08 01 40 F9 09 01 00 39 E0 43 00 91 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 08 41 00 91 E8 3B 00 F9 E8 3B 40 F9 08 01 40 B9 09 05 00 11 E8 3B 40 F9 09 01 00 B9 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E8 27 40 B9 00 1D 00 12 00 00 00 11 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_318_11_0 {
	meta:
		name = "ungetc"
		size = 272
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1O@JDPLECOK@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 00c4 _invalid_parameter 00dc _lock_file 00e8 _ungetc_nolock 00fc _unlock_file"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 23 00 B9 A1 17 00 F9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 13 00 B9 03 00 00 14 08 00 80 52 A8 13 00 B9 A8 13 40 B9 A8 17 00 B9 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 1F 00 B9 A9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 08 00 80 12 A8 1B 00 B9 A0 17 40 F9 ?? ?? ?? ?? A1 17 40 F9 A0 23 40 B9 ?? ?? ?? ?? A0 27 00 B9 A8 27 40 B9 A8 1B 00 B9 A0 17 40 F9 ?? ?? ?? ?? A0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_319_4_0 {
	meta:
		name = "_strncoll"
		size = 692
		refs = "0014 __acrt_locale_changed 0060 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BE@IGINOLNE@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 027c strncmp 02a0 _strncoll_l"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 23 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 13 00 54 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 71 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 41 00 00 14 E9 7B 40 B2 E8 23 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 10 00 00 14 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_319_5_0 {
	meta:
		name = "_strncoll_l"
		size = 948
		refs = "0060 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BI@KFPCDAF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0278 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0284 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02b4 strncmp 02c8 ??1_LocaleUpdate@@QEAA@XZ 0348 __acrt_CompareStringA"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 33 00 F9 E1 2F 00 F9 E2 1B 00 F9 E3 43 00 F9 E8 1B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 E1 00 00 14 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 B1 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 81 00 00 14 E9 7B 40 B2 E8 1B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 50 00 00 14 E1 43 40 F9 E0 C3 02 91 ?? ?? ?? ?? E0 6B 00 F9 E0 C3 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 81 01 00 54 E2 1B 40 F9 E1 2F 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 4B 40 B9 37 00 00 14 E0 C3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E0 C3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E0 C3 02 91 ?? ?? ?? ?? E0 53 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 09 51 00 91 E8 1B 40 F9 06 01 00 11 E8 1B 40 F9 04 01 00 11 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 27 01 40 B9 C6 00 00 11 E5 2F 40 F9 84 00 00 11 E3 33 40 F9 02 00 82 52 01 01 40 F9 E0 53 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 53 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 53 40 B9 07 00 00 14 E8 2B 40 B9 08 09 00 51 E8 57 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 57 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_320_0_0 {
	meta:
		name = "c32rtomb"
		size = 544
		refs = "0008 __security_push_cookie 0214 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 0F 00 F9 E1 17 00 B9 E2 13 00 F9 E8 0F 40 F9 1F 01 00 F1 A1 00 00 54 E8 A3 00 91 E8 0F 00 F9 08 00 80 52 E8 17 00 B9 E8 0F 40 F9 E8 07 00 F9 E8 17 40 B9 E8 03 00 B9 E8 03 40 B9 08 61 19 12 1F 01 00 71 61 01 00 54 E8 03 40 B9 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 08 00 80 52 E8 13 00 B9 4C 00 00 14 E8 03 40 B9 08 51 15 12 1F 01 00 71 A1 01 00 54 E8 03 40 B9 08 7D 06 53 08 05 1A 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 28 00 80 52 E8 13 00 B9 3C 00 00 14 E8 03 40 B9 08 3D 10 12 1F 01 00 71 A1 01 00 54 E8 03 40 B9 08 7D 0C 53 08 09 1B 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 48 00 80 52 E8 13 00 B9 2C 00 00 14 E8 03 40 B9 08 29 0B 12 1F 01 00 71 A1 01 00 54 E8 03 40 B9 08 7D 12 53 08 0D 1C 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 68 00 80 52 E8 13 00 B9 1C 00 00 14 E8 03 40 B9 08 15 06 12 1F 01 00 71 A1 01 00 54 E8 03 40 B9 08 7D 18 53 08 11 1D 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 88 00 80 52 E8 13 00 B9 0C 00 00 14 E8 03 40 B9 08 7D 1E 53 08 15 1E 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 A8 00 80 52 E8 13 00 B9 E9 13 40 B9 08 00 80 52 1F 01 09 6B 4A 02 00 54 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E9 13 40 B9 C8 00 80 52 29 7D 08 1B E8 03 40 B9 08 25 C9 1A 08 15 00 12 08 01 19 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 EC FF FF 17 E9 07 40 F9 E8 0F 40 F9 20 01 08 CB 00 00 00 91 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_322_0_0 {
	meta:
		name = "rand"
		size = 104
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 A1 00 91 09 01 40 B9 E8 01 00 18 29 7D 08 1B C8 01 00 18 29 01 08 0B E8 0B 40 F9 08 A1 00 91 09 01 00 B9 E8 0B 40 F9 08 A1 00 91 08 01 40 B9 00 79 10 53 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 1F 20 03 D5 FD 43 03 00 C3 9E 26 00 }
	condition:
		$1
}

rule file_322_1_0 {
	meta:
		name = "srand"
		size = 44
		refs = "000c __acrt_getptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 09 A1 00 91 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "?dup2_nolock@@YAHHH@Z"
		size = 964
		refs = "0024 __pioinfo 005c _errno 0070 __doserrno 0090 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b4 _CrtDbgReportW 0128 _close_nolock 012c __imp_GetCurrentProcess 0140 _get_osfhandle 0174 __imp_DuplicateHandle 0198 __imp_GetLastError 01ac __acrt_errno_map_os_error 01c0 __acrt_lowio_set_os_handle"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 17 00 B9 E1 13 00 B9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 04 00 37 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 12 BA 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 00 36 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 F9 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 F9 46 00 80 52 25 00 80 52 04 00 80 52 E3 43 01 91 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E0 27 40 B9 ?? ?? ?? ?? 00 00 80 12 82 00 00 14 E1 2B 40 F9 E0 13 40 B9 ?? ?? ?? ?? E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 79 1B 12 0B 1D 00 53 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 0B 01 00 39 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 0B E5 00 91 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 68 01 C0 39 28 01 00 39 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 01 00 12 0C 1D 00 53 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 40 39 8B 01 00 33 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_324_1_0 {
	meta:
		name = "_dup2"
		size = 1072
		refs = "0020 __doserrno 0034 _errno 005c _nhandle 0098 ??_C@_1HK@KIBKPCDA@?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAs?$AAo?$AAu@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b0 ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00bc _CrtDbgReportW 011c ??_C@_1M@KHHJPKPI@?$AA_?$AAd?$AAu?$AAp?$AA2?$AA?$AA@ 012c _invalid_parameter 014c __pioinfo 01ac ??_C@_1DK@LOMDIPEA@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 02c4 ??_C@_1EE@NANLJLAK@?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAt?$AAa?$AAr?$AAg?$AAe?$AAt?$AA_?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 037c __acrt_lowio_ensure_fh_exists 03c4 __acrt_lowio_lock_fh 0404 ?dup2_nolock@@YAHHH@Z 0418 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 13 00 B9 A1 17 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 F7 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 03 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BD 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 78 00 00 14 A8 17 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 68 00 00 14 09 00 84 52 A8 17 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 32 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 B9 1F 01 09 6B 2B 01 00 54 A0 17 40 B9 ?? ?? ?? ?? A0 43 00 B9 A8 43 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 25 00 00 14 A9 17 40 B9 A8 13 40 B9 1F 01 09 6B 61 00 00 54 00 00 80 52 1F 00 00 14 A9 17 40 B9 A8 13 40 B9 1F 01 09 6B CA 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 17 40 B9 ?? ?? ?? ?? 09 00 00 14 A9 17 40 B9 A8 13 40 B9 1F 01 09 6B AD 00 00 54 A0 17 40 B9 ?? ?? ?? ?? A0 13 40 B9 ?? ?? ?? ?? 08 00 80 52 A8 33 00 B9 A1 17 40 B9 A0 13 40 B9 ?? ?? ?? ?? A0 47 00 B9 A8 47 40 B9 A8 33 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 17 40 B9 ?? ?? ?? ?? A0 33 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_324_2_0 {
	meta:
		name = "_dup2$fin$0"
		size = 36
		refs = "000c __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 13 40 B9 ?? ?? ?? ?? A0 17 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_15_0 {
	meta:
		name = "___lc_codepage_func"
		size = 76
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 31 00 91 00 01 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_16_0 {
	meta:
		name = "___lc_collate_cp_func"
		size = 72
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 51 00 91 00 01 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_17_0 {
	meta:
		name = "___lc_locale_name_func"
		size = 72
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 A1 04 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_18_0 {
	meta:
		name = "___mb_cur_max_func"
		size = 76
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 00 91 08 21 00 91 00 01 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_19_0 {
	meta:
		name = "___mb_cur_max_l_func"
		size = 84
		refs = "0018 ___mb_cur_max_func"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C1 00 00 54 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 08 00 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 E8 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_325_20_0 {
	meta:
		name = "__acrt_locale_initialize_ctype"
		size = 2440
		refs = "0008 __security_push_cookie 00a0 __acrt_GetLocaleInfoA 00bc ??_C@_0DE@PKCHMIOF@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00d0 _calloc_dbg 00e0 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@QEAJ@Z 00f4 ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAPEAJXZ 0108 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@XZ 0134 ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAA@QEAG@Z 0148 ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAAPEAGXZ 015c ??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAA@XZ 0188 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 019c ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ 01b0 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 02fc __imp_GetCPInfo 0388 __acrt_LCMapStringA 04e8 __acrt_GetStringTypeA 0624 memcpy 06c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 06d4 ??_C@_1GI@DPHPBMAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 06e0 _CrtDbgReportW 0714 _free_dbg 08b4 ??_C@_1DG@NMBGBDM@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAc?$AAt?$AAy?$AAp?$AAe?$AA1?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0914 __newctype 0930 __newclmap 0948 __newcumap 097c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 05 D1 E0 0B 00 F9 08 00 80 D2 E8 17 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 D2 E8 23 00 F9 E8 0B 40 F9 E8 A7 00 F9 08 00 80 D2 E8 AB 00 F9 E8 0B 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 C0 3F 00 54 08 00 80 D2 E8 2B 00 F9 E8 0B 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 1F 01 00 71 21 02 00 54 E8 0B 40 F9 08 01 00 91 04 31 00 91 E8 0B 40 F9 08 E1 04 91 84 00 00 91 83 00 82 52 02 01 40 F9 01 00 80 52 E0 23 05 91 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 1F 01 00 71 40 00 00 54 D4 01 00 14 E4 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 81 00 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 43 00 F9 E1 43 40 F9 E0 83 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 4B 00 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 2B 00 F9 E0 83 02 91 ?? ?? ?? ?? 44 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 00 30 80 D2 ?? ?? ?? ?? E0 57 00 F9 E1 57 40 F9 E0 23 03 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 5F 00 F9 E0 5F 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 17 00 F9 E0 23 03 91 ?? ?? ?? ?? 64 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 30 80 D2 ?? ?? ?? ?? E0 6B 00 F9 E1 6B 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 73 00 F9 E0 73 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 1B 00 F9 E0 C3 03 91 ?? ?? ?? ?? 84 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 30 80 D2 ?? ?? ?? ?? E0 7F 00 F9 E1 7F 40 F9 E0 63 04 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 87 00 F9 E0 87 40 F9 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 E8 1F 00 F9 E0 63 04 91 ?? ?? ?? ?? A4 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 20 20 80 D2 ?? ?? ?? ?? E0 93 00 F9 E1 93 40 F9 E0 03 05 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 E8 9B 00 F9 E0 9B 40 F9 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 E8 23 00 F9 E0 03 05 91 ?? ?? ?? ?? E8 2B 40 F9 1F 01 00 F1 A0 01 00 54 E8 17 40 F9 1F 01 00 F1 40 01 00 54 E8 23 40 F9 1F 01 00 F1 E0 00 00 54 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E8 1F 40 F9 1F 01 00 F1 41 00 00 54 5B 01 00 14 E8 23 40 F9 E8 13 00 F9 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 04 71 2A 01 00 54 E8 1B 40 B9 09 1D 00 53 E8 13 40 F9 09 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 F3 FF FF 17 E8 0B 40 F9 08 01 00 91 08 31 00 91 E1 63 05 91 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 41 00 00 54 3B 01 00 14 E8 5B 41 B9 1F 15 00 71 49 00 00 54 37 01 00 14 E8 5B 41 B9 08 3D 00 53 08 01 00 11 E8 4B 00 B9 E8 0B 40 F9 08 01 00 91 0A 31 00 91 E8 1B 40 F9 05 05 02 91 E8 23 40 F9 03 05 00 91 E8 0B 40 F9 09 E1 04 91 08 00 80 52 E8 03 00 B9 47 01 40 B9 E6 1F 80 52 A5 00 00 91 E4 1F 80 52 63 00 00 91 02 20 80 52 21 01 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 41 00 00 54 1A 01 00 14 E8 0B 40 F9 08 01 00 91 0A 31 00 91 E8 1F 40 F9 05 05 02 91 E8 23 40 F9 03 05 00 91 E8 0B 40 F9 09 E1 04 91 08 00 80 52 E8 03 00 B9 47 01 40 B9 E6 1F 80 52 A5 00 00 91 E4 1F 80 52 63 00 00 91 02 40 80 52 21 01 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 1F 01 00 71 41 00 00 54 01 01 00 14 E8 4B 40 B9 1F 05 00 71 6D 05 00 54 E8 7B 05 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 00 04 00 54 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 40 03 00 54 E8 13 40 F9 08 01 40 39 08 01 00 11 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 13 40 F9 08 05 00 91 09 01 40 39 29 01 00 11 E8 1B 40 B9 1F 01 09 6B 4C 01 00 54 E8 1B 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 23 40 F9 09 01 09 8B 08 04 80 52 28 01 00 39 EE FF FF 17 DA FF FF 17 E8 0B 40 F9 08 01 00 91 09 31 00 91 E8 17 40 F9 04 01 04 91 06 00 80 52 25 01 40 B9 84 00 00 91 03 20 80 52 E2 23 40 F9 21 00 80 52 00 00 80 D2 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 1F 01 00 71 41 00 00 54 C2 00 00 14 E8 17 40 F9 09 F9 03 91 08 00 80 52 28 01 00 79 E8 1B 40 F9 09 FD 01 91 08 00 80 52 28 01 00 39 E8 1F 40 F9 09 FD 01 91 08 00 80 52 28 01 00 39 E8 1B 40 F9 09 01 02 91 08 00 80 52 28 01 00 39 E8 1F 40 F9 09 01 02 91 08 00 80 52 28 01 00 39 E8 4B 40 B9 1F 05 00 71 AD 05 00 54 E8 7B 05 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 04 00 54 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 03 00 54 E8 13 40 F9 08 01 40 39 08 01 00 11 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 13 40 F9 08 05 00 91 09 01 40 39 29 01 00 11 E8 1B 40 B9 1F 01 09 6B 8C 01 00 54 E8 1B 40 B9 08 FD 01 11 08 05 00 11 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 17 40 F9 09 01 09 8B 08 00 90 52 28 01 00 79 EC FF FF 17 D8 FF FF 17 E8 17 40 F9 08 09 08 91 01 09 00 D1 C2 1F 80 D2 21 00 00 91 E0 17 40 F9 ?? ?? ?? ?? E8 1B 40 F9 08 05 04 91 01 05 00 D1 E2 0F 80 D2 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E8 1F 40 F9 08 05 04 91 01 05 00 D1 E2 0F 80 D2 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 E0 07 00 54 E8 0B 40 F9 08 01 04 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 6F 00 B9 E8 6F 40 B9 1F 01 00 71 E1 05 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 21 04 91 08 01 40 F9 00 F9 03 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 41 04 91 08 01 40 F9 08 FD 01 D1 00 05 00 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 61 04 91 08 01 40 F9 08 FD 01 D1 00 05 00 D1 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 04 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E9 2B 40 F9 28 00 80 52 28 01 00 B9 E8 0B 40 F9 09 01 04 91 E8 2B 40 F9 28 01 00 F9 E8 17 40 F9 09 01 04 91 E8 0B 40 F9 08 01 00 91 08 01 00 91 09 01 00 F9 E8 17 40 F9 09 F9 03 91 E8 0B 40 F9 08 21 04 91 09 01 00 F9 E8 1B 40 F9 09 01 02 91 E8 0B 40 F9 08 41 04 91 09 01 00 F9 E8 1F 40 F9 09 01 02 91 E8 0B 40 F9 08 61 04 91 09 01 00 F9 E8 0B 40 F9 08 01 00 91 09 21 00 91 E8 4B 40 B9 28 01 00 B9 41 00 80 52 E0 23 40 F9 ?? ?? ?? ?? 00 00 80 52 5E 00 00 14 41 00 80 52 E0 2B 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 1B 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 23 40 F9 ?? ?? ?? ?? 20 00 80 52 4D 00 00 14 4C 00 00 14 E8 0B 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 C0 04 00 54 E8 0B 40 F9 08 01 04 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 77 00 B9 E8 77 40 B9 1F 01 00 71 C1 02 00 54 E8 0B 40 F9 08 01 04 91 08 01 40 F9 1F 01 00 F1 28 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 09 01 04 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 21 04 91 08 00 80 D2 28 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 04 91 E8 0B 40 F9 08 01 00 91 08 01 00 91 09 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 02 91 E8 0B 40 F9 08 41 04 91 09 01 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 01 02 91 E8 0B 40 F9 08 61 04 91 09 01 00 F9 E8 0B 40 F9 08 01 00 91 09 21 00 91 28 00 80 52 28 01 00 B9 00 00 80 52 FF C3 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_326_0_0 {
	meta:
		name = "wcscspn"
		size = 192
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 E8 03 00 F9 04 00 00 14 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 03 00 54 E8 0F 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 02 00 54 E8 03 40 F9 09 01 40 79 29 01 00 11 E8 07 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B E1 00 00 54 E9 03 40 F9 E8 0B 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 08 00 00 14 EA FF FF 17 DE FF FF 17 E9 03 40 F9 E8 0B 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_327_5_0 {
	meta:
		name = "_mbsnbcoll_l"
		size = 468
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1HC@IGKGJOG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1BK@HHHFAOFG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0088 _invalid_parameter 009c ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0144 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0164 _strncoll_l 018c __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 35 00 00 91 53 00 00 91 76 00 00 91 73 00 00 B5 00 00 80 52 67 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 4D 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 06 80 52 ?? ?? ?? ?? E6 FF FF 17 E8 7B 40 B2 7F 02 08 EB 89 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? D0 FF FF 17 C1 02 00 91 E0 43 00 91 ?? ?? ?? ?? E9 13 40 F9 28 09 40 B9 E8 00 00 35 C3 02 00 91 62 02 00 91 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 11 00 00 14 27 05 40 B9 64 02 00 11 21 11 41 F9 86 00 00 11 A5 02 00 91 83 02 00 91 02 00 82 52 E0 63 00 91 ?? ?? ?? ?? C0 00 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_328_5_0 {
	meta:
		name = "_mbsncpy_l"
		size = 400
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 003c ??_C@_1HA@OMDLJNFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 _CrtDbgReportW 0068 _errno 008c ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 00d0 ??_C@_1BG@LEOFPELK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 012c strncpy"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 36 00 00 91 61 00 00 91 E0 43 00 91 75 02 00 91 54 00 00 91 ?? ?? ?? ?? B3 02 00 B5 94 02 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 06 80 52 ?? ?? ?? ?? 15 00 00 14 B6 04 00 B5 94 04 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 15 00 80 D2 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 A0 02 00 91 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 ED 13 40 F9 A8 09 40 B9 E8 00 00 35 82 02 00 91 C1 02 00 91 60 02 00 91 ?? ?? ?? ?? 15 00 00 91 ED FF FF 17 94 FD FF B4 CA 16 40 38 94 06 00 D1 48 01 0D 8B 09 65 40 39 C9 01 10 36 6A 02 00 39 CA 02 40 39 D6 06 00 91 6A 06 00 39 73 0A 00 91 AA FE FF 35 7F E2 1F 38 F4 FB FF B4 69 02 14 8B 7F 02 09 EB 80 FB FF 54 7F 16 00 38 FD FF FF 17 6A 16 00 38 2A FF FF 34 EB FF FF 17 }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "_LSinh"
		size = 748
		refs = "0014 _ldtest 00d4 _fperrraise 00d8 _LNan_C 017c _LRteps_C 01a4 ln3by2 01c8 c 0204 s 0260 _LXbig_C 0280 _ldexp"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 FD E1 13 00 FD E0 43 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 E8 33 00 79 E0 83 00 91 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 37 00 79 E9 33 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 37 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AC 07 00 54 E8 33 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0B 40 FD 9C 00 00 14 35 00 00 14 E8 37 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 95 00 00 14 2E 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 E8 37 C0 79 08 01 00 11 1F 01 00 71 E0 00 00 54 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 87 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 00 00 14 1A 00 00 14 E8 33 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 E8 37 C0 79 08 01 00 11 1F 05 00 71 E0 00 00 54 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 73 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6D 00 00 14 06 00 00 14 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 67 00 00 14 66 00 00 14 F0 0B 40 FD 08 22 60 1E E2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 28 00 80 52 E8 3B 00 79 03 00 00 14 08 00 80 52 E8 3B 00 79 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E C2 00 00 54 F1 0B 40 FD F0 13 40 FD 30 0A 70 1E F0 0B 00 FD 46 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 62 05 00 54 F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 23 00 FD F1 0B 40 FD F0 1B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD F1 0B 40 FD F0 23 40 FD 31 1A 70 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E C2 01 00 54 01 00 80 12 00 10 6E 1E E0 43 00 91 ?? ?? ?? ?? 11 10 6A 1E F0 0B 40 FD 31 1A 70 1E F0 0B 40 FD 11 3A 71 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD 05 00 00 14 01 00 80 12 E0 13 40 FD E0 43 00 91 ?? ?? ?? ?? E8 3B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0B 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0B 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "_Sinh"
		size = 748
		refs = "0014 _dtest 00d4 _fperrraise 00d8 _Nan_C 017c _Rteps_C 01a4 ln3by2 01c8 c 0204 s 0260 _Xbig_C 0280 _dexp"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 FD E1 13 00 FD E0 43 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 E8 33 00 79 E0 83 00 91 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 37 00 79 E9 33 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 37 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AC 07 00 54 E8 33 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0B 40 FD 9C 00 00 14 35 00 00 14 E8 37 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 95 00 00 14 2E 00 00 14 E8 33 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 E8 37 C0 79 08 01 00 11 1F 01 00 71 E0 00 00 54 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 87 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 00 00 14 1A 00 00 14 E8 33 C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 E8 37 C0 79 08 01 00 11 1F 05 00 71 E0 00 00 54 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 73 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6D 00 00 14 06 00 00 14 F1 0B 40 FD F0 13 40 FD 20 0A 70 1E 00 40 60 1E 67 00 00 14 66 00 00 14 F0 0B 40 FD 08 22 60 1E E2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 28 00 80 52 E8 3B 00 79 03 00 00 14 08 00 80 52 E8 3B 00 79 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E C2 00 00 54 F1 0B 40 FD F0 13 40 FD 30 0A 70 1E F0 0B 00 FD 46 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 62 05 00 54 F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E F0 1B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 23 00 FD F1 0B 40 FD F0 1B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 1B 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 70 1E 51 0A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0B 00 FD F1 0B 40 FD F0 23 40 FD 31 1A 70 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E C2 01 00 54 01 00 80 12 00 10 6E 1E E0 43 00 91 ?? ?? ?? ?? 11 10 6A 1E F0 0B 40 FD 31 1A 70 1E F0 0B 40 FD 11 3A 71 1E F0 13 40 FD 10 0A 71 1E F0 0B 00 FD 05 00 00 14 01 00 80 12 E0 13 40 FD E0 43 00 91 ?? ?? ?? ?? E8 3B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0B 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0B 40 FD F0 1F 00 FD E0 1F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_329_2_0 {
	meta:
		name = "csinhl"
		size = 740
		refs = "0018 creall 0030 cimagl 0044 _ldtest 008c _LNan_C 0094 _LCbuild 00f0 _fperrraise 0234 sinl 0240 cosl 0248 _LInf_C 029c _LCosh 02b8 _LSinh"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 13 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 0F 00 FD E0 83 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 43 00 FD E0 3F 00 FD E0 3F 40 FD E1 43 40 FD 8D 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 4B 00 FD E0 47 00 FD E0 47 40 FD E1 4B 40 FD 82 00 00 14 81 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 01 04 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD 6A 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD 5F 00 00 14 5E 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 C1 03 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 49 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 3E 00 00 14 3D 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 01 00 54 E1 0F 40 FD E0 13 40 FD ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 2D 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 27 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 2B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 27 40 FD 21 0A 70 1E F1 13 40 FD F0 2B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 17 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD E1 2F 40 FD E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 33 00 FD E1 33 40 FD E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD E1 37 40 FD E0 3B 40 FD ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_464_1_0 {
	meta:
		name = "csinh"
		size = 740
		refs = "0018 creal 0030 cimag 0044 _dtest 008c _Nan_C 0094 _Cbuild 00f0 _fperrraise 0234 sin 0240 cos 0248 _Inf_C 029c _Cosh 02b8 _Sinh"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 17 00 FD E1 1B 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 1F 00 FD F0 1F 40 FD F0 13 00 FD E1 1B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 0F 00 FD E0 83 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 43 00 FD E0 3F 00 FD E0 3F 40 FD E1 43 40 FD 8D 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 4B 00 FD E0 47 00 FD E0 47 40 FD E1 4B 40 FD 82 00 00 14 81 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 01 04 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD 6A 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD 5F 00 00 14 5E 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 C1 03 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 FD ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 49 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 3E 00 00 14 3D 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 01 00 54 E1 0F 40 FD E0 13 40 FD ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 2D 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 27 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 2B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 27 40 FD 21 0A 70 1E F1 13 40 FD F0 2B 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 17 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD E1 2F 40 FD E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 33 00 FD E1 33 40 FD E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD E1 37 40 FD E0 3B 40 FD ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "_copysignf"
		size = 92
	strings:
		$1 = { FF 83 00 D1 E0 03 00 BD E1 0F 00 BD F0 03 40 BD F0 0B 00 BD E8 0B 40 B9 E8 07 00 B9 F0 0F 40 BD F0 13 00 BD E8 13 40 B9 E8 17 00 B9 E9 07 40 B9 E8 17 40 B9 28 01 08 4A C8 00 F8 36 E8 07 40 B9 08 01 01 52 E8 1B 00 B9 F0 1B 40 BD F0 03 00 BD E0 03 40 BD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_331_0_0 {
	meta:
		name = "__remainder_piby2f_inline"
		size = 1224
		refs = "0008 __security_push_cookie 00ac ?pibits@?1??__remainder_piby2f_inline@@9@9 04a4 ?piby2@?1??__remainder_piby2f_inline@@9@9 04bc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 03 D1 E0 0F 00 F9 E1 3F 00 F9 E2 2F 00 F9 E8 0F 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 08 01 00 11 E8 3F 00 B9 E9 0F 40 F9 28 00 80 D2 09 2D 4C B3 28 FD 5D D3 E8 0F 00 F9 28 00 80 D2 E8 17 00 F9 E8 17 40 F9 08 6D 5C D3 08 05 00 D1 E8 17 00 F9 E9 3F 40 B9 88 04 80 52 28 0D C8 1A E8 37 00 B9 E9 37 40 B9 88 04 80 52 29 7D 08 1B E8 3F 40 B9 08 01 09 4B E8 23 00 B9 E8 37 40 B9 08 0D 00 11 E8 33 00 B9 08 00 80 D2 E8 53 00 F9 E8 33 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 0F 40 F9 28 7D 08 9B E8 0B 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 08 8A E8 4F 00 F9 E8 0B 40 F9 08 FD 64 D3 E8 27 00 F9 E8 33 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 0F 40 F9 29 7D 08 9B E8 27 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 08 8A E8 4B 00 F9 E8 0B 40 F9 08 FD 64 D3 E8 27 00 F9 E8 33 40 B9 08 09 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 0F 40 F9 29 7D 08 9B E8 27 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 08 8A E8 47 00 F9 E8 0B 40 F9 08 FD 64 D3 E8 27 00 F9 E8 37 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 E8 0F 40 F9 29 7D 08 9B E8 27 40 F9 28 01 08 8B E8 0B 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 08 8A E8 43 00 F9 E8 43 40 F9 09 6D 5C D3 E8 47 40 F9 2A 01 08 AA 69 04 80 52 E8 23 40 B9 28 01 08 4B 08 7D 40 93 48 25 C8 9A 08 09 40 92 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 01 00 12 E8 43 00 B9 28 00 80 52 E8 0B 00 B9 E8 43 40 B9 1F 01 00 71 E0 06 00 54 E8 3B 40 B9 08 7D 01 13 08 05 00 11 09 05 00 12 E8 2F 40 F9 09 01 00 B9 28 00 80 D2 E8 03 00 F9 E8 47 40 F9 EA 03 28 AA 89 04 80 52 E8 23 40 B9 28 01 08 4B 09 7D 40 93 E8 03 40 F9 08 21 C9 9A 08 05 00 D1 48 01 08 8A E8 03 00 F9 29 00 A0 D2 E8 03 40 F9 1F 01 09 EB 62 02 00 54 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 03 40 F9 0A 6D 5C D3 E8 0B 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 02 91 08 01 09 8B 08 01 40 F9 E9 03 28 AA E8 17 40 F9 28 01 08 8A 48 01 08 AA E8 03 00 F9 EB FF FF 17 E8 0B 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 02 91 08 01 09 8B 08 01 40 F9 E9 03 28 AA E8 17 40 F9 28 01 08 8A E8 33 00 F9 2D 00 00 14 E8 3B 40 B9 09 7D 01 13 E8 2F 40 F9 09 01 00 B9 28 00 80 D2 E8 03 00 F9 89 04 80 52 E8 23 40 B9 28 01 08 4B 09 7D 40 93 E8 03 40 F9 08 21 C9 9A 09 05 00 D1 E8 47 40 F9 08 01 09 8A E8 03 00 F9 29 00 A0 D2 E8 03 40 F9 1F 01 09 EB 02 02 00 54 E8 0B 40 B9 08 05 00 11 E8 0B 00 B9 E8 03 40 F9 0A 6D 5C D3 E8 0B 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 02 91 08 01 09 8B 08 01 40 F9 48 01 08 AA E8 03 00 F9 EE FF FF 17 E8 0B 40 B9 08 05 00 11 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 02 91 08 01 09 8B 08 01 40 F9 E8 33 00 F9 08 00 80 52 E8 0F 00 B9 09 00 C8 D2 E8 03 40 F9 1F 01 09 EB 02 01 00 54 E8 0F 40 B9 08 19 00 11 E8 0F 00 B9 E8 03 40 F9 08 E5 7A D3 E8 03 00 F9 F6 FF FF 17 09 02 E0 D2 E8 03 40 F9 1F 01 09 EB 02 01 00 54 E8 0F 40 B9 08 05 00 11 E8 0F 00 B9 E8 03 40 F9 08 F9 7F D3 E8 03 00 F9 F6 FF FF 17 89 04 80 52 E8 0F 40 B9 28 01 08 4B 09 7D 40 93 E8 33 40 F9 09 25 C9 9A E8 03 40 F9 08 01 09 AA E8 03 00 F9 E8 23 40 B9 09 D1 00 11 E8 0F 40 B9 2A 01 08 4B E9 0B 40 B9 88 04 80 52 28 7D 08 1B 48 01 08 4B E8 53 00 B9 E8 53 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 0B 00 F9 E8 03 40 F9 09 CD 40 92 E8 0B 40 F9 28 01 08 AA E8 0F 00 F9 E8 43 40 B9 1F 01 00 71 80 00 00 54 E8 0F 40 F9 08 01 41 B2 E8 0F 00 F9 E8 0F 40 F9 E8 37 00 F9 F0 37 40 FD F0 3B 00 FD F1 3B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E E8 3F 40 F9 10 01 00 FD FF 43 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_331_2_0 {
	meta:
		name = "tanf"
		size = 1124
		refs = "0084 valf_with_flags 00dc tanf_piby4 0138 _handle_nanf 016c ??_C@_04MHPLPEIA@tanf?$AA@ 0174 _handle_errorf 023c ?twobypi@?L@??tanf@@9@9 0260 ?piby2_1@?L@??tanf@@9@9 0280 ?piby2_1tail@?L@??tanf@@9@9 02d4 ?piby2_2@?L@??tanf@@9@9 02fc ?piby2_2tail@?L@??tanf@@9@9 0340 ?piby2_3@?L@??tanf@@9@9 0368 ?piby2_3tail@?L@??tanf@@9@9 03bc __remainder_piby2f_inline"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 17 00 BD F0 17 40 BD 10 C2 22 1E F0 0F 00 FD F0 0F 40 FD F0 3F 00 FD E8 3F 40 F9 E8 27 00 F9 E8 27 40 F9 08 F9 40 92 E8 13 00 F9 A9 1F 00 58 E8 13 40 F9 1F 01 09 EB C8 05 00 54 09 F0 E7 D2 E8 13 40 F9 1F 01 09 EB E2 03 00 54 09 E4 E7 D2 E8 13 40 F9 1F 01 09 EB C2 01 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 17 40 BD EB 00 00 14 07 00 00 14 00 02 80 52 E0 17 40 BD ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD E4 00 00 14 0D 00 00 14 F1 0F 40 FD F0 0F 40 FD 31 0A 70 1E F0 0F 40 FD 31 0A 70 1E 30 1C 00 5C 31 0A 70 1E F0 0F 40 FD 10 2A 71 1E 00 42 62 1E 00 40 20 1E D7 00 00 14 0B 00 00 14 F0 17 40 BD 00 C2 22 1E 00 00 80 52 00 40 60 1E ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD 00 42 62 1E 00 40 20 1E CC 00 00 14 24 00 00 14 E8 27 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB E1 03 00 54 E8 27 40 F9 08 CD 40 92 1F 01 00 F1 A0 01 00 54 F0 17 40 BD F0 57 00 BD E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 5F 00 BD E0 5F 40 BD B7 00 00 14 0F 00 00 14 26 00 80 52 81 18 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 01 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD A8 00 00 14 E8 27 40 F9 08 FD 7F D3 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 71 14 00 5C F0 0F 40 FD 00 22 71 1E C2 0F 00 54 E8 13 40 F9 08 FD 74 D3 E8 4F 00 F9 C9 13 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 89 13 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 89 12 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 49 12 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 1B 40 FD F0 47 00 FD E8 47 40 F9 E8 4B 00 F9 E8 4B 40 F9 08 29 4C 92 09 FD 74 D3 E8 4F 40 F9 08 01 09 CB E8 3B 00 F9 E8 3B 40 F9 1F 3D 00 F1 89 06 00 54 F0 1B 40 FD F0 23 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 23 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 23 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD E8 3B 40 F9 1F C1 00 F1 29 03 00 54 F0 1B 40 FD F0 23 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 23 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 23 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD F1 1B 40 FD F0 17 40 FD 30 3A 70 1E F0 37 00 FD E8 13 40 B9 08 05 00 12 E8 3B 00 B9 05 00 00 14 E2 E3 00 91 E1 A3 01 91 E0 13 40 F9 ?? ?? ?? ?? E8 3F 40 B9 1F 01 00 71 A0 01 00 54 E8 3B 40 B9 00 01 00 12 00 00 00 11 E0 37 40 FD ?? ?? ?? ?? E0 53 00 FD F0 53 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 0B 00 00 14 0A 00 00 14 E8 3B 40 B9 00 01 00 12 00 00 00 11 E0 37 40 FD ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD 00 42 62 1E 00 40 20 1E FD 7B CB A8 C0 03 5F D6 18 2D 44 54 FB 21 E9 3F 55 55 55 55 55 55 D5 3F 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 00 00 00 00 }
	condition:
		$1
}

rule file_331_3_0 {
	meta:
		name = "tanf_piby4"
		size = 208
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 FD E0 03 00 B9 F1 0B 40 FD F0 0B 40 FD 30 0A 70 1E F0 07 00 FD F1 0B 40 FD F0 07 40 FD 32 0A 70 1E 11 04 00 5C F0 07 40 FD 31 0A 70 1E F0 03 00 5C 10 3A 71 1E 52 0A 70 1E D1 03 00 5C F0 07 40 FD 31 0A 70 1E B0 03 00 5C 11 2A 71 1E F0 07 40 FD 31 0A 70 1E 70 03 00 5C 10 2A 71 1E 51 1A 70 1E F0 0B 40 FD 10 2A 71 1E F0 0F 00 FD E8 03 40 B9 1F 01 00 71 E0 00 00 54 11 10 7E 1E F0 0F 40 FD 20 1A 70 1E 00 40 60 1E 03 00 00 14 02 00 00 14 E0 0F 40 FD FF 83 00 91 C0 03 5F D6 1F 20 03 D5 AD 6A FD 6E BA 9D 91 3F 17 CB 56 DA B0 A8 D8 3F D9 92 C6 03 90 E2 92 3F 1B 51 B3 D7 66 72 E0 BF 2E 3A E7 A3 84 7E F2 3F }
	condition:
		$1
}

rule file_332_5_0 {
	meta:
		name = "_fcloseall"
		size = 408
		refs = "0014 __acrt_lock 0030 _nstream 0054 __piob 0094 ??0__crt_stdio_stream@@QEAA@QEAU__crt_stdio_stream_data@@@Z 00a0 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 00e0 fclose 0128 __imp_DeleteCriticalSection 0158 _free_dbg 0188 __acrt_unlock"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 08 00 80 52 A8 1B 00 B9 00 01 80 52 ?? ?? ?? ?? 68 00 80 52 A8 17 00 B9 04 00 00 14 A8 17 40 B9 08 05 00 11 A8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 B9 1F 01 09 6B 20 0A 00 54 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 1F 01 00 F1 41 00 00 54 EE FF FF 17 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 01 01 40 F9 A0 A3 00 91 ?? ?? ?? ?? A0 13 00 F9 A0 13 40 F9 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? A0 1F 00 B9 A8 1F 40 B9 1F 05 00 31 80 00 00 54 A8 1B 40 B9 08 05 00 11 A8 1B 00 B9 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 F9 00 C1 00 91 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B 08 00 80 D2 28 01 00 F9 A9 FF FF 17 00 01 80 52 ?? ?? ?? ?? A0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_332_6_0 {
	meta:
		name = "_fcloseall$fin$0"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "?fin$0@?0??__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ@4HA _rmtmp$fin$1"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 00 01 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_333_4_0 {
	meta:
		name = "_strcoll_l"
		size = 740
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GE@LMCMOEDM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BG@HIFFAGAH@?$AA_?$AAs?$AAt?$AAr?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01f4 strcmp 0278 __acrt_CompareStringA"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 3F 00 F9 E1 3F 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 5F 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 2B 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 2B 40 B9 7B 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 33 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 33 40 B9 47 00 00 14 E0 63 01 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 61 01 00 54 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 3B 40 B9 33 00 00 14 E0 63 01 91 ?? ?? ?? ?? E0 4F 00 F9 E0 63 01 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 01 91 ?? ?? ?? ?? E0 57 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 09 51 00 91 E8 53 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 27 01 40 B9 06 00 80 12 E5 27 40 F9 04 00 80 12 E3 2B 40 F9 02 00 82 52 01 01 40 F9 E0 57 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 43 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 43 40 B9 07 00 00 14 E8 23 40 B9 08 09 00 51 E8 47 00 B9 E0 63 01 91 ?? ?? ?? ?? E0 47 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_334_0_0 {
	meta:
		name = "feholdexcept"
		size = 144
		refs = "0020 fegetenv 0064 fesetenv 0080 _clearfp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 08 00 80 52 E8 1B 00 B9 08 00 80 52 E8 1F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 20 00 80 52 14 00 00 14 E9 13 40 F9 29 01 00 91 E8 63 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 1B 40 B9 08 11 00 32 E8 1B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 20 00 80 52 03 00 00 14 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_335_5_0 {
	meta:
		name = "_mbsncoll_l"
		size = 500
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1HC@DMHLCJBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 0090 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 012c ??_C@_1BI@ODKNJFNF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 013c _invalid_parameter 0160 _strncoll_l 0170 _mbsnbcnt_l 01ac __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 73 00 00 91 15 00 00 91 36 00 00 91 61 02 00 91 E0 43 00 91 54 00 00 91 ?? ?? ?? ?? 74 00 00 B5 00 00 80 52 66 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 07 80 52 ?? ?? ?? ?? 2A 00 00 14 96 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 07 80 52 ?? ?? ?? ?? 16 00 00 14 E8 7B 40 B2 9F 02 08 EB 29 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 20 00 00 14 E8 13 40 F9 A0 02 00 91 08 09 40 B9 C8 00 00 35 63 02 00 91 82 02 00 91 C1 02 00 91 ?? ?? ?? ?? 1A 00 00 14 E2 63 00 91 81 02 00 91 ?? ?? ?? ?? E2 63 00 91 13 00 00 91 C0 02 00 91 81 02 00 91 ?? ?? ?? ?? E8 13 40 F9 64 02 00 11 06 00 00 11 C5 02 00 91 A3 02 00 91 07 05 40 B9 02 00 82 52 01 11 41 F9 E0 63 00 91 ?? ?? ?? ?? C0 00 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_336_0_0 {
	meta:
		name = "_j0"
		size = 392
		refs = "0044 J0q 0050 J0p 005c evaluate 0090 P0q 009c P0p 00c8 Q0q 00d4 Q0p 0110 sqrt 0128 cos 0140 sin"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 FD F0 0B 40 FD 08 22 60 1E 82 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 11 D0 63 1E F0 0B 40 FD 00 22 71 1E 08 02 00 54 F1 0B 40 FD F0 0B 40 FD 20 0A 70 1E 83 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 61 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 13 00 FD E0 13 40 FD 42 00 00 14 41 00 00 14 11 10 64 1E F0 0B 40 FD 30 1A 70 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 1F 00 FD F1 0F 40 FD F0 0F 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 1B 00 FD F1 0F 40 FD F0 1B 40 FD 30 0A 70 1E F0 27 00 FD 11 04 00 5C F0 0B 40 FD 31 0A 70 1E 10 10 60 1E 00 1A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 2F 00 FD F1 0B 40 FD 30 03 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F1 0B 40 FD 70 02 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F1 1F 40 FD F0 23 40 FD 32 0A 70 1E F1 27 40 FD F0 2B 40 FD 30 0A 70 1E 51 3A 70 1E F0 2F 40 FD 00 0A 71 1E 00 40 60 1E FD 7B C6 A8 C0 03 5F D6 18 2D 44 54 FB 21 09 40 18 2D 44 54 FB 21 E9 3F }
	condition:
		$1
}

rule file_336_1_0 {
	meta:
		name = "_j1"
		size = 448
		refs = "0054 J1q 0060 J1p 006c evaluate 00b8 P1q 00c4 P1p 00f0 Q1q 00fc Q1p 0138 sqrt 0150 cos 0168 sin"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0B 00 FD 28 00 80 52 E8 1B 00 B9 F0 0B 40 FD 08 22 60 1E C2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD 08 00 80 12 E8 1B 00 B9 11 D0 63 1E F0 0B 40 FD 00 22 71 1E C8 02 00 54 F1 0B 40 FD F0 0B 40 FD 20 0A 70 1E 83 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 17 00 FD E8 1B 40 B9 11 01 62 1E F0 0B 40 FD 31 0A 70 1E F0 17 40 FD 20 0A 70 1E 00 40 60 1E 45 00 00 14 44 00 00 14 11 10 64 1E F0 0B 40 FD 30 1A 70 1E F0 13 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 1B 00 FD F0 1B 40 FD F0 27 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 1F 00 FD F1 13 40 FD F0 1F 40 FD 30 0A 70 1E F0 2F 00 FD 91 04 00 5C F0 0B 40 FD 31 0A 70 1E 10 10 60 1E 00 1A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 23 00 FD F1 0B 40 FD B0 03 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F1 0B 40 FD F0 02 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 33 00 FD E8 1B 40 B9 11 01 62 1E F0 23 40 FD 33 0A 70 1E F1 27 40 FD F0 2B 40 FD 32 0A 70 1E F1 2F 40 FD F0 33 40 FD 30 0A 70 1E 50 3A 70 1E 60 0A 70 1E 00 40 60 1E FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 18 2D 44 54 FB 21 09 40 D2 21 33 7F 7C D9 02 40 }
	condition:
		$1
}

rule file_336_2_0 {
	meta:
		name = "_jn"
		size = 632
		refs = "0044 _j0 0064 _j1 008c fabs"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 B9 E0 0F 00 FD E8 13 40 B9 1F 01 00 71 EA 00 00 54 E8 13 40 B9 E8 03 08 4B E8 13 00 B9 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD E8 13 40 B9 1F 01 00 71 C1 00 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 1F 00 FD E0 1F 40 FD 85 00 00 14 E8 13 40 B9 1F 05 00 71 C1 00 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 23 00 FD E0 23 40 FD 7D 00 00 14 F0 0F 40 FD 08 22 60 1E 61 00 00 54 80 0F 00 5C 78 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 27 00 FD E8 13 40 B9 11 01 62 1E F0 27 40 FD 20 22 70 1E 02 05 00 54 E8 13 40 B9 08 79 1F 53 E8 13 00 B9 E0 0F 40 FD ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 1B 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 13 00 FD 48 00 80 52 E8 17 00 B9 F0 13 40 FD F0 17 00 FD E8 17 40 B9 11 01 62 1E F0 13 40 FD 31 0A 70 1E F0 0F 40 FD 31 1A 70 1E F0 1B 40 FD 30 3A 70 1E F0 13 00 FD E8 17 40 B9 08 09 00 11 E8 17 00 B9 E9 13 40 B9 E8 17 40 B9 1F 01 09 6B 61 00 00 54 E0 13 40 FD 4D 00 00 14 F0 17 40 FD F0 1B 00 FD EA FF FF 17 49 00 00 14 E8 13 40 B9 08 79 1F 53 E8 13 00 B9 F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 33 00 FD 90 08 00 5C F0 17 00 FD E8 13 40 B9 08 91 00 11 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 09 00 51 E8 17 00 B9 E9 13 40 B9 E8 17 40 B9 1F 01 09 6B 2D 01 00 54 E8 17 40 B9 11 01 62 1E F0 17 40 FD 31 3A 70 1E F0 33 40 FD 10 1A 71 1E F0 17 00 FD F2 FF FF 17 E8 13 40 B9 11 01 62 1E F0 17 40 FD 31 3A 70 1E F0 0F 40 FD 10 1A 71 1E F0 13 00 FD F0 13 40 FD F0 3B 00 FD 10 10 6E 1E F0 1B 00 FD E8 13 40 B9 08 09 00 51 E8 17 00 B9 F0 1B 40 FD F0 17 00 FD E8 17 40 B9 11 01 62 1E F0 1B 40 FD 31 0A 70 1E F0 0F 40 FD 31 1A 70 1E F0 13 40 FD 30 3A 70 1E F0 1B 00 FD E8 17 40 B9 08 09 00 51 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 41 00 00 54 04 00 00 14 F0 17 40 FD F0 13 00 FD EC FF FF 17 E0 0F 40 FD ?? ?? ?? ?? E0 37 00 FD F1 37 40 FD F0 3B 40 FD 31 0A 70 1E F0 1B 40 FD 20 1A 70 1E 00 40 60 1E FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_336_3_0 {
	meta:
		name = "_y0"
		size = 528
		refs = "0010 _dclass 0030 _handle_qnan2 004c _d_ind 005c domain_err 008c Y0q 0098 Y0p 00a4 evaluate 00b0 _j0 00bc log 010c P0q 0118 P0p 0144 Q0q 0150 Q0p 018c sqrt 01a4 sin 01bc cos"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 E1 00 00 54 E1 0B 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD 6C 00 00 14 F0 0B 40 FD 08 22 60 1E 22 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD 40 04 80 52 ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 61 00 00 14 11 D0 63 1E F0 0B 40 FD 00 22 71 1E A8 03 00 54 F1 0B 40 FD F0 0B 40 FD 20 0A 70 1E 03 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 27 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 1F 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD B1 09 00 5C F0 1F 40 FD 31 0A 70 1E F0 23 40 FD 31 0A 70 1E F0 27 40 FD 00 2A 71 1E 00 40 60 1E 42 00 00 14 41 00 00 14 11 10 64 1E F0 0B 40 FD 30 1A 70 1E F0 13 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 33 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 2F 00 FD F1 13 40 FD F0 2F 40 FD 30 0A 70 1E F0 3B 00 FD 71 04 00 5C F0 0B 40 FD 31 0A 70 1E 10 10 60 1E 00 1A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 43 00 FD F1 0B 40 FD 90 03 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 37 00 FD F1 0B 40 FD D0 02 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3F 00 FD F1 33 40 FD F0 37 40 FD 32 0A 70 1E F1 3B 40 FD F0 3F 40 FD 30 0A 70 1E 51 2A 70 1E F0 43 40 FD 00 0A 71 1E 00 40 60 1E FD 7B C9 A8 C0 03 5F D6 1F 20 03 D5 83 C8 C9 6D 30 5F E4 3F 18 2D 44 54 FB 21 09 40 18 2D 44 54 FB 21 E9 3F }
	condition:
		$1
}

rule file_336_4_0 {
	meta:
		name = "_y1"
		size = 552
		refs = "0010 _dclass 0030 _handle_qnan2 004c _d_ind 005c domain_err 008c Y1q 0098 Y1p 00a4 evaluate 00b0 _j1 00bc log 0124 P1q 0130 P1p 015c Q1q 0168 Q1p 01a4 sqrt 01bc sin 01d4 cos"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 33 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 E1 00 00 54 E1 0B 40 FD E0 0B 40 FD ?? ?? ?? ?? E0 17 00 FD E0 17 40 FD 72 00 00 14 F0 0B 40 FD 08 22 60 1E 22 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD 60 04 80 52 ?? ?? ?? ?? E0 1B 00 FD E0 1B 40 FD 67 00 00 14 11 D0 63 1E F0 0B 40 FD 00 22 71 1E 68 04 00 54 F1 0B 40 FD F0 0B 40 FD 20 0A 70 1E 03 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 1F 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 27 00 FD F1 0B 40 FD F0 1F 40 FD 33 0A 70 1E F1 23 40 FD F0 27 40 FD 32 0A 70 1E 11 10 6E 1E F0 0B 40 FD 30 1A 70 1E 51 3A 70 1E 30 09 00 5C 10 0A 71 1E 60 2A 70 1E 00 40 60 1E 42 00 00 14 41 00 00 14 11 10 64 1E F0 0B 40 FD 30 1A 70 1E F0 13 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 33 00 FD F1 13 40 FD F0 13 40 FD 20 0A 70 1E A3 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 40 60 1E ?? ?? ?? ?? E0 2F 00 FD F1 13 40 FD F0 2F 40 FD 30 0A 70 1E F0 3B 00 FD 71 04 00 5C F0 0B 40 FD 31 0A 70 1E 10 10 60 1E 00 1A 71 1E 00 40 60 1E ?? ?? ?? ?? E0 43 00 FD F1 0B 40 FD 90 03 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 37 00 FD F1 0B 40 FD D0 02 00 5C 20 3A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3F 00 FD F1 33 40 FD F0 37 40 FD 32 0A 70 1E F1 3B 40 FD F0 3F 40 FD 30 0A 70 1E 51 2A 70 1E F0 43 40 FD 00 0A 71 1E 00 40 60 1E FD 7B C9 A8 C0 03 5F D6 1F 20 03 D5 83 C8 C9 6D 30 5F E4 3F 18 2D 44 54 FB 21 09 40 D2 21 33 7F 7C D9 02 40 }
	condition:
		$1
}

rule file_336_5_0 {
	meta:
		name = "_yn"
		size = 400
		refs = "001c _d_ind 002c domain_err 007c _y0 00ac _y1"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E0 13 00 FD F0 13 40 FD 08 22 60 1E 22 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 FD 80 04 80 52 ?? ?? ?? ?? E0 23 00 FD E0 23 40 FD 52 00 00 14 28 00 80 52 E8 1B 00 B9 E8 13 40 B9 1F 01 00 71 0A 01 00 54 E8 13 40 B9 E8 03 08 4B E8 13 00 B9 E8 13 40 B9 68 00 00 36 08 00 80 12 E8 1B 00 B9 E8 13 40 B9 1F 01 00 71 41 01 00 54 E0 13 40 FD ?? ?? ?? ?? E0 27 00 FD E8 1B 40 B9 11 01 62 1E F0 27 40 FD 20 0A 70 1E 00 40 60 1E 3A 00 00 14 E8 13 40 B9 1F 05 00 71 41 01 00 54 E0 13 40 FD ?? ?? ?? ?? E0 2B 00 FD E8 1B 40 B9 11 01 62 1E F0 2B 40 FD 20 0A 70 1E 00 40 60 1E 2E 00 00 14 E0 13 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 1F 00 FD E0 13 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 17 00 FD B0 04 00 5C F0 1B 00 FD 11 10 60 1E F0 13 40 FD 30 1A 70 1E F0 37 00 FD 28 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E9 13 40 B9 E8 17 40 B9 1F 01 09 6B EA 01 00 54 E8 17 40 B9 11 01 62 1E F0 37 40 FD 11 0A 71 1E F0 17 40 FD 31 0A 70 1E F0 1F 40 FD 30 3A 70 1E F0 1B 00 FD F0 17 40 FD F0 1F 00 FD F0 1B 40 FD F0 17 00 FD EC FF FF 17 E8 1B 40 B9 11 01 62 1E F0 1B 40 FD 20 0A 70 1E 00 40 60 1E FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_336_6_0 {
	meta:
		name = "domain_err"
		size = 96
		refs = "001c _ctrlfp 0040 _except1"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E0 1B 00 FD E1 17 00 FD 21 02 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 E2 13 40 F9 E1 17 40 FD E0 1B 40 FD E1 13 40 B9 00 01 80 52 ?? ?? ?? ?? E0 1F 00 FD E0 1F 40 FD FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_336_7_0 {
	meta:
		name = "evaluate"
		size = 540
		refs = "005c ??_C@_1CC@JOKKCJAA@?$AAn?$AA1?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AA2?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FK@MDONPEON@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0080 _CrtDbgReportW 00b8 ??_C@_1BC@LLMCKKDB@?$AAe?$AAv?$AAa?$AAl?$AAu?$AAa?$AAt?$AAe?$AA?$AA@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 FD E0 27 00 F9 E1 17 00 B9 E2 2B 00 F9 E3 1B 00 B9 E8 17 40 B9 1F 01 00 71 ED 00 00 54 E8 1B 40 B9 1F 01 00 71 8D 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 81 01 00 54 04 00 80 D2 43 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 10 7E 1E 51 00 00 14 E8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B F1 1F 40 FD 10 01 40 FD 30 0A 70 1E F0 17 00 FD E8 17 40 B9 08 05 00 51 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 CD 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 27 40 F9 08 01 09 8B 11 01 40 FD F0 17 40 FD 31 2A 70 1E F0 1F 40 FD 10 0A 71 1E F0 17 00 FD EE FF FF 17 F1 17 40 FD E8 27 40 F9 10 01 40 FD 30 2A 70 1E F0 17 00 FD E8 1B 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 2B 40 F9 08 01 09 8B F1 1F 40 FD 10 01 40 FD 30 0A 70 1E F0 1B 00 FD E8 1B 40 B9 08 05 00 51 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 CD 01 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 2B 40 F9 08 01 09 8B 11 01 40 FD F0 1B 40 FD 31 2A 70 1E F0 1F 40 FD 10 0A 71 1E F0 1B 00 FD EE FF FF 17 F1 1B 40 FD E8 2B 40 F9 10 01 40 FD 30 2A 70 1E F0 1B 00 FD F1 17 40 FD F0 1B 40 FD 20 1A 70 1E 00 40 60 1E FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_7_0 {
	meta:
		name = "?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ"
		size = 304
		refs = "0010 ??0__crt_stdio_stream@@QEAA@XZ 0018 __acrt_lock 0020 ?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ 005c ?valid@__crt_stdio_stream@@QEBA_NXZ 007c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0108 __acrt_unlock"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 13 00 F9 A0 63 00 91 ?? ?? ?? ?? 00 01 80 52 ?? ?? ?? ?? A0 83 01 91 ?? ?? ?? ?? A0 17 00 F9 A9 C3 00 91 29 01 00 91 A8 17 40 F9 08 01 00 91 08 01 40 F9 28 01 00 F9 A9 63 00 91 29 01 00 91 A8 C3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 24 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 09 A1 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 27 00 F9 A8 27 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 2B 00 F9 A8 2B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 09 61 00 91 08 00 80 12 28 01 00 B9 00 01 80 52 ?? ?? ?? ?? A9 13 40 F9 29 01 00 91 A8 63 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 A0 13 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_9_0 {
	meta:
		name = "?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
		size = 224
		refs = "0010 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00d4 ?deallocate@__crt_stdio_stream@@QEAAXXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 61 00 91 08 00 80 12 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 09 71 00 91 08 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 09 81 00 91 08 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 09 A1 00 91 08 00 80 D2 28 01 00 F9 E0 43 00 91 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_11_0 {
	meta:
		name = "?deallocate@__crt_stdio_stream@@QEAAXXZ"
		size = 48
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 09 00 80 52 E8 03 40 F9 08 01 00 91 08 01 40 F9 08 51 00 91 08 01 00 91 09 FD 9F 88 BF 3B 03 D5 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_13_0 {
	meta:
		name = "?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ"
		size = 504
		refs = "000c __piob 001c _nstream 0074 ??0__crt_stdio_stream@@QEAA@QEAU__crt_stdio_stream_data@@@Z 007c ?valid@__crt_stdio_stream@@QEBA_NXZ 0098 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 00b8 ?lock@__crt_stdio_stream@@QEBAXXZ 00c0 ?try_allocate@__crt_stdio_stream@@QEAA_NXZ 00dc ?unlock@__crt_stdio_stream@@QEBAXXZ 0108 ??_C@_0DA@OGKFKCBE@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 011c _calloc_dbg 012c ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_stdio_stream_data@@@Z 0140 ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_stdio_stream_data@@XZ 0158 ??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ 019c __acrt_InitializeCriticalSectionEx 01e8 ??0__crt_stdio_stream@@QEAA@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 08 61 00 91 E8 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 61 00 D1 E8 23 00 F9 E8 1F 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E9 23 40 F9 E8 0F 40 F9 1F 01 09 EB 00 0C 00 54 E8 0F 40 F9 01 01 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 03 00 54 E0 83 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 E7 FF FF 17 E0 83 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 E0 83 00 91 ?? ?? ?? ?? DB FF FF 17 E9 17 40 F9 29 01 00 91 E8 83 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 17 40 F9 3C 00 00 14 24 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 0B 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 A3 01 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 33 00 F9 E9 0F 40 F9 E8 33 40 F9 28 01 00 F9 E0 A3 01 91 ?? ?? ?? ?? E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 41 00 00 54 1E 00 00 14 E8 0F 40 F9 08 01 40 F9 09 61 00 91 08 00 80 12 28 01 00 B9 E8 0F 40 F9 08 01 40 F9 00 C1 00 91 02 00 80 52 01 F4 81 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 01 01 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E9 17 40 F9 29 01 00 91 E8 C3 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 17 40 F9 05 00 00 14 9B FF FF 17 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_337_19_0 {
	meta:
		name = "?try_allocate@__crt_stdio_stream@@QEAA_NXZ"
		size = 108
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 0B 51 00 91 6B 01 00 91 6A FD 5F 88 4A 01 00 11 49 01 13 32 69 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 EA 07 00 B9 E8 07 40 B9 88 00 68 37 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "_tell"
		size = 44
		refs = "0018 _lseek"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 22 00 80 52 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_339_0_0 {
	meta:
		name = "setbuf"
		size = 156
		refs = "001c ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1GA@ODGHMKHE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 _CrtDbgReportW 0078 setvbuf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 F9 1F 01 00 F1 E1 00 00 54 03 00 80 D2 82 00 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? 06 00 00 14 03 40 80 D2 02 00 80 52 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_340_0_0 {
	meta:
		name = "_strnset"
		size = 120
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 03 00 B9 E2 0B 00 F9 E8 07 40 F9 E8 13 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 03 40 B9 09 1D 00 13 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 EC FF FF 17 E0 13 40 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_342_0_0 {
	meta:
		name = "asin"
		size = 1088
		refs = "0098 _handle_nan 00c0 val_with_flags 00f4 ?piby2@?1??asin@@9@9 0168 ??_C@_04FIHNOPOL@asin?$AA@ 0170 _handle_error 01f4 sqrt 0340 ?piby2_tail@?1??asin@@9@9 0360 ?hpiby2_head@?1??asin@@9@9"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 13 00 FD B0 1E 00 5C F0 1F 00 FD 08 00 80 52 E8 1F 00 B9 F0 13 40 FD F0 3B 00 FD E8 3B 40 F9 E8 23 00 F9 E8 23 40 F9 08 F9 40 92 E8 3F 00 F9 E8 23 40 F9 08 01 41 92 E8 37 00 F9 09 FE EF D2 E8 3F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 53 00 B9 E8 23 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 08 FD 0F 51 E8 1B 00 B9 E8 53 40 B9 1F 01 00 71 E0 00 00 54 E0 23 40 F9 ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD CC 00 00 14 36 00 00 14 E8 1B 40 B9 1F 71 00 31 0A 01 00 54 00 02 80 52 E0 13 40 FD ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD C2 00 00 14 2C 00 00 14 E8 1B 40 B9 1F 01 00 71 2B 05 00 54 11 10 6E 1E F0 13 40 FD 00 22 71 1E 21 01 00 54 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD B3 00 00 14 1D 00 00 14 11 10 7E 1E F0 13 40 FD 00 22 71 1E 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 02 80 52 00 40 60 1E ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD A5 00 00 14 0F 00 00 14 26 00 80 52 A1 14 00 5C E0 13 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 C1 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 00 FD E0 53 40 FD 96 00 00 14 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 F0 13 40 FD 10 42 61 1E F0 17 00 FD 03 00 00 14 F0 13 40 FD F0 17 00 FD E8 1B 40 B9 1F 05 00 31 8B 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E0 01 00 54 11 10 6E 1E F0 17 40 FD 31 3A 70 1E 10 10 6C 1E 10 0A 71 1E F0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD F0 1F 00 FD F0 1F 40 FD F0 17 00 FD 05 00 00 14 F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 0B 00 FD 51 0E 00 5C F0 0B 40 FD 31 0A 70 1E 30 0E 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E F0 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E B0 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 70 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 30 0D 00 5C 11 2A 71 1E F0 0B 40 FD 12 0A 71 1E F1 0C 00 5C F0 0B 40 FD 31 0A 70 1E D0 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 90 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 50 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 10 0C 00 5C 10 2A 71 1E 50 1A 70 1E F0 33 00 FD E8 1F 40 B9 1F 01 00 71 00 06 00 54 F0 1F 40 FD F0 5B 00 FD E8 5B 40 F9 E8 5F 00 F9 E8 5F 40 F9 08 7D 60 92 E8 63 00 F9 F0 63 40 FD F0 27 00 FD F1 27 40 FD F0 27 40 FD 31 0A 70 1E F0 0B 40 FD 12 3A 71 1E F1 1F 40 FD F0 27 40 FD 30 2A 70 1E 50 1A 70 1E F0 67 00 FD 11 10 60 1E F0 1F 40 FD 31 0A 70 1E F0 33 40 FD 32 0A 70 1E 11 10 60 1E F0 67 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E 50 3A 70 1E F0 6B 00 FD 11 10 60 1E F0 27 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E F0 6F 00 FD F1 6B 40 FD F0 6F 40 FD 31 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E F0 2F 00 FD 09 00 00 14 F1 17 40 FD F0 33 40 FD 30 0A 70 1E F0 73 00 FD F1 17 40 FD F0 73 40 FD 30 2A 70 1E F0 2F 00 FD E8 37 40 F9 1F 01 00 F1 C0 00 00 54 F0 2F 40 FD 00 42 61 1E 00 40 60 1E 03 00 00 14 02 00 00 14 E0 2F 40 FD FD 7B CF A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 61 10 32 5D 66 51 09 3F 35 21 A6 87 F8 E5 51 3F 90 96 C2 90 D3 28 AC BF 59 EF B7 C1 BE A2 D1 3F AC 9E 26 7E 29 7B DC BF 34 98 02 80 41 1E CD 3F 76 CE 82 29 42 1A BB 3F 8D F7 18 B4 4A 32 EE BF FC CC 1D 57 21 20 06 40 EA CD 03 F9 46 46 0A C0 28 F2 01 20 B1 D6 F5 3F }
	condition:
		$1
}

rule file_343_0_0 {
	meta:
		name = "_wmkdir"
		size = 92
		refs = "0014 __imp_CreateDirectoryW 0030 __imp_GetLastError 0044 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "fabsf"
		size = 36
		refs = "0010 inline_expanded_fabsf"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 BD E0 13 40 BD ?? ?? ?? ?? E0 17 00 BD E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_345_1_0 {
	meta:
		name = "inline_expanded_fabsf"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD F0 03 40 BD 00 C2 20 1E 00 40 20 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_346_4_0 {
	meta:
		name = "_mbsset_s_l"
		size = 696
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1HG@CPONDDPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0070 ??_C@_1BI@KPNHPBOK@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0088 _invalid_parameter 009c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b8 _strset_s 0154 _CrtGetDebugFillThreshold 016c memset 01d0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 15 00 00 91 BF 02 00 F1 33 00 00 91 64 1A 40 FA 56 00 00 11 17 00 80 52 48 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 85 00 00 14 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? E9 13 40 F9 28 09 40 B9 C8 00 00 35 C2 02 00 11 61 02 00 91 A0 02 00 91 ?? ?? ?? ?? 74 00 00 14 C8 7E 08 53 0D 1D 00 53 AA 02 00 91 74 02 00 91 CB 1E 00 53 CD 02 00 34 0B 03 00 34 A8 01 09 8B 09 65 40 39 A9 02 10 36 A8 02 40 39 28 05 00 34 94 06 00 D1 F4 04 00 B4 49 05 40 39 09 01 00 34 4D 01 00 39 94 06 00 D1 74 04 00 B4 4B 05 00 39 48 2D 40 38 E8 FE FF 35 1E 00 00 14 5F 01 00 39 94 06 00 91 37 00 80 52 1A 00 00 14 68 01 09 8B 09 65 40 39 09 02 10 36 BF 02 00 39 7F 06 00 B1 A0 09 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 29 09 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? 41 00 00 14 A8 02 40 39 C8 00 00 34 94 06 00 D1 94 00 00 B4 4B 01 00 39 49 1D 40 38 89 FF FF 35 14 05 00 B5 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 09 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 18 00 00 14 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 14 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A8 02 14 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D7 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_347_0_0 {
	meta:
		name = "acosf"
		size = 956
		refs = "009c _handle_nanf 00c0 ?piby2@?1??acosf@@9@9 00c8 valf_with_flags 0114 ?pi@?1??acosf@@9@9 015c ??_C@_05FFFCHCED@acosf?$AA@ 0164 _handle_errorf 01e8 sqrtf 029c ?piby2_tail@?1??acosf@@9@9 0384 ?piby2_head@?1??acosf@@9@9"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 17 00 BD B0 1C 00 1C F0 1F 00 BD 08 00 80 52 E8 2F 00 B9 F0 17 40 BD F0 43 00 BD E8 43 40 B9 E8 23 00 B9 E8 23 40 B9 08 79 00 12 E8 47 00 B9 E8 23 40 B9 08 01 01 12 E8 3F 00 B9 09 F0 AF 52 E8 47 40 B9 1F 01 09 6B 89 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 4B 00 B9 E8 23 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 E8 2B 00 B9 E8 4B 40 B9 1F 01 00 71 20 01 00 54 E8 23 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 4F 00 BD E0 4F 40 BD BC 00 00 14 32 00 00 14 E8 2B 40 B9 1F 69 00 31 2A 01 00 54 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD B1 00 00 14 27 00 00 14 E8 2B 40 B9 1F 01 00 71 8B 04 00 54 11 10 2E 1E F0 17 40 BD 00 22 31 1E 81 00 00 54 40 15 00 1C A7 00 00 14 1D 00 00 14 11 10 3E 1E F0 17 40 BD 00 22 31 1E 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 42 62 1E 00 02 80 52 00 40 20 1E ?? ?? ?? ?? E0 57 00 BD E0 57 40 BD 99 00 00 14 0F 00 00 14 26 00 80 52 01 13 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 A1 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 00 BD E0 5B 40 BD 8A 00 00 14 E8 3F 40 B9 1F 01 00 71 A0 00 00 54 F0 17 40 BD 10 42 21 1E F0 1B 00 BD 03 00 00 14 F0 17 40 BD F0 1B 00 BD E8 2B 40 B9 1F 05 00 31 8B 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 E0 01 00 54 11 10 2E 1E F0 1B 40 BD 31 3A 30 1E 10 10 2C 1E 10 0A 31 1E F0 13 00 BD E0 13 40 BD ?? ?? ?? ?? E0 5F 00 BD F0 5F 40 BD F0 1F 00 BD F0 1F 40 BD F0 1B 00 BD 05 00 00 14 F1 1B 40 BD F0 1B 40 BD 30 0A 30 1E F0 13 00 BD 91 0C 00 1C F0 13 40 BD 31 0A 30 1E 50 0C 00 1C 11 3A 31 1E F0 13 40 BD 31 0A 30 1E F0 0B 00 1C 11 2A 31 1E F0 13 40 BD 31 0A 30 1E 90 0B 00 1C 11 2A 31 1E F0 13 40 BD 12 0A 31 1E 31 0B 00 1C F0 13 40 BD 31 0A 30 1E F0 0A 00 1C 10 3A 31 1E 50 1A 30 1E F0 33 00 BD E8 2F 40 B9 1F 01 00 71 40 07 00 54 E8 3F 40 B9 1F 01 00 71 80 02 00 54 F0 1F 40 BD 12 C2 22 1E F1 1B 40 BD F0 33 40 BD 30 0A 30 1E 11 C2 22 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E 51 2A 70 1E 10 10 60 1E 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E 00 42 62 1E 00 40 20 1E 34 00 00 14 23 00 00 14 F0 1F 40 BD F0 63 00 BD E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 08 3D 10 12 E8 6B 00 B9 F0 6B 40 BD F0 27 00 BD F1 27 40 BD F0 27 40 BD 31 0A 30 1E F0 13 40 BD 12 3A 31 1E F1 1F 40 BD F0 27 40 BD 30 2A 30 1E 50 1A 30 1E F0 6F 00 BD 11 10 20 1E F0 27 40 BD 33 0A 30 1E 11 10 20 1E F0 6F 40 BD 32 0A 30 1E 11 10 20 1E F0 1B 40 BD 31 0A 30 1E F0 33 40 BD 30 0A 30 1E 50 2A 30 1E 60 2A 30 1E 00 40 20 1E 11 00 00 14 10 00 00 14 F0 17 40 BD 12 C2 22 1E F1 17 40 BD F0 33 40 BD 30 0A 30 1E 11 C2 22 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E 51 3A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 3A 71 1E 00 42 62 1E 00 40 20 1E FD 7B C7 A8 C0 03 5F D6 00 00 00 00 6B CE 81 3B E1 3F 5B BC DD 8B 67 BD DC 94 3C 3E 0D 1F 56 3F A5 6F 8D 3F }
	condition:
		$1
}

rule file_348_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z"
		size = 88
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 05 00 D1 88 00 80 D2 2A 0D C8 9A E8 03 40 F9 09 05 00 D1 88 0C 80 D2 28 0D C8 9A 4A 01 08 CB E8 03 40 F9 09 AD 04 91 08 32 80 D2 28 0D C8 9A 48 01 08 8B E8 07 00 F9 E8 07 40 F9 00 45 00 D1 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_3_0 {
	meta:
		name = "??$__crt_time_is_leap_year@_J@@YA_N_J@Z"
		size = 124
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 EA 03 40 F9 89 00 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 41 01 00 54 EA 03 40 F9 89 0C 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 60 00 00 54 20 00 80 52 0C 00 00 14 E8 03 40 F9 0A B1 1D 91 09 32 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_4_0 {
	meta:
		name = "??$common_mktime@J@@YAJQEAUtm@@_N@Z"
		size = 2116
		refs = "0008 __security_push_cookie 0054 ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00d4 _invalid_parameter 021c _days 0234 ??$__crt_time_is_leap_year@J@@YA_NJ@Z 0270 ??$__crt_time_elapsed_leap_years@J@@YAJJ@Z 065c __tzset 0674 _get_dstbias 0694 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 06a0 _invoke_watson_if_error 06a8 _get_timezone 06c8 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0700 ??$localtime_s@PEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@$$QEAPEAJ@Z 07d8 ??$gmtime_s@PEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@$$QEAPEAJ@Z 0838 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 E0 0B 00 F9 E1 67 00 39 08 00 80 12 E8 67 00 B9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 D6 01 00 14 E8 0B 40 F9 08 51 00 91 08 01 40 B9 E8 03 00 B9 E8 03 40 B9 1F 15 01 71 8B 00 00 54 E8 03 40 B9 1F 2D 02 71 09 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 C5 01 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 CB 00 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 ED 05 00 54 E8 0B 40 F9 08 41 00 91 09 01 40 B9 88 01 80 52 29 0D C8 1A E8 03 40 B9 08 01 09 0B E8 03 00 B9 E8 0B 40 F9 08 41 00 91 0A 01 40 B9 89 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 27 00 B9 E8 0B 40 F9 09 41 00 91 E8 27 40 B9 28 01 00 B9 E8 27 40 B9 1F 01 00 71 6A 01 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 09 31 00 11 E8 0B 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E8 03 40 B9 1F 15 01 71 8B 00 00 54 E8 03 40 B9 1F 2D 02 71 09 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 8D 01 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 07 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 71 8D 00 00 54 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 4B 00 B9 E8 03 40 B9 09 19 01 51 A8 2D 80 52 29 7D 08 1B E8 4B 40 B9 28 01 08 0B E8 0B 00 B9 E9 0B 40 B9 E8 07 40 B9 28 01 08 0B E8 0B 00 B9 E8 0B 40 F9 08 31 00 91 08 01 40 B9 E8 07 00 B9 E9 0B 40 B9 E8 07 40 B9 28 01 08 0B E8 03 00 B9 E8 0B 40 B9 1F 01 00 71 EB 00 00 54 E8 07 40 B9 1F 01 00 71 8B 00 00 54 E8 03 40 B9 1F 01 00 71 4B 01 00 54 E8 0B 40 B9 1F 01 00 71 CA 01 00 54 E8 07 40 B9 1F 01 00 71 6A 01 00 54 E8 03 40 B9 1F 01 00 71 0B 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 44 01 00 14 E9 03 40 B9 08 03 80 52 28 7D 08 1B E8 07 00 B9 E8 03 40 B9 1F 01 00 71 00 02 00 54 E9 07 40 B9 E8 03 40 B9 48 00 00 35 80 00 3E D4 28 0D C8 1A 1F 61 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 22 01 00 14 E8 0B 40 F9 08 21 00 91 08 01 40 B9 E8 0B 00 B9 E9 07 40 B9 E8 0B 40 B9 28 01 08 0B E8 03 00 B9 E8 07 40 B9 1F 01 00 71 EB 00 00 54 E8 0B 40 B9 1F 01 00 71 8B 00 00 54 E8 03 40 B9 1F 01 00 71 4B 01 00 54 E8 07 40 B9 1F 01 00 71 CA 01 00 54 E8 0B 40 B9 1F 01 00 71 6A 01 00 54 E8 03 40 B9 1F 01 00 71 0B 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 01 01 00 14 E9 03 40 B9 88 07 80 52 28 7D 08 1B E8 07 00 B9 E8 03 40 B9 1F 01 00 71 00 02 00 54 E9 07 40 B9 E8 03 40 B9 48 00 00 35 80 00 3E D4 28 0D C8 1A 1F F1 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 DF 00 00 14 E8 0B 40 F9 08 11 00 91 08 01 40 B9 E8 0B 00 B9 E9 07 40 B9 E8 0B 40 B9 28 01 08 0B E8 03 00 B9 E8 07 40 B9 1F 01 00 71 EB 00 00 54 E8 0B 40 B9 1F 01 00 71 8B 00 00 54 E8 03 40 B9 1F 01 00 71 4B 01 00 54 E8 07 40 B9 1F 01 00 71 CA 01 00 54 E8 0B 40 B9 1F 01 00 71 6A 01 00 54 E8 03 40 B9 1F 01 00 71 0B 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 BE 00 00 14 E9 03 40 B9 88 07 80 52 28 7D 08 1B E8 07 00 B9 E8 03 40 B9 1F 01 00 71 00 02 00 54 E9 07 40 B9 E8 03 40 B9 48 00 00 35 80 00 3E D4 28 0D C8 1A 1F F1 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 9C 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 E8 0B 00 B9 E9 07 40 B9 E8 0B 40 B9 28 01 08 0B E8 03 00 B9 E8 07 40 B9 1F 01 00 71 EB 00 00 54 E8 0B 40 B9 1F 01 00 71 8B 00 00 54 E8 03 40 B9 1F 01 00 71 4B 01 00 54 E8 07 40 B9 1F 01 00 71 CA 01 00 54 E8 0B 40 B9 1F 01 00 71 6A 01 00 54 E8 03 40 B9 1F 01 00 71 0B 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 7B 00 00 14 E8 67 40 39 08 01 00 11 1F 01 00 71 40 0B 00 54 ?? ?? ?? ?? 08 00 80 52 E8 47 00 B9 08 00 80 52 E8 43 00 B9 E0 13 01 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 04 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 24 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? E9 03 40 B9 E8 43 40 B9 28 01 08 0B E8 03 00 B9 E8 03 00 91 E8 5F 00 F9 E8 03 04 91 E8 63 00 F9 E1 E3 02 91 E0 03 03 91 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 42 00 00 14 E8 0B 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 2C 01 00 54 E8 0B 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 4A 03 00 54 E8 23 41 B9 1F 01 00 71 ED 02 00 54 E9 03 40 B9 E8 47 40 B9 28 01 08 0B E8 03 00 B9 E8 03 00 91 E8 6B 00 F9 E8 03 04 91 E8 6F 00 F9 E1 43 03 91 E0 63 03 91 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 1F 00 00 14 13 00 00 14 E8 03 00 91 E8 77 00 F9 E8 03 04 91 E8 7B 00 F9 E1 A3 03 91 E0 C3 03 91 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 0C 00 00 14 EB 0B 40 F9 6B 01 00 91 EA 03 04 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 E0 03 40 B9 FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_5_0 {
	meta:
		name = "??$common_mktime@_J@@YA_JQEAUtm@@_N@Z"
		size = 2152
		refs = "0008 __security_push_cookie 0054 ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00d4 _invalid_parameter 0224 _days 0240 ??$__crt_time_is_leap_year@_J@@YA_N_J@Z 027c ??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z 0678 __tzset 0690 _get_dstbias 06b0 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 06bc _invoke_watson_if_error 06c4 _get_timezone 06e4 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0720 ??$localtime_s@PEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@$$QEAPEA_J@Z 07fc ??$gmtime_s@PEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@$$QEAPEA_J@Z 085c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 04 D1 E0 0B 00 F9 E1 87 00 39 08 00 80 92 E8 87 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 DF 01 00 14 E8 0B 40 F9 08 51 00 91 08 01 40 B9 08 7D 40 93 E8 03 00 F9 E8 03 40 F9 1F 15 01 F1 8B 00 00 54 E8 03 40 F9 1F 39 11 F1 09 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 CD 01 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 CB 00 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 0D 06 00 54 E8 0B 40 F9 08 41 00 91 09 01 40 B9 88 01 80 52 28 0D C8 1A 09 7D 40 93 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 0B 40 F9 08 41 00 91 0A 01 40 B9 89 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 2F 00 B9 E8 0B 40 F9 09 41 00 91 E8 2F 40 B9 28 01 00 B9 E8 2F 40 B9 1F 01 00 71 6A 01 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 09 31 00 11 E8 0B 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 05 00 D1 E8 03 00 F9 E8 03 40 F9 1F 15 01 F1 8B 00 00 54 E8 03 40 F9 1F 39 11 F1 09 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 94 01 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 08 7D 40 93 E8 07 00 F9 E0 03 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 71 8D 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E0 03 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 03 40 F9 09 19 01 D1 A8 2D 80 D2 29 7D 08 9B E8 43 40 F9 28 01 08 8B E8 0F 00 F9 E9 0F 40 F9 E8 07 40 F9 28 01 08 8B E8 0F 00 F9 E8 0B 40 F9 08 31 00 91 08 01 40 B9 08 7D 40 93 E8 07 00 F9 E9 0F 40 F9 E8 07 40 F9 28 01 08 8B E8 03 00 F9 E8 0F 40 F9 1F 01 00 F1 EB 00 00 54 E8 07 40 F9 1F 01 00 F1 8B 00 00 54 E8 03 40 F9 1F 01 00 F1 4B 01 00 54 E8 0F 40 F9 1F 01 00 F1 CA 01 00 54 E8 07 40 F9 1F 01 00 F1 6A 01 00 54 E8 03 40 F9 1F 01 00 F1 0B 01 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 49 01 00 14 E9 03 40 F9 08 03 80 D2 28 7D 08 9B E8 07 00 F9 E8 03 40 F9 1F 01 00 F1 00 02 00 54 E9 07 40 F9 E8 03 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A 1F 61 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 27 01 00 14 E8 0B 40 F9 08 21 00 91 08 01 40 B9 08 7D 40 93 E8 0F 00 F9 E9 07 40 F9 E8 0F 40 F9 28 01 08 8B E8 03 00 F9 E8 07 40 F9 1F 01 00 F1 EB 00 00 54 E8 0F 40 F9 1F 01 00 F1 8B 00 00 54 E8 03 40 F9 1F 01 00 F1 4B 01 00 54 E8 07 40 F9 1F 01 00 F1 CA 01 00 54 E8 0F 40 F9 1F 01 00 F1 6A 01 00 54 E8 03 40 F9 1F 01 00 F1 0B 01 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 05 01 00 14 E9 03 40 F9 88 07 80 D2 28 7D 08 9B E8 07 00 F9 E8 03 40 F9 1F 01 00 F1 00 02 00 54 E9 07 40 F9 E8 03 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A 1F F1 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 E3 00 00 14 E8 0B 40 F9 08 11 00 91 08 01 40 B9 08 7D 40 93 E8 0F 00 F9 E9 07 40 F9 E8 0F 40 F9 28 01 08 8B E8 03 00 F9 E8 07 40 F9 1F 01 00 F1 EB 00 00 54 E8 0F 40 F9 1F 01 00 F1 8B 00 00 54 E8 03 40 F9 1F 01 00 F1 4B 01 00 54 E8 07 40 F9 1F 01 00 F1 CA 01 00 54 E8 0F 40 F9 1F 01 00 F1 6A 01 00 54 E8 03 40 F9 1F 01 00 F1 0B 01 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 C1 00 00 14 E9 03 40 F9 88 07 80 D2 28 7D 08 9B E8 07 00 F9 E8 03 40 F9 1F 01 00 F1 00 02 00 54 E9 07 40 F9 E8 03 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A 1F F1 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 9F 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 B9 08 7D 40 93 E8 0F 00 F9 E9 07 40 F9 E8 0F 40 F9 28 01 08 8B E8 03 00 F9 E8 07 40 F9 1F 01 00 F1 EB 00 00 54 E8 0F 40 F9 1F 01 00 F1 8B 00 00 54 E8 03 40 F9 1F 01 00 F1 4B 01 00 54 E8 07 40 F9 1F 01 00 F1 CA 01 00 54 E8 0F 40 F9 1F 01 00 F1 6A 01 00 54 E8 03 40 F9 1F 01 00 F1 0B 01 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 7D 00 00 14 E8 87 40 39 08 01 00 11 1F 01 00 71 80 0B 00 54 ?? ?? ?? ?? 08 00 80 52 E8 4F 00 B9 08 00 80 52 E8 4B 00 B9 E0 33 01 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 04 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 24 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E8 4B 40 B9 09 7D 40 93 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 03 00 91 E8 63 00 F9 E8 43 04 91 E8 67 00 F9 E1 03 03 91 E0 23 03 91 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 43 00 00 14 E8 0B 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 2C 01 00 54 E8 0B 40 F9 08 81 00 91 08 01 40 B9 1F 01 00 71 6A 03 00 54 E8 33 41 B9 1F 01 00 71 0D 03 00 54 E8 4F 40 B9 09 7D 40 93 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 03 00 91 E8 6F 00 F9 E8 43 04 91 E8 73 00 F9 E1 63 03 91 E0 83 03 91 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 1F 00 00 14 13 00 00 14 E8 03 00 91 E8 7B 00 F9 E8 43 04 91 E8 7F 00 F9 E1 C3 03 91 E0 E3 03 91 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 0C 00 00 14 EB 0B 40 F9 6B 01 00 91 EA 43 04 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 49 21 41 A9 69 21 01 A9 48 21 40 B9 68 21 00 B9 E0 03 40 F9 FF C3 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_11_0 {
	meta:
		name = "_mkgmtime32"
		size = 40
		refs = "0014 ??$common_mktime@J@@YAJQEAUtm@@_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_348_13_0 {
	meta:
		name = "_mktime32"
		size = 40
		refs = "0014 ??$common_mktime@J@@YAJQEAUtm@@_N@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z"
		size = 760
		refs = "0038 ??_C@_1GA@KCKCPAEB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005c _CrtDbgReportW 0080 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0094 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00e8 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 0194 _errno 01b4 ??1_LocaleUpdate@@QEAA@XZ 0250 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 F9 E2 2F 00 F9 E3 23 00 79 E4 2B 00 F9 E5 43 00 F9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E8 2F 40 F9 1F 01 00 F1 28 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 43 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 63 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 80 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 09 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 F9 1F 01 00 F1 A0 00 00 54 E8 2B 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 C1 04 00 54 E8 23 40 79 08 01 00 11 1F FD 03 71 4D 02 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 33 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 33 40 B9 4D 00 00 14 E8 23 40 79 09 1D 00 13 E8 27 40 F9 09 01 00 39 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 28 00 80 52 28 01 00 B9 08 00 80 52 E8 37 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 37 40 B9 3D 00 00 14 08 00 80 52 E8 23 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 5B 00 F9 E8 2F 40 F9 05 01 00 11 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E7 83 00 91 06 00 80 D2 A5 00 00 11 E4 27 40 F9 23 00 80 52 E2 43 00 91 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 80 00 00 54 E8 23 40 B9 1F 01 00 71 40 02 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 3F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 3F 40 B9 0C 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 E8 27 40 B9 28 01 00 B9 08 00 80 52 E8 43 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 43 40 B9 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_5_0 {
	meta:
		name = "internal_wcsrtombs"
		size = 952
		refs = "0008 __security_push_cookie 0054 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CG@BMBAINBL@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0104 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0140 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0164 ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0180 ??1_LocaleUpdate@@QEAA@XZ 0320 memcpy_s 03ac __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 0B 00 F9 E1 1F 00 F9 E2 13 00 F9 E3 27 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 B3 00 00 14 08 00 80 52 E8 03 00 B9 08 00 80 D2 E8 07 00 F9 E8 1F 40 F9 08 01 40 F9 E8 0F 00 F9 01 00 80 D2 E0 43 02 91 ?? ?? ?? ?? E0 5B 00 F9 E8 0B 40 F9 1F 01 00 F1 A1 06 00 54 09 00 00 14 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 2F 00 F9 E5 2F 40 F9 E4 27 40 F9 E8 0F 40 F9 03 01 40 79 A2 00 80 D2 E1 E3 02 91 E0 03 00 91 ?? ?? ?? ?? E8 03 40 B9 1F 01 00 71 0C 01 00 54 08 00 80 92 E8 33 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 33 40 F9 88 00 00 14 16 00 00 14 E8 03 40 B9 08 05 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 E3 02 91 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 61 01 00 54 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 01 09 8B 08 05 00 D1 E8 37 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 37 40 F9 72 00 00 14 CE FF FF 17 13 00 00 14 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 03 40 B9 09 7D 40 93 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E8 03 40 B9 09 7D 40 93 E8 13 40 F9 08 01 09 CB E8 13 00 F9 E9 13 40 F9 08 00 80 D2 1F 01 09 EB 42 0A 00 54 08 00 80 D2 E8 1B 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 09 7D 40 93 E8 13 40 F9 1F 01 09 EB 82 00 00 54 E8 E3 02 91 E8 1B 00 F9 03 00 00 14 E8 0B 40 F9 E8 1B 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 3F 00 F9 E5 3F 40 F9 E4 27 40 F9 E8 0F 40 F9 03 01 40 79 A2 00 80 D2 E1 1B 40 F9 E0 03 00 91 ?? ?? ?? ?? E8 03 40 B9 1F 01 00 71 8C 00 00 54 08 00 80 92 E8 07 00 F9 2D 00 00 14 E9 1B 40 F9 E8 0B 40 F9 1F 01 09 EB 41 00 00 54 0F 00 00 14 E8 03 40 B9 09 7D 40 93 E8 13 40 F9 1F 01 09 EB 62 00 00 54 22 00 00 14 08 00 00 14 E8 03 40 B9 03 7D 40 93 63 00 00 91 E2 E3 02 91 E1 13 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E8 03 40 B9 08 05 00 51 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 C1 01 00 54 E9 1F 40 F9 08 00 80 D2 28 01 00 F9 E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 01 09 8B 08 05 00 D1 E8 43 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 43 40 F9 0A 00 00 14 9A FF FF 17 E9 1F 40 F9 E8 0F 40 F9 28 01 00 F9 E8 07 40 F9 E8 47 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 47 40 F9 FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_7_0 {
	meta:
		name = "wcrtomb"
		size = 104
		refs = "0058 wcrtomb_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E2 17 00 F9 08 00 80 92 E8 13 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 A8 00 80 52 E8 17 00 B9 E8 17 40 B9 02 7D 40 93 E4 17 40 F9 E3 23 40 79 42 00 00 91 E1 0F 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_8_0 {
	meta:
		name = "wcrtomb_s"
		size = 412
		refs = "0008 __security_push_cookie 0070 ??_C@_1JO@PEAMJHLL@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0094 _CrtDbgReportW 00bc _errno 00e0 ??_C@_1BE@BAKHEIOA@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$AA@ 00f0 _invalid_parameter 0130 ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0190 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 23 00 F9 E1 0F 00 F9 E2 1F 00 F9 E3 03 00 79 E4 1B 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 08 00 80 52 E8 0F 00 B9 03 00 00 14 28 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 25 00 00 14 08 00 80 52 E8 0B 00 B9 08 00 80 12 E8 07 00 B9 E8 0F 40 F9 1F 01 00 F1 81 01 00 54 05 00 80 D2 E4 1B 40 F9 E3 03 40 79 A2 00 80 D2 E1 43 01 91 E0 13 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 0B 00 B9 0B 00 00 14 05 00 80 D2 E4 1B 40 F9 E3 03 40 79 E2 1F 40 F9 E1 0F 40 F9 E0 13 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 0B 00 B9 E8 23 40 F9 1F 01 00 F1 A0 00 00 54 E8 07 40 B9 09 7D 40 93 E8 23 40 F9 09 01 00 F9 E0 0B 40 B9 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_10_0 {
	meta:
		name = "wcsrtombs_s"
		size = 1332
		refs = "0090 ??_C@_1NA@NLPIAHDO@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00b4 _CrtDbgReportW 00dc _errno 0100 ??_C@_1BI@JEFNCOO@?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$AA@ 0110 _invalid_parameter 0160 _CrtGetDebugFillThreshold 01b0 memset 01e8 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02a8 internal_wcsrtombs 0464 ??_C@_1DK@PNOJMGLM@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 23 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 3F 00 F9 E4 37 00 F9 E5 5F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 23 40 F9 08 00 80 92 28 01 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0B 40 F9 1F 01 00 F1 88 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 05 01 00 14 E8 0F 40 F9 1F 01 00 F1 80 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 2F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 2F 40 F9 1F 01 09 EB 82 00 00 54 E8 2F 40 F9 E8 33 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 33 00 F9 E8 0F 40 F9 00 05 00 91 E2 33 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AF 00 00 14 E9 0B 40 F9 E8 37 40 F9 1F 01 09 EB 89 00 00 54 E8 0B 40 F9 E8 3B 00 F9 03 00 00 14 E8 37 40 F9 E8 3B 00 F9 E3 5F 40 F9 E2 3B 40 F9 E1 3F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 C1 05 00 54 E8 0F 40 F9 1F 01 00 F1 80 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E8 0B 40 F9 09 05 00 D1 E8 43 40 F9 1F 01 09 EB 82 00 00 54 E8 43 40 F9 E8 47 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 47 00 F9 E8 0F 40 F9 00 05 00 91 E2 47 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 40 B9 E8 53 00 B9 E0 53 40 B9 6E 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 1F 01 00 F1 20 0C 00 54 E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB A9 0A 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 4B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4F 00 F9 E8 0F 40 F9 00 05 00 91 E2 4F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 2A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 83 2A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 10 00 00 14 E8 13 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 E8 23 40 F9 1F 01 00 F1 80 00 00 54 E9 23 40 F9 E8 13 40 F9 28 01 00 F9 00 00 80 52 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_349_11_0 {
	meta:
		name = "wctob"
		size = 156
		refs = "0008 __security_push_cookie 0050 ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0090 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 E0 03 00 79 E9 03 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 12 18 00 00 14 08 00 80 12 E8 07 00 B9 05 00 80 D2 04 00 80 D2 E3 03 40 79 A2 00 80 D2 E1 43 00 91 E0 13 00 91 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 B9 1F 05 00 71 A1 00 00 54 E0 43 C0 39 00 00 00 11 00 00 00 11 02 00 00 14 00 00 80 12 FF 43 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_350_0_0 {
	meta:
		name = "??$common_tcsset_s@D@@YAHQEAD_KD@Z"
		size = 872
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 017c _CrtGetDebugFillThreshold 01cc memset 01d0 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0214 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 F9 E1 0B 00 F9 E2 63 00 39 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A1 00 00 14 E8 1F 40 F9 E8 23 00 F9 E8 0B 40 F9 E8 13 00 F9 E8 23 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 09 01 00 54 E9 23 40 F9 E8 63 C0 39 28 01 00 39 E8 23 40 F9 08 05 00 91 E8 23 00 F9 EF FF FF 17 E8 13 40 F9 1F 01 00 F1 01 0B 00 54 E9 1F 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 2B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 2B 40 F9 1F 01 09 EB 82 00 00 54 E8 2B 40 F9 E8 2F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 2F 00 F9 E8 1F 40 F9 00 05 00 91 E2 2F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 33 00 F9 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 33 40 F9 1F 01 09 EB 82 00 00 54 E8 33 40 F9 E8 37 00 F9 08 00 00 14 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 37 00 F9 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 1F 40 F9 00 01 09 8B E2 37 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_350_1_0 {
	meta:
		name = "_strset_s"
		size = 60
		refs = "0028 ??$common_tcsset_s@D@@YAHQEAD_KD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E8 13 40 B9 02 1D 00 13 42 00 00 11 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "_dlog"
		size = 728
		refs = "0018 _dunscale 0060 _fperrraise 0064 _Inf_C 00a0 _Nan_C 00b0 rthalf 011c p 01d4 loge2lo 01f4 loge2hi 0220 logxehi 0230 logxelo 0240 logxe 0250 logx2lo 026c logx2hi 0288 log2ehi 0298 log2elo 02a8 log2e"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E0 1B 00 B9 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 C0 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 17 40 FD 9E 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 97 00 00 14 E8 5F 40 79 08 01 00 11 68 00 78 37 E0 17 40 FD 92 00 00 14 E8 5F 40 79 08 01 00 11 E8 00 78 36 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8A 00 00 14 89 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 22 01 00 54 F1 17 40 FD F0 17 40 FD 30 2A 70 1E F0 17 00 FD E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 F1 17 40 FD 10 10 6E 1E 30 3A 70 1E F0 1F 00 FD F1 17 40 FD 10 10 6E 1E 31 2A 70 1E F0 1F 40 FD 10 1A 71 1E F0 1B 00 FD F1 1B 40 FD F0 1B 40 FD 30 0A 70 1E F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 11 0A 71 1E F0 1F 40 FD 11 3A 71 1E F0 1B 40 FD 10 0A 71 1E F0 1B 00 FD E8 23 C0 79 08 01 00 11 10 01 62 1E F0 13 00 FD E8 1B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 31 0A 70 1E F0 1B 40 FD 11 3A 71 1E F0 1F 40 FD 12 3A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 2A 70 1E F0 1B 00 FD 30 00 00 14 E9 1B 40 B9 08 00 80 52 1F 01 09 6B 6A 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 34 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 33 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 3A 70 1E 70 3A 70 1E 92 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 2A 70 1E F0 1B 00 FD 12 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 33 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 0A 70 1E 50 3A 70 1E 71 2A 70 1E F0 13 40 FD 30 2A 70 1E F0 1B 00 FD E0 1B 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "_ldlog"
		size = 728
		refs = "0018 _ldunscale 0060 _fperrraise 0064 _LInf_C 00a0 _LNan_C 00b0 rthalf 011c p 01d4 loge2lo 01f4 loge2hi 0220 logxehi 0230 logxelo 0240 logxe 0250 logx2lo 026c logx2hi 0288 log2ehi 0298 log2elo 02a8 log2e"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 FD E0 1B 00 B9 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 C0 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 17 40 FD 9E 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E 00 40 60 1E 97 00 00 14 E8 5F 40 79 08 01 00 11 68 00 78 37 E0 17 40 FD 92 00 00 14 E8 5F 40 79 08 01 00 11 E8 00 78 36 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8A 00 00 14 89 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 22 01 00 54 F1 17 40 FD F0 17 40 FD 30 2A 70 1E F0 17 00 FD E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 F1 17 40 FD 10 10 6E 1E 30 3A 70 1E F0 1F 00 FD F1 17 40 FD 10 10 6E 1E 31 2A 70 1E F0 1F 40 FD 10 1A 71 1E F0 1B 00 FD F1 1B 40 FD F0 1B 40 FD 30 0A 70 1E F0 13 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 13 40 FD 11 0A 71 1E F0 1F 40 FD 11 3A 71 1E F0 1B 40 FD 10 0A 71 1E F0 1B 00 FD E8 23 C0 79 08 01 00 11 10 01 62 1E F0 13 00 FD E8 1B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 31 0A 70 1E F0 1B 40 FD 11 3A 71 1E F0 1F 40 FD 12 3A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 2A 70 1E F0 1B 00 FD 30 00 00 14 E9 1B 40 B9 08 00 80 52 1F 01 09 6B 6A 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 34 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 33 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 3A 70 1E 70 3A 70 1E 92 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 50 2A 70 1E F0 1B 00 FD 12 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 33 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 FD 30 0A 70 1E 50 3A 70 1E 71 2A 70 1E F0 13 40 FD 30 2A 70 1E F0 1B 00 FD E0 1B 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_351_1_0 {
	meta:
		name = "_dlogpoly"
		size = 148
		refs = "0008 p"
		altNames = "_ldlogpoly"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 70 1E F0 03 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 20 2A 70 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "roundl"
		size = 168
		refs = "0014 _ld_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD 21 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 CD 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 02 00 00 14 16 00 00 14 01 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 3F 40 79 08 01 00 11 C8 00 78 36 F1 0F 40 FD 10 10 6E 1E 30 3A 70 1E F0 0F 00 FD 05 00 00 14 F1 0F 40 FD 10 10 6E 1E 30 2A 70 1E F0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_542_0_0 {
	meta:
		name = "round"
		size = 168
		refs = "0014 _d_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD 21 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 CD 00 00 54 E8 17 40 B9 1F 09 00 71 4D 00 00 54 02 00 00 14 16 00 00 14 01 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 3F 40 79 08 01 00 11 C8 00 78 36 F1 0F 40 FD 10 10 6E 1E 30 3A 70 1E F0 0F 00 FD 05 00 00 14 F1 0F 40 FD 10 10 6E 1E 30 2A 70 1E F0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "_malloc_base"
		size = 240
		refs = "001c _errno 0068 __acrt_heap 0070 __imp_HeapAlloc 009c _query_new_mode 00b4 _callnewh"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E9 0F 40 F9 E8 03 80 92 1F 01 09 EB 02 01 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 2D 00 00 14 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 D2 E8 13 00 F9 03 00 00 14 E8 0F 40 F9 E8 13 00 F9 E8 13 40 F9 E8 1B 00 F9 E2 1B 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 14 00 00 14 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E0 1B 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 02 00 00 14 DF FF FF 17 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_354_5_0 {
	meta:
		name = "_mbscoll_l"
		size = 356
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_1HA@GAEOLGNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 0080 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c4 ??_C@_1BG@PNMJHEJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d4 _invalid_parameter 00f4 _strcoll_l 011c __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 55 00 00 91 14 00 00 91 33 00 00 91 A1 02 00 91 E0 43 00 91 ?? ?? ?? ?? 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 06 80 52 ?? ?? ?? ?? 14 00 00 14 33 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 00 14 E9 13 40 F9 28 09 40 B9 C8 00 00 35 A2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 11 00 00 14 27 05 40 B9 06 00 80 12 21 11 41 F9 65 02 00 91 04 00 80 12 83 02 00 91 02 00 82 52 E0 63 00 91 ?? ?? ?? ?? C0 00 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_355_0_0 {
	meta:
		name = "??$common_tcsncat_s@_W@@YAHQEA_W_KQEB_W1@Z"
		size = 2004
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0160 _CrtGetDebugFillThreshold 01bc memset 01f4 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0378 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 03bc ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0628 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 066c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 17 00 F9 E1 0B 00 F9 E2 43 00 F9 E3 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 21 01 00 54 E8 17 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 E3 01 00 14 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B0 01 00 14 E8 2F 40 F9 1F 01 00 F1 40 0B 00 54 E8 43 40 F9 1F 01 00 F1 E1 0A 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E9 4B 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 54 01 00 14 E8 17 40 F9 E8 13 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 2F 40 F9 E8 33 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F2 FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 E2 00 00 14 E8 43 40 F9 E8 1B 00 F9 E8 2F 40 F9 1F 05 00 B1 41 03 00 54 E9 13 40 F9 E8 1B 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 77 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 E8 77 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 25 00 00 14 E8 33 40 F9 1F 01 00 F1 89 03 00 54 E9 13 40 F9 E8 1B 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 7B 00 B9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 E8 7B 40 B9 1F 01 00 71 60 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 00 00 54 E8 33 40 F9 08 05 00 D1 E8 33 00 F9 E3 FF FF 17 E8 33 40 F9 1F 01 00 F1 81 00 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 01 00 F1 01 0D 00 54 E8 2F 40 F9 1F 05 00 B1 61 01 00 54 E8 0B 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 17 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 00 0A 80 52 90 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E8 0B 40 F9 09 05 00 D1 E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 63 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 5F 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 5F 40 F9 1F 01 09 EB 82 00 00 54 E8 5F 40 F9 E8 63 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 63 00 F9 E9 63 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 17 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_4_0 {
	meta:
		name = "??$common_get_initial_environment@D@@YAPEAPEADXZ"
		size = 44
		refs = "000c __dcrt_initial_narrow_environment 0018 ??$common_get_or_create_environment_nolock@D@@YAPEAPEADXZ"
		altNames = "_get_initial_narrow_environment"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_5_0 {
	meta:
		name = "??$common_get_initial_environment@_W@@YAPEAPEA_WXZ"
		size = 44
		refs = "000c __dcrt_initial_wide_environment 0018 ??$common_get_or_create_environment_nolock@_W@@YAPEAPEA_WXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_81_0 {
	meta:
		name = "_get_initial_wide_environment"
		size = 44
		refs = "000c __dcrt_initial_wide_environment 0018 ??$common_get_or_create_environment_nolock@_W@@YAPEAPEA_WXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 00 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_6_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@D@@YAPEAPEADXZ"
		size = 76
		refs = "000c _environ_table 002c ??$common_initialize_environment_nolock@D@@YAHXZ 0034 ??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 02 40 F9 40 01 00 B5 68 06 40 F9 68 00 00 B5 00 00 80 D2 06 00 00 14 ?? ?? ?? ?? 60 00 00 34 ?? ?? ?? ?? 60 FF FF 35 60 02 40 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_7_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@_W@@YAPEAPEA_WXZ"
		size = 76
		refs = "000c _environ_table 002c ??$common_initialize_environment_nolock@_W@@YAHXZ 0034 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 06 40 F9 40 01 00 B5 68 02 40 F9 68 00 00 B5 00 00 80 D2 06 00 00 14 ?? ?? ?? ?? 60 00 00 34 ?? ?? ?? ?? 60 FF FF 35 60 06 40 F9 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_8_0 {
	meta:
		name = "??$common_initialize_environment_nolock@D@@YAHXZ"
		size = 132
		refs = "000c _environ_table 0020 __acrt_initialize_multibyte 0024 __dcrt_get_narrow_environment_from_os 003c ??$create_environment@D@@YAQEAPEADQEAD@Z 004c __dcrt_initial_narrow_environment 0064 _free_dbg"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 68 00 00 B4 00 00 80 52 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 91 73 00 00 B5 14 00 80 12 0D 00 00 14 60 02 00 91 ?? ?? ?? ?? 60 00 00 B5 14 00 80 12 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 00 80 52 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_9_0 {
	meta:
		name = "??$common_initialize_environment_nolock@_W@@YAHXZ"
		size = 128
		refs = "000c _wenviron_table 0020 __dcrt_get_wide_environment_from_os 0038 ??$create_environment@_W@@YAQEAPEA_WQEA_W@Z 0048 __dcrt_initial_wide_environment 0060 _free_dbg"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 68 00 00 B4 00 00 80 52 16 00 00 14 ?? ?? ?? ?? 13 00 00 91 73 00 00 B5 14 00 80 12 0D 00 00 14 60 02 00 91 ?? ?? ?? ?? 60 00 00 B5 14 00 80 12 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 00 80 52 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_10_0 {
	meta:
		name = "??$count_variables_in_environment_block@D@@YA?B_KQEAD@Z"
		size = 56
	strings:
		$1 = { 08 00 C0 39 09 00 80 D2 48 01 00 34 1F F5 00 71 40 00 00 54 29 05 00 91 88 00 00 34 00 04 00 91 08 00 C0 39 C8 FF FF 35 08 1C C0 38 08 FF FF 35 20 01 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_11_0 {
	meta:
		name = "??$count_variables_in_environment_block@_W@@YA?B_KQEA_W@Z"
		size = 84
	strings:
		$1 = { 0D 00 00 91 A8 01 40 79 00 00 80 D2 28 02 00 34 08 3D 00 53 1F F5 00 71 40 00 00 54 00 04 00 91 AA 01 00 91 08 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0D CB 4B FD 41 93 6C 05 00 91 AD 05 0C 8B A8 01 40 79 48 FE FF 35 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_12_0 {
	meta:
		name = "??$create_environment@D@@YAQEAPEADQEAD@Z"
		size = 336
		refs = "004c ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0064 _calloc_dbg 00cc strcpy_s 00e4 _free_dbg 00f4 ??$free_environment@D@@YAXQEAPEAD@Z 012c ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0134 ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 0138 ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 014c _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 02 C0 39 69 02 00 91 0A 00 80 D2 48 01 00 34 1F F5 00 71 40 00 00 54 4A 05 00 91 88 00 00 34 29 05 00 91 28 01 C0 39 C8 FF FF 35 28 1D C0 38 08 FF FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 64 0E 80 52 42 00 80 52 01 01 80 D2 40 05 00 91 ?? ?? ?? ?? 14 00 00 91 D4 04 00 B4 95 02 00 91 68 02 C0 39 88 04 00 34 6A 02 00 91 0B 1D 00 13 8B 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4A 01 13 CB 56 05 00 91 7F F5 00 71 40 02 00 54 24 10 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 C0 02 00 91 ?? ?? ?? ?? 17 00 00 91 97 01 00 B4 62 02 00 91 C1 02 00 91 ?? ?? ?? ?? E0 02 00 35 B7 02 00 F9 41 00 80 52 00 00 80 D2 B5 22 00 91 ?? ?? ?? ?? D3 02 13 8B E2 FF FF 17 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 14 00 80 D2 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_357_13_0 {
	meta:
		name = "??$create_environment@_W@@YAQEAPEA_WQEA_W@Z"
		size = 372
		refs = "0068 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0080 _calloc_dbg 00f0 wcscpy_s 0108 _free_dbg 0118 ??$free_environment@_W@@YAXQEAPEA_W@Z 0150 ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0158 ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 015c ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 0170 _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 68 02 40 79 6D 02 00 91 0E 00 80 D2 28 02 00 34 08 3D 00 53 1F F5 00 71 40 00 00 54 CE 05 00 91 AA 01 00 91 08 3D 00 13 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4A 01 0D CB 4B FD 41 93 6C 05 00 91 AD 05 0C 8B A8 01 40 79 48 FE FF 35 ?? ?? ?? ?? ?? ?? ?? ?? 64 0E 80 52 42 00 80 52 01 01 80 D2 C0 05 00 91 ?? ?? ?? ?? 14 00 00 91 14 05 00 B4 96 02 00 91 68 02 40 79 C8 04 00 34 0C 3D 00 53 89 3D 00 13 6B 02 00 91 89 00 00 34 6B 09 00 91 6A 01 C0 79 CA FF FF 35 68 01 13 CB 0B FD 41 93 75 05 00 91 9F F5 00 71 40 02 00 54 24 10 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 A0 02 00 91 ?? ?? ?? ?? 17 00 00 91 97 01 00 B4 62 02 00 91 A1 02 00 91 ?? ?? ?? ?? E0 02 00 35 D7 02 00 F9 41 00 80 52 00 00 80 D2 D6 22 00 91 ?? ?? ?? ?? 73 06 15 8B E0 FF FF 17 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 14 00 80 D2 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_357_14_0 {
	meta:
		name = "??$free_environment@D@@YAXQEAPEAD@Z"
		size = 76
		refs = "0028 _free_dbg"
		altNames = "??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { F3 53 BF A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 93 01 00 B4 68 02 40 F9 74 02 00 91 C8 00 00 B4 41 00 80 52 00 01 00 91 ?? ?? ?? ?? 88 8E 40 F8 88 FF FF B5 41 00 80 52 60 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_18_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		size = 260
		refs = "0014 _wenviron_table 0030 __imp_WideCharToMultiByte 0034 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0080 _calloc_dbg 00c4 __dcrt_set_variable_in_narrow_environment_nolock 00d0 _free_dbg"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 73 00 00 B5 00 00 80 12 2F 00 00 14 68 02 40 F9 88 05 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 62 02 40 F9 2A FD DF C8 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 00 00 80 52 40 01 3F D6 15 7C 40 93 D5 FD FF B4 04 20 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 A0 02 00 91 ?? ?? ?? ?? 14 00 00 91 74 03 00 B4 ?? ?? ?? ?? 62 02 40 F9 09 FD DF C8 A5 02 00 11 07 00 80 D2 06 00 80 D2 84 02 00 91 03 00 80 12 01 00 80 52 00 00 80 52 20 01 3F D6 E0 01 00 34 01 00 80 52 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 68 8E 40 F8 08 FB FF B5 00 00 80 52 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 41 00 80 52 80 02 00 91 ?? ?? ?? ?? C8 FF FF 17 }
	condition:
		$1
}

rule file_357_19_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
		size = 244
		refs = "0014 _environ_table 0030 __imp_MultiByteToWideChar 0034 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0078 _calloc_dbg 00b4 __dcrt_set_variable_in_wide_environment_nolock 00c0 _free_dbg"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 73 00 00 B5 00 00 80 12 2B 00 00 14 68 02 40 F9 08 05 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 62 02 40 F9 2A FD DF C8 05 00 80 52 04 00 80 D2 03 00 80 12 01 00 80 52 00 00 80 52 40 01 3F D6 15 7C 40 93 15 FE FF B4 04 20 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 A0 02 00 91 ?? ?? ?? ?? 14 00 00 91 34 03 00 B4 ?? ?? ?? ?? 62 02 40 F9 09 FD DF C8 A5 02 00 11 84 02 00 91 03 00 80 12 01 00 80 52 00 00 80 52 20 01 3F D6 E0 01 00 34 01 00 80 52 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 68 8E 40 F8 88 FB FF B5 00 00 80 52 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 41 00 80 52 80 02 00 91 ?? ?? ?? ?? CC FF FF 17 }
	condition:
		$1
}

rule file_357_26_0 {
	meta:
		name = "??$uninitialize@A6AXAEAPEAPEAD@Z@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAXA6AXAEAPEAPEAD@Z@Z"
		size = 88
		refs = "0024 __guard_check_icall_fptr"
		altNames = "??$uninitialize@A6AXAEAPEAPEA_W@Z@?$dual_state_global@PEAPEA_W@__crt_state_management@@QEAAXA6AXAEAPEAPEA_W@Z@Z"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 74 22 00 91 7F 02 14 EB 35 00 00 91 40 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? AF 02 00 91 00 01 3F D6 60 02 00 91 A0 02 3F D6 73 22 00 91 7F 02 14 EB 21 FF FF 54 FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_28_0 {
	meta:
		name = "??$uninitialize_environment_internal@D@@YAXAEAPEAPEAD@Z"
		size = 28
		refs = "0000 __dcrt_initial_narrow_environment 0014 ??$free_environment@D@@YAXQEAPEAD@Z"
	strings:
		$1 = { ?? ?? ?? ?? 00 00 40 F9 ?? ?? ?? ?? 1F 00 08 EB 40 00 00 54 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_357_29_0 {
	meta:
		name = "??$uninitialize_environment_internal@_W@@YAXAEAPEAPEA_W@Z"
		size = 28
		refs = "0000 __dcrt_initial_wide_environment 0014 ??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { ?? ?? ?? ?? 00 00 40 F9 ?? ?? ?? ?? 1F 00 08 EB 40 00 00 54 ?? ?? ?? ?? C0 03 5F D6 }
	condition:
		$1
}

rule file_357_61_0 {
	meta:
		name = "?initialize@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAXQEAPEAD@Z"
		size = 52
		altNames = "?initialize@?$dual_state_global@PEAPEA_W@__crt_state_management@@QEAAXQEAPEA_W@Z"
	strings:
		$1 = { 0B 20 00 91 68 01 00 CB 09 1D 00 91 2A FD 43 D3 1F 00 0B EB ED 83 8A 9A 0C 00 80 D2 AD 00 00 B4 8C 05 00 91 01 84 00 F8 9F 01 0D EB A1 FF FF 54 C0 03 5F D6 }
	condition:
		$1
}

rule file_357_77_0 {
	meta:
		name = "__dcrt_uninitialize_environments_nolock"
		size = 72
		refs = "000c _environ_table 0018 ??$uninitialize_environment_internal@D@@YAXAEAPEAPEAD@Z 0020 ??$uninitialize_environment_internal@_W@@YAXAEAPEAPEA_W@Z 0024 __dcrt_initial_narrow_environment 002c ??$free_environment@D@@YAXQEAPEAD@Z 0030 __dcrt_initial_wide_environment 0038 ??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 60 02 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_358_27_0 {
	meta:
		name = "_getmaxstdio"
		size = 52
		refs = "0020 ??$__acrt_lock_and_call@V<lambda_310477c8b9c73405e9396a64630870ce>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_310477c8b9c73405e9396a64630870ce>@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E1 43 00 91 00 01 80 52 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_358_28_0 {
	meta:
		name = "_setmaxstdio"
		size = 264
		refs = "0050 ??_C@_1HA@HLFMLOGH@?$AAn?$AAe?$AAw?$AA_?$AAm?$AAa?$AAx?$AAi?$AAm?$AAu?$AAm?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAB?$AA_?$AAE?$AAN?$AAT?$AAR?$AAI?$AAE?$AAS?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GC@JNICBAOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BK@CKGPNIMN@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAa?$AAx?$AAs?$AAt?$AAd?$AAi?$AAo?$AA?$AA@ 00d0 _invalid_parameter 00e4 ??0<lambda_e8723a8dae3afd25eae4fccce9f46446>@@QEAA@AEBH@Z 00f4 ??$__acrt_lock_and_call@V<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 1F 0D 00 71 0B 01 00 54 09 00 84 52 E8 13 40 B9 1F 01 09 6B 8C 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0A 00 00 14 E1 43 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 00 01 80 52 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "crealf"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD E1 07 00 BD E0 03 40 BD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "wcscat"
		size = 140
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 F9 E8 0F 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E9 07 40 F9 E8 0B 40 F9 08 01 40 79 28 01 00 79 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 03 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_361_5_0 {
	meta:
		name = "_mbscspn_l"
		size = 440
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strcspn 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0064 _CrtDbgReportW 0074 _errno 0094 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d8 ??_C@_1BG@HJHJFBCP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 00e8 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EF 13 40 F9 E8 09 40 B9 A8 00 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 57 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 0A 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 29 00 00 14 68 02 40 39 6D 02 00 91 A8 04 00 34 8E 02 40 39 8C 02 00 91 CE 02 00 34 8B 01 40 39 69 01 0F 8B 2A 65 40 39 8A 01 10 36 A8 01 40 39 7F 01 08 6B A1 00 00 54 AB 05 40 39 8A 05 40 39 5F 01 0B 6B 60 01 00 54 8B 05 40 39 2B 01 00 34 8C 05 00 91 04 00 00 14 A9 01 40 39 7F 01 09 6B 80 00 00 54 8C 05 00 91 88 01 40 39 88 FD FF 35 8A 01 40 39 6A 01 00 35 AB 01 40 39 6B 01 0F 8B 6C 65 40 39 8C 00 10 36 AD 05 00 91 A9 01 40 39 89 00 00 34 AD 05 00 91 A8 01 40 39 C8 FB FF 35 A0 01 13 CB E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_363_0_0 {
	meta:
		name = "free"
		size = 56
		refs = "002c _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 F0 43 00 91 08 FE 9F 88 F0 43 00 91 08 FE DF 88 E8 17 00 B9 21 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_364_0_0 {
	meta:
		name = "__acrt_fp_strflt_to_string"
		size = 1252
		refs = "004c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GI@IMEEHIAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DG@NMGBKPMI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAs?$AAt?$AAr?$AAf?$AAl?$AAt?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 00cc _invalid_parameter 010c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0204 ??_C@_1IE@EAOKIIFP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 02c4 ??_C@_1CA@EDEEBMBB@?$AAp?$AAf?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 04b0 strlen 04d4 memmove"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 17 00 F9 E1 3F 00 F9 E2 23 00 B9 E3 33 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 02 01 00 14 E8 3F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 D2 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 23 40 B9 1F 01 00 71 8D 00 00 54 E8 23 40 B9 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 08 05 00 11 09 7D 40 93 E8 3F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 94 00 00 14 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 64 00 00 14 E8 17 40 F9 E8 0F 00 F9 E8 33 40 F9 08 21 00 91 08 01 40 F9 E8 2F 00 F9 E9 0F 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 1F 01 00 71 2D 03 00 54 E8 2F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 2F 40 F9 08 01 C0 39 E8 43 00 39 E8 2F 40 F9 08 05 00 91 E8 2F 00 F9 03 00 00 14 08 06 80 52 E8 43 00 39 E9 0F 40 F9 E8 43 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 08 05 00 51 E8 23 00 B9 E6 FF FF 17 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 23 40 B9 1F 01 00 71 8B 03 00 54 E8 2F 40 F9 08 01 C0 39 08 01 00 11 1F D5 00 71 EB 02 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 01 01 00 54 E9 0F 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F5 FF FF 17 E8 0F 40 F9 08 01 C0 39 08 01 00 11 08 05 00 11 09 1D 00 13 E8 0F 40 F9 09 01 00 39 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F C5 00 71 21 01 00 54 E8 33 40 F9 08 11 00 91 08 01 40 B9 09 05 00 11 E8 33 40 F9 08 11 00 91 09 01 00 B9 0E 00 00 14 E8 17 40 F9 00 05 00 91 00 00 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 02 05 00 91 E8 17 40 F9 01 05 00 91 42 00 00 91 21 00 00 91 E0 17 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "floor"
		size = 408
		refs = "007c _handle_nan"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 17 00 FD F0 17 40 FD F0 2B 00 FD E8 2B 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 F9 40 92 E8 13 00 F9 E9 13 40 F9 E8 0B 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 E8 23 00 F9 09 68 E8 D2 E8 13 40 F9 1F 01 09 EB C3 01 00 54 09 FE EF D2 E8 13 40 F9 1F 01 09 EB E9 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD 3F 00 00 14 03 00 00 14 E0 17 40 FD 3C 00 00 14 3B 00 00 14 09 FE E7 D2 E8 13 40 F9 1F 01 09 EB 02 02 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 17 40 FD 32 00 00 14 09 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 00 10 7E 1E 2C 00 00 14 03 00 00 14 A0 05 00 5C 29 00 00 14 28 00 00 14 F0 17 40 FD F0 1F 00 FD E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 FD 0F D1 E8 33 00 F9 28 00 80 D2 E8 1B 00 F9 89 06 80 D2 E8 33 40 F9 29 01 08 CB E8 1B 40 F9 08 21 C9 9A 08 05 00 D1 E8 1B 00 F9 E8 1B 40 F9 E9 03 28 AA E8 0B 40 F9 08 01 09 8A E8 27 00 F9 E8 27 40 F9 E8 37 00 F9 F0 37 40 FD F0 1F 00 FD E8 23 40 F9 1F 01 00 F1 60 01 00 54 E9 0B 40 F9 E8 27 40 F9 1F 01 09 EB E0 00 00 54 F1 1F 40 FD 10 10 6E 1E 20 3A 70 1E 00 40 60 1E 03 00 00 14 02 00 00 14 E0 1F 40 FD FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
		size = 144
		refs = "0034 ?minimum_signed_value@__crt_strtox@@YAJK@Z 0064 ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 17 00 B9 E8 13 40 B9 68 00 10 36 20 00 80 52 1B 00 00 14 E8 13 40 B9 08 03 00 36 E8 13 40 B9 68 01 08 36 00 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E9 03 08 4B E8 17 40 B9 1F 01 09 6B 69 00 00 54 20 00 80 52 0D 00 00 14 E8 13 40 B9 48 01 08 37 00 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 E8 17 40 B9 1F 01 09 6B 69 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_1_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 144
		refs = "0034 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 0064 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E8 13 40 B9 68 00 10 36 20 00 80 52 1B 00 00 14 E8 13 40 B9 08 03 00 36 E8 13 40 B9 68 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E9 03 08 CB E8 0F 40 F9 1F 01 09 EB 69 00 00 54 20 00 80 52 0D 00 00 14 E8 13 40 B9 48 01 08 37 00 00 80 D2 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 69 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_4_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 1340
		refs = "001c ?validate@?$c_string_character_source@D@__crt_strtox@@QEBA_NXZ 0040 ??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ 0168 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAID@Z 02fc ?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z 0430 ?restore_state@?$c_string_character_source@D@__crt_strtox@@QEAA_NQEBD@Z 0440 ??1_LocaleUpdate@@QEAA@XZ 045c ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 04a8 ?minimum_signed_value@__crt_strtox@@YAJK@Z 04d8 ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 47 00 F9 E1 17 00 F9 E2 17 00 B9 E3 D3 00 39 E0 17 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 7F 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 7F 40 B9 3B 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 4F 00 B9 03 00 00 14 28 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 52 E8 57 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 57 40 B9 00 01 00 14 E1 47 40 F9 E0 C3 02 91 ?? ?? ?? ?? E0 6B 00 F9 08 00 80 52 E8 23 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 53 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 E0 C3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E1 4F 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 CF 00 39 E8 CF C0 39 E8 43 00 39 F0 FF FF 17 E8 D3 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 D7 00 39 E8 D7 C0 39 E8 43 00 39 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 43 C0 39 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 DB 00 39 E8 DB C0 39 E8 47 00 39 E8 47 C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 47 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 DF 00 39 E8 DF C0 39 E8 43 00 39 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 47 C0 39 E0 17 40 F9 ?? ?? ?? ?? 09 00 80 12 E8 17 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 4B 00 B9 0A 00 80 12 E9 17 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 63 00 B9 E0 43 C0 39 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 3F 40 B9 1F 01 09 6B 43 00 00 54 2B 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 4B 40 B9 E8 23 40 B9 1F 01 09 6B 83 01 00 54 E9 4B 40 B9 E8 23 40 B9 1F 01 09 6B A1 00 00 54 E9 63 40 B9 E8 3F 40 B9 1F 01 09 6B 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 E3 00 39 E8 E3 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E9 23 40 B9 E8 17 40 B9 29 7D 08 1B E8 3F 40 B9 28 01 08 0B E8 23 00 B9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 E7 00 39 E8 E7 C0 39 E8 43 00 39 CA FF FF 17 E1 43 C0 39 E0 17 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 53 40 F9 E0 17 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 67 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 67 40 B9 39 00 00 14 E1 23 40 B9 E0 1F 40 B9 ?? ?? ?? ?? E0 EB 00 39 E8 EB 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 12 E8 23 00 B9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 6F 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 6F 40 B9 1A 00 00 14 0C 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 77 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 77 40 B9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 23 40 B9 E8 03 08 4B E8 23 00 B9 E8 23 40 B9 E8 7B 00 B9 E0 C3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 7B 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_5_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1340
		refs = "001c ?validate@?$c_string_character_source@_W@__crt_strtox@@QEBA_NXZ 0040 ??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ 0168 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAI_W@Z 02fc ?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z 0430 ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QEAA_NQEB_W@Z 0440 ??1_LocaleUpdate@@QEAA@XZ 045c ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 04a8 ?minimum_signed_value@__crt_strtox@@YAJK@Z 04d8 ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 4B 00 F9 E1 17 00 F9 E2 17 00 B9 E3 CB 00 39 E0 17 40 F9 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 87 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 87 40 B9 3B 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 57 00 B9 03 00 00 14 28 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 52 E8 5F 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 5F 40 B9 00 01 00 14 E1 4B 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 08 00 80 52 E8 23 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 57 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 7B 00 79 E8 7B 40 79 E8 23 00 79 E0 E3 02 91 ?? ?? ?? ?? E0 53 00 F9 E1 53 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 7F 00 79 E8 7F 40 79 E8 23 00 79 F0 FF FF 17 E8 CB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 83 00 79 E8 83 40 79 E8 23 00 79 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 23 40 79 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 87 00 79 E8 87 40 79 E8 6F 00 79 E8 6F 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 6F 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 8B 00 79 E8 8B 40 79 E8 23 00 79 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 6F 40 79 E0 17 40 F9 ?? ?? ?? ?? 09 00 80 12 E8 17 40 B9 48 00 00 35 80 00 3E D4 28 09 C8 1A E8 53 00 B9 0A 00 80 12 E9 17 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 6B 00 B9 E0 23 40 79 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 3B 40 B9 1F 01 09 6B 43 00 00 54 2B 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 53 40 B9 E8 23 40 B9 1F 01 09 6B 83 01 00 54 E9 53 40 B9 E8 23 40 B9 1F 01 09 6B A1 00 00 54 E9 6B 40 B9 E8 3B 40 B9 1F 01 09 6B 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 CF 00 39 E8 CF 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E9 23 40 B9 E8 17 40 B9 29 7D 08 1B E8 3B 40 B9 28 01 08 0B E8 23 00 B9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 17 40 F9 ?? ?? ?? ?? E0 8F 00 79 E8 8F 40 79 E8 23 00 79 CA FF FF 17 E1 23 40 79 E0 17 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 57 40 F9 E0 17 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 6F 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 6F 40 B9 39 00 00 14 E1 23 40 B9 E0 1F 40 B9 ?? ?? ?? ?? E0 D3 00 39 E8 D3 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 12 E8 23 00 B9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 77 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 77 40 B9 1A 00 00 14 0C 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 E8 7F 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 7F 40 B9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 23 40 B9 E8 03 08 4B E8 23 00 B9 E8 23 40 B9 E8 83 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 17 40 F9 ?? ?? ?? ?? E0 83 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_6_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$c_string_character_source@D@__crt_strtox@@QEBA_NXZ 0040 ??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$c_string_character_source@D@__crt_strtox@@QEBAPEBDXZ 0168 ?get@?$c_string_character_source@D@__crt_strtox@@QEAADXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAID@Z 02fc ?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z 0444 ?restore_state@?$c_string_character_source@D@__crt_strtox@@QEAA_NQEBD@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 3F 00 F9 E1 13 00 F9 E2 17 00 B9 E3 B3 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 33 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 33 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 28 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 05 01 00 14 E1 3F 40 F9 E0 63 03 91 ?? ?? ?? ?? E0 7F 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 4F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 C0 39 E8 43 00 39 E0 63 03 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 F0 FF FF 17 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 43 C0 39 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 47 00 39 E8 47 C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 47 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 47 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 2F 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 4B 00 F9 E0 43 C0 39 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 37 00 B9 E8 37 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 37 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 37 40 B9 09 7D 40 D3 E8 4B 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 37 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 C7 FF FF 17 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 4F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 53 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 53 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 5F 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5F 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 6B 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6B 40 F9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_75_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0040 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0168 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAID@Z 02fc ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0444 ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 3F 00 F9 E1 13 00 F9 E2 17 00 B9 E3 B3 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 33 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 33 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 28 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 05 01 00 14 E1 3F 40 F9 E0 63 03 91 ?? ?? ?? ?? E0 7F 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 4F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 C0 39 E8 43 00 39 E0 63 03 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 F0 FF FF 17 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 43 C0 39 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 47 00 39 E8 47 C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 47 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 47 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 2F 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 4B 00 F9 E0 43 C0 39 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 37 00 B9 E8 37 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 37 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 37 40 B9 09 7D 40 D3 E8 4B 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 37 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 C7 FF FF 17 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 4F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 53 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 53 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 5F 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5F 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 6B 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6B 40 F9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_77_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0040 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0168 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAID@Z 02fc ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z 0444 ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 3F 00 F9 E1 13 00 F9 E2 17 00 B9 E3 B3 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 33 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 33 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 28 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 05 01 00 14 E1 3F 40 F9 E0 63 03 91 ?? ?? ?? ?? E0 7F 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 4F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 A7 00 39 E8 A7 C0 39 E8 43 00 39 E0 63 03 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 43 C0 39 ?? ?? ?? ?? E0 AB 00 39 E8 AB 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 AF 00 39 E8 AF C0 39 E8 43 00 39 F0 FF FF 17 E8 B3 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 43 C0 39 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 B7 00 39 E8 B7 C0 39 E8 43 00 39 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 43 C0 39 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 BB 00 39 E8 BB C0 39 E8 47 00 39 E8 47 C0 39 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 47 C0 39 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 BF 00 39 E8 BF C0 39 E8 43 00 39 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 47 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 2F 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 4B 00 F9 E0 43 C0 39 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 37 00 B9 E8 37 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 37 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 2F 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 37 40 B9 09 7D 40 D3 E8 4B 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 37 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 C0 39 E8 43 00 39 C7 FF FF 17 E1 43 C0 39 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 4F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 53 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 53 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 CB 00 39 E8 CB 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 5F 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5F 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 6B 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6B 40 F9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_7_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$c_string_character_source@_W@__crt_strtox@@QEBA_NXZ 0040 ??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QEBAPEB_WXZ 0168 ?get@?$c_string_character_source@_W@__crt_strtox@@QEAA_WXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAI_W@Z 02fc ?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z 0444 ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QEAA_NQEB_W@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 47 00 F9 E1 13 00 F9 E2 17 00 B9 E3 AB 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 4F 00 B9 03 00 00 14 28 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 40 F9 05 01 00 14 E1 47 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 87 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 57 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 83 00 79 E8 83 40 79 E8 23 00 79 E0 A3 03 91 ?? ?? ?? ?? E0 4F 00 F9 E1 4F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 87 00 79 E8 87 40 79 E8 23 00 79 F0 FF FF 17 E8 AB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 8B 00 79 E8 8B 40 79 E8 23 00 79 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 23 40 79 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 8F 00 79 E8 8F 40 79 E8 5F 00 79 E8 5F 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 5F 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 23 00 79 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 5F 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 37 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 53 00 F9 E0 23 40 79 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 33 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 33 40 B9 09 7D 40 D3 E8 53 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 33 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 C7 FF FF 17 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 57 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 5B 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5B 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6F 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 73 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 40 F9 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_76_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0040 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0168 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAI_W@Z 02fc ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0444 ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 47 00 F9 E1 13 00 F9 E2 17 00 B9 E3 AB 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 4F 00 B9 03 00 00 14 28 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 40 F9 05 01 00 14 E1 47 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 87 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 57 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 83 00 79 E8 83 40 79 E8 23 00 79 E0 A3 03 91 ?? ?? ?? ?? E0 4F 00 F9 E1 4F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 87 00 79 E8 87 40 79 E8 23 00 79 F0 FF FF 17 E8 AB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 8B 00 79 E8 8B 40 79 E8 23 00 79 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 23 40 79 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 8F 00 79 E8 8F 40 79 E8 5F 00 79 E8 5F 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 5F 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 23 00 79 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 5F 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 37 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 53 00 F9 E0 23 40 79 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 33 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 33 40 B9 09 7D 40 D3 E8 53 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 33 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 C7 FF FF 17 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 57 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 5B 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5B 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6F 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 73 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 40 F9 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_78_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1360
		refs = "001c ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ 0040 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ 009c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 011c _invalid_parameter 0140 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0154 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ 0168 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ 017c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 018c ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z 0254 ?parse_digit@__crt_strtox@@YAI_W@Z 02fc ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z 0444 ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z 0454 ??1_LocaleUpdate@@QEAA@XZ 0470 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 04bc ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 04ec ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 47 00 F9 E1 13 00 F9 E2 17 00 B9 E3 AB 00 39 E0 13 40 F9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 3B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 F9 40 01 00 14 E8 17 40 B9 1F 01 00 71 60 01 00 54 E9 17 40 B9 48 00 80 52 1F 01 09 6B 8C 00 00 54 E8 17 40 B9 1F 91 00 71 8D 00 00 54 08 00 80 52 E8 4F 00 B9 03 00 00 14 28 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 43 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 40 F9 05 01 00 14 E1 47 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 87 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 57 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 83 00 79 E8 83 40 79 E8 23 00 79 E0 A3 03 91 ?? ?? ?? ?? E0 4F 00 F9 E1 4F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 A7 00 39 E8 A7 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 87 00 79 E8 87 40 79 E8 23 00 79 F0 FF FF 17 E8 AB 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 81 00 00 54 E8 1F 40 B9 08 01 1F 32 E8 1F 00 B9 E8 23 40 79 08 01 00 11 1F B5 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F AD 00 71 C1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 8B 00 79 E8 8B 40 79 E8 23 00 79 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 17 40 B9 1F 41 00 71 A1 05 00 54 E0 23 40 79 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 48 01 80 52 E8 17 00 B9 21 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 8F 00 79 E8 8F 40 79 E8 5F 00 79 E8 5F 40 79 08 01 00 11 1F E1 01 71 A0 00 00 54 E8 5F 40 79 08 01 00 11 1F 61 01 71 81 01 00 54 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 02 80 52 E8 17 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 93 00 79 E8 93 40 79 E8 23 00 79 09 00 00 14 E8 17 40 B9 1F 01 00 71 61 00 00 54 08 01 80 52 E8 17 00 B9 E1 5F 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 B9 09 7D 40 93 08 00 80 92 49 00 00 B5 80 00 3E D4 08 09 C9 9A E8 37 00 F9 E8 17 40 B9 0A 7D 40 93 09 00 80 92 4A 00 00 B5 80 00 3E D4 28 09 CA 9A 08 7D 0A 9B 28 01 08 CB E8 53 00 F9 E0 23 40 79 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 05 00 31 A0 00 00 54 E9 17 40 B9 E8 33 40 B9 1F 01 09 6B 43 00 00 54 2E 00 00 14 E8 1F 40 B9 08 01 1D 32 E8 1F 00 B9 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB A3 01 00 54 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB C1 00 00 54 E8 33 40 B9 09 7D 40 D3 E8 53 40 F9 3F 01 08 EB 89 00 00 54 08 00 80 52 E8 63 00 39 03 00 00 14 28 00 80 52 E8 63 00 39 E8 63 40 39 E8 AF 00 39 E8 AF 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 17 40 B9 09 7D 40 93 E8 1F 40 F9 09 7D 09 9B E8 33 40 B9 08 7D 40 D3 28 01 08 8B E8 1F 00 F9 04 00 00 14 E8 1F 40 B9 08 01 1E 32 E8 1F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 97 00 79 E8 97 40 79 E8 23 00 79 C7 FF FF 17 E1 23 40 79 E0 13 40 F9 ?? ?? ?? ?? E8 1F 40 B9 88 01 18 37 E1 57 40 F9 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 5B 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 5B 40 F9 39 00 00 14 E1 1F 40 F9 E0 1F 40 B9 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 E8 1F 40 B9 88 00 00 37 08 00 80 92 E8 1F 00 F9 1A 00 00 14 E8 1F 40 B9 A8 01 08 36 00 00 80 D2 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 67 40 F9 1A 00 00 14 0C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 6F 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 6F 40 F9 0E 00 00 14 06 00 00 14 E8 1F 40 B9 88 00 08 36 E8 1F 40 F9 E8 03 08 CB E8 1F 00 F9 E8 1F 40 F9 E8 73 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 73 40 F9 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_8_0 {
	meta:
		name = "??$parse_integer_from_string@JDPEAPEAD@__crt_strtox@@YAJQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 004c ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_8_0 {
	meta:
		name = "??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQEBD$$THQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 004c ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_9_0 {
	meta:
		name = "??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQEB_W$$THQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 004c ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_9_0 {
	meta:
		name = "??$parse_integer_from_string@J_WPEAPEA_W@__crt_strtox@@YAJQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 004c ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_10_0 {
	meta:
		name = "??$parse_integer_from_string@KDPEAPEAD@__crt_strtox@@YAKQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 004c ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 03 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_11_0 {
	meta:
		name = "??$parse_integer_from_string@K_WPEAPEA_W@__crt_strtox@@YAKQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 004c ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 23 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 03 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_12_0 {
	meta:
		name = "??$parse_integer_from_string@_JDPEAPEAD@__crt_strtox@@YA_JQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 004c ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_10_0 {
	meta:
		name = "??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQEBD$$THQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 004c ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_11_0 {
	meta:
		name = "??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 004c ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_13_0 {
	meta:
		name = "??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 004c ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 23 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_14_0 {
	meta:
		name = "??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 004c ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 03 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_15_0 {
	meta:
		name = "??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 96
		refs = "002c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 004c ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 23 00 F9 E8 43 01 91 E8 17 00 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 03 00 80 52 E2 13 40 B9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_27_0 {
	meta:
		name = "?maximum_signed_value@__crt_strtox@@YAJK@Z"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 00 00 B0 12 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_28_0 {
	meta:
		name = "?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 00 00 F0 92 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_29_0 {
	meta:
		name = "?minimum_signed_value@__crt_strtox@@YAJK@Z"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 00 00 B0 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_30_0 {
	meta:
		name = "?minimum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 00 00 F0 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_46_0 {
	meta:
		name = "_strtoi64"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_JDPEAPEAD@__crt_strtox@@YA_JQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		altNames = "strtoimax strtoll"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_51_0 {
	meta:
		name = "_strtoui64"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_56_0 {
	meta:
		name = "_wcstoi64"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_61_4 {
	meta:
		name = "_wcstoui64"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_70_2 {
	meta:
		name = "strtoull"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_71_0 {
	meta:
		name = "strtoumax"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_72_0 {
	meta:
		name = "wcstoimax"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_74_4 {
	meta:
		name = "wcstoll"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_76_0 {
	meta:
		name = "wcstoull"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_77_3 {
	meta:
		name = "wcstoumax"
		size = 56
		refs = "0024 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_47_0 {
	meta:
		name = "_strtoi64_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_JDPEAPEAD@__crt_strtox@@YA_JQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		altNames = "_strtoimax_l _strtoll_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_52_0 {
	meta:
		name = "_strtoui64_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_54_0 {
	meta:
		name = "_strtoull_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_55_4 {
	meta:
		name = "_strtoumax_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_57_2 {
	meta:
		name = "_wcstoi64_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_58_0 {
	meta:
		name = "_wcstoimax_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_60_0 {
	meta:
		name = "_wcstoll_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_62_4 {
	meta:
		name = "_wcstoui64_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_64_0 {
	meta:
		name = "_wcstoull_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_65_3 {
	meta:
		name = "_wcstoumax_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_49_0 {
	meta:
		name = "_strtol_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@JDPEAPEAD@__crt_strtox@@YAJQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_53_0 {
	meta:
		name = "_strtoul_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@KDPEAPEAD@__crt_strtox@@YAKQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_59_0 {
	meta:
		name = "_wcstol_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@J_WPEAPEA_W@__crt_strtox@@YAJQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_63_0 {
	meta:
		name = "_wcstoul_l"
		size = 60
		refs = "0028 ??$parse_integer_from_string@K_WPEAPEA_W@__crt_strtox@@YAKQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_67_0 {
	meta:
		name = "strtol"
		size = 56
		refs = "0024 ??$parse_integer_from_string@JDPEAPEAD@__crt_strtox@@YAJQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_69_0 {
	meta:
		name = "strtoul"
		size = 56
		refs = "0024 ??$parse_integer_from_string@KDPEAPEAD@__crt_strtox@@YAKQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_73_0 {
	meta:
		name = "wcstol"
		size = 56
		refs = "0024 ??$parse_integer_from_string@J_WPEAPEA_W@__crt_strtox@@YAJQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_367_75_0 {
	meta:
		name = "wcstoul"
		size = 56
		refs = "0024 ??$parse_integer_from_string@K_WPEAPEA_W@__crt_strtox@@YAKQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 03 00 80 D2 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "ilogb"
		size = 140
		refs = "0014 _dunscale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 20 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 07 00 00 14 00 00 B0 12 0C 00 00 14 00 00 B0 52 0A 00 00 14 00 00 B0 12 08 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E0 23 C0 79 00 00 00 11 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "ilogbl"
		size = 140
		refs = "0014 _ldunscale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 20 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 07 00 00 14 00 00 B0 12 0C 00 00 14 00 00 B0 52 0A 00 00 14 00 00 B0 12 08 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E0 23 C0 79 00 00 00 11 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "wcstok"
		size = 104
		refs = "002c __acrt_getptd 0054 __acrt_wcstok_s_novalidation"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E8 0B 40 F9 E8 0F 00 F9 06 00 00 14 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 01 01 91 E8 0F 00 F9 E8 0F 40 F9 E8 17 00 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_372_1_0 {
	meta:
		name = "hypotf"
		size = 44
		refs = "0018 _hypotf"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "_FCbuild"
		size = 44
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD E1 07 00 BD F0 03 40 BD F0 0B 00 BD F0 07 40 BD F0 0F 00 BD E0 0B 40 BD E1 0F 40 BD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_373_1_0 {
	meta:
		name = "cprojf"
		size = 276
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 00b0 _FZero_C 00d0 _FInf_C 00d8 _FCbuild"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 BD E1 1F 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 2B 00 BD F0 2B 40 BD F0 33 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 2F 00 BD F0 2F 40 BD F0 23 00 BD E0 C3 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 E8 2B 00 79 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 2F 00 79 E8 2B C0 79 08 01 00 11 1F 05 00 71 80 01 00 54 E8 2F C0 79 08 01 00 11 1F 05 00 71 00 01 00 54 E9 E3 00 91 29 01 00 91 E8 63 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 17 00 00 14 E8 47 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 27 00 BD 03 00 00 14 70 02 00 1C F0 27 00 BD E1 27 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 47 00 BD E0 43 00 BD E9 E3 00 91 29 01 00 91 E8 03 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E0 3B 40 BD E1 3F 40 BD FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "??$common_show_message_box@D@@YAHQEBD0I@Z"
		size = 364
		refs = "0014 __acrt_get_developer_information_policy 0044 __imp_IsDebuggerPresent 0070 ??$output_debug_string@AEBQEBD@?$__crt_char_traits@D@@SAXAEBQEBD@Z 009c __acrt_can_show_message_box 00ec __acrt_is_interactive 0128 ??$message_box@$$TAEBQEBDAEBQEBDK@?$__crt_char_traits@D@@SAH$$QEA$$TAEBQEBD1$$QEAK@Z 0138 __acrt_get_parent_window 0158 ??$message_box@PEAUHWND__@@AEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAUHWND__@@AEBQEBD1AEBI@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E2 1B 00 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 09 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 80 01 00 54 E8 13 40 F9 1F 01 00 F1 60 00 00 54 E0 83 00 91 ?? ?? ?? ?? E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 80 00 80 52 37 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 80 00 00 54 88 00 80 52 E8 17 00 B9 03 00 00 14 68 00 80 52 E8 17 00 B9 E0 17 40 B9 1F 00 00 14 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 C1 01 00 54 E8 1B 40 B9 08 01 0B 32 E8 37 00 B9 08 00 80 D2 E8 27 00 F9 E3 D3 00 91 E2 03 01 91 E1 83 00 91 E0 23 01 91 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 0C 00 00 14 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E3 63 00 91 E2 03 01 91 E1 83 00 91 E0 63 01 91 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_1_0 {
	meta:
		name = "??$common_show_message_box@_W@@YAHQEB_W0I@Z"
		size = 364
		refs = "0014 __acrt_get_developer_information_policy 0044 __imp_IsDebuggerPresent 0070 ??$output_debug_string@AEBQEB_W@?$__crt_char_traits@_W@@SAXAEBQEB_W@Z 009c __acrt_can_show_message_box 00ec __acrt_is_interactive 0128 ??$message_box@$$TAEBQEB_WAEBQEB_WK@?$__crt_char_traits@_W@@SAH$$QEA$$TAEBQEB_W1$$QEAK@Z 0138 __acrt_get_parent_window 0158 ??$message_box@PEAUHWND__@@AEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAUHWND__@@AEBQEB_W1AEBI@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E2 1B 00 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 09 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 80 01 00 54 E8 13 40 F9 1F 01 00 F1 60 00 00 54 E0 83 00 91 ?? ?? ?? ?? E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 80 00 80 52 37 00 00 14 E8 47 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 80 00 00 54 88 00 80 52 E8 17 00 B9 03 00 00 14 68 00 80 52 E8 17 00 B9 E0 17 40 B9 1F 00 00 14 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 C1 01 00 54 E8 1B 40 B9 08 01 0B 32 E8 37 00 B9 08 00 80 D2 E8 27 00 F9 E3 D3 00 91 E2 03 01 91 E1 83 00 91 E0 23 01 91 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 0C 00 00 14 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E3 63 00 91 E2 03 01 91 E1 83 00 91 E0 63 01 91 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_6_0 {
	meta:
		name = "??$output_debug_string@AEBQEBD@?$__crt_char_traits@D@@SAXAEBQEBD@Z"
		size = 40
		refs = "0014 __imp_OutputDebugStringA"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_374_7_0 {
	meta:
		name = "??$output_debug_string@AEBQEB_W@?$__crt_char_traits@_W@@SAXAEBQEB_W@Z"
		size = 40
		refs = "0014 __imp_OutputDebugStringW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_375_5_0 {
	meta:
		name = "rename"
		size = 672
		refs = "0010 __acrt_AreFileApisANSI 0084 __imp_MultiByteToWideChar 00a8 __imp_GetLastError 00bc __acrt_errno_map_os_error 0148 ??_C@_0DF@IKPHOEPI@minkernel?2crts?2ucrt?2src?2appcrt?2f@ 0158 _malloc_dbg 0168 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0174 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 0194 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 027c _wrename"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 33 00 F9 E1 37 00 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 1B 00 B9 05 00 80 52 04 00 80 D2 03 00 80 12 E2 33 40 F9 01 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 B9 E0 37 40 B9 ?? ?? ?? ?? 00 00 80 12 75 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 12 E2 37 40 F9 01 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E0 3F 40 B9 ?? ?? ?? ?? 00 00 80 12 5E 00 00 14 E9 17 40 B9 E8 1F 40 B9 28 01 08 0B E8 43 00 B9 E8 43 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 43 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 43 00 F9 E1 43 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 12 E8 47 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 47 40 B9 3F 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 3F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 17 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 4F 40 F9 08 01 09 8B E8 3B 00 F9 E5 17 40 B9 E4 3F 40 F9 03 00 80 12 E2 33 40 F9 01 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 C0 01 00 54 E5 1F 40 B9 E4 3B 40 F9 03 00 80 12 E2 37 40 F9 01 00 80 52 E0 1B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4F 00 B9 E8 4F 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 53 00 B9 E0 53 40 B9 ?? ?? ?? ?? 08 00 80 12 E8 57 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 57 40 B9 0A 00 00 14 E1 3B 40 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 5F 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_3_0 {
	meta:
		name = "?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z"
		size = 240
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 1F FD 1F F1 81 00 00 54 28 00 80 52 E8 03 00 39 03 00 00 14 08 00 80 52 E8 03 00 39 E8 03 40 39 E8 07 00 39 E8 07 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 00 00 80 52 24 00 00 14 23 00 00 14 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 CD 40 92 1F 01 00 F1 81 00 00 54 20 00 80 52 1B 00 00 14 1A 00 00 14 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 FD 7F D3 1F 05 00 F1 61 01 00 54 E8 07 40 F9 08 01 00 91 08 01 40 F9 09 CD 40 92 08 01 E0 D2 3F 01 08 EB 81 00 00 54 80 00 80 52 0B 00 00 14 0A 00 00 14 E8 07 40 F9 08 01 00 91 08 01 40 F9 08 CD 40 92 88 00 98 B6 40 00 80 52 03 00 00 14 02 00 00 14 60 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_4_0 {
	meta:
		name = "?__acrt_fp_is_negative@@YA_NAEBN@Z"
		size = 80
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E8 07 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 FD 7F D3 1F 05 00 F1 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_5_0 {
	meta:
		name = "?fp_format_a@@YAHQEBNPEAD_KQEAD2H_NIQEAU__crt_locale_pointers@@@Z"
		size = 2160
		refs = "005c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00ac ??_C@_1IC@FILKPBAB@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00d0 _CrtDbgReportW 00f8 _errno 011c ??_C@_1BI@PNBDLNBB@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAa?$AA?$AA@ 012c _invalid_parameter 013c ??1_LocaleUpdate@@QEAA@XZ 0190 ?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z 01d8 ?strrchr@@YAPEADQEADH@Z 036c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 FF 43 00 D1 30 00 80 92 B0 7F 00 F9 A0 53 00 F9 A1 0B 00 F9 A2 4F 00 F9 A3 63 00 F9 A4 5F 00 F9 A5 27 00 B9 A6 63 00 39 A7 83 00 B9 A8 27 40 B9 1F 01 00 71 6A 00 00 54 08 00 80 52 A8 27 00 B9 A9 0B 40 F9 08 00 80 52 28 01 00 39 A1 8B 40 F9 A0 63 03 91 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 A8 83 00 F9 A8 27 40 B9 08 2D 00 11 09 7D 40 93 A8 4F 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 A8 5B 00 B9 03 00 00 14 08 00 80 52 A8 5B 00 B9 A8 5B 40 B9 A8 5F 00 B9 A8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 7B 00 B9 A9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 5F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? A0 5B 00 F9 A9 5B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 48 04 80 52 A8 7F 00 B9 A0 63 03 91 ?? ?? ?? ?? A0 7F 40 B9 C8 01 00 14 A8 53 40 F9 A8 23 00 F9 A8 23 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 1F FD 1F F1 81 07 00 54 08 00 80 D2 E8 03 00 F9 A7 83 40 B9 06 00 80 52 A5 27 40 B9 A4 5F 40 F9 A3 63 40 F9 A2 4F 40 F9 A1 0B 40 F9 A0 53 40 F9 ?? ?? ?? ?? A0 87 00 B9 A8 87 40 B9 A8 4F 00 B9 A8 4F 40 B9 1F 01 00 71 40 01 00 54 A9 0B 40 F9 08 00 80 52 28 01 00 39 A8 4F 40 B9 A8 8B 00 B9 A0 63 03 91 ?? ?? ?? ?? A0 8B 40 B9 A6 01 00 14 A1 0C 80 52 A0 0B 40 F9 ?? ?? ?? ?? A0 67 00 F9 A8 67 40 F9 A8 37 00 F9 A8 37 40 F9 1F 01 00 F1 60 02 00 54 A8 63 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 0A 80 52 A8 7B 00 39 03 00 00 14 08 0E 80 52 A8 7B 00 39 A9 37 40 F9 A8 7B C0 39 28 01 00 39 A8 37 40 F9 08 0D 00 91 A8 37 00 F9 A9 37 40 F9 08 00 80 52 28 01 00 39 A8 4F 40 B9 A8 8F 00 B9 A0 63 03 91 ?? ?? ?? ?? A0 8F 40 B9 85 01 00 14 A8 23 40 F9 08 01 00 91 08 01 40 F9 E8 00 F8 B6 A9 0B 40 F9 A8 05 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 63 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 08 80 52 A8 7F 00 39 03 00 00 14 28 0C 80 52 A8 7F 00 39 A8 7F C0 39 08 01 00 11 08 E5 00 51 08 05 00 51 A8 63 00 B9 E8 7F 80 D2 A8 3B 00 F9 A8 23 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 1F 01 00 F1 81 02 00 54 A9 0B 40 F9 08 06 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 23 40 F9 08 01 00 91 08 01 40 F9 08 CD 40 92 1F 01 00 F1 81 00 00 54 08 00 80 D2 A8 3B 00 F9 04 00 00 14 A8 3B 40 F9 08 05 00 D1 A8 3B 00 F9 07 00 00 14 A9 0B 40 F9 28 06 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 0B 40 F9 A8 1F 00 F9 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 27 40 B9 1F 01 00 71 A1 00 00 54 A9 1F 40 F9 08 00 80 52 28 01 00 39 0E 00 00 14 A0 63 03 91 ?? ?? ?? ?? A0 6B 00 F9 A8 6B 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 A9 1F 40 F9 08 01 C0 39 28 01 00 39 A8 23 40 F9 08 01 00 91 08 01 40 F9 08 CD 40 92 1F 01 00 F1 29 12 00 54 08 06 80 52 A8 37 00 79 E8 01 80 D2 A8 2B 00 F9 A8 37 C0 79 08 01 00 11 09 7D 40 93 A8 2B 40 F9 08 21 C9 9A A8 2B 00 F9 A8 37 C0 79 08 01 00 11 1F 01 00 71 6B 06 00 54 A8 27 40 B9 1F 01 00 71 0D 06 00 54 A8 23 40 F9 08 01 00 91 08 01 40 F9 09 CD 40 92 A8 2B 40 F9 29 01 08 8A A8 37 C0 79 08 7D 40 93 28 25 C8 9A 08 3D 00 53 A8 3B 00 79 A8 3B 40 79 08 01 00 11 08 C1 00 11 08 3D 00 53 A8 3B 00 79 A8 3B 40 79 08 01 00 11 1F E5 00 71 2D 01 00 54 A8 63 40 B9 09 3D 00 53 29 01 00 11 A8 3B 40 79 08 01 00 11 08 01 09 0B 08 3D 00 53 A8 3B 00 79 A8 3B 40 79 09 1D 00 13 A8 0B 40 F9 09 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 2B 40 F9 08 FD 44 D3 A8 2B 00 F9 A8 37 C0 79 08 01 00 11 08 11 00 51 08 3D 00 13 A8 37 00 79 A8 27 40 B9 08 05 00 51 A8 27 00 B9 CB FF FF 17 A8 37 C0 79 08 01 00 11 1F 01 00 71 AB 09 00 54 A8 23 40 F9 08 01 00 91 08 01 40 F9 09 CD 40 92 A8 2B 40 F9 29 01 08 8A A8 37 C0 79 08 7D 40 93 28 25 C8 9A 08 3D 00 53 A8 93 00 79 A8 93 40 79 08 01 00 11 1F 21 00 71 CD 07 00 54 A8 0B 40 F9 A8 17 00 F9 A8 17 40 F9 08 05 00 D1 A8 17 00 F9 A8 17 40 F9 08 01 C0 39 08 01 00 11 1F 99 01 71 C0 00 00 54 A8 17 40 F9 08 01 C0 39 08 01 00 11 1F 19 01 71 01 01 00 54 A9 17 40 F9 08 06 80 52 28 01 00 39 A8 17 40 F9 08 05 00 D1 A8 17 00 F9 F0 FF FF 17 A9 1F 40 F9 A8 17 40 F9 1F 01 09 EB 40 03 00 54 A8 17 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 A1 01 00 54 A8 63 40 B9 08 05 00 11 09 1D 00 13 29 01 00 11 A8 17 40 F9 08 01 C0 39 08 01 00 11 08 01 09 0B 09 1D 00 13 A8 17 40 F9 09 01 00 39 08 00 00 14 A8 17 40 F9 08 01 C0 39 08 01 00 11 08 05 00 11 09 1D 00 13 A8 17 40 F9 09 01 00 39 0B 00 00 14 A8 17 40 F9 08 05 00 D1 A8 17 00 F9 A8 17 40 F9 08 01 C0 39 08 01 00 11 08 05 00 11 09 1D 00 13 A8 17 40 F9 09 01 00 39 04 00 00 14 A8 27 40 B9 08 05 00 51 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 0D 01 00 54 A9 0B 40 F9 08 06 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 F4 FF FF 17 A8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 61 00 00 54 A8 1F 40 F9 A8 0B 00 F9 A8 63 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 0A 80 52 A8 83 00 39 03 00 00 14 08 0E 80 52 A8 83 00 39 A9 0B 40 F9 A8 83 C0 39 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 23 40 F9 08 01 00 91 08 01 40 F9 09 F9 74 D3 A8 3B 40 F9 28 01 08 CB A8 1B 00 F9 A8 1B 40 F9 1F 01 00 F1 0B 01 00 54 A9 0B 40 F9 68 05 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 0A 00 00 14 A9 0B 40 F9 A8 05 80 52 28 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A8 1B 40 F9 E8 03 08 CB A8 1B 00 F9 A8 0B 40 F9 A8 1F 00 F9 A9 1F 40 F9 08 06 80 52 28 01 00 39 A8 1B 40 F9 1F A1 0F F1 6B 02 00 54 A9 1B 40 F9 08 7D 80 D2 28 0D C8 9A 08 1D 00 13 08 01 00 11 08 C1 00 11 09 1D 00 13 A8 0B 40 F9 09 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 AA 1B 40 F9 09 7D 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB A8 1B 00 F9 A9 1F 40 F9 A8 0B 40 F9 1F 01 09 EB 81 00 00 54 A8 1B 40 F9 1F 91 01 F1 6B 02 00 54 A9 1B 40 F9 88 0C 80 D2 28 0D C8 9A 08 1D 00 13 08 01 00 11 08 C1 00 11 09 1D 00 13 A8 0B 40 F9 09 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 AA 1B 40 F9 89 0C 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB A8 1B 00 F9 A9 1F 40 F9 A8 0B 40 F9 1F 01 09 EB 81 00 00 54 A8 1B 40 F9 1F 29 00 F1 6B 02 00 54 A9 1B 40 F9 48 01 80 D2 28 0D C8 9A 08 1D 00 13 08 01 00 11 08 C1 00 11 09 1D 00 13 A8 0B 40 F9 09 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 AA 1B 40 F9 49 01 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB A8 1B 00 F9 A8 1B 40 F9 08 1D 00 13 08 01 00 11 08 C1 00 11 09 1D 00 13 A8 0B 40 F9 09 01 00 39 A8 0B 40 F9 08 05 00 91 A8 0B 00 F9 A9 0B 40 F9 08 00 80 52 28 01 00 39 08 00 80 52 A8 93 00 B9 A0 63 03 91 ?? ?? ?? ?? A0 93 40 B9 FF 43 00 91 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_6_0 {
	meta:
		name = "?dtor$0@?0??fp_format_a@@YAHQEBNPEAD_KQEAD2H_NIQEAU__crt_locale_pointers@@@Z@4HA"
		size = 28
		refs = "000c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BF A9 FF 43 00 D1 A0 63 03 91 ?? ?? ?? ?? FF 43 00 91 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_7_0 {
	meta:
		name = "?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z"
		size = 404
		refs = "0048 __acrt_fltout 0130 __acrt_fp_strflt_to_string 0180 ?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 43 00 F9 E1 23 00 F9 E2 17 00 F9 E3 3F 00 F9 E4 3B 00 F9 E5 17 00 B9 E6 43 00 39 E7 37 00 B9 E8 17 40 B9 00 05 00 11 E3 3B 40 F9 E2 3F 40 F9 E1 83 01 91 00 00 00 11 E8 43 40 F9 00 01 40 FD ?? ?? ?? ?? E8 17 40 F9 1F 05 00 B1 81 00 00 54 E8 17 40 F9 E8 2F 00 F9 17 00 00 14 E8 63 40 B9 1F B5 00 71 81 00 00 54 28 00 80 D2 E8 27 00 F9 03 00 00 14 08 00 80 D2 E8 27 00 F9 E8 17 40 B9 1F 01 00 71 8D 00 00 54 28 00 80 D2 E8 2B 00 F9 03 00 00 14 08 00 80 D2 E8 2B 00 F9 E9 17 40 F9 E8 27 40 F9 29 01 08 CB E8 2B 40 F9 28 01 08 CB E8 2F 00 F9 E8 63 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 17 40 B9 1F 01 00 71 8D 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 17 40 B9 02 05 00 11 E8 1B 40 B9 09 7D 40 93 E8 23 40 F9 09 01 09 8B E8 1F 40 B9 08 7D 40 93 20 01 08 8B E3 83 01 91 42 00 00 11 E1 2F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 C0 00 00 54 E9 23 40 F9 08 00 80 52 28 01 00 39 E0 23 40 B9 0C 00 00 14 E7 4B 40 F9 06 00 80 52 E5 83 01 91 E4 37 40 B9 E3 43 40 39 E2 17 40 B9 E1 17 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_8_0 {
	meta:
		name = "?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z"
		size = 1212
		refs = "0088 ??_C@_1KO@LJHOFBCD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1CK@BOLHOMFO@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?$AA@ 0108 _invalid_parameter 011c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01a0 ?shift_bytes@@YAXQEAD_K0H@Z 01fc ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02ac ??_C@_05KLBDPFGC@e?$CL000?$AA@ 02bc strcpy_s 02dc ??_C@_1BBA@FHDJNBGM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt@ 02e8 _invoke_watson_if_error 049c memmove 04ac ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 23 00 B9 E3 77 00 39 E4 63 00 B9 E5 2B 00 F9 E6 73 00 39 E7 43 00 F9 E8 23 40 B9 1F 01 00 71 8D 00 00 54 E8 23 40 B9 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 08 25 00 11 09 7D 40 93 E8 23 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 E9 00 00 14 E1 43 40 F9 E0 83 02 91 ?? ?? ?? ?? E0 4F 00 F9 E8 73 40 39 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 2B 40 F9 08 01 00 91 08 01 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 27 40 F9 08 01 09 8B E8 47 00 F9 E8 23 40 B9 1F 01 00 71 8D 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E3 37 40 B9 E2 47 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E8 27 40 F9 E8 0B 00 F9 E8 2B 40 F9 08 01 00 91 08 01 40 B9 1F B5 00 71 E1 00 00 54 E9 0B 40 F9 A8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 23 40 B9 1F 01 00 71 CD 02 00 54 E8 0B 40 F9 08 05 00 91 E9 0B 40 F9 08 01 C0 39 28 01 00 39 E0 83 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 E9 0B 40 F9 08 01 C0 39 28 01 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 3B 00 B9 03 00 00 14 28 00 80 52 E8 3B 00 B9 E8 23 40 B9 09 7D 40 93 E8 0B 40 F9 09 01 09 8B E8 3B 40 B9 08 7D 40 93 28 01 08 8B E8 0B 00 F9 E8 23 40 F9 1F 05 00 B1 81 00 00 54 E8 23 40 F9 E8 3B 00 F9 07 00 00 14 E9 0B 40 F9 E8 27 40 F9 29 01 08 CB E8 23 40 F9 08 01 09 CB E8 3B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 3B 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 5F 00 B9 05 00 80 D2 84 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 40 B9 ?? ?? ?? ?? E8 0B 40 F9 08 09 00 91 E8 37 00 F9 E8 77 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E9 0B 40 F9 A8 08 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 2B 40 F9 08 21 00 91 08 01 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 80 09 00 54 E8 2B 40 F9 08 11 00 91 08 01 40 B9 08 05 00 51 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 EA 00 00 54 E8 1B 40 B9 E8 03 08 4B E8 1B 00 B9 E9 0B 40 F9 A8 05 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 1B 40 B9 1F 91 01 71 6B 02 00 54 E9 1B 40 B9 88 0C 80 52 28 0D C8 1A 09 1D 00 13 29 01 00 11 E8 0B 40 F9 08 01 C0 39 08 01 00 11 08 01 09 0B 09 1D 00 13 E8 0B 40 F9 09 01 00 39 EA 1B 40 B9 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 1B 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 1B 40 B9 1F 29 00 71 6B 02 00 54 E9 1B 40 B9 48 01 80 52 28 0D C8 1A 09 1D 00 13 29 01 00 11 E8 0B 40 F9 08 01 C0 39 08 01 00 11 08 01 09 0B 09 1D 00 13 E8 0B 40 F9 09 01 00 39 EA 1B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 1B 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 1B 40 B9 09 1D 00 13 29 01 00 11 E8 0B 40 F9 08 01 C0 39 08 01 00 11 08 01 09 0B 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 63 40 B9 1F 09 00 71 81 01 00 54 E8 37 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 E1 00 00 54 E8 37 40 F9 01 05 00 91 62 00 80 D2 21 00 00 91 E0 37 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 67 00 B9 E0 83 02 91 ?? ?? ?? ?? E0 67 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_9_0 {
	meta:
		name = "?fp_format_f@@YAHQEBNQEAD_K12HQEAU__crt_locale_pointers@@@Z"
		size = 320
		refs = "004c __acrt_fltout 00e4 __acrt_fp_strflt_to_string 012c ?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 37 00 F9 E1 1B 00 F9 E2 13 00 F9 E3 33 00 F9 E4 2F 00 F9 E5 13 00 B9 E6 3B 00 F9 E9 E3 00 91 29 01 00 91 08 00 80 D2 28 21 00 A9 E3 2F 40 F9 E2 33 40 F9 E1 E3 00 91 E0 13 40 B9 E8 37 40 F9 00 01 40 FD ?? ?? ?? ?? E8 13 40 F9 1F 05 00 B1 81 00 00 54 E8 13 40 F9 E8 2B 00 F9 0D 00 00 14 E8 3B 40 B9 1F B5 00 71 81 00 00 54 28 00 80 D2 E8 27 00 F9 03 00 00 14 08 00 80 D2 E8 27 00 F9 E9 13 40 F9 E8 27 40 F9 28 01 08 CB E8 2B 00 F9 E8 3B 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E9 13 40 B9 E8 3F 40 B9 22 01 08 0B E8 17 40 B9 09 7D 40 93 E8 1B 40 F9 00 01 09 8B E3 E3 00 91 42 00 00 11 E1 2B 40 F9 00 00 00 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 C0 00 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E0 1B 40 B9 0A 00 00 14 E5 3B 40 F9 04 00 80 52 E3 E3 00 91 E2 13 40 B9 E1 13 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_10_0 {
	meta:
		name = "?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z"
		size = 620
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0120 ?shift_bytes@@YAXQEAD_K0H@Z 0180 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 024c memset 025c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 23 00 F9 E1 2B 00 F9 E2 23 00 B9 E3 17 00 F9 E4 43 00 39 E5 33 00 F9 E1 33 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 3B 00 F9 E8 17 40 F9 08 11 00 91 08 01 40 B9 08 05 00 51 E8 33 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 C0 03 00 54 E9 23 40 B9 E8 33 40 B9 1F 01 09 6B 41 03 00 54 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 33 40 B9 09 7D 40 93 E8 23 40 F9 09 01 09 8B E8 37 40 B9 08 7D 40 93 28 01 08 8B E8 2F 00 F9 E9 2F 40 F9 08 06 80 52 28 01 00 39 E8 2F 40 F9 09 05 00 91 08 00 80 52 28 01 00 39 E8 23 40 F9 E8 0F 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 B9 1F B5 00 71 E1 00 00 54 E9 0F 40 F9 A8 05 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 17 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 AC 01 00 54 23 00 80 52 E2 0F 40 F9 E1 2B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E9 0F 40 F9 08 06 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 08 00 00 14 E8 17 40 F9 08 11 00 91 08 01 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 8B E8 0F 00 F9 E8 23 40 B9 1F 01 00 71 6D 07 00 54 23 00 80 52 E2 0F 40 F9 E1 2B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 E3 01 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 E9 0F 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 17 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 2A 04 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 E8 17 40 F9 08 11 00 91 08 01 40 B9 E9 03 08 4B E8 23 40 B9 3F 01 08 6B 8B 00 00 54 E8 23 40 B9 E8 3B 00 B9 06 00 00 14 E8 17 40 F9 08 11 00 91 08 01 40 B9 E8 03 08 4B E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E3 3F 40 B9 E2 0F 40 F9 E1 2B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E8 3F 40 B9 02 7D 40 93 42 00 00 91 01 06 80 52 E0 0F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 4B 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 4B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_11_0 {
	meta:
		name = "?fp_format_g@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z"
		size = 528
		refs = "0050 __acrt_fltout 00dc __acrt_fp_strflt_to_string 0184 ?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z 01fc ?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 47 00 F9 E1 1F 00 F9 E2 1B 00 F9 E3 43 00 F9 E4 3F 00 F9 E5 17 00 B9 E6 47 00 39 E7 57 00 B9 E9 03 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 E3 3F 40 F9 E2 43 40 F9 E1 03 01 91 E0 17 40 B9 E8 47 40 F9 00 01 40 FD ?? ?? ?? ?? E8 43 40 B9 1F B5 00 71 81 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 08 7D 40 93 E8 37 00 F9 E8 47 40 B9 08 05 00 51 E8 1B 00 B9 E9 1F 40 F9 E8 37 40 F9 28 01 08 8B E8 17 00 F9 E8 1B 40 F9 1F 05 00 B1 81 00 00 54 E8 1B 40 F9 E8 3B 00 F9 05 00 00 14 E9 1B 40 F9 E8 37 40 F9 28 01 08 CB E8 3B 00 F9 E8 3B 40 F9 E8 4B 00 F9 E3 03 01 91 E2 17 40 B9 E1 4B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 C0 00 00 54 E9 1F 40 F9 08 00 80 52 28 01 00 39 E0 23 40 B9 40 00 00 14 E8 47 40 B9 09 05 00 51 E8 1B 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 4B 00 39 E8 47 40 B9 08 05 00 51 E8 1B 00 B9 E8 1B 40 B9 1F 11 00 31 AB 00 00 54 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B CB 01 00 54 E7 53 40 F9 26 00 80 52 E5 03 01 91 E4 57 40 B9 E3 47 40 39 E2 17 40 B9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E0 5B 40 B9 1E 00 00 14 1D 00 00 14 E8 4B 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E8 17 40 F9 08 01 C0 39 08 01 00 11 E8 5F 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 5F 40 B9 1F 01 00 71 40 00 00 54 F6 FF FF 17 E8 17 40 F9 09 09 00 D1 08 00 80 52 28 01 00 39 E5 53 40 F9 24 00 80 52 E3 03 01 91 E2 17 40 B9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 63 00 B9 E0 63 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_12_0 {
	meta:
		name = "?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPEAD_K1@Z"
		size = 664
		refs = "0008 __security_push_cookie 0094 ??_C@_03OEIAHPBN@INF?$AA@ 00ac ??_C@_03OJHLLCGB@inf?$AA@ 00c4 ??_C@_03LKNCIKJB@NAN?$AA@ 00dc ??_C@_03LHCJEHON@nan?$AA@ 00f4 ??_C@_09OFJJIMPC@NAN?$CISNAN?$CJ?$AA@ 010c ??_C@_09IPFBKMDL@nan?$CIsnan?$CJ?$AA@ 0124 ??_C@_08IKHNHAJ@NAN?$CIIND?$CJ?$AA@ 013c ??_C@_08OFCDMILK@nan?$CIind?$CJ?$AA@ 01bc strlen 0254 strcpy_s 0264 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 026c ??_C@_1DE@EHGIGIDK@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAn?$AAa?$AAn?$AA_?$AAo?$AAr?$AA_?$AAi?$AAn?$AAf?$AAi?$AAn?$AAi?$AAt?$AAy?$AA?$AA@ 0274 ??_C@_1LI@PCMLJPCO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_@ 0280 _invoke_watson_if_error 028c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 2B 00 B9 E1 03 00 39 E2 07 00 F9 E3 13 00 F9 E4 0B 00 39 E8 03 40 39 08 01 00 11 08 7D 40 93 09 11 00 91 E8 13 40 F9 1F 01 09 EB C2 00 00 54 E9 07 40 F9 08 00 80 52 28 01 00 39 80 01 80 52 8E 00 00 14 E8 03 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E9 07 40 F9 A8 05 80 52 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E9 07 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 23 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 27 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 2F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 33 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 37 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 3B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 3F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 43 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 47 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 4B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 4F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 53 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 57 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 5B 00 F9 E8 2B 40 B9 08 05 00 51 E8 17 00 B9 E8 0B 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 1B 00 B9 E8 17 40 B9 09 7D 40 D3 08 04 80 D2 29 7D 08 9B E8 E3 00 91 0A 01 09 8B E8 1B 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 13 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 07 00 39 03 00 00 14 08 00 80 52 E8 07 00 39 E8 07 40 39 E8 0F 00 39 E8 0F 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 17 40 B9 09 7D 40 D3 08 04 80 D2 29 7D 08 9B E8 E3 00 91 0A 01 09 8B E9 1B 40 B9 E8 1F 40 B9 28 01 08 0B 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 48 01 08 8B 02 01 40 F9 E1 13 40 F9 E0 07 40 F9 ?? ?? ?? ?? E0 2F 00 B9 05 00 80 D2 04 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2F 40 B9 ?? ?? ?? ?? 00 00 80 52 FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_13_0 {
	meta:
		name = "?shift_bytes@@YAXQEAD_K0H@Z"
		size = 96
		refs = "0028 strlen 0054 memmove"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 0F 00 F9 E3 13 00 B9 E8 13 40 B9 1F 01 00 71 C0 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 02 05 00 91 E8 13 40 B9 09 7D 40 93 E8 0F 40 F9 00 01 09 8B 42 00 00 91 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_376_15_0 {
	meta:
		name = "__acrt_fp_format"
		size = 1432
		refs = "0060 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CC@LDAHJAKK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1DA@NMLJJOCO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e0 ??_C@_1DE@MNOPBCOK@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02a0 ??_C@_1DC@CKBKNFKH@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0384 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z 03a4 ?__acrt_fp_is_negative@@YA_NAEBN@Z 03c0 ?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPEAD_K1@Z 0498 ?fp_format_a@@YAHQEBNPEAD_KQEAD2H_NIQEAU__crt_locale_pointers@@@Z 04d0 ?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z 04fc ?fp_format_f@@YAHQEBNQEAD_K12HQEAU__crt_locale_pointers@@@Z 0518 ??_C@_1EI@JAHBOGIM@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAs?$AAu?$AAp?$AAp?$AAo?$AAr?$AAt?$AAe?$AAd?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0@ 0580 ?fp_format_g@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 FF 43 00 D1 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 43 00 F9 E4 3F 00 F9 E5 2F 00 B9 E6 33 00 B9 E7 5F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A3 00 B9 E9 A3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 29 01 00 14 E8 1F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A7 00 B9 E9 A7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 F9 00 00 14 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 AB 00 B9 E9 AB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 C9 00 00 14 E8 3F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 AF 00 B9 E9 AF 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 99 00 00 14 E8 2F 40 B9 1F 05 01 71 A0 01 00 54 E8 2F 40 B9 1F 15 01 71 40 01 00 54 E8 2F 40 B9 1F 19 01 71 E0 00 00 54 E8 2F 40 B9 1F 1D 01 71 80 00 00 54 08 00 80 52 E8 87 00 39 03 00 00 14 28 00 80 52 E8 87 00 39 E8 87 40 39 E8 83 00 39 E8 5F 40 F9 A8 02 18 37 E0 27 40 F9 ?? ?? ?? ?? E0 B3 00 B9 E8 B3 40 B9 E8 73 00 B9 E8 73 40 B9 1F 01 00 71 A0 01 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 A3 00 39 E4 83 40 39 E3 1F 40 F9 E2 23 40 F9 E1 A3 40 39 E0 73 40 B9 ?? ?? ?? ?? E0 8B 00 B9 E0 8B 40 B9 70 00 00 14 E8 5F 40 F9 88 00 20 36 68 00 80 52 E8 77 00 B9 03 00 00 14 48 00 80 52 E8 77 00 B9 E8 77 40 B9 E8 37 00 B9 E8 2F 40 B9 E8 27 00 B9 E8 27 40 B9 1F 85 01 71 2C 02 00 54 E8 27 40 B9 1F 85 01 71 00 03 00 54 E8 27 40 B9 08 05 01 51 E8 27 00 B9 E8 27 40 B9 1F 19 00 71 28 07 00 54 EA 27 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 0C 33 33 33 1A 28 46 46 E8 27 40 B9 1F 95 01 71 C0 02 00 54 E8 27 40 B9 1F 99 01 71 20 04 00 54 E8 27 40 B9 1F 9D 01 71 80 07 00 54 28 00 00 14 E8 73 40 F9 E8 03 00 F9 E7 37 40 B9 E6 83 40 39 E5 33 40 B9 E4 3F 40 F9 E3 43 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 8F 00 B9 E0 8F 40 B9 3A 00 00 14 E8 73 40 F9 E8 03 00 F9 E7 37 40 B9 E6 83 40 39 E5 33 40 B9 E4 3F 40 F9 E3 43 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 93 00 B9 E0 93 40 B9 2C 00 00 14 E6 73 40 F9 E5 33 40 B9 E4 3F 40 F9 E3 43 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 97 00 B9 E0 97 40 B9 21 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 5A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9B 00 B9 E9 9B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 73 40 F9 E8 03 00 F9 E7 37 40 B9 E6 83 40 39 E5 33 40 B9 E4 3F 40 F9 E3 43 40 F9 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 9F 00 B9 E0 9F 40 B9 FF 43 00 91 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "clog10f"
		size = 84
		refs = "0018 clogf 0030 _FCmulcr"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 BD E1 17 00 BD E1 17 40 BD E0 13 40 BD ?? ?? ?? ?? E1 1F 00 BD E0 1B 00 BD 62 01 00 1C E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E1 27 00 BD E0 23 00 BD E0 23 40 BD E1 27 40 BD FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 D9 5B DE 3E }
	condition:
		$1
}

rule file_378_3_0 {
	meta:
		name = "??$common_strnlen_c@$00G@@YA_KQEBG_K@Z"
		size = 148
		refs = "0048 ??$last_reached@$00@@YA_NQEBX0@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E9 17 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 00 00 54 F0 FF FF 17 E9 0F 40 F9 E8 13 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_5_0 {
	meta:
		name = "??$common_strnlen_c@$0A@G@@YA_KQEBG_K@Z"
		size = 148
		refs = "0048 ??$last_reached@$0A@@@YA_NQEBX0@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E9 17 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B E8 1B 00 F9 E8 13 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 00 00 54 F0 FF FF 17 E9 0F 40 F9 E8 13 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_4_0 {
	meta:
		name = "??$common_strnlen_c@$0A@E@@YA_KQEBE_K@Z"
		size = 136
		refs = "0040 ??$last_reached@$0A@@@YA_NQEBX0@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E9 13 40 F9 E8 17 40 F9 28 01 08 8B E8 1B 00 F9 E8 13 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E1 1B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 F0 FF FF 17 E9 0F 40 F9 E8 13 40 F9 20 01 08 CB 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_6_0 {
	meta:
		name = "??$last_reached@$00@@YA_NQEBX0@Z"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 00 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_7_0 {
	meta:
		name = "??$last_reached@$0A@@@YA_NQEBX0@Z"
		size = 68
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 F9 E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_378_9_0 {
	meta:
		name = "wcslen"
		size = 40
		refs = "0014 ??$common_strnlen@$00G@@YA_KQEBG_K@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 01 00 80 92 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_379_2_0 {
	meta:
		name = "??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 1344
		refs = "001c __security_push_cookie 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 0090 _invalid_parameter 00a8 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f8 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a0 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0208 _spawnve 0230 strchr 0274 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 02a0 _dupenv_s_dbg 02c8 ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 02e0 _calloc_dbg 02f8 __acrt_getpath 0324 strrchr 035c strcat_s 03f4 __doserrno 0488 _free_dbg 04b4 __security_pop_cookie 04dc ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 04f4 _invoke_watson 0500 ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0524 ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 1B 00 00 11 35 00 00 91 57 00 00 91 7C 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 06 01 00 14 A8 02 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? E5 FF FF 17 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 04 80 52 ?? ?? ?? ?? D1 FF FF 17 E9 02 40 F9 89 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 04 80 52 ?? ?? ?? ?? BC FF FF 17 28 01 C0 39 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 04 80 52 ?? ?? ?? ?? A7 FF FF 17 ?? ?? ?? ?? 83 03 00 91 19 00 00 91 3A 03 40 B9 E2 02 00 91 3F 03 00 B9 A1 02 00 91 60 03 00 11 ?? ?? ?? ?? 13 00 00 91 7F 06 00 B1 41 14 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 81 01 00 54 81 0B 80 52 A0 02 00 91 ?? ?? ?? ?? 00 01 00 B5 E1 05 80 52 A0 02 00 91 ?? ?? ?? ?? 80 00 00 B5 A8 06 C0 39 1F E9 00 71 61 00 00 54 13 00 80 92 91 00 00 14 08 0A 80 52 FF 53 00 39 E8 43 00 39 88 0A 80 52 29 08 80 52 E8 4B 00 39 ?? ?? ?? ?? E9 47 00 39 09 09 80 52 FF 07 00 F9 ?? ?? ?? ?? E9 4F 00 39 45 0D 80 52 43 00 80 52 E2 43 00 91 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? 08 00 00 11 E0 07 40 F9 88 00 00 34 1F 59 00 71 61 00 00 54 87 00 00 14 60 00 00 B5 13 00 80 92 73 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 64 09 80 52 42 00 80 52 21 00 80 D2 80 20 80 D2 ?? ?? ?? ?? 14 00 00 91 B4 0C 00 B4 E0 07 40 F9 62 20 80 D2 81 02 00 91 ?? ?? ?? ?? 18 00 00 91 F8 0B 00 B4 88 02 C0 39 A8 0B 00 34 8A 02 00 91 49 1D C0 38 E9 FF FF 35 81 0B 80 52 80 02 00 91 53 05 00 D1 ?? ?? ?? ?? 7F 02 00 EB C0 01 00 54 E1 05 80 52 80 02 00 91 ?? ?? ?? ?? 7F 02 00 EB 20 01 00 54 88 0B 80 52 FF 07 00 39 E2 03 00 91 E8 03 00 39 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? C0 0C 00 35 88 02 C0 39 8A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 4C 01 14 CB AA 02 C0 39 AB 02 00 91 8A 00 00 34 6B 05 00 91 68 01 C0 39 C8 FF FF 35 69 01 15 CB 89 01 09 8B 3F 11 04 F1 C2 06 00 54 A2 02 00 91 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 20 0B 00 35 ?? ?? ?? ?? 83 03 00 91 1F 00 00 B9 E2 02 00 91 60 03 00 11 81 02 00 91 ?? ?? ?? ?? 13 00 00 91 7F 06 00 B1 01 05 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 20 04 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 55 00 71 A0 03 00 54 E1 05 80 52 80 02 00 91 ?? ?? ?? ?? 1F 00 14 EB 01 01 00 54 93 06 00 91 60 02 00 91 E1 05 80 52 ?? ?? ?? ?? 36 00 80 52 1F 00 13 EB 40 00 00 54 16 00 80 52 81 0B 80 52 80 02 00 91 ?? ?? ?? ?? 1F 00 14 EB 01 01 00 54 93 06 00 91 60 02 00 91 81 0B 80 52 ?? ?? ?? ?? 28 00 80 52 1F 00 13 EB 40 00 00 54 08 00 80 52 56 00 00 35 68 00 00 34 00 03 00 91 9E FF FF 17 13 00 80 92 41 00 80 52 80 02 00 91 ?? ?? ?? ?? E0 07 40 F9 41 00 80 52 ?? ?? ?? ?? FF 07 00 F9 28 03 40 B9 68 00 00 35 5A 00 00 34 3A 03 00 B9 60 02 00 91 FF 43 00 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_3_0 {
	meta:
		name = "??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 1360
		refs = "001c __security_push_cookie 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 0090 _invalid_parameter 00a8 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00f8 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a0 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0208 _wspawnve 0230 wcschr 0274 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 02a0 _wdupenv_s_dbg 02c8 ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 02e0 _calloc_dbg 02f8 __acrt_wgetpath 0330 wcsrchr 0368 wcscat_s 0404 __doserrno 0498 _free_dbg 04c4 __security_pop_cookie 04ec ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0504 _invoke_watson 0510 ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0534 ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 1B 00 00 11 35 00 00 91 57 00 00 91 7C 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 0A 01 00 14 A8 02 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 04 80 52 ?? ?? ?? ?? E5 FF FF 17 97 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 04 80 52 ?? ?? ?? ?? D1 FF FF 17 E9 02 40 F9 89 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 04 80 52 ?? ?? ?? ?? BC FF FF 17 28 01 40 79 88 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 04 80 52 ?? ?? ?? ?? A7 FF FF 17 ?? ?? ?? ?? 83 03 00 91 19 00 00 91 3A 03 40 B9 E2 02 00 91 3F 03 00 B9 A1 02 00 91 60 03 00 11 ?? ?? ?? ?? 13 00 00 91 7F 06 00 B1 C1 14 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 81 01 00 54 81 0B 80 52 A0 02 00 91 ?? ?? ?? ?? 00 01 00 B5 E1 05 80 52 A0 02 00 91 ?? ?? ?? ?? 80 00 00 B5 A8 06 40 79 1F E9 00 71 61 00 00 54 13 00 80 92 95 00 00 14 08 0A 80 52 FF 33 00 79 E8 23 00 79 88 0A 80 52 29 08 80 52 E8 2B 00 79 ?? ?? ?? ?? E9 27 00 79 09 09 80 52 FF 07 00 F9 ?? ?? ?? ?? E9 2F 00 79 25 0F 80 52 43 00 80 52 E2 43 00 91 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? 08 00 00 11 E0 07 40 F9 88 00 00 34 1F 59 00 71 61 00 00 54 8B 00 00 14 60 00 00 B5 13 00 80 92 77 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 64 09 80 52 42 00 80 52 41 00 80 D2 80 20 80 D2 ?? ?? ?? ?? 14 00 00 91 34 0D 00 B4 E0 07 40 F9 62 20 80 D2 81 02 00 91 ?? ?? ?? ?? 18 00 00 91 78 0C 00 B4 88 02 40 79 28 0C 00 34 8A 02 00 91 49 2D C0 78 E9 FF FF 35 4A 01 14 CB 4B FD 41 93 8C 06 0B 8B 81 0B 80 52 80 02 00 91 93 09 00 D1 ?? ?? ?? ?? 7F 02 00 EB C0 01 00 54 E1 05 80 52 80 02 00 91 ?? ?? ?? ?? 7F 02 00 EB 20 01 00 54 88 0B 80 52 FF 07 00 79 E2 03 00 91 E8 03 00 79 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? E0 0C 00 35 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 4C 01 14 CB AA 02 C0 79 AB 02 00 91 8A 00 00 34 6B 09 00 91 68 01 C0 79 C8 FF FF 35 6B 01 15 CB 69 FD 41 93 2C 05 8C 8B 9F 11 04 F1 C2 06 00 54 A2 02 00 91 81 20 80 D2 80 02 00 91 ?? ?? ?? ?? 20 0B 00 35 ?? ?? ?? ?? 83 03 00 91 1F 00 00 B9 E2 02 00 91 60 03 00 11 81 02 00 91 ?? ?? ?? ?? 13 00 00 91 7F 06 00 B1 01 05 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 09 00 71 20 04 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 55 00 71 A0 03 00 54 E1 05 80 52 80 02 00 91 ?? ?? ?? ?? 1F 00 14 EB 01 01 00 54 93 0A 00 91 60 02 00 91 E1 05 80 52 ?? ?? ?? ?? 36 00 80 52 1F 00 13 EB 40 00 00 54 16 00 80 52 81 0B 80 52 80 02 00 91 ?? ?? ?? ?? 1F 00 14 EB 01 01 00 54 93 0A 00 91 60 02 00 91 81 0B 80 52 ?? ?? ?? ?? 28 00 80 52 1F 00 13 EB 40 00 00 54 08 00 80 52 56 00 00 35 68 00 00 34 00 03 00 91 9A FF FF 17 13 00 80 92 41 00 80 52 80 02 00 91 ?? ?? ?? ?? E0 07 40 F9 41 00 80 52 ?? ?? ?? ?? FF 07 00 F9 28 03 40 B9 68 00 00 35 5A 00 00 34 3A 03 00 B9 60 02 00 91 FF 83 00 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 83 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "_fdpow"
		size = 2556
		refs = "0008 __security_push_cookie 003c _fdunscale 0054 _fd_int 0188 _FInf_C 0238 _FZero_C 0358 _fperrraise 03e8 _FNan_C 0430 ?rthalf@?1??_fdpow@@9@9 04a8 _fdlogpoly 04e8 ?ln2@?1??_fdpow@@9@9 050c ?maxexp@?1??_fdpow@@9@9 06c4 _fdxp_setw 06e8 _fdxp_addx 0710 log2e 071c memcpy 072c _fdxp_mulh 0804 _fdxp_addh 08dc _fdxp_getw 0954 _fdexp 09e4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 03 D1 E0 03 00 BD E1 13 00 BD E0 3F 00 F9 F0 13 40 BD F0 17 00 BD 08 00 80 D2 E8 23 00 F9 08 00 80 52 E8 1B 00 B9 E1 03 00 91 E0 3B 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 E8 0B 00 79 01 00 80 52 E0 53 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 1B 00 79 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 E9 3F 40 F9 08 00 80 52 28 01 00 79 E8 1B C0 79 08 01 00 11 1F 01 00 71 81 00 00 54 F0 13 40 BD 08 22 20 1E A0 02 00 54 E8 0B C0 79 08 01 00 11 1F 01 00 71 8A 02 00 54 E8 1F C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 11 10 2C 1E F0 03 40 BD 00 22 31 1E 20 01 00 54 E8 1B C0 79 08 01 00 11 1F 05 00 71 01 01 00 54 11 10 3C 1E F0 03 40 BD 00 22 31 1E 81 00 00 54 00 10 2E 1E 3D 02 00 14 C1 00 00 14 E9 0B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 1B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 15 00 54 E8 0B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 03 40 BD 2C 02 00 14 A3 00 00 14 E8 1B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 BD 25 02 00 14 9C 00 00 14 E8 0B C0 79 08 01 00 11 1F 05 00 71 01 08 00 54 E8 07 40 79 08 01 00 11 A8 01 78 37 E8 27 40 79 08 01 00 11 88 00 78 36 B0 43 00 1C F0 73 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 73 00 BD E0 73 40 BD 12 02 00 14 30 00 00 14 E8 27 40 79 08 01 00 11 08 03 78 37 E8 1B C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 4B 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 BD E0 4B 40 BD F8 01 00 14 16 00 00 14 E8 1B C0 79 08 01 00 11 1F 01 00 71 C1 01 00 54 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 4F 00 BD 03 00 00 14 30 3D 00 1C F0 4F 00 BD E0 4F 40 BD E2 01 00 14 59 00 00 14 E8 1B C0 79 08 01 00 11 1F 05 00 71 C1 03 00 54 E8 27 40 79 08 01 00 11 C8 01 78 37 E8 1F C0 79 08 01 00 11 1F 01 00 71 8C 00 00 54 30 3B 00 1C F0 53 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 53 00 BD E0 53 40 BD CE 01 00 14 0D 00 00 14 E8 1F C0 79 08 01 00 11 1F 01 00 71 AC 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 57 00 BD 03 00 00 14 10 39 00 1C F0 57 00 BD E0 57 40 BD C1 01 00 14 38 00 00 14 E8 27 40 79 08 01 00 11 48 03 78 37 E8 1B C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 07 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 5B 00 BD 03 00 00 14 90 35 00 1C F0 5B 00 BD E0 5B 40 BD A5 01 00 14 1C 00 00 14 80 00 80 52 ?? ?? ?? ?? E8 1B C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 08 01 00 11 1F 01 00 71 2A 01 00 54 E8 07 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 5F 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 5F 00 BD E0 5F 40 BD 89 01 00 14 0D 00 00 14 E8 07 40 79 08 01 00 11 48 01 78 36 E8 1B C0 79 08 01 00 11 1F 01 00 71 CA 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7C 01 00 14 F0 03 40 BD 08 22 20 1E 8D 00 00 54 08 00 80 52 E8 3B 00 79 0A 00 00 14 F0 03 40 BD 10 42 21 1E F0 03 00 BD 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 3B 00 79 ?? ?? ?? ?? ?? ?? ?? ?? F0 03 40 BD 00 22 31 1E 22 01 00 54 F1 03 40 BD 10 10 20 1E 30 0A 30 1E F0 03 00 BD E8 1F C0 79 08 05 00 51 08 3D 00 13 E8 1F 00 79 F1 03 40 BD 10 10 2E 1E 32 3A 30 1E F1 03 40 BD 10 10 2E 1E 30 2A 30 1E 50 1A 30 1E F0 37 00 BD F1 37 40 BD F0 37 40 BD 30 0A 30 1E F0 63 00 BD F1 03 40 BD 10 10 2E 1E 30 3A 30 1E F0 03 00 BD E0 63 40 BD ?? ?? ?? ?? E0 87 00 BD F1 63 40 BD F0 87 40 BD 31 0A 30 1E F0 03 40 BD 31 3A 30 1E F0 37 40 BD 10 0A 31 1E F0 3B 00 BD E8 1F C0 79 08 01 00 11 12 01 22 1E F1 03 40 BD F0 3B 40 BD 31 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 1A 30 1E 50 2A 30 1E F0 17 00 BD F1 13 40 BD F0 17 40 BD 30 0A 30 1E F0 0B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 0B 40 BD 00 22 31 1E 82 00 00 54 08 00 80 52 E8 0B 00 79 FA 00 00 14 F1 0B 40 BD 10 10 35 1E 00 22 31 1E E8 0A 00 54 11 10 25 1E F0 0B 40 BD 00 22 31 1E 68 0A 00 54 F1 13 40 BD 10 25 00 1C 00 22 31 1E E2 09 00 54 D1 24 00 1C F0 13 40 BD 00 22 31 1E 62 09 00 54 F0 0B 40 BD 08 22 20 1E C2 00 00 54 F1 0B 40 BD 10 10 2C 1E 30 3A 30 1E F0 67 00 BD 05 00 00 14 F1 0B 40 BD 10 10 2C 1E 30 2A 30 1E F0 67 00 BD F0 67 40 BD 08 02 38 1E E8 1B 00 B9 F1 03 40 BD F0 3B 40 BD 31 2A 30 1E F0 13 40 BD 10 0A 31 1E F0 0B 00 BD E8 23 40 F9 1F 01 00 F1 01 02 00 54 E8 1F C0 79 08 01 00 11 11 01 22 1E F0 13 40 BD 11 0A 31 1E E8 1B 40 B9 10 01 22 1E 31 3A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E F0 0B 40 BD 10 2A 31 1E F0 0B 00 BD 21 00 00 14 E8 23 40 F9 09 11 00 91 E8 23 40 F9 08 21 00 91 31 01 40 BD 10 01 40 BD 31 2A 30 1E F0 13 40 BD 11 0A 31 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E F0 0B 40 BD 10 2A 31 1E F0 0B 00 BD E8 1F C0 79 08 01 00 11 11 01 22 1E E8 23 40 F9 10 01 40 BD 31 2A 30 1E F0 13 40 BD 11 0A 31 1E E8 1B 40 B9 10 01 22 1E 31 3A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E F0 0B 40 BD 10 2A 31 1E F0 0B 00 BD 08 00 80 12 E8 0B 00 79 A0 00 00 14 F1 0B 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 00 00 54 28 00 80 52 E8 0B 00 79 98 00 00 14 E0 03 40 BD 81 00 80 52 E0 43 02 91 ?? ?? ?? ?? E0 3B 40 BD 41 00 80 52 E0 23 02 91 ?? ?? ?? ?? 43 00 80 52 E2 23 02 91 81 00 80 52 E0 43 02 91 ?? ?? ?? ?? F0 93 40 BD 08 22 20 1E C1 00 00 54 C0 17 00 1C 81 00 80 52 E0 C3 02 91 ?? ?? ?? ?? 31 00 00 14 02 02 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 02 91 ?? ?? ?? ?? E0 93 40 BD 81 00 80 52 E0 C3 02 91 ?? ?? ?? ?? 28 00 80 52 E8 23 00 B9 04 00 00 14 E8 23 40 B9 08 05 00 11 E8 23 00 B9 E8 23 40 B9 1F 11 00 71 EA 03 00 54 E8 23 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 43 02 91 08 01 09 8B 10 01 40 BD 08 22 20 1E C0 02 00 54 02 02 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E8 23 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 43 02 91 08 01 09 8B 00 01 40 BD 81 00 80 52 E0 03 03 91 ?? ?? ?? ?? 83 00 80 52 E2 03 03 91 81 00 80 52 E0 C3 02 91 ?? ?? ?? ?? DD FF FF 17 E8 23 40 F9 1F 01 00 F1 C0 00 00 54 63 00 80 52 E2 23 40 F9 81 00 80 52 E0 C3 02 91 ?? ?? ?? ?? E8 1F C0 79 08 01 00 11 00 01 22 1E 00 40 20 1E 81 00 80 52 E0 C3 02 91 ?? ?? ?? ?? E0 13 40 BD 41 00 80 52 E0 43 02 91 ?? ?? ?? ?? 02 02 80 D2 E1 C3 02 91 E0 83 02 91 ?? ?? ?? ?? E0 93 40 BD 81 00 80 52 E0 83 02 91 ?? ?? ?? ?? F0 97 40 BD 08 22 20 1E C0 01 00 54 02 02 80 D2 E1 C3 02 91 E0 43 03 91 ?? ?? ?? ?? E0 97 40 BD 81 00 80 52 E0 43 03 91 ?? ?? ?? ?? 83 00 80 52 E2 43 03 91 81 00 80 52 E0 83 02 91 ?? ?? ?? ?? F0 A3 40 BD F0 03 00 BD F0 A3 40 BD 08 22 20 1E 40 01 00 54 F0 A7 40 BD 08 22 20 1E E0 00 00 54 F1 A7 40 BD F0 AB 40 BD 31 2A 30 1E F0 03 40 BD 10 2A 31 1E F0 03 00 BD 01 00 80 52 E0 03 00 91 ?? ?? ?? ?? F0 03 40 BD 00 42 21 1E 00 40 20 1E 81 00 80 52 E0 83 02 91 ?? ?? ?? ?? 81 00 80 52 E0 83 02 91 ?? ?? ?? ?? E0 83 00 BD F0 83 40 BD F0 0B 00 BD F1 0B 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 0B 00 BD F0 03 40 BD 08 02 38 1E E8 1B 00 B9 08 00 80 12 E8 0B 00 79 E8 0B C0 79 08 01 00 11 1F 01 00 71 2A 02 00 54 E8 3F 40 F9 1F 01 00 F1 E0 00 00 54 E8 1B 40 B9 09 3D 00 13 E8 3F 40 F9 09 01 00 79 08 00 80 52 E8 1B 00 B9 E1 1B 40 B9 00 10 2E 1E E0 23 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 C0 79 E8 0B 00 79 E8 0B C0 79 08 01 00 11 E8 6B 00 B9 E8 6B 40 B9 1F 01 00 71 A0 00 00 54 E8 6B 40 B9 1F 05 00 71 E0 00 00 54 0B 00 00 14 30 03 00 1C F0 0B 00 BD 00 02 80 52 ?? ?? ?? ?? 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 00 BD 00 01 80 52 ?? ?? ?? ?? E8 3B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 0B 40 BD 10 42 21 1E F0 6F 00 BD 03 00 00 14 F0 0B 40 BD F0 6F 00 BD E0 6F 40 BD FF 83 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 00 00 20 C2 00 00 20 42 }
	condition:
		$1
}

rule file_381_1_0 {
	meta:
		name = "_fdtgamma"
		size = 620
		refs = "0034 stirling 00b4 _fdunscale 01cc s 0210 c"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E8 17 40 F9 10 01 40 BD F0 13 00 BD F1 13 40 BD 10 F0 27 1E 00 22 31 1E 08 01 00 54 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD 89 00 00 14 88 00 00 14 11 10 3C 1E F0 13 40 BD 00 22 31 1E 42 03 00 54 10 10 2E 1E F0 17 00 BD 05 00 00 14 F1 13 40 BD 10 10 2E 1E 30 2A 30 1E F0 13 00 BD F1 17 40 BD F0 13 40 BD 30 0A 30 1E F0 17 00 BD F1 13 40 BD 10 10 2C 1E 00 22 31 1E 42 00 00 54 02 00 00 14 F3 FF FF 17 F1 13 40 BD 10 10 2E 1E 30 3A 30 1E F0 13 00 BD E1 53 00 91 E0 13 40 F9 ?? ?? ?? ?? 42 00 00 14 11 10 2C 1E F0 13 40 BD 00 22 31 1E 62 01 00 54 11 10 2E 1E F0 13 40 BD 31 2A 30 1E F0 13 40 BD 10 0A 31 1E F0 17 00 BD E1 53 00 91 E0 13 40 F9 ?? ?? ?? ?? 34 00 00 14 11 10 2F 1E F0 13 40 BD 00 22 31 1E 62 01 00 54 F0 13 40 BD F0 17 00 BD F1 13 40 BD 10 10 2E 1E 30 3A 30 1E F0 13 00 BD E9 13 40 F9 08 00 80 52 28 01 00 79 26 00 00 14 11 90 20 1E F0 13 40 BD 00 22 31 1E 62 01 00 54 10 10 2E 1E F0 17 00 BD F1 13 40 BD 10 10 20 1E 30 3A 30 1E F0 13 00 BD E9 13 40 F9 08 00 80 52 28 01 00 79 18 00 00 14 10 10 2E 1E F0 17 00 BD 05 00 00 14 F1 17 40 BD F0 13 40 BD 30 1A 30 1E F0 17 00 BD F1 13 40 BD 10 90 20 1E 00 22 31 1E C2 00 00 54 F1 13 40 BD 10 10 2E 1E 30 3A 30 1E F0 13 00 BD F4 FF FF 17 F1 13 40 BD 10 10 20 1E 30 3A 30 1E F0 13 00 BD E1 53 00 91 E0 13 40 F9 ?? ?? ?? ?? E8 17 40 F9 F0 17 40 BD 10 01 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 13 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E 51 1A 30 1E F0 13 40 BD 20 0A 30 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_381_2_0 {
	meta:
		name = "stirling"
		size = 508
		refs = "0034 _fdpow 0098 approx0 0144 _fdpoly 01c0 expf"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E8 13 40 F9 10 01 40 BD F0 17 00 BD F1 17 40 BD 10 10 2C 1E 21 3A 30 1E E0 23 40 F9 21 40 20 1E E0 17 40 BD ?? ?? ?? ?? E0 2B 00 BD F0 2B 40 BD F0 37 00 BD E8 23 40 F9 08 01 C0 79 08 01 00 11 E8 03 08 4B 09 3D 00 13 E8 23 40 F9 09 01 00 79 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 01 00 F1 E2 01 00 54 E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 BD F0 17 40 BD 00 22 31 1E 42 00 00 54 02 00 00 14 EC FF FF 17 11 10 2E 1E F0 17 40 BD 31 1A 30 1E E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 11 00 91 10 01 40 BD 30 3A 30 1E F0 1B 00 BD E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 81 00 91 E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 61 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 BD ?? ?? ?? ?? E0 2F 00 BD E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 41 00 91 E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 BD ?? ?? ?? ?? E0 33 00 BD F1 2F 40 BD F0 33 40 BD 30 1A 30 1E E8 13 40 F9 10 01 00 BD F0 17 40 BD 00 42 21 1E 00 40 20 1E ?? ?? ?? ?? E0 3B 00 BD F1 37 40 BD F0 3B 40 BD 31 0A 30 1E E8 13 40 F9 10 01 40 BD 10 1A 31 1E E8 13 40 F9 10 01 00 BD 80 00 00 1C FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_381_3_0 {
	meta:
		name = "tgammaf"
		size = 836
		refs = "001c _fd_int 007c _fperrraise 0080 _FNan_C 00ac _FInf_C 011c _fdgamma_big 0190 pi 01a8 _fdsin 01ec _fdtgamma 022c _fdscale"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD F0 1B 00 BD 01 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 02 00 54 E8 2B 40 B9 1F 05 00 71 E0 00 00 54 E8 2B 40 B9 1F 09 00 71 40 00 00 54 29 00 00 14 E0 13 40 BD B5 00 00 14 E8 27 40 79 08 01 00 11 88 00 78 37 E0 13 40 BD B0 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AA 00 00 14 F0 13 40 BD 08 22 20 1E 21 02 00 54 80 00 80 52 ?? ?? ?? ?? E8 27 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 2F 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 2F 00 BD E0 2F 40 BD 98 00 00 14 09 00 00 14 F0 13 40 BD 08 22 20 1E C2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8F 00 00 14 11 12 00 1C F0 13 40 BD 00 22 31 1E C8 00 00 54 00 02 80 52 ?? ?? ?? ?? 60 11 00 1C 87 00 00 14 86 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 13 40 BD 00 22 31 1E 62 0A 00 54 F0 13 40 BD F0 17 00 BD F0 13 40 BD 11 42 21 1E 10 10 2E 1E 30 3A 30 1E F0 33 00 BD F1 13 40 BD F0 1B 40 BD 30 3A 30 1E F0 1B 00 BD 01 00 80 12 E0 53 00 91 ?? ?? ?? ?? F1 13 40 BD F0 17 40 BD 31 3A 30 1E 10 10 3E 1E 20 22 30 1E 82 00 00 54 F0 1B 40 BD 10 42 21 1E F0 1B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 BD 20 0A 30 1E 00 00 80 52 00 40 20 1E ?? ?? ?? ?? E0 3F 00 BD F0 13 40 BD 11 42 21 1E F0 3F 40 BD 32 0A 30 1E F0 13 40 BD 11 42 21 1E 10 10 2E 1E 30 3A 30 1E 51 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 1A 31 1E F0 17 00 BD E1 7B 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 43 00 BD 11 10 2E 1E F0 43 40 BD 31 2A 30 1E F0 17 40 BD 10 1A 31 1E F0 17 00 BD F1 17 40 BD F0 33 40 BD 30 0A 30 1E F0 17 00 BD E1 3F C0 79 21 00 00 11 21 00 00 11 E0 53 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 08 01 00 11 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 A0 00 00 54 E8 37 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 17 40 BD 2F 00 00 14 2E 00 00 14 31 06 00 1C F0 13 40 BD 00 22 31 1E C8 04 00 54 E1 8B 00 91 E0 43 00 91 ?? ?? ?? ?? E0 47 00 BD F0 47 40 BD F0 1B 00 BD 11 10 2E 1E F0 1B 40 BD 31 2A 30 1E F0 13 40 BD 30 1A 30 1E F0 13 00 BD E8 47 C0 79 08 01 00 11 E1 03 08 4B 21 00 00 11 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 A0 00 00 54 E8 3B 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 13 40 BD 06 00 00 14 05 00 00 14 00 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 00 00 18 C2 00 00 00 00 00 00 18 42 }
	condition:
		$1
}

rule file_383_4_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PEAE@__crt_state_management@@QEAAXAEAY10BAA@E@Z"
		size = 128
		refs = "0014 ?dangerous_get_state_array@?$dual_state_global@PEAE@__crt_state_management@@QEAAPEAPEAEXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 1B 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 A0 01 00 54 E9 0B 40 F9 08 20 80 D2 29 7D 08 9B E8 17 40 F9 0A 01 09 8B E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 0A 01 00 F9 EF FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_5_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PEAE@__crt_state_management@@QEAAXAEAY10BAB@E@Z"
		size = 128
		refs = "0014 ?dangerous_get_state_array@?$dual_state_global@PEAE@__crt_state_management@@QEAAPEAPEAEXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 1B 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 A0 01 00 54 E9 0B 40 F9 28 20 80 D2 29 7D 08 9B E8 17 40 F9 0A 01 09 8B E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B 0A 01 00 F9 EF FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_17_0 {
	meta:
		name = "?CPtoLocaleName@@YAPEB_WH@Z"
		size = 144
		refs = "0054 ?_mb_locale_names@@3QBQEB_WB"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 E8 03 00 B9 E8 03 40 B9 1F D5 0E 71 6C 01 00 54 E8 03 40 B9 1F D5 0E 71 40 02 00 54 E8 03 40 B9 1F 91 0E 71 20 01 00 54 E8 03 40 B9 1F A1 0E 71 20 01 00 54 11 00 00 14 E8 03 40 B9 1F D9 0E 71 60 01 00 54 0D 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 14 00 00 80 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_23_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 300
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ?fSystemSet@@3HA 0050 __imp_GetOEMCP 006c ??1_LocaleUpdate@@QEAA@XZ 0094 __imp_GetACP 00dc ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 08 00 80 D2 E8 1B 00 F9 E1 1B 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 37 00 F9 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? E8 13 40 B9 1F 09 00 31 E1 01 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 1B 40 B9 2C 00 00 14 26 00 00 14 E8 13 40 B9 1F 0D 00 31 E1 01 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 23 40 B9 1B 00 00 14 15 00 00 14 E8 13 40 B9 1F 11 00 31 41 02 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 27 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 27 40 B9 06 00 00 14 E8 13 40 B9 E8 2B 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_28_0 {
	meta:
		name = "?setSBCS@@YAXPEAU__crt_multibyte_data@@@Z"
		size = 424
		refs = "0104 __acrt_initial_multibyte_data"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 05 04 71 6A 01 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 09 7D 40 93 28 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 39 F1 FF FF 17 E8 07 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 09 81 08 91 08 00 80 D2 28 01 00 F9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 19 00 71 6A 01 00 54 E8 07 40 F9 0A 31 00 91 E8 03 40 B9 09 7D 40 93 48 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 79 F1 FF FF 17 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 05 04 71 4A 02 00 54 E8 03 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0B 01 09 8B E8 07 40 F9 0A 61 00 91 E8 03 40 B9 09 7D 40 93 28 00 80 D2 28 7D 08 9B 49 01 08 8B 68 01 40 39 28 01 00 39 EA FF FF 17 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 01 04 71 4A 02 00 54 E8 03 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0B 01 09 8B E8 07 40 F9 0A 65 04 91 E8 03 40 B9 09 7D 40 93 28 00 80 D2 28 7D 08 9B 49 01 08 8B 68 01 40 39 28 01 00 39 EA FF FF 17 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_29_0 {
	meta:
		name = "?setSBUpLow@@YAXPEAU__crt_multibyte_data@@@Z"
		size = 1316
		refs = "0008 __security_push_cookie 0024 __imp_GetCPInfo 0154 __acrt_GetStringTypeA 0190 __acrt_LCMapStringA 0518 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 1D D1 E0 0F 00 F9 E8 0F 40 F9 08 11 00 91 E1 C3 00 91 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 1A 00 54 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 01 04 71 62 01 00 54 E8 13 40 B9 0A 1D 00 53 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 23 01 91 08 01 09 8B 0A 01 00 39 F1 FF FF 17 08 04 80 52 E8 23 01 39 E8 DB 00 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 A0 03 00 54 E8 13 40 F9 08 01 40 39 08 01 00 11 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 F9 08 05 00 91 09 01 40 39 29 01 00 11 E8 13 40 B9 1F 01 09 6B A8 01 00 54 E8 13 40 B9 1F 01 04 71 42 01 00 54 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 23 01 91 09 01 09 8B 08 04 80 52 28 01 00 39 EB FF FF 17 DD FF FF 17 E8 0F 40 F9 08 11 00 91 06 00 80 52 05 01 40 B9 E4 23 0D 91 03 20 80 52 E2 23 01 91 21 00 80 52 00 00 80 D2 ?? ?? ?? ?? E8 0F 40 F9 0A 11 00 91 E8 0F 40 F9 09 81 08 91 08 00 80 52 E8 03 00 B9 47 01 40 B9 06 20 80 52 E5 23 05 91 04 20 80 52 E3 23 01 91 02 20 80 52 21 01 40 F9 00 00 80 D2 ?? ?? ?? ?? E8 0F 40 F9 0A 11 00 91 E8 0F 40 F9 09 81 08 91 08 00 80 52 E8 03 00 B9 47 01 40 B9 06 20 80 52 E5 23 09 91 04 20 80 52 E3 23 01 91 02 40 80 52 21 01 40 F9 00 00 80 D2 ?? ?? ?? ?? 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 01 04 71 E2 0C 00 54 E8 13 40 B9 09 7D 40 D3 48 00 80 D2 29 7D 08 9B E8 23 0D 91 08 01 09 8B 08 01 40 79 08 01 00 11 C8 04 00 36 E8 0F 40 F9 0A 61 00 91 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1C 32 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 23 05 91 0B 01 09 8B E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 68 01 40 39 28 01 00 39 38 00 00 14 E8 13 40 B9 09 7D 40 D3 48 00 80 D2 29 7D 08 9B E8 23 0D 91 08 01 09 8B 08 01 40 79 08 01 00 11 C8 04 08 36 E8 0F 40 F9 0A 61 00 91 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1B 32 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 23 09 91 0B 01 09 8B E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 68 01 40 39 28 01 00 39 0A 00 00 14 E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 39 95 FF FF 17 62 00 00 14 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 01 04 71 22 0B 00 54 E8 13 40 B9 1F 05 01 71 A3 04 00 54 E8 13 40 B9 1F 69 01 71 48 04 00 54 E8 0F 40 F9 0A 61 00 91 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1C 32 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 13 40 B9 08 81 00 11 0B 1D 00 53 E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 39 31 00 00 14 E8 13 40 B9 1F 85 01 71 A3 04 00 54 E8 13 40 B9 1F E9 01 71 48 04 00 54 E8 0F 40 F9 0A 61 00 91 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1B 32 E8 13 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 13 40 B9 08 81 00 51 0B 1D 00 53 E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 39 0A 00 00 14 E8 0F 40 F9 0A 65 04 91 E8 13 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 39 A3 FF FF 17 FF 03 1D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_30_0 {
	meta:
		name = "?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
		size = 744
		refs = "0028 ?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z 0030 ?getSystemCP@@YAHH@Z 006c ??_C@_0DE@HGDKNBFD@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 007c _malloc_dbg 008c ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_multibyte_data@@@Z 0098 ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBA_NXZ 00bc ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@XZ 00cc ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_multibyte_data@@XZ 00f8 memcpy 014c _setmbcp_nolock 0168 _errno 01a4 __acrt_set_locale_changed 01f4 __acrt_initial_multibyte_data 0218 _free_dbg 023c ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_multibyte_data@@XZ 0264 __globallocalestatus 0294 ??0<lambda_bd5a608237428601b7e45fbdc72b1ae8>@@QEAA@AEBQEAU__acrt_ptd@@AEBQEAPEAU__crt_multibyte_data@@@Z 02a4 ??$__acrt_lock_and_call@V<lambda_bd5a608237428601b7e45fbdc72b1ae8>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_bd5a608237428601b7e45fbdc72b1ae8>@@@Z 02b8 __acrt_initial_locale_pointers"
	strings:
		$1 = { FF 83 0B D1 FD 7B 00 A9 FD 03 00 91 E0 33 00 B9 E1 43 00 39 E2 13 00 F9 E3 2B 00 F9 E8 2B 40 F9 01 01 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 2F 00 B9 E8 13 40 F9 08 21 02 91 08 01 40 F9 08 11 00 91 09 01 40 B9 E8 2F 40 B9 1F 01 09 6B 61 00 00 54 00 00 80 52 9E 00 00 14 83 47 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 45 80 D2 ?? ?? ?? ?? E0 2F 00 F9 E1 2F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 3B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 40 B9 86 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 13 40 F9 08 21 02 91 01 01 40 F9 E0 C3 02 91 00 00 00 91 21 00 00 91 02 45 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 33 40 F9 00 00 00 91 E1 C3 02 91 21 00 00 91 02 45 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 01 00 91 08 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E1 3B 40 F9 E0 2F 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 05 00 31 81 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 08 00 80 12 E8 43 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 40 B9 53 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 ?? ?? ?? ?? E8 13 40 F9 08 21 02 91 08 01 40 F9 0A 01 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 47 00 B9 E8 47 40 B9 1F 01 00 71 A1 01 00 54 E8 13 40 F9 0A 21 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 13 40 F9 08 21 02 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 09 01 00 91 28 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 13 40 F9 09 21 02 91 E8 47 40 F9 28 01 00 F9 E8 13 40 F9 08 A1 0E 91 08 01 40 B9 88 00 08 37 ?? ?? ?? ?? ?? ?? ?? ?? E8 00 00 36 E8 2B 40 B9 E8 4B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 B9 16 00 00 14 E2 43 01 91 E1 83 00 91 E0 83 02 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 A0 00 80 52 ?? ?? ?? ?? E8 43 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? E8 2B 40 F9 08 01 40 F9 ?? ?? ?? ?? E8 2B 40 B9 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 B9 FD 7B 40 A9 FF 83 0B 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_31_0 {
	meta:
		name = "?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z"
		size = 344
		refs = "0024 __globallocalestatus 0050 __acrt_lock 00bc __acrt_initial_multibyte_data 00d8 _free_dbg 0120 __acrt_unlock 0144 abort"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 A0 13 00 F9 A1 17 00 F9 08 00 80 D2 A8 0F 00 F9 A8 13 40 F9 08 A1 0E 91 09 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 0A 1F 01 00 71 C0 00 00 54 A8 13 40 F9 08 41 02 91 08 01 40 F9 1F 01 00 F1 01 07 00 54 A0 00 80 52 ?? ?? ?? ?? A8 13 40 F9 08 21 02 91 08 01 40 F9 A8 0F 00 F9 A9 17 40 F9 A8 0F 40 F9 1F 01 09 EB 60 05 00 54 A8 0F 40 F9 1F 01 00 F1 00 03 00 54 A8 0F 40 F9 0A 01 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 A9 13 00 B9 A8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 0F 40 F9 1F 01 09 EB 80 00 00 54 41 00 80 52 A0 0F 40 F9 ?? ?? ?? ?? A8 13 40 F9 09 21 02 91 A8 17 40 F9 28 01 00 F9 A8 17 40 F9 A8 0F 00 F9 A8 0F 40 F9 0A 01 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 29 05 00 11 49 FD 08 88 1F 01 00 71 61 FF FF 54 BF 3B 03 D5 A0 00 80 52 ?? ?? ?? ?? 05 00 00 14 A8 13 40 F9 08 21 02 91 08 01 40 F9 A8 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 41 00 00 54 ?? ?? ?? ?? A0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_383_32_0 {
	meta:
		name = "?fin$0@?0??update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z@4HA"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "_free_locale$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_35_0 {
	meta:
		name = "__acrt_initialize_multibyte"
		size = 244
		refs = "0008 ?initialized@?1??__acrt_initialize_multibyte@@9@4_NA 001c __acrt_initial_multibyte_data 0024 __acrt_current_multibyte_data 002c ?initialize@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAXQEAU__crt_multibyte_data@@@Z 0030 _mbcasemaps 0038 _mbcasemap 0040 ??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PEAE@__crt_state_management@@QEAAXAEAY10BAA@E@Z 0044 _mbctypes 004c _mbctype 0054 ??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PEAE@__crt_state_management@@QEAAXAEAY10BAB@E@Z 0058 __acrt_getptd_head 0094 ?dangerous_get_state_array@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAPEAPEAU__crt_multibyte_data@@XZ 00d4 ?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 81 06 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 17 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 A0 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 13 40 F9 03 01 09 8B E9 0B 40 F9 08 79 80 D2 29 7D 08 9B E8 17 40 F9 02 01 09 8B 63 00 00 91 42 00 00 91 21 00 80 52 40 00 80 12 ?? ?? ?? ?? E7 FF FF 17 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_40_0 {
	meta:
		name = "_getmbcp"
		size = 168
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0070 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 08 00 80 D2 E8 0F 00 F9 E1 0F 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 E0 01 00 54 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 08 21 00 91 08 01 40 F9 08 11 00 91 08 01 40 B9 E8 13 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 13 40 B9 0A 00 00 14 07 00 00 14 08 00 80 52 E8 17 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 17 40 B9 03 00 00 14 E0 E3 00 91 ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_41_0 {
	meta:
		name = "_setmbcp"
		size = 72
		refs = "000c __acrt_current_multibyte_data 0014 ?value@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAAEAPEAU__crt_multibyte_data@@XZ 001c __acrt_getptd 0034 ?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 ?? ?? ?? ?? E0 13 00 F9 E3 0F 40 F9 E2 13 40 F9 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_383_42_0 {
	meta:
		name = "_setmbcp_nolock"
		size = 1620
		refs = "0008 __security_push_cookie 001c ?getSystemCP@@YAHH@Z 003c ?setSBCS@@YAXPEAU__crt_multibyte_data@@@Z 0080 ?__rgcode_page_info@@3PAUcode_page_info@@A 01fc ?__rgctypeflag@@3PADA 027c ?CPtoLocaleName@@YAPEB_WH@Z 0318 ?setSBUpLow@@YAXPEAU__crt_multibyte_data@@@Z 0364 __imp_IsValidCodePage 0390 __imp_GetCPInfo 0620 ?fSystemSet@@3HA 0648 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 01 D1 E0 13 00 B9 E1 07 00 F9 E0 13 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 A1 00 00 54 E0 07 40 F9 ?? ?? ?? ?? 00 00 80 52 80 01 00 14 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 D3 1F 15 00 F1 E2 15 00 54 E8 17 40 B9 09 7D 40 D3 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 E9 13 40 B9 08 01 40 B9 1F 01 09 6B 41 14 00 54 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 05 04 71 62 01 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 39 F1 FF FF 17 08 00 80 52 E8 07 00 B9 04 00 00 14 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 B9 1F 11 00 71 22 0A 00 54 E8 17 40 B9 09 7D 40 D3 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 41 00 91 E8 07 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 48 01 08 8B E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 20 07 00 54 E8 0F 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 60 06 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 0F 40 F9 08 05 00 91 09 01 40 39 29 01 00 11 E8 03 40 B9 1F 01 09 6B 68 04 00 54 E8 03 40 B9 1F 01 04 71 02 04 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 4A 01 08 8B E8 07 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 C0 39 29 01 00 11 48 01 40 39 08 01 00 11 0A 01 09 2A E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 07 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 D5 FF FF 17 C1 FF FF 17 AB FF FF 17 E8 07 40 F9 09 11 00 91 E8 13 40 B9 28 01 00 B9 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 B9 E8 07 40 F9 08 11 00 91 00 01 40 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 07 40 F9 09 81 08 91 E8 1F 40 F9 28 01 00 F9 08 00 80 52 E8 07 00 B9 04 00 00 14 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 B9 1F 19 00 71 02 03 00 54 E8 17 40 B9 09 7D 40 D3 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 11 00 91 E8 07 40 B9 09 7D 40 D3 48 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 07 40 F9 0A 31 00 91 E8 07 40 B9 09 7D 40 D3 48 00 80 D2 28 7D 08 9B 49 01 08 8B 68 01 40 79 28 01 00 79 E4 FF FF 17 E0 07 40 F9 ?? ?? ?? ?? 00 00 80 52 C9 00 00 14 4C FF FF 17 E8 13 40 B9 1F 01 00 71 80 02 00 54 09 BD 9F 52 E8 13 40 B9 1F 01 09 6B 00 02 00 54 29 BD 9F 52 E8 13 40 B9 1F 01 09 6B 80 01 00 54 E8 13 40 B9 00 3D 00 53 00 00 00 11 00 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 B0 00 00 14 E1 23 01 91 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 C0 13 00 54 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 05 04 71 62 01 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 39 F1 FF FF 17 E8 07 40 F9 09 11 00 91 E8 13 40 B9 28 01 00 B9 E8 07 40 F9 09 81 08 91 08 00 80 D2 28 01 00 F9 E8 4B 40 B9 1F 05 00 71 A9 0C 00 54 E8 3B 01 91 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E8 13 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 E0 04 00 54 E8 13 40 F9 08 01 40 39 08 01 00 11 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 13 40 F9 08 05 00 91 09 01 40 39 29 01 00 11 E8 03 40 B9 1F 01 09 6B E8 02 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1E 32 E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 07 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E1 FF FF 17 CD FF FF 17 28 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F FD 03 71 E2 02 00 54 E8 07 40 F9 0A 61 00 91 E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 0A 01 1D 32 E8 03 40 B9 08 05 00 11 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 07 40 F9 08 61 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E5 FF FF 17 E8 07 40 F9 08 11 00 91 00 01 40 B9 ?? ?? ?? ?? E0 23 00 F9 E8 07 40 F9 09 81 08 91 E8 23 40 F9 28 01 00 F9 E8 07 40 F9 09 21 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 07 40 F9 09 21 00 91 08 00 80 52 28 01 00 B9 08 00 80 52 E8 07 00 B9 04 00 00 14 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 B9 1F 19 00 71 62 01 00 54 E8 07 40 F9 0A 31 00 91 E8 07 40 B9 09 7D 40 D3 48 00 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 52 28 01 00 79 F1 FF FF 17 E0 07 40 F9 ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 A0 00 00 54 E0 07 40 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 00 00 80 12 FF 83 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "log10"
		size = 1336
		refs = "0044 _handle_nan 0088 ??_C@_05HGHHAHAP@log10?$AA@ 0090 _handle_error 0144 ?log_thresh1@?1??log10@@9@9 0158 ?log_thresh2@?1??log10@@9@9 01dc ?ca_4@?1??log10@@9@9 01e8 ?ca_3@?1??log10@@9@9 01fc ?ca_2@?1??log10@@9@9 0210 ?ca_1@?1??log10@@9@9 0270 ?log10e_tail@?1??log10@@9@9 0294 ?log10e_lead@?1??log10@@9@9 02f4 ?corr@?N@??log10@@9@9 03a4 ?ln_lead_table@?1??log10@@9@9 03cc ?ln_tail_table@?1??log10@@9@9 0438 ?cb_3@?1??log10@@9@9 0444 ?cb_2@?1??log10@@9@9 0458 ?cb_1@?1??log10@@9@9 0498 ?log2_lead@?1??log10@@9@9 04b8 ?log2_tail@?1??log10@@9@9"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 1F 00 FD F0 1F 40 FD F0 3B 00 FD E8 3B 40 F9 E8 0B 00 F9 E8 0B 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 04 00 54 E8 0B 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD 34 01 00 14 16 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 00 02 00 54 26 00 80 52 E1 25 00 5C E0 1F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD 21 01 00 14 03 00 00 14 E0 1F 40 FD 1E 01 00 14 26 00 00 14 E8 0B 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 21 23 00 5C E0 1F 40 FD 45 04 80 52 84 00 80 52 43 00 80 52 02 FE FF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD 0B 01 00 14 13 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 C1 20 00 5C E0 1F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD F8 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB A3 0B 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB 08 0B 00 54 F1 1F 40 FD 10 10 6E 1E 30 3A 70 1E F0 27 00 FD 11 10 60 1E F0 27 40 FD 31 2A 70 1E F0 27 40 FD 10 1A 71 1E F0 0F 00 FD F1 27 40 FD F0 0F 40 FD 30 0A 70 1E F0 4F 00 FD F1 0F 40 FD F0 0F 40 FD 30 2A 70 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 17 00 FD F0 27 40 FD F0 13 00 FD F1 0F 40 FD F0 17 40 FD 32 0A 70 1E F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 17 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 17 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 51 0A 70 1E F0 4F 40 FD 30 3A 70 1E F0 23 00 FD F0 13 40 FD F0 27 00 FD F0 13 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 7D 60 92 E8 5B 00 F9 F0 5B 40 FD F0 13 00 FD F1 27 40 FD F0 13 40 FD 31 3A 70 1E F0 23 40 FD 10 2A 71 1E F0 23 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E 98 00 00 14 97 00 00 14 09 02 E0 D2 E8 0B 40 F9 1F 01 09 EB 62 02 00 54 E9 0B 40 F9 08 7A E0 D2 28 01 08 AA E8 5F 00 F9 F0 5F 40 FD F0 2B 00 FD F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 2B 00 FD F0 2B 40 FD F0 63 00 FD E8 63 40 F9 E8 0B 00 F9 88 07 80 52 E8 5B 00 B9 05 00 00 14 F0 1F 40 FD F0 2B 00 FD 08 00 80 52 E8 5B 00 B9 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 09 FD 0F 51 E8 5B 40 B9 28 01 08 4B E8 5F 00 B9 E9 0B 40 F9 C8 7F 80 D2 09 2D 4C B3 E9 67 00 F9 F0 67 40 FD F0 2B 00 FD E8 0B 40 F9 08 15 52 92 08 01 4C B2 09 FD 6E D3 E8 0B 40 F9 08 01 53 92 08 FD 6D D3 28 01 08 8B 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 73 00 FD E8 33 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 6F 00 FD E8 33 40 B9 11 01 62 1E 50 0A 00 5C 30 0A 70 1E F0 33 00 FD F1 2B 40 FD F0 33 40 FD 30 3A 70 1E F0 37 00 FD 11 10 6C 1E F0 37 40 FD 31 0A 70 1E F0 33 40 FD 11 2A 71 1E F0 37 40 FD 10 1A 71 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 17 00 FD F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 17 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 17 40 FD 10 0A 71 1E F0 6B 00 FD F1 0F 40 FD F0 6B 40 FD 31 0A 70 1E F0 0F 40 FD 11 2A 71 1E F0 6F 40 FD 10 2A 71 1E F0 77 00 FD E8 5F 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 73 40 FD 30 2A 70 1E F0 13 00 FD E8 5F 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 77 40 FD 30 2A 70 1E F0 23 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E FD 7B CF A8 C0 03 5F D6 00 00 00 00 00 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule file_385_1_0 {
	meta:
		name = "??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
		size = 1040
		refs = "0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00d0 _invalid_parameter 0144 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d4 ?valid@__crt_stdio_stream@@QEBA_NXZ 0214 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 02dc ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02e8 _lock_file 02f0 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 0318 _fclose_nolock 0320 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0378 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0384 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 03ac ??$open_file@AEBQEBDAEBQEBDAEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAPEAU_iobuf@@AEBQEBD0AEBH$$QEAPEAU1@@Z 0400 _unlock_file"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 A0 23 00 F9 A1 2F 00 F9 A2 37 00 F9 A3 0F 00 F9 A4 57 00 B9 A8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CC 00 00 14 A9 23 40 F9 08 00 80 D2 28 01 00 F9 A8 2F 40 F9 1F 01 00 F1 01 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 28 01 80 52 28 01 00 B9 20 01 80 52 BF 00 00 14 A8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4F 00 B9 A9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 8F 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 53 00 B9 A9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 5B 00 00 14 A8 2F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 4F 00 00 14 08 00 80 52 A8 3B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 4F 00 F9 A0 4F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 A0 63 00 91 ?? ?? ?? ?? A0 53 00 F9 A0 53 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 5B 00 F9 A8 5B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 5F 00 F9 A8 5F 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 01 00 80 12 A0 63 00 91 ?? ?? ?? ?? 01 00 84 52 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 63 00 F9 A8 63 40 F9 A8 67 00 F9 A3 23 03 91 A2 53 01 91 A1 A3 01 91 A0 63 01 91 ?? ?? ?? ?? A0 6B 00 F9 A9 23 40 F9 A8 6B 40 F9 28 01 00 F9 A8 23 40 F9 08 01 40 F9 1F 01 00 F1 21 01 00 54 01 00 84 52 A0 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 6F 00 F9 A8 6F 40 F9 08 01 40 B9 A8 3B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? A0 3B 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_2_0 {
	meta:
		name = "?fin$0@?0???$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z@4HA"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
		altNames = "?fin$0@?0???$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 63 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_3_0 {
	meta:
		name = "??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
		size = 1040
		refs = "0050 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00d0 _invalid_parameter 0144 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d4 ?valid@__crt_stdio_stream@@QEBA_NXZ 0214 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 02dc ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02e8 _lock_file 02f0 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 0318 _fclose_nolock 0320 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0378 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0384 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 03ac ??$open_file@AEBQEB_WAEBQEB_WAEBHPEAU_iobuf@@@?$__crt_char_traits@_W@@SAPEAU_iobuf@@AEBQEB_W0AEBH$$QEAPEAU1@@Z 0400 _unlock_file"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 A0 23 00 F9 A1 2F 00 F9 A2 37 00 F9 A3 0F 00 F9 A4 57 00 B9 A8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CC 00 00 14 A9 23 40 F9 08 00 80 D2 28 01 00 F9 A8 2F 40 F9 1F 01 00 F1 01 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 28 01 80 52 28 01 00 B9 20 01 80 52 BF 00 00 14 A8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4F 00 B9 A9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 8F 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 53 00 B9 A9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 5B 00 00 14 A8 2F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 4F 00 00 14 08 00 80 52 A8 3B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 4F 00 F9 A0 4F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 A0 63 00 91 ?? ?? ?? ?? A0 53 00 F9 A0 53 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 5B 00 F9 A8 5B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 5F 00 F9 A8 5F 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 01 00 80 12 A0 63 00 91 ?? ?? ?? ?? 01 00 84 52 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 63 00 F9 A8 63 40 F9 A8 67 00 F9 A3 23 03 91 A2 53 01 91 A1 A3 01 91 A0 63 01 91 ?? ?? ?? ?? A0 6B 00 F9 A9 23 40 F9 A8 6B 40 F9 28 01 00 F9 A8 23 40 F9 08 01 40 F9 1F 01 00 F1 21 01 00 54 01 00 84 52 A0 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 6F 00 F9 A8 6F 40 F9 08 01 40 B9 A8 3B 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? A0 3B 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_5_0 {
	meta:
		name = "??$open_file@AEBQEBDAEBQEBDAEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAPEAU_iobuf@@AEBQEBD0AEBH$$QEAPEAU1@@Z"
		size = 76
		refs = "0038 _openfile"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E8 0B 40 F9 03 01 40 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_6_0 {
	meta:
		name = "??$open_file@AEBQEB_WAEBQEB_WAEBHPEAU_iobuf@@@?$__crt_char_traits@_W@@SAPEAU_iobuf@@AEBQEB_W0AEBH$$QEAPEAU1@@Z"
		size = 76
		refs = "0038 _wopenfile"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E8 0B 40 F9 03 01 40 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_16_0 {
	meta:
		name = "_wfreopen"
		size = 84
		refs = "0024 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0044 ??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 08 00 80 D2 E8 0B 00 F9 E1 0F 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 13 00 F9 04 08 80 52 E8 13 40 F9 03 01 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_18_0 {
	meta:
		name = "freopen"
		size = 84
		refs = "0024 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0044 ??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 F9 08 00 80 D2 E8 0B 00 F9 E1 0F 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 13 00 F9 04 08 80 52 E8 13 40 F9 03 01 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_17_0 {
	meta:
		name = "_wfreopen_s"
		size = 84
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0040 ??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 04 10 80 52 E8 13 40 F9 03 01 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_385_19_0 {
	meta:
		name = "freopen_s"
		size = 84
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0040 ??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 04 10 80 52 E8 13 40 F9 03 01 40 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_386_4_0 {
	meta:
		name = "_wctomb_l"
		size = 196
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0074 _wctomb_s_l 009c ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 23 00 F9 E1 23 00 79 E2 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 37 00 F9 08 00 80 52 E8 17 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 1F 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 E4 1F 40 F9 E3 23 40 79 42 00 00 91 E1 23 40 F9 E0 53 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E0 00 00 54 08 00 80 12 E8 23 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 23 40 B9 06 00 00 14 E8 17 40 B9 E8 27 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 27 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_386_5_0 {
	meta:
		name = "_wctomb_s_l"
		size = 1272
		refs = "00a4 ??_C@_1DK@NBNOAGKB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bc ??_C@_1GE@FCCEPHFG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00c8 _CrtDbgReportW 00f0 _errno 0114 ??_C@_1BI@IEADNOHF@?$AA_?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0124 _invalid_parameter 0138 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0144 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 019c memset 01c0 ??1_LocaleUpdate@@QEAA@XZ 020c ??_C@_1CM@ENFEGCNE@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 033c __imp_WideCharToMultiByte 0378 __imp_GetLastError 03f0 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 23 00 79 E4 57 00 F9 E8 13 40 F9 1F 01 00 F1 81 01 00 54 E8 0F 40 F9 1F 01 00 F1 29 01 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 08 00 80 52 28 01 00 B9 00 00 80 52 28 01 00 14 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 08 00 80 12 28 01 00 B9 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 F1 00 00 14 E1 57 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 73 00 F9 E0 03 02 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 41 0C 00 54 E8 23 40 79 08 01 00 11 1F FD 03 71 CD 02 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E8 0F 40 F9 1F 01 00 F1 A9 00 00 54 E2 0F 40 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 77 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 77 40 B9 CA 00 00 14 E8 13 40 F9 1F 01 00 F1 20 07 00 54 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 48 04 80 52 E8 53 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 53 40 B9 93 00 00 14 E8 23 40 79 09 1D 00 13 E8 13 40 F9 09 01 00 39 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 28 00 80 52 28 01 00 B9 08 00 80 52 E8 57 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 57 40 B9 83 00 00 14 80 00 00 14 08 00 80 52 E8 47 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 67 00 F9 E8 0F 40 F9 05 01 00 11 E8 67 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E7 13 01 91 06 00 80 D2 A5 00 00 11 E4 13 40 F9 23 00 80 52 E2 43 00 91 01 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5B 00 B9 E8 5B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 80 00 00 54 E8 47 40 B9 1F 01 00 71 80 0A 00 54 E8 33 40 B9 1F 01 00 71 C1 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5F 00 B9 E8 5F 40 B9 1F E9 01 71 E1 07 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E8 0F 40 F9 1F 01 00 F1 A9 00 00 54 E2 0F 40 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 03 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 48 04 80 52 E8 67 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 67 40 B9 1A 00 00 14 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 6B 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 6B 40 B9 0F 00 00 14 E8 17 40 F9 1F 01 00 F1 80 00 00 54 E9 17 40 F9 E8 33 40 B9 28 01 00 B9 08 00 80 52 E8 6F 00 B9 E0 03 02 91 ?? ?? ?? ?? E0 6F 40 B9 03 00 00 14 E0 03 02 91 ?? ?? ?? ?? FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_386_6_0 {
	meta:
		name = "wctomb"
		size = 108
		refs = "0018 ___mb_cur_max_func 003c _wctomb_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 23 00 79 08 00 80 52 E8 17 00 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 02 7D 40 93 04 00 80 D2 E3 23 40 79 42 00 00 91 E1 17 40 F9 E0 53 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 02 00 00 14 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_386_7_0 {
	meta:
		name = "wctomb_s"
		size = 64
		refs = "002c _wctomb_s_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 23 00 79 04 00 80 D2 E3 23 40 79 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "roundf"
		size = 168
		refs = "0014 _fd_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD 21 00 80 52 E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 CD 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 00 00 54 02 00 00 14 16 00 00 14 01 00 80 52 E0 53 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 00 00 54 0D 00 00 14 E8 2F 40 79 08 01 00 11 C8 00 78 36 F1 17 40 BD 10 10 2E 1E 30 3A 30 1E F0 17 00 BD 05 00 00 14 F1 17 40 BD 10 10 2E 1E 30 2A 30 1E F0 17 00 BD E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_388_1_0 {
	meta:
		name = "bsearch_s"
		size = 1108
		refs = "0060 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BE@BBDJDLEB@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e0 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0300 __guard_check_icall_fptr 0344 ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 57 00 F9 E1 3F 00 F9 E2 0F 00 F9 E3 2B 00 F9 E4 43 00 F9 E5 5B 00 F9 E8 3F 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 D9 00 00 14 E8 2B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 A9 00 00 14 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 79 00 00 14 E8 3F 40 F9 E8 27 00 F9 E8 0F 40 F9 09 05 00 D1 E8 2B 40 F9 29 7D 08 9B E8 3F 40 F9 08 01 09 8B E8 4F 00 F9 E9 4F 40 F9 E8 27 40 F9 1F 01 09 EB E8 0C 00 54 E9 0F 40 F9 48 00 80 D2 28 09 C8 9A E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 00 08 00 54 E8 0F 40 F9 88 00 00 36 E8 13 40 F9 E8 47 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 47 00 F9 E9 47 40 F9 E8 2B 40 F9 29 7D 08 9B E8 27 40 F9 08 01 09 8B E8 2F 00 F9 E8 43 40 F9 E8 4B 00 F9 EF 4B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 2F 40 F9 E1 57 40 F9 E0 5B 40 F9 E8 4B 40 F9 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 01 01 00 54 E8 2F 40 F9 E8 73 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 73 40 F9 40 00 00 14 19 00 00 14 E8 43 40 B9 1F 01 00 71 0A 02 00 54 E9 2F 40 F9 E8 2B 40 F9 28 01 08 CB E8 4F 00 F9 E8 0F 40 F9 88 00 00 36 E8 13 40 F9 E8 53 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 53 00 F9 E8 53 40 F9 E8 0F 00 F9 07 00 00 14 E9 2F 40 F9 E8 2B 40 F9 28 01 08 8B E8 27 00 F9 E8 13 40 F9 E8 0F 00 F9 20 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 03 00 54 E8 43 40 F9 E8 5F 00 F9 EF 5F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 27 40 F9 E1 57 40 F9 E0 5B 40 F9 E8 5F 40 F9 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 80 00 00 54 08 00 80 D2 E8 63 00 F9 03 00 00 14 E8 27 40 F9 E8 63 00 F9 E8 63 40 F9 E8 77 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 77 40 F9 09 00 00 14 02 00 00 14 02 00 00 14 97 FF FF 17 08 00 80 D2 E8 7B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 7B 40 F9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_389_5_0 {
	meta:
		name = "_mbsrchr_l"
		size = 308
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1BO@JMOFMIDF@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_1HA@PKBIDOBK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 006c ??_C@_1BG@JBLBIELB@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 0084 _invalid_parameter 00a4 strrchr"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 35 00 00 11 41 00 00 91 E0 43 00 91 14 00 80 D2 ?? ?? ?? ?? 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 14 00 80 D2 1F 00 00 14 EC 13 40 F9 88 09 40 B9 C8 00 00 35 A1 02 00 11 60 02 00 91 ?? ?? ?? ?? 14 00 00 91 17 00 00 14 6A 02 40 39 6D 02 00 91 4B 01 00 11 68 1D 00 53 88 C1 28 8B 09 65 40 39 89 01 10 36 73 06 00 91 6A 02 40 39 CA 00 00 34 49 21 0B 2A BF 02 09 6B 01 01 00 54 B4 01 00 91 06 00 00 14 B4 00 00 B5 74 02 00 91 03 00 00 14 BF 02 0B 6B 74 02 94 9A 73 06 00 91 6A FD FF 35 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 80 02 00 91 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "clogf"
		size = 928
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 008c _FInf_C 0094 _FCbuild 0144 atan2f 0204 _fperrraise 0270 _fd_int 02f4 log1pf 0340 logf"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 3B 00 BD E1 3F 00 BD E1 3F 40 BD E0 3B 40 BD ?? ?? ?? ?? E0 43 00 BD F0 43 40 BD F0 13 00 BD E1 3F 40 BD E0 3B 40 BD ?? ?? ?? ?? E0 47 00 BD F0 47 40 BD F0 17 00 BD E0 43 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 E8 33 00 79 E0 53 00 91 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 37 00 79 E8 33 C0 79 08 01 00 11 1F 09 00 71 01 03 00 54 E8 37 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 67 00 BD E0 63 00 BD E0 63 40 BD E1 67 40 BD BA 00 00 14 09 00 00 14 E1 13 40 BD E0 13 40 BD ?? ?? ?? ?? E1 6F 00 BD E0 6B 00 BD E0 6B 40 BD E1 6F 40 BD B1 00 00 14 1B 00 00 14 E8 37 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 33 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 BD E0 73 00 BD E0 73 40 BD E1 77 40 BD 9F 00 00 14 09 00 00 14 E1 17 40 BD E0 17 40 BD ?? ?? ?? ?? E1 7F 00 BD E0 7B 00 BD E0 7B 40 BD E1 7F 40 BD 96 00 00 14 E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E0 4B 00 BD F0 4B 40 BD F0 27 00 BD E8 33 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 37 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 27 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 87 00 BD E0 83 00 BD E0 83 40 BD E1 87 40 BD 7F 00 00 14 7E 00 00 14 F0 13 40 BD 08 22 20 1E 82 00 00 54 F0 13 40 BD 10 42 21 1E F0 13 00 BD F0 17 40 BD 08 22 20 1E 82 00 00 54 F0 17 40 BD 10 42 21 1E F0 17 00 BD F1 17 40 BD F0 13 40 BD 00 22 31 1E E2 00 00 54 F0 13 40 BD F0 4F 00 BD F0 17 40 BD F0 13 00 BD F0 4F 40 BD F0 17 00 BD F0 13 40 BD 08 22 20 1E E1 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 21 1E E1 27 40 BD 00 40 20 1E ?? ?? ?? ?? E1 8F 00 BD E0 8B 00 BD E0 8B 40 BD E1 8F 40 BD 58 00 00 14 57 00 00 14 11 0B 00 1C F0 13 40 BD 00 22 31 1E 48 07 00 54 F1 17 40 BD 90 0A 00 1C 00 22 31 1E C8 06 00 54 F0 13 40 BD F0 1F 00 BD F0 17 40 BD F0 23 00 BD 61 01 80 52 E0 73 00 91 ?? ?? ?? ?? 61 01 80 52 E0 83 00 91 ?? ?? ?? ?? F1 1F 40 BD F0 1F 40 BD 31 0A 30 1E 10 10 2E 1E 32 3A 30 1E F1 23 40 BD F0 23 40 BD 30 0A 30 1E 50 2A 30 1E F0 2F 00 BD F1 13 40 BD F0 1F 40 BD 32 3A 30 1E F1 13 40 BD F0 1F 40 BD 30 2A 30 1E 53 0A 30 1E F1 17 40 BD F0 23 40 BD 32 3A 30 1E F1 17 40 BD F0 23 40 BD 30 2A 30 1E 50 0A 30 1E 71 2A 30 1E F0 2F 40 BD 10 2A 31 1E F0 2F 00 BD E0 2F 40 BD ?? ?? ?? ?? E0 53 00 BD 11 10 2C 1E F0 53 40 BD 20 0A 30 1E E1 27 40 BD 00 40 20 1E ?? ?? ?? ?? E1 97 00 BD E0 93 00 BD E0 93 40 BD E1 97 40 BD 1B 00 00 14 1A 00 00 14 F1 17 40 BD F0 13 40 BD 30 1A 30 1E F0 33 00 BD E0 13 40 BD ?? ?? ?? ?? E0 5B 00 BD F1 33 40 BD F0 33 40 BD 20 0A 30 1E 00 40 20 1E ?? ?? ?? ?? E0 57 00 BD 11 10 2C 1E F0 57 40 BD 31 0A 30 1E F0 5B 40 BD 00 2A 31 1E E1 27 40 BD 00 40 20 1E ?? ?? ?? ?? E1 9F 00 BD E0 9B 00 BD E0 9B 40 BD E1 9F 40 BD FD 7B CA A8 C0 03 5F D6 66 66 66 3F CD CC CC 3E }
	condition:
		$1
}

rule file_391_0_0 {
	meta:
		name = "copysignf"
		size = 96
	strings:
		$1 = { FF 83 00 D1 E0 03 00 BD E1 07 00 BD E8 03 00 91 08 09 00 91 E8 07 00 F9 E8 13 00 91 08 09 00 91 E8 0B 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 09 79 10 12 E8 0B 40 F9 08 01 40 79 08 01 00 11 08 01 11 12 28 01 08 2A 09 3D 00 53 E8 07 40 F9 09 01 00 79 E0 03 40 BD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_392_5_0 {
	meta:
		name = "_mbsicoll_l"
		size = 356
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_1HC@NNDPIPIH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 _CrtDbgReportW 0060 _errno 0080 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c4 ??_C@_1BI@BOFEGNKA@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d4 _invalid_parameter 00f4 _stricoll_l 011c __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 55 00 00 91 14 00 00 91 33 00 00 91 A1 02 00 91 E0 43 00 91 ?? ?? ?? ?? 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 06 80 52 ?? ?? ?? ?? 14 00 00 14 33 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 00 14 E9 13 40 F9 28 09 40 B9 C8 00 00 35 A2 02 00 91 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 11 00 00 14 27 05 40 B9 06 00 80 12 21 11 41 F9 65 02 00 91 04 00 80 12 83 02 00 91 22 00 82 52 E0 63 00 91 ?? ?? ?? ?? C0 00 00 35 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "conjf"
		size = 84
		refs = "0018 crealf 0030 cimagf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD E1 1F 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD F0 23 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 17 00 BD F0 17 40 BD 10 42 21 1E F0 27 00 BD E0 23 40 BD E1 27 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_394_4_0 {
	meta:
		name = "_wcsnicmp"
		size = 800
		refs = "0014 __acrt_locale_changed 0074 ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 007c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0098 _CrtDbgReportW 00c0 _errno 00e4 ??_C@_1BE@JKOKKFEL@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 00f4 _invalid_parameter 0134 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 030c _wcsnicmp_l"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 27 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A1 16 00 54 08 00 80 52 E8 43 00 B9 E8 27 40 F9 1F 01 00 F1 A0 15 00 54 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 87 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 57 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3B 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 08 3D 00 53 E8 2B 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 27 40 F9 08 05 00 D1 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 60 01 00 54 E8 27 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 3F 01 08 6B 60 F7 FF 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 28 01 08 4B E8 43 00 B9 E0 43 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 27 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E0 5B 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_394_5_0 {
	meta:
		name = "_wcsnicmp_l"
		size = 980
		refs = "0060 ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BI@KLMFNDBC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01c0 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0318 _towlower_l 03c4 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 1B 00 F9 E3 3B 00 F9 08 00 80 52 E8 53 00 B9 E8 1B 40 F9 1F 01 00 F1 00 1D 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 B9 00 00 14 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 89 00 00 14 E1 3B 40 F9 E0 43 02 91 ?? ?? ?? ?? E0 5B 00 F9 E0 43 02 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 01 09 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 4B 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 3D 00 53 E8 23 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 4F 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 4F 00 B9 E8 4F 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 F9 08 05 00 D1 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 60 01 00 54 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 60 F7 FF 54 2B 00 00 14 E0 43 02 91 ?? ?? ?? ?? E0 43 00 F9 E1 43 40 F9 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 53 00 79 E8 53 40 79 E8 23 00 79 E0 43 02 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E8 13 40 F9 00 01 40 79 ?? ?? ?? ?? E0 57 00 79 E8 57 40 79 E8 27 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1B 40 F9 08 05 00 D1 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 60 01 00 54 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B E0 FA FF 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 28 01 08 4B E8 53 00 B9 E0 43 02 91 ?? ?? ?? ?? E0 53 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "_finite"
		size = 60
	strings:
		$1 = { FF 83 00 D1 E0 03 00 FD F0 03 40 FD F0 07 00 FD E8 07 40 F9 E8 0B 00 F9 E8 0B 40 F9 09 F9 40 92 08 FE EF D2 28 01 08 CB 08 FD 7F D3 00 01 00 11 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_396_5_0 {
	meta:
		name = "clearerr_s"
		size = 536
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GE@OEIHGDIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BG@GHDODAOE@?$AAc?$AAl?$AAe?$AAa?$AAr?$AAe?$AAr?$AAr?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 00ec ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00f8 _lock_file 0104 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0118 _fileno 0194 __pioinfo 01c4 __badioinfo 0204 _unlock_file"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 A0 2B 00 F9 A1 2B 40 F9 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 4A 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? 01 03 80 52 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 37 00 F9 A0 37 40 F9 ?? ?? ?? ?? A0 2F 00 B9 A8 2F 40 B9 1F 05 00 31 E0 04 00 54 A0 63 00 91 ?? ?? ?? ?? A0 3B 00 F9 A0 3B 40 F9 ?? ?? ?? ?? A0 33 00 B9 A8 33 40 B9 1F 09 00 31 C0 03 00 54 A0 63 00 91 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 ?? ?? ?? ?? A0 37 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 43 00 F9 A0 43 40 F9 ?? ?? ?? ?? A0 3B 00 B9 A8 37 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 3B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 23 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 23 00 F9 A8 23 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 79 1E 12 A8 23 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 A0 63 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C9 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "localeconv"
		size = 72
		refs = "0008 __acrt_getptd 0030 __acrt_update_locale_info"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 E8 0F 00 F9 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 E1 03 91 00 01 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "cbrtf"
		size = 440
		refs = "0014 _fdunscale 00b4 _fdscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E1 53 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 EB 00 00 54 E8 23 40 B9 1F 09 00 71 4D 00 00 54 03 00 00 14 E0 17 40 BD 55 00 00 14 08 00 80 52 E8 1F 00 B9 05 00 00 14 E8 23 C0 79 08 05 00 11 08 3D 00 13 E8 23 00 79 E9 23 C0 79 29 01 00 11 68 00 80 52 29 0D C8 1A 68 00 80 52 29 7D 08 1B E8 23 C0 79 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 EF FF FF 17 E8 1F 40 B9 1F 01 00 71 8A 00 00 54 E1 1F 40 B9 E0 53 00 91 ?? ?? ?? ?? E8 2F 40 79 08 01 00 11 88 00 78 37 08 00 80 52 E8 1F 00 B9 06 00 00 14 28 00 80 52 E8 1F 00 B9 F0 17 40 BD 10 42 21 1E F0 17 00 BD 31 06 00 1C F0 17 40 BD 31 0A 30 1E F0 05 00 1C 31 2A 30 1E F0 17 40 BD 31 0A 30 1E 90 05 00 1C 32 2A 30 1E F1 17 40 BD 50 05 00 1C 30 2A 30 1E 50 1A 30 1E F0 1B 00 BD 11 10 2F 1E F0 17 40 BD 33 0A 30 1E F1 1B 40 BD F0 1B 40 BD 32 0A 30 1E 11 10 2C 1E F0 17 40 BD 31 0A 30 1E F0 1B 40 BD 30 1A 30 1E 50 2A 30 1E 71 1A 30 1E F0 1B 40 BD 11 2A 31 1E 10 10 2C 1E 10 0A 31 1E F0 1B 00 BD E8 1F 40 B9 1F 01 00 71 80 00 00 54 F0 1B 40 BD 10 42 21 1E F0 1B 00 BD E9 23 C0 79 29 01 00 11 68 00 80 52 21 0D C8 1A 21 00 00 11 E0 63 00 91 ?? ?? ?? ?? E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 16 A4 79 3E 13 44 75 3F CF A0 A1 3D 5A 2A 8F 3E }
	condition:
		$1
}

rule file_399_4_0 {
	meta:
		name = "_strnicoll"
		size = 112
		refs = "0014 __acrt_locale_changed 0038 _strnicmp 005c _strnicoll_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_399_5_0 {
	meta:
		name = "_strnicoll_l"
		size = 1028
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 ??1_LocaleUpdate@@QEAA@XZ 0080 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GG@LACFCIFA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a4 _CrtDbgReportW 00cc _errno 00f0 ??_C@_1BK@IOJEBPLP@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0100 _invalid_parameter 0150 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0224 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02c4 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0304 _strnicmp_l 0398 __acrt_CompareStringA"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 3B 00 F9 E1 37 00 F9 E2 1B 00 F9 E3 4F 00 F9 E1 4F 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 77 00 F9 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 52 E8 67 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 67 40 B9 ED 00 00 14 E8 3B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 3F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 3F 40 B9 B9 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 47 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 47 40 B9 85 00 00 14 E9 7B 40 B2 E8 1B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 4F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 4F 40 B9 50 00 00 14 E0 E3 01 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 01 02 00 54 E0 E3 01 91 ?? ?? ?? ?? E0 63 00 F9 E3 63 40 F9 E2 1B 40 F9 E1 37 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 57 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 57 40 B9 37 00 00 14 E0 E3 01 91 ?? ?? ?? ?? E0 67 00 F9 E0 E3 01 91 ?? ?? ?? ?? E0 6B 00 F9 E0 E3 01 91 ?? ?? ?? ?? E0 6F 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 09 51 00 91 E8 1B 40 F9 06 01 00 11 E8 1B 40 F9 04 01 00 11 E8 6B 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 27 01 40 B9 C6 00 00 11 E5 37 40 F9 84 00 00 11 E3 3B 40 F9 22 00 82 52 01 01 40 F9 E0 6F 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 5F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 5F 40 B9 07 00 00 14 E8 2B 40 B9 08 09 00 51 E8 63 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 63 40 B9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "mbrtoc32"
		size = 816
		refs = "0024 ?internal_pst@?1??mbrtoc32@@9@4U_Mbstatet@@A 0068 ??_C@_00CNPNBAHC@?$AA@ 0108 _errno"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E8 13 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 08 19 00 91 08 01 40 79 08 1D 00 13 E8 43 00 39 E8 13 40 F9 08 01 00 91 08 01 40 B9 E8 17 00 B9 E8 1B 40 F9 1F 01 00 F1 01 01 00 54 08 00 80 D2 E8 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 28 00 80 D2 E8 17 00 F9 E8 1B 40 F9 E8 0F 00 F9 07 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 17 40 F9 08 05 00 D1 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 A1 01 00 54 E8 13 40 F9 09 01 00 91 E8 17 40 B9 28 01 00 B9 E8 43 C0 39 09 3D 00 53 E8 13 40 F9 08 19 00 91 09 01 00 79 20 00 80 92 95 00 00 14 76 00 00 14 E9 43 C0 39 29 01 00 11 08 00 80 52 1F 01 09 6B 6A 03 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 1A 12 1F 01 02 71 00 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 48 05 80 52 28 01 00 B9 00 00 80 92 82 00 00 14 E8 17 40 B9 09 65 1A 53 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 00 12 28 01 08 2A E8 17 00 B9 E8 43 C0 39 08 05 00 51 08 1D 00 13 E8 43 00 39 57 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 C8 00 38 37 E8 0F 40 F9 08 01 40 39 08 01 00 11 E8 17 00 B9 4E 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 09 1B 12 1F 01 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 11 00 12 E8 17 00 B9 28 00 80 52 E8 43 00 39 40 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 0D 1C 12 1F 81 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 0D 00 12 E8 17 00 B9 48 00 80 52 E8 43 00 39 32 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 11 1D 12 1F C1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 09 00 12 E8 17 00 B9 68 00 80 52 E8 43 00 39 24 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 1E 12 1F E1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 00 12 E8 17 00 B9 88 00 80 52 E8 43 00 39 16 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 15 1E 12 1F F1 03 71 21 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 00 12 E8 17 00 B9 A8 00 80 52 E8 43 00 39 08 00 00 14 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 48 05 80 52 28 01 00 B9 00 00 80 92 1F 00 00 14 E8 43 C0 39 08 01 00 11 1F 01 00 71 41 03 00 54 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 E9 1F 40 F9 E8 17 40 B9 28 01 00 B9 E8 13 40 F9 09 19 00 91 08 00 80 52 28 01 00 79 E8 17 40 B9 1F 01 00 71 81 00 00 54 08 00 80 D2 E8 23 00 F9 08 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 0F 40 F9 E8 1B 40 F9 28 01 08 CB E8 23 00 F9 E0 23 40 F9 02 00 00 14 59 FF FF 17 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_401_0_0 {
	meta:
		name = "?try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z"
		size = 120
		refs = "0010 __acrt_heap 0018 __imp_HeapWalk 003c __imp_GetLastError"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 A0 13 00 F9 A1 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 17 00 B9 A8 17 40 B9 1F 01 00 71 60 00 00 54 20 00 80 12 0E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 1B 00 B9 A8 1B 40 B9 1F 0D 04 71 61 00 00 54 80 00 80 12 05 00 00 14 60 00 80 12 03 00 00 14 60 00 80 12 01 00 00 14 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_401_1_0 {
	meta:
		name = "?filt$0@?0??try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z@4HA"
		size = 84
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 17 00 F9 A8 17 40 F9 08 01 40 F9 08 01 40 B9 A8 1F 00 B9 A9 1F 40 B9 88 01 00 18 3F 01 08 6B 81 00 00 54 28 00 80 52 A8 13 00 B9 03 00 00 14 08 00 80 52 A8 13 00 B9 A0 13 40 B9 00 00 00 11 FD 7B C1 A8 C0 03 5F D6 05 00 00 C0 }
	condition:
		$1
}

rule file_401_2_0 {
	meta:
		name = "_heapwalk"
		size = 580
		refs = "0040 ??_C@_1CC@EEMDPIKB@?$AAe?$AAn?$AAt?$AAr?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@LNLNFIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BE@EEFEEHOB@?$AA_?$AAh?$AAe?$AAa?$AAp?$AAw?$AAa?$AAl?$AAk?$AA?$AA@ 00c0 _invalid_parameter 0118 __acrt_heap 0120 __imp_HeapWalk 0174 __imp_HeapValidate 01a4 ?try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 00 80 12 5D 00 00 14 08 00 80 D2 E8 23 00 F9 E9 23 01 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 08 00 80 52 E8 9F 00 79 08 00 80 52 E8 37 01 39 E8 0B 40 F9 08 01 00 91 08 01 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 C1 01 00 54 E1 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 61 00 00 54 40 00 80 12 3F 00 00 14 21 00 00 14 E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 05 00 71 41 02 00 54 E8 0B 40 F9 08 01 00 91 02 01 40 F9 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 61 00 00 54 60 00 80 12 2A 00 00 14 88 00 80 52 E8 9F 00 79 E0 03 01 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 23 00 B9 E8 23 40 B9 1F 09 00 31 60 00 00 54 E0 23 40 B9 1E 00 00 14 E8 9F 40 79 08 01 00 11 08 02 10 36 E8 0B 40 F9 09 01 00 91 E8 23 40 F9 28 01 00 F9 E8 4B 40 B9 09 7D 40 D3 E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 09 41 00 91 28 00 80 52 28 01 00 B9 20 00 80 12 0C 00 00 14 E0 03 01 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 27 00 B9 E8 27 40 B9 1F 09 00 31 60 00 00 54 E0 27 40 B9 02 00 00 14 E4 FF FF 17 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_404_6_0 {
	meta:
		name = "_ismbcprint_l"
		size = 152
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 28 02 00 54 E8 0F 40 F9 6A 1E 00 53 EB 2A 80 52 08 01 40 F9 09 D9 6A 78 28 01 0B 0A 08 01 00 35 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 29 05 00 12 69 00 00 35 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 03 00 80 52 02 04 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_405_9_0 {
	meta:
		name = "__acrt_GetStringTypeA"
		size = 692
		refs = "002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0050 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00b4 __imp_MultiByteToWideChar 00e4 ??1_LocaleUpdate@@QEAA@XZ 0104 _MallocaComputeSize 0138 ??_C@_0DJ@HCPJODDK@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0148 _malloc_dbg 0158 _MarkAllocaS 017c ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 0190 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 019c ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 01bc ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 01f8 memset 0280 __imp_GetStringTypeW"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 3B 00 F9 E1 53 00 B9 E2 37 00 F9 E3 2F 00 B9 E4 63 00 F9 E5 23 00 B9 E6 3B 00 B9 E1 3B 40 F9 E0 43 03 91 ?? ?? ?? ?? E0 7B 00 F9 E8 23 40 B9 1F 01 00 71 80 00 00 54 E8 23 40 B9 E8 27 00 B9 0B 00 00 14 E0 43 03 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 27 00 B9 E8 27 40 B9 E8 33 00 B9 E8 3B 40 B9 1F 01 00 71 80 00 00 54 28 01 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 05 00 80 52 04 00 80 D2 E3 2F 40 B9 E2 37 40 F9 E1 2B 40 B9 E0 33 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 43 00 B9 E0 43 03 91 ?? ?? ?? ?? E0 43 40 B9 70 00 00 14 E8 13 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 1F 01 00 F1 C0 02 00 54 E8 13 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 47 00 F9 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 47 40 F9 ?? ?? ?? ?? E0 4B 00 F9 A1 BB 9B 52 E0 4B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 33 00 F9 03 00 00 14 08 00 80 D2 E8 33 00 F9 E1 33 40 F9 E0 E3 03 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 01 01 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 52 E8 47 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 03 91 ?? ?? ?? ?? E0 47 40 B9 38 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 F9 E8 13 40 B9 09 7D 40 93 48 00 80 D2 22 7D 08 9B 42 00 00 91 01 00 80 52 E0 5B 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E5 13 40 B9 E4 5F 40 F9 E3 2F 40 B9 E2 37 40 F9 21 00 80 52 E0 33 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 08 00 80 52 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 03 91 ?? ?? ?? ?? E0 4F 40 B9 13 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 67 00 F9 E3 63 40 F9 E2 37 40 B9 E1 67 40 F9 E0 53 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 03 91 ?? ?? ?? ?? E0 5B 40 B9 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_406_0_0 {
	meta:
		name = "fesetenv"
		size = 136
		refs = "0028 _setfpcontrolword 0038 _setfpstatusword 0040 fegetenv"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 08 00 80 52 E8 1B 00 B9 08 00 80 52 E8 1F 00 B9 E8 0B 40 F9 08 01 00 91 00 01 40 B9 ?? ?? ?? ?? E8 0B 40 F9 08 11 00 91 00 01 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 E9 1B 40 B9 08 01 40 B9 1F 01 09 6B E1 00 00 54 E8 0B 40 F9 08 11 00 91 E9 1F 40 B9 08 01 40 B9 1F 01 09 6B 60 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_407_0_0 {
	meta:
		name = "_fdquad"
		size = 1288
		refs = "0008 __security_push_cookie 0020 huge_rad 0050 twobypi 0098 _fd_int 00cc __c 015c _fdunscale 017c _fdxp_setw 01b4 _fdscale 01e0 __b 01f8 memcpy 0208 _fdxp_mulh 026c _fdxp_addx 02a8 inv2pi 0330 get_acsize 0488 _fdxp_getw 04c4 fmodf 04e8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 1B 00 F9 E8 1B 40 F9 10 01 40 BD F0 0F 00 BD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 0F 40 BD 20 22 30 1E 82 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 BD 00 22 31 1E E2 07 00 54 F1 0F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 03 00 BD F0 03 40 BD 08 22 20 1E CB 00 00 54 F1 03 40 BD 10 10 2C 1E 30 2A 30 1E F0 03 00 BD 05 00 00 14 F1 03 40 BD 10 10 2C 1E 30 3A 30 1E F0 03 00 BD 01 00 80 52 E0 03 00 91 ?? ?? ?? ?? F0 03 40 BD 08 22 20 1E 80 04 00 54 F1 03 40 BD 10 10 2A 1E 30 0A 30 1E 11 C2 22 1E 10 22 00 5C 30 1A 70 1E 10 42 62 1E F0 13 00 BD F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E F0 0F 40 BD 12 3A 31 1E F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E 52 3A 30 1E F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E 52 3A 30 1E F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E 52 3A 30 1E F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E 50 3A 30 1E F0 0F 00 BD E8 1B 40 F9 F0 0F 40 BD 10 01 00 BD D7 00 00 14 A8 00 80 52 E8 07 00 B9 F0 0F 40 BD F0 03 00 BD E1 03 00 91 E0 23 00 91 ?? ?? ?? ?? E8 13 C0 79 08 01 00 11 1F 85 00 71 CA 00 00 54 E0 0F 40 BD E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? 3C 00 00 14 E8 13 C0 79 08 01 00 11 08 65 00 51 08 7D 03 13 08 3D 00 13 E8 13 00 79 E8 13 C0 79 08 01 00 11 08 71 1D 53 E1 03 08 4B 21 00 00 11 E0 33 00 91 ?? ?? ?? ?? E0 0F 40 BD 41 00 80 52 E0 63 00 91 ?? ?? ?? ?? E8 13 C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 88 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 82 02 80 D2 21 00 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 1B 40 BD E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? F0 1F 40 BD 08 22 20 1E E0 02 00 54 E8 13 C0 79 08 01 00 11 08 05 00 51 09 7D 40 93 88 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 01 01 09 8B 82 02 80 D2 21 00 00 91 E0 43 01 91 ?? ?? ?? ?? E0 1F 40 BD E1 07 40 B9 E0 43 01 91 ?? ?? ?? ?? E3 07 40 B9 E2 43 01 91 E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 3B 40 BD 00 22 31 1E C3 00 00 54 F1 3B 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 42 08 00 54 F1 3B 40 BD F0 3F 40 BD 31 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 03 00 BD 01 00 80 52 E0 03 00 91 ?? ?? ?? ?? F0 03 40 BD 10 42 21 1E 11 C2 22 1E 50 11 00 5C 30 1A 70 1E 00 42 62 1E 00 40 20 1E 41 00 80 52 E0 63 00 91 ?? ?? ?? ?? E8 07 40 B9 09 7D 40 93 88 00 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 43 01 91 ?? ?? ?? ?? E0 1B 40 BD E1 07 40 B9 E0 43 01 91 ?? ?? ?? ?? F0 1F 40 BD 08 22 20 1E 00 03 00 54 E0 3B 40 BD ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 07 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 01 91 ?? ?? ?? ?? E0 1F 40 BD E1 07 40 B9 E0 A3 01 91 ?? ?? ?? ?? E3 07 40 B9 E2 A3 01 91 E1 07 40 B9 E0 43 01 91 ?? ?? ?? ?? E3 07 40 B9 E2 43 01 91 E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? B5 FF FF 17 F1 3B 40 BD F0 3F 40 BD 31 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 03 00 BD F0 03 40 BD 08 22 20 1E CB 00 00 54 F1 03 40 BD 10 10 2C 1E 30 2A 30 1E F0 03 00 BD 05 00 00 14 F1 03 40 BD 10 10 2C 1E 30 3A 30 1E F0 03 00 BD 01 00 80 52 E0 03 00 91 ?? ?? ?? ?? F0 03 40 BD 08 22 20 1E 00 04 00 54 E0 3B 40 BD ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 07 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 22 7D 08 9B 42 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 02 91 ?? ?? ?? ?? F0 03 40 BD 11 42 21 1E 10 10 2A 1E 30 0A 30 1E 11 C2 22 1E 50 05 00 5C 30 1A 70 1E 00 42 62 1E 00 40 20 1E E1 07 40 B9 E0 03 02 91 ?? ?? ?? ?? E3 07 40 B9 E2 03 02 91 E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? E1 07 40 B9 E0 E3 00 91 ?? ?? ?? ?? E0 2B 00 BD E8 1B 40 F9 F0 2B 40 BD 10 01 00 BD 31 03 00 1C F0 03 40 BD 00 22 31 1E A3 00 00 54 F1 03 40 BD B0 02 00 1C 00 22 31 1E E2 00 00 54 41 02 00 1C E0 03 40 BD ?? ?? ?? ?? E0 2F 00 BD F0 2F 40 BD F0 03 00 BD F0 03 40 BD 08 02 38 1E 00 05 00 12 00 00 00 11 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 B0 40 00 00 00 CF 00 00 00 4F }
	condition:
		$1
}

rule file_407_1_0 {
	meta:
		name = "_fdquadph"
		size = 408
		refs = "0014 _fdquad 0034 _fd_int 0070 fmodf 00a4 __pi 00c4 __piby4"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E0 13 00 BD E0 17 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1B 00 B9 F0 13 40 BD F0 17 00 BD 21 00 80 52 E0 53 00 91 ?? ?? ?? ?? F1 13 40 BD F0 17 40 BD 30 3A 30 1E F0 13 00 BD 51 0A 00 1C F0 17 40 BD 00 22 31 1E A3 00 00 54 F1 17 40 BD D0 09 00 1C 00 22 31 1E E2 00 00 54 61 09 00 1C E0 17 40 BD ?? ?? ?? ?? E0 27 00 BD F0 27 40 BD F0 17 00 BD F1 17 40 BD 10 10 20 1E 30 0A 30 1E 08 02 38 1E 09 05 00 12 E8 1B 40 B9 08 01 09 0B E8 1B 00 B9 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E E8 17 40 F9 10 01 40 BD 10 2A 31 1E F0 1F 00 BD F1 1F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 48 02 00 54 F1 13 40 BD 10 10 2C 1E 30 3A 30 1E F0 13 00 BD E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E E8 17 40 F9 10 01 40 BD 10 2A 31 1E E8 17 40 F9 10 01 00 BD 1B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 1F 40 BD 00 22 31 1E 48 02 00 54 F1 13 40 BD 10 10 2C 1E 30 2A 30 1E F0 13 00 BD E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E E8 17 40 F9 10 01 40 BD 10 2A 31 1E E8 17 40 F9 10 01 00 BD 04 00 00 14 E8 17 40 F9 F0 1F 40 BD 10 01 00 BD E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 00 00 80 CE 00 00 80 4E }
	condition:
		$1
}

rule file_407_2_0 {
	meta:
		name = "_fdsin"
		size = 472
		refs = "0014 _fdtest 0094 _fperrraise 0098 _FNan_C 00a8 _fdquad 00c0 _FRteps_C 0118 _c 016c _s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 1B 00 B9 E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 40 01 00 54 E8 23 40 B9 1F 05 00 71 A0 02 00 54 E8 23 40 B9 1F 09 00 71 40 00 00 54 16 00 00 14 E0 17 40 BD 5F 00 00 14 E8 1B 40 B9 68 00 00 36 10 10 2E 1E F0 17 00 BD E8 1B 40 B9 A8 00 08 36 F0 17 40 BD 10 42 21 1E F0 27 00 BD 03 00 00 14 F0 17 40 BD F0 27 00 BD E0 27 40 BD 51 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 4C 00 00 14 E0 53 00 91 ?? ?? ?? ?? E0 2F 00 B9 E9 1B 40 B9 E8 2F 40 B9 28 01 08 0B E8 1B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 17 40 BD 20 22 30 1E 62 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E C2 00 00 54 E8 1B 40 B9 68 00 00 36 10 10 2E 1E F0 17 00 BD 2C 00 00 14 F1 17 40 BD F0 17 40 BD 30 0A 30 1E F0 1F 00 BD E8 1B 40 B9 68 02 00 36 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 1F 40 BD 11 0A 31 1E 10 10 2E 1E 10 2A 31 1E F0 17 00 BD 14 00 00 14 F1 17 40 BD F0 1F 40 BD 32 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 2A 30 1E 51 0A 30 1E F0 17 40 BD 10 2A 31 1E F0 17 00 BD E8 1B 40 B9 A8 00 08 36 F0 17 40 BD 10 42 21 1E F0 2B 00 BD 03 00 00 14 F0 17 40 BD F0 2B 00 BD E0 2B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_407_3_0 {
	meta:
		name = "get_acsize"
		size = 104
		refs = "0014 _fdunscale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1F 00 BD E1 73 00 91 E0 43 00 91 ?? ?? ?? ?? E9 23 C0 79 29 01 00 11 08 03 80 52 29 0D C8 1A 48 00 80 52 28 7D 08 1B 08 11 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 1F 15 00 F1 88 00 00 54 E8 17 40 B9 E8 1B 00 B9 03 00 00 14 A8 00 80 52 E8 1B 00 B9 E0 1B 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_407_4_0 {
	meta:
		name = "lgamma_big"
		size = 208
		refs = "0024 _fdlog 0054 _fdunscale 0078 _fdscale 0090 c 00a0 half_ln2pim1 00c0 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD 11 10 2E 1E F0 1B 40 BD 30 1A 30 1E F0 27 00 BD 00 00 80 52 E0 1B 40 BD ?? ?? ?? ?? E0 1F 00 BD F1 1F 40 BD 10 10 2E 1E 30 3A 30 1E F0 23 00 BD F1 1B 40 BD 10 10 2C 1E 30 3A 30 1E F0 17 00 BD E1 53 00 91 E0 43 00 91 ?? ?? ?? ?? F1 17 40 BD F0 23 40 BD 30 0A 30 1E F0 17 00 BD E1 23 C0 79 21 00 00 11 21 00 00 11 E0 53 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 01 00 71 8A 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 27 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 31 1E F0 17 40 BD 10 2A 31 1E F0 17 00 BD 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 17 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_407_5_0 {
	meta:
		name = "lgammaf"
		size = 1276
		refs = "001c _fd_int 0060 _FInf_C 007c _fperrraise 008c _fdgamma_big 00b0 pi 00c4 _fdsin 00ec _fdlog 0100 lgamma_big 0184 rootapprox 0298 _fdpoly 030c approx 0430 _fdtgamma 0494 loge2lo 04b0 loge2hi 04d0 log1pf"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD F0 1B 00 BD 01 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 A0 01 00 54 E8 23 40 B9 1F 05 00 71 E0 00 00 54 E8 23 40 B9 1F 09 00 71 40 00 00 54 0E 00 00 14 E0 13 40 BD 24 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 21 01 00 14 F0 13 40 BD 08 22 20 1E C8 00 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 19 01 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 13 40 BD 00 22 31 1E 02 04 00 54 F1 13 40 BD F0 1B 40 BD 31 3A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 31 1E 00 00 80 52 00 40 20 1E ?? ?? ?? ?? E0 2F 00 BD F1 13 40 BD F0 2F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 1A 31 1E 00 00 80 52 00 40 20 1E ?? ?? ?? ?? E0 33 00 BD F0 13 40 BD 00 42 21 1E 00 40 20 1E ?? ?? ?? ?? E0 37 00 BD F1 33 40 BD F0 37 40 BD 20 3A 30 1E 00 40 20 1E F5 00 00 14 F4 00 00 14 F1 13 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E E8 00 00 54 E0 13 40 BD ?? ?? ?? ?? E0 3B 00 BD E0 3B 40 BD EA 00 00 14 E9 00 00 14 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 1F 31 00 F1 62 03 00 54 E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 F1 13 40 BD 10 01 40 BD 00 22 31 1E C2 01 00 54 E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 11 00 91 11 01 40 BD F0 13 40 BD 00 22 31 1E 42 00 00 54 02 00 00 14 E0 FF FF 17 E8 17 40 B9 08 7D 40 93 1F 31 00 F1 22 06 00 54 F0 13 40 BD F0 1B 00 BD E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 F1 1B 40 BD 10 01 40 BD 31 3A 30 1E E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 31 00 91 10 01 40 BD 30 3A 30 1E F0 1B 00 BD E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 17 40 B9 09 7D 40 93 08 04 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 BD ?? ?? ?? ?? E0 3F 00 BD E0 3F 40 BD 92 00 00 14 91 00 00 14 F1 13 40 BD 50 12 00 1C 00 22 31 1E 82 0B 00 54 11 10 2F 1E F0 13 40 BD 00 22 31 1E 02 0B 00 54 F0 13 40 BD F0 1B 00 BD 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 08 7D 40 93 1F 05 00 F1 E2 01 00 54 E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 BD F0 1B 40 BD 00 22 31 1E 42 00 00 54 02 00 00 14 EC FF FF 17 E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 11 00 91 F1 1B 40 BD 10 01 40 BD 30 3A 30 1E F0 1B 00 BD E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 41 00 91 E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 BD ?? ?? ?? ?? E0 43 00 BD E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 81 00 91 E8 17 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 61 00 91 41 01 40 B9 00 01 40 F9 E0 1B 40 BD ?? ?? ?? ?? E0 47 00 BD F1 43 40 BD F0 47 40 BD 30 1A 30 1E F0 4B 00 BD E0 4B 40 BD 33 00 00 14 32 00 00 14 E1 7B 00 91 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 BD F0 4F 40 BD F0 1B 00 BD F0 13 40 BD 08 22 20 1E A2 00 00 54 F0 13 40 BD 10 42 21 1E F0 27 00 BD 03 00 00 14 F0 13 40 BD F0 27 00 BD 00 00 80 52 E0 27 40 BD ?? ?? ?? ?? E0 53 00 BD F0 53 40 BD 10 42 21 1E F0 13 00 BD E8 3F C0 79 08 01 00 11 E8 03 08 4B 10 01 22 1E F0 2B 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 BD 31 0A 30 1E F0 13 40 BD 10 2A 31 1E F0 13 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 BD 31 0A 30 1E F0 13 40 BD 10 2A 31 1E F0 13 00 BD E0 1B 40 BD ?? ?? ?? ?? E0 57 00 BD F1 13 40 BD F0 57 40 BD 30 2A 30 1E F0 13 00 BD E0 13 40 BD FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 9A 99 99 3F }
	condition:
		$1
}

rule file_409_0_0 {
	meta:
		name = "_hypotf"
		size = 432
		refs = "00dc infinityf_with_flags 0138 sqrt 0178 ??_C@_07HIGHJEEA@_hypotf?$AA@ 0180 _handle_errorf"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD F0 17 40 BD 10 C2 22 1E F0 23 00 FD F0 13 40 BD 10 C2 22 1E F0 27 00 FD 10 0C 00 5C F0 3F 00 FD F0 17 40 BD 10 C2 22 1E F0 2F 00 FD E8 2F 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 F9 40 92 E8 0F 00 F9 F0 13 40 BD 10 C2 22 1E F0 33 00 FD E8 33 40 F9 E8 13 00 F9 E8 13 40 F9 08 F9 40 92 E8 13 00 F9 E8 0F 40 F9 08 FD 74 D3 E8 1B 00 F9 E8 13 40 F9 08 FD 74 D3 E8 1F 00 F9 E8 1B 40 F9 1F FD 1F F1 80 00 00 54 E8 1F 40 F9 1F FD 1F F1 C1 03 00 54 E8 1B 40 F9 1F FD 1F F1 A1 00 00 54 E8 0F 40 F9 08 CD 40 92 1F 01 00 F1 00 01 00 54 E8 1F 40 F9 1F FD 1F F1 61 01 00 54 E8 13 40 F9 08 CD 40 92 1F 01 00 F1 E1 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 2B 00 BD E0 2B 40 BD 2E 00 00 14 0A 00 00 14 F1 17 40 BD F0 17 40 BD 32 0A 30 1E F1 13 40 BD F0 13 40 BD 30 0A 30 1E 40 2A 30 1E 00 40 20 1E 24 00 00 14 F1 23 40 FD F0 23 40 FD 32 0A 70 1E F1 27 40 FD F0 27 40 FD 30 0A 70 1E 50 2A 70 1E F0 37 00 FD E0 37 40 FD ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 2B 00 FD F1 3F 40 FD F0 2B 40 FD 00 22 71 1E 0D 02 00 54 46 00 80 52 E1 13 40 BD E0 17 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 01 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2F 00 BD E0 2F 40 BD 05 00 00 14 04 00 00 14 F0 2B 40 FD 00 42 62 1E 00 40 20 1E FD 7B C8 A8 C0 03 5F D6 00 00 00 E0 FF FF EF 47 }
	condition:
		$1
}

rule file_409_1_0 {
	meta:
		name = "infinityf_with_flags"
		size = 48
		refs = "0010 raise_fpsw_flags"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? 08 F0 AF 52 E8 17 00 B9 F0 17 40 BD F0 1B 00 BD E0 1B 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "wmemmove"
		size = 64
		refs = "002c memmove"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E9 0B 40 F9 48 00 80 D2 22 7D 08 9B 42 00 00 91 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_502_0_0 {
	meta:
		name = "wmemcpy"
		size = 64
		refs = "002c memcpy"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E9 0B 40 F9 48 00 80 D2 22 7D 08 9B 42 00 00 91 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_410_1_0 {
	meta:
		name = "wmemmove_s"
		size = 652
		refs = "0060 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GK@NIEIMMID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BG@PFKJPJJI@?$AAw?$AAm?$AAe?$AAm?$AAm?$AAo?$AAv?$AAe?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 027c wmemmove"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 27 00 F9 E1 33 00 F9 E2 23 00 F9 E3 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 97 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 67 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 37 00 00 14 E9 1F 40 F9 E8 33 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 06 00 00 14 E2 1F 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_4_0 {
	meta:
		name = "?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z"
		size = 224
		refs = "0014 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0068 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0080 __acrt_stdio_flush_and_write_wide_nolock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 08 41 00 91 E8 1B 00 F9 E8 1B 40 F9 08 01 40 B9 08 7D 40 93 08 09 00 D1 09 01 00 11 E8 1B 40 F9 09 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 CA 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 23 40 79 00 00 00 11 E1 27 40 F9 00 00 00 11 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 00 3D 00 53 00 00 00 11 11 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 01 00 91 E8 17 00 F9 E8 17 40 F9 09 01 40 F9 E8 23 40 79 28 01 00 79 E8 17 40 F9 08 01 40 F9 09 09 00 91 E8 17 40 F9 09 01 00 F9 E0 23 40 79 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_8_0 {
	meta:
		name = "_fputwc_nolock"
		size = 784
		refs = "0008 __security_push_cookie 0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0028 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0048 ?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z 005c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0068 _fileno 00e4 __pioinfo 0114 __badioinfo 0264 wctomb_s 02dc _fputc_nolock 0304 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 07 00 79 E1 2F 00 F9 E1 2F 40 F9 E0 23 00 91 ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E1 07 40 F9 E0 07 40 79 ?? ?? ?? ?? E0 2B 00 79 E0 2B 40 79 AB 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 05 00 31 E0 04 00 54 E0 23 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 09 00 31 C0 03 00 54 E0 23 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 27 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 27 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 2B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 27 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 27 00 F9 E8 27 40 F9 08 E5 00 91 08 01 C0 39 E8 03 00 39 E8 03 C0 39 1F 09 00 71 80 00 00 54 E8 03 C0 39 1F 05 00 71 E1 00 00 54 E1 07 40 F9 E0 07 40 79 ?? ?? ?? ?? E0 2F 00 79 E0 2F 40 79 69 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 05 00 31 E0 04 00 54 E0 23 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 47 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 09 00 31 C0 03 00 54 E0 23 00 91 ?? ?? ?? ?? E0 4B 00 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 37 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 3B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 2B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 E8 2B 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 E8 00 38 37 E1 07 40 F9 E0 07 40 79 ?? ?? ?? ?? E0 33 00 79 E0 33 40 79 2C 00 00 14 E3 07 40 79 A2 00 80 D2 E1 A3 02 91 E0 03 01 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 60 00 00 54 E0 FF 9F 52 21 00 00 14 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 43 40 B9 E8 13 40 B9 1F 01 09 6B CA 02 00 54 E0 23 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 13 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 A3 02 91 08 01 09 8B 00 01 C0 39 00 00 00 11 E1 53 40 F9 00 00 00 11 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 05 00 31 61 00 00 54 E0 FF 9F 52 03 00 00 14 E5 FF FF 17 E0 07 40 79 FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_9_0 {
	meta:
		name = "_fputwchar"
		size = 52
		refs = "0010 __acrt_iob_func 0020 fputwc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 20 00 80 52 ?? ?? ?? ?? E0 0F 00 F9 E1 0F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_10_0 {
	meta:
		name = "_putwc_nolock"
		size = 44
		refs = "0018 _fputwc_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E1 0F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_13_0 {
	meta:
		name = "putwc"
		size = 44
		refs = "0018 fputwc"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E1 0F 40 F9 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_412_11_0 {
	meta:
		name = "fputwc"
		size = 272
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@OJHMFOOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1O@HJNPHHHB@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAc?$AA?$AA@ 00c4 _invalid_parameter 00dc _lock_file 00e8 _fputwc_nolock 00fc _unlock_file"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 27 00 79 A1 17 00 F9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 23 00 B9 A9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FF 9F 52 0E 00 00 14 E8 FF 9F 52 A8 23 00 79 A0 17 40 F9 ?? ?? ?? ?? A1 17 40 F9 A0 27 40 79 ?? ?? ?? ?? A0 2B 00 79 A8 2B 40 79 A8 23 00 79 A0 17 40 F9 ?? ?? ?? ?? A0 23 40 79 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_412_14_0 {
	meta:
		name = "putwchar"
		size = 36
		refs = "0010 _fputwchar"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E0 23 40 79 ?? ?? ?? ?? E0 27 00 79 E0 27 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_414_1_0 {
	meta:
		name = "_recalloc_base"
		size = 264
		refs = "0040 _errno 006c _msize 00a8 _realloc_base 00f8 memset"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E2 23 00 F9 E8 0B 40 F9 1F 01 00 F1 00 02 00 54 E9 03 80 92 E8 0B 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 23 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 2A 00 00 14 E8 0F 40 F9 1F 01 00 F1 E0 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 03 00 00 14 08 00 80 D2 E8 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E9 0B 40 F9 E8 23 40 F9 28 7D 08 9B E8 13 00 F9 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 E0 01 00 54 E9 13 40 F9 E8 17 40 F9 1F 01 09 EB 62 01 00 54 E9 13 40 F9 E8 17 40 F9 22 01 08 CB E9 1B 40 F9 E8 17 40 F9 20 01 08 8B 42 00 00 91 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 1B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_415_5_0 {
	meta:
		name = "_mbsnset_l"
		size = 524
		refs = "0030 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0044 ??_C@_1HA@HGKCPACN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 007c ??_C@_1BG@OCHPEGDL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0094 _invalid_parameter 00b8 _strnset 00dc ??_C@_1FE@CMFNLFJD@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 36 00 00 11 61 00 00 91 E0 43 00 91 77 02 00 91 55 00 00 91 14 00 80 52 ?? ?? ?? ?? 73 03 00 B5 55 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 08 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 17 00 80 D2 50 00 00 14 EC 13 40 F9 88 09 40 B9 E8 00 00 35 A2 02 00 91 C1 02 00 11 60 02 00 91 ?? ?? ?? ?? 17 00 00 91 47 00 00 14 C8 7E 08 53 0D 1D 00 53 18 04 80 52 2D 06 00 34 CB 1E 00 53 8B 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 0D 04 80 52 EC 13 40 F9 0B 04 80 52 B5 05 00 B4 68 02 40 39 B5 06 00 D1 C8 04 00 34 D4 00 00 35 08 01 0C 8B 09 65 40 39 69 00 10 36 34 00 80 52 02 00 00 14 14 00 80 52 6D 02 00 39 6A 1E 40 38 6A 01 00 34 D4 00 00 35 48 01 0C 8B 0A 65 40 39 6A 00 10 36 34 00 80 52 02 00 00 14 14 00 80 52 6B 02 00 39 73 06 00 91 02 00 00 14 78 F2 1F 38 15 FD FF B5 0F 00 00 14 55 02 00 B4 68 02 40 39 B5 06 00 D1 68 01 00 34 D4 00 00 35 08 01 0C 8B 09 65 40 39 69 00 10 36 34 00 80 52 02 00 00 14 14 00 80 52 76 02 00 39 73 06 00 91 95 FE FF B5 94 00 00 34 68 02 40 39 48 00 00 34 78 02 00 39 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 E0 02 00 91 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "_fdclass"
		size = 36
		refs = "0010 _fdtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_416_1_0 {
	meta:
		name = "_fdpcomp"
		size = 152
		refs = "0014 _fdtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 1B 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 00 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 00 00 80 52 11 00 00 14 10 00 00 14 F1 1B 40 BD F0 17 40 BD 00 22 31 1E 82 00 00 54 20 00 80 52 0A 00 00 14 09 00 00 14 F1 17 40 BD F0 1B 40 BD 00 22 31 1E 82 00 00 54 80 00 80 52 03 00 00 14 02 00 00 14 40 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_416_2_0 {
	meta:
		name = "_fdsign"
		size = 32
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD E8 07 40 79 08 01 00 11 00 01 11 12 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_418_0_0 {
	meta:
		name = "_set_error_mode"
		size = 308
		refs = "003c __acrt_error_mode 009c ??_C@_1DE@BCNCAIK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GO@EBFPMMIJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00c0 _CrtDbgReportW 00e8 _errno 010c ??_C@_1CA@LFDHAMEM@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 011c _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 6B 02 00 54 E8 13 40 B9 1F 09 00 71 AD 00 00 54 E8 13 40 B9 1F 0D 00 71 40 01 00 54 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 23 00 B9 ?? ?? ?? ?? E8 17 40 B9 ?? ?? ?? ?? E0 23 40 B9 35 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "_umask"
		size = 56
		refs = "0028 _umask_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 08 05 19 12 E8 1B 00 B9 08 00 80 52 E8 13 00 B9 E1 43 00 91 E0 1B 40 B9 ?? ?? ?? ?? E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_419_1_0 {
	meta:
		name = "_umask_s"
		size = 444
		refs = "0044 ??_C@_1CI@BIJNNBKA@?$AAo?$AAl?$AAd?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@MNDCKOEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BC@MDPHDOJO@?$AA_?$AAu?$AAm?$AAa?$AAs?$AAk?$AA_?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00d4 _umaskval 0118 ??_C@_1EM@IJPIKCNL@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE?$AA?$CJ?$AA?$CJ@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 B9 E1 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 3A 00 00 14 E9 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 B9 E8 23 40 B9 08 75 17 12 1F 01 00 71 81 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 05 00 00 14 ?? ?? ?? ?? E8 23 40 B9 ?? ?? ?? ?? 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_420_4_0 {
	meta:
		name = "__ascii_memicmp"
		size = 356
	strings:
		$1 = { FF C3 00 D1 E0 0B 00 F9 E1 0F 00 F9 E2 13 00 F9 08 00 80 52 E8 03 00 B9 08 00 80 52 E8 07 00 B9 E8 13 40 F9 E8 17 00 F9 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 17 40 F9 1F 01 00 F1 80 08 00 54 E8 0B 40 F9 09 01 40 39 29 01 00 11 E8 0F 40 F9 08 01 40 39 08 01 00 11 3F 01 08 6B 60 06 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 05 01 51 08 85 01 11 E8 0B 00 B9 05 00 00 14 E8 0B 40 F9 08 01 40 39 08 01 00 11 E8 0B 00 B9 E8 0F 40 F9 08 01 40 39 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 39 08 01 00 11 08 05 01 51 08 85 01 11 E8 0F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 39 08 01 00 11 E8 0F 00 B9 E8 0B 40 B9 E8 03 00 B9 E8 0F 40 B9 E8 07 00 B9 E9 07 40 B9 E8 03 40 B9 1F 01 09 6B 01 01 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 02 00 00 14 02 00 00 14 B6 FF FF 17 E9 03 40 B9 E8 07 40 B9 20 01 08 4B 00 00 00 11 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_420_5_0 {
	meta:
		name = "_memicmp"
		size = 520
		refs = "0014 __acrt_locale_changed 006c ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0090 _CrtDbgReportW 00b8 _errno 00dc ??_C@_1BC@NIPOMPCE@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 00ec _invalid_parameter 0138 ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01d0 __ascii_memicmp 01f4 _memicmp_l"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 17 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 0D 00 54 E8 27 40 F9 1F 01 00 F1 E1 00 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 43 00 00 14 E8 23 40 F9 1F 01 00 F1 E1 00 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 1F 00 B9 03 00 00 14 28 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 10 00 00 14 E2 17 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 17 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_420_6_0 {
	meta:
		name = "_memicmp_l"
		size = 824
		refs = "0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0088 ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac _CrtDbgReportW 00d4 _errno 00f8 ??_C@_1BG@DLLMINFI@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0108 _invalid_parameter 0118 ??1_LocaleUpdate@@QEAA@XZ 0164 ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0204 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0234 __ascii_memicmp 02b0 _tolower_l"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 37 00 F9 E1 33 00 F9 E2 0F 00 F9 E3 43 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 17 00 B9 E8 37 40 F9 E8 3B 00 F9 E8 33 40 F9 E8 3F 00 F9 E1 43 40 F9 E0 E3 02 91 ?? ?? ?? ?? E0 6F 00 F9 E8 37 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 37 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 37 40 B9 84 00 00 14 E8 33 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 3F 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 3F 40 B9 4D 00 00 14 E0 E3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 A1 01 00 54 E2 0F 40 F9 E1 33 40 F9 E0 37 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 47 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 47 40 B9 38 00 00 14 30 00 00 14 E8 0F 40 F9 E8 53 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 53 40 F9 1F 01 00 F1 00 05 00 54 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 81 04 00 54 E0 E3 02 91 ?? ?? ?? ?? E0 57 00 F9 E8 3B 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 4B 00 B9 E1 57 40 F9 E0 4B 40 B9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 13 00 B9 E8 3B 40 F9 08 05 00 91 E8 3B 00 F9 E0 E3 02 91 ?? ?? ?? ?? E0 5B 00 F9 E8 3F 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 53 00 B9 E1 5B 40 F9 E0 53 40 B9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 17 00 B9 E8 3F 40 F9 08 05 00 91 E8 3F 00 F9 D2 FF FF 17 E9 13 40 B9 E8 17 40 B9 28 01 08 4B E8 5B 00 B9 E0 E3 02 91 ?? ?? ?? ?? E0 5B 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_2_0 {
	meta:
		name = "?initialize@?$dual_state_global@H@__crt_state_management@@QEAAXH@Z"
		size = 84
		altNames = "?initialize@?$dual_state_global@J@__crt_state_management@@QEAAXJ@Z"
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 03 00 B9 E8 0B 40 F9 08 01 00 91 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 11 00 91 E8 07 00 F9 E8 0B 40 F9 09 11 00 91 E8 07 40 F9 1F 01 09 EB A0 00 00 54 E9 07 40 F9 E8 03 40 B9 28 01 00 B9 F5 FF FF 17 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_7_0 {
	meta:
		name = "__acrt_initialize_timeset"
		size = 188
		refs = "000c ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0014 ?initialize@?$dual_state_global@J@__crt_state_management@@QEAAXJ@Z 001c ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 0024 ?initialize@?$dual_state_global@H@__crt_state_management@@QEAAXH@Z 002c ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0038 ?_tzname@@3V?$dual_state_global@PEAPEAD@__crt_state_management@@A 0040 ?dangerous_get_state_array@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAPEAPEAPEADXZ 0084 ?tzname_states@@3PAY01PEADA"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 01 10 8E 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 21 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 C1 81 12 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 13 00 F9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 05 00 71 00 02 00 54 E8 13 40 B9 09 7D 40 D3 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 09 7D 40 D3 08 01 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 F9 EC FF FF 17 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_12_0 {
	meta:
		name = "_get_daylight"
		size = 248
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BM@FIMHBHEB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$AA@ 00c0 _invalid_parameter 00cc ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 00d4 ?value@?$dual_state_global@H@__crt_state_management@@QEAAAEAHXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 E9 13 40 F9 E8 1B 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_13_0 {
	meta:
		name = "_get_dstbias"
		size = 248
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BK@EMODDHEE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$AA@ 00c0 _invalid_parameter 00cc ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 00d4 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 E9 13 40 F9 E8 1B 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_14_0 {
	meta:
		name = "_get_timezone"
		size = 248
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BM@MGEAKPEJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$AA@ 00c0 _invalid_parameter 00cc ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 00d4 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 E9 13 40 F9 E8 1B 40 F9 08 01 40 B9 28 01 00 B9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_422_15_0 {
	meta:
		name = "_get_tzname"
		size = 868
		refs = "0070 ??_C@_1KM@BFLODGGL@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0094 _CrtDbgReportW 00bc _errno 00e0 ??_C@_1BI@BHCKCCFA@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00f0 _invalid_parameter 0148 ??_C@_1CE@HBFOGCFH@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0214 ??_C@_1DC@BDANNIGD@?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 02a0 ?_tzname@@3V?$dual_state_global@PEAPEAD@__crt_state_management@@A 02a8 ?value@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAAEAPEAPEADXZ 02d0 strlen 0350 strcpy_s"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 2B 00 F9 E1 0F 00 F9 E2 1F 00 F9 E3 13 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 1F 40 F9 1F 01 00 F1 48 01 00 54 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 99 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 63 00 00 14 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E8 13 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 33 00 B9 03 00 00 14 28 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 30 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 3B 40 F9 08 01 40 F9 08 01 09 8B 00 01 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 09 05 00 91 E8 2B 40 F9 09 01 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 19 00 00 14 E9 1F 40 F9 E8 2B 40 F9 08 01 40 F9 1F 01 09 EB 69 00 00 54 40 04 80 52 12 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 43 40 F9 08 01 40 F9 08 01 09 8B 02 01 40 F9 E1 1F 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E0 4F 40 B9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_423_0_0 {
	meta:
		name = "fmodf"
		size = 68
		refs = "0028 fmod"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD F0 13 40 BD 01 C2 22 1E F0 17 40 BD 00 C2 22 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E0 0F 00 FD F0 0F 40 FD 00 42 62 1E 00 40 20 1E FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_3_0 {
	meta:
		name = "??$common_assert@D@@YAXQEBD0IQEAX@Z"
		size = 156
		refs = "001c _set_error_mode 0044 ??$common_assert_to_stderr@D@@YAXQEBD0I@Z 0058 _query_app_type 0090 ??$common_assert_to_message_box@D@@YAXQEBD0IQEAX@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 1B 00 F9 60 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 71 C1 00 00 54 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? 13 00 00 14 E8 17 40 B9 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 05 00 71 C1 00 00 54 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? 06 00 00 14 E3 1B 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_4_0 {
	meta:
		name = "??$common_assert@_W@@YAXQEB_W0IQEAX@Z"
		size = 156
		refs = "001c _set_error_mode 0044 ??$common_assert_to_stderr@_W@@YAXQEB_W0I@Z 0058 _query_app_type 0090 ??$common_assert_to_message_box@_W@@YAXQEB_W0IQEAX@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 1B 00 F9 60 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 71 C1 00 00 54 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? 13 00 00 14 E8 17 40 B9 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 05 00 71 C1 00 00 54 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? 06 00 00 14 E3 1B 40 F9 E2 13 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_5_0 {
	meta:
		name = "??$common_assert_to_message_box@D@@YAXQEBD0IQEAX@Z"
		size = 244
		refs = "0008 __security_push_cookie 0034 memset 0050 ??$common_assert_to_message_box_build_string@D@@YAXQEAD_KQEBD2IQEAX@Z 0060 ?get_banner_text@@YAPEBDD@Z 007c ??$show_message_box@AEAY0CEA@DPEBDJ@?$__crt_char_traits@D@@SAHAEAY0CEA@D$$QEAPEBD$$QEAJ@Z 00c0 raise 00c8 _exit 00d8 abort 00e0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 0A D1 E0 17 00 F9 E1 13 00 F9 E2 07 00 B9 E3 0F 00 F9 E0 03 01 91 00 00 00 91 02 48 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E5 0F 40 F9 E4 07 40 B9 E3 13 40 F9 E2 17 40 F9 01 48 80 D2 E0 03 01 91 ?? ?? ?? ?? E8 04 00 18 E8 0B 00 B9 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E2 23 00 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 E8 03 00 B9 E8 03 40 B9 1F 0D 00 71 00 01 00 54 E8 03 40 B9 1F 11 00 71 20 01 00 54 E8 03 40 B9 1F 15 00 71 00 01 00 54 08 00 00 14 C0 02 80 52 ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? 00 00 3E D4 03 00 00 14 02 00 00 14 ?? ?? ?? ?? FF 03 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 12 20 01 00 }
	condition:
		$1
}

rule file_424_6_0 {
	meta:
		name = "??$common_assert_to_message_box@_W@@YAXQEB_W0IQEAX@Z"
		size = 244
		refs = "0008 __security_push_cookie 0034 memset 0050 ??$common_assert_to_message_box_build_string@_W@@YAXQEA_W_KQEB_W2IQEAX@Z 0060 ?get_banner_text@@YAPEB_W_W@Z 007c ??$show_message_box@AEAY0CEA@_WPEB_WJ@?$__crt_char_traits@_W@@SAHAEAY0CEA@_W$$QEAPEB_W$$QEAJ@Z 00c0 raise 00c8 _exit 00d8 abort 00e0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 13 D1 E0 17 00 F9 E1 13 00 F9 E2 07 00 B9 E3 0F 00 F9 E0 03 01 91 00 00 00 91 02 90 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E5 0F 40 F9 E4 07 40 B9 E3 13 40 F9 E2 17 40 F9 01 48 80 D2 E0 03 01 91 ?? ?? ?? ?? E8 04 00 18 E8 0B 00 B9 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E2 23 00 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 E8 03 00 B9 E8 03 40 B9 1F 0D 00 71 00 01 00 54 E8 03 40 B9 1F 11 00 71 20 01 00 54 E8 03 40 B9 1F 15 00 71 00 01 00 54 08 00 00 14 C0 02 80 52 ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? 00 00 3E D4 03 00 00 14 02 00 00 14 ?? ?? ?? ?? FF 03 13 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 12 20 01 00 }
	condition:
		$1
}

rule file_424_7_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@D@@YAXQEAD_KQEBD2IQEAX@Z"
		size = 3208
		refs = "0008 __security_push_cookie 002c ?get_box_intro@@YAPEBDD@Z 0048 ??$tcscpy_s@AEBQEADAEB_KPEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD@Z 0058 ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0060 ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0068 ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0074 _invoke_watson_if_error 007c ?get_double_newline@@YAPEBDD@Z 0098 ??$tcscat_s@AEBQEADAEB_KPEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD@Z 00b8 ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 00cc ?get_program_intro@@YAPEBDD@Z 0108 ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 012c memset 0144 __imp_GetModuleHandleExW 017c ??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@DK@?$__crt_char_traits@D@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@D$$QEAK@Z 0194 ?get_program_name_unknown_text@@YAPEBDD@Z 01b8 ??$tcscpy_s@AEAY0BAF@D_KPEBD@?$__crt_char_traits@D@@SAHAEAY0BAF@D$$QEA_K$$QEAPEBD@Z 01d8 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 01f4 ??$tcslen@AEAY0BAF@D@?$__crt_char_traits@D@@SA_KAEAY0BAF@D@Z 0234 ?get_dot_dot_dot@@YAPEBDD@Z 0260 memcpy_s 0280 ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 029c ??$tcscat_s@AEBQEADAEB_KAEAPEAD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEAD@Z 02bc ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02d0 ?get_newline@@YAPEBDD@Z 030c ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0320 ?get_file_intro@@YAPEBDD@Z 035c ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0370 ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z 0488 ??$tcsncat_s@AEBQEADAEB_KAEAPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEBD$$QEA_K@Z 04a8 ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 04f8 ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 054c ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 06b8 ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0748 ??$tcsncat_s@AEBQEADAEB_KPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD$$QEA_K@Z 0768 ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0808 ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0828 ??$tcscat_s@AEBQEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD@Z 0848 ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 08ac ?get_line_intro@@YAPEBDD@Z 08e8 ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0904 ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z 0948 ??$itot_s@AEBIPEAD_KH@?$__crt_char_traits@D@@SAHAEBI$$QEAPEAD$$QEA_K$$QEAH@Z 0968 ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 09cc ?get_expression_intro@@YAPEBDD@Z 0a08 ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0a78 ??$tcsncat_s@AEBQEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD1@Z 0a98 ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 0ae8 ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0b28 ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0b8c ?get_info_intro@@YAPEBDD@Z 0bc8 ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0c2c ?get_help_intro@@YAPEBDD@Z 0c68 ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0c7c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 0F D1 E0 03 00 F9 E1 07 00 F9 E2 6F 00 F9 E3 1B 00 F9 E4 87 00 B9 E5 8F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 7B 00 F9 E2 C3 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 AF 00 B9 05 00 80 D2 A4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AF 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 E8 83 00 F9 E2 03 04 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 B3 00 B9 05 00 80 D2 C4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B3 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 8B 00 F9 E2 43 04 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 B7 00 B9 05 00 80 D2 24 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B7 40 B9 ?? ?? ?? ?? E0 43 0B 91 00 00 00 91 A2 20 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 D2 E8 6B 00 F9 E2 43 03 91 E1 8F 40 F9 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 BB 00 B9 E8 BB 40 B9 1F 01 00 71 61 00 00 54 08 00 80 D2 E8 6B 00 F9 A8 20 80 52 E8 BF 00 B9 E2 F3 02 91 E1 43 0B 91 E0 43 03 91 ?? ?? ?? ?? E0 C7 00 B9 E8 C7 40 B9 1F 01 00 71 E1 02 00 54 00 00 80 52 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 97 00 F9 A8 20 80 D2 E8 9B 00 F9 E2 A3 04 91 E1 C3 04 91 E0 43 0B 91 ?? ?? ?? ?? E0 CB 00 B9 05 00 80 D2 24 18 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 CB 40 B9 ?? ?? ?? ?? E8 43 0B 91 E8 17 00 F9 E0 43 0B 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 2D 00 91 1F 01 01 F1 49 04 00 54 E0 43 0B 91 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 08 2D 00 91 09 01 01 D1 E8 17 40 F9 08 01 09 8B E8 17 00 F9 00 00 80 52 ?? ?? ?? ?? E0 A7 00 F9 E9 17 40 F9 E8 43 0B 91 29 01 08 CB A8 20 80 D2 01 01 09 CB 63 00 80 D2 E2 A7 40 F9 21 00 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 C4 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? E2 A3 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 24 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 AB 00 F9 E8 AB 40 F9 E8 AF 00 F9 E2 63 05 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 44 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 B7 00 F9 E2 A3 05 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 A4 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 08 21 00 91 1F 01 01 F1 C9 24 00 54 08 07 80 D2 E8 67 01 F9 08 00 80 D2 E8 0B 00 F9 08 00 80 D2 E8 0F 00 F9 E8 1B 40 F9 E8 13 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 BF 00 F9 E8 BF 40 F9 E8 0F 00 F9 28 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 71 01 71 20 02 00 54 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F BD 00 71 C0 00 00 54 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 42 00 00 54 E3 FF FF 17 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB C8 04 80 D2 1F 01 09 EB 62 08 00 54 E9 0B 40 F9 48 02 80 D2 1F 01 09 EB E9 07 00 54 A9 06 80 D2 E8 0B 40 F9 28 01 08 CB E8 C3 00 F9 E3 03 06 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 64 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 C7 00 F9 E8 C7 40 F9 E8 CB 00 F9 E2 43 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 84 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E9 13 40 F9 E8 0F 40 F9 29 01 08 8B E8 0B 40 F9 28 01 08 CB E8 CF 00 F9 E2 63 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 A4 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? AF 00 00 14 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB C8 04 80 D2 1F 01 09 EB 69 08 00 54 E9 0B 40 F9 48 00 80 D2 28 09 C8 9A E8 0B 00 F9 A9 06 80 D2 E8 0B 40 F9 28 01 08 CB E8 D3 00 F9 E3 83 06 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 84 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 D7 00 F9 E8 D7 40 F9 E8 DB 00 F9 E2 C3 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 A4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E9 13 40 F9 E8 0F 40 F9 29 01 08 8B E8 0B 40 F9 28 01 08 CB E8 DF 00 F9 E2 E3 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 5F 00 B9 05 00 80 D2 C4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 40 B9 ?? ?? ?? ?? 67 00 00 14 68 04 80 D2 E8 E3 00 F9 E3 03 07 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 63 00 B9 05 00 80 D2 84 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 E7 00 F9 E8 E7 40 F9 E8 EB 00 F9 E2 43 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 67 00 B9 05 00 80 D2 A4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 40 B9 ?? ?? ?? ?? 08 01 80 D2 E8 EF 00 F9 E9 13 40 F9 E8 0F 40 F9 29 01 08 8B E8 0B 40 F9 28 01 08 CB E8 F3 00 F9 E3 63 07 91 E2 83 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 6B 00 B9 05 00 80 D2 C4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 F7 00 F9 E8 F7 40 F9 E8 FB 00 F9 E2 C3 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 6F 00 B9 05 00 80 D2 E4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 40 B9 ?? ?? ?? ?? E9 13 40 F9 E8 0F 40 F9 28 01 08 8B 08 1D 00 D1 E8 FF 00 F9 E2 E3 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 73 00 B9 05 00 80 D2 04 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 40 B9 ?? ?? ?? ?? 10 00 00 14 E2 C3 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 77 00 B9 05 00 80 D2 C4 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 77 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 03 01 F9 E8 03 41 F9 E8 07 01 F9 E2 23 08 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 7B 00 B9 05 00 80 D2 24 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 0B 01 F9 E8 0B 41 F9 E8 0F 01 F9 E2 63 08 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 7F 00 B9 05 00 80 D2 84 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 B9 ?? ?? ?? ?? 48 01 80 52 E8 83 00 B9 E0 03 00 91 ?? ?? ?? ?? E0 13 01 F9 E9 07 40 F9 E8 13 41 F9 28 01 08 CB E8 1B 01 F9 E0 03 00 91 ?? ?? ?? ?? E0 17 01 F9 E9 03 40 F9 E8 17 41 F9 28 01 08 8B E8 1F 01 F9 E3 03 02 91 E2 C3 08 91 E1 E3 08 91 E0 13 02 91 ?? ?? ?? ?? E0 8B 00 B9 05 00 80 D2 24 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 23 01 F9 E8 23 41 F9 E8 27 01 F9 E2 23 09 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 8F 00 B9 05 00 80 D2 44 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 2B 01 F9 E8 2B 41 F9 E8 2F 01 F9 E2 63 09 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 93 00 B9 05 00 80 D2 A4 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 93 40 B9 ?? ?? ?? ?? E0 03 00 91 ?? ?? ?? ?? E0 33 01 F9 E8 33 41 F9 08 C1 02 91 E8 73 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 37 01 F9 E9 73 40 F9 E8 37 41 F9 29 01 08 8B E8 07 40 F9 3F 01 08 EB 69 05 00 54 E8 73 40 F9 09 0D 00 91 E8 07 40 F9 08 01 09 CB E8 3B 01 F9 E3 C3 09 91 E2 63 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 97 00 B9 05 00 80 D2 84 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 97 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 3F 01 F9 E8 3F 41 F9 E8 43 01 F9 E2 03 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 9B 00 B9 05 00 80 D2 A4 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 40 B9 ?? ?? ?? ?? 10 00 00 14 E2 63 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 9F 00 B9 05 00 80 D2 24 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 47 01 F9 E8 47 41 F9 E8 4B 01 F9 E2 43 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 A3 00 B9 05 00 80 D2 84 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 4F 01 F9 E8 4F 41 F9 E8 53 01 F9 E2 83 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 A7 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A7 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 57 01 F9 E8 57 41 F9 E8 5B 01 F9 E2 C3 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 AB 00 B9 05 00 80 D2 04 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AB 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 5F 01 F9 E8 5F 41 F9 E8 63 01 F9 E2 03 0B 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 C3 00 B9 05 00 80 D2 64 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 40 B9 ?? ?? ?? ?? FF 43 0F 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_8_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@_W@@YAXQEA_W_KQEB_W2IQEAX@Z"
		size = 3292
		refs = "0008 __security_push_cookie 002c ?get_box_intro@@YAPEB_W_W@Z 0048 ??$tcscpy_s@AEBQEA_WAEB_KPEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W@Z 0058 ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0060 ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0068 ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0074 _invoke_watson_if_error 007c ?get_double_newline@@YAPEB_W_W@Z 0098 ??$tcscat_s@AEBQEA_WAEB_KPEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W@Z 00b8 ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 00cc ?get_program_intro@@YAPEB_W_W@Z 0108 ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 012c memset 0144 __imp_GetModuleHandleExW 017c ??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@_W$$QEAK@Z 0194 ?get_program_name_unknown_text@@YAPEB_W_W@Z 01b8 ??$tcscpy_s@AEAY0BAF@_W_KPEB_W@?$__crt_char_traits@_W@@SAHAEAY0BAF@_W$$QEA_K$$QEAPEB_W@Z 01d8 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 01f4 ??$tcslen@AEAY0BAF@_W@?$__crt_char_traits@_W@@SA_KAEAY0BAF@_W@Z 023c ?get_dot_dot_dot@@YAPEB_W_W@Z 0274 memcpy_s 0294 ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 02b0 ??$tcscat_s@AEBQEA_WAEB_KAEAPEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEA_W@Z 02d0 ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02e4 ?get_newline@@YAPEB_W_W@Z 0320 ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0334 ?get_file_intro@@YAPEB_W_W@Z 0370 ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0384 ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z 049c ??$tcsncat_s@AEBQEA_WAEB_KAEAPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEB_W$$QEA_K@Z 04bc ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 050c ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0570 ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 06ec ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 078c ??$tcsncat_s@AEBQEA_WAEB_KPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W$$QEA_K@Z 07ac ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0854 ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0874 ??$tcscat_s@AEBQEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W@Z 0894 ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 08f8 ?get_line_intro@@YAPEB_W_W@Z 0934 ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0950 ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z 099c ??$itot_s@AEBIPEA_W_KH@?$__crt_char_traits@_W@@SAHAEBI$$QEAPEA_W$$QEA_K$$QEAH@Z 09bc ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 0a20 ?get_expression_intro@@YAPEB_W_W@Z 0a5c ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0acc ??$tcsncat_s@AEBQEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W1@Z 0aec ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 0b3c ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0b7c ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0be0 ?get_info_intro@@YAPEB_W_W@Z 0c1c ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0c80 ?get_help_intro@@YAPEB_W_W@Z 0cbc ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0cd0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 13 D1 E0 03 00 F9 E1 07 00 F9 E2 6F 00 F9 E3 1B 00 F9 E4 87 00 B9 E5 8F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 7B 00 F9 E2 C3 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 AF 00 B9 05 00 80 D2 A4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AF 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 E8 83 00 F9 E2 03 04 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 B3 00 B9 05 00 80 D2 C4 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B3 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 8B 00 F9 E2 43 04 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 B7 00 B9 05 00 80 D2 24 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 B7 40 B9 ?? ?? ?? ?? E0 43 0B 91 00 00 00 91 42 41 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 D2 E8 6B 00 F9 E2 43 03 91 E1 8F 40 F9 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 BB 00 B9 E8 BB 40 B9 1F 01 00 71 61 00 00 54 08 00 80 D2 E8 6B 00 F9 A8 20 80 52 E8 BF 00 B9 E2 F3 02 91 E1 43 0B 91 E0 43 03 91 ?? ?? ?? ?? E0 C7 00 B9 E8 C7 40 B9 1F 01 00 71 E1 02 00 54 00 00 80 52 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 97 00 F9 A8 20 80 D2 E8 9B 00 F9 E2 A3 04 91 E1 C3 04 91 E0 43 0B 91 ?? ?? ?? ?? E0 CB 00 B9 05 00 80 D2 24 18 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 CB 40 B9 ?? ?? ?? ?? E8 43 0B 91 E8 17 00 F9 E0 43 0B 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 2D 00 91 1F 01 01 F1 E9 04 00 54 E0 43 0B 91 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 08 2D 00 91 09 01 01 D1 48 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 17 00 F9 00 00 80 52 ?? ?? ?? ?? E0 A7 00 F9 E9 17 40 F9 E8 43 0B 91 28 01 08 CB 09 FD 41 93 A8 20 80 D2 09 01 09 CB 48 00 80 D2 21 7D 08 9B C3 00 80 D2 E2 A7 40 F9 21 00 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 C4 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? E2 A3 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 24 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 AB 00 F9 E8 AB 40 F9 E8 AF 00 F9 E2 63 05 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 44 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 B7 00 F9 E2 A3 05 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 A4 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 08 21 00 91 1F 01 01 F1 89 26 00 54 08 07 80 D2 E8 67 01 F9 08 00 80 D2 E8 0B 00 F9 08 00 80 D2 E8 0F 00 F9 E8 1B 40 F9 E8 13 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 BF 00 F9 E8 BF 40 F9 E8 0F 00 F9 28 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 1F 71 01 71 20 02 00 54 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 1F BD 00 71 C0 00 00 54 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 42 00 00 54 E3 FF FF 17 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB C8 04 80 D2 1F 01 09 EB E2 08 00 54 E9 0B 40 F9 48 02 80 D2 1F 01 09 EB 69 08 00 54 A9 06 80 D2 E8 0B 40 F9 28 01 08 CB E8 C3 00 F9 E3 03 06 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 64 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 C7 00 F9 E8 C7 40 F9 E8 CB 00 F9 E2 43 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 84 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E9 0B 40 F9 48 00 80 D2 28 7D 08 9B 48 01 08 CB E8 CF 00 F9 E2 63 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 A4 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? B9 00 00 14 E9 0F 40 F9 E8 0B 40 F9 29 01 08 CB C8 04 80 D2 1F 01 09 EB E9 08 00 54 E9 0B 40 F9 48 00 80 D2 28 09 C8 9A E8 0B 00 F9 A9 06 80 D2 E8 0B 40 F9 28 01 08 CB E8 D3 00 F9 E3 83 06 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 84 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 D7 00 F9 E8 D7 40 F9 E8 DB 00 F9 E2 C3 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 A4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E9 0B 40 F9 48 00 80 D2 28 7D 08 9B 48 01 08 CB E8 DF 00 F9 E2 E3 06 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 5F 00 B9 05 00 80 D2 C4 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 40 B9 ?? ?? ?? ?? 6D 00 00 14 68 04 80 D2 E8 E3 00 F9 E3 03 07 91 E2 83 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 63 00 B9 05 00 80 D2 84 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 E7 00 F9 E8 E7 40 F9 E8 EB 00 F9 E2 43 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 67 00 B9 05 00 80 D2 A4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 40 B9 ?? ?? ?? ?? 08 01 80 D2 E8 EF 00 F9 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 0A 01 09 8B E9 0B 40 F9 48 00 80 D2 28 7D 08 9B 48 01 08 CB E8 F3 00 F9 E3 63 07 91 E2 83 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 6B 00 B9 05 00 80 D2 C4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 F7 00 F9 E8 F7 40 F9 E8 FB 00 F9 E2 C3 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 6F 00 B9 05 00 80 D2 E4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 40 B9 ?? ?? ?? ?? E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 39 00 D1 E8 FF 00 F9 E2 E3 07 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 73 00 B9 05 00 80 D2 04 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 40 B9 ?? ?? ?? ?? 10 00 00 14 E2 C3 00 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 77 00 B9 05 00 80 D2 C4 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 77 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 03 01 F9 E8 03 41 F9 E8 07 01 F9 E2 23 08 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 7B 00 B9 05 00 80 D2 24 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 0B 01 F9 E8 0B 41 F9 E8 0F 01 F9 E2 63 08 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 7F 00 B9 05 00 80 D2 84 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 B9 ?? ?? ?? ?? 48 01 80 52 E8 83 00 B9 E0 03 00 91 ?? ?? ?? ?? E0 13 01 F9 E9 07 40 F9 E8 13 41 F9 28 01 08 CB E8 1B 01 F9 E0 03 00 91 ?? ?? ?? ?? E0 17 01 F9 E9 17 41 F9 48 00 80 D2 29 7D 08 9B E8 03 40 F9 08 01 09 8B E8 1F 01 F9 E3 03 02 91 E2 C3 08 91 E1 E3 08 91 E0 13 02 91 ?? ?? ?? ?? E0 8B 00 B9 05 00 80 D2 24 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8B 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 23 01 F9 E8 23 41 F9 E8 27 01 F9 E2 23 09 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 8F 00 B9 05 00 80 D2 44 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 2B 01 F9 E8 2B 41 F9 E8 2F 01 F9 E2 63 09 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 93 00 B9 05 00 80 D2 A4 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 93 40 B9 ?? ?? ?? ?? E0 03 00 91 ?? ?? ?? ?? E0 33 01 F9 E8 33 41 F9 08 C1 02 91 E8 73 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 37 01 F9 E9 73 40 F9 E8 37 41 F9 29 01 08 8B E8 07 40 F9 3F 01 08 EB 69 05 00 54 E8 73 40 F9 09 0D 00 91 E8 07 40 F9 08 01 09 CB E8 3B 01 F9 E3 C3 09 91 E2 63 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 97 00 B9 05 00 80 D2 84 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 97 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 3F 01 F9 E8 3F 41 F9 E8 43 01 F9 E2 03 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 9B 00 B9 05 00 80 D2 A4 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 40 B9 ?? ?? ?? ?? 10 00 00 14 E2 63 03 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 9F 00 B9 05 00 80 D2 24 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9F 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 47 01 F9 E8 47 41 F9 E8 4B 01 F9 E2 43 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 A3 00 B9 05 00 80 D2 84 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 4F 01 F9 E8 4F 41 F9 E8 53 01 F9 E2 83 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 A7 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A7 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 57 01 F9 E8 57 41 F9 E8 5B 01 F9 E2 C3 0A 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 AB 00 B9 05 00 80 D2 04 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AB 40 B9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 5F 01 F9 E8 5F 41 F9 E8 63 01 F9 E2 03 0B 91 E1 23 00 91 E0 03 00 91 ?? ?? ?? ?? E0 C3 00 B9 05 00 80 D2 64 26 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 40 B9 ?? ?? ?? ?? FF 83 13 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_9_0 {
	meta:
		name = "??$common_assert_to_stderr@D@@YAXQEBD0I@Z"
		size = 220
		refs = "0020 ?common_assert_to_stderr_direct@@YAXPEBD0I@Z 0028 __acrt_iob_func 0038 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0044 ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0078 setvbuf 0080 ?get_assert_format@@YAPEBDD@Z 00b8 ??$ftprintf@PEAU_iobuf@@PEBDAEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@$$QEAPEBDAEBQEBD2AEBI@Z 00cc fflush 00d0 abort"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 17 00 B9 E2 17 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 A3 01 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 40 00 80 52 ?? ?? ?? ?? E0 1F 00 F9 03 00 80 D2 82 00 80 52 01 00 80 D2 E0 1F 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 2B 00 F9 40 00 80 52 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2F 00 F9 E4 53 00 91 E3 63 00 91 E2 83 00 91 E1 43 01 91 E0 63 01 91 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_10_0 {
	meta:
		name = "??$common_assert_to_stderr@_W@@YAXQEB_W0I@Z"
		size = 220
		refs = "0020 ?common_assert_to_stderr_direct@@YAXQEB_W0I@Z 0028 __acrt_iob_func 0038 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0044 ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0078 setvbuf 0080 ?get_assert_format@@YAPEB_W_W@Z 00b8 ??$ftprintf@PEAU_iobuf@@PEB_WAEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAU_iobuf@@$$QEAPEB_WAEBQEB_W2AEBI@Z 00cc fflush 00d0 abort"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 17 00 B9 E2 17 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 A3 01 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 40 00 80 52 ?? ?? ?? ?? E0 1F 00 F9 03 00 80 D2 82 00 80 52 01 00 80 D2 E0 1F 40 F9 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 2B 00 F9 40 00 80 52 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2F 00 F9 E4 53 00 91 E3 63 00 91 E2 83 00 91 E1 43 01 91 E0 63 01 91 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_11_0 {
	meta:
		name = "??$ftprintf@PEAU_iobuf@@PEBDAEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@$$QEAPEBDAEBQEBD2AEBI@Z"
		size = 88
		refs = "0044 fprintf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 F9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_12_0 {
	meta:
		name = "??$ftprintf@PEAU_iobuf@@PEB_WAEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAU_iobuf@@$$QEAPEB_WAEBQEB_W2AEBI@Z"
		size = 88
		refs = "0044 fwprintf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E8 0F 40 F9 04 01 40 B9 E8 13 40 F9 03 01 40 F9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_13_0 {
	meta:
		name = "??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@DK@?$__crt_char_traits@D@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@D$$QEAK@Z"
		size = 68
		refs = "0028 __imp_GetModuleFileNameA"
		altNames = "??$get_module_file_name@$$TAEAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QEA$$TAEAY0BAF@D$$QEAH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_6_0 {
	meta:
		name = "??$get_module_file_name@$$TAEAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QEA$$TAEAY0BAF@_W$$QEAH@Z"
		size = 68
		refs = "0028 __imp_GetModuleFileNameW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_14_0 {
	meta:
		name = "??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@_W$$QEAK@Z"
		size = 68
		refs = "0028 __imp_GetModuleFileNameW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_15_0 {
	meta:
		name = "??$itot_s@AEBIPEAD_KH@?$__crt_char_traits@D@@SAHAEBI$$QEAPEAD$$QEA_K$$QEAH@Z"
		size = 76
		refs = "0038 _itoa_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_16_0 {
	meta:
		name = "??$itot_s@AEBIPEA_W_KH@?$__crt_char_traits@_W@@SAHAEBI$$QEAPEA_W$$QEA_K$$QEAH@Z"
		size = 76
		refs = "0038 _itow_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_36_0 {
	meta:
		name = "??$ultot_s@AEAIAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEAIAEBQEADAEB_K$$QEAH@Z"
		size = 76
		refs = "0038 _ultoa_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_37_0 {
	meta:
		name = "??$ultot_s@AEAIAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEAIAEBQEA_WAEB_K$$QEAH@Z"
		size = 76
		refs = "0038 _ultow_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E8 0F 40 F9 03 01 40 B9 E8 13 40 F9 02 01 40 F9 E8 17 40 F9 01 01 40 F9 E8 1B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_17_0 {
	meta:
		name = "??$show_message_box@AEAY0CEA@DPEBDJ@?$__crt_char_traits@D@@SAHAEAY0CEA@D$$QEAPEBD$$QEAJ@Z"
		size = 60
		refs = "0028 __acrt_show_narrow_message_box"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_18_0 {
	meta:
		name = "??$show_message_box@AEAY0CEA@_WPEB_WJ@?$__crt_char_traits@_W@@SAHAEAY0CEA@_W$$QEAPEB_W$$QEAJ@Z"
		size = 60
		refs = "0028 __acrt_show_wide_message_box"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 B9 E8 13 40 F9 01 01 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_25_0 {
	meta:
		name = "??$tcscpy_s@AEAY0BAF@D_KPEBD@?$__crt_char_traits@D@@SAHAEAY0BAF@D$$QEA_K$$QEAPEBD@Z"
		size = 60
		refs = "0028 strcpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_26_0 {
	meta:
		name = "??$tcscpy_s@AEAY0BAF@_W_KPEB_W@?$__crt_char_traits@_W@@SAHAEAY0BAF@_W$$QEA_K$$QEAPEB_W@Z"
		size = 60
		refs = "0028 wcscpy_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_43_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXPEBD0I@Z"
		size = 24
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E2 03 00 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_44_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXQEB_W0I@Z"
		size = 284
		refs = "0008 __security_push_cookie 0020 __imp_GetStdHandle 0058 __imp_GetFileType 007c ?get_assert_format@@YAPEB_W_W@Z 009c swprintf 00b8 wcslen 00e8 __imp_WriteConsoleW 0108 abort 0110 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 13 D1 E0 1B 00 F9 E1 17 00 F9 E2 0F 00 B9 60 01 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 F9 E8 13 40 F9 E8 03 00 F9 E8 03 40 F9 1F 05 00 B1 80 00 00 54 E8 03 40 F9 1F 01 00 F1 41 00 00 54 2F 00 00 14 E0 03 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 B9 E8 0B 40 B9 1F 09 00 71 40 00 00 54 26 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 1F 00 F9 E5 0F 40 B9 E4 17 40 F9 E3 1B 40 F9 E2 1F 40 F9 01 48 80 D2 E0 23 01 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 4A 00 00 54 17 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 01 00 11 E8 1B 00 B9 08 00 80 52 E8 17 00 B9 04 00 80 D2 E3 53 00 91 E2 1B 40 B9 E1 23 01 91 E0 03 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 41 00 00 54 02 00 00 14 ?? ?? ?? ?? FF 03 13 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_75_0 {
	meta:
		name = "_assert"
		size = 52
		refs = "0028 ??$common_assert@D@@YAXQEBD0IQEAX@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 07 40 F9 63 00 00 91 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_80_0 {
	meta:
		name = "_wassert"
		size = 52
		refs = "0028 ??$common_assert@_W@@YAXQEB_W0IQEAX@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E3 07 40 F9 63 00 00 91 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_77_0 {
	meta:
		name = "_vfprintf_l"
		size = 76
		refs = "0018 __local_stdio_printf_options 0038 __stdio_common_vfprintf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_78_0 {
	meta:
		name = "_vfwprintf_l"
		size = 76
		refs = "0018 __local_stdio_printf_options 0038 __stdio_common_vfwprintf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 ?? ?? ?? ?? E0 1F 00 F9 E4 0F 40 F9 E3 13 40 F9 E2 17 40 F9 E1 1B 40 F9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_81_0 {
	meta:
		name = "fprintf"
		size = 96
		refs = "001c ??$__vcrt_va_start_verify_argument_type@QEBD@@YAXXZ 0038 _vfprintf_l"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 ?? ?? ?? ?? E8 C3 00 91 E8 0F 00 F9 E3 0F 40 F9 02 00 80 D2 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C3 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_424_82_0 {
	meta:
		name = "fwprintf"
		size = 96
		refs = "001c ??$__vcrt_va_start_verify_argument_type@QEB_W@@YAXXZ 0038 _vfwprintf_l"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 ?? ?? ?? ?? E8 C3 00 91 E8 0F 00 F9 E3 0F 40 F9 02 00 80 D2 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 0F 00 F9 E0 17 40 B9 FD 7B C3 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_425_0_0 {
	meta:
		name = "??$common_tcsnset_s@_W@@YAHQEA_W_K_W1@Z"
		size = 1056
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0214 _CrtGetDebugFillThreshold 0270 memset 0274 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 02b8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 1B 00 F9 E1 0B 00 F9 E2 43 00 79 E3 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 21 01 00 54 E8 1B 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 F6 00 00 14 E8 1B 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 C3 00 00 14 E8 1B 40 F9 E8 17 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 2F 40 F9 E8 27 00 F9 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 02 00 54 E8 27 40 F9 1F 01 00 F1 29 02 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 69 01 00 54 E9 17 40 F9 E8 43 40 79 28 01 00 79 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 27 40 F9 08 05 00 D1 E8 27 00 F9 E9 FF FF 17 E8 27 40 F9 1F 01 00 F1 01 02 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 60 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 00 00 54 E8 17 40 F9 08 09 00 91 E8 17 00 F9 F2 FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 33 00 F9 E8 0B 40 F9 09 05 00 D1 E8 33 40 F9 1F 01 09 EB 82 00 00 54 E8 33 40 F9 E8 37 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 37 00 F9 E9 37 40 F9 48 00 80 D2 22 7D 08 9B E8 1B 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 3B 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 3B 40 F9 1F 01 09 EB 82 00 00 54 E8 3B 40 F9 E8 3F 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 3F 00 F9 E9 3F 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_425_1_0 {
	meta:
		name = "_wcsnset_s"
		size = 60
		refs = "0028 ??$common_tcsnset_s@_W@@YAHQEA_W_K_W1@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 23 00 79 E3 0F 00 F9 E3 0F 40 F9 E2 23 40 79 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_0_0 {
	meta:
		name = "__acrt_initialize_locks"
		size = 156
		refs = "003c ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0054 __acrt_InitializeCriticalSectionEx 006c __acrt_uninitialize_locks 0078 ?__acrt_locks_initialized@@3IA"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 13 40 B9 1F 39 00 71 42 03 00 54 E8 13 40 B9 09 7D 40 D3 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 02 00 80 52 01 F4 81 52 00 00 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 A1 00 00 54 00 00 80 52 ?? ?? ?? ?? 00 00 80 52 08 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E2 FF FF 17 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_1_0 {
	meta:
		name = "__acrt_lock"
		size = 64
		refs = "001c ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 002c __imp_EnterCriticalSection"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_3_0 {
	meta:
		name = "__acrt_unlock"
		size = 64
		refs = "001c ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 002c __imp_LeaveCriticalSection"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 09 7D 40 93 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_427_2_0 {
	meta:
		name = "__acrt_uninitialize_locks"
		size = 136
		refs = "000c ?__acrt_locks_initialized@@3IA 0048 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0058 __imp_DeleteCriticalSection"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 69 02 00 54 E8 17 40 B9 08 05 00 51 09 7D 40 D3 08 05 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 51 ?? ?? ?? ?? ?? ?? ?? ?? E9 FF FF 17 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "_isatty"
		size = 356
		refs = "001c _errno 0044 _nhandle 0080 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GA@DEPMKPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a4 _CrtDbgReportW 00f0 ??_C@_1BA@LEBDGIHM@?$AA_?$AAi?$AAs?$AAa?$AAt?$AAt?$AAy?$AA?$AA@ 0100 _invalid_parameter 0120 __pioinfo"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 28 01 80 52 28 01 00 B9 00 00 80 52 4A 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 15 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 00 01 1A 12 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "ccosf"
		size = 112
		refs = "0018 crealf 0028 cimagf 0040 _FCbuild 0054 ccoshf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD E1 1F 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 17 00 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 13 00 BD F0 13 40 BD 00 42 21 1E E1 17 40 BD 00 40 20 1E ?? ?? ?? ?? E1 27 00 BD E0 23 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E0 2B 40 BD E1 2F 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "fminf"
		size = 164
		refs = "0014 _fdtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 1B 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1B 40 BD 1B 00 00 14 1A 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 BD 11 00 00 14 10 00 00 14 F1 1B 40 BD F0 17 40 BD 00 22 31 1E 03 01 00 54 F1 1B 40 BD F0 17 40 BD 00 22 31 1E E1 00 00 54 E8 2F 40 79 08 01 00 11 88 00 78 36 E0 17 40 BD 03 00 00 14 02 00 00 14 E0 1B 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_431_0_0 {
	meta:
		name = "c16rtomb"
		size = 824
		refs = "0008 __security_push_cookie 0028 ?internal_pst@?1??c16rtomb@@9@4U_Mbstatet@@A 032c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 13 00 F9 E1 03 00 79 E2 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 00 F9 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 1D 00 13 E8 53 00 39 E8 0F 40 F9 08 01 00 91 08 01 40 B9 E8 07 00 B9 E8 13 40 F9 1F 01 00 F1 A1 00 00 54 E8 A3 00 91 E8 13 00 F9 08 00 80 52 E8 03 00 79 E8 13 40 F9 E8 07 00 F9 E8 53 C0 39 08 01 00 11 1F 01 00 71 20 03 00 54 E9 03 40 79 29 01 00 11 08 80 9B 52 3F 01 08 6B CB 00 00 54 E9 03 40 79 29 01 00 11 08 00 9C 52 1F 01 09 6B 6C 00 00 54 00 00 80 92 9C 00 00 14 E8 0F 40 F9 09 19 00 91 08 00 80 52 28 01 00 79 E9 03 40 79 29 01 00 11 08 80 9B 52 29 01 08 4B E8 07 40 B9 08 01 09 2A E8 07 00 B9 1E 00 00 14 E9 03 40 79 29 01 00 11 08 00 9B 52 3F 01 08 6B CB 00 00 54 E9 03 40 79 29 01 00 11 08 80 9B 52 1F 01 09 6B AC 00 00 54 E8 03 40 79 08 01 00 11 E8 07 00 B9 10 00 00 14 E8 0F 40 F9 09 19 00 91 28 00 80 52 28 01 00 79 E9 03 40 79 29 01 00 11 08 00 9B 52 28 01 08 4B 08 01 01 11 09 55 16 53 E8 0F 40 F9 08 01 00 91 09 01 00 B9 00 00 80 D2 73 00 00 14 E8 07 40 B9 08 61 19 12 1F 01 00 71 61 01 00 54 E8 07 40 B9 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 08 00 80 52 E8 13 00 B9 4C 00 00 14 E8 07 40 B9 08 51 15 12 1F 01 00 71 A1 01 00 54 E8 07 40 B9 08 7D 06 53 08 05 1A 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 28 00 80 52 E8 13 00 B9 3C 00 00 14 E8 07 40 B9 08 3D 10 12 1F 01 00 71 A1 01 00 54 E8 07 40 B9 08 7D 0C 53 08 09 1B 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 48 00 80 52 E8 13 00 B9 2C 00 00 14 E8 07 40 B9 08 29 0B 12 1F 01 00 71 A1 01 00 54 E8 07 40 B9 08 7D 12 53 08 0D 1C 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 68 00 80 52 E8 13 00 B9 1C 00 00 14 E8 07 40 B9 08 15 06 12 1F 01 00 71 A1 01 00 54 E8 07 40 B9 08 7D 18 53 08 11 1D 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 88 00 80 52 E8 13 00 B9 0C 00 00 14 E8 07 40 B9 08 7D 1E 53 08 15 1E 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 A8 00 80 52 E8 13 00 B9 E9 13 40 B9 08 00 80 52 1F 01 09 6B 4A 02 00 54 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E9 13 40 B9 C8 00 80 52 29 7D 08 1B E8 07 40 B9 08 25 C9 1A 08 15 00 12 08 01 19 32 09 1D 00 53 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 EC FF FF 17 E9 07 40 F9 E8 13 40 F9 20 01 08 CB 00 00 00 91 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_2_0 {
	meta:
		name = "??$initialize_from_array@$$BY00Q6AXPEB_W00I_K@Z@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAXAEAY00Q6AXPEB_W00I_K@Z@Z"
		size = 132
		refs = "0014 ?dangerous_get_state_array@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAPEAP6AXPEB_W00I_K@ZXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 1B 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 C0 01 00 54 E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 17 40 F9 0A 01 09 8B E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 1B 40 F9 09 01 09 8B 48 01 40 F9 28 01 00 F9 EE FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_7_0 {
	meta:
		name = "__acrt_initialize_invalid_parameter_handler"
		size = 44
		refs = "0018 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A 0020 ??$initialize_from_array@$$BY00Q6AXPEB_W00I_K@Z@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAXAEAY00Q6AXPEB_W00I_K@Z@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 E8 0F 00 F9 E1 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_9_0 {
	meta:
		name = "_get_thread_local_invalid_parameter_handler"
		size = 64
		refs = "0008 __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 04 00 00 14 E8 0B 40 F9 08 E1 0E 91 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_10_0 {
	meta:
		name = "_invalid_parameter"
		size = 280
		refs = "001c __acrt_getptd_noexit 0060 __guard_check_icall_fptr 008c ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A 0094 ?value@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAAEAP6AXPEB_W00I_K@ZXZ 00a4 ??$__crt_fast_decode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z 010c _invoke_watson"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 B9 E4 13 00 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 02 00 54 E8 0F 40 F9 08 E1 0E 91 08 01 40 F9 1F 01 00 F1 20 02 00 54 E8 0F 40 F9 08 E1 0E 91 08 01 40 F9 E8 23 00 F9 EF 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E4 13 40 F9 E3 13 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 E8 23 40 F9 00 01 3F D6 22 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 E0 01 00 54 E8 27 40 F9 E8 2B 00 F9 EF 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E4 13 40 F9 E3 13 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 E8 2B 40 F9 00 01 3F D6 07 00 00 14 E4 13 40 F9 E3 13 40 B9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_11_0 {
	meta:
		name = "_invalid_parameter_noinfo"
		size = 40
		refs = "001c _invalid_parameter"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 04 00 80 D2 03 00 80 52 02 00 80 D2 01 00 80 D2 00 00 80 D2 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_12_0 {
	meta:
		name = "_invalid_parameter_noinfo_noreturn"
		size = 64
		refs = "001c _invalid_parameter 0034 _invoke_watson"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 04 00 80 D2 03 00 80 52 02 00 80 D2 01 00 80 D2 00 00 80 D2 ?? ?? ?? ?? 04 00 80 D2 03 00 80 52 02 00 80 D2 01 00 80 D2 00 00 80 D2 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_13_0 {
	meta:
		name = "_invoke_watson"
		size = 40
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 0B 00 F9 E2 0F 00 F9 E3 03 00 B9 E4 13 00 F9 A0 00 80 52 60 00 3E D4 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_14_0 {
	meta:
		name = "_set_invalid_parameter_handler"
		size = 104
		refs = "000c ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A 0014 ?value@?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@QEAAAEAP6AXPEB_W00I_K@ZXZ 0024 ??$__crt_fast_decode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z 0038 ??$__crt_fast_encode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 E8 1B 40 F9 28 01 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_432_15_0 {
	meta:
		name = "_set_thread_local_invalid_parameter_handler"
		size = 72
		refs = "000c __acrt_getptd"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 E1 0E 91 08 01 40 F9 E8 17 00 F9 E8 0B 40 F9 09 E1 0E 91 E8 13 40 F9 28 01 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_433_7_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YA_KIQEB_W@Z"
		size = 84
		refs = "0030 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 03 00 80 12 E2 0F 40 F9 01 00 80 52 E0 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 00 7D 40 93 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_433_8_0 {
	meta:
		name = "?__crt_transform_string@@YA_KIQEB_WQEAD_K@Z"
		size = 104
		refs = "0044 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E8 13 40 F9 08 01 00 11 E8 13 00 B9 07 00 80 D2 06 00 80 D2 E5 13 40 B9 E4 17 40 F9 03 00 80 12 E2 1B 40 F9 01 00 80 52 E0 17 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 00 7D 40 93 00 00 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_433_16_0 {
	meta:
		name = "__acrt_copy_path_to_wide_string"
		size = 868
		refs = "0044 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1EA@EAGMBFGP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAp?$AAa?$AAt?$AAh?$AA_?$AAt?$AAo?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0190 __acrt_AreFileApisANSI 0210 __imp_MultiByteToWideChar 0234 __imp_GetLastError 0248 __acrt_errno_map_os_error 0268 ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 0278 _malloc_dbg 0288 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0294 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 02b4 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0334 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 33 00 F9 E1 37 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 A4 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 74 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E9 37 40 F9 08 00 80 D2 28 01 00 F9 05 00 80 52 04 00 80 D2 03 00 80 12 E2 33 40 F9 01 00 80 52 E0 37 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E8 47 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E0 4B 40 B9 ?? ?? ?? ?? 00 00 80 52 43 00 00 14 E8 17 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 63 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 43 00 F9 E1 43 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 52 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 B9 28 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E5 17 40 B9 E4 4B 40 F9 03 00 80 12 E2 33 40 F9 01 00 80 52 E0 37 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 53 00 B9 E8 53 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 57 00 B9 E0 57 40 B9 ?? ?? ?? ?? 08 00 80 52 E8 5B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 5B 40 B9 0C 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E9 37 40 F9 E8 4F 40 F9 28 01 00 F9 28 00 80 52 E8 5F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 5F 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_433_17_0 {
	meta:
		name = "__acrt_copy_to_char"
		size = 816
		refs = "0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CI@FCAFEBFO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAt?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0190 __acrt_AreFileApisANSI 0200 ?__crt_compute_required_transform_buffer_count@@YA_KIQEB_W@Z 021c __imp_GetLastError 0230 __acrt_errno_map_os_error 0240 ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 0250 _malloc_dbg 0260 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 026c ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ 0290 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 02a0 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 02b8 ?__crt_transform_string@@YA_KIQEB_WQEAD_K@Z 0300 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 33 00 F9 E1 37 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 97 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 67 00 00 14 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 43 00 39 03 00 00 14 08 00 80 52 E8 43 00 39 E8 43 40 39 E8 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E9 37 40 F9 08 00 80 D2 28 01 00 F9 E1 33 40 F9 E0 37 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E0 47 40 B9 ?? ?? ?? ?? 00 00 80 52 3C 00 00 14 83 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 2F 40 F9 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 4B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 B9 24 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E3 2F 40 F9 E2 4B 40 F9 E1 33 40 F9 E0 37 40 B9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 1F 01 00 F1 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4F 00 B9 E0 4F 40 B9 ?? ?? ?? ?? 08 00 80 52 E8 53 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 53 40 B9 0C 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E9 37 40 F9 E8 53 40 F9 28 01 00 F9 28 00 80 52 E8 57 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 57 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_434_1_0 {
	meta:
		name = "_mbstok_l"
		size = 68
		refs = "001c __acrt_getptd 0030 _mbstok_s_l"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 53 00 00 91 ?? ?? ?? ?? 02 E0 00 91 A0 02 00 91 63 02 00 91 81 02 00 91 ?? ?? ?? ?? FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_0_0 {
	meta:
		name = "??$common_time@J@@YAJQEAJ@Z"
		size = 100
		refs = "0024 ??$common_timespec_get@U_timespec32@@@@YAHQEAU_timespec32@@H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E9 63 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 21 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 05 00 71 60 00 00 54 08 00 80 12 E8 1B 00 B9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 E9 13 40 F9 E8 1B 40 B9 28 01 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_1_0 {
	meta:
		name = "??$common_time@_J@@YA_JQEA_J@Z"
		size = 116
		refs = "0008 __security_push_cookie 002c ??$common_timespec_get@U_timespec64@@@@YAHQEAU_timespec64@@H@Z 0068 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 07 00 F9 E9 43 00 91 29 01 00 91 08 00 80 D2 28 21 00 A9 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 03 00 B9 E8 03 40 B9 1F 05 00 71 60 00 00 54 08 00 80 92 E8 0B 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 E9 07 40 F9 E8 0B 40 F9 28 01 00 F9 E0 0B 40 F9 FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_436_2_0 {
	meta:
		name = "??$common_timespec_get@U_timespec32@@@@YAHQEAU_timespec32@@H@Z"
		size = 424
		refs = "0044 ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 00c4 _invalid_parameter 00f8 __acrt_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 2F 00 00 14 E8 1B 40 B9 1F 05 00 71 60 00 00 54 00 00 80 52 2A 00 00 14 E9 A3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 A3 00 91 ?? ?? ?? ?? A8 04 00 58 E8 2B 00 F9 E9 17 40 F9 88 04 00 58 28 01 08 CB E8 1B 00 F9 E9 1B 40 F9 C8 03 00 58 28 0D C8 9A E8 1F 00 F9 EA 1B 40 F9 49 03 00 58 48 0D C9 9A 08 7D 09 9B 49 01 08 CB 88 0C 80 D2 28 7D 08 9B E8 27 00 F9 E9 02 00 58 E8 1F 40 F9 1F 01 09 EB 6D 00 00 54 00 00 80 52 0C 00 00 14 E8 1F 40 F9 09 01 00 11 E8 13 40 F9 08 01 00 91 09 01 00 B9 E8 27 40 F9 09 01 00 11 E8 13 40 F9 08 11 00 91 09 01 00 B9 E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 80 96 98 00 00 00 00 00 00 80 3E D5 DE B1 9D 01 7F D2 FF 7F 00 00 00 00 }
	condition:
		$1
}

rule file_436_3_0 {
	meta:
		name = "??$common_timespec_get@U_timespec64@@@@YAHQEAU_timespec64@@H@Z"
		size = 424
		refs = "0044 ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 00c4 _invalid_parameter 00f8 __acrt_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 2E 00 00 14 E8 1B 40 B9 1F 05 00 71 60 00 00 54 00 00 80 52 29 00 00 14 E9 A3 00 91 29 01 00 91 08 00 80 D2 28 01 00 F9 E0 A3 00 91 ?? ?? ?? ?? A8 04 00 58 E8 2B 00 F9 E9 17 40 F9 88 04 00 58 28 01 08 CB E8 1B 00 F9 E9 1B 40 F9 C8 03 00 58 28 0D C8 9A E8 1F 00 F9 EA 1B 40 F9 49 03 00 58 48 0D C9 9A 08 7D 09 9B 49 01 08 CB 88 0C 80 D2 28 7D 08 9B E8 27 00 F9 E9 02 00 58 E8 1F 40 F9 1F 01 09 EB 6D 00 00 54 00 00 80 52 0B 00 00 14 E8 13 40 F9 09 01 00 91 E8 1F 40 F9 28 01 00 F9 E8 27 40 F9 09 01 00 11 E8 13 40 F9 08 21 00 91 09 01 00 B9 E0 1B 40 B9 FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 80 96 98 00 00 00 00 00 00 80 3E D5 DE B1 9D 01 FF 2A 58 93 07 00 00 00 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "strcmp"
		size = 168
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 07 00 F9 08 00 80 52 E8 03 00 B9 E8 0B 40 F9 09 01 40 39 29 01 00 11 E8 07 40 F9 08 01 40 39 08 01 00 11 28 01 08 4B E8 03 00 B9 E8 03 40 B9 1F 01 00 71 A1 01 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 EA FF FF 17 E8 03 40 B9 1F 01 00 71 8A 00 00 54 08 00 80 12 E8 03 00 B9 06 00 00 14 E8 03 40 B9 1F 01 00 71 6D 00 00 54 28 00 80 52 E8 03 00 B9 E0 03 40 B9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_439_4_0 {
	meta:
		name = "_mbsnbset_s_l"
		size = 944
		refs = "0054 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0074 _strnset_s 0168 _CrtGetDebugFillThreshold 0180 memset 025c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0264 ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0280 _CrtDbgReportW 0290 _errno 029c ??_C@_1BM@OLFOKMDN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02b4 _invalid_parameter 033c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BD A9 FD 03 00 91 16 00 00 91 34 00 00 91 58 00 00 11 75 00 00 91 19 00 80 52 17 00 80 52 B5 00 00 B5 B6 00 00 B5 14 18 00 B5 00 00 80 52 D6 00 00 14 B6 17 00 B4 94 17 00 B4 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 E8 00 00 35 A3 02 00 91 02 03 00 11 81 02 00 91 C0 02 00 91 ?? ?? ?? ?? A9 00 00 14 08 7F 08 53 0D 1D 00 53 CB 02 00 91 93 02 00 91 0C 1F 00 53 8D 05 00 34 CC 05 00 34 A8 01 0E 8B 09 65 40 39 69 05 10 36 75 00 00 36 B5 06 00 D1 39 00 80 52 C8 02 40 39 B5 FE 41 D3 A8 08 00 34 95 08 00 B4 73 06 00 D1 53 08 00 B4 69 05 40 39 29 03 00 34 77 00 00 34 17 00 80 52 05 00 00 14 68 01 40 39 08 01 0E 8B 0A 65 40 39 57 01 1E 12 6D 01 00 39 73 06 00 D1 6B 05 00 91 B3 06 00 B4 77 00 00 34 17 00 80 52 05 00 00 14 69 01 40 39 28 01 0E 8B 09 65 40 39 37 01 1E 12 6C 01 00 39 6B 05 00 91 69 01 40 39 B5 06 00 D1 A9 FC FF 35 28 00 00 14 7F 01 00 39 73 06 00 91 39 00 80 52 24 00 00 14 88 01 0E 8B 09 65 40 39 09 02 10 36 DF 02 00 39 9F 06 00 B1 80 0D 00 54 E8 7B 40 B2 9F 02 08 EB 84 1A 41 FA 09 0D 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A C0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? 60 00 00 14 C8 02 40 39 08 02 00 34 F5 01 00 B4 73 06 00 D1 B3 01 00 B4 77 00 00 34 17 00 80 52 05 00 00 14 69 01 40 39 28 01 0E 8B 09 65 40 39 37 01 1E 12 6C 01 00 39 6B 05 00 91 69 01 40 39 B5 06 00 D1 49 FE FF 35 B5 02 00 B5 D7 01 00 34 68 01 40 39 88 01 00 34 73 06 00 D1 53 01 00 B4 68 05 40 39 39 00 80 52 88 00 00 35 7F 01 00 39 73 06 00 91 04 00 00 14 08 04 80 52 68 01 00 39 6B 05 00 91 68 01 40 39 A8 00 00 34 73 06 00 D1 73 00 00 B4 69 1D 40 38 A9 FF FF 35 13 05 00 B5 DF 02 00 39 9F 06 00 B1 80 01 00 54 E8 7B 40 B2 9F 02 08 EB 84 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A C0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 18 00 00 14 88 06 00 91 09 F9 60 92 C9 01 00 B4 88 02 13 CB 09 05 00 91 3F 01 14 EB 42 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A C8 02 13 CB 09 01 14 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D9 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_440_7_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
		size = 1904
		refs = "004c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CC@PMAIDLKG@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00cc _invalid_parameter 00e0 strnlen 0138 _CrtGetDebugFillThreshold 0188 memset 018c ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01d0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03e4 __acrt_LCMapStringA 04cc ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0510 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05a8 _MallocaComputeSize 05d4 ??_C@_0DB@LKADJIAI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 05e4 _malloc_dbg 05f4 _MarkAllocaS 0618 ??0?$__crt_scoped_stack_ptr_tag@D@@QEAA@QEAD@Z 062c ??0?$__crt_scoped_stack_ptr@D@@QEAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z 0638 ??B?$__crt_scoped_stack_ptr@D@@QEBA_NXZ 067c ??1?$__crt_scoped_stack_ptr@D@@QEAA@XZ 068c ?get@?$__crt_scoped_stack_ptr@D@@QEBAPEADXZ 070c strcpy_s"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 FF 43 00 D1 E0 1B 00 F9 E1 13 00 F9 E2 23 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A4 01 00 14 E1 13 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 37 00 F9 E9 13 40 F9 E8 37 40 F9 1F 01 09 EB 03 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 40 03 00 54 E9 13 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 13 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 53 00 F9 E8 1B 40 F9 00 05 00 91 E2 53 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 43 01 00 14 E8 13 40 F9 1F 05 00 B1 A0 04 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 20 04 00 54 E8 37 40 F9 09 05 00 91 E8 13 40 F9 3F 01 08 EB 82 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E8 37 40 F9 09 05 00 91 E8 13 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 06 00 00 14 E8 37 40 F9 09 05 00 91 E8 13 40 F9 08 01 09 CB E8 5B 00 F9 E8 37 40 F9 09 05 00 91 E8 1B 40 F9 00 01 09 8B E2 5B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 23 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 41 04 00 54 E8 1B 40 F9 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 1F 40 F9 09 01 C0 39 29 01 00 11 28 08 80 52 1F 01 09 6B CC 01 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 69 01 71 2C 01 00 54 E8 1F 40 F9 09 01 C0 39 29 01 00 11 E8 03 80 12 28 01 08 4B 09 1D 00 13 E8 1F 40 F9 09 01 00 39 E5 FF FF 17 00 00 80 52 F4 00 00 14 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 23 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 06 00 80 52 05 00 80 D2 04 00 80 12 E3 1B 40 F9 02 20 80 52 21 01 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 E8 2F 00 B9 E9 2F 40 B9 08 00 80 52 1F 01 09 6B 61 01 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 48 05 80 52 28 01 00 B9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 00 01 40 B9 CF 00 00 14 E8 2F 40 B9 09 7D 40 93 E8 13 40 F9 1F 01 09 EB 02 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 40 03 00 54 E9 13 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 5F 00 F9 E8 13 40 F9 09 05 00 D1 E8 5F 40 F9 1F 01 09 EB 82 00 00 54 E8 5F 40 F9 E8 63 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 63 00 F9 E8 1B 40 F9 00 05 00 91 E2 63 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 83 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 73 00 00 14 E8 2F 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 1F 01 00 F1 80 02 00 54 E8 2F 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 93 00 F9 03 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 93 40 F9 ?? ?? ?? ?? E0 97 00 F9 A1 BB 9B 52 E0 97 40 F9 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 E8 67 00 F9 03 00 00 14 08 00 80 D2 E8 67 00 F9 E1 67 40 F9 E0 A3 05 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 01 01 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 BB 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 08 01 40 B9 E8 83 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 83 40 B9 38 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 AB 00 F9 E8 23 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 23 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 E6 2F 40 B9 E5 AB 40 F9 04 00 80 12 E3 1B 40 F9 02 20 80 52 21 01 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 00 02 00 54 E0 23 01 91 ?? ?? ?? ?? E0 AF 00 F9 E2 AF 40 F9 E1 13 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 E8 8F 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 8F 40 B9 0F 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 B3 00 F9 E9 B3 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 93 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 93 40 B9 03 00 00 14 E0 23 01 91 ?? ?? ?? ?? FF 43 00 91 FD 7B D7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_440_13_0 {
	meta:
		name = "_strlwr"
		size = 388
		refs = "000c __acrt_locale_changed 0058 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BA@EGFMICNO@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?$AA@ 00d8 _invalid_parameter 0174 _strlwr_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 0A 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 27 00 00 14 E8 17 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 02 00 54 E8 13 40 F9 09 01 C0 39 29 01 00 11 28 08 80 52 1F 01 09 6B AC 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 08 81 00 11 09 1D 00 13 E8 13 40 F9 09 01 00 39 E6 FF FF 17 E0 17 40 F9 07 00 00 14 06 00 00 14 02 00 80 D2 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_441_0_0 {
	meta:
		name = "__fpe_flt_rounds"
		size = 136
		refs = "0008 fegetround"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 08 71 6C 01 00 54 E8 13 40 B9 1F 01 08 71 00 02 00 54 E8 13 40 B9 1F 01 00 71 60 01 00 54 E8 13 40 B9 1F 01 04 71 80 01 00 54 0D 00 00 14 E8 13 40 B9 1F 01 0C 71 40 00 00 54 09 00 00 14 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 40 00 80 52 04 00 00 14 60 00 80 52 02 00 00 14 00 00 80 12 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_441_1_0 {
	meta:
		name = "fegetround"
		size = 52
		refs = "0010 _getfpcontrolword"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 08 00 80 52 E8 13 00 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 00 05 18 12 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_443_0_0 {
	meta:
		name = "_strrev"
		size = 176
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E8 07 40 F9 E8 0F 00 F9 E8 07 40 F9 E8 0B 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 07 00 B9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 07 40 B9 1F 01 00 71 40 00 00 54 F6 FF FF 17 E8 07 40 F9 08 09 00 D1 E8 07 00 F9 E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 42 02 00 54 E8 0B 40 F9 08 01 C0 39 E8 03 00 39 E9 0B 40 F9 E8 07 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 07 40 F9 E8 03 C0 39 28 01 00 39 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 EC FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_444_0_0 {
	meta:
		name = "_finitef"
		size = 56
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD F0 03 40 BD F0 07 00 BD E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 09 79 00 12 08 F0 AF 52 28 01 08 4B 00 7D 1F 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_445_0_0 {
	meta:
		name = "_frnd"
		size = 700
		refs = "0014 separate_fp"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 FD E0 63 00 91 E0 1F 40 FD ?? ?? ?? ?? E0 23 00 FD F0 23 40 FD F0 13 00 FD 09 44 3B D5 08 E0 93 D2 28 01 08 CA 08 01 00 11 08 05 0A 12 E8 13 00 B9 09 10 A0 52 E8 13 40 B9 1F 01 09 6B AC 01 00 54 09 10 A0 52 E8 13 40 B9 1F 01 09 6B 60 04 00 54 E8 13 40 B9 1F 01 00 71 40 06 00 54 09 08 A0 52 E8 13 40 B9 1F 01 09 6B 40 01 00 54 8E 00 00 14 09 18 A0 52 E8 13 40 B9 1F 01 09 6B 40 00 00 54 89 00 00 14 E0 0F 40 FD 88 00 00 14 86 00 00 14 F0 13 40 FD 08 22 60 1E 81 00 00 54 E0 0F 40 FD 82 00 00 14 0C 00 00 14 F0 13 40 FD 08 22 60 1E ED 00 00 54 F1 0F 40 FD 10 10 6E 1E 20 2A 70 1E 00 40 60 1E 79 00 00 14 03 00 00 14 E0 0F 40 FD 76 00 00 14 74 00 00 14 F0 13 40 FD 08 22 60 1E 81 00 00 54 E0 0F 40 FD 70 00 00 14 0C 00 00 14 F0 13 40 FD 08 22 60 1E 8D 00 00 54 E0 0F 40 FD 6A 00 00 14 06 00 00 14 F1 0F 40 FD 10 10 6E 1E 20 3A 70 1E 00 40 60 1E 64 00 00 14 62 00 00 14 F0 13 40 FD 08 22 60 1E 81 00 00 54 E0 0F 40 FD 5E 00 00 14 5C 00 00 14 F0 13 40 FD 08 22 60 1E 0D 01 00 54 11 10 6C 1E F0 13 40 FD 00 22 71 1E 82 00 00 54 E0 0F 40 FD 54 00 00 14 52 00 00 14 11 10 6C 1E F0 13 40 FD 00 22 71 1E 61 02 00 54 F0 0F 40 FD 0A 02 78 9E 49 00 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 C0 00 00 54 F1 0F 40 FD 10 10 6E 1E 30 2A 70 1E F0 17 00 FD 03 00 00 14 F0 0F 40 FD F0 17 00 FD E0 17 40 FD 3E 00 00 14 3C 00 00 14 11 10 6C 1E F0 13 40 FD 00 22 71 1E 6D 01 00 54 11 10 6E 1E F0 13 40 FD 00 22 71 1E E2 00 00 54 F1 0F 40 FD 10 10 6E 1E 20 2A 70 1E 00 40 60 1E 30 00 00 14 2E 00 00 14 F0 13 40 FD 08 22 60 1E 02 01 00 54 11 10 7C 1E F0 13 40 FD 00 22 71 1E 8D 00 00 54 E0 0F 40 FD 26 00 00 14 24 00 00 14 11 10 7C 1E F0 13 40 FD 00 22 71 1E 61 02 00 54 F0 0F 40 FD 0A 02 78 9E 49 00 80 D2 48 0D C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 C0 00 00 54 F1 0F 40 FD 10 10 6E 1E 30 3A 70 1E F0 1B 00 FD 03 00 00 14 F0 0F 40 FD F0 1B 00 FD E0 1B 40 FD 10 00 00 14 0E 00 00 14 11 10 7C 1E F0 13 40 FD 00 22 71 1E 42 01 00 54 11 10 7E 1E F0 13 40 FD 00 22 71 1E CD 00 00 54 F1 0F 40 FD 10 10 6E 1E 20 3A 70 1E 00 40 60 1E 02 00 00 14 E0 0F 40 FD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_445_1_0 {
	meta:
		name = "separate_fp"
		size = 896
		refs = "000c one"
	strings:
		$1 = { FF C3 00 D1 E0 0F 00 FD E0 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 08 7D 1D 13 08 01 00 52 E8 03 00 B9 29 00 80 52 E8 03 40 B9 28 01 08 4B E8 07 00 B9 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 08 01 40 B9 E8 0F 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 08 01 40 B9 E8 17 00 B9 E8 0F 40 B9 08 79 14 53 08 FD 0F 51 E8 0B 00 B9 E8 0B 40 B9 1F 51 00 71 4A 0B 00 54 E8 0B 40 B9 1F 01 00 71 AA 02 00 54 E8 0F 40 B9 0A 01 01 12 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 B9 E0 0F 40 FD A6 00 00 14 42 00 00 14 09 FE BF 12 E8 0B 40 B9 28 29 C8 1A E8 13 00 B9 E9 0F 40 B9 E8 13 40 B9 29 01 08 0A E8 17 40 B9 28 01 08 2A 1F 01 00 71 C1 03 00 54 E8 13 40 F9 F0 0F 40 FD 10 01 00 FD E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 08 01 40 B9 0A 01 01 12 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 0A 01 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E0 0F 40 FD 7E 00 00 14 1A 00 00 14 E8 13 40 B9 E9 03 28 2A E8 0F 40 B9 0A 01 09 0A E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 B9 F1 0F 40 FD E8 13 40 F9 10 01 40 FD 20 3A 70 1E 00 40 60 1E 64 00 00 14 63 00 00 14 E8 0B 40 B9 1F CD 00 71 2D 04 00 54 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E E8 13 40 F9 10 01 00 FD E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 08 01 40 B9 0A 01 01 12 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 0A 01 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E0 0F 40 FD 41 00 00 14 40 00 00 14 E8 0B 40 B9 09 51 00 51 08 00 80 12 08 25 C9 1A E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 28 01 08 0A 1F 01 00 71 C1 03 00 54 E8 13 40 F9 F0 0F 40 FD 10 01 00 FD E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 08 01 40 B9 0A 01 01 12 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 08 01 09 8B 0A 01 00 B9 E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 63 00 91 09 01 09 8B 08 00 80 52 28 01 00 B9 E0 0F 40 FD 1A 00 00 14 19 00 00 14 E8 03 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B E8 0F 40 B9 28 01 00 B9 E8 13 40 B9 E9 03 28 2A E8 17 40 B9 0A 01 09 0A E8 07 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0A 01 00 B9 F1 0F 40 FD E8 13 40 F9 10 01 40 FD 20 3A 70 1E 00 40 60 1E FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "_call_matherr"
		size = 144
		refs = "0054 _ctrlfp 005c __acrt_invoke_user_matherr 0074 _set_errno_from_matherr"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 B9 E2 13 00 F9 E0 17 00 FD E1 1B 00 FD E2 1F 00 FD E3 23 00 F9 E8 13 40 B9 E8 4B 00 B9 E8 13 40 F9 E8 2B 00 F9 F0 17 40 FD F0 2F 00 FD F0 1B 40 FD F0 33 00 FD F0 1F 40 FD F0 37 00 FD E1 01 00 58 E0 23 40 F9 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 61 00 00 54 E0 13 40 B9 ?? ?? ?? ?? E0 37 40 FD FD 7B C7 A8 C0 03 5F D6 1F 20 03 D5 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_446_1_0 {
	meta:
		name = "_exception_enabled"
		size = 272
		refs = "0030 _set_statfp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 13 00 F9 E8 17 40 B9 08 11 00 12 E8 13 00 B9 E8 17 40 B9 28 01 18 36 E8 13 40 F9 E8 00 40 36 20 00 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1C 12 E8 13 00 B9 20 00 00 14 E8 17 40 B9 28 01 10 36 E8 13 40 F9 E8 00 48 36 40 00 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1D 12 E8 13 00 B9 16 00 00 14 E8 17 40 B9 28 01 00 36 E8 13 40 F9 E8 00 50 36 80 00 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1F 12 E8 13 00 B9 0C 00 00 14 E8 17 40 B9 48 01 08 36 E8 13 40 F9 08 01 58 36 E8 17 40 B9 68 00 20 36 00 01 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1E 12 E8 13 00 B9 E8 17 40 B9 08 01 20 36 E8 13 40 F9 C8 00 60 36 00 02 80 D2 ?? ?? ?? ?? E8 13 40 B9 08 79 1B 12 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 E8 1B 00 B9 03 00 00 14 28 00 80 52 E8 1B 00 B9 E0 1B 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_446_2_0 {
	meta:
		name = "_handle_error"
		size = 328
		refs = "0008 __security_push_cookie 003c _ctrlfp 0064 _exception_enabled 00c0 _raise_exc 00c4 __acrt_has_user_matherr 0104 _call_matherr 011c _set_errno_from_matherr 0134 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 03 D1 E0 2F 00 F9 E1 23 00 B9 E2 27 00 F9 E3 07 00 B9 E4 0B 00 B9 E5 27 00 B9 E0 1F 00 FD E1 1B 00 FD E6 1F 00 B9 61 08 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 0B 00 F9 E8 27 40 F9 E8 2B 00 F9 F0 2B 40 FD F0 17 00 FD E1 0B 40 F9 E0 0B 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 02 00 54 E8 1F 40 B9 1F 09 00 71 41 01 00 54 E8 B3 40 B9 08 01 00 32 E8 B3 00 B9 E9 B3 40 B9 28 00 80 52 09 0D 1F 33 E9 B3 00 B9 F0 1B 40 FD F0 53 00 FD E5 A3 00 91 E4 E3 00 91 E3 23 40 B9 E2 0B 40 B9 E1 43 00 91 E0 C3 01 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 00 02 00 54 E8 07 40 B9 1F 01 00 71 A0 01 00 54 E3 0B 40 F9 E2 17 40 FD E1 1B 40 FD E0 1F 40 FD E2 2F 40 F9 E1 27 40 B9 E0 07 40 B9 ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 08 00 00 14 03 00 00 14 E0 07 40 B9 ?? ?? ?? ?? 01 01 00 58 E0 0B 40 F9 ?? ?? ?? ?? E0 17 40 FD FF 83 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_446_3_0 {
	meta:
		name = "_handle_errorf"
		size = 360
		refs = "0008 __security_push_cookie 003c _ctrlfp 0068 _exception_enabled 00c0 _raise_excf 00c4 __acrt_has_user_matherr 011c _call_matherr 013c _set_errno_from_matherr 0154 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 03 D1 E0 27 00 F9 E1 2F 00 B9 E2 23 00 F9 E3 07 00 B9 E4 0F 00 B9 E5 33 00 B9 E0 17 00 BD E1 13 00 BD E6 2B 00 B9 61 09 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 0F 00 F9 E8 23 40 F9 08 01 00 11 E8 23 00 B9 F0 23 40 BD F0 0B 00 BD E1 0F 40 F9 E0 0F 40 B9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 61 02 00 54 E8 2B 40 B9 1F 09 00 71 21 01 00 54 E8 A3 40 B9 08 01 00 32 E8 A3 00 B9 E8 A3 40 B9 08 6D 1B 12 E8 A3 00 B9 F0 13 40 BD F0 93 00 BD E5 23 00 91 E4 53 00 91 E3 2F 40 B9 E2 0F 40 B9 E1 63 00 91 E0 83 01 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 00 03 00 54 E8 07 40 B9 1F 01 00 71 A0 02 00 54 F0 0B 40 BD 02 C2 22 1E F0 13 40 BD 01 C2 22 1E F0 17 40 BD 00 C2 22 1E E3 0F 40 F9 42 40 60 1E 21 40 60 1E 00 40 60 1E E2 27 40 F9 E1 33 40 B9 E0 07 40 B9 ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD 00 42 62 1E 00 40 20 1E 08 00 00 14 03 00 00 14 E0 07 40 B9 ?? ?? ?? ?? 01 01 00 58 E0 0F 40 F9 ?? ?? ?? ?? E0 0B 40 BD FF 43 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 9F C0 03 00 00 00 00 }
	condition:
		$1
}

rule file_446_4_0 {
	meta:
		name = "_handle_nan"
		size = 48
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 4D B2 E8 03 00 F9 E8 03 40 F9 E8 07 00 F9 F0 07 40 FD F0 0B 00 FD E0 0B 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_446_5_0 {
	meta:
		name = "_handle_nanf"
		size = 48
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 08 01 0A 32 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 F0 07 40 BD F0 0B 00 BD E0 0B 40 BD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_26_0 {
	meta:
		name = "??0__crt_scoped_get_last_error_reset@@QEAA@XZ"
		size = 56
		refs = "000c __imp_GetLastError"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 0F 40 F9 09 01 00 91 E8 13 40 B9 28 01 00 B9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_28_0 {
	meta:
		name = "??1__crt_scoped_get_last_error_reset@@QEAA@XZ"
		size = 44
		refs = "0018 __imp_SetLastError"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 01 00 91 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_42_0 {
	meta:
		name = "?construct_ptd@@YAXQEAU__acrt_ptd@@QEAPEAU__crt_locale_data@@@Z"
		size = 204
		refs = "0028 __acrt_exception_action_table 004c __acrt_initial_multibyte_data 0090 ??0<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@QEAA@AEBQEAU__acrt_ptd@@@Z 00a0 ??$__acrt_lock_and_call@V<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@@Z 00b0 ??0<lambda_92619d2358a28f41a33ba319515a20b9>@@QEAA@AEBQEAU__acrt_ptd@@AEBQEAPEAU__crt_locale_data@@@Z 00c0 ??$__acrt_lock_and_call@V<lambda_92619d2358a28f41a33ba319515a20b9>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_92619d2358a28f41a33ba319515a20b9>@@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E8 0B 40 F9 09 A1 00 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0B 40 F9 09 A1 0E 91 28 00 80 52 28 01 00 B9 E8 0B 40 F9 09 21 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 E8 0B 40 F9 09 F1 02 91 68 08 80 52 28 01 00 79 E8 0B 40 F9 09 09 07 91 68 08 80 52 28 01 00 79 E8 0B 40 F9 09 81 0E 91 08 00 80 D2 28 01 00 F9 E1 43 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E1 0F 40 F9 A0 00 80 52 ?? ?? ?? ?? E2 83 00 91 E1 43 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 80 00 80 52 ?? ?? ?? ?? FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_43_0 {
	meta:
		name = "?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z"
		size = 128
		refs = "0030 __acrt_current_locale_data 0038 ?dangerous_get_state_array@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAPEAPEAU__crt_locale_data@@XZ 0070 ?construct_ptd@@YAXQEAU__acrt_ptd@@QEAPEAU__crt_locale_data@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 60 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E9 0B 40 F9 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 01 01 09 8B E9 0B 40 F9 08 79 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E9 FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_45_0 {
	meta:
		name = "?destroy_fls@@YAXPEAX@Z"
		size = 56
		refs = "0020 ?destroy_ptd_array@@YAXQEAU__acrt_ptd@@@Z 002c _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 06 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_46_0 {
	meta:
		name = "?destroy_ptd@@YAXQEAU__acrt_ptd@@@Z"
		size = 304
		refs = "0014 __acrt_exception_action_table 0038 _free_dbg 00f8 ??0<lambda_e157831efee4ea0afb0a2ace5dd5fd0d>@@QEAA@AEBQEAU__acrt_ptd@@@Z 0108 ??$__acrt_lock_and_call@V<lambda_e157831efee4ea0afb0a2ace5dd5fd0d>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_e157831efee4ea0afb0a2ace5dd5fd0d>@@@Z 0114 ??0<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@QEAA@AEBQEAU__acrt_ptd@@@Z 0124 ??$__acrt_lock_and_call@V<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 01 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 C1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 61 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 A1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 21 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 41 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 E1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 02 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 0F 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E1 43 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E1 0F 40 F9 A0 00 80 52 ?? ?? ?? ?? E1 43 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 80 00 80 52 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_47_0 {
	meta:
		name = "?destroy_ptd_array@@YAXQEAU__acrt_ptd@@@Z"
		size = 88
		refs = "0048 ?destroy_ptd@@YAXQEAU__acrt_ptd@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 F1 20 01 00 54 E9 0B 40 F9 08 79 80 D2 29 7D 08 9B E8 0F 40 F9 00 01 09 8B 00 00 00 91 ?? ?? ?? ?? F3 FF FF 17 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_51_0 {
	meta:
		name = "?internal_get_ptd_head@@YAPEAU__acrt_ptd@@XZ"
		size = 368
		refs = "0008 ?try_get_ptd_head@@YAPEAU__acrt_ptd@@XZ 0048 ?__acrt_flsindex@@3KA 0050 __acrt_FlsSetValue 0070 ??_C@_0DM@DKIFNNOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 0084 _calloc_dbg 0094 ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAA@QEAU__acrt_ptd@@@Z 00a0 ??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBA_NXZ 00d4 ??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAA@XZ 00e4 ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEBAPEAU__acrt_ptd@@XZ 0144 ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z 014c ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAAPEAU__acrt_ptd@@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 81 00 00 54 00 00 80 D2 50 00 00 14 06 00 00 14 E8 17 40 F9 1F 01 00 F1 60 00 00 54 E0 17 40 F9 4A 00 00 14 01 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 40 00 00 14 44 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 79 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 01 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 23 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 40 F9 23 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 61 01 00 54 01 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 2B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2B 40 F9 0E 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_52_0 {
	meta:
		name = "?internal_getptd_noexit@@YAPEAU__acrt_ptd@@XZ"
		size = 124
		refs = "000c ??0__crt_scoped_get_last_error_reset@@QEAA@XZ 0014 ?internal_get_ptd_head@@YAPEAU__acrt_ptd@@XZ 003c ??1__crt_scoped_get_last_error_reset@@QEAA@XZ 0048 ?get_current_state_index@__crt_state_management@@YA_KXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 17 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 17 40 F9 0C 00 00 14 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 79 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E8 1F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 1F 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_55_0 {
	meta:
		name = "?replace_current_thread_locale_nolock@@YAXQEAU__acrt_ptd@@QEAU__crt_locale_data@@@Z"
		size = 228
		refs = "0030 __acrt_release_locale_ref 0034 __acrt_current_locale_data 003c ?value@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAAEAPEAU__crt_locale_data@@XZ 0068 __acrt_initial_locale_data 00a4 __acrt_free_locale 00d8 __acrt_add_locale_ref"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 1F 01 00 F1 40 04 00 54 E8 0B 40 F9 08 41 02 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0B 40 F9 0A 41 02 91 E8 0F 40 F9 09 01 40 F9 48 01 40 F9 1F 01 09 EB 60 02 00 54 E8 0B 40 F9 0A 41 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB 80 01 00 54 E8 0B 40 F9 08 41 02 91 08 01 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 A1 00 00 54 E8 0B 40 F9 08 41 02 91 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 09 41 02 91 E8 13 40 F9 28 01 00 F9 E8 0B 40 F9 08 41 02 91 08 01 40 F9 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 41 02 91 00 01 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_56_0 {
	meta:
		name = "?try_get_ptd_head@@YAPEAU__acrt_ptd@@XZ"
		size = 88
		refs = "0008 ?__acrt_flsindex@@3KA 0028 __acrt_FlsGetValue"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 61 00 00 54 00 00 80 D2 0D 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 02 00 00 14 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_58_0 {
	meta:
		name = "__acrt_freeptd"
		size = 72
		refs = "0008 ?try_get_ptd_head@@YAPEAU__acrt_ptd@@XZ 002c ?__acrt_flsindex@@3KA 0034 __acrt_FlsSetValue 003c ?destroy_fls@@YAXPEAX@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 07 00 00 14 01 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_59_0 {
	meta:
		name = "__acrt_getptd"
		size = 52
		refs = "0008 ?internal_getptd_noexit@@YAPEAU__acrt_ptd@@XZ 0024 abort"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_60_0 {
	meta:
		name = "__acrt_getptd_head"
		size = 52
		refs = "0008 ?internal_get_ptd_head@@YAPEAU__acrt_ptd@@XZ 0024 abort"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_447_63_0 {
	meta:
		name = "__acrt_uninitialize_ptd"
		size = 64
		refs = "000c ?__acrt_flsindex@@3KA 0024 __acrt_FlsFree"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 E0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_448_0_0 {
	meta:
		name = "_lrotl"
		size = 76
		altNames = "_rotl"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 B9 E8 03 40 B9 08 11 00 12 E8 03 00 B9 09 04 80 52 E8 03 40 B9 29 01 08 4B E8 07 40 B9 0A 25 C9 1A E9 07 40 B9 E8 03 40 B9 28 21 C8 1A 48 01 08 2A E8 07 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_448_2_0 {
	meta:
		name = "_rotl64"
		size = 84
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 08 15 00 12 E8 03 00 B9 09 08 80 52 E8 03 40 B9 28 01 08 4B 09 7D 40 93 E8 07 40 F9 0A 25 C9 9A E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 21 C9 9A 48 01 08 AA E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_449_3_0 {
	meta:
		name = "?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z"
		size = 1464
		refs = "0098 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b0 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00bc _CrtDbgReportW 00e4 _errno 0108 ??_C@_1CG@JEHFHLNG@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0118 _invalid_parameter 012c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0144 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01d0 ??1_LocaleUpdate@@QEAA@XZ 0254 __imp_MultiByteToWideChar 0298 __imp_GetLastError 0364 _isleadbyte_l 04d8 strlen"
	strings:
		$1 = { FD 7B AB A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 1F 00 F9 E3 4B 00 F9 08 00 80 D2 E8 0B 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 E8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 5D 01 00 14 E8 0F 40 F9 1F 01 00 F1 E0 00 00 54 E8 1F 40 F9 1F 01 00 F1 89 00 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 24 01 00 14 E1 4B 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 A3 00 F9 E8 0F 40 F9 1F 01 00 F1 80 1B 00 54 E0 23 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 81 05 00 54 E9 1F 40 F9 E8 0B 40 F9 1F 01 09 EB 22 04 00 54 E9 0B 40 F9 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 C0 39 09 1D 00 53 29 01 00 11 E8 0F 40 F9 09 01 00 79 E9 0B 40 F9 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 E8 53 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 53 40 F9 F6 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 DD FF FF 17 E8 0B 40 F9 E8 9F 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 9F 40 F9 E9 00 00 14 A6 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 57 00 F9 E8 1F 40 F9 05 01 00 11 E8 57 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 A5 00 00 11 E4 0F 40 F9 03 00 80 12 E2 13 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 08 7D 40 93 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 00 01 00 54 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 5B 40 F9 C7 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F E9 01 71 E0 01 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 05 80 52 28 01 00 B9 E9 0F 40 F9 08 00 80 52 28 01 00 79 08 00 80 92 E8 63 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 63 40 F9 B2 00 00 14 E8 1F 40 F9 08 01 00 11 E8 33 00 B9 E8 13 40 F9 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 33 40 B9 E8 77 00 B9 E8 33 40 B9 08 05 00 51 E8 33 00 B9 E8 77 40 B9 1F 01 00 71 80 05 00 54 E8 17 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 E0 04 00 54 E0 23 01 91 ?? ?? ?? ?? E0 67 00 F9 E8 17 40 F9 00 01 40 39 00 00 00 11 E1 67 40 F9 00 00 00 11 ?? ?? ?? ?? E0 7B 00 B9 E8 7B 40 B9 1F 01 00 71 20 03 00 54 E8 17 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 48 05 80 52 28 01 00 B9 E9 0F 40 F9 08 00 80 52 28 01 00 79 08 00 80 92 E8 6F 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 6F 40 F9 7B 00 00 14 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 CB FF FF 17 E9 17 40 F9 E8 13 40 F9 28 01 08 CB 08 01 00 11 E8 7F 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 73 00 F9 E8 1F 40 F9 05 01 00 11 E8 73 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 A5 00 00 11 E4 0F 40 F9 E3 7F 40 B9 E2 13 40 F9 21 00 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 83 00 B9 E8 83 40 B9 08 7D 40 93 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 E1 01 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 05 80 52 28 01 00 B9 E9 0F 40 F9 08 00 80 52 28 01 00 79 08 00 80 92 E8 7B 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 7B 40 F9 49 00 00 14 E8 0B 40 F9 E8 7F 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 7F 40 F9 43 00 00 14 40 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 61 01 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 8B 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 8B 40 F9 2F 00 00 14 2C 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 05 00 80 52 04 00 80 D2 03 00 80 12 E2 13 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 87 00 B9 E8 87 40 B9 08 7D 40 93 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 A1 01 00 54 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 48 05 80 52 28 01 00 B9 08 00 80 92 E8 97 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 97 40 F9 0B 00 00 14 08 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 9B 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 9B 40 F9 03 00 00 14 E0 23 01 91 ?? ?? ?? ?? FD 7B D5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_449_6_0 {
	meta:
		name = "_mbstowcs_s_l"
		size = 1500
		refs = "0080 ??_C@_1JM@MEKBACIG@?$AA?$CI?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00a4 _CrtDbgReportW 00cc _errno 00f0 ??_C@_1BM@PHENIGHD@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0100 _invalid_parameter 0150 _CrtGetDebugFillThreshold 01ac memset 01d0 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 023c ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02cc ??1_LocaleUpdate@@QEAA@XZ 02dc ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02f4 ?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z 04dc ??_C@_1CO@JNPEPJAL@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?$AA@"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 E2 0B 00 F9 E3 73 00 F9 E4 3B 00 F9 E5 67 00 F9 08 00 80 52 E8 43 00 B9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 0B 40 F9 1F 01 00 F1 88 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 33 01 00 14 E8 0F 40 F9 1F 01 00 F1 E0 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 3F 40 F9 1F 01 09 EB 82 00 00 54 E8 3F 40 F9 E8 43 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 43 00 F9 E9 43 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 D2 28 01 00 F9 E1 67 40 F9 E0 43 04 91 ?? ?? ?? ?? E0 9B 00 F9 E9 0B 40 F9 E8 3B 40 F9 1F 01 09 EB 89 00 00 54 E8 0B 40 F9 E8 47 00 F9 03 00 00 14 E8 3B 40 F9 E8 47 00 F9 E8 47 40 F9 E8 4B 00 F9 E9 7B 40 B2 E8 4B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C8 02 80 52 E8 5B 00 B9 E0 43 04 91 ?? ?? ?? ?? E0 5B 40 B9 C0 00 00 14 E0 43 04 91 ?? ?? ?? ?? E0 6F 00 F9 E3 6F 40 F9 E2 4B 40 F9 E1 73 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 61 06 00 54 E8 0F 40 F9 1F 01 00 F1 E0 04 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 08 01 40 B9 E8 5F 00 B9 E0 43 04 91 ?? ?? ?? ?? E0 5F 40 B9 80 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 1F 01 00 F1 E0 0D 00 54 E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB 69 0C 00 54 E8 3B 40 F9 1F 05 00 B1 80 0B 00 54 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 57 00 F9 E8 0B 40 F9 09 05 00 D1 E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E8 0F 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E9 0B 40 F9 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 48 04 80 52 E8 67 00 B9 E0 43 04 91 ?? ?? ?? ?? E0 67 40 B9 18 00 00 14 E8 0B 40 F9 E8 13 00 F9 08 0A 80 52 E8 43 00 B9 E8 13 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 E8 13 40 F9 28 01 00 F9 E8 43 40 B9 E8 6B 00 B9 E0 43 04 91 ?? ?? ?? ?? E0 6B 40 B9 FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_449_7_0 {
	meta:
		name = "mbstowcs"
		size = 120
		refs = "0014 __acrt_locale_changed 002c __acrt_initial_locale_pointers 0040 _mbstowcs_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_450_10_0 {
	meta:
		name = "__acrt_locale_free_monetary"
		size = 660
		refs = "0024 __acrt_lconv_c 0048 _free_dbg"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 9D 00 00 14 E8 0B 40 F9 0A 61 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 61 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 81 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 81 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A A1 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 A1 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A C1 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 C1 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A E1 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 E1 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 01 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 01 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 21 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 21 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A A1 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 A1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A C1 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 C1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A E1 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 E1 01 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 01 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 01 02 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 21 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 21 02 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 0A 41 02 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 E8 0B 40 F9 08 41 02 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_450_11_0 {
	meta:
		name = "__acrt_locale_initialize_monetary"
		size = 2424
		refs = "0050 ??_C@_0DC@GMDOHFAP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0064 _calloc_dbg 0074 ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAA@QEAUlconv@@@Z 0088 ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAAPEAUlconv@@XZ 00c8 ??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAA@XZ 010c ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@QEAJ@Z 0120 ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAPEAJXZ 0160 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@XZ 017c _free_dbg 0280 __acrt_GetLocaleInfoA 06b8 __acrt_locale_free_monetary 06f4 fix_grouping 0704 __acrt_lconv_c 0880 ??_C@_1DM@GKAPAMDO@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0888 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0898 ??_C@_1GE@IEFGCKMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 08a4 _CrtDbgReportW"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 17 00 F9 08 00 80 D2 E8 27 00 F9 E8 17 40 F9 E8 1F 00 F9 08 00 80 D2 E8 23 00 F9 E8 17 40 F9 08 01 05 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E8 17 40 F9 08 21 05 91 08 01 40 F9 1F 01 00 F1 A0 3D 00 54 C4 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 13 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 6F 00 F9 E1 6F 40 F9 E0 83 03 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 6B 00 F9 E0 6B 40 F9 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 08 1D 00 53 E8 C3 00 39 E0 83 03 91 ?? ?? ?? ?? E8 C3 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 24 02 00 14 84 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 81 00 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 77 00 F9 E1 77 40 F9 E0 E3 04 91 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 7F 00 F9 E0 7F 40 F9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E8 5F 40 B9 08 1D 00 53 E8 C7 00 39 E0 E3 04 91 ?? ?? ?? ?? E8 C7 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FB 01 00 14 E8 17 40 F9 08 01 05 91 08 01 40 F9 1F 01 00 F1 20 2B 00 54 E4 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 81 00 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 8B 00 F9 E1 8B 40 F9 E0 C3 04 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 E8 93 00 F9 E0 93 40 F9 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 08 1D 00 53 E8 CB 00 39 E0 C3 04 91 ?? ?? ?? ?? E8 CB 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 2B 40 F9 ?? ?? ?? ?? 20 00 80 52 CA 01 00 14 E8 17 40 F9 08 01 05 91 08 01 40 F9 E8 13 00 F9 08 00 80 52 E8 13 00 B9 E8 0F 40 F9 04 61 00 91 84 00 00 91 A3 02 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 AF 00 B9 E9 13 40 B9 E8 AF 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 81 00 91 84 00 00 91 83 02 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 B7 00 B9 E9 13 40 B9 E8 B7 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 A1 00 91 84 00 00 91 C3 02 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 BB 00 B9 E9 13 40 B9 E8 BB 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 C1 00 91 84 00 00 91 E3 02 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 BF 00 B9 E9 13 40 B9 E8 BF 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 E1 00 91 84 00 00 91 03 03 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 C3 00 B9 E9 13 40 B9 E8 C3 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 01 01 91 84 00 00 91 03 0A 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 67 00 B9 E9 13 40 B9 E8 67 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 21 01 91 84 00 00 91 23 0A 80 52 E2 13 40 F9 21 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 6B 00 B9 E9 13 40 B9 E8 6B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 41 01 91 84 00 00 91 43 03 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 6F 00 B9 E9 13 40 B9 E8 6F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 45 01 91 84 00 00 91 23 03 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 73 00 B9 E9 13 40 B9 E8 73 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 49 01 91 84 00 00 91 83 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 77 00 B9 E9 13 40 B9 E8 77 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 4D 01 91 84 00 00 91 A3 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 7B 00 B9 E9 13 40 B9 E8 7B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 51 01 91 84 00 00 91 C3 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 7F 00 B9 E9 13 40 B9 E8 7F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 55 01 91 84 00 00 91 E3 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 83 00 B9 E9 13 40 B9 E8 83 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 59 01 91 84 00 00 91 43 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 9B 00 B9 E9 13 40 B9 E8 9B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 5D 01 91 84 00 00 91 63 0A 80 52 E2 13 40 F9 01 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 87 00 B9 E9 13 40 B9 E8 87 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 A1 01 91 84 00 00 91 A3 02 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 8B 00 B9 E9 13 40 B9 E8 8B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 C1 01 91 84 00 00 91 83 02 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 8F 00 B9 E9 13 40 B9 E8 8F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 E1 01 91 84 00 00 91 C3 02 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 93 00 B9 E9 13 40 B9 E8 93 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 01 02 91 84 00 00 91 E3 02 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 97 00 B9 E9 13 40 B9 E8 97 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 21 02 91 84 00 00 91 03 0A 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 B3 00 B9 E9 13 40 B9 E8 B3 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 41 02 91 84 00 00 91 23 0A 80 52 E2 13 40 F9 41 00 80 52 E0 E3 00 91 ?? ?? ?? ?? E0 9F 00 B9 E9 13 40 B9 E8 9F 40 B9 28 01 08 2A E8 13 00 B9 E8 13 40 B9 1F 01 00 71 C0 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 2B 40 F9 ?? ?? ?? ?? 41 00 80 52 E0 27 40 F9 ?? ?? ?? ?? 20 00 80 52 A3 00 00 14 E8 0F 40 F9 08 E1 00 91 00 01 40 F9 ?? ?? ?? ?? 0F 00 00 14 EC 0F 40 F9 8C 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 6B 01 00 91 6A 41 02 91 69 21 40 A9 89 21 00 A9 6B 41 00 91 8C 41 00 91 7F 01 0A EB 61 FF FF 54 68 01 40 F9 88 01 00 F9 E8 17 40 F9 08 E1 03 91 08 01 40 F9 0A 01 00 91 E8 0F 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E8 17 40 F9 08 E1 03 91 08 01 40 F9 0A 21 00 91 E8 0F 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 17 40 F9 08 E1 03 91 08 01 40 F9 0A 41 00 91 E8 0F 40 F9 09 41 00 91 48 01 40 F9 28 01 00 F9 E8 17 40 F9 08 E1 03 91 08 01 40 F9 0A 61 01 91 E8 0F 40 F9 09 61 01 91 48 01 40 F9 28 01 00 F9 E8 17 40 F9 08 E1 03 91 08 01 40 F9 0A 81 01 91 E8 0F 40 F9 09 81 01 91 48 01 40 F9 28 01 00 F9 E9 2B 40 F9 28 00 80 52 28 01 00 B9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 28 00 80 52 28 01 00 B9 08 00 00 14 08 00 80 D2 E8 27 00 F9 08 00 80 D2 E8 2B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 0F 00 F9 E8 17 40 F9 08 C1 03 91 08 01 40 F9 1F 01 00 F1 C0 04 00 54 E8 17 40 F9 08 C1 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 A3 00 B9 E8 A3 40 B9 1F 01 00 71 C1 02 00 54 E8 17 40 F9 08 C1 03 91 08 01 40 F9 1F 01 00 F1 28 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 19 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A7 00 B9 E9 A7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 F9 08 81 03 91 08 01 40 F9 1F 01 00 F1 60 03 00 54 E8 17 40 F9 08 81 03 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 AB 00 B9 E8 AB 40 B9 1F 01 00 71 61 01 00 54 E8 17 40 F9 08 E1 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 17 40 F9 08 81 03 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 17 40 F9 09 C1 03 91 E8 27 40 F9 28 01 00 F9 E8 17 40 F9 09 81 03 91 E8 2B 40 F9 28 01 00 F9 E8 17 40 F9 09 E1 03 91 E8 0F 40 F9 28 01 00 F9 00 00 80 52 FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_451_1_0 {
	meta:
		name = "?shortsort_s@@YAXPEAD0_KP6AHPEAXPEBX3@ZQEAX@Z"
		size = 248
		refs = "0084 __guard_check_icall_fptr 00cc ?swap@@YAXPEAD0_K@Z 00e8 ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 30 00 80 92 B0 33 00 F9 A0 1F 00 F9 A1 13 00 F9 A2 17 00 F9 A3 2B 00 F9 A4 2F 00 F9 A8 43 00 91 A8 37 00 F9 A9 1F 40 F9 A8 13 40 F9 1F 01 09 EB 69 05 00 54 A8 1F 40 F9 A8 23 00 F9 A9 1F 40 F9 A8 17 40 F9 28 01 08 8B A8 0F 00 F9 05 00 00 14 A9 0F 40 F9 A8 17 40 F9 28 01 08 8B A8 0F 00 F9 A9 13 40 F9 A8 0F 40 F9 1F 01 09 EB 68 02 00 54 A8 2B 40 F9 A8 27 00 F9 AF 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A2 23 40 F9 A1 0F 40 F9 A0 2F 40 F9 A8 27 40 F9 00 01 3F D6 A0 33 00 B9 A8 33 40 B9 1F 01 00 71 6D 00 00 54 A8 0F 40 F9 A8 23 00 F9 E7 FF FF 17 A2 17 40 F9 A1 13 40 F9 A0 23 40 F9 ?? ?? ?? ?? A9 13 40 F9 A8 17 40 F9 28 01 08 CB A8 13 00 F9 D3 FF FF 17 A0 43 00 91 ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_451_4_0 {
	meta:
		name = "qsort_s"
		size = 2012
		refs = "0008 __security_push_cookie 0064 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0088 _CrtDbgReportW 00b0 _errno 00d4 ??_C@_1BA@PAHGIMFK@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA_?$AAs?$AA?$AA@ 00e4 _invalid_parameter 0120 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01dc ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e4 ?shortsort_s@@YAXPEAD0_KP6AHPEAXPEBX3@ZQEAX@Z 0318 __guard_check_icall_fptr 0354 ?swap@@YAXPEAD0_K@Z 07d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 13 D1 E0 4F 00 F9 E1 4B 00 F9 E2 13 00 F9 E3 1F 00 F9 E4 23 00 F9 E8 4F 40 F9 1F 01 00 F1 E1 00 00 54 E8 4B 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 4B 00 B9 03 00 00 14 28 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B9 01 00 14 E8 13 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8A 01 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 87 00 B9 E9 87 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 5B 01 00 14 08 00 80 52 E8 03 00 B9 E8 4B 40 F9 1F 09 00 F1 42 00 00 54 55 01 00 14 E8 4F 40 F9 E8 17 00 F9 E8 4B 40 F9 09 05 00 D1 E8 13 40 F9 09 7D 09 9B E8 4F 40 F9 08 01 09 8B E8 1B 00 F9 E9 1B 40 F9 E8 17 40 F9 29 01 08 CB E8 13 40 F9 48 00 00 B5 80 00 3E D4 28 09 C8 9A 08 05 00 91 E8 53 00 F9 E8 53 40 F9 1F 21 00 F1 08 01 00 54 E4 23 40 F9 E3 1F 40 F9 E2 13 40 F9 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? 22 01 00 14 E9 53 40 F9 48 00 80 D2 29 09 C8 9A E8 13 40 F9 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 0B 00 F9 E8 1F 40 F9 E8 57 00 F9 EF 57 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 17 40 F9 E0 23 40 F9 E8 57 40 F9 00 01 3F D6 E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 AD 00 00 54 E2 13 40 F9 E1 0B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 1F 40 F9 E8 5B 00 F9 EF 5B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 1B 40 F9 E1 17 40 F9 E0 23 40 F9 E8 5B 40 F9 00 01 3F D6 E0 63 00 B9 E8 63 40 B9 1F 01 00 71 AD 00 00 54 E2 13 40 F9 E1 1B 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 1F 40 F9 E8 5F 00 F9 EF 5F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 1B 40 F9 E1 0B 40 F9 E0 23 40 F9 E8 5F 40 F9 00 01 3F D6 E0 67 00 B9 E8 67 40 B9 1F 01 00 71 AD 00 00 54 E2 13 40 F9 E1 1B 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E8 17 40 F9 E8 0F 00 F9 E8 1B 40 F9 E8 07 00 F9 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 09 03 00 54 E9 0F 40 F9 E8 13 40 F9 28 01 08 8B E8 0F 00 F9 E9 0B 40 F9 E8 0F 40 F9 1F 01 09 EB 02 02 00 54 E8 1F 40 F9 E8 63 00 F9 EF 63 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 0F 40 F9 E0 23 40 F9 E8 63 40 F9 00 01 3F D6 E0 6B 00 B9 E8 6B 40 B9 1F 01 00 71 4D FD FF 54 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 08 03 00 54 E9 0F 40 F9 E8 13 40 F9 28 01 08 8B E8 0F 00 F9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 08 02 00 54 E8 1F 40 F9 E8 67 00 F9 EF 67 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 0F 40 F9 E0 23 40 F9 E8 67 40 F9 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 4D FD FF 54 E9 07 40 F9 E8 13 40 F9 28 01 08 CB E8 07 00 F9 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 09 02 00 54 E8 1F 40 F9 E8 6B 00 F9 EF 6B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 07 40 F9 E0 23 40 F9 E8 6B 40 F9 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 4C FD FF 54 E9 0F 40 F9 E8 07 40 F9 1F 01 09 EB 42 00 00 54 0C 00 00 14 E2 13 40 F9 E1 07 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 61 00 00 54 E8 0F 40 F9 E8 0B 00 F9 A4 FF FF 17 E9 07 40 F9 E8 13 40 F9 28 01 08 8B E8 07 00 F9 E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 02 03 00 54 E9 07 40 F9 E8 13 40 F9 28 01 08 CB E8 07 00 F9 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 09 02 00 54 E8 1F 40 F9 E8 6F 00 F9 EF 6F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 07 40 F9 E0 23 40 F9 E8 6F 40 F9 00 01 3F D6 E0 7B 00 B9 E8 7B 40 B9 1F 01 00 71 40 FD FF 54 E9 07 40 F9 E8 0B 40 F9 1F 01 09 EB 03 03 00 54 E9 07 40 F9 E8 13 40 F9 28 01 08 CB E8 07 00 F9 E9 17 40 F9 E8 07 40 F9 1F 01 09 EB 09 02 00 54 E8 1F 40 F9 E8 73 00 F9 EF 73 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 0B 40 F9 E1 07 40 F9 E0 23 40 F9 E8 73 40 F9 00 01 3F D6 E0 77 00 B9 E8 77 40 B9 1F 01 00 71 40 FD FF 54 E9 07 40 F9 E8 17 40 F9 2A 01 08 CB E9 1B 40 F9 E8 0F 40 F9 28 01 08 CB 5F 01 08 EB 0B 04 00 54 E9 07 40 F9 E8 17 40 F9 1F 01 09 EB 82 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 04 91 09 01 09 8B E8 17 40 F9 28 01 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 C3 0B 91 09 01 09 8B E8 07 40 F9 28 01 00 F9 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 82 00 00 54 E8 0F 40 F9 E8 17 00 F9 EC FE FF 17 1F 00 00 14 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 82 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 04 91 09 01 09 8B E8 0F 40 F9 28 01 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 C3 0B 91 09 01 09 8B E8 1B 40 F9 28 01 00 F9 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 07 40 F9 E8 17 40 F9 1F 01 09 EB 82 00 00 54 E8 07 40 F9 E8 1B 00 F9 CD FE FF 17 E8 03 40 B9 08 05 00 51 E8 03 00 B9 E8 03 40 B9 1F 01 00 71 4B 02 00 54 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 03 04 91 08 01 09 8B 08 01 40 F9 E8 17 00 F9 E8 03 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 C3 0B 91 08 01 09 8B 08 01 40 F9 E8 1B 00 F9 B6 FE FF 17 FF 83 13 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_452_17_0 {
	meta:
		name = "puts"
		size = 808
		refs = "0040 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FM@DPFHHLEF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_19OHLFMNEA@?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 00c0 _invalid_parameter 00d0 __acrt_iob_func 00e8 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 00f0 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 010c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0118 _fileno 0154 __pioinfo 0184 __badioinfo 0254 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 02e4 strlen 0304 ??0<lambda_3126a0d026c48c72336a1719c85146ae>@@QEAA@AEBQEAU_iobuf@@AEBQEBDAEB_K@Z 0314 ??$__acrt_lock_stream_and_call@V<lambda_3126a0d026c48c72336a1719c85146ae>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_3126a0d026c48c72336a1719c85146ae>@@@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 96 00 00 14 20 00 80 52 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 23 00 F9 E1 23 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 23 01 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E0 23 01 91 ?? ?? ?? ?? E0 3B 00 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 2B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 E8 2B 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 2F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2F 00 F9 E8 2F 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 11 00 00 14 E0 1F 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 47 00 F9 E3 23 02 91 E2 E3 00 91 E1 03 01 91 E0 63 02 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 37 00 B9 E0 37 40 B9 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "_chgsignf"
		size = 64
	strings:
		$1 = { FF 43 00 D1 E0 07 00 BD F0 07 40 BD F0 0B 00 BD E8 0B 40 B9 E8 03 00 B9 E8 03 40 B9 08 01 01 52 E8 03 00 B9 E8 03 40 B9 E8 0F 00 B9 F0 0F 40 BD F0 07 00 BD E0 07 40 BD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_455_4_0 {
	meta:
		name = "_gcvt"
		size = 84
		refs = "0024 _gcvt_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 FD E0 13 00 B9 E1 13 00 F9 E2 13 40 B9 E0 17 40 FD 01 00 80 92 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_455_5_0 {
	meta:
		name = "_gcvt_s"
		size = 1500
		refs = "0008 __security_push_cookie 0054 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@OOBIALCB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BA@LEDEFPAA@?$AA_?$AAg?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d8 _CrtGetDebugFillThreshold 0228 memset 0268 ??_C@_1FM@DGDLPJGG@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$DO?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?$CJ?$AA?5?$AA?$DM@ 02fc ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0308 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0358 __acrt_fltout 03b8 __acrt_fp_format 03f4 ??1_LocaleUpdate@@QEAA@XZ 05d0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 14 D1 E0 1B 00 F9 E1 13 00 F9 E0 43 00 FD E2 1F 00 B9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 3C 01 00 14 E8 13 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0C 01 00 14 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 40 03 00 54 E9 13 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 4B 00 F9 E8 13 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 4F 00 F9 E8 1B 40 F9 00 05 00 91 E2 4F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 1F 40 B9 09 7D 40 93 E8 13 40 F9 3F 01 08 EB 82 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 B7 00 00 14 01 00 80 D2 E0 A3 03 91 ?? ?? ?? ?? E0 87 00 F9 E0 A3 03 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 08 01 00 91 08 01 40 F9 08 E1 03 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 C0 39 E8 63 00 39 E9 63 03 91 29 01 00 91 08 00 80 D2 28 21 00 A9 C3 2B 80 D2 E2 43 04 91 E1 63 03 91 C0 2B 80 52 E0 43 40 FD ?? ?? ?? ?? E8 DF 40 B9 08 05 00 51 E8 53 00 B9 E8 53 40 B9 1F 05 00 31 CB 00 00 54 E8 1F 40 B9 09 05 00 51 E8 53 40 B9 1F 01 09 6B 0D 04 00 54 E8 1F 40 B9 06 05 00 51 08 00 80 D2 E8 03 00 F9 07 02 80 D2 C6 00 00 11 A5 0C 80 52 C4 2B 80 D2 E3 C3 09 91 E2 13 40 F9 E1 1B 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 80 01 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 E8 2B 40 B9 28 01 00 B9 E8 2B 40 B9 E8 5B 00 B9 E0 A3 03 91 ?? ?? ?? ?? E0 5B 40 B9 74 00 00 14 20 00 00 14 E9 1F 40 B9 E8 DF 40 B9 26 01 08 4B 08 00 80 D2 E8 03 00 F9 07 02 80 D2 C6 00 00 11 C5 0C 80 52 C4 2B 80 D2 E3 43 0F 91 E2 13 40 F9 E1 1B 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 80 01 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 E8 2F 40 B9 28 01 00 B9 E8 2F 40 B9 E8 63 00 B9 E0 A3 03 91 ?? ?? ?? ?? E0 63 40 B9 54 00 00 14 E8 1B 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 0B 40 F9 09 01 C0 39 29 01 00 11 E8 63 C0 39 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F1 FF FF 17 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 67 00 B9 E0 A3 03 91 ?? ?? ?? ?? E0 67 40 B9 37 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 95 01 71 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F3 FF FF 17 E8 0B 40 F9 E8 47 00 F9 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 A1 00 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 F8 FF FF 17 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 E8 47 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 01 C0 39 08 01 00 11 E8 6B 00 B9 E8 47 40 F9 08 05 00 91 E8 47 00 F9 E8 6B 40 B9 1F 01 00 71 40 00 00 54 EF FF FF 17 08 00 80 52 E8 6F 00 B9 E0 A3 03 91 ?? ?? ?? ?? E0 6F 40 B9 FF C3 14 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "_Cosh"
		size = 404
		refs = "0014 _dtest 00c4 _Inf_C 00f4 _fperrraise 00f8 _Nan_C 012c _Xbig_C 014c _dexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CC 05 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 46 00 00 14 26 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 3F 00 00 14 1F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 E0 01 00 54 F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 17 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E0 17 40 FD 29 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 23 00 00 14 03 00 00 14 E0 13 40 FD 20 00 00 14 1F 00 00 14 F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E E2 01 00 54 01 00 80 12 00 10 6E 1E E0 63 00 91 ?? ?? ?? ?? 11 10 6A 1E F0 0F 40 FD 31 1A 70 1E F0 0F 40 FD 11 2A 71 1E F0 13 40 FD 00 0A 71 1E 00 40 60 1E 07 00 00 14 06 00 00 14 01 00 80 12 E0 13 40 FD E0 63 00 91 ?? ?? ?? ?? E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_667_0_0 {
	meta:
		name = "_LCosh"
		size = 404
		refs = "0014 _ldtest 00c4 _LInf_C 00f4 _fperrraise 00f8 _LNan_C 012c _LXbig_C 014c _ldexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 E8 27 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 27 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CC 05 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 0F 40 FD 46 00 00 14 26 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 FD 3F 00 00 14 1F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 E0 01 00 54 F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 17 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 00 FD E0 17 40 FD 29 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 23 00 00 14 03 00 00 14 E0 13 40 FD 20 00 00 14 1F 00 00 14 F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 0F 40 FD 00 22 71 1E E2 01 00 54 01 00 80 12 00 10 6E 1E E0 63 00 91 ?? ?? ?? ?? 11 10 6A 1E F0 0F 40 FD 31 1A 70 1E F0 0F 40 FD 11 2A 71 1E F0 13 40 FD 00 0A 71 1E 00 40 60 1E 07 00 00 14 06 00 00 14 01 00 80 12 E0 13 40 FD E0 63 00 91 ?? ?? ?? ?? E0 0F 40 FD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_456_1_0 {
	meta:
		name = "ccosh"
		size = 920
		refs = "0018 creal 0030 cimag 0044 _dtest 008c _Nan_C 0094 _Cbuild 00f0 _fperrraise 0110 _Zero_C 016c _Inf_C 02dc sin 02e8 cos 0348 _Sinh 0364 _Cosh"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 23 00 FD E1 27 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 17 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 0F 00 FD E0 A3 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 47 00 79 E8 47 C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 4F 00 FD E0 4B 00 FD E0 4B 40 FD E1 4F 40 FD B8 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 57 00 FD E0 53 00 FD E0 53 40 FD E1 57 40 FD AD 00 00 14 AC 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 A1 06 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A1 02 00 54 F0 0F 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 1B 00 FD 03 00 00 14 70 13 00 5C F0 1B 00 FD E1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5F 00 FD E0 5B 00 FD E0 5B 40 FD E1 5F 40 FD 8F 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 67 00 FD E0 63 00 FD E0 63 40 FD E1 67 40 FD 80 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6F 00 FD E0 6B 00 FD E0 6B 40 FD E1 6F 40 FD 75 00 00 14 74 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 05 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 FD E0 73 00 FD E0 73 40 FD E1 77 40 FD 63 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 7F 00 FD E0 7B 00 FD E0 7B 40 FD E1 7F 40 FD 54 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 87 00 FD E0 83 00 FD E0 83 40 FD E1 87 40 FD 49 00 00 14 48 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 05 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 81 02 00 54 F0 17 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0F 40 FD F0 1F 00 FD E1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 8F 00 FD E0 8B 00 FD E0 8B 40 FD E1 8F 40 FD 2E 00 00 14 17 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 33 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 37 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 33 40 FD 21 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 37 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 97 00 FD E0 93 00 FD E0 93 40 FD E1 97 40 FD 17 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 3B 00 FD E1 3B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 43 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 3F 00 FD E1 3F 40 FD E0 17 40 FD ?? ?? ?? ?? E0 47 00 FD E1 43 40 FD E0 47 40 FD ?? ?? ?? ?? E1 9F 00 FD E0 9B 00 FD E0 9B 40 FD E1 9F 40 FD FD 7B D4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_667_1_0 {
	meta:
		name = "ccoshl"
		size = 920
		refs = "0018 creall 0030 cimagl 0044 _ldtest 008c _LNan_C 0094 _LCbuild 00f0 _fperrraise 0110 _LZero_C 016c _LInf_C 02dc sinl 02e8 cosl 0348 _LSinh 0364 _LCosh"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 23 00 FD E1 27 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 2B 00 FD F0 2B 40 FD F0 17 00 FD E1 27 40 FD E0 23 40 FD ?? ?? ?? ?? E0 2F 00 FD F0 2F 40 FD F0 0F 00 FD E0 A3 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 47 00 79 E8 47 C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 4F 00 FD E0 4B 00 FD E0 4B 40 FD E1 4F 40 FD B8 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 57 00 FD E0 53 00 FD E0 53 40 FD E1 57 40 FD AD 00 00 14 AC 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 A1 06 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A1 02 00 54 F0 0F 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 1B 00 FD 03 00 00 14 70 13 00 5C F0 1B 00 FD E1 1B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 5F 00 FD E0 5B 00 FD E0 5B 40 FD E1 5F 40 FD 8F 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 67 00 FD E0 63 00 FD E0 63 40 FD E1 67 40 FD 80 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 6F 00 FD E0 6B 00 FD E0 6B 40 FD E1 6F 40 FD 75 00 00 14 74 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 21 05 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 FD E0 73 00 FD E0 73 40 FD E1 77 40 FD 63 00 00 14 1A 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 7F 00 FD E0 7B 00 FD E0 7B 40 FD E1 7F 40 FD 54 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 87 00 FD E0 83 00 FD E0 83 40 FD E1 87 40 FD 49 00 00 14 48 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 E1 05 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 81 02 00 54 F0 17 40 FD 08 22 60 1E A2 00 00 54 F0 0F 40 FD 10 42 61 1E F0 1F 00 FD 03 00 00 14 F0 0F 40 FD F0 1F 00 FD E1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 8F 00 FD E0 8B 00 FD E0 8B 40 FD E1 8F 40 FD 2E 00 00 14 17 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 33 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 37 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 33 40 FD 21 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 37 40 FD 20 0A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 97 00 FD E0 93 00 FD E0 93 40 FD E1 97 40 FD 17 00 00 14 16 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 3B 00 FD E1 3B 40 FD E0 17 40 FD ?? ?? ?? ?? E0 43 00 FD E0 0F 40 FD ?? ?? ?? ?? E0 3F 00 FD E1 3F 40 FD E0 17 40 FD ?? ?? ?? ?? E0 47 00 FD E1 43 40 FD E0 47 40 FD ?? ?? ?? ?? E1 9F 00 FD E0 9B 00 FD E0 9B 40 FD E1 9F 40 FD FD 7B D4 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_457_9_0 {
	meta:
		name = "__acrt_stdio_free_buffer_nolock"
		size = 300
		refs = "0018 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GE@GPOPIOIG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 003c _CrtDbgReportW 0060 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0068 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 0088 ?has_crt_buffer@__crt_stdio_stream@@QEBA_NXZ 00a8 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00c0 _free_dbg 00cc ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E1 17 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 29 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 21 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 21 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? 01 28 80 52 E0 63 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_458_0_0 {
	meta:
		name = "_set_abort_behavior"
		size = 76
		refs = "000c __abort_behavior"
	strings:
		$1 = { FF 43 00 D1 E0 0B 00 B9 E1 03 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 00 B9 E8 03 40 B9 E9 03 28 2A E8 07 40 B9 0A 01 09 0A E9 0B 40 B9 E8 03 40 B9 28 01 08 0A 49 01 08 2A ?? ?? ?? ?? ?? ?? ?? ?? E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "ceilf"
		size = 400
		refs = "0080 _handle_nanf"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 BD F0 1F 40 BD F0 2F 00 BD E8 2F 40 B9 E8 13 00 B9 E8 13 40 B9 08 79 00 12 E8 17 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 09 70 A9 52 E8 17 40 B9 1F 01 09 6B 03 02 00 54 09 F0 AF 52 E8 17 40 B9 1F 01 09 6B 29 01 00 54 E8 13 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 33 00 BD E0 33 40 BD 3F 00 00 14 03 00 00 14 E0 1F 40 BD 3C 00 00 14 3B 00 00 14 09 F0 A7 52 E8 17 40 B9 1F 01 09 6B 82 02 00 54 E8 17 40 B9 1F 01 00 71 81 00 00 54 E0 1F 40 BD 32 00 00 14 0D 00 00 14 E8 27 40 B9 1F 01 00 71 00 01 00 54 08 00 B0 52 E8 37 00 B9 F0 37 40 BD F0 1B 00 BD E0 1B 40 BD 28 00 00 14 03 00 00 14 00 10 2E 1E 25 00 00 14 24 00 00 14 E8 13 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 E8 3B 00 B9 E9 02 80 52 E8 3B 40 B9 29 01 08 4B 28 00 80 52 08 21 C9 1A 08 05 00 51 E8 3F 00 B9 E8 3F 40 B9 E9 03 28 2A E8 13 40 B9 08 01 09 0A E8 2B 00 B9 E8 2B 40 B9 E8 43 00 B9 F0 43 40 BD F0 1B 00 BD E8 27 40 B9 1F 01 00 71 A1 00 00 54 E9 2B 40 B9 E8 13 40 B9 1F 01 09 6B 81 00 00 54 E0 1B 40 BD 06 00 00 14 05 00 00 14 F1 1B 40 BD 10 10 2E 1E 20 2A 30 1E 00 40 20 1E FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_1_0 {
	meta:
		name = "??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
		size = 772
		refs = "001c ?valid@__crt_stdio_stream@@QEBA_NXZ 0034 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0058 _CrtDbgReportW 0078 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0084 _fileno 009c ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 00b4 _errno 00d0 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 00e4 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0148 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 01b8 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 020c ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0234 __acrt_iob_func 0278 _isatty 029c __acrt_stdio_allocate_buffer_nolock 02c4 ??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 23 00 B9 E1 0B 00 F9 E8 1F 80 52 E8 3B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 C1 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? 00 00 80 12 89 00 00 14 12 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 48 04 80 52 28 01 00 B9 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? 00 00 80 12 77 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 33 40 F9 0A 21 00 91 E8 37 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? 06 00 00 14 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? 00 00 80 12 4B 00 00 14 41 00 80 52 E0 43 00 91 ?? ?? ?? ?? 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 01 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 20 00 80 52 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 E8 43 40 F9 1F 01 09 EB 60 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 40 00 80 52 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 E8 4B 40 F9 1F 01 09 EB E1 00 00 54 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 C1 00 00 54 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 4F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3F 00 B9 E8 23 40 B9 08 1D 00 12 00 1D 00 13 E1 0B 40 F9 00 00 00 11 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? 00 00 80 12 04 00 00 14 E8 23 40 B9 00 1D 00 12 00 00 00 11 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_2_0 {
	meta:
		name = "??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
		size = 772
		refs = "001c ?valid@__crt_stdio_stream@@QEBA_NXZ 0034 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0058 _CrtDbgReportW 0078 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0084 _fileno 009c ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 00b4 _errno 00d0 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 00e4 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0148 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 01b8 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 020c ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0234 __acrt_iob_func 0278 _isatty 029c __acrt_stdio_allocate_buffer_nolock 02c4 ??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 23 00 B9 E1 0B 00 F9 E8 FF 9F 52 E8 3B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 C1 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E0 FF 9F 52 89 00 00 14 12 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 48 04 80 52 28 01 00 B9 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E0 FF 9F 52 77 00 00 14 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 A0 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 33 40 F9 0A 21 00 91 E8 37 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 21 00 80 52 E0 43 00 91 ?? ?? ?? ?? 06 00 00 14 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E0 FF 9F 52 4B 00 00 14 41 00 80 52 E0 43 00 91 ?? ?? ?? ?? 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 01 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 20 00 80 52 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 E8 43 40 F9 1F 01 09 EB 60 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 4B 00 F9 40 00 80 52 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 E8 4B 40 F9 1F 01 09 EB E1 00 00 54 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 C1 00 00 54 E0 43 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 4F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3F 00 B9 E8 23 40 B9 08 3D 00 12 00 3D 00 53 E1 0B 40 F9 00 00 00 11 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E0 FF 9F 52 04 00 00 14 E8 23 40 B9 00 3D 00 12 00 00 00 11 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_3_0 {
	meta:
		name = "??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
		size = 776
		refs = "0014 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0020 _fileno 0034 ?has_big_buffer@__crt_stdio_stream@@QEBA_NXZ 0050 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0088 ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac _CrtDbgReportW 01a0 _write 01e0 __pioinfo 0210 __badioinfo 023c _lseeki64 0258 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 43 00 39 E1 0F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 17 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 A0 13 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2B 40 F9 09 01 00 91 E8 2F 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 1F 01 00 F1 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 33 40 F9 09 01 00 91 E8 37 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 08 01 00 11 E8 23 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3B 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 3F 40 F9 08 01 00 91 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 43 40 F9 08 81 00 91 08 01 40 B9 09 05 00 51 E8 47 40 F9 08 41 00 91 09 01 00 B9 08 00 80 52 E8 27 00 B9 E8 23 40 B9 1F 01 00 71 CD 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 21 00 91 E2 23 40 B9 01 01 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 27 00 B9 2D 00 00 14 E8 17 40 B9 1F 05 00 31 A0 02 00 54 E8 17 40 B9 1F 09 00 31 40 02 00 54 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 23 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 23 00 F9 E8 23 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 C8 01 28 36 42 00 80 52 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 1F 05 00 B1 C1 00 00 54 01 02 80 52 E0 63 00 91 ?? ?? ?? ?? 20 00 80 52 28 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 21 00 91 09 01 40 F9 E8 43 C0 39 28 01 00 39 E9 23 40 B9 E8 27 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 00 1D 00 53 00 00 00 11 13 00 00 14 12 00 00 14 22 00 80 52 E1 43 00 91 E0 17 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 08 7D 40 93 1F 05 00 F1 81 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 00 1D 00 53 00 00 00 11 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_4_0 {
	meta:
		name = "??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
		size = 776
		refs = "0014 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0020 _fileno 0034 ?has_big_buffer@__crt_stdio_stream@@QEBA_NXZ 0050 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0088 ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac _CrtDbgReportW 01a0 _write 01e0 __pioinfo 0210 __badioinfo 023c _lseeki64 0258 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 43 00 79 E1 0F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 17 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 13 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 2F 40 F9 09 01 00 91 E8 33 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 1F 01 00 F1 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 37 40 F9 09 01 00 91 E8 3B 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 08 01 00 11 E8 27 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 3F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 43 40 F9 08 01 00 91 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 47 40 F9 08 81 00 91 08 01 40 B9 09 09 00 51 E8 4B 40 F9 08 41 00 91 09 01 00 B9 08 00 80 52 E8 2B 00 B9 E8 27 40 B9 1F 01 00 71 CD 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 21 00 91 E2 27 40 B9 01 01 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 2B 00 B9 2D 00 00 14 E8 17 40 B9 1F 05 00 31 A0 02 00 54 E8 17 40 B9 1F 09 00 31 40 02 00 54 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 27 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 27 00 F9 E8 27 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 C8 01 28 36 42 00 80 52 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 1F 05 00 B1 C1 00 00 54 01 02 80 52 E0 63 00 91 ?? ?? ?? ?? 20 00 80 52 28 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 08 21 00 91 09 01 40 F9 E8 43 40 79 28 01 00 79 E9 27 40 B9 E8 2B 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 2F 00 B9 03 00 00 14 08 00 80 52 E8 2F 00 B9 E8 2F 40 B9 00 1D 00 53 00 00 00 11 13 00 00 14 12 00 00 14 42 00 80 52 E1 83 00 91 E0 17 40 B9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 08 7D 40 93 1F 09 00 F1 81 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 00 1D 00 53 00 00 00 11 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_17_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_narrow_nolock"
		size = 64
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 002c ??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 01 01 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_460_18_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_wide_nolock"
		size = 64
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 002c ??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 01 01 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "_d_int"
		size = 1000
		refs = "01fc ?mask@?3??_d_int@@9@9 0230 ?sub@?3??_d_int@@9@9"
	strings:
		$1 = { FF C3 00 D1 E0 13 00 F9 E1 0B 00 79 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F FD 1F 71 61 04 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 1F 01 00 71 A1 02 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 21 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 0F 00 B9 03 00 00 14 48 00 80 52 E8 0F 00 B9 E8 0F 40 B9 00 3D 00 13 00 00 00 11 C7 00 00 14 1B 00 00 14 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 79 10 12 1F 01 00 71 81 02 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 01 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AC 00 00 14 E9 03 C0 79 29 01 00 11 68 86 80 52 09 01 09 4B E8 0B C0 79 08 01 00 11 28 01 08 4B 08 3D 00 13 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F 01 00 71 8C 00 00 54 00 00 80 52 9D 00 00 14 9C 00 00 14 E9 03 C0 79 29 01 00 11 A8 06 80 52 1F 01 09 6B 0C 03 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 0A 01 11 12 E8 0F 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E8 0F 40 F9 09 11 00 91 08 00 80 52 28 01 00 79 E8 0F 40 F9 09 09 00 91 08 00 80 52 28 01 00 79 E9 0F 40 F9 08 00 80 52 28 01 00 79 00 00 80 12 81 00 00 14 80 00 00 14 E8 03 C0 79 08 01 00 11 08 0D 00 12 09 7D 40 93 48 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 79 E8 07 00 79 E8 03 C0 79 08 7D 04 13 08 3D 00 13 E8 03 00 79 E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 0A 08 3D 00 53 E8 07 00 79 E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E9 07 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 4A E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 48 3D 00 53 28 01 00 79 E8 03 C0 79 08 01 00 11 E8 0B 00 B9 E8 0B 40 B9 1F 05 00 71 40 04 00 54 E8 0B 40 B9 1F 09 00 71 40 02 00 54 E8 0B 40 B9 1F 0D 00 71 40 00 00 54 26 00 00 14 E8 0F 40 F9 08 11 00 91 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 07 00 79 E8 0F 40 F9 09 11 00 91 08 00 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 07 00 79 E8 0F 40 F9 09 09 00 91 08 00 80 52 28 01 00 79 E8 0F 40 F9 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 07 00 79 E9 0F 40 F9 08 00 80 52 28 01 00 79 E8 07 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 12 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 3D 00 13 00 00 00 11 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_1_0 {
	meta:
		name = "_dtest"
		size = 360
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B 61 04 00 54 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 1F 01 00 71 A1 02 00 54 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 21 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 48 00 80 52 E8 03 00 B9 E8 03 40 B9 00 3D 00 13 00 00 00 11 2C 00 00 14 2B 00 00 14 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 79 10 12 1F 01 00 71 41 02 00 54 E8 07 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 81 01 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 C1 00 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 02 00 54 E8 07 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 1F 01 00 71 81 00 00 54 28 00 80 12 E8 07 00 B9 03 00 00 14 08 00 80 12 E8 07 00 B9 E8 07 40 B9 00 3D 00 13 00 00 00 11 03 00 00 14 02 00 00 14 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_2_0 {
	meta:
		name = "_fd_int"
		size = 736
		refs = "017c ?mask@?3??_fd_int@@9@9 01b0 ?sub@?3??_fd_int@@9@9"
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 0B 00 79 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 1D 19 12 08 7D 07 13 08 3D 00 13 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F FD 03 71 E1 02 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 1F 01 00 71 21 01 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 48 00 80 52 E8 0B 00 B9 E8 0B 40 B9 00 3D 00 13 00 00 00 11 91 00 00 14 0F 00 00 14 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 79 10 12 1F 01 00 71 01 01 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 82 00 00 14 E9 03 C0 79 29 01 00 11 C8 12 80 52 09 01 09 4B E8 0B C0 79 08 01 00 11 28 01 08 4B 08 3D 00 13 E8 03 00 79 E8 03 C0 79 08 01 00 11 1F 01 00 71 8C 00 00 54 00 00 80 52 73 00 00 14 72 00 00 14 E9 03 C0 79 29 01 00 11 08 03 80 52 1F 01 09 6B 0C 02 00 54 E8 0B 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 0A 01 11 12 E8 0B 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E9 0B 40 F9 08 00 80 52 28 01 00 79 00 00 80 12 5F 00 00 14 5E 00 00 14 E8 03 C0 79 08 01 00 11 08 0D 00 12 09 7D 40 93 48 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 79 E8 07 00 79 E8 03 C0 79 08 7D 04 13 08 3D 00 13 E8 03 00 79 E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 0A 08 3D 00 53 E8 07 00 79 E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E9 07 40 79 29 01 00 11 08 01 40 79 08 01 00 11 0A 01 09 4A E8 03 C0 79 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B 48 3D 00 53 28 01 00 79 E9 03 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 8A 01 00 54 E8 0B 40 F9 09 01 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 08 01 09 2A 08 3D 00 53 E8 07 00 79 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 07 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 12 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 00 3D 00 13 00 00 00 11 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_3_0 {
	meta:
		name = "_fdtest"
		size = 264
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 09 1D 19 12 08 F0 8F 52 3F 01 08 6B E1 02 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 1F 01 00 71 21 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 48 00 80 52 E8 03 00 B9 E8 03 40 B9 00 3D 00 13 00 00 00 11 20 00 00 14 1F 00 00 14 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 79 10 12 1F 01 00 71 C1 00 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 02 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 1D 19 12 1F 01 00 71 81 00 00 54 28 00 80 12 E8 07 00 B9 03 00 00 14 08 00 80 12 E8 07 00 B9 E8 07 40 B9 00 3D 00 13 00 00 00 11 03 00 00 14 02 00 00 14 00 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_4_0 {
	meta:
		name = "_fperrraise"
		size = 44
		refs = "0014 fegetexceptflag 0020 fperrraise_with"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E1 03 80 52 E0 43 00 91 ?? ?? ?? ?? E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_5_0 {
	meta:
		name = "_ld_int"
		size = 44
		refs = "0018 _d_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E1 23 C0 79 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 79 E0 27 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_6_0 {
	meta:
		name = "_ldtest"
		size = 36
		refs = "0010 _dtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_462_7_0 {
	meta:
		name = "fperrraise_with"
		size = 292
		refs = "00ac __acrt_fenv_get_fp_status_word_from_exception_mask 00cc fesetexceptflag 00e0 _errno"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 B9 68 00 80 52 E8 1F 00 B9 E8 1F 40 B9 A8 05 08 36 08 00 80 52 E8 13 00 B9 E8 17 40 B9 08 05 1D 12 1F 01 00 71 80 00 00 54 E8 17 40 B9 08 01 1B 32 E8 17 00 B9 E8 17 40 B9 88 00 28 36 E8 13 40 B9 08 01 00 32 E8 13 00 B9 E8 17 40 B9 88 00 20 36 E8 13 40 B9 08 01 1F 32 E8 13 00 B9 E8 17 40 B9 88 00 18 36 E8 13 40 B9 08 01 1E 32 E8 13 00 B9 E8 17 40 B9 88 00 10 36 E8 13 40 B9 08 01 1D 32 E8 13 00 B9 E8 17 40 B9 88 00 00 36 E8 13 40 B9 08 01 1C 32 E8 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 23 00 B9 E9 1B 40 B9 E8 23 40 B9 28 01 08 2A E8 1B 00 B9 E1 03 80 52 E0 63 00 91 ?? ?? ?? ?? E8 1F 40 B9 48 02 00 36 E8 17 40 B9 E8 00 00 36 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 28 04 80 52 28 01 00 B9 0A 00 00 14 E8 17 40 B9 08 09 1E 12 1F 01 00 71 C0 00 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 48 04 80 52 28 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_463_0_0 {
	meta:
		name = "_ldclass"
		size = 36
		refs = "0010 _ldtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "_dclass"
		size = 36
		refs = "0010 _dtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_463_1_0 {
	meta:
		name = "_ldpcomp"
		size = 152
		refs = "0014 _ldtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 00 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 00 00 80 52 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 82 00 00 54 20 00 80 52 0A 00 00 14 09 00 00 14 F1 0F 40 FD F0 13 40 FD 00 22 71 1E 82 00 00 54 80 00 80 52 03 00 00 14 02 00 00 14 40 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_685_1_0 {
	meta:
		name = "_dpcomp"
		size = 152
		refs = "0014 _dtest"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD E0 63 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 00 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 00 00 80 52 11 00 00 14 10 00 00 14 F1 13 40 FD F0 0F 40 FD 00 22 71 1E 82 00 00 54 20 00 80 52 0A 00 00 14 09 00 00 14 F1 0F 40 FD F0 13 40 FD 00 22 71 1E 82 00 00 54 80 00 80 52 03 00 00 14 02 00 00 14 40 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_463_2_0 {
	meta:
		name = "_ldsign"
		size = 32
		altNames = "_dsign"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD E8 0F 40 79 08 01 00 11 00 01 11 12 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_465_0_0 {
	meta:
		name = "??$common_tcsnset_s@D@@YAHQEAD_KD1@Z"
		size = 1024
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0214 _CrtGetDebugFillThreshold 0264 memset 0268 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 02ac ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 1B 00 F9 E1 0B 00 F9 E2 63 00 39 E3 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 21 01 00 54 E8 1B 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 EE 00 00 14 E8 1B 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 BB 00 00 14 E8 1B 40 F9 E8 17 00 F9 E8 0B 40 F9 E8 13 00 F9 E8 2F 40 F9 E8 27 00 F9 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 02 00 54 E8 27 40 F9 1F 01 00 F1 29 02 00 54 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 69 01 00 54 E9 17 40 F9 E8 63 C0 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 27 40 F9 08 05 00 D1 E8 27 00 F9 E9 FF FF 17 E8 27 40 F9 1F 01 00 F1 01 02 00 54 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 A9 00 00 54 E8 17 40 F9 08 05 00 91 E8 17 00 F9 F2 FF FF 17 E8 13 40 F9 1F 01 00 F1 01 0B 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 33 00 F9 E8 0B 40 F9 09 05 00 D1 E8 33 40 F9 1F 01 09 EB 82 00 00 54 E8 33 40 F9 E8 37 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 37 00 F9 E8 1B 40 F9 00 05 00 91 E2 37 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 3B 00 F9 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 3B 40 F9 1F 01 09 EB 82 00 00 54 E8 3B 40 F9 E8 3F 00 F9 08 00 00 14 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 3F 00 F9 E9 0B 40 F9 E8 13 40 F9 28 01 08 CB 09 05 00 91 E8 1B 40 F9 00 01 09 8B E2 3F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_465_1_0 {
	meta:
		name = "_strnset_s"
		size = 68
		refs = "0030 ??$common_tcsnset_s@D@@YAHQEAD_KD1@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 0F 00 F9 E8 13 40 B9 02 1D 00 13 E3 0F 40 F9 42 00 00 11 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_1_0 {
	meta:
		name = "??$free_crt_array@D$01@@YAXAEAY01PEAD@Z"
		size = 32
		refs = "0014 ?free_crt_array_internal@@YAXQEAPEBX_K@Z"
		altNames = "??$free_crt_array@_W$01@@YAXAEAY01PEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 41 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_2_0 {
	meta:
		name = "??$free_crt_array@D$06@@YAXAEAY06PEAD@Z"
		size = 32
		refs = "0014 ?free_crt_array_internal@@YAXQEAPEBX_K@Z"
		altNames = "??$free_crt_array@_W$06@@YAXAEAY06PEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_3_0 {
	meta:
		name = "??$free_crt_array@D$0M@@@YAXAEAY0M@PEAD@Z"
		size = 32
		refs = "0014 ?free_crt_array_internal@@YAXQEAPEBX_K@Z"
		altNames = "??$free_crt_array@_W$0M@@@YAXAEAY0M@PEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 81 01 80 D2 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_11_0 {
	meta:
		name = "?free_crt_array_internal@@YAXQEAPEBX_K@Z"
		size = 100
		refs = "0054 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E9 13 40 F9 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B E8 0B 40 F9 1F 01 09 EB C0 00 00 54 41 00 80 52 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? F1 FF FF 17 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_13_0 {
	meta:
		name = "?get_or_create_lc_time@@YAPEBU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z"
		size = 300
		refs = "0020 __lc_time_c 0030 ??_C@_0DD@MPFICDAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0044 _calloc_dbg 0054 ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_lc_time_data@@@Z 0060 ??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBA_NXZ 0084 ??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAA@XZ 0094 ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_lc_time_data@@XZ 00a4 ?initialize_lc_time@@YA_NQEAU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z 00cc __acrt_locale_free_time 0108 ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_lc_time_data@@XZ"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 41 05 91 08 01 40 F9 1F 01 00 F1 81 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 3F 00 00 14 64 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 58 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 1B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 1B 40 F9 26 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 13 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 27 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 40 F9 10 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 09 71 05 91 28 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_14_0 {
	meta:
		name = "?initialize_lc_time@@YA_NQEAU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z"
		size = 1456
		refs = "0034 __acrt_copy_locale_name 00cc __acrt_GetLocaleInfoA"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 0F 00 F9 E1 4F 00 F9 E8 4F 40 F9 08 41 05 91 08 01 40 F9 E8 13 00 F9 E8 4F 40 F9 E8 1B 00 F9 08 00 80 D2 E8 1F 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 0F 40 F9 09 E1 0A 91 E8 53 40 F9 28 01 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 2B 00 B9 04 00 00 14 E8 2B 40 B9 08 05 00 11 E8 2B 00 B9 E8 2B 40 B9 1F 1D 00 71 20 0B 00 54 E8 2B 40 B9 0A 05 00 11 E9 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 43 00 B9 E8 0F 40 F9 0A 01 00 91 E8 43 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 2B 40 B9 03 C5 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 4B 00 B9 E9 13 40 B9 E8 4B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A E1 00 91 E8 43 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 2B 40 B9 03 A9 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 4F 00 B9 E9 13 40 B9 E8 4F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A 81 05 91 E8 43 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 2B 40 B9 03 C5 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 53 00 B9 E9 13 40 B9 E8 53 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A 61 06 91 E8 43 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 2B 40 B9 03 A9 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 57 00 B9 E9 13 40 B9 E8 57 40 B9 28 01 08 2A E8 13 00 B9 A3 FF FF 17 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 1F 31 00 71 40 0A 00 54 E8 0F 40 F9 0A C1 01 91 E8 17 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 17 40 B9 03 11 01 11 84 00 00 91 63 00 00 11 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 5B 00 B9 E9 13 40 B9 E8 5B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A 41 03 91 E8 17 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 17 40 B9 03 E1 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 5F 00 B9 E9 13 40 B9 E8 5F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A 41 07 91 E8 17 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 17 40 B9 03 11 01 11 84 00 00 91 63 00 00 11 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 B9 E9 13 40 B9 E8 63 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 0A C1 08 91 E8 17 40 B9 09 7D 40 D3 08 01 80 D2 28 7D 08 9B 44 01 08 8B E8 17 40 B9 03 E1 00 11 84 00 00 91 63 00 00 11 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 67 00 B9 E9 13 40 B9 E8 67 40 B9 28 01 08 2A E8 13 00 B9 AA FF FF 17 E8 0F 40 F9 04 C1 04 91 84 00 00 91 03 05 80 52 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 6B 00 B9 E9 13 40 B9 E8 6B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 E1 04 91 84 00 00 91 23 05 80 52 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 6F 00 B9 E9 13 40 B9 E8 6F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 41 0A 91 84 00 00 91 03 05 80 52 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 73 00 B9 E9 13 40 B9 E8 73 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 61 0A 91 84 00 00 91 23 05 80 52 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 77 00 B9 E9 13 40 B9 E8 77 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 01 05 91 84 00 00 91 E3 03 80 52 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 7B 00 B9 E9 13 40 B9 E8 7B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 21 05 91 84 00 00 91 03 04 80 52 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 7F 00 B9 E9 13 40 B9 E8 7F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 41 05 91 84 00 00 91 63 00 82 52 E2 13 40 F9 21 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 83 00 B9 E9 13 40 B9 E8 83 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 61 05 91 84 00 00 91 23 01 82 52 E2 13 40 F9 01 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 87 00 B9 E9 13 40 B9 E8 87 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 81 0A 91 84 00 00 91 E3 03 80 52 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 8B 00 B9 E9 13 40 B9 E8 8B 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 A1 0A 91 84 00 00 91 03 04 80 52 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 8F 00 B9 E9 13 40 B9 E8 8F 40 B9 28 01 08 2A E8 13 00 B9 E8 0F 40 F9 04 C1 0A 91 84 00 00 91 63 00 82 52 E2 13 40 F9 41 00 80 52 E0 C3 00 91 ?? ?? ?? ?? E0 93 00 B9 E9 13 40 B9 E8 93 40 B9 28 01 08 2A E8 13 00 B9 E8 13 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 00 1D 00 53 00 00 00 11 FD 7B CB A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_17_0 {
	meta:
		name = "__acrt_locale_free_time"
		size = 336
		refs = "0028 ??$free_crt_array@D$06@@YAXAEAY06PEAD@Z 0048 ??$free_crt_array@D$0M@@@YAXAEAY0M@PEAD@Z 0068 ??$free_crt_array@D$01@@YAXAEAY01PEAD@Z 007c _free_dbg 00b4 ??$free_crt_array@_W$06@@YAXAEAY06PEA_W@Z 00d4 ??$free_crt_array@_W$0M@@@YAXAEAY0M@PEA_W@Z 00f4 ??$free_crt_array@_W$01@@YAXAEAY01PEA_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 41 00 00 54 4C 00 00 14 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 C1 01 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 41 03 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 C1 04 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 05 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 21 05 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 41 05 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 00 81 05 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 61 06 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 41 07 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 C1 08 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 00 41 0A 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 81 0A 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 A1 0A 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 C1 0A 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 E1 0A 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_466_18_0 {
	meta:
		name = "__acrt_locale_initialize_time"
		size = 188
		refs = "0010 ?get_or_create_lc_time@@YAPEBU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z 0040 __acrt_locale_release_lc_time_reference 0060 ??_C@_1HK@HACABKKK@?$AA?$CI?$AA?$CC?$AAl?$AAc?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAc?$AAu?$AAr?$AAr?$AA?5?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AAl?$AAy?$AA?5?$AAh?$AAa?$AAs?$AA?5@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@BFOOANHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0084 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 21 00 00 14 E8 0F 40 F9 08 81 04 91 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 81 02 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 09 81 04 91 E8 13 40 F9 28 01 00 F9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_467_0_0 {
	meta:
		name = "__acrt_LCMapStringW"
		size = 188
		refs = "0040 wcsnlen 00a4 __acrt_LCMapStringEx"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 FF 43 00 D1 E0 2B 00 F9 E1 2F 00 B9 E2 1F 00 F9 E3 23 00 B9 E4 27 00 F9 E5 2B 00 B9 E8 23 40 B9 1F 01 00 71 8D 02 00 54 E8 23 40 B9 01 7D 40 93 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 01 00 11 E8 27 00 B9 E9 23 40 B9 E8 27 40 B9 1F 01 09 6B AA 00 00 54 E8 27 40 B9 08 05 00 11 E8 23 00 B9 03 00 00 14 E8 27 40 B9 E8 23 00 B9 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 E5 2B 40 B9 E4 27 40 F9 E3 23 40 B9 E2 1F 40 F9 E1 2F 40 B9 E0 2B 40 F9 ?? ?? ?? ?? E0 33 00 B9 E0 33 40 B9 FF 43 00 91 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_468_6_0 {
	meta:
		name = "_wperror"
		size = 400
		refs = "0030 perror 0054 wcstombs_s 0064 ??_C@_1GA@JOAFAKLF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 006c ??_C@_1BC@KGOJENED@?$AA_?$AAw?$AAp?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0074 ??_C@_1IM@LFGMMMGG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl@ 0088 _invoke_watson_if_oneof 00a0 ??_C@_0DA@ELGHEBH@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 00b4 _calloc_dbg 00c4 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00d0 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 00e8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0130 ??_C@_1LO@KEGGEIEG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAu?$AAs?$AAe?$AAr@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 00 00 80 D2 ?? ?? ?? ?? 55 00 00 14 08 00 80 D2 E8 13 00 F9 E4 7B 40 B2 E3 0F 40 F9 02 00 80 D2 01 00 80 D2 E0 83 00 91 ?? ?? ?? ?? E0 2B 00 B9 07 00 80 D2 E6 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 2B 40 B9 ?? ?? ?? ?? E8 13 40 F9 1F 01 00 F1 41 00 00 54 3C 00 00 14 64 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 1F 01 00 F1 81 00 00 54 E0 43 00 91 ?? ?? ?? ?? 27 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 27 00 F9 04 00 80 92 E3 0F 40 F9 E2 13 40 F9 E1 27 40 F9 00 00 80 D2 ?? ?? ?? ?? E0 2F 00 B9 07 00 80 D2 86 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 2F 40 B9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 80 00 00 54 E0 43 00 91 ?? ?? ?? ?? 08 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_469_11_0 {
	meta:
		name = "rewind"
		size = 576
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 001c ?valid@__crt_stdio_stream@@QEBA_NXZ 005c ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@IBKDMBHF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1O@MIDPMBMH@?$AAr?$AAe?$AAw?$AAi?$AAn?$AAd?$AA?$AA@ 00dc _invalid_parameter 00e8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00f4 _fileno 0114 _lock_file 0128 __acrt_stdio_flush_nolock 0130 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 013c ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 016c __pioinfo 019c __badioinfo 01d4 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 0204 _lseek 0220 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0234 _unlock_file"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 27 00 F9 A1 27 40 F9 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 56 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 2F 00 F9 A0 2F 40 F9 ?? ?? ?? ?? A0 2F 00 B9 A8 2F 40 B9 A8 17 00 B9 A0 63 00 91 ?? ?? ?? ?? A0 33 00 F9 A0 33 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 37 00 F9 A0 37 40 F9 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? 01 03 80 52 A0 63 00 91 ?? ?? ?? ?? A8 17 40 B9 1F 05 00 31 A0 02 00 54 A8 17 40 B9 1F 09 00 31 40 02 00 54 A8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 1F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? A8 1F 00 F9 A8 1F 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 0A 79 1E 12 A8 1F 40 F9 09 E1 00 91 48 1D 00 53 28 01 00 39 81 00 80 52 A0 63 00 91 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 61 00 80 52 A0 63 00 91 ?? ?? ?? ?? 02 00 80 52 01 00 80 52 A0 17 40 B9 ?? ?? ?? ?? A0 33 00 B9 A8 33 40 B9 1F 05 00 31 81 00 00 54 01 02 80 52 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 23 00 F9 A0 23 40 F9 ?? ?? ?? ?? FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_469_12_0 {
	meta:
		name = "rewind$fin$0"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 63 00 91 ?? ?? ?? ?? A0 23 00 F9 A0 23 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "??$common_tcscpy_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 1292
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0124 _CrtGetDebugFillThreshold 0180 memset 01b8 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0360 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03a4 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 2F 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0A 01 00 14 E8 2F 40 F9 1F 01 00 F1 E1 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 37 00 F9 E8 0B 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 3B 00 F9 E9 3B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B1 00 00 14 E8 13 40 F9 E8 23 00 F9 E8 2F 40 F9 E8 33 00 F9 E8 0B 40 F9 E8 0F 00 F9 E9 23 40 F9 E8 33 40 F9 08 01 40 79 28 01 00 79 E8 23 40 F9 08 01 40 79 08 01 00 11 E8 53 00 B9 E8 23 40 F9 08 09 00 91 E8 23 00 F9 E8 33 40 F9 08 09 00 91 E8 33 00 F9 E8 53 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 3F 40 F9 1F 01 09 EB 82 00 00 54 E8 3F 40 F9 E8 43 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 43 00 F9 E9 43 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 47 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 4B 00 F9 E9 4B 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_471_5_0 {
	meta:
		name = "_mbsstr_l"
		size = 468
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strstr 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1CA@GKDOGDFI@?$AAs?$AAt?$AAr?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_1GO@EEDCOHAH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0068 _CrtDbgReportW 0078 _errno 008c ??_C@_1BE@KLCPDEDD@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAt?$AAr?$AA_?$AAl?$AA?$AA@ 009c _invalid_parameter 00dc ??_C@_1CA@JIGJIOKA@?$AAs?$AAt?$AAr?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EF 13 40 F9 E8 09 40 B9 C8 00 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 13 00 00 91 1A 00 00 14 74 04 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 13 00 80 D2 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 91 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 88 02 40 39 A8 FE FF 34 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? DB FF FF 17 6B 02 C0 39 69 02 00 91 8B 00 00 34 29 05 00 91 28 01 C0 39 C8 FF FF 35 2C 01 13 CB 8A 02 00 91 49 1D C0 38 E9 FF FF 35 48 01 14 CB 88 01 08 CB 0E 01 13 8B 69 1D 00 53 29 FA FF 34 6D 02 14 CB 7F 02 0E EB C8 F9 FF 54 6C 16 40 38 8A 02 00 91 2C 01 00 34 4B 01 40 39 8B 02 00 34 A8 69 6A 38 1F 01 0B 6B 81 00 00 54 4A 05 00 91 A9 69 6A 38 29 FF FF 35 4A 01 40 39 8A 01 00 34 8B 01 0F 8B 6C 65 40 39 AD 05 00 91 AC 00 10 36 68 02 40 39 68 F7 FF 34 73 06 00 91 AD 05 00 91 69 02 40 39 09 FD FF 35 B6 FF FF 17 73 06 00 D1 B5 FF FF 17 }
	condition:
		$1
}

rule file_472_1_0 {
	meta:
		name = "powf"
		size = 2392
		refs = "015c _handle_nanf 027c ??_C@_04MBFDLNIM@powf?$AA@ 0284 _handle_errorf 02c4 infinityf_with_flags 07a4 log2 07cc _exp2"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 BD E1 17 00 BD 90 49 00 5C F0 73 00 FD 90 49 00 5C F0 77 00 FD F0 13 40 BD F0 B3 00 BD E8 B3 40 B9 E8 27 00 B9 E8 27 40 B9 08 79 00 12 E8 1B 00 B9 E9 27 40 B9 E8 1B 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 3F 00 B9 F0 17 40 BD F0 63 00 BD E8 63 40 B9 E8 23 00 B9 E8 23 40 B9 08 79 00 12 E8 2B 00 B9 E9 23 40 B9 E8 2B 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 2F 00 B9 09 F0 A7 52 E8 27 40 B9 1F 01 09 6B A1 01 00 54 F1 17 40 BD 10 10 2E 1E 31 2A 30 1E 10 10 20 1E 20 22 30 1E 81 00 00 54 28 00 80 52 F0 93 01 91 08 FE 9F 88 00 10 2E 1E 13 02 00 14 D3 00 00 14 E8 2B 40 B9 1F 01 00 71 A1 01 00 54 F1 13 40 BD 10 10 2E 1E 31 2A 30 1E 10 10 20 1E 20 22 30 1E 81 00 00 54 28 00 80 52 F0 93 01 91 08 FE 9F 88 00 10 2E 1E 04 02 00 14 C4 00 00 14 E8 1B 40 B9 09 1D 09 12 08 F0 AF 52 3F 01 08 6B A1 01 00 54 E8 1B 40 B9 08 59 00 12 1F 01 00 71 20 01 00 54 E8 27 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 6B 00 BD E0 6B 40 BD F3 01 00 14 B3 00 00 14 E8 2B 40 B9 09 1D 09 12 08 F0 AF 52 3F 01 08 6B A1 01 00 54 E8 2B 40 B9 08 59 00 12 1F 01 00 71 20 01 00 54 E8 23 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 6F 00 BD E0 6F 40 BD E2 01 00 14 A2 00 00 14 09 F0 A7 52 E8 23 40 B9 1F 01 09 6B 81 00 00 54 E0 13 40 BD DB 01 00 14 9B 00 00 14 E8 2B 40 B9 09 1D 09 12 08 E0 A9 52 3F 01 08 6B C9 12 00 54 09 F0 AF 52 E8 2B 40 B9 1F 01 09 6B 81 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 33 00 B9 E8 2F 40 B9 1F 01 00 71 E0 07 00 54 E8 1B 40 B9 1F 01 00 71 81 00 00 54 40 39 00 1C C2 01 00 14 38 00 00 14 09 F0 A7 52 E8 1B 40 B9 1F 01 09 6B C2 02 00 54 E8 33 40 B9 1F 01 00 71 80 00 00 54 00 38 00 1C B8 01 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 00 BD E0 73 40 BD A9 01 00 14 1F 00 00 14 09 F0 A7 52 E8 1B 40 B9 1F 01 09 6B 81 00 00 54 00 10 2E 1E A2 01 00 14 18 00 00 14 E8 33 40 B9 1F 01 00 71 E0 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 77 00 BD E0 77 40 BD 99 01 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 00 BD E0 7B 40 BD 8A 01 00 14 4A 00 00 14 E8 1B 40 B9 1F 01 00 71 01 02 00 54 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 AF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 00 BD E0 7F 40 BD 78 01 00 14 38 00 00 14 09 F0 A7 52 E8 1B 40 B9 1F 01 09 6B 22 03 00 54 E8 33 40 B9 1F 01 00 71 E0 00 00 54 00 00 80 52 ?? ?? ?? ?? E0 83 00 BD E0 83 40 BD 6B 01 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 87 00 BD E0 87 40 BD 5C 01 00 14 1C 00 00 14 09 F0 A7 52 E8 1B 40 B9 1F 01 09 6B 81 00 00 54 00 10 2E 1E 55 01 00 14 15 00 00 14 E8 33 40 B9 1F 01 00 71 80 00 00 54 E0 2A 00 1C 4F 01 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8B 00 BD E0 8B 40 BD 40 01 00 14 E8 23 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 08 05 00 11 E8 37 00 B9 E8 37 40 B9 1F 05 00 71 8A 00 00 54 08 00 80 52 E8 1F 00 B9 24 00 00 14 E8 37 40 B9 1F 61 00 71 8D 00 00 54 48 00 80 52 E8 1F 00 B9 1E 00 00 14 09 03 80 52 E8 37 40 B9 29 01 08 4B 28 00 80 52 08 21 C9 1A 08 05 00 51 E8 4F 00 B9 E9 23 40 B9 E8 4F 40 B9 28 01 08 0A 1F 01 00 71 80 00 00 54 08 00 80 52 E8 1F 00 B9 0F 00 00 14 E8 4F 40 B9 E9 03 28 2A E8 23 40 B9 0A 01 09 0A 09 03 80 52 E8 37 40 B9 28 01 08 4B 48 25 C8 1A 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 48 00 80 52 E8 1F 00 B9 E8 1B 40 B9 09 1D 09 12 08 F0 AF 52 3F 01 08 6B 81 04 00 54 E8 3F 40 B9 1F 01 00 71 40 01 00 54 E8 2F 40 B9 1F 01 00 71 80 00 00 54 E0 13 40 BD 04 01 00 14 03 00 00 14 20 21 00 1C 01 01 00 14 17 00 00 14 E8 1F 40 B9 1F 05 00 71 41 01 00 54 E8 2F 40 B9 1F 01 00 71 80 00 00 54 E0 13 40 BD F8 00 00 14 03 00 00 14 C0 1F 00 1C F5 00 00 14 0B 00 00 14 E8 2F 40 B9 1F 01 00 71 C0 00 00 54 F0 13 40 BD 00 42 21 1E 00 40 20 1E ED 00 00 14 03 00 00 14 40 1E 00 1C EA 00 00 14 4E 00 00 14 E8 1B 40 B9 1F 01 00 71 61 09 00 54 E8 3F 40 B9 1F 01 00 71 40 03 00 54 E8 2F 40 B9 1F 01 00 71 80 00 00 54 E0 13 40 BD DE 00 00 14 13 00 00 14 E9 27 40 B9 08 F0 AF 52 09 79 00 33 22 7D 40 D3 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 42 00 00 91 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 00 BD E0 8F 40 BD CB 00 00 14 2F 00 00 14 E8 2F 40 B9 1F 01 00 71 80 01 00 54 E8 1F 40 B9 1F 05 00 71 81 00 00 54 E0 13 40 BD C2 00 00 14 05 00 00 14 F0 13 40 BD 00 42 21 1E 00 40 20 1E BD 00 00 14 21 00 00 14 E8 1F 40 B9 1F 05 00 71 01 02 00 54 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 BF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 93 00 BD E0 93 40 BD AB 00 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 AF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 97 00 BD E0 97 40 BD 9C 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3F 40 B9 1F 01 00 71 61 04 00 54 E8 1F 40 B9 1F 01 00 71 40 02 00 54 E8 1B 40 B9 E8 27 00 B9 E8 27 40 B9 E8 9B 00 B9 F0 9B 40 BD F0 13 00 BD E8 1F 40 B9 1F 05 00 71 81 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 3B 00 B9 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9F 00 BD E0 9F 40 BD 75 00 00 14 09 D0 A5 52 E8 2B 40 B9 1F 01 09 6B C2 00 00 54 11 10 2E 1E F0 17 40 BD 20 2A 30 1E 00 40 20 1E 6C 00 00 14 F0 13 40 BD 10 C2 22 1E F0 5F 00 FD F0 17 40 BD 10 C2 22 1E F0 7B 00 FD E0 5F 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 67 00 FD F0 17 40 BD 11 C2 22 1E F0 67 40 FD 30 0A 70 1E F0 6B 00 FD E0 6B 40 FD ?? ?? ?? ?? E0 6F 00 FD F0 6F 40 FD F0 2F 00 FD F1 73 40 FD F0 2F 40 FD 00 22 71 1E 4D 04 00 54 E8 3B 40 B9 1F 01 00 71 00 02 00 54 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 BF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 00 BD E0 A3 40 BD 42 00 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A7 00 BD E0 A7 40 BD 33 00 00 14 32 00 00 14 F1 77 40 FD F0 2F 40 FD 00 22 71 1E 42 04 00 54 E8 3B 40 B9 1F 01 00 71 00 02 00 54 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 B0 D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AB 00 BD E0 AB 40 BD 1D 00 00 14 0F 00 00 14 46 00 80 52 E1 17 40 BD E0 13 40 BD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 A1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 AF 00 BD E0 AF 40 BD 0E 00 00 14 0D 00 00 14 E8 3B 40 B9 1F 01 00 71 E0 00 00 54 F0 2F 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 05 00 00 14 04 00 00 14 F0 2F 40 FD 00 42 62 1E 00 40 20 1E FD 7B D0 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 E0 FF FF EF 47 00 00 00 00 00 00 A0 36 00 00 00 00 00 00 00 80 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "lrint"
		size = 200
		refs = "0010 _dtest 004c nearbyint 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 04 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 0D 03 00 54 E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 13 40 FD F0 0F 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_575_0_0 {
	meta:
		name = "lrintl"
		size = 200
		refs = "0010 _ldtest 004c nearbyintl 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 04 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 0D 03 00 54 E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 13 40 FD F0 0F 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C1 00 00 C0 FF FF FF DF 41 }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "cimagl"
		size = 24
		altNames = "cimag"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 FD E1 07 00 FD E0 07 40 FD FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "clog"
		size = 936
		refs = "0018 creal 0030 cimag 0044 _dtest 008c _Inf_C 0094 _Cbuild 0144 atan2 0204 _fperrraise 0270 _d_int 02f4 log1p 0340 log"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 2B 00 FD E1 2F 00 FD E1 2F 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 0B 00 FD E1 2F 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 0F 00 FD E0 43 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 E8 43 00 79 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 47 00 79 E8 43 C0 79 08 01 00 11 1F 09 00 71 01 03 00 54 E8 47 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD BA 00 00 14 09 00 00 14 E1 0B 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD B1 00 00 14 1B 00 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 43 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 9F 00 00 14 09 00 00 14 E1 0F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 96 00 00 14 E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 1F 00 FD E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 47 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 7F 00 00 14 7E 00 00 14 F0 0B 40 FD 08 22 60 1E 82 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD F1 0F 40 FD F0 0B 40 FD 00 22 71 1E E2 00 00 54 F0 0B 40 FD F0 3F 00 FD F0 0F 40 FD F0 0B 00 FD F0 3F 40 FD F0 0F 00 FD F0 0B 40 FD 08 22 60 1E E1 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 58 00 00 14 57 00 00 14 11 0B 00 5C F0 0B 40 FD 00 22 71 1E 48 07 00 54 F1 0F 40 FD B0 0A 00 5C 00 22 71 1E C8 06 00 54 F0 0B 40 FD F0 17 00 FD F0 0F 40 FD F0 1B 00 FD 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? 41 03 80 52 E0 C3 00 91 ?? ?? ?? ?? F1 17 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 32 3A 70 1E F1 1B 40 FD F0 1B 40 FD 30 0A 70 1E 50 2A 70 1E F0 23 00 FD F1 0B 40 FD F0 17 40 FD 32 3A 70 1E F1 0B 40 FD F0 17 40 FD 30 2A 70 1E 53 0A 70 1E F1 0F 40 FD F0 1B 40 FD 32 3A 70 1E F1 0F 40 FD F0 1B 40 FD 30 2A 70 1E 50 0A 70 1E 71 2A 70 1E F0 23 40 FD 10 2A 71 1E F0 23 00 FD E0 23 40 FD ?? ?? ?? ?? E0 43 00 FD 11 10 6C 1E F0 43 40 FD 20 0A 70 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD 1B 00 00 14 1A 00 00 14 F1 0F 40 FD F0 0B 40 FD 30 1A 70 1E F0 27 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 4B 00 FD F1 27 40 FD F0 27 40 FD 20 0A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 47 00 FD 11 10 6C 1E F0 47 40 FD 31 0A 70 1E F0 4B 40 FD 00 2A 71 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E0 87 40 FD E1 8B 40 FD FD 7B D2 A8 C0 03 5F D6 CD CC CC CC CC CC EC 3F 9A 99 99 99 99 99 D9 3F }
	condition:
		$1
}

rule file_647_1_0 {
	meta:
		name = "clogl"
		size = 936
		refs = "0018 creall 0030 cimagl 0044 _ldtest 008c _LInf_C 0094 _LCbuild 0144 atan2l 0204 _fperrraise 0270 _ld_int 02f4 log1pl 0340 logl"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 2B 00 FD E1 2F 00 FD E1 2F 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 33 00 FD F0 33 40 FD F0 0B 00 FD E1 2F 40 FD E0 2B 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 0F 00 FD E0 43 00 91 ?? ?? ?? ?? E0 4B 00 79 E8 4B C0 79 E8 43 00 79 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 79 E8 4F C0 79 E8 47 00 79 E8 43 C0 79 08 01 00 11 1F 09 00 71 01 03 00 54 E8 47 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 53 00 FD E0 4F 00 FD E0 4F 40 FD E1 53 40 FD BA 00 00 14 09 00 00 14 E1 0B 40 FD E0 0B 40 FD ?? ?? ?? ?? E1 5B 00 FD E0 57 00 FD E0 57 40 FD E1 5B 40 FD B1 00 00 14 1B 00 00 14 E8 47 C0 79 08 01 00 11 1F 09 00 71 E1 02 00 54 E8 43 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 63 00 FD E0 5F 00 FD E0 5F 40 FD E1 63 40 FD 9F 00 00 14 09 00 00 14 E1 0F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 6B 00 FD E0 67 00 FD E0 67 40 FD E1 6B 40 FD 96 00 00 14 E1 0B 40 FD E0 0F 40 FD ?? ?? ?? ?? E0 3B 00 FD F0 3B 40 FD F0 1F 00 FD E8 43 C0 79 08 01 00 11 1F 05 00 71 A0 00 00 54 E8 47 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 E1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 73 00 FD E0 6F 00 FD E0 6F 40 FD E1 73 40 FD 7F 00 00 14 7E 00 00 14 F0 0B 40 FD 08 22 60 1E 82 00 00 54 F0 0B 40 FD 10 42 61 1E F0 0B 00 FD F0 0F 40 FD 08 22 60 1E 82 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD F1 0F 40 FD F0 0B 40 FD 00 22 71 1E E2 00 00 54 F0 0B 40 FD F0 3F 00 FD F0 0F 40 FD F0 0B 00 FD F0 3F 40 FD F0 0F 00 FD F0 0B 40 FD 08 22 60 1E E1 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 61 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 7B 00 FD E0 77 00 FD E0 77 40 FD E1 7B 40 FD 58 00 00 14 57 00 00 14 11 0B 00 5C F0 0B 40 FD 00 22 71 1E 48 07 00 54 F1 0F 40 FD B0 0A 00 5C 00 22 71 1E C8 06 00 54 F0 0B 40 FD F0 17 00 FD F0 0F 40 FD F0 1B 00 FD 41 03 80 52 E0 A3 00 91 ?? ?? ?? ?? 41 03 80 52 E0 C3 00 91 ?? ?? ?? ?? F1 17 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6E 1E 32 3A 70 1E F1 1B 40 FD F0 1B 40 FD 30 0A 70 1E 50 2A 70 1E F0 23 00 FD F1 0B 40 FD F0 17 40 FD 32 3A 70 1E F1 0B 40 FD F0 17 40 FD 30 2A 70 1E 53 0A 70 1E F1 0F 40 FD F0 1B 40 FD 32 3A 70 1E F1 0F 40 FD F0 1B 40 FD 30 2A 70 1E 50 0A 70 1E 71 2A 70 1E F0 23 40 FD 10 2A 71 1E F0 23 00 FD E0 23 40 FD ?? ?? ?? ?? E0 43 00 FD 11 10 6C 1E F0 43 40 FD 20 0A 70 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 83 00 FD E0 7F 00 FD E0 7F 40 FD E1 83 40 FD 1B 00 00 14 1A 00 00 14 F1 0F 40 FD F0 0B 40 FD 30 1A 70 1E F0 27 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 4B 00 FD F1 27 40 FD F0 27 40 FD 20 0A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 47 00 FD 11 10 6C 1E F0 47 40 FD 31 0A 70 1E F0 4B 40 FD 00 2A 71 1E E1 1F 40 FD 00 40 60 1E ?? ?? ?? ?? E1 8B 00 FD E0 87 00 FD E0 87 40 FD E1 8B 40 FD FD 7B D2 A8 C0 03 5F D6 CD CC CC CC CC CC EC 3F 9A 99 99 99 99 99 D9 3F }
	condition:
		$1
}

rule file_476_0_0 {
	meta:
		name = "strspn"
		size = 456
		refs = "0008 __security_push_cookie 0068 __report_rangecheckfailure 01bc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 17 40 F9 E8 07 00 F9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 81 00 71 EA 01 00 54 E8 03 40 B9 08 7D 40 93 E8 0F 00 F9 E8 0F 40 F9 1F 81 00 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 C3 00 91 E8 0F 40 F9 29 01 08 8B 08 00 80 52 28 01 00 39 ED FF FF 17 E8 07 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 04 00 54 E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 0A 01 09 8B E8 07 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 09 21 C9 1A 48 01 40 39 08 01 00 11 0A 01 09 2A E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 DB FF FF 17 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 04 00 54 08 00 80 52 E8 03 00 B9 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 08 01 09 8B 0A 01 40 39 4A 01 00 11 E8 0B 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 08 21 C9 1A 48 01 08 0A 1F 01 00 71 00 01 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E6 FF FF 17 E8 03 40 B9 00 7D 40 93 00 00 00 91 02 00 00 14 00 00 80 D2 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_1_0 {
	meta:
		name = "GetLocaleNameFromDefault"
		size = 188
		refs = "0008 __security_push_cookie 003c __acrt_GetUserDefaultLocaleName 0054 wcslen 007c wcsncpy_s 008c ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0094 ??_C@_1DC@CPKFANGP@?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAF?$AAr?$AAo?$AAm?$AAD?$AAe?$AAf?$AAa?$AAu?$AAl?$AAt?$AA?$AA@ 009c ??_C@_1BCC@GMJIFDHO@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 00a8 _invoke_watson_if_error 00b0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 03 D1 E0 07 00 F9 E8 07 40 F9 08 41 00 91 09 01 40 B9 88 20 80 52 29 01 08 2A E8 07 40 F9 08 41 00 91 09 01 00 B9 A1 0A 80 52 E0 63 00 91 ?? ?? ?? ?? E0 03 00 B9 E8 03 40 B9 1F 05 00 71 0D 03 00 54 E0 63 00 91 ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 03 05 00 91 E8 07 40 F9 00 61 09 91 63 00 00 91 E2 63 00 91 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 07 00 B9 05 00 80 D2 24 4E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 07 40 B9 ?? ?? ?? ?? FF 03 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_2_0 {
	meta:
		name = "GetLocaleNameFromLangCountry"
		size = 328
		refs = "0018 wcslen 00c0 GetPrimaryLen 00ec LangCountryEnumProcEx 00f4 __acrt_EnumSystemLocalesEx"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 F9 09 61 00 91 E8 13 40 B9 28 01 00 B9 E8 13 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 13 40 F9 09 71 00 91 E8 17 40 B9 28 01 00 B9 E8 13 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 48 00 80 52 E8 1B 00 B9 08 00 00 14 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 13 40 F9 09 51 00 91 E8 1B 40 B9 28 01 00 B9 03 00 80 D2 02 00 80 D2 61 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 08 41 00 91 08 01 40 B9 68 01 40 36 E8 13 40 F9 08 41 00 91 08 01 40 B9 E8 00 48 36 E8 13 40 F9 08 41 00 91 08 01 40 B9 08 09 00 12 1F 01 00 71 A1 00 00 54 E8 13 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_3_0 {
	meta:
		name = "GetLocaleNameFromLanguage"
		size = 220
		refs = "0018 wcslen 007c GetPrimaryLen 00a8 LanguageEnumProcEx 00b0 __acrt_EnumSystemLocalesEx"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 0D 00 F1 81 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 F9 09 61 00 91 E8 13 40 B9 28 01 00 B9 E8 13 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 48 00 80 52 E8 17 00 B9 08 00 00 14 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 13 40 F9 09 51 00 91 E8 17 40 B9 28 01 00 B9 03 00 80 D2 02 00 80 D2 61 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 08 41 00 91 08 01 40 B9 A8 00 10 37 E8 13 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_4_0 {
	meta:
		name = "GetPrimaryLen"
		size = 176
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 08 00 80 52 E8 07 00 B9 E8 07 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 22 00 00 14 E8 07 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 03 40 79 08 01 00 11 1F 05 01 71 AB 00 00 54 E8 03 40 79 08 01 00 11 1F 69 01 71 2D 01 00 54 E8 03 40 79 08 01 00 11 1F 85 01 71 EB 01 00 54 E8 03 40 79 08 01 00 11 1F E9 01 71 6C 01 00 54 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E8 07 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E7 FF FF 17 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_5_0 {
	meta:
		name = "LangCountryEnumProcEx"
		size = 1628
		refs = "0008 __security_push_cookie 001c __acrt_getptd 0068 __acrt_GetLocaleInfoEx 00a4 _wcsicmp 0164 wcslen 018c wcsncpy_s 019c ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01a4 ??_C@_1CM@OGEMFJNJ@?$AAL?$AAa?$AAn?$AAg?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 01ac ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 01b8 _invoke_watson_if_error 0208 _wcsnicmp 02ac TestDefaultCountry 04ec TestDefaultLanguage 0650 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 E0 07 00 F9 E1 5F 00 B9 E2 53 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 61 02 91 E8 03 00 F9 E8 03 40 F9 08 71 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 E8 00 80 52 E8 13 00 B9 03 00 00 14 48 00 82 52 E8 13 00 B9 03 08 80 52 E2 A3 02 91 E1 13 40 B9 E0 07 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 6F 01 00 14 E8 03 40 F9 08 21 00 91 E1 A3 02 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 21 14 00 54 E8 03 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 17 00 B9 03 00 00 14 28 00 82 52 E8 17 00 B9 03 08 80 52 E2 A3 02 91 E1 17 40 B9 E0 07 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 4D 01 00 14 E8 03 40 F9 08 01 00 91 E1 A3 02 91 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 04 00 54 E8 03 40 F9 08 41 00 91 09 01 40 B9 88 60 80 52 29 01 08 2A E8 03 40 F9 08 41 00 91 09 01 00 B9 E0 07 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 44 36 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? 5F 00 00 14 E8 03 40 F9 08 41 00 91 08 01 40 B9 68 0B 08 37 E8 03 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 C0 05 00 54 E8 03 40 F9 08 51 00 91 08 01 40 B9 02 7D 40 93 E8 03 40 F9 08 01 00 91 42 00 00 91 E1 A3 02 91 00 01 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 01 04 00 54 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 1F 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E0 07 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 84 37 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? 29 00 00 14 E8 03 40 F9 08 41 00 91 08 01 40 B9 A8 04 00 37 E0 07 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 E0 03 00 54 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 00 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E0 07 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 E4 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E8 03 40 F9 08 41 00 91 08 01 40 B9 08 05 18 12 1F 01 0C 71 C0 16 00 54 E8 03 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 1B 00 B9 03 00 00 14 28 00 82 52 E8 1B 00 B9 03 08 80 52 E2 A3 02 91 E1 1B 40 B9 E0 07 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 A7 00 00 14 E8 03 40 F9 08 01 00 91 E1 A3 02 91 00 01 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 81 12 00 54 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 17 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 C0 04 00 54 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 61 09 91 08 01 40 79 08 01 00 11 1F 01 00 71 01 03 00 54 E0 07 40 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 E4 3C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? 63 00 00 14 E8 03 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 40 07 00 54 E8 03 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 09 01 00 11 E8 03 40 F9 08 51 00 91 08 01 40 B9 3F 01 08 6B C1 05 00 54 E2 03 40 F9 21 00 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 1F 01 00 71 A0 04 00 54 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 61 09 91 08 01 40 79 08 01 00 11 1F 01 00 71 01 03 00 54 E0 07 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 84 3E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 25 00 00 14 E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 18 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 61 09 91 08 01 40 79 08 01 00 11 1F 01 00 71 01 03 00 54 E0 07 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 A4 3F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E8 03 40 F9 08 41 00 91 08 01 40 B9 88 00 10 37 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E0 1F 40 B9 FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_6_0 {
	meta:
		name = "LanguageEnumProcEx"
		size = 360
		refs = "0008 __security_push_cookie 001c __acrt_getptd 0068 __acrt_GetLocaleInfoEx 00a4 _wcsicmp 00bc wcslen 00e4 wcsncpy_s 00f4 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00fc ??_C@_1CG@PGLLICHO@?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 0104 ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0110 _invoke_watson_if_error 015c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 04 D1 E0 13 00 F9 E1 2B 00 B9 E2 23 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 61 02 91 E8 03 00 F9 E8 03 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 80 00 00 54 68 00 80 52 E8 0B 00 B9 03 00 00 14 28 00 82 52 E8 0B 00 B9 03 0F 80 52 E2 23 01 91 E1 0B 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 E1 00 00 54 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 20 00 80 52 32 00 00 14 E8 03 40 F9 08 01 00 91 E1 23 01 91 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 E1 03 00 54 E0 13 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 03 05 00 91 E8 03 40 F9 00 61 09 91 63 00 00 91 E2 13 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 05 00 80 D2 64 4A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E8 03 40 F9 08 41 00 91 08 01 40 B9 09 01 1E 32 E8 03 40 F9 08 41 00 91 09 01 00 B9 E8 03 40 F9 08 41 00 91 08 01 40 B9 88 00 10 37 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E0 0F 40 B9 FF C3 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_7_0 {
	meta:
		name = "ProcessCodePage"
		size = 304
		refs = "0030 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 003c wcscmp 0068 __acrt_GetLocaleInfoEx 0090 __imp_GetACP 00ac ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 0108 _wtol"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 01 03 00 54 E8 1F 40 F9 00 61 09 91 43 00 80 52 E2 43 00 91 41 06 00 18 00 00 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 27 00 00 14 E8 13 40 B9 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E0 2B 40 B9 1E 00 00 14 1C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 E1 01 00 54 E8 1F 40 F9 00 61 09 91 43 00 80 52 E2 43 00 91 81 02 00 18 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 08 00 00 14 06 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 1F 20 03 D5 04 10 00 20 0B 00 00 20 }
	condition:
		$1
}

rule file_477_8_0 {
	meta:
		name = "TestDefaultCountry"
		size = 124
		refs = "0008 __security_push_cookie 0024 __acrt_GetLocaleInfoEx 004c wcsncmp 0070 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 07 00 F9 23 01 80 52 E2 43 00 91 21 0B 80 52 E0 07 40 F9 ?? ?? ?? ?? E0 03 00 B9 E8 03 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 0C 00 00 14 22 01 80 D2 E1 07 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 07 00 B9 E8 07 40 B9 1F 01 00 71 61 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_9_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 136
		refs = "0018 TestDefaultCountry 0044 GetPrimaryLen 0058 wcslen"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 17 00 B9 E2 13 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 A1 02 00 54 E8 17 40 B9 1F 01 00 71 40 02 00 54 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 13 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 09 01 00 11 E8 1B 40 B9 1F 01 09 6B 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_10_0 {
	meta:
		name = "TranslateName"
		size = 284
		refs = "0080 _wcsicmp"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 E2 1B 00 F9 28 00 80 52 E8 13 00 B9 08 00 80 52 E8 1F 00 B9 E9 1B 40 B9 E8 1F 40 B9 1F 01 09 6B 0C 06 00 54 E8 13 40 B9 1F 01 00 71 A0 05 00 54 E9 1F 40 B9 E8 1B 40 B9 29 01 08 0B 48 00 80 52 28 0D C8 1A E8 17 00 B9 E8 17 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 01 00 91 01 01 40 F9 E8 1B 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 61 01 00 54 E8 17 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 09 21 00 91 E8 1B 40 F9 09 01 00 F9 0B 00 00 14 E8 13 40 B9 1F 01 00 71 AA 00 00 54 E8 17 40 B9 08 05 00 51 E8 1B 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 1F 00 B9 CE FF FF 17 E8 13 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_477_11_0 {
	meta:
		name = "__acrt_get_qualified_locale"
		size = 1004
		refs = "0014 __acrt_getptd 009c __acrt_rg_country 00a4 TranslateName 00e4 GetLocaleNameFromLangCountry 00f0 GetLocaleNameFromLanguage 0118 __acrt_rg_language 016c GetLocaleNameFromDefault 01b8 ProcessCodePage 0204 __imp_IsValidCodePage 0268 wcslen 0298 wcsncpy_s 02a8 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 02b0 ??_C@_1DI@HCPCNHHP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAg?$AAe?$AAt?$AA_?$AAq?$AAu?$AAa?$AAl?$AAi?$AAf?$AAi?$AAe?$AAd?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 02b8 ??_C@_1BFC@DEALMEIM@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAp?$AAO?$AAu?$AAt?$AAS?$AAt?$AAr?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 02c4 _invoke_watson_if_error 02e8 __acrt_GetLocaleInfoEx 0350 ?wcschr@@YAPEA_WPEA_W_W@Z 03dc _itow_s"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 F9 E1 2F 00 F9 E2 13 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 61 02 91 E8 0B 00 F9 E8 0B 40 F9 09 61 09 91 08 00 80 52 28 01 00 79 E8 0B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E8 17 40 F9 09 01 00 91 E8 0B 40 F9 08 01 00 91 09 01 00 F9 E8 17 40 F9 09 01 02 91 E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0B 40 F9 02 21 00 91 42 00 00 91 C1 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 05 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 01 03 00 54 E8 0B 40 F9 02 01 00 91 42 00 00 91 01 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 A0 01 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? 03 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 97 00 00 14 E8 17 40 F9 1F 01 00 F1 A0 00 00 54 E8 17 40 F9 08 01 04 91 E8 2B 00 F9 03 00 00 14 08 00 80 D2 E8 2B 00 F9 E1 0B 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 02 00 54 09 BD 9F 52 E8 1B 40 B9 1F 01 09 6B 00 02 00 54 29 BD 9F 52 E8 1B 40 B9 1F 01 09 6B 80 01 00 54 E8 1B 40 B9 00 3D 00 53 00 00 00 11 00 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 70 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E9 2F 40 F9 E8 1B 40 B9 28 01 00 B9 E8 13 40 F9 1F 01 00 F1 C0 0C 00 54 E8 13 40 F9 09 81 04 91 08 00 80 52 28 01 00 79 E8 0B 40 F9 00 61 09 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 03 05 00 91 E8 0B 40 F9 02 61 09 91 E8 13 40 F9 00 81 04 91 63 00 00 91 42 00 00 91 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 A4 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? E8 13 40 F9 02 01 00 91 E8 13 40 F9 00 81 04 91 03 08 80 52 42 00 00 91 21 00 82 52 00 00 00 91 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 39 00 00 14 E8 13 40 F9 02 01 02 91 E8 13 40 F9 00 81 04 91 03 08 80 52 42 00 00 91 41 00 82 52 00 00 00 91 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 2A 00 00 14 E8 13 40 F9 00 01 02 91 E1 0B 80 52 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 1F 01 00 F1 41 01 00 54 E8 13 40 F9 00 01 02 91 C1 05 80 52 00 00 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 1F 01 00 F1 00 02 00 54 E8 13 40 F9 02 01 02 91 E8 13 40 F9 00 81 04 91 03 08 80 52 42 00 00 91 E1 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 09 00 00 14 E8 13 40 F9 01 01 04 91 43 01 80 52 02 02 80 D2 21 00 00 91 E0 1B 40 B9 ?? ?? ?? ?? 20 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "lroundf"
		size = 168
		refs = "0010 _fdtest 004c roundf 0090 _fperrraise"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 40 03 00 54 E8 1B 40 B9 1F 01 00 71 8D 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 02 00 54 E0 17 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1F 40 BD F0 17 00 BD F1 17 40 BD 10 02 00 1C 00 22 31 1E 28 01 00 54 D1 01 00 1C F0 17 40 BD 00 22 31 1E A8 00 00 54 F0 17 40 BD 00 02 38 1E 00 00 00 11 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 00 00 00 CF 00 00 00 4F }
	condition:
		$1
}

rule file_482_1_0 {
	meta:
		name = "scaleFloat_2"
		size = 124
	strings:
		$1 = { FF 83 00 D1 E0 17 00 BD E0 03 00 B9 E9 03 40 B9 48 00 80 52 28 0D C8 1A E8 07 00 B9 E9 03 40 B9 E8 07 40 B9 28 01 08 4B E8 0F 00 B9 E8 07 40 B9 08 FD 01 11 08 21 09 53 E8 0B 00 B9 F0 0B 40 BD F0 1B 00 BD E8 0F 40 B9 08 FD 01 11 08 21 09 53 E8 13 00 B9 F0 13 40 BD F0 1F 00 BD F1 17 40 BD F0 1B 40 BD 31 0A 30 1E F0 1F 40 BD 20 0A 30 1E 00 40 20 1E FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_482_2_0 {
	meta:
		name = "splitexpf"
		size = 436
		refs = "00bc ?two_to_jby32_lead_table@?1??splitexpf@@9@9 00e0 ?two_to_jby32_trail_table@?1??splitexpf@@9@9"
	strings:
		$1 = { FF 43 01 D1 E0 17 00 BD E1 1B 00 BD E2 27 00 BD E3 2B 00 BD E4 2F 00 BD E0 1F 00 F9 E1 23 00 F9 E2 27 00 F9 F1 17 40 BD F0 27 40 BD 30 0A 30 1E F0 03 00 BD F0 03 40 BD 08 22 20 1E ED 00 00 54 F1 03 40 BD 10 10 2C 1E 30 2A 30 1E 08 02 38 1E E8 07 00 B9 06 00 00 14 F1 03 40 BD 10 10 2C 1E 30 3A 30 1E 08 02 38 1E E8 07 00 B9 E8 07 40 B9 11 01 22 1E F0 2B 40 BD 31 0A 30 1E F0 17 40 BD 10 3A 31 1E F0 0F 00 BD E8 07 40 B9 E8 03 08 4B 11 01 22 1E F0 2F 40 BD 30 0A 30 1E F0 0B 00 BD E8 07 40 B9 08 11 00 12 E8 13 00 B9 E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 BD F0 1F 00 BD E8 13 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 BD F0 23 00 BD E9 07 40 B9 E8 13 40 B9 29 01 08 4B 08 04 80 52 29 0D C8 1A E8 1F 40 F9 09 01 00 B9 F1 0F 40 BD F0 1B 40 BD 30 0A 30 1E F0 0F 00 BD F1 0B 40 BD F0 1B 40 BD 30 0A 30 1E F0 0B 00 BD F1 0F 40 BD F0 0B 40 BD 30 2A 30 1E F0 03 00 BD F1 03 40 BD F0 03 40 BD 32 0A 30 1E F1 03 40 BD 10 03 00 1C 31 0A 30 1E 10 10 2C 1E 10 2A 31 1E 51 0A 30 1E F0 0B 40 BD 11 2A 31 1E F0 0F 40 BD 10 2A 31 1E F0 33 00 BD E8 23 40 F9 F0 1F 40 BD 10 01 00 BD F1 1F 40 BD F0 23 40 BD 31 2A 30 1E F0 33 40 BD 31 0A 30 1E F0 23 40 BD 10 2A 31 1E E8 27 40 F9 10 01 00 BD FF 43 01 91 C0 03 5F D6 AB AA 2A 3E }
	condition:
		$1
}

rule file_482_3_0 {
	meta:
		name = "tanhf"
		size = 708
		refs = "0058 valf_with_flags 0098 _handle_nanf 00f8 ?large_threshold@?1??tanhf@@9@9 0218 ?log2_by_32_tail@?1??tanhf@@9@9 0220 ?log2_by_32_lead@?1??tanhf@@9@9 0228 ?thirtytwo_by_log2@?1??tanhf@@9@9 0238 splitexpf 0250 scaleFloat_2"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1B 00 BD F0 1B 40 BD F0 33 00 BD E8 33 40 B9 E8 27 00 B9 E8 27 40 B9 08 79 00 12 E8 1F 00 B9 09 20 A7 52 E8 1F 40 B9 1F 01 09 6B C2 01 00 54 E8 1F 40 B9 1F 01 00 71 81 00 00 54 E0 1B 40 BD 92 00 00 14 07 00 00 14 00 02 80 52 E0 1B 40 BD ?? ?? ?? ?? E0 37 00 BD E0 37 40 BD 8B 00 00 14 10 00 00 14 09 F0 AF 52 E8 1F 40 B9 1F 01 09 6B 89 01 00 54 F0 1B 40 BD F0 3B 00 BD E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 43 00 BD E0 43 40 BD 7B 00 00 14 E9 27 40 B9 E8 1F 40 B9 1F 01 09 6B 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 11 01 22 1E 10 10 20 1E 11 0A 31 1E 10 10 2E 1E 10 3A 31 1E F0 2F 00 BD F1 2F 40 BD F0 1B 40 BD 30 0A 30 1E F0 13 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E 8D 00 00 54 10 10 2E 1E F0 23 00 BD 5B 00 00 14 11 10 2E 1E F0 13 40 BD 00 22 31 1E E8 06 00 54 F1 13 40 BD F0 13 40 BD 30 0A 30 1E F0 17 00 BD 11 0B 00 1C F0 13 40 BD 00 22 31 1E 02 03 00 54 F1 13 40 BD F0 17 40 BD 32 0A 30 1E 51 0A 00 1C F0 17 40 BD 31 0A 30 1E 10 0A 00 1C 11 2A 31 1E F0 17 40 BD 31 0A 30 1E B0 09 00 1C 10 2A 31 1E 52 0A 30 1E 71 09 00 1C F0 17 40 BD 31 0A 30 1E 30 09 00 1C 10 2A 31 1E 51 1A 30 1E F0 13 40 BD 10 2A 31 1E F0 23 00 BD 17 00 00 14 F1 13 40 BD F0 17 40 BD 32 0A 30 1E 11 08 00 1C F0 17 40 BD 31 0A 30 1E D0 07 00 1C 11 2A 31 1E F0 17 40 BD 31 0A 30 1E 70 07 00 1C 10 2A 31 1E 52 0A 30 1E 31 07 00 1C F0 17 40 BD 31 0A 30 1E F0 06 00 1C 10 2A 31 1E 51 1A 30 1E F0 13 40 BD 10 2A 31 1E F0 23 00 BD 21 00 00 14 11 10 20 1E F0 13 40 BD 20 0A 30 1E E2 23 01 91 E1 13 01 91 E0 33 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 2E 1E 00 40 20 1E ?? ?? ?? ?? F1 47 40 BD F0 4B 40 BD 20 2A 30 1E E0 4F 40 B9 00 40 20 1E ?? ?? ?? ?? E0 53 00 BD F1 53 40 BD 10 10 2E 1E 30 2A 30 1E F0 57 00 BD 11 10 20 1E F0 57 40 BD 31 1A 30 1E 10 10 2E 1E 10 3A 31 1E F0 23 00 BD F1 2F 40 BD F0 23 40 BD 20 0A 30 1E 00 40 20 1E FD 7B C6 A8 C0 03 5F D6 66 66 66 3F 7D 2B 4D 38 9E BC BF BA E0 58 90 BE 9C 76 AF 3E 50 85 58 3F D8 89 20 38 00 8E A1 BA B1 79 76 BE 5F C6 95 3E 60 DB 38 3F }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_getsystime"
		size = 244
		refs = "000c __security_push_cookie 001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0020 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 _CrtDbgReportW 0050 _errno 005c ??_C@_1BI@GOANMKLL@?$AA_?$AAg?$AAe?$AAt?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0074 _invalid_parameter 0080 __imp_GetLocalTime 00d8 _mktime32 00e4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 13 00 00 91 53 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 02 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E0 03 00 91 20 01 3F D6 08 00 80 12 E9 17 40 79 68 22 00 B9 E8 1B 40 79 60 02 00 91 EA 0B 40 79 68 26 00 29 E8 13 40 79 E9 0F 40 79 6A 1A 00 B9 68 26 01 29 E8 07 40 79 E9 03 40 79 08 05 00 51 68 12 00 B9 28 B1 1D 51 68 16 00 B9 ?? ?? ?? ?? E0 1F 40 79 FF 43 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_483_1_0 {
	meta:
		name = "_setsystime"
		size = 228
		refs = "000c __security_push_cookie 0020 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 _CrtDbgReportW 0060 _mktime32 00a4 __imp_SetLocalTime 00b8 __imp_GetLastError 00d4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 00 D1 13 00 00 91 34 00 00 11 13 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E0 0A 80 52 1E 00 00 14 60 02 00 91 ?? ?? ?? ?? 68 16 40 B9 F4 1F 00 79 E0 03 00 91 09 B1 1D 11 68 12 40 B9 E9 03 00 79 09 05 00 11 68 1A 40 79 E9 07 00 79 69 12 40 79 E8 0F 00 79 68 0A 40 79 E9 13 00 79 69 02 40 79 E8 17 00 79 E9 1B 00 79 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 C0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 02 00 00 14 00 00 80 52 FF 43 00 91 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_484_5_0 {
	meta:
		name = "_ismbcl0_l"
		size = 132
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? EA 13 40 F9 48 05 40 B9 1F 91 0E 71 C1 01 00 54 68 7E 08 53 09 1D 00 53 49 C1 29 8B 28 65 40 39 28 01 10 36 69 1E 00 53 48 C1 29 8B 0A 65 40 39 AA 00 18 36 E8 13 91 52 7F 02 08 6B 20 00 80 52 43 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_484_7_0 {
	meta:
		name = "_ismbcl1_l"
		size = 136
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? EA 13 40 F9 48 05 40 B9 1F 91 0E 71 E1 01 00 54 68 7E 08 53 09 1D 00 53 49 C1 29 8B 28 65 40 39 48 01 10 36 69 1E 00 53 48 C1 29 8B 0A 65 40 39 CA 00 18 36 E8 13 91 52 68 02 08 4B 1F 4D 3F 71 20 00 80 52 49 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_484_9_0 {
	meta:
		name = "_ismbcl2_l"
		size = 140
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? EA 13 40 F9 48 05 40 B9 1F 91 0E 71 01 02 00 54 68 7E 08 53 09 1D 00 53 49 C1 29 8B 28 65 40 39 68 01 10 36 69 1E 00 53 48 C1 29 8B 0A 65 40 39 EA 00 18 36 E8 13 93 52 68 02 08 4B A9 40 8A 52 1F 01 09 6B 20 00 80 52 49 00 00 54 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_485_0_0 {
	meta:
		name = "logbf"
		size = 168
		refs = "0014 _fdunscale 005c _fperrraise 0060 _FInf_C"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 BD E1 63 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 40 01 00 54 E8 17 40 B9 1F 05 00 71 C0 01 00 54 E8 17 40 B9 1F 09 00 71 40 00 00 54 0D 00 00 14 E0 1B 40 BD 13 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 21 1E 00 40 20 1E 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 00 00 14 E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 00 01 22 1E 00 40 20 1E FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_486_3_0 {
	meta:
		name = "__acrt_update_locale_info"
		size = 116
		refs = "0010 __acrt_current_locale_data 0018 ?value@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAAEAPEAU__crt_locale_data@@XZ 0044 __globallocalestatus 0058 __acrt_update_thread_locale_data"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 09 01 40 F9 E8 0B 40 F9 08 01 40 F9 1F 01 09 EB C0 01 00 54 E8 13 40 F9 08 A1 0E 91 09 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 0A 1F 01 00 71 C1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_486_4_0 {
	meta:
		name = "__acrt_update_multibyte_info"
		size = 116
		refs = "0010 __acrt_current_multibyte_data 0018 ?value@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAAEAPEAU__crt_multibyte_data@@XZ 0044 __globallocalestatus 0058 __acrt_update_thread_multibyte_data"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 09 01 40 F9 E8 0B 40 F9 08 01 40 F9 1F 01 09 EB C0 01 00 54 E8 13 40 F9 08 A1 0E 91 09 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 0A 1F 01 00 71 C1 00 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 0B 40 F9 E8 17 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_487_5_0 {
	meta:
		name = "_mbsspn_l"
		size = 440
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strspn 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0064 _CrtDbgReportW 0074 _errno 0094 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d8 ??_C@_1BE@IJNALACN@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 00e8 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EF 13 40 F9 E8 09 40 B9 A8 00 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 57 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 09 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 09 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 29 00 00 14 68 02 40 39 6D 02 00 91 A8 04 00 34 8E 02 40 39 8C 02 00 91 CE 02 00 34 8B 01 40 39 69 01 0F 8B 2A 65 40 39 8A 01 10 36 A8 01 40 39 7F 01 08 6B A1 00 00 54 AB 05 40 39 8A 05 40 39 5F 01 0B 6B 60 01 00 54 8B 05 40 39 2B 01 00 34 8C 05 00 91 04 00 00 14 A9 01 40 39 7F 01 09 6B 80 00 00 54 8C 05 00 91 88 01 40 39 88 FD FF 35 8A 01 40 39 6A 01 00 34 AB 01 40 39 6B 01 0F 8B 6C 65 40 39 8C 00 10 36 AD 05 00 91 A9 01 40 39 89 00 00 34 AD 05 00 91 A8 01 40 39 C8 FB FF 35 A0 01 13 CB E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_488_0_0 {
	meta:
		name = "?initialize_multibyte@@YAHXZ"
		size = 64
		refs = "0008 __acrt_initialize_multibyte"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_489_6_0 {
	meta:
		name = "_ismbcgraph_l"
		size = 152
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 28 02 00 54 E8 0F 40 F9 6A 1E 00 53 EB 22 80 52 08 01 40 F9 09 D9 6A 78 28 01 0B 0A 08 01 00 35 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 29 05 00 12 69 00 00 35 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 23 00 80 52 E2 22 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_3_0 {
	meta:
		name = "??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
		size = 912
		refs = "0060 ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 00e0 _invalid_parameter 00f0 ?do_locale_initialization@@YAXD@Z 0108 ?program_name@?1???$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z@4PADA 0114 ??$get_module_file_name@$$TAEAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QEA$$TAEAY0BAF@D$$QEAH@Z 0128 ??$set_program_name@PEAD@?$__crt_char_traits@D@@SAX$$QEAPEAD@Z 0130 ?get_command_line@@YAPEADD@Z 01a4 ??$parse_command_line@D@@YAXPEADPEAPEAD0PEA_K2@Z 01b4 __acrt_allocate_buffer_for_argv 01c4 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 01d0 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 0208 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 0218 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ 027c __argc 0288 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ 0294 ?get_argv@@YAAEAPEAPEADD@Z 02c8 ??0?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@QEAPEAD@Z 02d4 ?get_address_of@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEAPEADXZ 02e4 ?expand_argv_wildcards@@YAHQEAPEADQEAPEAPEAD@Z 030c ??1?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@XZ 0328 ??0<lambda_df1553121bfa390f1154bd84936f2730>@@QEAA@AEAV?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@@Z 0334 ??R<lambda_df1553121bfa390f1154bd84936f2730>@@QEBAHXZ 034c ?detach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEADXZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 DB 00 00 14 E8 17 40 B9 1F 09 00 71 E0 00 00 54 E8 17 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A8 00 00 14 00 00 80 52 ?? ?? ?? ?? 88 20 80 52 E8 47 00 B9 08 00 80 D2 E8 4B 00 F9 E2 13 01 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 4F 00 F9 E0 63 02 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 33 00 F9 E8 33 40 F9 1F 01 00 F1 20 01 00 54 E8 33 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 33 40 F9 E8 3B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 37 00 F9 E4 A3 01 91 E3 C3 00 91 02 00 80 D2 01 00 80 D2 E0 3F 40 F9 ?? ?? ?? ?? 22 00 80 D2 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 57 00 F9 E1 57 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 88 01 80 52 E8 4B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 B9 5E 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E9 1B 40 F9 08 01 80 D2 29 7D 08 9B E8 63 40 F9 08 01 09 8B E8 67 00 F9 E4 A3 01 91 E3 C3 00 91 E2 67 40 F9 E1 43 40 F9 E0 3F 40 F9 ?? ?? ?? ?? E8 17 40 B9 1F 05 00 71 A1 02 00 54 E8 1B 40 F9 08 05 00 D1 09 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 E8 6F 40 F9 28 01 00 F9 08 00 80 52 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 B9 33 00 00 14 01 00 80 D2 E0 E3 00 91 ?? ?? ?? ?? E0 87 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 73 00 F9 E1 73 40 F9 E0 43 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 20 01 00 54 E8 2B 40 B9 E8 57 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 57 40 B9 1B 00 00 14 E1 E3 00 91 E0 43 04 91 ?? ?? ?? ?? E0 77 00 F9 E0 77 40 F9 ?? ?? ?? ?? E0 5B 00 B9 ?? ?? ?? ?? E8 5B 40 B9 ?? ?? ?? ?? E0 E3 00 91 ?? ?? ?? ?? E0 7F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 E8 7F 40 F9 28 01 00 F9 08 00 80 52 E8 5F 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 5F 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_4_0 {
	meta:
		name = "??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
		size = 912
		refs = "0060 ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 00e0 _invalid_parameter 00f0 ?do_locale_initialization@@YAX_W@Z 0108 ?program_name@?1???$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z@4PA_WA 0114 ??$get_module_file_name@$$TAEAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QEA$$TAEAY0BAF@_W$$QEAH@Z 0128 ??$set_program_name@PEA_W@?$__crt_char_traits@_W@@SAX$$QEAPEA_W@Z 0130 ?get_command_line@@YAPEA_W_W@Z 01a4 ??$parse_command_line@_W@@YAXPEA_WPEAPEA_W0PEA_K2@Z 01b4 __acrt_allocate_buffer_for_argv 01c4 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 01d0 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 0208 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 0218 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ 027c __argc 0288 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ 0294 ?get_argv@@YAAEAPEAPEA_W_W@Z 02c8 ??0?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@QEAPEA_W@Z 02d4 ?get_address_of@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEAPEA_WXZ 02e4 ?expand_argv_wildcards@@YAHQEAPEA_WQEAPEAPEA_W@Z 030c ??1?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@XZ 0328 ??0<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QEAA@AEAV?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@@Z 0334 ??R<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QEBAHXZ 034c ?detach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 DB 00 00 14 E8 17 40 B9 1F 09 00 71 E0 00 00 54 E8 17 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 28 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A8 00 00 14 00 00 80 52 ?? ?? ?? ?? 88 20 80 52 E8 47 00 B9 08 00 80 D2 E8 4B 00 F9 E2 13 01 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 4F 00 F9 E0 63 02 91 ?? ?? ?? ?? 00 00 80 52 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 33 00 F9 E8 33 40 F9 1F 01 00 F1 20 01 00 54 E8 33 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 33 40 F9 E8 3B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 37 00 F9 E4 A3 01 91 E3 C3 00 91 02 00 80 D2 01 00 80 D2 E0 3F 40 F9 ?? ?? ?? ?? 42 00 80 D2 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 57 00 F9 E1 57 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 88 01 80 52 E8 4B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4B 40 B9 5E 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E9 1B 40 F9 08 01 80 D2 29 7D 08 9B E8 63 40 F9 08 01 09 8B E8 67 00 F9 E4 A3 01 91 E3 C3 00 91 E2 67 40 F9 E1 43 40 F9 E0 3F 40 F9 ?? ?? ?? ?? E8 17 40 B9 1F 05 00 71 A1 02 00 54 E8 1B 40 F9 08 05 00 D1 09 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 E8 6F 40 F9 28 01 00 F9 08 00 80 52 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 B9 33 00 00 14 01 00 80 D2 E0 E3 00 91 ?? ?? ?? ?? E0 87 00 F9 E0 E3 00 91 ?? ?? ?? ?? E0 73 00 F9 E1 73 40 F9 E0 43 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 20 01 00 54 E8 2B 40 B9 E8 57 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 57 40 B9 1B 00 00 14 E1 E3 00 91 E0 43 04 91 ?? ?? ?? ?? E0 77 00 F9 E0 77 40 F9 ?? ?? ?? ?? E0 5B 00 B9 ?? ?? ?? ?? E8 5B 40 B9 ?? ?? ?? ?? E0 E3 00 91 ?? ?? ?? ?? E0 7F 00 F9 00 00 80 52 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 E8 7F 40 F9 28 01 00 F9 08 00 80 52 E8 5F 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 5F 40 B9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_7_0 {
	meta:
		name = "??$parse_command_line@D@@YAXPEADPEAPEAD0PEA_K2@Z"
		size = 1400
		refs = "0120 ?should_copy_another_character@@YA_ND@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 33 00 F9 E1 1F 00 F9 E2 13 00 F9 E3 2B 00 F9 E4 1B 00 F9 E9 1B 40 F9 08 00 80 D2 28 01 00 F9 E9 2B 40 F9 28 00 80 D2 28 01 00 F9 E8 33 40 F9 E8 0F 00 F9 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E9 1F 40 F9 E8 13 40 F9 28 01 00 F9 E8 1F 40 F9 08 21 00 91 E8 1F 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 89 00 71 81 02 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 08 1D 00 53 E8 43 00 39 E8 0F 40 F9 08 01 C0 39 E8 47 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 2F 00 00 14 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 08 01 C0 39 E8 47 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E0 47 C0 39 ?? ?? ?? ?? E0 B3 00 39 E8 B3 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 47 C0 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 61 F6 FF 54 E8 47 C0 39 08 01 00 11 1F 81 00 71 A0 00 00 54 E8 47 C0 39 08 01 00 11 1F 25 00 71 61 F5 FF 54 E8 47 C0 39 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 08 00 00 14 E8 13 40 F9 1F 01 00 F1 A0 00 00 54 E8 13 40 F9 09 05 00 D1 08 00 80 52 28 01 00 39 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 C0 00 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 25 00 71 A1 00 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 F3 FF FF 17 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 41 00 00 54 B5 00 00 14 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E9 1F 40 F9 E8 13 40 F9 28 01 00 F9 E8 1F 40 F9 08 21 00 91 E8 1F 00 F9 E8 2B 40 F9 08 01 40 F9 09 05 00 91 E8 2B 40 F9 09 01 00 F9 28 00 80 52 E8 4B 00 B9 08 00 80 52 E8 2B 00 B9 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 71 01 71 01 01 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 2B 40 B9 08 05 00 11 E8 2B 00 B9 F5 FF FF 17 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 89 00 71 01 05 00 54 EA 2B 40 B9 49 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 A1 03 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 0F 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 89 00 71 A1 00 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 0F 00 00 14 08 00 80 52 E8 4B 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 08 1D 00 53 E8 43 00 39 E9 2B 40 B9 48 00 80 52 28 09 C8 1A E8 2B 00 B9 E8 2B 40 B9 E8 5B 00 B9 E8 2B 40 B9 08 05 00 51 E8 2B 00 B9 E8 5B 40 B9 1F 01 00 71 00 02 00 54 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E9 13 40 F9 88 0B 80 52 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 EA FF FF 17 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 C0 00 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 25 00 71 41 00 00 54 31 00 00 14 E8 4B 40 B9 1F 01 00 71 40 05 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 0F 40 F9 00 01 C0 39 ?? ?? ?? ?? E0 B7 00 39 E8 B7 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 6A FF FF 17 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 91 E8 1B 40 F9 09 01 00 F9 34 FF FF 17 E8 1F 40 F9 1F 01 00 F1 E0 00 00 54 E9 1F 40 F9 08 00 80 D2 28 01 00 F9 E8 1F 40 F9 08 21 00 91 E8 1F 00 F9 E8 2B 40 F9 08 01 40 F9 09 05 00 91 E8 2B 40 F9 09 01 00 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_8_0 {
	meta:
		name = "??$parse_command_line@_W@@YAXPEA_WPEAPEA_W0PEA_K2@Z"
		size = 1400
		refs = "0120 ?should_copy_another_character@@YA_N_W@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 37 00 F9 E1 23 00 F9 E2 13 00 F9 E3 2F 00 F9 E4 1F 00 F9 E9 1F 40 F9 08 00 80 D2 28 01 00 F9 E9 2F 40 F9 28 00 80 D2 28 01 00 F9 E8 37 40 F9 E8 0F 00 F9 E8 23 40 F9 1F 01 00 F1 E0 00 00 54 E9 23 40 F9 E8 13 40 F9 28 01 00 F9 E8 23 40 F9 08 21 00 91 E8 23 00 F9 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 89 00 71 81 02 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 08 1D 00 53 E8 43 00 39 E8 0F 40 F9 08 01 40 79 E8 53 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 2F 00 00 14 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 01 40 79 E8 53 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E0 53 40 79 ?? ?? ?? ?? E0 C3 00 39 E8 C3 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 53 40 79 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 61 F6 FF 54 E8 53 40 79 08 01 00 11 1F 81 00 71 A0 00 00 54 E8 53 40 79 08 01 00 11 1F 25 00 71 61 F5 FF 54 E8 53 40 79 08 01 00 11 1F 01 00 71 A1 00 00 54 E8 0F 40 F9 08 09 00 D1 E8 0F 00 F9 08 00 00 14 E8 13 40 F9 1F 01 00 F1 A0 00 00 54 E8 13 40 F9 09 09 00 D1 08 00 80 52 28 01 00 79 08 00 80 52 E8 43 00 39 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 C0 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 25 00 71 A1 00 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 F3 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 41 00 00 54 B5 00 00 14 E8 23 40 F9 1F 01 00 F1 E0 00 00 54 E9 23 40 F9 E8 13 40 F9 28 01 00 F9 E8 23 40 F9 08 21 00 91 E8 23 00 F9 E8 2F 40 F9 08 01 40 F9 09 05 00 91 E8 2F 40 F9 09 01 00 F9 28 00 80 52 E8 53 00 B9 08 00 80 52 E8 2F 00 B9 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 71 01 71 01 01 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 2F 40 B9 08 05 00 11 E8 2F 00 B9 F5 FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 89 00 71 01 05 00 54 EA 2F 40 B9 49 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 A1 03 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 89 00 71 A1 00 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 0F 00 00 14 08 00 80 52 E8 53 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 08 1D 00 53 E8 43 00 39 E9 2F 40 B9 48 00 80 52 28 09 C8 1A E8 2F 00 B9 E8 2F 40 B9 E8 63 00 B9 E8 2F 40 B9 08 05 00 51 E8 2F 00 B9 E8 63 40 B9 1F 01 00 71 00 02 00 54 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E9 13 40 F9 88 0B 80 52 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 EA FF FF 17 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 C0 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 25 00 71 41 00 00 54 31 00 00 14 E8 53 40 B9 1F 01 00 71 40 05 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 60 02 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 E8 13 40 F9 1F 01 00 F1 00 01 00 54 E9 13 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 6A FF FF 17 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 1F 40 F9 08 01 40 F9 09 05 00 91 E8 1F 40 F9 09 01 00 F9 34 FF FF 17 E8 23 40 F9 1F 01 00 F1 E0 00 00 54 E9 23 40 F9 08 00 80 D2 28 01 00 F9 E8 23 40 F9 08 21 00 91 E8 23 00 F9 E8 2F 40 F9 08 01 40 F9 09 05 00 91 E8 2F 40 F9 09 01 00 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_9_0 {
	meta:
		name = "??$set_program_name@PEAD@?$__crt_char_traits@D@@SAX$$QEAPEAD@Z"
		size = 32
		refs = "0014 _set_pgmptr"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_10_0 {
	meta:
		name = "??$set_program_name@PEA_W@?$__crt_char_traits@_W@@SAX$$QEAPEA_W@Z"
		size = 32
		refs = "0014 _set_wpgmptr"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_490_44_0 {
	meta:
		name = "__acrt_allocate_buffer_for_argv"
		size = 304
		refs = "00a8 ??_C@_0DI@KNDIGDEP@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 00bc _calloc_dbg 00cc ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 00d8 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 00fc ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 010c ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 1B 00 F9 09 00 FC 92 E8 13 40 F9 1F 01 09 EB 63 00 00 54 00 00 80 D2 40 00 00 14 09 00 80 92 E8 1B 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 17 40 F9 1F 01 09 EB 63 00 00 54 00 00 80 D2 36 00 00 14 E9 13 40 F9 08 01 80 D2 28 7D 08 9B E8 1F 00 F9 E9 17 40 F9 E8 1B 40 F9 28 7D 08 9B E8 23 00 F9 09 00 80 92 E8 1F 40 F9 29 01 08 CB E8 23 40 F9 3F 01 08 EB 68 00 00 54 00 00 80 D2 26 00 00 14 E9 1F 40 F9 E8 23 40 F9 28 01 08 8B E8 27 00 F9 C4 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2F 40 F9 09 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_40_0 {
	meta:
		name = "_atoi64"
		size = 48
		refs = "001c ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQEBD$$THQEAU__crt_locale_pointers@@@Z"
		altNames = "atoll"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_48_0 {
	meta:
		name = "_wtoi64"
		size = 48
		refs = "001c ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_53_0 {
	meta:
		name = "_wtoll"
		size = 48
		refs = "001c ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_41_0 {
	meta:
		name = "_atoi64_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQEBD$$THQEAU__crt_locale_pointers@@@Z"
		altNames = "_atoll_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E3 0B 40 F9 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_49_0 {
	meta:
		name = "_wtoi64_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E3 0B 40 F9 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_54_0 {
	meta:
		name = "_wtoll_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E3 0B 40 F9 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_42_0 {
	meta:
		name = "_atoi_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQEBD$$THQEAU__crt_locale_pointers@@@Z"
		altNames = "_atol_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E3 0F 40 F9 42 01 80 52 01 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_50_0 {
	meta:
		name = "_wtoi_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E3 0F 40 F9 42 01 80 52 01 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_52_0 {
	meta:
		name = "_wtol_l"
		size = 52
		refs = "0020 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQEB_W$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E3 0F 40 F9 42 01 80 52 01 00 80 D2 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_47_0 {
	meta:
		name = "_wtoi"
		size = 48
		refs = "001c ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQEB_W$$THQEAU__crt_locale_pointers@@@Z"
		altNames = "_wtol"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_55_0 {
	meta:
		name = "atoi"
		size = 48
		refs = "001c ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQEBD$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_491_56_0 {
	meta:
		name = "atol"
		size = 48
		refs = "001c ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQEBD$$THQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 03 00 80 D2 42 01 80 52 01 00 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_492_1_0 {
	meta:
		name = "_mbctohira_l"
		size = 76
		refs = "0010 _ismbckata_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 ?? ?? ?? ?? 40 01 00 34 68 72 90 52 7F 02 08 6B E8 00 00 54 E8 6F 90 52 7F 02 08 6B 62 00 00 54 73 86 02 51 02 00 00 14 73 8A 02 51 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "logf"
		size = 796
		refs = "0080 _handle_nanf 00c4 ??_C@_04HIGFGEHP@logf?$AA@ 00cc _handle_errorf 01f4 ?ln_lead_table@?1??logf@@9@9 021c ?ln_tail_table@?1??logf@@9@9 0288 ?cb_2@?1??logf@@9@9 0294 ?cb_1@?1??logf@@9@9 02d4 ?log2@?1??logf@@9@9"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD 10 C2 22 1E F0 2B 00 FD F0 2B 40 FD F0 3F 00 FD E8 3F 40 F9 E8 0F 00 F9 09 17 00 58 E8 0F 40 F9 1F 01 09 EB 61 00 00 54 00 10 2E 1E B1 00 00 14 E8 0F 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB E1 04 00 54 E8 0F 40 F9 08 CD 40 92 1F 01 00 F1 A0 01 00 54 F0 13 40 BD F0 33 00 BD E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 3B 00 BD E0 3B 40 BD 9D 00 00 14 16 00 00 14 E8 0F 40 F9 08 01 41 92 1F 01 00 F1 00 02 00 54 26 00 80 52 81 13 00 1C E0 13 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 00 BD E0 3F 40 BD 8A 00 00 14 03 00 00 14 E0 13 40 BD 87 00 00 14 26 00 00 14 E8 0F 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 C1 10 00 1C E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 BF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 BD E0 43 40 BD 74 00 00 14 13 00 00 14 E8 0F 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 61 0E 00 1C E0 13 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 BD E0 47 40 BD 61 00 00 14 F0 2B 40 FD F0 2F 00 FD E8 0F 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 08 FD 0F 51 E8 4B 00 B9 E9 0F 40 F9 C8 7F 80 D2 09 2D 4C B3 E9 43 00 F9 F0 43 40 FD F0 2F 00 FD E8 0F 40 F9 08 15 52 92 08 01 4C B2 09 FD 6E D3 E8 0F 40 F9 08 01 53 92 08 FD 6D D3 28 01 08 8B 08 01 00 11 E8 23 00 B9 E8 23 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 4F 00 FD E8 23 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 4B 00 FD E8 23 40 B9 11 01 62 1E D0 06 00 5C 30 0A 70 1E F0 33 00 FD F1 2F 40 FD F0 33 40 FD 30 3A 70 1E F0 37 00 FD 11 10 6C 1E F0 37 40 FD 31 0A 70 1E F0 33 40 FD 11 2A 71 1E F0 37 40 FD 10 1A 71 1E F0 17 00 FD F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 3B 00 FD F1 3B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 3B 40 FD 10 0A 71 1E F0 47 00 FD F1 17 40 FD F0 47 40 FD 31 0A 70 1E F0 17 40 FD 11 2A 71 1E F0 4B 40 FD 10 2A 71 1E F0 53 00 FD E8 4B 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 4F 40 FD 31 2A 70 1E F0 53 40 FD 30 2A 70 1E F0 57 00 FD F0 57 40 FD 00 42 62 1E 00 40 20 1E FD 7B CB A8 C0 03 5F D6 00 00 00 80 0A BF 05 40 00 00 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule file_495_4_0 {
	meta:
		name = "_mbsnbcat_s_l"
		size = 1272
		refs = "0068 _CrtGetDebugFillThreshold 0080 memset 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 008c ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a8 _CrtDbgReportW 00b8 _errno 00d8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00f8 strncat_s 015c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0198 ??_C@_1BM@BENFBNLI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01b0 _invalid_parameter 0364 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0488 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BD A9 FD 03 00 91 15 00 00 91 33 00 00 91 57 00 00 91 76 00 00 91 18 00 80 52 B6 00 00 B5 B5 00 00 B5 B3 22 00 B5 00 00 80 52 2B 01 00 14 55 22 00 B4 33 22 00 B4 76 04 00 B4 57 04 00 B5 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 C3 03 80 52 ?? ?? ?? ?? 00 01 00 14 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 E8 00 00 35 C3 02 00 91 E2 02 00 91 61 02 00 91 A0 02 00 91 ?? ?? ?? ?? DB 00 00 14 AB 02 00 91 74 02 00 91 68 01 40 39 88 00 00 34 6B 05 00 91 94 06 00 D1 94 FF FF B5 14 05 00 B5 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AC 00 00 14 9F 02 13 EB 42 02 00 54 6C 05 00 D1 8A 01 00 91 9F 01 15 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 15 EB 42 FF FF 54 89 01 0A 4B A9 00 00 36 6B 05 00 D1 7F 01 00 39 94 06 00 91 38 00 80 52 DF 06 00 B1 E1 00 00 54 EA 16 40 38 6A 15 00 38 EA 01 00 34 94 06 00 D1 94 FF FF B5 0C 00 00 14 16 01 00 B4 E8 16 40 38 68 15 00 38 A8 00 00 34 94 06 00 D1 74 00 00 B4 D6 06 00 D1 56 FF FF B5 76 00 00 B5 7F 01 00 39 6B 05 00 91 94 0B 00 B5 E8 02 40 39 1F 01 00 71 C4 1A 41 FA 01 02 00 54 6D 05 00 D1 AC 01 00 91 BF 01 15 EB 03 01 00 54 89 01 40 39 29 01 0E 8B 2A 65 40 39 8A 00 10 36 8C 05 00 D1 9F 01 15 EB 42 FF FF 54 A9 01 0C 4B 69 00 00 36 7F F1 1F 38 6C 00 00 14 DF 06 00 B1 01 04 00 54 B8 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 EE 13 40 F9 7F 06 00 F1 A9 02 00 54 B4 02 13 8B 8B 0A 00 D1 6A 01 00 91 7F 01 15 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 15 EB 42 FF FF 54 69 01 0A 4B E9 00 00 36 9F E2 1F 38 ?? ?? ?? ?? C0 00 00 B4 C8 1F 80 52 88 F2 1F 38 03 00 00 14 A8 02 13 8B 1F F1 1F 38 00 0A 80 52 51 00 00 14 BF 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 16 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 2A 00 00 14 9F 02 13 EB 22 02 00 54 6C 09 00 D1 8A 01 00 91 9F 01 15 EB 03 01 00 54 48 01 40 39 08 01 0E 8B 09 65 40 39 89 00 10 36 4A 05 00 D1 5F 01 15 EB 42 FF FF 54 89 01 0A 4B 89 00 00 36 7F E1 1F 38 94 06 00 91 38 00 80 52 68 06 00 91 09 F9 60 92 C9 01 00 B4 68 02 14 CB 09 05 00 91 3F 01 13 EB 42 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A8 02 14 CB 09 01 13 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D8 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_497_2_0 {
	meta:
		name = "??$common_searchenv_s@D@@YAHQEBD0QEAD_K@Z"
		size = 1256
		refs = "001c __security_push_cookie 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0090 _invalid_parameter 00a4 ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00f8 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0158 _access_s 0178 _fullpath 0198 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 01b8 _dupenv_s_dbg 01fc ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 023c _calloc_dbg 024c _free_dbg 0298 __acrt_getpath 0394 strcpy_s 0454 __security_pop_cookie 047c ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 0494 _invoke_watson 04a0 ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 04c4 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 17 00 00 91 36 00 00 91 55 00 00 91 79 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 EE 00 00 14 99 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 04 80 52 ?? ?? ?? ?? E6 FF FF 17 B7 02 00 B5 ?? ?? ?? ?? BF 02 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 05 80 52 ?? ?? ?? ?? D1 FF FF 17 E8 02 C0 39 C8 17 00 34 ?? ?? ?? ?? 01 00 80 52 14 00 40 B9 E0 02 00 91 ?? ?? ?? ?? 13 00 00 11 ?? ?? ?? ?? 14 00 00 B9 93 01 00 35 22 03 00 91 E1 02 00 91 A0 02 00 91 ?? ?? ?? ?? A0 00 00 B5 BF 02 00 39 ?? ?? ?? ?? 00 00 40 B9 B1 00 00 14 00 00 80 52 AF 00 00 14 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 45 0D 80 52 43 00 80 52 C2 02 00 91 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 80 00 00 34 1F 58 00 71 C1 13 00 54 AB 00 00 14 F3 03 40 F9 73 13 00 B4 E8 02 C0 39 EA 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 5A 01 17 CB 5F 03 19 EB 1B 21 80 D2 F6 23 00 91 ?? ?? ?? ?? 63 03 00 54 68 02 C0 39 6B 02 00 91 88 00 00 34 6B 05 00 91 69 01 C0 39 C9 FF FF 35 68 01 13 CB 08 01 1A 8B 1B 09 00 91 60 03 00 91 44 0B 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 41 00 80 52 16 00 00 91 00 00 80 D2 ?? ?? ?? ?? F6 00 00 B5 BF 02 00 39 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 95 01 80 52 70 00 00 14 E8 23 00 91 DF 02 08 EB F4 03 96 9A ?? ?? ?? ?? 1C 00 40 B9 F8 03 40 F9 38 0C 00 B4 68 03 1A CB 02 05 00 D1 C1 02 00 91 00 03 00 91 ?? ?? ?? ?? E0 03 00 F9 20 05 00 B5 E8 23 00 91 DF 02 08 EB E1 0A 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 89 00 71 01 04 00 54 09 03 C0 39 0B 03 00 91 89 00 00 34 6B 05 00 91 6A 01 C0 39 CA FF FF 35 6B 01 18 CB 6B 01 1A 8B 7B 09 00 91 ?? ?? ?? ?? 60 03 00 91 24 0E 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 41 00 80 52 16 00 00 91 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 D4 02 00 91 ?? ?? ?? ?? 96 05 00 B4 62 03 1A CB C1 02 00 91 00 03 00 91 ?? ?? ?? ?? E0 03 00 F9 02 00 00 14 E0 03 40 F9 40 06 00 B4 C8 02 C0 39 08 06 00 34 C0 02 00 91 09 1C C0 38 E9 FF FF 35 0A F0 DF 38 18 00 16 CB 4A BD 00 51 4B 1D 00 53 7F B5 00 71 88 00 00 54 8D 0B 00 58 A8 25 CA 9A A8 00 00 37 89 0B 80 52 09 00 00 39 18 07 00 91 00 04 00 91 61 03 18 CB E2 02 00 91 ?? ?? ?? ?? 20 09 00 35 01 00 80 52 C0 02 00 91 ?? ?? ?? ?? C0 F6 FF 35 08 03 1A 8B 09 05 00 91 3F 01 19 EB 69 01 00 54 BF 02 00 39 ?? ?? ?? ?? 48 04 80 52 55 04 80 52 13 00 00 14 BF 02 00 39 ?? ?? ?? ?? 88 01 80 52 95 01 80 52 0E 00 00 14 ?? ?? ?? ?? C2 02 00 91 1C 00 00 B9 21 03 00 91 A0 02 00 91 ?? ?? ?? ?? E0 04 00 35 15 00 80 52 06 00 00 14 BF 02 00 39 ?? ?? ?? ?? 55 00 80 52 48 00 80 52 08 00 00 B9 41 00 80 52 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? A0 02 00 11 06 00 00 14 BF 02 00 39 ?? ?? ?? ?? 48 00 80 52 08 00 00 B9 40 00 80 52 FF 43 04 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 01 08 00 00 00 20 00 00 }
	condition:
		$1
}

rule file_497_3_0 {
	meta:
		name = "??$common_searchenv_s@_W@@YAHQEB_W0QEA_W_K@Z"
		size = 1280
		refs = "001c __security_push_cookie 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0090 _invalid_parameter 00a4 ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00f8 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0158 _waccess_s 0178 _wfullpath 0198 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 01b8 _wdupenv_s_dbg 01fc ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 0240 _calloc_dbg 0250 _free_dbg 029c __acrt_wgetpath 03a8 wcscpy_s 0468 __security_pop_cookie 0490 ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 04a8 _invoke_watson 04b4 ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 04d8 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@"
	strings:
		$1 = { FD 7B BA A9 F3 53 01 A9 F5 5B 02 A9 F7 63 03 A9 F9 6B 04 A9 FB 73 05 A9 FD 03 00 91 ?? ?? ?? ?? FF 43 08 D1 17 00 00 91 36 00 00 91 55 00 00 91 79 00 00 91 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 F3 00 00 14 99 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 04 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 04 80 52 ?? ?? ?? ?? E6 FF FF 17 B7 02 00 B5 ?? ?? ?? ?? BF 02 00 79 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 05 80 52 ?? ?? ?? ?? D1 FF FF 17 E8 02 40 79 68 18 00 34 ?? ?? ?? ?? 01 00 80 52 14 00 40 B9 E0 02 00 91 ?? ?? ?? ?? 13 00 00 11 ?? ?? ?? ?? 14 00 00 B9 93 01 00 35 22 03 00 91 E1 02 00 91 A0 02 00 91 ?? ?? ?? ?? A0 00 00 B5 BF 02 00 79 ?? ?? ?? ?? 00 00 40 B9 B6 00 00 14 00 00 80 52 B4 00 00 14 ?? ?? ?? ?? FF 03 00 F9 ?? ?? ?? ?? 25 0F 80 52 43 00 80 52 C2 02 00 91 01 00 80 D2 E0 03 00 91 ?? ?? ?? ?? 80 00 00 34 1F 58 00 71 61 14 00 54 B0 00 00 14 F3 03 40 F9 13 14 00 B4 E8 02 C0 79 EA 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 5A 01 17 CB 3F 07 9A EB 1B 21 80 D2 F6 23 00 91 ?? ?? ?? ?? 88 03 00 54 68 02 C0 79 6B 02 00 91 88 00 00 34 6B 09 00 91 69 01 C0 79 C9 FF FF 35 68 01 13 CB 09 FD 41 93 2A 05 9A 8B 44 0B 80 52 ?? ?? ?? ?? 5B 09 00 91 60 03 00 91 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 41 00 80 52 16 00 00 91 00 00 80 D2 ?? ?? ?? ?? F6 00 00 B5 BF 02 00 79 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 95 01 80 52 74 00 00 14 E8 23 00 91 DF 02 08 EB F4 03 96 9A ?? ?? ?? ?? 1C 00 40 B9 F8 03 40 F9 B8 0C 00 B4 68 07 9A CB C1 02 00 91 00 03 00 91 02 05 00 D1 ?? ?? ?? ?? E0 03 00 F9 40 05 00 B5 E8 23 00 91 DF 02 08 EB 61 0B 00 54 ?? ?? ?? ?? 08 00 40 B9 1F 89 00 71 21 04 00 54 09 03 C0 79 0B 03 00 91 89 00 00 34 6B 09 00 91 6A 01 C0 79 CA FF FF 35 6B 01 18 CB 6C FD 41 93 8D 05 9A 8B ?? ?? ?? ?? 24 0E 80 52 BB 09 00 91 60 03 00 91 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 41 00 80 52 16 00 00 91 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 00 00 80 D2 D4 02 00 91 ?? ?? ?? ?? F6 05 00 B4 62 07 9A CB C1 02 00 91 00 03 00 91 ?? ?? ?? ?? E0 03 00 F9 02 00 00 14 E0 03 40 F9 A0 06 00 B4 C8 02 40 79 68 06 00 34 CA 02 00 91 49 2D C0 78 E9 FF FF 35 4A 01 16 CB 58 FD 41 93 C0 06 18 8B 2C FA 9F 52 0B E0 5F 78 6B 01 0C 0B 6C 3D 00 53 9F B5 00 71 88 00 00 54 A8 0B 00 58 08 25 CC 9A A8 00 00 37 89 0B 80 52 09 00 00 79 18 07 00 91 00 08 00 91 61 03 18 CB E2 02 00 91 ?? ?? ?? ?? 20 09 00 35 01 00 80 52 C0 02 00 91 ?? ?? ?? ?? 40 F6 FF 35 08 07 9A 8B 09 05 00 91 3F 01 19 EB 69 01 00 54 BF 02 00 79 ?? ?? ?? ?? 48 04 80 52 55 04 80 52 13 00 00 14 BF 02 00 79 ?? ?? ?? ?? 88 01 80 52 95 01 80 52 0E 00 00 14 ?? ?? ?? ?? C2 02 00 91 1C 00 00 B9 21 03 00 91 A0 02 00 91 ?? ?? ?? ?? E0 04 00 35 15 00 80 52 06 00 00 14 BF 02 00 79 ?? ?? ?? ?? 55 00 80 52 48 00 80 52 08 00 00 B9 41 00 80 52 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 60 02 00 91 ?? ?? ?? ?? A0 02 00 11 06 00 00 14 BF 02 00 79 ?? ?? ?? ?? 48 00 80 52 08 00 00 B9 40 00 80 52 FF 43 08 91 ?? ?? ?? ?? FB 73 45 A9 F9 6B 44 A9 F7 63 43 A9 F5 5B 42 A9 F3 53 41 A9 FD 7B C6 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 20 03 D5 01 08 00 00 00 20 00 00 }
	condition:
		$1
}

rule file_498_0_0 {
	meta:
		name = "casinhf"
		size = 1276
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 0160 piby4 01a0 _FZero_C 01ec piby2 022c _FCbuild 0240 csqrtf 0334 big 0424 asinhf 0454 logf 049c _FCmulcc 04c0 atan2f"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 6B 00 BD E1 6F 00 BD E1 6F 40 BD E0 6B 40 BD ?? ?? ?? ?? E0 93 00 BD F0 93 40 BD F0 1F 00 BD E1 6F 40 BD E0 6B 40 BD ?? ?? ?? ?? E0 97 00 BD F0 97 40 BD F0 1B 00 BD E0 73 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 53 00 79 E0 63 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 2B 00 79 E8 53 C0 79 08 01 00 11 1F 09 00 71 81 03 00 54 E8 2B C0 79 08 01 00 11 1F 09 00 71 A0 00 00 54 E8 2B C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 1F 40 BD F0 13 00 BD F0 1B 40 BD F0 27 00 BD 0E 00 00 14 E8 2B C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 1B 40 BD F0 13 00 BD F0 1F 40 BD F0 27 00 BD 05 00 00 14 F0 1F 40 BD F0 13 00 BD F0 1F 40 BD F0 27 00 BD FC 00 00 14 E8 2B C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 53 C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 1F 40 BD F0 13 00 BD F0 1B 40 BD F0 27 00 BD 05 00 00 14 F0 1B 40 BD F0 13 00 BD F0 1B 40 BD F0 27 00 BD EA 00 00 14 E8 53 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 2B C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 1F 40 BD F0 13 00 BD F0 1B 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 5B 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 5B 00 BD F0 5B 40 BD F0 27 00 BD 0F 00 00 14 F0 1F 40 BD F0 13 00 BD E8 37 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 5F 00 BD 03 00 00 14 30 1A 00 1C F0 5F 00 BD F0 5F 40 BD F0 27 00 BD C3 00 00 14 E8 2B C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 1B 40 BD F0 13 00 BD F0 1B 40 BD 08 22 20 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 21 1E F0 63 00 BD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 63 00 BD F0 63 40 BD F0 27 00 BD AF 00 00 14 11 10 2E 1E F0 1B 40 BD 20 3A 30 1E E1 1F 40 BD 00 40 20 1E ?? ?? ?? ?? E1 A7 00 BD E0 A3 00 BD E1 A7 40 BD E0 A3 40 BD ?? ?? ?? ?? E1 C7 00 BD E0 C3 00 BD E9 43 01 91 29 01 00 91 E8 03 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 F0 1F 40 BD 01 42 21 1E 11 10 2E 1E F0 1B 40 BD 20 2A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 AF 00 BD E0 AB 00 BD E1 AF 40 BD E0 AB 40 BD ?? ?? ?? ?? E1 CF 00 BD E0 CB 00 BD E9 23 01 91 29 01 00 91 E8 23 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 F0 1F 40 BD 08 22 20 1E 81 00 00 54 F0 1F 40 BD F0 13 00 BD 70 00 00 14 E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 9B 00 BD F0 9B 40 BD F0 33 00 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E0 73 00 BD F0 73 40 BD F0 2F 00 BD E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E0 77 00 BD F0 77 40 BD F0 37 00 BD E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E0 7B 00 BD F0 7B 40 BD F0 3B 00 BD F1 33 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 33 40 BD F0 23 00 BD F1 37 40 BD F0 23 40 BD 31 1A 30 1E F0 2F 40 BD 11 0A 31 1E F0 3B 40 BD 30 3A 30 1E F0 3F 00 BD 2D 00 00 14 F1 2F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 F0 2F 40 BD F0 23 00 BD F1 3B 40 BD F0 23 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 37 40 BD 10 3A 31 1E F0 3F 00 BD 1D 00 00 14 F0 2F 40 BD 11 42 21 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E A2 01 00 54 F0 2F 40 BD 10 42 21 1E F0 23 00 BD F1 3B 40 BD F0 23 40 BD 31 1A 30 1E F0 33 40 BD 11 0A 31 1E F0 37 40 BD 10 3A 31 1E F0 3F 00 BD 0B 00 00 14 10 08 00 1C F0 23 00 BD F1 2F 40 BD F0 37 40 BD 32 0A 30 1E F1 33 40 BD F0 3B 40 BD 30 0A 30 1E 50 3A 30 1E F0 3F 00 BD E0 3F 40 BD ?? ?? ?? ?? E0 7F 00 BD F0 7F 40 BD F0 13 00 BD F0 23 40 BD 08 22 20 1E 41 00 00 54 13 00 00 14 F0 13 40 BD 08 22 20 1E 2B 01 00 54 E0 23 40 BD ?? ?? ?? ?? E0 83 00 BD F1 13 40 BD F0 83 40 BD 30 2A 30 1E F0 13 00 BD 08 00 00 14 E0 23 40 BD ?? ?? ?? ?? E0 87 00 BD F1 13 40 BD F0 87 40 BD 30 3A 30 1E F0 13 00 BD E3 4F 40 BD E2 4B 40 BD E1 57 40 BD E0 53 40 BD ?? ?? ?? ?? E1 B7 00 BD E0 B3 00 BD E1 B7 40 BD E0 B3 40 BD ?? ?? ?? ?? E0 8B 00 BD E1 8B 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 8F 00 BD F0 8F 40 BD F0 27 00 BD E1 27 40 BD E0 13 40 BD ?? ?? ?? ?? E1 BF 00 BD E0 BB 00 BD E0 BB 40 BD E1 BF 40 BD FD 7B CD A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_499_6_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHQEA_W_KQEAU__crt_locale_pointers@@@Z"
		size = 1876
		refs = "0048 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1CC@GAIHKOIP@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00c8 _invalid_parameter 00dc wcsnlen 0134 _CrtGetDebugFillThreshold 0190 memset 0194 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01d8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03d4 __acrt_LCMapStringW 04c4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0508 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05a8 _MallocaComputeSize 05dc ??_C@_0DB@HOIAHBNG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 05ec _malloc_dbg 05fc _MarkAllocaS 0620 ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 0634 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0648 ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 0688 ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 06f4 wcscpy_s"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 43 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 9F 01 00 14 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 2B 00 F9 E9 0B 40 F9 E8 2B 40 F9 1F 01 09 EB 63 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E9 4B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 3B 01 00 14 E8 0B 40 F9 1F 05 00 B1 40 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 04 00 54 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 22 04 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 06 00 00 14 E8 2B 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 2B 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 01 04 00 54 E8 13 40 F9 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 60 02 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 85 01 71 AB 01 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F E9 01 71 0C 01 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 08 81 00 51 09 3D 00 53 E8 17 40 F9 09 01 00 79 E7 FF FF 17 00 00 80 52 E9 00 00 14 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 05 00 80 52 04 00 80 D2 03 00 80 12 E2 13 40 F9 01 40 80 52 00 01 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 05 80 52 28 01 00 B9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 00 01 40 B9 CE 00 00 14 E8 1B 40 B9 09 7D 40 93 E8 0B 40 F9 1F 01 09 EB 62 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 E8 57 00 F9 E8 0B 40 F9 09 05 00 D1 E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 6F 00 00 14 E8 1B 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 1F 01 00 F1 C0 02 00 54 E8 1B 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 8B 00 F9 43 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 8B 40 F9 ?? ?? ?? ?? E0 8F 00 F9 A1 BB 9B 52 E0 8F 40 F9 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 5F 00 F9 03 00 00 14 08 00 80 D2 E8 5F 00 F9 E1 5F 40 F9 E0 A3 05 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 01 01 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 E8 BB 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 1F 01 00 F1 E1 01 00 54 ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 08 01 40 B9 E8 6B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 6B 40 B9 2F 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 AB 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 E5 1B 40 B9 E4 AB 40 F9 03 00 80 12 E2 13 40 F9 01 40 80 52 00 01 40 F9 ?? ?? ?? ?? E0 6F 00 B9 E8 6F 40 B9 1F 01 00 71 00 02 00 54 E0 C3 00 91 ?? ?? ?? ?? E0 AF 00 F9 E2 AF 40 F9 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 E8 77 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 77 40 B9 0F 00 00 14 0C 00 00 14 ?? ?? ?? ?? E0 B3 00 F9 E9 B3 40 F9 48 05 80 52 28 01 00 B9 48 05 80 52 E8 7B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 40 B9 03 00 00 14 E0 C3 00 91 ?? ?? ?? ?? FD 7B D8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_499_12_0 {
	meta:
		name = "_wcsupr"
		size = 392
		refs = "000c __acrt_locale_changed 0058 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BA@LGEDHIDA@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?$AA@ 00d8 _invalid_parameter 0178 _wcsupr_s_l"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 0A 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 28 00 00 14 E8 17 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 02 00 54 E8 13 40 F9 09 01 40 79 29 01 00 11 28 0C 80 52 1F 01 09 6B CC 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F E9 01 71 2C 01 00 54 E8 13 40 F9 09 01 40 79 29 01 00 11 08 FC 9F 52 28 01 08 0B 09 3D 00 53 E8 13 40 F9 09 01 00 79 E5 FF FF 17 E0 17 40 F9 07 00 00 14 06 00 00 14 02 00 80 D2 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_500_0_0 {
	meta:
		name = "_wrename"
		size = 100
		refs = "001c __imp_MoveFileExW 0038 __imp_GetLastError 004c __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 42 00 80 52 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_4_0 {
	meta:
		name = "__iswcsym"
		size = 88
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 08 01 00 11 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_5_0 {
	meta:
		name = "__iswcsymf"
		size = 88
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 61 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 08 01 00 11 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_6_0 {
	meta:
		name = "_isleadbyte_l"
		size = 128
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0070 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 01 00 91 E8 13 40 B9 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 08 01 11 12 E8 17 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 17 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_7_0 {
	meta:
		name = "_iswalnum_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E1 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_8_0 {
	meta:
		name = "_iswalpha_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 61 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_9_0 {
	meta:
		name = "_iswblank_l"
		size = 80
		refs = "0034 iswctype"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 E1 13 00 F9 E8 23 40 79 08 01 00 11 1F 25 00 71 81 00 00 54 08 08 80 52 E8 17 00 B9 07 00 00 14 01 08 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_10_0 {
	meta:
		name = "_iswcntrl_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 01 04 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_11_0 {
	meta:
		name = "_iswcsym_l"
		size = 92
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 E1 13 00 F9 E1 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 08 01 00 11 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_12_0 {
	meta:
		name = "_iswcsymf_l"
		size = 92
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 E1 13 00 F9 61 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 08 01 00 11 1F 7D 01 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_13_0 {
	meta:
		name = "_iswdigit_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 81 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_14_0 {
	meta:
		name = "_iswgraph_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E1 22 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_15_0 {
	meta:
		name = "_iswlower_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 41 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_16_0 {
	meta:
		name = "_iswprint_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 E1 2A 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_17_0 {
	meta:
		name = "_iswpunct_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 01 02 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_18_0 {
	meta:
		name = "_iswspace_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 01 01 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_19_0 {
	meta:
		name = "_iswupper_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 21 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_20_0 {
	meta:
		name = "_iswxdigit_l"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 0F 00 F9 01 10 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_21_0 {
	meta:
		name = "isleadbyte"
		size = 40
		refs = "0014 _isleadbyte_l"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_22_0 {
	meta:
		name = "iswalnum"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_23_0 {
	meta:
		name = "iswalpha"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 61 20 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_24_0 {
	meta:
		name = "iswascii"
		size = 56
	strings:
		$1 = { FF 43 00 D1 E0 03 00 79 E8 03 40 79 08 01 00 11 1F 01 02 71 82 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_25_0 {
	meta:
		name = "iswblank"
		size = 76
		refs = "0030 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E8 23 40 79 08 01 00 11 1F 25 00 71 81 00 00 54 08 08 80 52 E8 17 00 B9 07 00 00 14 01 08 80 52 E0 23 40 79 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_26_0 {
	meta:
		name = "iswcntrl"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 04 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_27_0 {
	meta:
		name = "iswdigit"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 81 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_28_0 {
	meta:
		name = "iswgraph"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 22 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_29_0 {
	meta:
		name = "iswlower"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 41 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_30_0 {
	meta:
		name = "iswprint"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 E1 2A 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_31_0 {
	meta:
		name = "iswpunct"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 02 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_32_0 {
	meta:
		name = "iswspace"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 01 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_33_0 {
	meta:
		name = "iswupper"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 21 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_501_34_0 {
	meta:
		name = "iswxdigit"
		size = 40
		refs = "0014 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 23 00 79 01 10 80 52 E0 23 40 79 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_502_1_0 {
	meta:
		name = "wmemcpy_s"
		size = 704
		refs = "0060 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GI@EHBONCFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BE@CMDLDFAK@?$AAw?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 00e0 _invalid_parameter 0114 wmemset 014c ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0210 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 02b0 wmemcpy"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 23 00 F9 E2 27 00 F9 E3 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 A4 00 00 14 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 74 00 00 14 E8 27 40 F9 1F 01 00 F1 A0 00 00 54 E9 17 40 F9 E8 23 40 F9 1F 01 09 EB 02 0D 00 54 E2 23 40 F9 01 00 80 52 E0 2B 40 F9 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 39 00 00 14 E9 17 40 F9 E8 23 40 F9 1F 01 09 EB 83 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 83 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 08 00 00 14 C0 02 80 52 06 00 00 14 E2 17 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_502_2_0 {
	meta:
		name = "wmemset"
		size = 96
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 F9 E1 03 00 79 E2 07 00 F9 E8 0F 40 F9 E8 0B 00 F9 07 00 00 14 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 07 40 F9 08 05 00 D1 E8 07 00 F9 E9 07 40 F9 08 00 80 D2 1F 01 09 EB A2 00 00 54 E9 0B 40 F9 E8 03 40 79 28 01 00 79 F3 FF FF 17 E0 0F 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_504_0_0 {
	meta:
		name = "_dpoly"
		size = 112
		altNames = "_ldpoly"
	strings:
		$1 = { FF 83 00 D1 E0 0F 00 FD E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 10 01 40 FD F0 0B 00 FD E8 03 40 B9 08 05 00 51 E8 03 00 B9 E9 03 40 B9 08 00 80 52 1F 01 09 6B 8C 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 F1 0B 40 FD F0 0F 40 FD 31 0A 70 1E E8 07 40 F9 10 01 40 FD 30 2A 70 1E F0 0B 00 FD EF FF FF 17 E0 0B 40 FD FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_504_1_0 {
	meta:
		name = "erfc"
		size = 896
		refs = "0010 _dtest 0084 erfc_half 009c erf 00cc mid0 00e4 mid00 00f8 s00 0104 _dpoly 0110 c00 0140 mid01 0154 s01 016c c01 01d0 approx 02f0 _d_int 0314 exp 034c _dexp 0360 _fperrraise"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 40 01 00 54 E8 2F 40 B9 1F 05 00 71 20 01 00 54 E8 2F 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 0B 40 FD C6 00 00 14 00 10 6E 1E C4 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 36 10 10 60 1E F0 1F 00 FD 03 00 00 14 F0 17 00 5C F0 1F 00 FD E0 1F 40 FD BA 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 42 01 00 54 E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD 11 10 6E 1E F0 23 40 FD 20 3A 70 1E 00 40 60 1E AD 00 00 14 AC 00 00 14 F1 15 00 5C F0 0B 40 FD 00 22 71 1E 82 06 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 02 03 00 54 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 0B 00 FD 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 27 00 FD 21 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 2B 00 FD F1 27 40 FD F0 2B 40 FD 20 1A 70 1E 00 40 60 1E 8D 00 00 14 17 00 00 14 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 0B 00 FD 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 2F 00 FD 21 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 33 00 FD F1 2F 40 FD F0 33 40 FD 20 1A 70 1E 00 40 60 1E 76 00 00 14 75 00 00 14 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 1F 19 00 F1 02 0D 00 54 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 0B 40 FD 00 22 71 1E 62 0B 00 54 11 10 6E 1E F0 0B 40 FD 31 1A 70 1E E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD F1 37 40 FD F0 3B 40 FD 30 1A 70 1E F0 1B 00 FD F0 0B 40 FD F0 13 00 FD 21 02 80 52 E0 83 00 91 ?? ?? ?? ?? F1 13 40 FD F0 0B 40 FD 32 3A 70 1E F1 13 40 FD F0 0B 40 FD 30 2A 70 1E 40 0A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3F 00 FD F1 1B 40 FD F0 3F 40 FD 30 0A 70 1E F0 1B 00 FD F0 13 40 FD 11 42 61 1E F0 13 40 FD 30 0A 70 1E F0 13 00 FD 01 00 80 52 E0 1B 40 FD E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD 05 00 00 14 93 FF FF 17 00 02 80 52 ?? ?? ?? ?? 60 00 00 5C FD 7B C8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 91 ED 7C 3F 35 5E F8 3F }
	condition:
		$1
}

rule file_640_1_0 {
	meta:
		name = "erfcl"
		size = 896
		refs = "0010 _ldtest 0084 erfc_half 009c erfl 00cc mid0 00e4 mid00 00f8 s00 0104 _ldpoly 0110 c00 0140 mid01 0154 s01 016c c01 01d0 approx 02f0 _ld_int 0314 expl 034c _ldexp 0360 _fperrraise"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 FD E0 43 00 91 ?? ?? ?? ?? E0 53 00 79 E8 53 C0 79 08 01 00 11 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 40 01 00 54 E8 2F 40 B9 1F 05 00 71 20 01 00 54 E8 2F 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 0B 40 FD C6 00 00 14 00 10 6E 1E C4 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 36 10 10 60 1E F0 1F 00 FD 03 00 00 14 F0 17 00 5C F0 1F 00 FD E0 1F 40 FD BA 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 42 01 00 54 E0 0B 40 FD ?? ?? ?? ?? E0 23 00 FD 11 10 6E 1E F0 23 40 FD 20 3A 70 1E 00 40 60 1E AD 00 00 14 AC 00 00 14 F1 15 00 5C F0 0B 40 FD 00 22 71 1E 82 06 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 0B 40 FD 00 22 71 1E 02 03 00 54 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 0B 00 FD 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 27 00 FD 21 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 2B 00 FD F1 27 40 FD F0 2B 40 FD 20 1A 70 1E 00 40 60 1E 8D 00 00 14 17 00 00 14 F1 0B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 0B 00 FD 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 2F 00 FD 21 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 FD ?? ?? ?? ?? E0 33 00 FD F1 2F 40 FD F0 33 40 FD 20 1A 70 1E 00 40 60 1E 76 00 00 14 75 00 00 14 08 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 08 7D 40 93 1F 19 00 F1 02 0D 00 54 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 11 01 40 FD F0 0B 40 FD 00 22 71 1E 62 0B 00 54 11 10 6E 1E F0 0B 40 FD 31 1A 70 1E E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 10 01 40 FD 30 3A 70 1E F0 13 00 FD E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A 61 00 91 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 37 00 FD E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 0A A1 00 91 E8 1B 40 B9 09 7D 40 93 08 06 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 81 00 91 41 01 40 B9 00 01 40 F9 E0 13 40 FD ?? ?? ?? ?? E0 3B 00 FD F1 37 40 FD F0 3B 40 FD 30 1A 70 1E F0 1B 00 FD F0 0B 40 FD F0 13 00 FD 21 02 80 52 E0 83 00 91 ?? ?? ?? ?? F1 13 40 FD F0 0B 40 FD 32 3A 70 1E F1 13 40 FD F0 0B 40 FD 30 2A 70 1E 40 0A 70 1E 00 40 60 1E ?? ?? ?? ?? E0 3F 00 FD F1 1B 40 FD F0 3F 40 FD 30 0A 70 1E F0 1B 00 FD F0 13 40 FD 11 42 61 1E F0 13 40 FD 30 0A 70 1E F0 13 00 FD 01 00 80 52 E0 1B 40 FD E0 83 00 91 ?? ?? ?? ?? E0 13 40 FD 05 00 00 14 93 FF FF 17 00 02 80 52 ?? ?? ?? ?? 60 00 00 5C FD 7B C8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 91 ED 7C 3F 35 5E F8 3F }
	condition:
		$1
}

rule file_505_6_0 {
	meta:
		name = "_cwait"
		size = 252
		refs = "0030 __imp_WaitForSingleObject 004c __imp_GetExitCodeProcess 007c __imp_GetLastError 0094 _errno 00a0 __doserrno 00b0 __acrt_errno_map_os_error 00c0 __imp_CloseHandle"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 13 00 00 91 34 00 00 91 15 00 80 12 53 00 00 B4 75 02 00 B9 88 0A 00 91 1F 05 00 F1 89 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 01 00 80 12 80 02 00 91 20 01 3F D6 A0 01 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E1 43 00 91 80 02 00 91 20 01 3F D6 C0 00 00 34 73 00 00 B4 E8 13 40 B9 68 02 00 B9 93 02 00 91 12 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 1F 18 00 71 01 01 00 54 ?? ?? ?? ?? 48 01 80 52 08 00 00 B9 ?? ?? ?? ?? C8 00 80 52 08 00 00 B9 02 00 00 14 ?? ?? ?? ?? 53 00 00 B4 75 02 00 B9 13 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 80 02 00 91 20 01 3F D6 60 02 00 91 05 00 00 14 ?? ?? ?? ?? 48 01 80 52 08 00 00 B9 00 00 80 92 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_506_0_0 {
	meta:
		name = "_resetstkoflw"
		size = 312
		refs = "0014 __security_push_cookie 0024 __imp_VirtualQuery 004c __imp_GetSystemInfo 0070 __acrt_SetThreadStackGuarantee 00c4 __imp_VirtualAlloc 00e8 __imp_VirtualProtect 0120 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 01 D1 F7 03 00 91 E8 03 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? FF 43 00 D1 09 FD DF C8 F4 03 00 91 02 06 80 D2 E1 22 00 91 80 02 00 91 20 01 3F D6 60 06 00 B4 ?? ?? ?? ?? F6 0A 40 F9 ?? ?? ?? ?? 09 FD DF C8 E0 E2 00 91 20 01 3F D6 E0 02 00 91 F5 3E 40 B9 FF 02 00 B9 ?? ?? ?? ?? E8 02 40 B9 1F 00 00 71 AC 06 00 51 04 19 40 7A 09 81 9F 1A 28 01 15 0B 0A 05 00 51 E9 03 2C 2A 4B 01 09 0A 4B 00 00 34 6B 01 15 0B A8 7A 1F 53 7F 01 08 6B E9 03 2C AA 13 31 8B 1A C8 42 35 8B 2A 01 14 8A 54 41 33 CB 9F 02 08 EB A3 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 83 00 80 52 02 00 82 52 61 02 00 91 80 02 00 91 20 01 3F D6 80 01 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E3 12 00 91 82 20 80 52 61 02 00 91 80 02 00 91 20 01 3F D6 60 00 00 34 20 00 80 52 02 00 00 14 00 00 80 52 FF 02 00 91 FF 83 01 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "fdimf"
		size = 156
		refs = "0014 _fdtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 1B 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 BD 17 00 00 14 16 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1B 40 BD 0D 00 00 14 0C 00 00 14 F1 1B 40 BD F0 17 40 BD 00 22 31 1E 88 00 00 54 40 01 00 1C 06 00 00 14 05 00 00 14 F1 17 40 BD F0 1B 40 BD 20 3A 30 1E 00 40 20 1E FD 7B C2 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_508_5_0 {
	meta:
		name = "_mbsnbcnt_l"
		size = 248
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1DO@OEOOHFAH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_1HC@JPHBBDJC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0068 ??_C@_1BI@NAADMDIB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 0080 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? 74 03 00 B5 53 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 13 00 00 14 8A 02 00 91 13 02 00 B4 EC 13 40 F9 48 01 40 39 4B 01 00 91 73 06 00 D1 68 01 00 34 08 01 0C 8B 09 65 40 39 89 00 10 36 4A 05 00 91 49 01 40 39 89 00 00 34 4A 05 00 91 73 00 00 B4 F4 FF FF 17 6A 01 00 91 40 01 14 CB E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_509_5_0 {
	meta:
		name = "_ismbstrail_l"
		size = 724
		refs = "0048 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GG@DKOKPMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BM@OFENOEOH@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAt?$AAr?$AAa?$AAi?$AAl?$AA_?$AAl?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 019c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01a8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01d8 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 F9 E2 2F 00 F9 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 7F 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 4F 00 00 14 E1 2F 40 F9 E0 C3 01 91 ?? ?? ?? ?? E0 4B 00 F9 E0 C3 01 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 21 00 91 08 01 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 33 00 B9 E0 C3 01 91 ?? ?? ?? ?? E0 33 40 B9 3B 00 00 14 E9 23 40 F9 E8 0B 40 F9 1F 01 09 EB 48 06 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 A0 05 00 54 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 21 00 91 08 01 40 F9 0A 65 00 91 E8 0B 40 F9 08 01 40 39 09 01 00 11 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 28 03 10 36 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 23 40 F9 E8 0B 40 F9 1F 01 09 EB E1 00 00 54 08 00 80 12 E8 37 00 B9 E0 C3 01 91 ?? ?? ?? ?? E0 37 40 B9 15 00 00 14 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 3B 00 B9 E0 C3 01 91 ?? ?? ?? ?? E0 3B 40 B9 0A 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 CC FF FF 17 08 00 80 52 E8 3F 00 B9 E0 C3 01 91 ?? ?? ?? ?? E0 3F 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z"
		size = 1220
		refs = "0008 __security_push_cookie 0028 _errno 0050 _nhandle 008c ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00b0 _CrtDbgReportW 00fc ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 010c _invalid_parameter 012c __pioinfo 018c ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0230 ??$time@PEAJ@?$__crt_integer_traits@J@@SAJ$$QEAPEAJ@Z 0260 ??$localtime_s@PEAUtm@@PEAJ@?$__crt_integer_traits@J@@SAH$$QEAPEAUtm@@$$QEAPEAJ@Z 02f4 __imp_TzSpecificLocalTimeToSystemTime 0318 __imp_SystemTimeToFileTime 0460 _get_osfhandle 0478 __imp_SetFileTime 04b8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 03 00 B9 E1 0F 00 F9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 1D 01 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 E8 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A8 00 00 14 E8 0F 40 F9 1F 01 00 F1 21 01 00 54 E8 33 01 91 E8 37 00 F9 E0 A3 01 91 ?? ?? ?? ?? E8 4F 40 B9 E8 4B 00 B9 E8 23 01 91 E8 0F 00 F9 E8 0F 40 F9 08 11 00 91 E8 3B 00 F9 E8 83 03 91 E8 3F 00 F9 E1 C3 01 91 E0 E3 01 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 F7 40 B9 08 B1 1D 11 08 3D 00 53 E8 A3 01 79 E8 F3 40 B9 08 05 00 11 08 3D 00 53 E8 A7 01 79 E8 EF 40 B9 08 3D 00 53 E8 AF 01 79 E8 EB 40 B9 08 3D 00 53 E8 B3 01 79 E8 E7 40 B9 08 3D 00 53 E8 B7 01 79 E8 E3 40 B9 08 3D 00 53 E8 BB 01 79 08 00 80 52 E8 BF 01 79 E2 23 04 91 E1 43 03 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 40 01 00 54 E1 C3 02 91 E0 23 04 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 5A 00 00 14 E8 0F 40 F9 08 01 00 91 E8 4B 00 F9 E8 83 03 91 E8 4F 00 F9 E1 43 02 91 E0 63 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 47 00 00 14 E8 F7 40 B9 08 B1 1D 11 08 3D 00 53 E8 A3 01 79 E8 F3 40 B9 08 05 00 11 08 3D 00 53 E8 A7 01 79 E8 EF 40 B9 08 3D 00 53 E8 AF 01 79 E8 EB 40 B9 08 3D 00 53 E8 B3 01 79 E8 E7 40 B9 08 3D 00 53 E8 B7 01 79 E8 E3 40 B9 08 3D 00 53 E8 BB 01 79 08 00 80 52 E8 BF 01 79 E2 23 04 91 E1 43 03 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 40 01 00 54 E1 E3 02 91 E0 23 04 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 17 00 00 14 E0 03 40 B9 ?? ?? ?? ?? E0 63 00 F9 E3 C3 02 91 E2 E3 02 91 01 00 80 D2 E0 63 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 02 00 00 14 00 00 80 52 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_1_0 {
	meta:
		name = "??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z"
		size = 1220
		refs = "0008 __security_push_cookie 0028 _errno 0050 _nhandle 008c ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00b0 _CrtDbgReportW 00fc ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 010c _invalid_parameter 012c __pioinfo 018c ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0230 ??$time@PEA_J@?$__crt_integer_traits@_J@@SA_J$$QEAPEA_J@Z 0260 ??$localtime_s@PEAUtm@@PEA_J@?$__crt_integer_traits@_J@@SAH$$QEAPEAUtm@@$$QEAPEA_J@Z 02f4 __imp_TzSpecificLocalTimeToSystemTime 0318 __imp_SystemTimeToFileTime 0460 _get_osfhandle 0478 __imp_SetFileTime 04b8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 E0 03 00 B9 E1 0F 00 F9 E8 03 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 1D 01 00 14 E8 03 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 03 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 E8 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 0F 00 B9 03 00 00 14 08 00 80 52 E8 0F 00 B9 E8 0F 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 13 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A8 00 00 14 E8 0F 40 F9 1F 01 00 F1 21 01 00 54 E8 23 04 91 E8 33 00 F9 E0 83 01 91 ?? ?? ?? ?? E8 87 40 F9 E8 83 00 F9 E8 03 04 91 E8 0F 00 F9 E8 0F 40 F9 08 21 00 91 E8 37 00 F9 E8 63 03 91 E8 3B 00 F9 E1 A3 01 91 E0 C3 01 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 8A 00 00 14 E8 EF 40 B9 08 B1 1D 11 08 3D 00 53 E8 93 01 79 E8 EB 40 B9 08 05 00 11 08 3D 00 53 E8 97 01 79 E8 E7 40 B9 08 3D 00 53 E8 9F 01 79 E8 E3 40 B9 08 3D 00 53 E8 A3 01 79 E8 DF 40 B9 08 3D 00 53 E8 A7 01 79 E8 DB 40 B9 08 3D 00 53 E8 AB 01 79 08 00 80 52 E8 AF 01 79 E2 43 04 91 E1 23 03 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 40 01 00 54 E1 A3 02 91 E0 43 04 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 5A 00 00 14 E8 0F 40 F9 08 01 00 91 E8 47 00 F9 E8 63 03 91 E8 4B 00 F9 E1 23 02 91 E0 43 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 47 00 00 14 E8 EF 40 B9 08 B1 1D 11 08 3D 00 53 E8 93 01 79 E8 EB 40 B9 08 05 00 11 08 3D 00 53 E8 97 01 79 E8 E7 40 B9 08 3D 00 53 E8 9F 01 79 E8 E3 40 B9 08 3D 00 53 E8 A3 01 79 E8 DF 40 B9 08 3D 00 53 E8 A7 01 79 E8 DB 40 B9 08 3D 00 53 E8 AB 01 79 08 00 80 52 E8 AF 01 79 E2 43 04 91 E1 23 03 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 40 01 00 54 E1 C3 02 91 E0 43 04 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 17 00 00 14 E0 03 40 B9 ?? ?? ?? ?? E0 5F 00 F9 E3 A3 02 91 E2 C3 02 91 01 00 80 D2 E0 5F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 02 00 00 14 00 00 80 52 FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_2_0 {
	meta:
		name = "??$common_utime@JDU__utimbuf32@@@@YAHQEBDQEAU__utimbuf32@@@Z"
		size = 404
		refs = "0044 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c4 _invalid_parameter 0104 ??$tsopen_s@PEAHAEBQEBDHHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH22@Z 0128 ??$futime@AEAHAEBQEAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAEAHAEBQEAU__utimbuf32@@@Z 0164 _close"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 23 00 F9 E1 2F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 30 00 00 14 08 00 80 52 E8 2B 00 B9 08 08 80 52 E8 2F 00 B9 48 00 90 52 E8 33 00 B9 E8 73 00 91 E8 2B 00 F9 E4 A3 00 91 E3 B3 00 91 E2 C3 00 91 E1 03 01 91 E0 43 01 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 1C 00 00 14 E1 63 01 91 E0 73 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 13 00 B9 08 00 80 52 E8 23 00 B9 E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 40 B9 E8 23 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 23 40 B9 28 01 00 B9 E0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_3_0 {
	meta:
		name = "??$common_utime@J_WU__utimbuf32@@@@YAHQEB_WQEAU__utimbuf32@@@Z"
		size = 404
		refs = "0044 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c4 _invalid_parameter 0104 ??$tsopen_s@PEAHAEBQEB_WHHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH22@Z 0128 ??$futime@AEAHAEBQEAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAEAHAEBQEAU__utimbuf32@@@Z 0164 _close"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 23 00 F9 E1 2F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 30 00 00 14 08 00 80 52 E8 2B 00 B9 08 08 80 52 E8 2F 00 B9 48 00 90 52 E8 33 00 B9 E8 73 00 91 E8 2B 00 F9 E4 A3 00 91 E3 B3 00 91 E2 C3 00 91 E1 03 01 91 E0 43 01 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 1C 00 00 14 E1 63 01 91 E0 73 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 13 00 B9 08 00 80 52 E8 23 00 B9 E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 40 B9 E8 23 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 23 40 B9 28 01 00 B9 E0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_4_0 {
	meta:
		name = "??$common_utime@_JDU__utimbuf64@@@@YAHQEBDQEAU__utimbuf64@@@Z"
		size = 404
		refs = "0044 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c4 _invalid_parameter 0104 ??$tsopen_s@PEAHAEBQEBDHHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH22@Z 0128 ??$futime@AEAHAEBQEAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAEAHAEBQEAU__utimbuf64@@@Z 0164 _close"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 23 00 F9 E1 2F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 30 00 00 14 08 00 80 52 E8 2B 00 B9 08 08 80 52 E8 2F 00 B9 48 00 90 52 E8 33 00 B9 E8 73 00 91 E8 2B 00 F9 E4 A3 00 91 E3 B3 00 91 E2 C3 00 91 E1 03 01 91 E0 43 01 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 1C 00 00 14 E1 63 01 91 E0 73 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 13 00 B9 08 00 80 52 E8 23 00 B9 E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 40 B9 E8 23 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 23 40 B9 28 01 00 B9 E0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_512_5_0 {
	meta:
		name = "??$common_utime@_J_WU__utimbuf64@@@@YAHQEB_WQEAU__utimbuf64@@@Z"
		size = 404
		refs = "0044 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00c4 _invalid_parameter 0104 ??$tsopen_s@PEAHAEBQEB_WHHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH22@Z 0128 ??$futime@AEAHAEBQEAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAEAHAEBQEAU__utimbuf64@@@Z 0164 _close"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 23 00 F9 E1 2F 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 30 00 00 14 08 00 80 52 E8 2B 00 B9 08 08 80 52 E8 2F 00 B9 48 00 90 52 E8 33 00 B9 E8 73 00 91 E8 2B 00 F9 E4 A3 00 91 E3 B3 00 91 E2 C3 00 91 E1 03 01 91 E0 43 01 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 60 00 00 54 00 00 80 12 1C 00 00 14 E1 63 01 91 E0 73 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 E8 13 00 B9 08 00 80 52 E8 23 00 B9 E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 40 B9 E8 23 00 B9 E0 1F 40 B9 ?? ?? ?? ?? E8 13 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 E8 23 40 B9 28 01 00 B9 E0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_513_0_0 {
	meta:
		name = "_cgets"
		size = 276
		refs = "0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001c ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0038 _CrtDbgReportW 0048 __doserrno 0050 _errno 0064 ??_C@_1O@ECBOLGNI@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0074 _invalid_parameter 0090 ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00f4 _cgets_s"
	strings:
		$1 = { F3 53 BF A9 FD 7B BE A9 FD 03 00 91 14 00 00 91 94 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0D 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 23 00 00 14 89 02 C0 39 3F 01 00 71 CC 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 0E 80 52 ?? ?? ?? ?? E2 FF FF 17 93 0A 00 91 FF 0B 00 F9 60 02 00 91 E2 43 00 91 21 7D 40 93 ?? ?? ?? ?? E8 43 C0 39 1F 00 00 71 60 02 9F 9A 88 06 00 39 FD 7B C2 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_513_1_0 {
	meta:
		name = "_cgets_s"
		size = 616
		refs = "002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1DC@FIPIJOED@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0088 __doserrno 0090 _errno 00a8 ??_C@_1BC@OKPCLJOH@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA_?$AAs?$AA?$AA@ 00b4 _invalid_parameter 00c8 ??_C@_1CE@KOGJHKKC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0130 _CrtGetDebugFillThreshold 0148 memset 0154 ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a4 __acrt_lock 01c4 _cgetws_s 01e8 wctomb_s 021c __console_wchar_buffer 0228 __console_wchar_buffer_used 0234 __acrt_unlock"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 56 00 00 91 7F 02 00 F1 F5 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 15 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? E5 02 00 91 24 03 00 91 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F5 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 03 04 80 52 C8 02 80 52 08 00 00 B9 04 00 80 D2 02 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 02 00 91 ?? ?? ?? ?? C0 02 80 52 64 00 00 14 9F 02 00 F1 F5 97 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 75 01 00 35 E5 02 00 91 24 03 00 91 03 00 80 D2 22 04 80 52 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D5 00 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 23 04 80 52 E2 FF FF 17 7F 02 00 39 9F 06 00 B1 80 01 00 54 E8 7B 40 B2 9F 02 08 EB 84 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A C1 1F 80 52 60 06 00 91 ?? ?? ?? ?? DF 02 00 F1 F5 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 75 01 00 35 E5 02 00 91 24 03 00 91 03 00 80 D2 82 04 80 52 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 D5 00 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? 83 04 80 52 BF FF FF 17 20 01 80 52 ?? ?? ?? ?? DF 02 00 F9 94 06 00 D1 B4 13 00 F9 BF 0F 00 F9 A2 63 00 91 41 00 80 D2 A0 53 00 91 ?? ?? ?? ?? 15 00 00 11 35 03 00 35 A3 2B 40 79 E3 02 00 34 BF 13 00 B9 82 02 00 91 61 02 00 91 A0 43 00 91 ?? ?? ?? ?? 60 01 00 35 AA 13 40 B9 73 C2 2A 8B B3 17 00 F9 C8 02 40 F9 09 C1 2A 8B C9 02 00 F9 94 C2 2A CB B4 13 00 F9 14 01 00 B4 E8 FF FF 17 A8 2B 40 79 ?? ?? ?? ?? ?? ?? ?? ?? 2B 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 20 01 80 52 ?? ?? ?? ?? 7F 02 00 39 75 00 00 34 ?? ?? ?? ?? 15 00 00 B9 A0 02 00 11 FD 7B C3 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_514_11_0 {
	meta:
		name = "_putws"
		size = 272
		refs = "0040 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FO@DOOOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1O@CMEGJLBK@?$AA_?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 00c0 _invalid_parameter 00d0 __acrt_iob_func 00ec ??0<lambda_65123f7c9d6f4a18edfa2b860f737003>@@QEAA@AEBQEAU_iobuf@@AEBQEB_W@Z 00fc ??$__acrt_lock_stream_and_call@V<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FF 9F 52 10 00 00 14 20 00 80 52 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E2 83 00 91 E1 A3 00 91 E0 23 01 91 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_515_0_0 {
	meta:
		name = "llrintl"
		size = 200
		refs = "0010 _ldtest 004c nearbyintl 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 04 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 0D 03 00 54 E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 13 40 FD F0 0F 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C3 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "llrint"
		size = 200
		refs = "0010 _dtest 004c nearbyint 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 FD E0 83 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 04 00 54 E8 17 40 B9 1F 01 00 71 8D 00 00 54 E8 17 40 B9 1F 09 00 71 0D 03 00 54 E0 13 40 FD ?? ?? ?? ?? E0 17 00 FD F0 17 40 FD F0 0F 00 FD F1 13 40 FD F0 0F 40 FD 00 22 71 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 0F 40 FD 10 02 00 5C 00 22 71 1E 28 01 00 54 F1 01 00 5C F0 0F 40 FD 00 22 71 1E A8 00 00 54 F0 0F 40 FD 00 02 78 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C3 A8 C0 03 5F D6 00 00 00 00 00 00 E0 C3 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule file_516_4_0 {
	meta:
		name = "_strxfrm_l"
		size = 1392
		refs = "002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1GE@IEKPOABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0090 _CrtDbgReportW 00b8 _errno 00dc ??_C@_1BG@DJLLIKNC@?$AA_?$AAs?$AAt?$AAr?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 00ec _invalid_parameter 00fc ??1_LocaleUpdate@@QEAA@XZ 0148 ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 0218 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02dc ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0334 strncpy 033c strlen 03c8 __acrt_LCMapStringA"
	strings:
		$1 = { FD 7B AB A9 FD 03 00 91 FF 43 00 D1 E0 1B 00 F9 E1 2F 00 F9 E2 17 00 F9 E3 87 00 F9 E8 7B 40 B2 E8 13 00 F9 E1 87 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 AF 00 F9 E9 7B 40 B2 E8 17 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 40 B2 E8 53 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 53 40 F9 18 01 00 14 E8 1B 40 F9 1F 01 00 F1 E1 00 00 54 E8 17 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 43 00 B9 03 00 00 14 28 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 87 00 B9 E9 87 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 40 B2 E8 5B 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 5B 40 F9 E1 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 8B 00 B9 E9 8B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 40 B2 E8 63 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 63 40 F9 AD 00 00 14 E8 1B 40 F9 1F 01 00 F1 E0 00 00 54 E8 17 40 F9 1F 01 00 F1 89 00 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 E0 83 01 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 01 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 00 91 08 01 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 C1 01 00 54 E2 17 40 F9 E1 2F 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2F 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 73 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 73 40 F9 83 00 00 14 E0 83 01 91 ?? ?? ?? ?? E0 77 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 7B 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 7F 00 F9 E8 77 40 F9 08 01 00 91 08 01 40 F9 0A 51 00 91 E8 7B 40 F9 08 01 00 91 08 01 40 F9 09 C1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 06 00 80 52 05 00 80 D2 04 00 80 12 E3 2F 40 F9 02 80 80 52 21 01 40 F9 E0 7F 40 F9 ?? ?? ?? ?? E0 8F 00 B9 E8 8F 40 B9 E8 53 00 B9 E9 53 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 48 05 80 52 28 01 00 B9 E8 7B 40 B2 E8 9B 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 9B 40 F9 55 00 00 14 E8 53 40 B9 08 7D 40 93 E8 13 00 F9 E9 17 40 F9 E8 13 40 F9 1F 01 09 EB 09 03 00 54 E8 1B 40 F9 1F 01 00 F1 80 01 00 54 E8 17 40 F9 1F 01 00 F1 29 01 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 39 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 48 04 80 52 28 01 00 B9 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 E8 8F 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 8F 40 F9 37 00 00 14 E0 83 01 91 ?? ?? ?? ?? E0 93 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 97 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 AB 00 F9 E8 93 40 F9 08 01 00 91 08 01 40 F9 0A 51 00 91 E8 17 40 F9 06 01 00 11 E8 97 40 F9 08 01 00 91 08 01 40 F9 09 C1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 C6 00 00 11 E5 1B 40 F9 04 00 80 12 E3 2F 40 F9 02 80 80 52 21 01 40 F9 E0 AB 40 F9 ?? ?? ?? ?? E0 93 00 B9 E9 93 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 9F 00 F9 E9 9F 40 F9 48 05 80 52 28 01 00 B9 E8 7B 40 B2 E8 A3 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 A3 40 F9 09 00 00 14 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 E8 A7 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 A7 40 F9 FF 43 00 91 FD 7B D5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_518_0_0 {
	meta:
		name = "llrintf"
		size = 192
		refs = "0010 _fdtest 004c nearbyintf 0070 _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1F 00 BD E0 73 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 04 00 54 E8 1B 40 B9 1F 01 00 71 8D 00 00 54 E8 1B 40 B9 1F 09 00 71 0D 03 00 54 E0 1F 40 BD ?? ?? ?? ?? E0 23 00 BD F0 23 40 BD F0 17 00 BD F1 1F 40 BD F0 17 40 BD 00 22 31 1E 60 00 00 54 00 04 80 52 ?? ?? ?? ?? F1 17 40 BD 10 02 00 1C 00 22 31 1E 28 01 00 54 D1 01 00 1C F0 17 40 BD 00 22 31 1E A8 00 00 54 F0 17 40 BD 00 02 38 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C3 A8 C0 03 5F D6 00 00 00 DF 00 00 00 5F }
	condition:
		$1
}

rule file_521_7_0 {
	meta:
		name = "?_isindst_nolock@@YAHQEAUtm@@@Z"
		size = 1472
		refs = "001c _get_daylight 002c ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0034 ??_C@_1CA@GOLIIEDM@?$AA_?$AAi?$AAs?$AAi?$AAn?$AAd?$AAs?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 003c ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0048 _invoke_watson_if_error 0068 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0084 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0098 ?tz_api_used@@3HA 00a8 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 0144 ?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 FF 83 00 D1 E0 1B 00 F9 08 00 80 52 E8 3B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 E4 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E8 3B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 56 01 00 14 E8 1B 40 F9 0A 51 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 01 01 00 54 E8 1B 40 F9 0A 51 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 00 1A 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 80 12 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 A1 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E7 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? A5 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 84 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 63 00 00 11 E8 1B 40 F9 08 51 00 91 EB 13 00 B9 EA 0B 00 B9 E9 03 00 B9 E7 00 00 11 06 00 80 52 A5 00 00 11 84 00 00 11 63 00 00 11 02 01 40 B9 21 00 80 52 00 00 80 52 ?? ?? ?? ?? 21 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E7 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? C6 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 63 00 00 11 E8 1B 40 F9 08 51 00 91 EB 13 00 B9 EA 0B 00 B9 E9 03 00 B9 E7 00 00 11 C6 00 00 11 05 00 80 52 04 00 80 52 63 00 00 11 02 01 40 B9 01 00 80 52 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 A1 04 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E7 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? A5 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 84 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 63 00 00 11 E8 1B 40 F9 08 51 00 91 EB 13 00 B9 EA 0B 00 B9 E9 03 00 B9 E7 00 00 11 06 00 80 52 A5 00 00 11 84 00 00 11 63 00 00 11 02 01 40 B9 21 00 80 52 20 00 80 52 ?? ?? ?? ?? 21 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 29 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E7 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? C6 00 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 63 00 00 11 E8 1B 40 F9 08 51 00 91 EB 13 00 B9 EA 0B 00 B9 E9 03 00 B9 E7 00 00 11 C6 00 00 11 05 00 80 52 04 00 80 52 63 00 00 11 02 01 40 B9 01 00 80 52 20 00 80 52 ?? ?? ?? ?? 39 00 00 14 68 00 80 52 E8 43 00 B9 48 00 80 52 E8 3F 00 B9 68 01 80 52 E8 4B 00 B9 28 00 80 52 E8 47 00 B9 E8 1B 40 F9 08 51 00 91 09 01 40 B9 68 0D 80 52 1F 01 09 6B 2D 01 00 54 88 00 80 52 E8 43 00 B9 28 00 80 52 E8 3F 00 B9 48 01 80 52 E8 4B 00 B9 A8 00 80 52 E8 47 00 B9 E8 1B 40 F9 09 51 00 91 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 0B 00 B9 08 00 80 52 E8 03 00 B9 47 00 80 52 06 00 80 52 05 00 80 52 E4 3F 40 B9 E3 43 40 B9 22 01 40 B9 21 00 80 52 00 00 80 52 ?? ?? ?? ?? E8 1B 40 F9 09 51 00 91 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 0B 00 B9 08 00 80 52 E8 03 00 B9 47 00 80 52 06 00 80 52 05 00 80 52 E4 47 40 B9 E3 4B 40 B9 22 01 40 B9 21 00 80 52 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 6B 4A 04 00 54 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 0B 01 00 54 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 6D 00 00 54 00 00 80 52 63 00 00 14 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 4D 01 00 54 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 6A 00 00 54 20 00 80 52 53 00 00 14 21 00 00 14 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 0B 01 00 54 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 6D 00 00 54 20 00 80 52 42 00 00 14 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 4D 01 00 54 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B 6A 00 00 54 00 00 80 52 32 00 00 14 E8 1B 40 F9 0A 01 00 91 E8 1B 40 F9 08 11 00 91 09 01 40 B9 88 07 80 52 29 7D 08 1B 48 01 40 B9 0A 01 09 0B E8 1B 40 F9 08 21 00 91 09 01 40 B9 08 C2 81 52 28 7D 08 1B 49 01 08 0B 08 7D 80 52 28 7D 08 1B E8 53 00 B9 E8 1B 40 F9 0A 71 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 B9 1F 01 09 6B C1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 53 40 B9 1F 01 09 6B 8B 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E0 4F 40 B9 0D 00 00 14 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 53 40 B9 1F 01 09 6B 8A 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E0 57 40 B9 FF 83 00 91 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_8_0 {
	meta:
		name = "?_set_daylight@@YAXH@Z"
		size = 40
		refs = "000c __daylight"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_9_0 {
	meta:
		name = "?_set_dstbias@@YAXJ@Z"
		size = 40
		refs = "000c __dstbias"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_10_0 {
	meta:
		name = "?_set_timezone@@YAXJ@Z"
		size = 40
		refs = "000c __timezone"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_11_0 {
	meta:
		name = "?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
		size = 1060
		refs = "0040 ??$__crt_time_is_leap_year@H@@YA_NH@Z 006c _lpdays 0098 _days 00bc ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0294 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 02ec ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0338 _get_dstbias 0348 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0350 ??_C@_1BA@GOCKIDGO@?$AAc?$AAv?$AAt?$AAd?$AAa?$AAt?$AAe?$AA?$AA@ 0358 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0364 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 53 00 B9 E1 43 00 B9 E2 1B 00 B9 E3 1F 00 B9 E4 2B 00 B9 E5 23 00 B9 E6 4F 00 B9 E7 3B 00 B9 08 00 80 52 E8 3F 00 B9 E8 43 40 B9 1F 05 00 71 41 0E 00 54 E0 1B 40 B9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 1F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 2F 00 B9 0B 00 00 14 E8 1F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 2F 00 B9 E8 2F 40 B9 08 05 00 11 E8 13 00 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 47 00 B9 E8 1B 40 B9 09 19 01 51 A8 2D 80 52 29 7D 08 1B E8 13 40 B9 09 01 09 0B E8 47 40 B9 28 01 08 0B 0A 11 00 11 E9 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 27 00 B9 E9 23 40 B9 E8 27 40 B9 1F 01 09 6B AC 01 00 54 E9 23 40 B9 E8 27 40 B9 2A 01 08 4B E8 2B 40 B9 09 05 00 51 E8 00 80 52 28 7D 08 1B 49 01 08 0B E8 13 40 B9 08 01 09 0B E8 13 00 B9 0B 00 00 14 E9 23 40 B9 E8 27 40 B9 2A 01 08 4B E9 2B 40 B9 E8 00 80 52 28 7D 08 1B 49 01 08 0B E8 13 40 B9 08 01 09 0B E8 13 00 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 57 00 39 E8 57 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E8 1F 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 33 00 B9 0A 00 00 14 E8 1F 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 33 00 B9 E8 33 40 B9 E8 4B 00 B9 E8 2B 40 B9 1F 15 00 71 01 01 00 54 E9 4B 40 B9 E8 13 40 B9 1F 01 09 6B 8D 00 00 54 E8 13 40 B9 08 1D 00 51 E8 13 00 B9 23 00 00 14 E0 1B 40 B9 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E8 1F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 37 00 B9 0B 00 00 14 E8 1F 40 B9 08 05 00 51 09 7D 40 93 88 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 40 B9 E8 37 00 B9 E8 37 40 B9 E8 13 00 B9 E9 13 40 B9 E8 4F 40 B9 28 01 08 0B E8 13 00 B9 E8 53 40 B9 1F 01 00 71 E1 02 00 54 ?? ?? ?? ?? E8 13 40 B9 ?? ?? ?? ?? E9 3B 40 B9 88 07 80 52 29 7D 08 1B E8 63 40 B9 09 01 09 0B 88 07 80 52 29 7D 08 1B E8 6B 40 B9 09 01 09 0B 08 7D 80 52 29 7D 08 1B E8 73 40 B9 09 01 09 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 40 B9 ?? ?? ?? ?? 4B 00 00 14 ?? ?? ?? ?? E8 13 40 B9 ?? ?? ?? ?? E9 3B 40 B9 88 07 80 52 29 7D 08 1B E8 63 40 B9 09 01 09 0B 88 07 80 52 29 7D 08 1B E8 6B 40 B9 09 01 09 0B 08 7D 80 52 29 7D 08 1B E8 73 40 B9 09 01 09 0B ?? ?? ?? ?? ?? ?? ?? ?? E0 F3 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 C4 37 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? E9 3F 40 B9 08 7D 80 52 29 7D 08 1B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 AA 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 04 00 18 29 01 08 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 51 ?? ?? ?? ?? ?? ?? ?? ?? 11 00 00 14 C9 02 00 18 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 09 6B 8B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 01 00 18 29 01 08 4B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 40 B9 ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 5C 26 05 }
	condition:
		$1
}

rule file_521_14_0 {
	meta:
		name = "?get_tz_environment_variable@@YAPEADAEAY0BAA@D@Z"
		size = 296
		refs = "000c ??_C@_02CLFPBFFP@TZ?$AA@ 0020 getenv_s 005c ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 006c _malloc_dbg 007c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0088 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 00a8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0104 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 02 20 80 D2 E1 17 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 00 00 54 E0 17 40 F9 38 00 00 14 E8 1B 40 B9 1F 89 00 71 60 00 00 54 00 00 80 D2 33 00 00 14 83 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 27 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 27 40 F9 1C 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 2B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E2 1B 40 F9 E1 2B 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 08 00 80 D2 E8 2F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 2F 40 F9 09 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 37 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_16_0 {
	meta:
		name = "?tzset_from_environment_nolock@@YAXPEAD@Z"
		size = 1188
		refs = "000c __tzname 0030 _get_timezone 0040 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0048 ??_C@_1DM@PDIFNGHB@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0050 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 005c _invoke_watson_if_error 0064 _get_daylight 0084 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0094 ?last_tz@@3PEADEA 00b0 strcmp 00d4 _free_dbg 00dc strlen 00f0 ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0100 _malloc_dbg 0110 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0124 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 013c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0178 strcpy_s 0198 ??_C@_1FM@FKGLLBKA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAa?$AAs?$AAt?$AA_?$AAt?$AAz?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAl?$AAe?$AAn?$AA?$CI?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?$CJ@ 01c4 strncpy_s 01e4 ??_C@_1GC@LDOKJLO@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 0280 atol 0464 ??_C@_1EI@MGFBHDFD@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA1?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 0490 ?_set_timezone@@YAXJ@Z 0498 ?_set_daylight@@YAXH@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0B 00 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 2F 00 F9 08 00 80 52 E8 1F 00 B9 08 00 80 52 E8 23 00 B9 E0 73 00 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 64 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 84 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 40 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 41 00 00 54 F6 00 00 14 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 00 05 00 91 A3 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E1 3B 40 F9 E0 43 02 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 47 00 F9 ?? ?? ?? ?? E8 47 40 F9 ?? ?? ?? ?? E0 43 02 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 41 00 00 54 D3 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 01 05 00 91 E2 0B 40 F9 21 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 24 1C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? 68 00 80 D2 E8 17 00 F9 E3 17 40 F9 E2 0B 40 F9 01 08 80 D2 E8 2F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 A4 1C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E8 17 40 F9 1F 01 00 F1 A9 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 17 40 F9 08 05 00 D1 E8 17 00 F9 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F2 FF FF 17 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F B5 00 71 81 00 00 54 28 00 80 52 E8 63 00 39 03 00 00 14 08 00 80 52 E8 63 00 39 E8 63 40 39 E8 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 08 C2 81 52 28 7D 08 1B E8 1F 00 B9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F AD 00 71 60 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 4B 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 AC 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 EE FF FF 17 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F E9 00 71 01 07 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 88 07 80 52 29 7D 08 1B E8 1F 40 B9 08 01 09 0B E8 1F 00 B9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 4B 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 AC 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F3 FF FF 17 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F E9 00 71 21 03 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E9 1F 40 B9 E8 4F 40 B9 28 01 08 0B E8 1F 00 B9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F C1 00 71 4B 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F E5 00 71 AC 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F3 FF FF 17 E8 67 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 1F 40 B9 E8 03 08 4B E8 1F 00 B9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 80 02 00 54 E8 2F 40 F9 08 21 00 91 63 00 80 D2 E2 0B 40 F9 01 08 80 D2 00 01 40 F9 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 84 22 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? 06 00 00 14 E8 2F 40 F9 08 21 00 91 09 01 40 F9 08 00 80 52 28 01 00 39 E0 1F 40 B9 ?? ?? ?? ?? E0 23 40 B9 ?? ?? ?? ?? FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_17_0 {
	meta:
		name = "?tzset_from_system_nolock@@YAXXZ"
		size = 760
		refs = "0008 __tzname 0034 _get_timezone 0044 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 004c ??_C@_1DC@MADCMBHA@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0054 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0060 _invoke_watson_if_error 0068 _get_daylight 0088 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 009c _get_dstbias 00bc ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 00d0 ?last_tz@@3PEADEA 00d8 _free_dbg 00e8 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 00f0 __imp_GetTimeZoneInformation 010c ?tz_api_used@@3HA 01bc ___lc_codepage_func 01f4 __imp_WideCharToMultiByte 02dc ?_set_timezone@@YAXJ@Z 02e4 ?_set_daylight@@YAXH@Z 02ec ?_set_dstbias@@YAXJ@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 08 00 80 52 E8 13 00 B9 08 00 80 52 E8 17 00 B9 08 00 80 52 E8 1B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 B9 05 00 80 D2 44 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2F 40 B9 ?? ?? ?? ?? E0 53 00 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 64 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 84 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 05 00 31 80 0E 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 88 07 80 52 28 7D 08 1B E8 13 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 88 07 80 52 29 7D 08 1B E8 13 40 B9 08 01 09 0B E8 13 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 00 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 80 01 00 54 28 00 80 52 E8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 29 01 08 4B 88 07 80 52 28 7D 08 1B E8 1B 00 B9 05 00 00 14 08 00 80 52 E8 17 00 B9 08 00 80 52 E8 1B 00 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 2B 00 B9 E7 73 00 91 06 00 80 D2 E5 07 80 52 E8 13 40 F9 04 01 40 F9 03 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 80 52 E0 2B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 40 01 00 54 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 E8 13 40 F9 08 01 40 F9 09 FD 00 91 08 00 80 52 28 01 00 39 05 00 00 14 E8 13 40 F9 09 01 40 F9 08 00 80 52 28 01 00 39 E8 13 40 F9 08 21 00 91 E7 73 00 91 06 00 80 D2 E5 07 80 52 04 01 40 F9 03 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 80 52 E0 2B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 60 01 00 54 E8 1F 40 B9 1F 01 00 71 01 01 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 FD 00 91 08 00 80 52 28 01 00 39 06 00 00 14 E8 13 40 F9 08 21 00 91 09 01 40 F9 08 00 80 52 28 01 00 39 E0 13 40 B9 ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_18_0 {
	meta:
		name = "?tzset_nolock@@YAXXZ"
		size = 208
		refs = "0008 __security_push_cookie 0010 ?tz_api_used@@3HA 001c ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0028 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 003c ?get_tz_environment_variable@@YAPEADAEAY0BAA@D@Z 0078 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00a0 ?tzset_from_system_nolock@@YAXXZ 00a8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 00b4 ?tzset_from_environment_nolock@@YAXPEAD@Z 00c4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 03 00 F9 E9 A3 00 91 E8 03 40 F9 1F 01 09 EB 81 00 00 54 08 00 80 D2 E8 07 00 F9 03 00 00 14 E8 03 40 F9 E8 07 00 F9 E1 07 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 03 40 F9 1F 01 00 F1 C0 00 00 54 E8 03 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A1 00 00 54 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? 05 00 00 14 E0 03 40 F9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_20_0 {
	meta:
		name = "__tzset$fin$0"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "_isindst$fin$0 _tzset$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 C0 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_521_22_0 {
	meta:
		name = "_isindst"
		size = 72
		refs = "0018 __acrt_lock 0020 ?_isindst_nolock@@YAHQEAUtm@@@Z 0034 __acrt_unlock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 A0 0F 00 F9 08 00 80 52 A8 13 00 B9 C0 00 80 52 ?? ?? ?? ?? A0 0F 40 F9 ?? ?? ?? ?? A0 17 00 B9 A8 17 40 B9 A8 13 00 B9 C0 00 80 52 ?? ?? ?? ?? A0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_521_24_0 {
	meta:
		name = "_tzset"
		size = 40
		refs = "000c __acrt_lock 0010 ?tzset_nolock@@YAXXZ 0018 __acrt_unlock"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C0 00 80 52 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_522_13_0 {
	meta:
		name = "?ctrlevent_capture@@YAHK@Z"
		size = 336
		refs = "0020 __acrt_lock 0030 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0038 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAAEAP6AXH@ZXZ 0050 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 006c ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00c0 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 00e4 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXH@ZXZ 00fc __acrt_unlock 012c __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 2B 00 B9 08 00 80 D2 A8 0F 00 F9 08 00 80 52 A8 17 00 B9 60 00 80 52 ?? ?? ?? ?? A8 2B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 A8 13 00 F9 A8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 23 00 F9 A8 23 40 F9 A8 0F 00 F9 48 00 80 52 A8 17 00 B9 0F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 27 00 F9 A8 27 40 F9 A8 13 00 F9 A8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 2B 00 F9 A8 2B 40 F9 A8 0F 00 F9 A8 02 80 52 A8 17 00 B9 A8 0F 40 F9 1F 01 00 F1 60 02 00 54 A8 0F 40 F9 1F 05 00 F1 00 02 00 54 00 00 80 D2 ?? ?? ?? ?? A0 43 00 39 A9 47 00 91 29 01 00 91 A8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 A0 47 00 91 ?? ?? ?? ?? A0 2F 00 F9 A9 13 40 F9 A8 2F 40 F9 28 01 00 F9 60 00 80 52 ?? ?? ?? ?? A8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 0E 00 00 14 A8 0F 40 F9 1F 05 00 F1 40 01 00 54 A8 0F 40 F9 A8 1B 00 F9 AF 1B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 17 40 B9 A8 1B 40 F9 00 01 3F D6 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_14_0 {
	meta:
		name = "?fin$0@?0??ctrlevent_capture@@YAHK@Z@4HA"
		size = 28
		refs = "000c __acrt_unlock"
		altNames = "signal$fin$0"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 60 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_16_0 {
	meta:
		name = "?get_global_action_nolock@@YAPEAP6AXH@ZH@Z"
		size = 220
		refs = "0058 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0060 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAAEAP6AXH@ZXZ 0070 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0088 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00b8 ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 08 09 00 51 E8 13 00 B9 E8 13 40 B9 1F 51 00 71 48 05 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 06 24 24 24 18 24 24 24 24 24 24 24 24 1E 24 24 24 24 24 0C 12 12 12 12 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 1A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 14 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 0E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 08 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 02 00 00 14 00 00 80 D2 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_18_0 {
	meta:
		name = "?siglookup@@YAPEAU__crt_signal_action_t@@HQEAU1@@Z"
		size = 120
		refs = "0024 __acrt_signal_action_table_count"
	strings:
		$1 = { FF 83 00 D1 E0 03 00 B9 E1 0B 00 F9 E8 0B 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 41 00 91 E8 07 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 08 02 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B E8 07 40 F9 1F 01 09 EB 40 01 00 54 E8 07 40 F9 08 11 00 91 E9 03 40 B9 08 01 40 B9 1F 01 09 6B 61 00 00 54 E0 07 40 F9 03 00 00 14 EC FF FF 17 00 00 80 D2 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_19_0 {
	meta:
		name = "?signal_failed@@YAP6AXH@ZH@Z"
		size = 124
		refs = "005c _errno"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 41 00 71 A8 01 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 07 05 07 07 07 07 07 07 07 07 07 05 07 07 05 05 05 05 05 00 00 80 92 07 00 00 14 ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_21_0 {
	meta:
		name = "__acrt_get_sigabrt_handler"
		size = 52
		refs = "0020 ??$__acrt_lock_and_call@V<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@@YAP6AXH@ZW4__acrt_lock_id@@$$QEAV<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E1 43 00 91 60 00 80 52 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_22_0 {
	meta:
		name = "__acrt_initialize_signal_handlers"
		size = 84
		refs = "0010 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0018 ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAXQ6AXH@Z@Z 0020 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0030 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0040 ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_23_0 {
	meta:
		name = "__fpecode"
		size = 36
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 41 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_24_0 {
	meta:
		name = "__pxcptinfoptrs"
		size = 36
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 00 21 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_25_0 {
	meta:
		name = "raise"
		size = 1408
		refs = "007c ?get_global_action_nolock@@YAPEAP6AXH@ZH@Z 0090 __acrt_getptd_noexit 00c4 ?siglookup@@YAPEAU__crt_signal_action_t@@HQEAU1@@Z 0108 ??_C@_1DA@NBILLKNO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAc?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0120 ??_C@_1FO@CCGDPEKE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 012c _CrtDbgReportW 0154 _errno 0178 ??_C@_1M@DMJEIKHL@?$AAr?$AAa?$AAi?$AAs?$AAe?$AA?$AA@ 0188 _invalid_parameter 01e0 ??_C@_1DO@MLNEDKGB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?5?$AAo?$AAr?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0288 __acrt_lock 02b4 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 033c __acrt_unlock 0344 _exit 0398 __fpecode 03d4 __acrt_signal_action_first_fpe_index 03f0 __acrt_signal_action_fpe_count 0450 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0474 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXH@ZXZ 04d8 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 A0 17 00 B9 08 00 80 D2 A8 13 00 F9 08 00 80 52 A8 3F 00 B9 08 00 80 D2 A8 23 00 F9 28 00 80 52 A8 43 00 39 A8 17 40 B9 A8 1F 00 B9 A8 1F 40 B9 08 09 00 51 A8 1F 00 B9 A8 1F 40 B9 1F 51 00 71 28 0B 00 54 AA 1F 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 06 53 0C 53 06 53 0C 53 53 0C 53 53 53 06 53 53 53 53 53 06 06 06 06 06 A0 17 40 B9 ?? ?? ?? ?? A0 4B 00 F9 A8 4B 40 F9 A8 23 00 F9 78 00 00 14 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 A8 13 00 F9 A8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 12 32 01 00 14 A8 13 40 F9 08 01 00 91 01 01 40 F9 A0 17 40 B9 ?? ?? ?? ?? A0 53 00 F9 A8 53 40 F9 A8 33 00 F9 A8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 35 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 5B 00 B9 A9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 57 00 F9 A9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 35 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 FA 00 00 14 A8 33 40 F9 08 21 00 91 A8 23 00 F9 08 00 80 52 A8 43 00 39 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 35 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 5F 00 B9 A9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 5B 00 F9 A9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 35 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C4 00 00 14 08 00 80 D2 A8 47 00 F9 A8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 60 00 80 52 ?? ?? ?? ?? 08 00 80 D2 A8 27 00 F9 08 00 80 52 A8 47 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 A8 23 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 5F 00 F9 A8 5F 40 F9 A8 37 00 F9 04 00 00 14 A8 23 40 F9 08 01 40 F9 A8 37 00 F9 A8 37 40 F9 A8 27 00 F9 A8 27 40 F9 1F 05 00 F1 81 00 00 54 28 00 80 52 A8 3B 00 B9 03 00 00 14 08 00 80 52 A8 3B 00 B9 A8 3B 40 B9 08 1D 00 53 A8 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 5C 00 00 14 A8 27 40 F9 1F 01 00 F1 21 01 00 54 A8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 60 00 80 52 ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? A8 17 40 B9 1F 21 00 71 E0 00 00 54 A8 17 40 B9 1F 2D 00 71 80 00 00 54 A8 17 40 B9 1F 11 00 71 C1 02 00 54 A8 13 40 F9 08 21 00 91 08 01 40 F9 A8 47 00 F9 A8 13 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 A8 17 40 B9 1F 21 00 71 61 01 00 54 ?? ?? ?? ?? A0 63 00 F9 A8 63 40 F9 08 01 40 B9 A8 3F 00 B9 ?? ?? ?? ?? A0 67 00 F9 A9 67 40 F9 88 11 80 52 28 01 00 B9 A8 17 40 B9 1F 21 00 71 21 04 00 54 A8 13 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 02 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 3B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? 08 02 80 D2 29 7D 08 9B A8 3B 40 F9 08 01 09 8B A8 6B 00 F9 A8 3B 40 F9 A8 2B 00 F9 04 00 00 14 A8 2B 40 F9 08 41 00 91 A8 2B 00 F9 A9 6B 40 F9 A8 2B 40 F9 1F 01 09 EB C0 00 00 54 A8 2B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 F5 FF FF 17 10 00 00 14 00 00 80 D2 ?? ?? ?? ?? A0 63 00 39 A9 67 00 91 29 01 00 91 A8 63 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 A0 67 00 91 ?? ?? ?? ?? A0 6F 00 F9 A9 23 40 F9 A8 6F 40 F9 28 01 00 F9 A8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 60 00 80 52 ?? ?? ?? ?? A8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 31 00 00 14 A8 17 40 B9 1F 21 00 71 E1 01 00 54 ?? ?? ?? ?? A0 73 00 F9 A8 27 40 F9 A8 3F 00 F9 AF 3F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 73 40 F9 01 01 40 B9 00 01 80 52 A8 3F 40 F9 00 01 3F D6 0A 00 00 14 A8 27 40 F9 A8 43 00 F9 AF 43 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 17 40 B9 A8 43 40 F9 00 01 3F D6 A8 17 40 B9 1F 21 00 71 E0 00 00 54 A8 17 40 B9 1F 2D 00 71 80 00 00 54 A8 17 40 B9 1F 11 00 71 A1 01 00 54 A8 13 40 F9 09 21 00 91 A8 47 40 F9 28 01 00 F9 A8 17 40 B9 1F 21 00 71 C1 00 00 54 ?? ?? ?? ?? A0 77 00 F9 A9 77 40 F9 A8 3F 40 B9 28 01 00 B9 00 00 80 52 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_26_0 {
	meta:
		name = "raise$fin$0"
		size = 44
		refs = "001c __acrt_unlock"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 60 00 80 52 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_522_27_0 {
	meta:
		name = "signal"
		size = 952
		refs = "002c ?signal_failed@@YAP6AXH@ZH@Z 008c __acrt_lock 00d4 ?console_ctrl_handler_installed@@3_NA 00ec ?ctrlevent_capture@@YAHK@Z 00f4 __imp_SetConsoleCtrlHandler 0120 __imp_GetLastError 0130 __doserrno 0150 ?get_global_action_nolock@@YAPEAP6AXH@ZH@Z 0174 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 0194 ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 01ac __acrt_unlock 0214 __acrt_getptd_noexit 024c __acrt_exception_action_table 0264 ??_C@_0CP@JIIONAG@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0270 __acrt_signal_action_table_size 0278 _malloc_dbg 02d4 memcpy 02e8 ?siglookup@@YAPEAU__crt_signal_action_t@@HQEAU1@@Z 033c __acrt_signal_action_table_count"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 A0 13 00 B9 A1 13 00 F9 A8 13 40 F9 1F 11 00 F1 80 00 00 54 A8 13 40 F9 1F 0D 00 F1 C1 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 2B 00 F9 A0 2B 40 F9 DE 00 00 14 A8 13 40 B9 1F 09 00 71 A0 01 00 54 A8 13 40 B9 1F 55 00 71 40 01 00 54 A8 13 40 B9 1F 59 00 71 E0 00 00 54 A8 13 40 B9 1F 19 00 71 80 00 00 54 A8 13 40 B9 1F 3D 00 71 41 0B 00 54 08 00 80 52 A8 57 00 39 08 00 80 D2 A8 27 00 F9 60 00 80 52 ?? ?? ?? ?? A8 13 40 B9 1F 09 00 71 E0 00 00 54 A8 13 40 B9 1F 55 00 71 80 00 00 54 08 00 80 52 A8 53 00 39 03 00 00 14 28 00 80 52 A8 53 00 39 A8 53 40 39 A8 5B 00 39 A8 5B 40 39 08 01 00 11 1F 01 00 71 E0 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 11 1F 01 00 71 41 03 00 54 21 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 33 00 B9 A8 33 40 B9 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A0 37 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 A8 37 40 B9 28 01 00 B9 28 00 80 52 A8 57 00 39 A0 13 40 B9 ?? ?? ?? ?? A0 33 00 F9 A8 33 40 F9 A8 1F 00 F9 A8 1F 40 F9 1F 01 00 F1 00 02 00 54 A8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? A0 37 00 F9 A8 37 40 F9 A8 27 00 F9 A8 13 40 F9 1F 09 00 F1 E0 00 00 54 A0 13 40 F9 ?? ?? ?? ?? A0 3B 00 F9 A9 1F 40 F9 A8 3B 40 F9 28 01 00 F9 60 00 80 52 ?? ?? ?? ?? A8 57 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 3F 00 F9 A0 3F 40 F9 78 00 00 14 A0 27 40 F9 76 00 00 14 A8 13 40 B9 1F 21 00 71 80 01 00 54 A8 13 40 B9 1F 11 00 71 20 01 00 54 A8 13 40 B9 1F 2D 00 71 C0 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 43 00 F9 A0 43 40 F9 68 00 00 14 ?? ?? ?? ?? A0 47 00 F9 A8 47 40 F9 A8 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 C1 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 4B 00 F9 A0 4B 40 F9 5C 00 00 14 A8 0F 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB E1 03 00 54 C3 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 4F 00 F9 A8 0F 40 F9 09 01 00 91 A8 4F 40 F9 28 01 00 F9 A8 0F 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 53 00 F9 A0 53 40 F9 3F 00 00 14 A8 0F 40 F9 09 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 01 40 F9 ?? ?? ?? ?? A8 0F 40 F9 08 01 00 91 01 01 40 F9 A0 13 40 B9 ?? ?? ?? ?? A0 57 00 F9 A8 57 40 F9 A8 23 00 F9 A8 23 40 F9 1F 01 00 F1 C1 00 00 54 A0 13 40 B9 ?? ?? ?? ?? A0 5B 00 F9 A0 5B 40 F9 27 00 00 14 A8 23 40 F9 08 21 00 91 08 01 40 F9 A8 63 00 F9 A8 13 40 F9 1F 09 00 F1 E0 03 00 54 A8 0F 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 08 02 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B A8 5F 00 F9 A8 23 40 F9 A8 17 00 F9 04 00 00 14 A8 17 40 F9 08 41 00 91 A8 17 00 F9 A9 5F 40 F9 A8 17 40 F9 1F 01 09 EB 80 01 00 54 A8 17 40 F9 08 11 00 91 A9 13 40 B9 08 01 40 B9 1F 01 09 6B C1 00 00 54 A8 17 40 F9 09 21 00 91 A8 13 40 F9 28 01 00 F9 EF FF FF 17 A0 63 40 F9 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "??$common_ftime_s@JU__timeb32@@@@YAHQEAU__timeb32@@@Z"
		size = 640
		refs = "0008 __security_push_cookie 0048 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 00d4 __tzset 00e4 _get_timezone 0104 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0110 _invoke_watson_if_error 0134 __acrt_GetSystemTimePreciseAsFileTime 014c ?elapsed_minutes_cache@@3JA 0164 __imp_GetTimeZoneInformation 0188 ?dstflag_cache@@3HA 0258 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 03 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 61 00 00 14 ?? ?? ?? ?? 08 00 80 52 E8 0B 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 27 00 B9 05 00 80 D2 64 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 ?? ?? ?? ?? E9 0B 40 B9 88 07 80 52 28 0D C8 1A 09 3D 00 13 E8 0F 40 F9 08 19 00 91 09 01 00 79 E0 C3 00 91 ?? ?? ?? ?? E9 1B 40 F9 68 09 00 58 28 09 C8 9A 08 01 00 11 E8 13 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 60 04 00 54 E0 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 05 00 31 A1 00 00 54 ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? 12 00 00 14 E8 0F 40 B9 1F 09 00 71 81 01 00 54 E8 B7 41 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 EB 40 B9 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? 04 00 00 14 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 3D 00 13 E8 0F 40 F9 08 21 00 91 09 01 00 79 E9 1B 40 F9 08 E2 84 D2 2A 09 C8 9A 09 7D 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 09 3D 00 53 E8 0F 40 F9 08 11 00 91 09 01 00 79 E9 1B 40 F9 08 02 00 58 29 01 08 CB 08 02 00 58 28 09 C8 9A 09 01 00 11 E8 0F 40 F9 08 01 00 91 09 01 00 B9 00 00 80 52 FF C3 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 46 C3 23 00 00 00 00 00 80 3E D5 DE B1 9D 01 80 96 98 00 00 00 00 00 }
	condition:
		$1
}

rule file_523_1_0 {
	meta:
		name = "??$common_ftime_s@_JU__timeb64@@@@YAHQEAU__timeb64@@@Z"
		size = 640
		refs = "0008 __security_push_cookie 0048 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 00d4 __tzset 00e4 _get_timezone 0104 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0110 _invoke_watson_if_error 0134 __acrt_GetSystemTimePreciseAsFileTime 014c ?elapsed_minutes_cache@@3JA 0164 __imp_GetTimeZoneInformation 0188 ?dstflag_cache@@3HA 025c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 03 D1 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 62 00 00 14 ?? ?? ?? ?? 08 00 80 52 E8 0B 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 27 00 B9 05 00 80 D2 64 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 ?? ?? ?? ?? E9 0B 40 B9 88 07 80 52 28 0D C8 1A 09 3D 00 13 E8 0F 40 F9 08 29 00 91 09 01 00 79 E0 C3 00 91 ?? ?? ?? ?? E9 1B 40 F9 68 09 00 58 28 09 C8 9A 08 01 00 11 E8 13 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 60 04 00 54 E0 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 05 00 31 A1 00 00 54 ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? 12 00 00 14 E8 0F 40 B9 1F 09 00 71 81 01 00 54 E8 B7 41 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 EB 40 B9 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? 04 00 00 14 ?? ?? ?? ?? 08 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 3D 00 13 E8 0F 40 F9 08 31 00 91 09 01 00 79 E9 1B 40 F9 08 E2 84 D2 2A 09 C8 9A 09 7D 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 09 3D 00 53 E8 0F 40 F9 08 21 00 91 09 01 00 79 E9 1B 40 F9 08 02 00 58 29 01 08 CB 08 02 00 58 28 09 C8 9A 08 01 00 11 09 7D 40 93 E8 0F 40 F9 08 01 00 91 09 01 00 F9 00 00 80 52 FF C3 03 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 00 46 C3 23 00 00 00 00 00 80 3E D5 DE B1 9D 01 80 96 98 00 00 00 00 00 }
	condition:
		$1
}

rule file_525_0_0 {
	meta:
		name = "_cabsf"
		size = 60
		refs = "0028 _hypotf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 FD E1 13 00 FD F0 13 40 FD 01 42 62 1E F0 0F 40 FD 00 42 62 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E0 13 00 BD E0 13 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_529_5_0 {
	meta:
		name = "_mbsncmp_l"
		size = 440
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0044 strncmp 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1HA@KANKOLPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0074 _CrtDbgReportW 0084 _errno 00a4 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BG@HJPKOFMJ@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00f8 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 61 00 00 91 E0 43 00 91 55 00 00 91 ?? ?? ?? ?? 95 0A 00 B4 ED 13 40 F9 A8 09 40 B9 C8 00 00 35 A2 02 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 52 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 07 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 B0 12 24 00 00 14 6A 16 40 38 B5 06 00 D1 48 1D 00 53 A8 C1 28 8B 09 65 40 39 09 01 10 36 6B 02 40 39 6B 00 00 35 0B 00 80 52 03 00 00 14 6B 21 0A 2A 73 06 00 91 6A 3D 00 53 8B 16 40 38 68 1D 00 53 A8 C1 28 8B 09 65 40 39 09 01 10 36 8C 02 40 39 6C 00 00 35 0C 00 80 52 03 00 00 14 8C 21 0B 2A 94 06 00 91 8B 3D 00 53 5F 01 0B 6B A1 00 00 54 4A 00 00 34 95 FC FF B5 00 00 80 52 05 00 00 14 5F 01 0B 6B 29 00 80 52 08 00 80 12 20 81 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_3_0 {
	meta:
		name = "??$common_asctime@D@@YAPEADQEBUtm@@@Z"
		size = 272
		refs = "0010 ?common_asctime_get_ptd_buffer@@YAPEAPEADD@Z 0040 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0054 _calloc_dbg 0064 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0078 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 0090 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 00c0 ?static_buffer@?1???$common_asctime@D@@YAPEADQEBUtm@@@Z@4PADA 00e0 ??$common_asctime_s@D@@YAHQEAD_KQEBUtm@@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 33 00 F9 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 60 03 00 54 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 E4 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 40 03 80 D2 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E9 0B 40 F9 E8 2B 40 F9 28 01 00 F9 E0 63 01 91 ?? ?? ?? ?? E8 0B 40 F9 1F 01 00 F1 20 01 00 54 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 01 40 F9 E8 13 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 E8 17 00 F9 E2 33 40 F9 41 03 80 D2 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 17 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_4_0 {
	meta:
		name = "??$common_asctime@_W@@YAPEA_WQEBUtm@@@Z"
		size = 272
		refs = "0010 ?common_asctime_get_ptd_buffer@@YAPEAPEA_W_W@Z 0040 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0054 _calloc_dbg 0064 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0078 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 0090 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 00c0 ?static_buffer@?1???$common_asctime@_W@@YAPEA_WQEBUtm@@@Z@4PA_WA 00e0 ??$common_asctime_s@_W@@YAHQEA_W_KQEBUtm@@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 33 00 F9 00 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 60 03 00 54 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 E4 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 40 03 80 D2 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E9 0B 40 F9 E8 2B 40 F9 28 01 00 F9 E0 63 01 91 ?? ?? ?? ?? E8 0B 40 F9 1F 01 00 F1 20 01 00 54 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 01 40 F9 E8 13 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 00 F9 E8 13 40 F9 E8 17 00 F9 E2 33 40 F9 41 03 80 D2 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 17 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_5_0 {
	meta:
		name = "??$common_asctime_s@D@@YAHQEAD_KQEBUtm@@@Z"
		size = 2988
		refs = "0054 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0118 _CrtGetDebugFillThreshold 0168 memset 01a0 ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 0260 ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0328 ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0404 ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 04e0 ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 05bc ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0698 ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0774 ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0824 ?__crt_time_is_day_valid@@YA_NHHH@Z 0864 ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0910 __dnames 09a4 __mnames 0a34 ??$common_asctime_s_write_value@D@@YAPEADPEADH_N@Z 0b1c ?__crt_get_century@@YAHH@Z 0b4c ?__crt_get_2digit_year@@YAHH@Z"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 47 00 F9 E1 17 00 F9 E2 0F 00 F9 E8 47 40 F9 1F 01 00 F1 E0 00 00 54 E8 17 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 B3 00 B9 E9 B3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B2 02 00 14 E9 47 40 F9 08 00 80 52 28 01 00 39 E8 17 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 17 40 F9 1F 01 09 EB 40 03 00 54 E9 17 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 67 00 F9 E8 17 40 F9 09 05 00 D1 E8 67 40 F9 1F 01 09 EB 82 00 00 54 E8 67 40 F9 E8 6B 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 D1 E8 6B 00 F9 E8 47 40 F9 00 05 00 91 E2 6B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 B7 00 B9 E9 B7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 5F 02 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 BB 00 B9 E9 BB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 2F 02 00 14 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 AB 00 B9 E9 AB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 01 00 14 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 8C 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 BF 00 B9 E9 BF 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 C6 01 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 B9 1F 5D 00 71 8C 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 C3 00 B9 E9 C3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 8F 01 00 14 E8 0F 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 B9 1F ED 00 71 8C 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9B 00 B9 E9 9B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 58 01 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F F1 00 71 8C 00 00 54 28 00 80 52 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9F 00 B9 E9 9F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 97 00 F9 E9 97 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 21 01 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 19 00 71 8C 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E8 73 40 B9 E8 77 00 B9 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A3 00 B9 E9 A3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 9B 00 F9 E9 9B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 EA 00 00 14 E8 0F 40 F9 0A 31 00 91 E8 0F 40 F9 09 41 00 91 E8 0F 40 F9 08 51 00 91 42 01 40 B9 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 7B 00 B9 03 00 00 14 08 00 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 7F 00 B9 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A7 00 B9 E9 A7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 9F 00 F9 E9 9F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AE 00 00 14 E8 47 40 F9 E8 0B 00 F9 E8 0F 40 F9 08 61 00 91 09 01 40 B9 68 00 80 52 28 7D 08 1B 09 7D 40 93 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 6F 00 F9 E8 6F 40 F9 08 0D 00 91 E8 A3 00 F9 E8 6F 40 F9 E8 4B 00 F9 04 00 00 14 E8 4B 40 F9 08 05 00 91 E8 4B 00 F9 E9 A3 40 F9 E8 4B 40 F9 1F 01 09 EB 20 01 00 54 E9 0B 40 F9 E8 4B 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F2 FF FF 17 E9 0B 40 F9 08 04 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 41 00 91 09 01 40 B9 68 00 80 52 28 7D 08 1B 09 7D 40 93 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 73 00 F9 E8 73 40 F9 08 0D 00 91 E8 A7 00 F9 E8 73 40 F9 E8 43 00 F9 04 00 00 14 E8 43 40 F9 08 05 00 91 E8 43 00 F9 E9 A7 40 F9 E8 43 40 F9 1F 01 09 EB 20 01 00 54 E9 0B 40 F9 E8 43 40 F9 08 01 C0 39 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F2 FF FF 17 E9 0B 40 F9 08 04 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 31 00 91 02 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 AB 00 F9 E8 AB 40 F9 E8 0B 00 F9 E9 0B 40 F9 08 04 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 21 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 AF 00 F9 E8 AF 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 11 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 01 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 B7 00 F9 E8 B7 40 F9 E8 0B 00 F9 E9 0B 40 F9 08 04 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0F 40 F9 08 51 00 91 00 01 40 B9 ?? ?? ?? ?? E0 C7 00 B9 22 00 80 52 E1 C7 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 E8 0B 00 F9 E8 0F 40 F9 08 51 00 91 00 01 40 B9 ?? ?? ?? ?? E0 AF 00 B9 22 00 80 52 E1 AF 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 BF 00 F9 E8 BF 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 01 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 0B 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 00 00 80 52 FD 7B D8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_6_0 {
	meta:
		name = "??$common_asctime_s@_W@@YAHQEA_W_KQEBUtm@@@Z"
		size = 3008
		refs = "0054 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0118 _CrtGetDebugFillThreshold 0174 memset 01ac ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 026c ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0334 ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0410 ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 04ec ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 05c8 ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 06a4 ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0780 ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0830 ?__crt_time_is_day_valid@@YA_NHHH@Z 0870 ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 091c __dnames 09b4 __mnames 0a48 ??$common_asctime_s_write_value@_W@@YAPEA_WPEA_WH_N@Z 0b30 ?__crt_get_century@@YAHH@Z 0b60 ?__crt_get_2digit_year@@YAHH@Z"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 47 00 F9 E1 17 00 F9 E2 0F 00 F9 E8 47 40 F9 1F 01 00 F1 E0 00 00 54 E8 17 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 B3 00 B9 E9 B3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B7 02 00 14 E9 47 40 F9 08 00 80 52 28 01 00 79 E8 17 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 17 40 F9 1F 01 09 EB A0 03 00 54 E9 17 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 67 00 F9 E8 17 40 F9 09 05 00 D1 E8 67 40 F9 1F 01 09 EB 82 00 00 54 E8 67 40 F9 E8 6B 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 D1 E8 6B 00 F9 E9 6B 40 F9 48 00 80 D2 22 7D 08 9B E8 47 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 17 40 F9 1F 69 00 F1 83 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 B7 00 B9 E9 B7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 61 02 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 BB 00 B9 E9 BB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 31 02 00 14 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 AB 00 B9 E9 AB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FF 01 00 14 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 8C 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 BF 00 B9 E9 BF 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 C8 01 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 B9 1F 5D 00 71 8C 00 00 54 28 00 80 52 E8 5B 00 B9 03 00 00 14 08 00 80 52 E8 5B 00 B9 E8 5B 40 B9 E8 5F 00 B9 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 C3 00 B9 E9 C3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 91 01 00 14 E8 0F 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 B9 1F ED 00 71 8C 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9B 00 B9 E9 9B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 5A 01 00 14 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 01 00 91 08 01 40 B9 1F F1 00 71 8C 00 00 54 28 00 80 52 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 9F 00 B9 E9 9F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 97 00 F9 E9 97 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 23 01 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 19 00 71 8C 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E8 73 40 B9 E8 77 00 B9 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A3 00 B9 E9 A3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 9B 00 F9 E9 9B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 EC 00 00 14 E8 0F 40 F9 0A 31 00 91 E8 0F 40 F9 09 41 00 91 E8 0F 40 F9 08 51 00 91 42 01 40 B9 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 7B 00 B9 03 00 00 14 08 00 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 7F 00 B9 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 A7 00 B9 E9 A7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 9F 00 F9 E9 9F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B0 00 00 14 E8 47 40 F9 E8 0B 00 F9 E8 0F 40 F9 08 61 00 91 09 01 40 B9 68 00 80 52 28 7D 08 1B 09 7D 40 93 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 6F 00 F9 E8 6F 40 F9 08 0D 00 91 E8 A3 00 F9 E8 6F 40 F9 E8 4B 00 F9 04 00 00 14 E8 4B 40 F9 08 05 00 91 E8 4B 00 F9 E9 A3 40 F9 E8 4B 40 F9 1F 01 09 EB 40 01 00 54 E8 4B 40 F9 08 01 C0 39 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 F1 FF FF 17 E9 0B 40 F9 08 04 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 41 00 91 09 01 40 B9 68 00 80 52 28 7D 08 1B 09 7D 40 93 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B E8 73 00 F9 E8 73 40 F9 08 0D 00 91 E8 A7 00 F9 E8 73 40 F9 E8 43 00 F9 04 00 00 14 E8 43 40 F9 08 05 00 91 E8 43 00 F9 E9 A7 40 F9 E8 43 40 F9 1F 01 09 EB 40 01 00 54 E8 43 40 F9 08 01 C0 39 09 3D 00 53 E8 0B 40 F9 09 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 F1 FF FF 17 E9 0B 40 F9 08 04 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 31 00 91 02 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 AB 00 F9 E8 AB 40 F9 E8 0B 00 F9 E9 0B 40 F9 08 04 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 21 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 AF 00 F9 E8 AF 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 11 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 01 00 91 22 00 80 52 01 01 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 B7 00 F9 E8 B7 40 F9 E8 0B 00 F9 E9 0B 40 F9 08 04 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 51 00 91 00 01 40 B9 ?? ?? ?? ?? E0 C7 00 B9 22 00 80 52 E1 C7 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 E8 0B 00 F9 E8 0F 40 F9 08 51 00 91 00 01 40 B9 ?? ?? ?? ?? E0 AF 00 B9 22 00 80 52 E1 AF 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 BF 00 F9 E8 BF 40 F9 E8 0B 00 F9 E9 0B 40 F9 48 01 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 00 00 80 52 FD 7B D8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_7_0 {
	meta:
		name = "??$common_asctime_s_write_value@D@@YAPEADPEADH_N@Z"
		size = 172
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 07 00 B9 E2 03 00 39 E8 07 40 B9 1F 29 00 71 AA 00 00 54 E8 03 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 07 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 07 00 00 14 E9 07 40 F9 08 04 80 52 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 EA 07 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 07 40 F9 09 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_8_0 {
	meta:
		name = "??$common_asctime_s_write_value@_W@@YAPEA_WPEA_WH_N@Z"
		size = 172
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 07 00 B9 E2 03 00 39 E8 07 40 B9 1F 29 00 71 AA 00 00 54 E8 03 40 39 08 01 00 11 1F 01 00 71 80 01 00 54 E9 07 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 07 40 F9 09 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 07 00 00 14 E9 07 40 F9 08 04 80 52 28 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 EA 07 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 07 40 F9 09 01 00 79 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_13_0 {
	meta:
		name = "?__crt_get_2digit_year@@YAHH@Z"
		size = 44
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 0A B1 1D 11 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 40 01 08 4B 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_14_0 {
	meta:
		name = "?__crt_get_century@@YAHH@Z"
		size = 36
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 09 B1 1D 11 88 0C 80 52 20 0D C8 1A 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_16_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPEAPEADD@Z"
		size = 68
		refs = "000c __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 43 00 39 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 04 00 00 14 E8 0F 40 F9 00 61 01 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_530_17_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPEAPEA_W_W@Z"
		size = 68
		refs = "000c __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 79 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 04 00 00 14 E8 0F 40 F9 00 81 01 91 00 00 00 91 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_531_4_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@D@@YAHQEADH@Z"
		size = 1140
		refs = "0028 _errno 004c strchr 006c ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0094 _CrtDbgReportW 00ac strnlen 00bc ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 00ec _environ_table 00f0 __dcrt_initial_narrow_environment 0110 ??$copy_environment@D@@YAPEAPEADQEAPEAD@Z 0120 _wenviron_table 0130 __dcrt_get_or_create_narrow_environment_nolock 015c ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0164 ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 01b4 _calloc_dbg 01c4 _free_dbg 022c _strnicoll 02b4 _recalloc_dbg 03a0 strcpy_s 03b0 __imp_SetEnvironmentVariableA 0458 ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 045c ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 0470 _invoke_watson"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BE A9 FD 03 00 91 15 00 00 91 3A 00 00 11 D5 00 00 B5 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 80 12 FF 00 00 14 B3 02 00 91 A1 07 80 52 F3 0B 00 F9 A0 02 00 91 ?? ?? ?? ?? 17 00 00 91 FF 02 00 F1 E4 12 55 FA C0 1D 00 54 F8 02 15 CB E8 FF 8F D2 1F 03 08 EB ?? ?? ?? ?? ?? ?? ?? ?? 8B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 16 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 FF 8F D2 E0 06 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB 83 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 16 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E8 06 C0 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 ?? ?? ?? ?? F9 17 9F 1A 9F 02 08 EB A1 00 00 54 80 02 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? 14 02 00 B5 ?? ?? ?? ?? BA 03 00 34 ?? ?? ?? ?? 68 03 00 B4 ?? ?? ?? ?? 00 17 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 9F 02 08 EB A1 00 00 54 80 02 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B4 05 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 1F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 A1 14 00 54 00 00 3E D4 A3 00 00 14 B9 13 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 24 1C 80 52 42 00 80 52 01 01 80 D2 20 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? B4 12 00 B4 ?? ?? ?? ?? C8 01 00 B5 64 1D 80 52 ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 20 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E8 10 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? D4 FF FF 17 88 02 40 F9 96 02 00 91 C8 01 00 B4 C1 02 40 F9 02 03 00 91 A0 02 00 91 ?? ?? ?? ?? C0 00 00 35 C8 02 40 F9 09 69 F8 38 3F F5 00 71 24 19 40 7A 60 04 00 54 D6 22 00 91 C9 02 40 F9 89 FE FF B5 C8 02 14 CB F6 0F 88 CB 96 04 F8 B7 88 02 40 F9 48 04 00 B4 80 7A 76 F8 41 00 80 52 ?? ?? ?? ?? 59 03 00 34 88 7A 76 F8 08 01 00 B4 8B 0E 16 8B 69 05 40 F9 D6 06 00 91 69 01 00 F9 8B 0E 16 8B 6A 01 40 F9 6A FF FF B5 25 23 80 52 ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 C1 02 00 91 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 00 00 80 D2 ?? ?? ?? ?? 34 04 00 B4 1F 00 00 14 C8 02 14 CB 16 FD 43 93 E1 FF FF 17 13 00 80 D2 FF 0B 00 F9 95 7A 36 F8 19 00 00 14 19 09 00 35 F6 03 16 CB C1 0A 00 91 3F 00 16 EB 23 09 00 54 08 00 FC 92 3F 00 08 EB C2 08 00 54 85 27 80 52 ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 00 00 80 D2 ?? ?? ?? ?? 74 07 00 B4 88 0E 16 8B 13 00 80 D2 FF 0B 00 F9 15 7D 00 A9 ?? ?? ?? ?? 1A 06 00 34 A8 02 C0 39 AA 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 54 01 15 CB 80 0A 00 91 24 2A 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 16 00 00 91 76 00 00 B5 14 00 80 52 17 00 00 14 A2 02 00 91 81 0A 00 91 C0 02 00 91 ?? ?? ?? ?? 60 05 00 35 C8 02 15 CB 09 01 17 8B ?? ?? ?? ?? 2A 05 00 91 ?? ?? ?? ?? 5F F1 1F 38 09 FD DF C8 3F 03 00 71 E1 13 8A 9A C0 02 00 91 20 01 3F D6 40 01 00 35 ?? ?? ?? ?? 48 05 80 52 F3 0B 40 F9 08 00 00 B9 14 00 80 12 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? 0B 00 00 14 41 00 80 52 C0 02 00 91 ?? ?? ?? ?? F3 0B 40 F9 14 00 80 52 05 00 00 14 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 14 00 80 12 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_5_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@_W@@YAHQEA_WH@Z"
		size = 1140
		refs = "0028 _errno 004c wcschr 0070 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0098 _CrtDbgReportW 00b0 wcsnlen 00c0 ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 00f0 _wenviron_table 00f4 __dcrt_initial_wide_environment 0114 ??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z 0120 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0128 _environ_table 0138 __dcrt_get_or_create_wide_environment_nolock 0180 _calloc_dbg 0190 _free_dbg 01dc ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 0224 _wcsnicoll 02b0 _recalloc_dbg 03a8 wcscpy_s 03b8 __imp_SetEnvironmentVariableW 0454 ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 0458 ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 0470 _invoke_watson"
	strings:
		$1 = { F3 53 BB A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FB 73 04 A9 FD 7B BE A9 FD 03 00 91 16 00 00 91 39 00 00 11 D6 00 00 B5 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 00 00 80 12 00 01 00 14 D3 02 00 91 A1 07 80 52 F3 0B 00 F9 C0 02 00 91 ?? ?? ?? ?? 14 00 00 91 9F 02 00 F1 84 12 56 FA E0 1D 00 54 88 02 16 CB 18 FD 41 93 E9 FF 8F D2 1F 03 09 EB ?? ?? ?? ?? ?? ?? ?? ?? 8B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 16 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 E1 FF 8F D2 80 0A 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB 83 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 16 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 88 06 40 79 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 71 ?? ?? ?? ?? F7 17 9F 1A 9F 02 08 EB A1 00 00 54 80 02 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? B4 05 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? B9 01 00 34 88 01 00 B4 ?? ?? ?? ?? E0 16 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 9F 02 08 EB 61 04 00 54 80 02 00 91 ?? ?? ?? ?? 14 00 00 91 ?? ?? ?? ?? 1E 00 00 14 77 15 00 35 08 02 00 B5 24 1C 80 52 ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 20 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 68 14 00 B4 ?? ?? ?? ?? D4 01 00 B5 ?? ?? ?? ?? 64 1D 80 52 ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 20 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 94 12 00 B4 B4 01 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 1F 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 21 11 00 54 00 00 3E D4 87 00 00 14 88 02 40 F9 95 02 00 91 C8 01 00 B4 A1 02 40 F9 02 03 00 91 C0 02 00 91 ?? ?? ?? ?? C0 00 00 35 A8 02 40 F9 09 79 78 78 3F F5 00 71 24 19 40 7A 80 04 00 54 B5 22 00 91 A9 02 40 F9 89 FE FF B5 A8 02 14 CB F5 0F 88 CB D5 04 F8 B7 88 02 40 F9 88 04 00 B4 80 7A 75 F8 41 00 80 52 ?? ?? ?? ?? 77 03 00 34 88 7A 75 F8 08 01 00 B4 8B 0E 15 8B 69 05 40 F9 B5 06 00 91 69 01 00 F9 8B 0E 15 8B 6A 01 40 F9 6A FF FF B5 ?? ?? ?? ?? ?? ?? ?? ?? 25 23 80 52 43 00 80 52 02 01 80 D2 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 00 00 80 D2 ?? ?? ?? ?? 74 04 00 B4 21 00 00 14 A8 02 14 CB 15 FD 43 93 E0 FF FF 17 13 00 80 D2 FF 0B 00 F9 96 7A 35 F8 ?? ?? ?? ?? 1A 00 00 14 37 09 00 35 F5 03 15 CB A1 0A 00 91 3F 00 15 EB 43 09 00 54 08 00 FC 92 3F 00 08 EB E2 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 85 27 80 52 43 00 80 52 02 01 80 D2 80 02 00 91 ?? ?? ?? ?? 41 00 80 52 14 00 00 91 00 00 80 D2 ?? ?? ?? ?? 74 07 00 B4 88 0E 15 8B 13 00 80 D2 FF 0B 00 F9 16 7D 00 A9 ?? ?? ?? ?? 19 06 00 34 C8 02 C0 79 CA 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 16 CB 14 FD 41 93 80 0A 00 91 24 2A 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 15 00 00 91 75 00 00 B5 14 00 80 52 16 00 00 14 C2 02 00 91 81 0A 00 91 A0 02 00 91 ?? ?? ?? ?? 40 05 00 35 08 07 00 91 A9 06 08 8B ?? ?? ?? ?? FF 02 00 71 ?? ?? ?? ?? 3F E1 1F 78 E1 13 89 9A 09 FD DF C8 A0 02 00 91 20 01 3F D6 40 01 00 35 ?? ?? ?? ?? 48 05 80 52 F3 0B 40 F9 08 00 00 B9 14 00 80 12 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? 0B 00 00 14 41 00 80 52 A0 02 00 91 ?? ?? ?? ?? F3 0B 40 F9 14 00 80 52 05 00 00 14 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 14 00 80 12 41 00 80 52 60 02 00 91 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 FB 73 44 A9 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C5 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_6_0 {
	meta:
		name = "??$copy_environment@D@@YAPEAPEADQEAPEAD@Z"
		size = 296
		refs = "0040 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0058 _calloc_dbg 00b4 _free_dbg 00c8 strcpy_s 00fc abort 0100 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0108 ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 010c ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 0120 _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 73 00 00 B5 00 00 80 D2 32 00 00 14 68 02 40 F9 0A 00 80 D2 6B 02 00 91 88 00 00 B4 69 8D 40 F8 4A 05 00 91 C9 FF FF B5 ?? ?? ?? ?? ?? ?? ?? ?? 24 06 80 52 42 00 80 52 01 01 80 D2 40 05 00 91 ?? ?? ?? ?? 14 00 00 91 F4 04 00 B4 68 02 40 F9 88 03 00 B4 95 02 13 CB 6C 02 40 F9 89 01 C0 39 8B 01 00 91 89 00 00 34 6B 05 00 91 6A 01 C0 39 CA FF FF 35 76 01 0C CB C0 06 00 91 84 07 80 52 ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 ?? ?? ?? ?? 41 00 80 52 A0 6A 33 F8 00 00 80 D2 ?? ?? ?? ?? A0 6A 73 F8 40 03 00 B4 62 02 40 F9 C1 06 00 91 ?? ?? ?? ?? A0 01 00 35 68 8E 40 F8 E8 FC FF B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_7_0 {
	meta:
		name = "??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z"
		size = 300
		refs = "0040 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0058 _calloc_dbg 00b8 _free_dbg 00cc wcscpy_s 0100 abort 0104 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 010c ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 0110 ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 0124 _invoke_watson"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 73 00 00 B5 00 00 80 D2 33 00 00 14 68 02 40 F9 0A 00 80 D2 6B 02 00 91 88 00 00 B4 69 8D 40 F8 4A 05 00 91 C9 FF FF B5 ?? ?? ?? ?? ?? ?? ?? ?? 24 06 80 52 42 00 80 52 01 01 80 D2 40 05 00 91 ?? ?? ?? ?? 14 00 00 91 14 05 00 B4 68 02 40 F9 A8 03 00 B4 95 02 13 CB 6C 02 40 F9 89 01 C0 79 8B 01 00 91 89 00 00 34 6B 09 00 91 6A 01 C0 79 CA FF FF 35 68 01 0C CB 16 FD 41 93 C0 06 00 91 84 07 80 52 ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 41 00 80 52 A0 6A 33 F8 00 00 80 D2 ?? ?? ?? ?? A0 6A 73 F8 40 03 00 B4 62 02 40 F9 C1 06 00 91 ?? ?? ?? ?? A0 01 00 35 68 8E 40 F8 C8 FC FF B5 41 00 80 52 00 00 80 D2 ?? ?? ?? ?? 80 02 00 91 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_8_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@D@@YAXXZ"
		size = 56
		refs = "000c _environ_table 0010 __dcrt_initial_narrow_environment 0024 ??$copy_environment@D@@YAPEAPEADQEAPEAD@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 08 EB 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_531_9_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@_W@@YAXXZ"
		size = 56
		refs = "000c _wenviron_table 0010 __dcrt_initial_wide_environment 0024 ??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 08 EB 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_531_10_0 {
	meta:
		name = "??$find_in_environment_nolock@D@@YA_JQEBD_K@Z"
		size = 132
		refs = "0010 _environ_table 0038 _strnicoll"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 00 91 35 00 00 91 88 02 40 F9 93 02 00 91 C8 01 00 B4 61 02 40 F9 A2 02 00 91 C0 02 00 91 ?? ?? ?? ?? C0 00 00 35 68 02 40 F9 09 69 F5 38 3F F5 00 71 24 19 40 7A 40 01 00 54 73 22 00 91 69 02 40 F9 89 FE FF B5 68 02 14 CB E0 0F 88 CB FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 68 02 14 CB 00 FD 43 93 FA FF FF 17 }
	condition:
		$1
}

rule file_531_11_0 {
	meta:
		name = "??$find_in_environment_nolock@_W@@YA_JQEB_W_K@Z"
		size = 132
		refs = "0010 _wenviron_table 0038 _wcsnicoll"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 00 91 35 00 00 91 88 02 40 F9 93 02 00 91 C8 01 00 B4 61 02 40 F9 A2 02 00 91 C0 02 00 91 ?? ?? ?? ?? C0 00 00 35 68 02 40 F9 09 79 75 78 3F F5 00 71 24 19 40 7A 40 01 00 54 73 22 00 91 69 02 40 F9 89 FE FF B5 68 02 14 CB E0 0F 88 CB FD 7B C1 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 68 02 14 CB 00 FD 43 93 FA FF FF 17 }
	condition:
		$1
}

rule file_531_14_0 {
	meta:
		name = "??$set_environment_variable@AEBQEADQEAD@?$__crt_char_traits@D@@SAHAEBQEAD$$QEBQEAD@Z"
		size = 24
		refs = "0000 __imp_SetEnvironmentVariableA"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 F9 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_531_15_0 {
	meta:
		name = "??$set_environment_variable@AEBQEA_WQEA_W@?$__crt_char_traits@_W@@SAHAEBQEA_W$$QEBQEA_W@Z"
		size = 24
		refs = "0000 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { ?? ?? ?? ?? 21 00 40 F9 ?? ?? ?? ?? 00 00 40 F9 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_532_5_0 {
	meta:
		name = "_mbsnbicoll_l"
		size = 452
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1HC@KBLCJABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0060 _CrtDbgReportW 0070 _errno 0090 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 012c ??_C@_1BM@FKNNDAHH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 013c _invalid_parameter 0160 _strnicoll_l 0188 __acrt_CompareStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 76 00 00 91 14 00 00 91 35 00 00 91 C1 02 00 91 E0 43 00 91 53 00 00 91 ?? ?? ?? ?? 73 00 00 B5 00 00 80 52 5A 00 00 14 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? 2A 00 00 14 95 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 07 80 52 ?? ?? ?? ?? 16 00 00 14 E8 7B 40 B2 7F 02 08 EB 29 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 14 00 00 14 E9 13 40 F9 28 09 40 B9 E8 00 00 35 C3 02 00 91 62 02 00 91 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 0E 00 00 14 27 05 40 B9 64 02 00 11 21 11 41 F9 86 00 00 11 A5 02 00 91 83 02 00 91 22 00 82 52 E0 63 00 91 ?? ?? ?? ?? 60 00 00 35 00 00 B0 12 02 00 00 14 00 08 00 51 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_533_5_0 {
	meta:
		name = "_set_new_mode"
		size = 288
		refs = "004c ??_C@_1CO@JKFLNGDK@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GC@PJMKBHEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1BM@PDPAKJNF@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAn?$AAe?$AAw?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00cc _invalid_parameter 00d8 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A 00e0 ?value@?$dual_state_global@J@__crt_state_management@@QEAAAEAJXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E8 13 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 11 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 00 F9 EB 13 40 B9 6B 01 00 11 EA 1B 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 4B FD 08 88 1F 01 00 71 81 FF FF 54 BF 3B 03 D5 E9 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_534_0_0 {
	meta:
		name = "floorf"
		size = 388
		refs = "0080 _handle_nanf"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 BD F0 1B 40 BD F0 2F 00 BD E8 2F 40 B9 E8 13 00 B9 E8 13 40 B9 08 79 00 12 E8 17 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 09 70 A9 52 E8 17 40 B9 1F 01 09 6B 03 02 00 54 09 F0 AF 52 E8 17 40 B9 1F 01 09 6B 29 01 00 54 E8 13 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 33 00 BD E0 33 40 BD 3B 00 00 14 03 00 00 14 E0 1B 40 BD 38 00 00 14 37 00 00 14 09 F0 A7 52 E8 17 40 B9 1F 01 09 6B 02 02 00 54 E8 17 40 B9 1F 01 00 71 81 00 00 54 E0 1B 40 BD 2E 00 00 14 09 00 00 14 E8 23 40 B9 1F 01 00 71 80 00 00 54 00 10 3E 1E 28 00 00 14 03 00 00 14 00 05 00 1C 25 00 00 14 24 00 00 14 E8 13 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 E8 37 00 B9 E9 02 80 52 E8 37 40 B9 29 01 08 4B 28 00 80 52 08 21 C9 1A 08 05 00 51 E8 3B 00 B9 E8 3B 40 B9 E9 03 28 2A E8 13 40 B9 08 01 09 0A E8 27 00 B9 E8 27 40 B9 E8 3F 00 B9 F0 3F 40 BD F0 2B 00 BD E8 23 40 B9 1F 01 00 71 60 01 00 54 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B E0 00 00 54 F1 2B 40 BD 10 10 2E 1E 20 3A 30 1E 00 40 20 1E 03 00 00 14 02 00 00 14 E0 2B 40 BD FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_535_4_0 {
	meta:
		name = "_wcsicoll"
		size = 744
		refs = "0010 __acrt_locale_changed 005c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BE@HPGMPCMA@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02d4 _wcsicoll_l"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 15 00 54 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 7F 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 4F 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3B 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 08 3D 00 53 E8 2B 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 27 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 3F 01 08 6B 20 F8 FF 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 20 01 08 4B 00 00 00 11 08 00 00 14 07 00 00 14 02 00 80 D2 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E0 4B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_535_5_0 {
	meta:
		name = "_wcsicoll_l"
		size = 948
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1BI@EFNHPDCH@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00d8 _invalid_parameter 00e8 ??1_LocaleUpdate@@QEAA@XZ 0128 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c8 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0348 __acrt_CompareStringW"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 37 00 F9 E1 37 40 F9 E0 63 02 91 ?? ?? ?? ?? E0 5F 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 4B 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 4B 40 B9 AF 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 53 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 53 40 B9 7B 00 00 14 E0 63 02 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 61 09 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3B 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 08 3D 00 53 E8 23 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 3F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 3F 00 B9 E8 3F 40 B9 08 3D 00 53 E8 27 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 20 F8 FF 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 28 01 08 4B E8 57 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 57 40 B9 27 00 00 14 E0 63 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 05 00 80 12 E4 0F 40 F9 03 00 80 12 E2 13 40 F9 21 00 82 52 00 01 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 43 00 B9 E9 43 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 5F 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 5F 40 B9 07 00 00 14 E8 43 40 B9 08 09 00 51 E8 63 00 B9 E0 63 02 91 ?? ?? ?? ?? E0 63 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_536_0_0 {
	meta:
		name = "?scale_count@@YA_J_J@Z"
		size = 136
		refs = "000c ?source_frequency@@3_JA"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E9 03 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 48 00 00 B5 80 00 3E D4 29 0D C8 9A 08 7D 80 D2 28 7D 08 9B E8 07 00 F9 EA 03 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 49 00 00 B5 80 00 3E D4 48 0D C9 9A 08 7D 09 9B 48 01 08 CB E8 03 00 F9 E9 03 40 F9 08 7D 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 48 00 00 B5 80 00 3E D4 29 0D C8 9A E8 07 40 F9 08 01 09 8B E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_536_1_0 {
	meta:
		name = "__acrt_initialize_clock"
		size = 152
		refs = "000c __imp_QueryPerformanceFrequency 002c __imp_QueryPerformanceCounter 0054 ?source_frequency@@3_JA 0060 ?start_count@@3_JA"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 63 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 80 01 00 54 E0 83 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 80 00 00 54 E8 0F 40 F9 1F 01 00 F1 21 01 00 54 ?? ?? ?? ?? 08 00 80 92 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 92 ?? ?? ?? ?? 00 00 80 52 08 00 00 14 ?? ?? ?? ?? E8 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_536_2_0 {
	meta:
		name = "clock"
		size = 176
		refs = "0008 ?start_count@@3_JA 0024 __imp_QueryPerformanceCounter 0074 ?scale_count@@YA_J_J@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 B1 61 00 00 54 00 00 80 12 23 00 00 14 E0 A3 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 19 00 00 14 E9 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 08 CB E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 6A 00 00 54 00 00 80 12 0F 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E9 7B 40 B2 E8 13 40 F9 1F 01 09 EB 6D 00 00 54 00 00 80 12 04 00 00 14 E8 13 40 F9 00 01 00 11 00 00 00 11 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_1_0 {
	meta:
		name = "_aligned_free_base"
		size = 80
		refs = "0044 free"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 41 00 00 54 0C 00 00 14 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 F1 7D 92 08 21 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 40 F9 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_2_0 {
	meta:
		name = "_aligned_malloc"
		size = 56
		refs = "0024 _aligned_offset_malloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 04 00 80 52 03 00 80 D2 02 00 80 D2 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_4_0 {
	meta:
		name = "_aligned_msize"
		size = 52
		refs = "0020 _aligned_msize_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_5_0 {
	meta:
		name = "_aligned_msize_base"
		size = 460
		refs = "0078 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0080 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0090 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 009c _CrtDbgReportW 00c4 _errno 00e8 ??_C@_1CI@DHKEEEHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00f8 _invalid_parameter 012c _msize"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 1B 00 F9 E1 13 00 F9 E2 3F 00 F9 08 00 80 D2 E8 1F 00 F9 08 00 80 D2 E8 2F 00 F9 08 00 80 D2 E8 2B 00 F9 08 00 80 D2 E8 33 00 F9 08 00 80 D2 E8 27 00 F9 08 00 80 D2 E8 0B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 2C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 31 00 00 14 E8 1B 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 F1 7D 92 08 21 00 D1 E8 0B 00 F9 E8 0B 40 F9 08 01 40 F9 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 2B 00 F9 E9 1B 40 F9 E8 0B 40 F9 28 01 08 CB E8 1F 00 F9 09 00 80 D2 E8 3F 40 F9 28 01 08 CB 08 09 40 92 E8 27 00 F9 E8 13 40 F9 1F 21 00 F1 89 00 00 54 E8 13 40 F9 E8 23 00 F9 03 00 00 14 08 01 80 D2 E8 23 00 F9 E8 23 40 F9 08 05 00 D1 E8 13 00 F9 E9 27 40 F9 E8 13 40 F9 28 01 08 8B 09 21 00 91 E8 1F 40 F9 28 01 08 CB E8 2F 00 F9 E9 2B 40 F9 E8 1F 40 F9 29 01 08 CB E8 2F 40 F9 28 01 08 CB E8 33 00 F9 E0 33 40 F9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_6_0 {
	meta:
		name = "_aligned_offset_malloc"
		size = 60
		refs = "0028 _aligned_offset_malloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 04 00 80 52 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_7_0 {
	meta:
		name = "_aligned_offset_malloc_base"
		size = 712
		refs = "0060 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1DI@LCGAEAA@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00e0 _invalid_parameter 0130 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0250 malloc"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 1F 00 F9 E1 0B 00 F9 E2 17 00 F9 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0B 40 F9 09 05 00 D1 E8 0B 40 F9 08 01 09 8A 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 76 00 00 14 E8 17 40 F9 1F 01 00 F1 00 01 00 54 E9 1F 40 F9 E8 17 40 F9 1F 01 09 EB 83 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 42 00 00 14 E8 0B 40 F9 1F 21 00 F1 89 00 00 54 E8 0B 40 F9 E8 27 00 F9 03 00 00 14 08 01 80 D2 E8 27 00 F9 E8 27 40 F9 08 05 00 D1 E8 0B 00 F9 09 00 80 D2 E8 17 40 F9 28 01 08 CB 08 09 40 92 E8 33 00 F9 E8 33 40 F9 09 21 00 91 E8 0B 40 F9 28 01 08 8B E8 2F 00 F9 E9 2F 40 F9 E8 1F 40 F9 28 01 08 8B E8 2B 00 F9 E9 2B 40 F9 E8 1F 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 1E 00 00 14 E0 2B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 14 00 00 14 E9 23 40 F9 E8 2F 40 F9 29 01 08 8B E8 17 40 F9 29 01 08 8B E8 0B 40 F9 E8 03 28 AA 29 01 08 8A E8 17 40 F9 28 01 08 CB E8 37 00 F9 E9 37 40 F9 E8 33 40 F9 29 01 08 CB E8 00 80 92 29 01 08 8B E8 23 40 F9 28 01 00 F9 E0 37 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_8_0 {
	meta:
		name = "_aligned_offset_realloc"
		size = 68
		refs = "0030 _aligned_offset_realloc_dbg"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 05 00 80 52 04 00 80 D2 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_9_0 {
	meta:
		name = "_aligned_offset_realloc_base"
		size = 1232
		refs = "0038 _aligned_offset_malloc_base 0058 _aligned_free_base 00b0 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00d4 _CrtDbgReportW 00fc _errno 0120 ??_C@_1DK@PBMGAKHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0130 _invalid_parameter 0180 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0284 _msize 0340 malloc 038c _expand 0490 memmove 04a4 free"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E2 0B 00 F9 E3 23 00 F9 08 00 80 52 E8 33 00 B9 E8 13 40 F9 1F 01 00 F1 01 01 00 54 E2 23 40 F9 E1 0B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 53 00 F9 E0 53 40 F9 21 01 00 14 E8 1F 40 F9 1F 01 00 F1 A1 00 00 54 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 D2 1A 01 00 14 E8 0B 40 F9 1F 01 00 F1 40 01 00 54 E8 0B 40 F9 09 05 00 D1 E8 0B 40 F9 08 01 09 8A 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 E4 00 00 14 E8 23 40 F9 1F 01 00 F1 00 01 00 54 E9 1F 40 F9 E8 23 40 F9 1F 01 09 EB 83 00 00 54 08 00 80 52 E8 53 00 B9 03 00 00 14 28 00 80 52 E8 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 B0 00 00 14 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 F1 7D 92 08 21 00 D1 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 E8 0F 00 F9 E8 0B 40 F9 1F 21 00 F1 89 00 00 54 E8 0B 40 F9 E8 47 00 F9 03 00 00 14 08 01 80 D2 E8 47 00 F9 E8 47 40 F9 08 05 00 D1 E8 0B 00 F9 09 00 80 D2 E8 23 40 F9 28 01 08 CB 08 09 40 92 E8 2F 00 F9 E9 13 40 F9 E8 0F 40 F9 28 01 08 CB E8 4F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 5F 00 F9 E9 13 40 F9 E8 0F 40 F9 29 01 08 CB E8 5F 40 F9 08 01 09 CB E8 37 00 F9 E9 1F 40 F9 E8 37 40 F9 1F 01 09 EB 89 00 00 54 E8 1F 40 F9 E8 4B 00 F9 03 00 00 14 E8 37 40 F9 E8 4B 00 F9 E8 4B 40 F9 E8 37 00 F9 E8 2F 40 F9 09 21 00 91 E8 0B 40 F9 29 01 08 8B E8 1F 40 F9 28 01 08 8B E8 33 00 F9 E9 33 40 F9 E8 1F 40 F9 1F 01 09 EB 09 01 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 6D 00 00 14 E9 0F 40 F9 E8 0B 40 F9 28 01 08 8B 09 21 00 91 E8 2F 40 F9 29 01 08 8B E8 13 40 F9 3F 01 08 EB C2 01 00 54 E0 33 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 5A 00 00 14 28 00 80 52 E8 33 00 B9 23 00 00 14 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 40 B9 E8 7B 00 B9 E1 33 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 E8 7B 40 B9 28 01 00 B9 E0 33 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 3A 00 00 14 28 00 80 52 E8 33 00 B9 03 00 00 14 E8 17 40 F9 E8 0F 00 F9 E9 13 40 F9 E8 4F 40 F9 29 01 08 CB E8 17 40 F9 1F 01 09 EB A1 01 00 54 E9 13 40 F9 E8 2F 40 F9 29 01 08 8B E8 23 40 F9 29 01 08 8B E8 0B 40 F9 E8 03 28 AA 28 01 08 8A 1F 01 00 F1 61 00 00 54 E0 13 40 F9 23 00 00 14 E8 17 40 F9 09 21 00 91 E8 2F 40 F9 29 01 08 8B E8 0B 40 F9 29 01 08 8B E8 23 40 F9 29 01 08 8B E8 0B 40 F9 E8 03 28 AA 29 01 08 8A E8 23 40 F9 28 01 08 CB E8 43 00 F9 E9 0F 40 F9 E8 4F 40 F9 21 01 08 8B E2 37 40 F9 21 00 00 91 E0 43 40 F9 ?? ?? ?? ?? E8 33 40 B9 1F 01 00 71 60 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E9 43 40 F9 E8 2F 40 F9 29 01 08 CB E8 00 80 92 29 01 08 8B E8 17 40 F9 28 01 00 F9 E0 43 40 F9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_10_0 {
	meta:
		name = "_aligned_offset_recalloc"
		size = 76
		refs = "0038 _aligned_offset_recalloc_dbg"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E4 0B 00 F9 06 00 80 52 05 00 80 D2 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_11_0 {
	meta:
		name = "_aligned_offset_recalloc_base"
		size = 292
		refs = "0060 _errno 00a4 _aligned_msize 00c4 _aligned_offset_realloc_base 0114 memset"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 1F 00 F9 E3 27 00 F9 E4 23 00 F9 08 00 80 D2 E8 0B 00 F9 08 00 80 D2 E8 0F 00 F9 08 00 80 D2 E8 13 00 F9 E8 17 40 F9 1F 01 00 F1 09 02 00 54 E9 03 80 92 E8 17 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 1F 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 29 00 00 14 E9 1F 40 F9 E8 17 40 F9 28 7D 08 9B E8 0B 00 F9 E8 1B 40 F9 1F 01 00 F1 00 01 00 54 E2 23 40 F9 E1 27 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 0F 00 F9 E3 23 40 F9 E2 27 40 F9 E1 0B 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 E0 01 00 54 E9 0B 40 F9 E8 0F 40 F9 1F 01 09 EB 62 01 00 54 E9 0B 40 F9 E8 0F 40 F9 22 01 08 CB E9 13 40 F9 E8 0F 40 F9 20 01 08 8B 42 00 00 91 01 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 13 40 F9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_12_0 {
	meta:
		name = "_aligned_realloc"
		size = 64
		refs = "002c _aligned_offset_realloc_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 05 00 80 52 04 00 80 D2 03 00 80 D2 E2 0B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_14_0 {
	meta:
		name = "_aligned_recalloc"
		size = 72
		refs = "0034 _aligned_offset_recalloc_dbg"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 06 00 80 52 05 00 80 D2 04 00 80 D2 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_538_15_0 {
	meta:
		name = "_aligned_recalloc_base"
		size = 64
		refs = "002c _aligned_offset_recalloc_base"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 04 00 80 D2 E3 0B 40 F9 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_540_5_0 {
	meta:
		name = "_mbsnccnt_l"
		size = 244
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1DO@IBIJEOEB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_1HC@HACDKFHD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0068 ??_C@_1BI@ENAMCCPH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 0080 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 33 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? 74 03 00 B5 53 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 12 00 00 14 00 00 80 D2 13 02 00 B4 EA 13 40 F9 88 02 40 39 73 06 00 F1 88 01 00 34 08 01 0A 8B 09 65 40 39 C9 00 10 36 73 06 00 D1 E0 00 00 54 94 06 00 91 89 02 40 39 89 00 00 34 00 04 00 91 94 06 00 91 73 FE FF B5 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_544_11_0 {
	meta:
		name = "_fread_nolock"
		size = 64
		refs = "002c _fread_nolock_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_544_13_0 {
	meta:
		name = "fread"
		size = 64
		refs = "002c fread_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 0B 00 F9 E4 0B 40 F9 E3 0F 40 F9 E2 13 40 F9 01 00 80 92 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_544_12_0 {
	meta:
		name = "_fread_nolock_s"
		size = 2716
		refs = "0024 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 007c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a0 _CrtDbgReportW 00c8 _errno 00ec ??_C@_1CA@IDPOGFL@?$AA_?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA_?$AAs?$AA?$AA@ 00fc _invalid_parameter 010c ?valid@__crt_stdio_stream@@QEBA_NXZ 015c memset 01a4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0278 ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 0308 ?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ 0324 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0400 ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 0448 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 0530 ??_C@_1DA@DKEFLDMG@?$AA?$CI?$AA?$CC?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05e8 memcpy_s 0810 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 0818 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0824 _fileno 0838 _read_nolock 0914 __acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { FD 7B A6 A9 FD 03 00 91 E0 33 00 F9 E1 23 00 F9 E2 2B 00 F9 E3 5B 00 F9 E4 83 00 F9 E1 83 40 F9 E0 43 00 91 ?? ?? ?? ?? E8 2B 40 F9 1F 01 00 F1 80 00 00 54 E8 5B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 94 02 00 14 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 6B 00 B9 03 00 00 14 08 00 80 52 E8 6B 00 B9 E8 6B 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 CB 00 B9 E9 CB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 6F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 64 02 00 14 E0 43 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 09 00 80 92 E8 2B 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 5B 40 F9 1F 01 09 EB 29 0E 00 54 E8 23 40 F9 1F 05 00 B1 A0 00 00 54 E2 23 40 F9 C1 1F 80 52 E0 33 40 F9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 73 00 B9 03 00 00 14 08 00 80 52 E8 73 00 B9 E8 73 40 B9 E8 77 00 B9 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 E7 00 B9 E9 E7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 77 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1A 02 00 14 09 00 80 92 E8 2B 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 5B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 7B 00 B9 03 00 00 14 08 00 80 52 E8 7B 00 B9 E8 7B 40 B9 E8 7F 00 B9 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 DF 00 B9 E9 DF 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 7F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 E5 01 00 14 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 20 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 08 81 00 91 08 01 40 B9 E8 83 00 B9 03 00 00 14 08 00 82 52 E8 83 00 B9 E8 83 40 B9 E8 3B 00 B9 E9 2B 40 F9 E8 5B 40 F9 28 7D 08 9B E8 63 00 F9 E8 33 40 F9 E8 27 00 F9 E8 63 40 F9 E8 0F 00 F9 E8 23 40 F9 E8 1B 00 F9 E8 0F 40 F9 1F 01 00 F1 80 38 00 54 E0 43 00 91 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 08 01 00 11 1F 01 00 71 A0 17 00 54 E0 43 00 91 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 A0 16 00 54 E0 43 00 91 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 AA 04 00 54 E0 43 00 91 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 DB 00 B9 E9 DB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E9 63 40 F9 E8 0F 40 F9 29 01 08 CB E8 2B 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 8A 01 00 14 E0 43 00 91 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 E8 0F 40 F9 1F 01 09 EB A2 00 00 54 E8 0F 40 F9 08 01 00 11 E8 87 00 B9 08 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 08 41 00 91 08 01 40 B9 E8 87 00 B9 E8 87 40 B9 E8 27 00 B9 E8 27 40 B9 09 7D 40 D3 E8 1B 40 F9 3F 01 08 EB 09 07 00 54 E8 23 40 F9 1F 05 00 B1 A0 00 00 54 E2 23 40 F9 C1 1F 80 52 E0 33 40 F9 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 8B 00 B9 03 00 00 14 08 00 80 52 E8 8B 00 B9 E8 8B 40 B9 E8 8F 00 B9 E8 8F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 D7 00 B9 E9 D7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 8F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 AB 00 F9 E9 AB 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 03 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 37 01 00 14 E0 43 00 91 ?? ?? ?? ?? E0 AF 00 F9 E8 27 40 B9 03 7D 40 D3 E8 AF 40 F9 08 01 00 91 63 00 00 91 02 01 40 F9 E1 1B 40 F9 E0 27 40 F9 ?? ?? ?? ?? E8 27 40 B9 09 7D 40 D3 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 08 41 00 91 E8 7B 00 F9 E8 7B 40 F9 09 01 40 B9 E8 27 40 B9 29 01 08 4B E8 7B 40 F9 09 01 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 B7 00 F9 E8 B7 40 F9 08 01 00 91 E8 7F 00 F9 E8 27 40 B9 09 7D 40 D3 E8 7F 40 F9 08 01 40 F9 09 01 09 8B E8 7F 40 F9 09 01 00 F9 E8 27 40 B9 09 7D 40 D3 E8 27 40 F9 08 01 09 8B E8 27 00 F9 E8 27 40 B9 09 7D 40 D3 E8 1B 40 F9 08 01 09 CB E8 1B 00 F9 00 01 00 14 E8 3B 40 B9 09 7D 40 D3 E8 0F 40 F9 1F 01 09 EB 23 13 00 54 E9 7B 40 B2 E8 0F 40 F9 1F 01 09 EB 89 00 00 54 08 00 B0 12 E8 93 00 B9 04 00 00 14 E8 0F 40 F9 08 01 00 11 E8 93 00 B9 E8 93 40 B9 E8 5B 00 B9 E8 3B 40 B9 1F 01 00 71 80 01 00 54 EA 5B 40 B9 E9 3B 40 B9 49 00 00 35 80 00 3E D4 48 09 C9 1A 08 7D 09 1B 49 01 08 4B E8 5B 40 B9 08 01 09 4B E8 97 00 B9 03 00 00 14 E8 5B 40 B9 E8 97 00 B9 E8 97 40 B9 E8 A3 00 B9 E8 A3 40 B9 09 7D 40 D3 E8 1B 40 F9 3F 01 08 EB 09 07 00 54 E8 23 40 F9 1F 05 00 B1 A0 00 00 54 E2 23 40 F9 C1 1F 80 52 E0 33 40 F9 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 9B 00 B9 03 00 00 14 08 00 80 52 E8 9B 00 B9 E8 9B 40 B9 E8 9F 00 B9 E8 9F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 D3 00 B9 E9 D3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 9F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 BB 00 F9 E9 BB 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 A3 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 BF 00 F9 E0 BF 40 F9 ?? ?? ?? ?? E0 CF 00 B9 E2 A3 40 B9 E1 27 40 F9 E0 CF 40 B9 ?? ?? ?? ?? E0 E3 00 B9 E8 E3 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C1 01 00 54 01 01 80 52 E0 43 00 91 ?? ?? ?? ?? E9 63 40 F9 E8 0F 40 F9 29 01 08 CB E8 2B 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 85 00 00 14 10 00 00 14 E8 2B 40 B9 1F 01 00 71 AA 01 00 54 01 02 80 52 E0 43 00 91 ?? ?? ?? ?? E9 63 40 F9 E8 0F 40 F9 29 01 08 CB E8 2B 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 75 00 00 14 E8 2B 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 E8 2B 40 B9 09 7D 40 93 E8 27 40 F9 08 01 09 8B E8 27 00 F9 E8 2B 40 B9 09 7D 40 93 E8 1B 40 F9 08 01 09 CB E8 1B 00 F9 63 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 C3 00 F9 E0 C3 40 F9 ?? ?? ?? ?? E0 EB 00 B9 E8 EB 40 B9 E8 BB 00 B9 E8 BB 40 B9 1F 05 00 31 41 01 00 54 E9 63 40 F9 E8 0F 40 F9 29 01 08 CB E8 2B 40 F9 48 00 00 B5 80 00 3E D4 20 09 C8 9A 00 00 00 91 51 00 00 14 E8 1B 40 F9 1F 01 00 F1 01 07 00 54 E8 23 40 F9 1F 05 00 B1 A0 00 00 54 E2 23 40 F9 C1 1F 80 52 E0 33 40 F9 ?? ?? ?? ?? 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 A7 00 B9 03 00 00 14 08 00 80 52 E8 A7 00 B9 E8 A7 40 B9 E8 AB 00 B9 E8 AB 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 EF 00 B9 E9 EF 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 AB 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 C7 00 F9 E9 C7 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 C3 1A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 17 00 00 14 E8 BB 40 B9 09 1D 00 13 E8 27 40 F9 09 01 00 39 E8 27 40 F9 08 05 00 91 E8 27 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 1B 40 F9 08 05 00 D1 E8 1B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 CB 00 F9 E8 CB 40 F9 08 81 00 91 08 01 40 B9 E8 3B 00 B9 3B FE FF 17 E0 5B 40 F9 FD 7B DA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_544_14_0 {
	meta:
		name = "fread_s"
		size = 368
		refs = "0060 memset 0098 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b0 ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00bc _CrtDbgReportW 00e4 _errno 0108 ??_C@_1BA@CMLCEIGG@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAs?$AA?$AA@ 0118 _invalid_parameter 0130 _lock_file 0148 _fread_nolock_s 015c _unlock_file"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 23 00 F9 A1 17 00 F9 A2 1F 00 F9 A3 1B 00 F9 A4 0B 00 F9 A8 1F 40 F9 1F 01 00 F1 80 00 00 54 A8 1B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 4B 00 00 14 A8 0B 40 F9 1F 01 00 F1 01 07 00 54 A8 17 40 F9 1F 05 00 B1 A0 00 00 54 A2 17 40 F9 C1 1F 80 52 A0 23 40 F9 ?? ?? ?? ?? A8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 23 00 B9 A9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 11 00 00 14 08 00 80 D2 A8 27 00 F9 A0 0B 40 F9 ?? ?? ?? ?? A4 0B 40 F9 A3 1B 40 F9 A2 1F 40 F9 A1 17 40 F9 A0 23 40 F9 ?? ?? ?? ?? A0 2F 00 F9 A8 2F 40 F9 A8 27 00 F9 A0 0B 40 F9 ?? ?? ?? ?? A0 27 40 F9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_545_9_0 {
	meta:
		name = "_putwch"
		size = 60
		refs = "0030 ??$?RV<lambda_0384895ae1aa6ccbfe369a30d6ca2ef7>@@AEAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@V<lambda_7e22f70504d73c22058e5832bde5914f>@@@?$__crt_seh_guarded_call@G@@QEAAG$$QEAV<lambda_0384895ae1aa6ccbfe369a30d6ca2ef7>@@AEAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@$$QEAV<lambda_7e22f70504d73c22058e5832bde5914f>@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E3 53 00 91 E0 27 00 79 E2 83 00 91 E1 63 00 91 E0 43 00 91 E8 4B 00 91 E8 13 00 F9 29 01 80 52 28 01 80 52 E8 A7 02 29 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_545_10_0 {
	meta:
		name = "_putwch_nolock"
		size = 116
		refs = "000c __dcrt_lowio_console_output_handle 0020 __dcrt_lowio_initialize_console_output 0038 __imp_WriteConsoleW"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 23 00 79 ?? ?? ?? ?? 1F 08 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 04 00 B1 61 00 00 54 E0 FF 9F 52 0D 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 04 00 80 D2 E3 53 00 91 22 00 80 52 E1 43 00 91 20 01 3F D6 E8 23 40 79 E9 FF 9F 52 1F 00 00 71 20 01 88 1A FD 7B C2 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_546_1_0 {
	meta:
		name = "casinhl"
		size = 1280
		refs = "0018 creall 0030 cimagl 0044 _ldtest 0160 piby4 01a0 _LZero_C 01ec piby2 022c _LCbuild 0240 csqrtl 0334 big 0424 asinhl 0454 logl 049c _LCmulcc 04c0 atan2l"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 E0 57 00 FD E1 5B 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 7F 00 FD F0 7F 40 FD F0 17 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 83 00 FD F0 83 40 FD F0 13 00 FD E0 A3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD 0E 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 13 40 FD F0 0F 00 FD F0 17 40 FD F0 1F 00 FD 05 00 00 14 F0 17 40 FD F0 0F 00 FD F0 17 40 FD F0 1F 00 FD FC 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD 05 00 00 14 F0 13 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD EA 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD F0 4B 40 FD F0 1F 00 FD 0F 00 00 14 F0 17 40 FD F0 0F 00 FD E8 4F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4F 00 FD 03 00 00 14 30 1A 00 5C F0 4F 00 FD F0 4F 40 FD F0 1F 00 FD C3 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 13 40 FD F0 0F 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 53 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 53 00 FD F0 53 40 FD F0 1F 00 FD AF 00 00 14 11 10 6E 1E F0 13 40 FD 20 3A 70 1E E1 17 40 FD 00 40 60 1E ?? ?? ?? ?? E1 8F 00 FD E0 8B 00 FD E1 8F 40 FD E0 8B 40 FD ?? ?? ?? ?? E1 AF 00 FD E0 AB 00 FD EA 03 02 91 4A 01 00 91 E8 43 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 13 40 FD 20 2A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 97 00 FD E0 93 00 FD E1 97 40 FD E0 93 40 FD ?? ?? ?? ?? E1 B7 00 FD E0 B3 00 FD EA C3 01 91 4A 01 00 91 E8 83 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 08 22 60 1E 81 00 00 54 F0 17 40 FD F0 0F 00 FD 70 00 00 14 E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 87 00 FD F0 87 40 FD F0 2B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 27 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 2F 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 33 00 FD F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2B 40 FD F0 1B 00 FD F1 2F 40 FD F0 1B 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 30 3A 70 1E F0 37 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1B 00 FD F1 33 40 FD F0 1B 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 10 3A 71 1E F0 37 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1B 00 FD F1 33 40 FD F0 1B 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 10 3A 71 1E F0 37 00 FD 0B 00 00 14 10 08 00 5C F0 1B 00 FD F1 27 40 FD F0 2F 40 FD 32 0A 70 1E F1 2B 40 FD F0 33 40 FD 30 0A 70 1E 50 3A 70 1E F0 37 00 FD E0 37 40 FD ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD F0 0F 00 FD F0 1B 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 0F 40 FD 08 22 60 1E 2B 01 00 54 E0 1B 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 0F 40 FD F0 6F 40 FD 30 2A 70 1E F0 0F 00 FD 08 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 73 00 FD F1 0F 40 FD F0 73 40 FD 30 3A 70 1E F0 0F 00 FD E3 3F 40 FD E2 3B 40 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E1 9F 00 FD E0 9B 00 FD E1 9F 40 FD E0 9B 40 FD ?? ?? ?? ?? E0 77 00 FD E1 77 40 FD E0 13 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1F 00 FD E1 1F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 A7 00 FD E0 A3 00 FD E0 A3 40 FD E1 A7 40 FD FD 7B D7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_611_0_0 {
	meta:
		name = "casinh"
		size = 1280
		refs = "0018 creal 0030 cimag 0044 _dtest 0160 piby4 01a0 _Zero_C 01ec piby2 022c _Cbuild 0240 csqrt 0334 big 0424 asinh 0454 log 049c _Cmulcc 04c0 atan2"
	strings:
		$1 = { FD 7B A9 A9 FD 03 00 91 E0 57 00 FD E1 5B 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 7F 00 FD F0 7F 40 FD F0 17 00 FD E1 5B 40 FD E0 57 40 FD ?? ?? ?? ?? E0 83 00 FD F0 83 40 FD F0 13 00 FD E0 A3 00 91 ?? ?? ?? ?? E0 83 00 79 E8 83 C0 79 E8 27 00 79 E0 83 00 91 ?? ?? ?? ?? E0 87 00 79 E8 87 C0 79 E8 23 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 03 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 C1 00 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD 0E 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 13 40 FD F0 0F 00 FD F0 17 40 FD F0 1F 00 FD 05 00 00 14 F0 17 40 FD F0 0F 00 FD F0 17 40 FD F0 1F 00 FD FC 00 00 14 E8 23 C0 79 08 01 00 11 1F 09 00 71 E1 01 00 54 E8 27 C0 79 08 01 00 11 1F 05 00 71 C1 00 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD 05 00 00 14 F0 13 40 FD F0 0F 00 FD F0 13 40 FD F0 1F 00 FD EA 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 17 40 FD F0 0F 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4B 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 4B 00 FD F0 4B 40 FD F0 1F 00 FD 0F 00 00 14 F0 17 40 FD F0 0F 00 FD E8 4F 40 79 08 01 00 11 C8 00 78 36 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 4F 00 FD 03 00 00 14 30 1A 00 5C F0 4F 00 FD F0 4F 40 FD F0 1F 00 FD C3 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 F0 13 40 FD F0 0F 00 FD F0 13 40 FD 08 22 60 1E C2 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 10 42 61 1E F0 53 00 FD 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 53 00 FD F0 53 40 FD F0 1F 00 FD AF 00 00 14 11 10 6E 1E F0 13 40 FD 20 3A 70 1E E1 17 40 FD 00 40 60 1E ?? ?? ?? ?? E1 8F 00 FD E0 8B 00 FD E1 8F 40 FD E0 8B 40 FD ?? ?? ?? ?? E1 AF 00 FD E0 AB 00 FD EA 03 02 91 4A 01 00 91 E8 43 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 01 42 61 1E 11 10 6E 1E F0 13 40 FD 20 2A 70 1E 21 40 60 1E 00 40 60 1E ?? ?? ?? ?? E1 97 00 FD E0 93 00 FD E1 97 40 FD E0 93 40 FD ?? ?? ?? ?? E1 B7 00 FD E0 B3 00 FD EA C3 01 91 4A 01 00 91 E8 83 05 91 08 01 00 91 09 21 40 A9 49 21 00 A9 F0 17 40 FD 08 22 60 1E 81 00 00 54 F0 17 40 FD F0 0F 00 FD 70 00 00 14 E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 87 00 FD F0 87 40 FD F0 2B 00 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 27 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD F0 2F 00 FD E1 3F 40 FD E0 3B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD F0 33 00 FD F1 2B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 2B 40 FD F0 1B 00 FD F1 2F 40 FD F0 1B 40 FD 31 1A 70 1E F0 27 40 FD 11 0A 71 1E F0 33 40 FD 30 3A 70 1E F0 37 00 FD 2D 00 00 14 F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E 82 01 00 54 F0 27 40 FD F0 1B 00 FD F1 33 40 FD F0 1B 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 10 3A 71 1E F0 37 00 FD 1D 00 00 14 F0 27 40 FD 11 42 61 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 22 71 1E A2 01 00 54 F0 27 40 FD 10 42 61 1E F0 1B 00 FD F1 33 40 FD F0 1B 40 FD 31 1A 70 1E F0 2B 40 FD 11 0A 71 1E F0 2F 40 FD 10 3A 71 1E F0 37 00 FD 0B 00 00 14 10 08 00 5C F0 1B 00 FD F1 27 40 FD F0 2F 40 FD 32 0A 70 1E F1 2B 40 FD F0 33 40 FD 30 0A 70 1E 50 3A 70 1E F0 37 00 FD E0 37 40 FD ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD F0 0F 00 FD F0 1B 40 FD 08 22 60 1E 41 00 00 54 13 00 00 14 F0 0F 40 FD 08 22 60 1E 2B 01 00 54 E0 1B 40 FD ?? ?? ?? ?? E0 6F 00 FD F1 0F 40 FD F0 6F 40 FD 30 2A 70 1E F0 0F 00 FD 08 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 73 00 FD F1 0F 40 FD F0 73 40 FD 30 3A 70 1E F0 0F 00 FD E3 3F 40 FD E2 3B 40 FD E1 47 40 FD E0 43 40 FD ?? ?? ?? ?? E1 9F 00 FD E0 9B 00 FD E1 9F 40 FD E0 9B 40 FD ?? ?? ?? ?? E0 77 00 FD E1 77 40 FD E0 13 40 FD ?? ?? ?? ?? E0 7B 00 FD F0 7B 40 FD F0 1F 00 FD E1 1F 40 FD E0 0F 40 FD ?? ?? ?? ?? E1 A7 00 FD E0 A3 00 FD E0 A3 40 FD E1 A7 40 FD FD 7B D7 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "lldiv"
		size = 104
		refs = "0008 __security_push_cookie 005c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 00 D1 E0 03 00 F9 E1 07 00 F9 E9 03 40 F9 E8 07 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A E8 0B 00 F9 EA 03 40 F9 E9 07 40 F9 49 00 00 B5 80 00 3E D4 48 0D C9 9A 08 7D 09 9B 48 01 08 CB E8 0F 00 F9 E0 0B 40 F9 E1 0F 40 F9 FF 83 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_549_0_0 {
	meta:
		name = "_lfind_s"
		size = 1176
		refs = "0054 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BC@LKOPFLDJ@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 02a4 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0364 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0450 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 43 00 F9 E1 37 00 F9 E2 2F 00 F9 E3 33 00 F9 E4 3F 00 F9 E5 63 00 F9 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 ED 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 BD 00 00 14 E8 37 40 F9 1F 01 00 F1 01 01 00 54 E8 2F 40 F9 08 01 40 B9 1F 01 00 71 80 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 28 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 89 00 00 14 E8 33 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 59 00 00 14 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 29 00 00 14 E8 37 40 F9 E8 3B 00 F9 E8 2F 40 F9 08 01 40 B9 09 7D 40 D3 E8 33 40 F9 29 7D 08 9B E8 3B 40 F9 08 01 09 8B E8 5F 00 F9 E8 3B 40 F9 E8 1F 00 F9 05 00 00 14 E9 1F 40 F9 E8 33 40 F9 28 01 08 8B E8 1F 00 F9 E9 5F 40 F9 E8 1F 40 F9 1F 01 09 EB 60 02 00 54 E8 3F 40 F9 E8 47 00 F9 EF 47 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E2 1F 40 F9 E1 43 40 F9 E0 63 40 F9 E8 47 40 F9 00 01 3F D6 E0 57 00 B9 E8 57 40 B9 1F 01 00 71 61 00 00 54 E0 1F 40 F9 03 00 00 14 E7 FF FF 17 00 00 80 D2 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_35_0 {
	meta:
		name = "_crt_at_quick_exit"
		size = 44
		refs = "0010 __acrt_at_quick_exit_table 0018 _register_onexit_function"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_36_0 {
	meta:
		name = "_crt_atexit"
		size = 44
		refs = "0010 __acrt_atexit_table 0018 _register_onexit_function"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_37_0 {
	meta:
		name = "_execute_onexit_table"
		size = 64
		refs = "0014 ??0<lambda_d121dba8a4adeaf3a9819e48611155df>@@QEAA@AEBQEAU_onexit_table_t@@@Z 001c ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 002c ??$__acrt_lock_and_call@V<lambda_d121dba8a4adeaf3a9819e48611155df>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_d121dba8a4adeaf3a9819e48611155df>@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 63 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 F9 ?? ?? ?? ?? E0 13 00 B9 E1 13 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_38_0 {
	meta:
		name = "_initialize_onexit_table"
		size = 188
		refs = "004c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0070 ??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAPEAP6AXXZXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 12 26 00 00 14 E8 0F 40 F9 0A 01 00 91 E8 0F 40 F9 08 41 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 60 00 00 54 00 00 80 52 1C 00 00 14 00 00 80 D2 ?? ?? ?? ?? E0 43 00 39 E9 47 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 47 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 0F 40 F9 09 01 00 91 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 09 41 00 91 E8 13 40 F9 28 01 00 F9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_550_39_0 {
	meta:
		name = "_register_onexit_function"
		size = 72
		refs = "001c ??0<lambda_3b83eb014488ad801d84acef5aaf14d3>@@QEAA@AEBQEAU_onexit_table_t@@AEBQ6AHXZ@Z 0024 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0034 ??$__acrt_lock_and_call@V<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 63 00 91 E1 83 00 91 E0 C3 00 91 ?? ?? ?? ?? E0 17 00 F9 ?? ?? ?? ?? E0 13 00 B9 E1 17 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "dekker_mul12"
		size = 248
	strings:
		$1 = { FF C3 01 D1 E0 07 00 FD E1 0B 00 FD E0 17 00 F9 E1 33 00 F9 F0 07 40 FD F0 23 00 FD E8 23 40 F9 E8 03 00 F9 E8 03 40 F9 08 91 65 92 E8 03 00 F9 E8 03 40 F9 E8 27 00 F9 F0 27 40 FD F0 0F 00 FD F1 07 40 FD F0 0F 40 FD 30 3A 70 1E F0 1B 00 FD F0 0B 40 FD F0 2B 00 FD E8 2B 40 F9 E8 03 00 F9 E8 03 40 F9 08 91 65 92 E8 03 00 F9 E8 03 40 F9 E8 2F 00 F9 F0 2F 40 FD F0 13 00 FD F1 0B 40 FD F0 13 40 FD 30 3A 70 1E F0 1F 00 FD F1 07 40 FD F0 0B 40 FD 30 0A 70 1E E8 17 40 F9 10 01 00 FD F1 0F 40 FD F0 13 40 FD 31 0A 70 1E E8 17 40 F9 10 01 40 FD 32 3A 70 1E F1 0F 40 FD F0 1F 40 FD 30 0A 70 1E 52 2A 70 1E F1 1B 40 FD F0 13 40 FD 30 0A 70 1E 52 2A 70 1E F1 1B 40 FD F0 1F 40 FD 30 0A 70 1E 50 2A 70 1E E8 33 40 F9 10 01 00 FD FF C3 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_551_1_0 {
	meta:
		name = "fmod"
		size = 1400
		refs = "00d0 _handle_nan 0104 ??_C@_04KEPJIHGP@fmod?$AA@ 010c _handle_error 039c scaleDouble_3 040c dekker_mul12"
	strings:
		$1 = { FD 7B AD A9 FD 03 00 91 E0 1B 00 FD E1 47 00 FD F0 1B 40 FD F0 0B 00 FD F0 47 40 FD F0 3F 00 FD F0 0B 40 FD F0 67 00 FD E8 67 40 F9 E8 2F 00 F9 F0 3F 40 FD F0 6B 00 FD E8 6B 40 F9 E8 43 00 F9 E8 2F 40 F9 08 F9 40 92 E8 33 00 F9 E8 43 40 F9 08 F9 40 92 E8 27 00 F9 E8 2F 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 1B 00 B9 E8 43 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 E8 1F 00 B9 E8 1B 40 B9 1F 05 00 71 4B 01 00 54 E8 1B 40 B9 1F F9 1F 71 EC 00 00 54 E8 1F 40 B9 1F 05 00 71 8B 00 00 54 E8 1F 40 B9 1F F9 1F 71 AD 0F 00 54 E8 1B 40 B9 1F F9 1F 71 4D 03 00 54 E8 2F 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 2F 40 F9 ?? ?? ?? ?? E0 6F 00 FD E0 6F 40 FD 25 01 00 14 0F 00 00 14 46 00 80 52 E1 47 40 FD E0 1B 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 C1 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 00 FD E0 73 40 FD 16 01 00 14 3A 00 00 14 E8 1F 40 B9 1F F9 1F 71 CD 01 00 54 E8 43 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 43 40 F9 ?? ?? ?? ?? E0 77 00 FD E0 77 40 FD 09 01 00 14 03 00 00 14 E0 1B 40 FD 06 01 00 14 2A 00 00 14 E8 33 40 F9 1F 01 00 F1 C1 02 00 54 E8 27 40 F9 1F 01 00 F1 01 02 00 54 46 00 80 52 E1 47 40 FD E0 1B 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 C1 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 00 FD E0 7B 40 FD F1 00 00 14 03 00 00 14 E0 1B 40 FD EE 00 00 14 12 00 00 14 E8 27 40 F9 1F 01 00 F1 E1 01 00 54 46 00 80 52 E1 47 40 FD E0 1B 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 C1 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 00 FD E0 7F 40 FD DC 00 00 14 E8 1B 40 B9 1F 05 00 71 2A 02 00 54 E8 33 40 F9 E8 23 00 F9 09 02 E0 D2 E8 23 40 F9 1F 01 09 EB 02 01 00 54 E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 E8 23 40 F9 08 F9 7F D3 E8 23 00 F9 F6 FF FF 17 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1F 40 B9 1F 05 00 71 2A 02 00 54 E8 27 40 F9 E8 23 00 F9 09 02 E0 D2 E8 23 40 F9 1F 01 09 EB 02 01 00 54 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 E8 23 40 F9 08 F9 7F D3 E8 23 00 F9 F6 FF FF 17 E8 1F 40 B9 08 05 00 11 E8 1F 00 B9 0C 00 00 14 E9 27 40 F9 E8 33 40 F9 1F 01 09 EB 01 01 00 54 E8 2F 40 F9 08 01 41 92 E8 83 00 F9 F0 83 40 FD F0 0B 00 FD E0 0B 40 FD AA 00 00 14 E8 33 40 F9 E8 87 00 F9 F0 87 40 FD F0 0B 00 FD E8 27 40 F9 E8 8B 00 F9 F0 8B 40 FD F0 3F 00 FD E9 27 40 F9 E8 33 40 F9 1F 01 09 EB 82 01 00 54 F0 1B 40 FD 08 22 60 1E A2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 57 00 FD 03 00 00 14 F0 0B 40 FD F0 57 00 FD E0 57 40 FD 93 00 00 14 28 44 3B D5 08 01 00 11 E8 93 00 B9 E9 1F 40 B9 E8 1B 40 B9 1F 01 09 6B 8C 00 00 54 08 00 80 52 E8 2B 00 B9 07 00 00 14 E9 1B 40 B9 E8 1F 40 B9 29 01 08 4B 88 06 80 52 28 0D C8 1A E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C1 00 00 54 F0 3F 40 FD F0 13 00 FD 10 10 6E 1E F0 5B 00 FD 0E 00 00 14 E9 2B 40 B9 88 06 80 52 20 7D 08 1B 00 00 00 11 E0 3F 40 FD ?? ?? ?? ?? E0 8F 00 FD F0 8F 40 FD F0 13 00 FD 08 96 E7 D2 E8 93 00 F9 F0 93 40 FD F0 5B 00 FD 08 00 80 52 E8 3B 00 B9 04 00 00 14 E8 3B 40 B9 08 05 00 11 E8 3B 00 B9 E9 2B 40 B9 E8 3B 40 B9 1F 01 09 6B CA 04 00 54 F1 0B 40 FD F0 13 40 FD 30 1A 70 1E 08 02 78 9E 10 01 62 9E F0 4F 00 FD E1 83 02 91 E0 A3 01 91 E1 4F 40 FD E0 13 40 FD ?? ?? ?? ?? F1 0B 40 FD F0 37 40 FD 30 3A 70 1E F0 3B 00 FD F1 0B 40 FD F0 3B 40 FD 31 3A 70 1E F0 37 40 FD 31 3A 70 1E F0 53 40 FD 31 3A 70 1E F0 3B 40 FD 10 2A 71 1E F0 0B 00 FD F0 0B 40 FD 08 22 60 1E A2 00 00 54 F1 0B 40 FD F0 13 40 FD 30 2A 70 1E F0 0B 00 FD F1 13 40 FD F0 5B 40 FD 30 0A 70 1E F0 13 00 FD D5 FF FF 17 F1 0B 40 FD F0 13 40 FD 30 1A 70 1E 08 02 78 9E 10 01 62 9E F0 4F 00 FD F1 0B 40 FD F0 13 40 FD 30 1A 70 1E 08 02 78 9E 08 01 40 92 E8 5F 00 F9 E1 83 02 91 E0 A3 01 91 E1 4F 40 FD E0 13 40 FD ?? ?? ?? ?? F1 0B 40 FD F0 37 40 FD 30 3A 70 1E F0 3B 00 FD F1 0B 40 FD F0 3B 40 FD 31 3A 70 1E F0 37 40 FD 31 3A 70 1E F0 53 40 FD 31 3A 70 1E F0 3B 40 FD 10 2A 71 1E F0 0B 00 FD F0 0B 40 FD 08 22 60 1E 02 02 00 54 E8 5F 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 53 00 B9 03 00 00 14 08 00 80 52 E8 53 00 B9 E8 53 40 B9 08 7D 40 93 E8 5F 00 F9 F1 0B 40 FD F0 13 40 FD 30 2A 70 1E F0 0B 00 FD E8 93 40 B9 08 7D 40 D3 28 44 1B D5 F0 1B 40 FD 08 22 60 1E A2 00 00 54 F0 0B 40 FD 10 42 61 1E F0 63 00 FD 03 00 00 14 F0 0B 40 FD F0 63 00 FD E0 63 40 FD FD 7B D3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_551_2_0 {
	meta:
		name = "scaleDouble_3"
		size = 200
	strings:
		$1 = { FF 43 01 D1 E0 17 00 FD E0 03 00 B9 E9 03 40 B9 68 00 80 52 28 0D C8 1A E8 07 00 B9 E9 03 40 B9 E8 07 40 B9 29 01 08 4B 48 00 80 52 28 0D C8 1A E8 0B 00 B9 E9 03 40 B9 E8 07 40 B9 29 01 08 4B E8 0B 40 B9 28 01 08 4B E8 0F 00 B9 E8 07 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 0B 00 F9 F0 0B 40 FD F0 1B 00 FD E8 0B 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 0F 00 F9 F0 0F 40 FD F0 1F 00 FD E8 0F 40 B9 08 7D 40 93 08 FD 0F 91 08 2D 4C D3 E8 13 00 F9 F0 13 40 FD F0 23 00 FD F1 17 40 FD F0 1B 40 FD 31 0A 70 1E F0 1F 40 FD 31 0A 70 1E F0 23 40 FD 20 0A 70 1E 00 40 60 1E FF 43 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "llabs"
		size = 56
		altNames = "_abs64"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 1F 01 00 F1 8B 00 00 54 E8 03 40 F9 E8 07 00 F9 04 00 00 14 E8 03 40 F9 E8 03 08 CB E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_553_8_0 {
	meta:
		name = "__acrt_invoke_user_matherr"
		size = 124
		refs = "000c ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A 0014 ?value@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAAEAP6AHPEAU_exception@@@ZXZ 0024 ??$__crt_fast_decode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z 0054 __guard_check_icall_fptr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 0C 00 00 14 E8 0F 40 F9 E8 13 00 F9 EF 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 40 F9 E8 13 40 F9 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_553_9_0 {
	meta:
		name = "__setusermatherr"
		size = 60
		refs = "0010 ??$__crt_fast_encode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z 0018 ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A 0020 ?value@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAAEAP6AHPEAU_exception@@@ZXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 00 F9 E9 0F 40 F9 E8 13 40 F9 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "log2"
		size = 1304
		refs = "0044 _handle_nan 0088 ??_C@_04KGLCPMCP@log2?$AA@ 0090 _handle_error 0144 ?log_thresh1@?1??log2@@9@9 0158 ?log_thresh2@?1??log2@@9@9 01dc ?ca_4@?1??log2@@9@9 01e8 ?ca_3@?1??log2@@9@9 01fc ?ca_2@?1??log2@@9@9 0210 ?ca_1@?1??log2@@9@9 0270 ?log2e_tail@?1??log2@@9@9 0294 ?log2e_lead@?1??log2@@9@9 02f4 ?corr@?N@??log2@@9@9 03a4 ?ln_lead_table@?1??log2@@9@9 03cc ?ln_tail_table@?1??log2@@9@9 0438 ?cb_3@?1??log2@@9@9 0444 ?cb_2@?1??log2@@9@9 0458 ?cb_1@?1??log2@@9@9"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 1F 00 FD F0 1F 40 FD F0 43 00 FD E8 43 40 F9 E8 0B 00 F9 E8 0B 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 04 00 54 E8 0B 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD 2B 01 00 14 16 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 00 02 00 54 26 00 80 52 E1 24 00 5C E0 1F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD 18 01 00 14 03 00 00 14 E0 1F 40 FD 15 01 00 14 26 00 00 14 E8 0B 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 21 22 00 5C E0 1F 40 FD 45 04 80 52 84 00 80 52 43 00 80 52 02 FE FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD 02 01 00 14 13 00 00 14 E8 0B 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 C1 1F 00 5C E0 1F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 41 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 00 FD E0 53 40 FD EF 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB A3 0B 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 0B 40 F9 1F 01 09 EB 08 0B 00 54 F1 1F 40 FD 10 10 6E 1E 30 3A 70 1E F0 23 00 FD 11 10 60 1E F0 23 40 FD 31 2A 70 1E F0 23 40 FD 10 1A 71 1E F0 0F 00 FD F1 23 40 FD F0 0F 40 FD 30 0A 70 1E F0 57 00 FD F1 0F 40 FD F0 0F 40 FD 30 2A 70 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 13 00 FD F0 23 40 FD F0 17 00 FD F1 0F 40 FD F0 13 40 FD 32 0A 70 1E F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 51 0A 70 1E F0 57 40 FD 30 3A 70 1E F0 2B 00 FD F0 17 40 FD F0 23 00 FD F0 17 40 FD F0 5B 00 FD E8 5B 40 F9 E8 5F 00 F9 E8 5F 40 F9 08 7D 60 92 E8 63 00 F9 F0 63 40 FD F0 17 00 FD F1 23 40 FD F0 17 40 FD 31 3A 70 1E F0 2B 40 FD 10 2A 71 1E F0 2B 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 2B 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 30 0A 70 1E 40 2A 70 1E 00 40 60 1E 8F 00 00 14 8E 00 00 14 09 02 E0 D2 E8 0B 40 F9 1F 01 09 EB 62 02 00 54 E9 0B 40 F9 08 7A E0 D2 28 01 08 AA E8 67 00 F9 F0 67 40 FD F0 27 00 FD F1 27 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 30 3A 70 1E F0 27 00 FD F0 27 40 FD F0 6B 00 FD E8 6B 40 F9 E8 0B 00 F9 88 07 80 52 E8 5B 00 B9 05 00 00 14 F0 1F 40 FD F0 27 00 FD 08 00 80 52 E8 5B 00 B9 E8 0B 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 09 FD 0F 51 E8 5B 40 B9 28 01 08 4B E8 5F 00 B9 E9 0B 40 F9 C8 7F 80 D2 09 2D 4C B3 E9 6F 00 F9 F0 6F 40 FD F0 27 00 FD E8 0B 40 F9 08 15 52 92 08 01 4C B2 09 FD 6E D3 E8 0B 40 F9 08 01 53 92 08 FD 6D D3 28 01 08 8B 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 3B 00 FD E8 33 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 77 00 FD E8 33 40 B9 11 01 62 1E 50 09 00 5C 30 0A 70 1E F0 33 00 FD F1 27 40 FD F0 33 40 FD 30 3A 70 1E F0 37 00 FD 11 10 6C 1E F0 37 40 FD 31 0A 70 1E F0 33 40 FD 11 2A 71 1E F0 37 40 FD 10 1A 71 1E F0 0F 00 FD F1 0F 40 FD F0 0F 40 FD 30 0A 70 1E F0 13 00 FD F1 13 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 13 40 FD 10 0A 71 1E F0 73 00 FD F1 0F 40 FD F0 73 40 FD 31 0A 70 1E F0 0F 40 FD 11 2A 71 1E F0 77 40 FD 10 2A 71 1E F0 3F 00 FD E8 5F 40 B9 12 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 30 0A 70 1E 50 2A 70 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 40 FD 32 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 3B 40 FD 30 0A 70 1E 52 2A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 40 FD 30 0A 70 1E 50 2A 70 1E F0 2B 00 FD F1 17 40 FD F0 2B 40 FD 20 2A 70 1E 00 40 60 1E FD 7B CF A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "_lrotr"
		size = 76
		altNames = "_rotr"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 B9 E8 03 40 B9 08 11 00 12 E8 03 00 B9 09 04 80 52 E8 03 40 B9 29 01 08 4B E8 07 40 B9 0A 21 C9 1A E9 07 40 B9 E8 03 40 B9 28 25 C8 1A 48 01 08 2A E8 07 00 B9 E0 07 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_555_2_0 {
	meta:
		name = "_rotr64"
		size = 84
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 03 40 B9 08 15 00 12 E8 03 00 B9 09 08 80 52 E8 03 40 B9 28 01 08 4B 09 7D 40 93 E8 07 40 F9 0A 21 C9 9A E8 03 40 B9 09 7D 40 93 E8 07 40 F9 08 25 C9 9A 48 01 08 AA E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_556_0_0 {
	meta:
		name = "??$common_tcscat_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 1724
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0124 _CrtGetDebugFillThreshold 0180 memset 01b8 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0334 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0378 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0510 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0554 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 37 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 76 01 00 14 E8 37 40 F9 1F 01 00 F1 E1 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 3F 40 F9 1F 01 09 EB 82 00 00 54 E8 3F 40 F9 E8 43 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 43 00 F9 E9 43 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 1D 01 00 14 E8 13 40 F9 E8 17 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 A9 01 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 01 00 54 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 F2 FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 47 00 F9 E8 0B 40 F9 09 05 00 D1 E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4B 00 F9 E9 4B 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AD 00 00 14 E8 37 40 F9 E8 3B 00 F9 E9 17 40 F9 E8 3B 40 F9 08 01 40 79 28 01 00 79 E8 17 40 F9 08 01 40 79 08 01 00 11 E8 5F 00 B9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 3B 40 F9 08 09 00 91 E8 3B 00 F9 E8 5F 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 E8 0F 40 F9 1F 01 00 F1 61 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 4F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4F 40 F9 1F 01 09 EB 82 00 00 54 E8 4F 40 F9 E8 53 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 53 00 F9 E9 53 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 57 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 57 40 F9 1F 01 09 EB 82 00 00 54 E8 57 40 F9 E8 5B 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 5B 00 F9 E9 5B 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "__acrt_fenv_get_fp_status_word_from_exception_mask"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_557_1_0 {
	meta:
		name = "__get_machine_status"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 08 00 80 52 E8 03 00 B9 E8 07 40 B9 08 11 00 12 1F 01 00 71 40 03 00 54 E8 07 40 B9 88 00 20 36 E8 03 40 B9 08 01 00 32 E8 03 00 B9 E8 07 40 B9 88 00 18 36 E8 03 40 B9 08 01 1F 32 E8 03 00 B9 E8 07 40 B9 88 00 10 36 E8 03 40 B9 08 01 1E 32 E8 03 00 B9 E8 07 40 B9 88 00 08 36 E8 03 40 B9 08 01 1D 32 E8 03 00 B9 E8 07 40 B9 88 00 00 36 E8 03 40 B9 08 01 1C 32 E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_557_2_0 {
	meta:
		name = "_getfpcontrolword"
		size = 48
		refs = "0010 _controlfp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 01 00 80 52 00 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 E8 63 80 52 20 01 08 0A 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_557_3_0 {
	meta:
		name = "_getfpstatusword"
		size = 36
		refs = "0008 _statusfp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 00 11 00 12 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_557_4_0 {
	meta:
		name = "_setfpcontrolword"
		size = 36
		refs = "0014 _controlfp"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 A1 00 00 18 E0 13 40 B9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 1F 03 08 00 }
	condition:
		$1
}

rule file_557_5_0 {
	meta:
		name = "_setfpstatusword"
		size = 112
		refs = "0024 __get_machine_status"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 B9 08 00 80 52 E8 13 00 B9 28 44 3B D5 08 01 00 11 E8 13 00 B9 E0 03 80 52 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E9 03 28 2A E8 13 40 B9 08 01 09 0A E8 13 00 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E9 13 40 B9 E8 1F 40 B9 28 01 08 2A E8 13 00 B9 E8 13 40 B9 08 7D 40 D3 28 44 1B D5 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_558_16_0 {
	meta:
		name = "_chsize"
		size = 84
		refs = "0020 _chsize_s"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 B9 E8 17 40 B9 01 7D 40 93 21 00 00 91 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 81 00 00 54 08 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 12 E8 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_558_17_0 {
	meta:
		name = "_chsize_nolock"
		size = 812
		refs = "001c _lseeki64_nolock 0038 _errno 00a8 ??_C@_0DA@IEKPAGFB@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00bc _calloc_dbg 00cc ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00d8 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBA_NXZ 011c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0130 _setmode_nolock 0174 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 0188 _write_nolock 01a4 __doserrno 0278 _get_osfhandle 0284 __imp_SetEndOfFile 02b4 __imp_GetLastError"
	strings:
		$1 = { FD 7B AF A9 FD 03 00 91 E0 13 00 B9 E1 2F 00 F9 22 00 80 52 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 33 00 F9 E8 33 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 00 01 40 B9 B7 00 00 14 42 00 80 52 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 00 01 40 B9 A8 00 00 14 E9 2F 40 F9 E8 2B 40 F9 28 01 08 CB E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 6D 0C 00 54 A4 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 00 82 D2 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 87 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 E1 01 00 54 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 40 B9 E8 33 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 33 40 B9 80 00 00 14 01 00 90 52 E0 13 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 47 00 B9 09 00 82 D2 E8 0F 40 F9 1F 01 09 EB 8B 00 00 54 08 00 82 52 E8 23 00 B9 04 00 00 14 E8 0F 40 F9 08 01 00 11 E8 23 00 B9 E8 23 40 B9 E8 3B 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 53 00 F9 E2 3B 40 B9 E1 53 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 27 00 B9 E8 27 40 B9 1F 05 00 31 A1 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 08 01 40 B9 1F 15 00 71 C1 00 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 A8 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 40 B9 E8 43 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 43 40 B9 4D 00 00 14 E8 27 40 B9 09 7D 40 93 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 8C F9 FF 54 E1 47 40 B9 E0 13 40 B9 ?? ?? ?? ?? E0 A3 00 91 ?? ?? ?? ?? 31 00 00 14 E8 0F 40 F9 1F 01 00 F1 CA 05 00 54 02 00 80 52 E1 2F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 67 00 F9 E8 67 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 00 01 40 B9 2D 00 00 14 E0 13 40 B9 ?? ?? ?? ?? E0 6F 00 F9 E0 6F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 81 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 A8 01 80 52 28 01 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4F 00 B9 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 E8 4F 40 B9 28 01 00 B9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 00 01 40 B9 0F 00 00 14 02 00 80 52 E1 33 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FD 7B D1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_558_18_0 {
	meta:
		name = "_chsize_s"
		size = 828
		refs = "0020 __doserrno 0048 _nhandle 0084 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1GA@EAHLKLIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a8 _CrtDbgReportW 00e4 _errno 0108 ??_C@_1BE@MAFDNGED@?$AA_?$AAc?$AAh?$AAs?$AAi?$AAz?$AAe?$AA_?$AAs?$AA?$AA@ 0118 _invalid_parameter 0138 __pioinfo 0198 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 026c ??_C@_1BI@GALBKMKE@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0318 ??0<lambda_b1e214002d83f0fa273391baf2030f5b>@@QEAA@AEBHAEB_J@Z 0328 ??$__acrt_lowio_lock_fh_and_call@V<lambda_b1e214002d83f0fa273391baf2030f5b>@@@@YAHH$$QEAV<lambda_b1e214002d83f0fa273391baf2030f5b>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 13 00 B9 E1 23 00 F9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 08 00 80 52 28 01 00 B9 20 01 80 52 BF 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 01 80 52 85 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 01 80 52 40 00 00 14 E8 23 40 F9 1F 01 00 F1 8B 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 0B 00 00 14 E2 03 01 91 E1 43 00 91 E0 23 02 91 ?? ?? ?? ?? E0 43 00 F9 E1 43 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_10_0 {
	meta:
		name = "??$common_message_window@D@@YAHHQEAXQEBD111@Z"
		size = 1476
		refs = "0008 __security_push_cookie 0010 __chkstk 0058 __imp_GetModuleHandleExW 0090 memset 00a8 ??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@DK@?$__crt_char_traits@D@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@D$$QEAK@Z 00c0 ?get_program_name_unknown_text@@YAPEBDD@Z 00e4 ??$tcscpy_s@AEAY0BAF@D_KPEBD@?$__crt_char_traits@D@@SAHAEAY0BAF@D$$QEA_K$$QEAPEBD@Z 00f4 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00fc ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 0104 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 0110 _invoke_watson_if_error 0118 ??$tcslen@AEAY0BAF@D@?$__crt_char_traits@D@@SA_KAEAY0BAF@D@Z 018c ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z 01f8 ?more_info_string@@3QEB_WEB 0208 ??_C@_11LOCGONAA@?$AA?$AA@ 0234 ?empty_string@?1???$common_message_window@D@@YAHHQEAXQEBD111@Z@4QBDB 0264 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 0294 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 02e0 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 032c ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0398 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 03c0 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03e0 ?get_output_message_format@@YAPEB_WD@Z 03f8 ?report_type_messages@@3QBQEB_WB 046c _snwprintf_s 047c _errno 04d0 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 04e8 _invoke_watson_if_oneof 050c ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 051c wcscpy_s 053c ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0550 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 055c __acrt_show_wide_message_box 0594 raise 059c _exit 05b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 2F 45 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 53 00 B9 E1 9F 00 F9 E2 5F 00 F9 E3 5B 00 F9 E4 2F 00 F9 E5 3B 00 F9 E8 3B 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 5B 01 00 14 08 00 80 D2 E8 57 00 F9 E2 A3 02 91 E1 9F 40 F9 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 83 00 B9 E8 83 40 B9 1F 01 00 71 61 00 00 54 08 00 80 D2 E8 57 00 F9 E0 43 06 91 00 00 00 91 A2 20 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? A8 20 80 52 E8 87 00 B9 E2 13 02 91 E1 43 06 91 E0 A3 02 91 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 E1 02 00 54 00 00 80 52 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 E8 A7 00 F9 A8 20 80 D2 E8 AB 00 F9 E2 23 05 91 E1 43 05 91 E0 43 06 91 ?? ?? ?? ?? E0 8F 00 B9 05 00 80 D2 04 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 40 B9 ?? ?? ?? ?? E0 43 06 91 ?? ?? ?? ?? E0 AF 00 F9 E8 AF 40 F9 E8 63 00 F9 E8 43 06 91 E8 33 00 F9 E8 63 40 F9 1F 01 01 F1 29 02 00 54 E8 63 40 F9 09 01 01 D1 E8 33 40 F9 08 01 09 8B E8 33 00 F9 E9 33 40 F9 C8 05 80 52 28 01 00 39 E8 33 40 F9 09 05 00 91 C8 05 80 52 28 01 00 39 E8 33 40 F9 09 09 00 91 C8 05 80 52 28 01 00 39 E8 2F 40 F9 1F 01 00 F1 E0 00 00 54 E0 63 01 91 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 67 00 F9 03 00 00 14 08 00 80 D2 E8 67 00 F9 E8 67 40 F9 E8 6B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 2F 40 F9 1F 01 00 F1 40 01 00 54 E8 6B 40 F9 1F 01 01 F1 E9 00 00 54 E9 2F 40 F9 E8 6B 40 F9 28 01 08 8B 08 01 01 D1 08 0D 00 91 E8 3F 00 F9 E9 53 40 B9 48 00 80 52 1F 01 09 6B A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 73 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 73 00 F9 E8 3B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 3B 40 F9 E8 77 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 77 00 F9 E8 3B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 20 01 00 54 E9 53 40 B9 48 00 80 52 1F 01 09 6B A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 00 F9 E8 3B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 7F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 7F 00 F9 E8 5B 40 F9 1F 01 00 F1 80 00 00 54 E8 5B 40 F9 E8 83 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 83 00 F9 E8 5B 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 87 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 87 00 F9 E8 5F 40 F9 1F 01 00 F1 80 00 00 54 E8 5F 40 F9 E8 8B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 8B 00 F9 E8 5F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 8F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 8F 00 F9 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 E8 3F 40 F9 E8 93 00 F9 0C 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E8 2F 40 F9 E8 6F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 6F 00 F9 E8 6F 40 F9 E8 93 00 F9 E8 3F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 97 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 97 00 F9 E8 2F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 9B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 9B 00 F9 00 00 80 52 ?? ?? ?? ?? E0 B7 00 F9 E8 53 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 73 40 F9 E8 23 00 F9 E8 77 40 F9 E8 1F 00 F9 E8 7B 40 F9 E8 1B 00 F9 E8 7F 40 F9 E8 17 00 F9 E8 83 40 F9 E8 13 00 F9 E8 87 40 F9 E8 0F 00 F9 E8 8B 40 F9 E8 0B 00 F9 E8 8F 40 F9 E8 07 00 F9 E8 93 40 F9 E8 03 00 F9 E7 97 40 F9 E6 9B 40 F9 E5 33 40 F9 24 01 40 F9 E3 B7 40 F9 E2 FF 81 D2 01 00 82 D2 E0 63 0A 91 ?? ?? ?? ?? E0 93 00 B9 E8 93 40 B9 E8 6B 00 B9 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 08 01 40 B9 E8 97 00 B9 ?? ?? ?? ?? E0 BF 00 F9 E9 BF 40 F9 08 00 80 52 28 01 00 B9 E8 6B 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? E0 C3 00 F9 07 00 80 D2 46 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E8 C3 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 C7 00 F9 E9 C7 40 F9 E8 97 40 B9 28 01 00 B9 E8 6B 40 B9 1F 01 00 71 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 E0 63 0A 91 ?? ?? ?? ?? E0 9B 00 B9 05 00 80 D2 C4 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 40 B9 ?? ?? ?? ?? A2 03 00 18 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 0A 91 ?? ?? ?? ?? E0 9F 00 B9 E8 9F 40 B9 E8 A3 00 B9 E8 A3 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 0D 00 71 A0 00 00 54 E8 6F 40 B9 1F 11 00 71 C0 00 00 54 07 00 00 14 C0 02 80 52 ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? 20 00 80 52 02 00 00 14 00 00 80 52 2F 45 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 12 20 01 00 }
	condition:
		$1
}

rule file_559_11_0 {
	meta:
		name = "??$common_message_window@_W@@YAHHQEAXQEB_W111@Z"
		size = 1492
		refs = "0008 __security_push_cookie 0010 __chkstk 0058 __imp_GetModuleHandleExW 0090 memset 00a8 ??$get_module_file_name@AEAPEAUHINSTANCE__@@AEAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAEAPEAUHINSTANCE__@@AEAY0BAF@_W$$QEAK@Z 00c0 ?get_program_name_unknown_text@@YAPEB_W_W@Z 00e4 ??$tcscpy_s@AEAY0BAF@_W_KPEB_W@?$__crt_char_traits@_W@@SAHAEAY0BAF@_W$$QEA_K$$QEAPEB_W@Z 00f4 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00fc ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 0104 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 0110 _invoke_watson_if_error 0118 ??$tcslen@AEAY0BAF@_W@?$__crt_char_traits@_W@@SA_KAEAY0BAF@_W@Z 0194 ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z 0208 ?more_info_string@@3QEB_WEB 0218 ??_C@_11LOCGONAA@?$AA?$AA@ 0244 ?empty_string@?1???$common_message_window@_W@@YAHHQEAXQEB_W111@Z@4QB_WB 0274 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 02a4 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 02f0 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 033c ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03a8 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 03d0 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03f0 ?get_output_message_format@@YAPEB_W_W@Z 0408 ?report_type_messages@@3QBQEB_WB 047c _snwprintf_s 048c _errno 04e0 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 04f8 _invoke_watson_if_oneof 051c ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 052c wcscpy_s 054c ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0560 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 056c __acrt_show_wide_message_box 05a4 raise 05ac _exit 05c4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 4F 47 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 53 00 B9 E1 9F 00 F9 E2 5F 00 F9 E3 5B 00 F9 E4 2F 00 F9 E5 3B 00 F9 E8 3B 40 F9 1F 01 00 F1 61 00 00 54 20 00 80 52 5F 01 00 14 08 00 80 D2 E8 57 00 F9 E2 A3 02 91 E1 9F 40 F9 C0 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 83 00 B9 E8 83 40 B9 1F 01 00 71 61 00 00 54 08 00 80 D2 E8 57 00 F9 E0 43 06 91 00 00 00 91 42 41 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? A8 20 80 52 E8 87 00 B9 E2 13 02 91 E1 43 06 91 E0 A3 02 91 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 E1 02 00 54 00 00 80 52 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 E8 A7 00 F9 A8 20 80 D2 E8 AB 00 F9 E2 23 05 91 E1 43 05 91 E0 43 06 91 ?? ?? ?? ?? E0 8F 00 B9 05 00 80 D2 04 2B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 40 B9 ?? ?? ?? ?? E0 43 06 91 ?? ?? ?? ?? E0 AF 00 F9 E8 AF 40 F9 E8 63 00 F9 E8 43 06 91 E8 33 00 F9 E8 63 40 F9 1F 01 01 F1 69 02 00 54 E8 63 40 F9 09 01 01 D1 48 00 80 D2 29 7D 08 9B E8 33 40 F9 08 01 09 8B E8 33 00 F9 E9 33 40 F9 C8 05 80 52 28 01 00 79 E8 33 40 F9 09 09 00 91 C8 05 80 52 28 01 00 79 E8 33 40 F9 09 11 00 91 C8 05 80 52 28 01 00 79 E8 2F 40 F9 1F 01 00 F1 E0 00 00 54 E0 63 01 91 ?? ?? ?? ?? E0 B3 00 F9 E8 B3 40 F9 E8 67 00 F9 03 00 00 14 08 00 80 D2 E8 67 00 F9 E8 67 40 F9 E8 6B 00 F9 08 00 80 D2 E8 3F 00 F9 E8 2F 40 F9 1F 01 00 F1 80 01 00 54 E8 6B 40 F9 1F 01 01 F1 29 01 00 54 E9 6B 40 F9 48 00 80 D2 29 7D 08 9B E8 2F 40 F9 08 01 09 8B 08 01 02 D1 08 19 00 91 E8 3F 00 F9 E9 53 40 B9 48 00 80 52 1F 01 09 6B A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 73 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 73 00 F9 E8 3B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 3B 40 F9 E8 77 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 77 00 F9 E8 3B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 01 00 54 E9 53 40 B9 48 00 80 52 1F 01 09 6B A1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 7B 00 F9 E8 3B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 7F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 7F 00 F9 E8 5B 40 F9 1F 01 00 F1 80 00 00 54 E8 5B 40 F9 E8 83 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 83 00 F9 E8 5B 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 87 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 87 00 F9 E8 5F 40 F9 1F 01 00 F1 80 00 00 54 E8 5F 40 F9 E8 8B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 8B 00 F9 E8 5F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 8F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 8F 00 F9 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 E8 3F 40 F9 E8 93 00 F9 0C 00 00 14 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 E8 2F 40 F9 E8 6F 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 6F 00 F9 E8 6F 40 F9 E8 93 00 F9 E8 3F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 97 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 97 00 F9 E8 2F 40 F9 1F 01 00 F1 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 9B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 9B 00 F9 00 00 80 52 ?? ?? ?? ?? E0 B7 00 F9 E8 53 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 09 01 09 8B E8 73 40 F9 E8 23 00 F9 E8 77 40 F9 E8 1F 00 F9 E8 7B 40 F9 E8 1B 00 F9 E8 7F 40 F9 E8 17 00 F9 E8 83 40 F9 E8 13 00 F9 E8 87 40 F9 E8 0F 00 F9 E8 8B 40 F9 E8 0B 00 F9 E8 8F 40 F9 E8 07 00 F9 E8 93 40 F9 E8 03 00 F9 E7 97 40 F9 E6 9B 40 F9 E5 33 40 F9 24 01 40 F9 E3 B7 40 F9 E2 FF 81 D2 01 00 82 D2 E0 83 0E 91 ?? ?? ?? ?? E0 93 00 B9 E8 93 40 B9 E8 6B 00 B9 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 08 01 40 B9 E8 97 00 B9 ?? ?? ?? ?? E0 BF 00 F9 E9 BF 40 F9 08 00 80 52 28 01 00 B9 E8 6B 40 B9 1F 01 00 71 0A 02 00 54 ?? ?? ?? ?? E0 C3 00 F9 07 00 80 D2 46 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E8 C3 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 C7 00 F9 E9 C7 40 F9 E8 97 40 B9 28 01 00 B9 E8 6B 40 B9 1F 01 00 71 2A 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 01 00 82 D2 E0 83 0E 91 ?? ?? ?? ?? E0 9B 00 B9 05 00 80 D2 C4 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 40 B9 ?? ?? ?? ?? A2 03 00 18 ?? ?? ?? ?? ?? ?? ?? ?? E0 83 0E 91 ?? ?? ?? ?? E0 9F 00 B9 E8 9F 40 B9 E8 A3 00 B9 E8 A3 40 B9 E8 6F 00 B9 E8 6F 40 B9 1F 0D 00 71 A0 00 00 54 E8 6F 40 B9 1F 11 00 71 C0 00 00 54 07 00 00 14 C0 02 80 52 ?? ?? ?? ?? 60 00 80 52 ?? ?? ?? ?? 20 00 80 52 02 00 00 14 00 00 80 52 4F 47 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 12 20 01 00 }
	condition:
		$1
}

rule file_559_12_0 {
	meta:
		name = "??$common_set_report_hook@DP6AHHPEADPEAH@Z@@YAHHQ6AHHPEADPEAH@Z@Z"
		size = 460
		refs = "0050 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a8 ??0<lambda_16c35e2221aec723f1dbf836dffc25bf>@@QEAA@AEBQ6AHHPEADPEAH@ZAEBH@Z 01b8 ??$__acrt_lock_and_call@V<lambda_16c35e2221aec723f1dbf836dffc25bf>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_16c35e2221aec723f1dbf836dffc25bf>@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E8 13 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3B 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 43 00 91 E1 C3 00 91 E0 43 01 91 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 20 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_13_0 {
	meta:
		name = "??$common_set_report_hook@_WP6AHHPEA_WPEAH@Z@@YAHHQ6AHHPEA_WPEAH@Z@Z"
		size = 460
		refs = "0050 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a8 ??0<lambda_3970ebb37ab889fcb3f7778f0d1937a3>@@QEAA@AEBQ6AHHPEA_WPEAH@ZAEBH@Z 01b8 ??$__acrt_lock_and_call@V<lambda_3970ebb37ab889fcb3f7778f0d1937a3>@@@@YAHW4__acrt_lock_id@@$$QEAV<lambda_3970ebb37ab889fcb3f7778f0d1937a3>@@@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E8 13 40 B9 1F 05 00 71 80 00 00 54 08 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3B 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0B 00 00 14 E2 43 00 91 E1 C3 00 91 E0 43 01 91 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 20 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_54_0 {
	meta:
		name = "_CrtDbgReport"
		size = 124
		refs = "0028 ??$__vcrt_va_start_verify_argument_type@QEBD@@YAXXZ 0054 _VCrtDbgReportA"
	strings:
		$1 = { FF 83 00 D1 E5 9B 00 A9 E7 0F 00 F9 FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1F 00 F9 E2 13 00 B9 E3 1B 00 F9 E4 17 00 F9 ?? ?? ?? ?? E8 23 01 91 E8 13 00 F9 E1 07 40 F9 E6 13 40 F9 E5 17 40 F9 E4 1B 40 F9 E3 13 40 B9 E2 1F 40 F9 21 00 00 91 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 08 00 80 D2 E8 13 00 F9 E0 1F 40 B9 FD 7B C4 A8 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_55_0 {
	meta:
		name = "_CrtDbgReportW"
		size = 124
		refs = "0028 ??$__vcrt_va_start_verify_argument_type@QEB_W@@YAXXZ 0054 _VCrtDbgReportW"
	strings:
		$1 = { FF 83 00 D1 E5 9B 00 A9 E7 0F 00 F9 FD 7B BC A9 FD 03 00 91 E0 17 00 B9 E1 1F 00 F9 E2 13 00 B9 E3 1B 00 F9 E4 17 00 F9 ?? ?? ?? ?? E8 23 01 91 E8 13 00 F9 E1 07 40 F9 E6 13 40 F9 E5 17 40 F9 E4 1B 40 F9 E3 13 40 B9 E2 1F 40 F9 21 00 00 91 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 08 00 80 D2 E8 13 00 F9 E0 1F 40 B9 FD 7B C4 A8 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_58_0 {
	meta:
		name = "__acrt_MessageWindowA"
		size = 76
		refs = "0038 ??$common_message_window@D@@YAHHQEAXQEBD111@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_559_59_0 {
	meta:
		name = "__acrt_MessageWindowW"
		size = 76
		refs = "0038 ??$common_message_window@_W@@YAHHQEAXQEB_W111@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 1F 00 F9 E2 1B 00 F9 E3 17 00 F9 E4 13 00 F9 E5 0F 00 F9 E5 0F 40 F9 E4 13 40 F9 E3 17 40 F9 E2 1B 40 F9 E1 1F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_561_0_0 {
	meta:
		name = "_swab"
		size = 716
		refs = "0048 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GA@BJFPCMJG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1M@CDKJLJII@?$AA_?$AAs?$AAw?$AAa?$AAb?$AA?$AA@ 00c8 _invalid_parameter 0104 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c0 ??_C@_1BG@JMLLNHFO@?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E2 17 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7E 00 00 14 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 4F 00 00 14 E8 17 40 B9 1F 01 00 71 8B 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 20 00 00 14 E8 17 40 B9 1F 05 00 71 AD 03 00 54 E8 0F 40 F9 08 01 C0 39 E8 47 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 C0 39 E8 43 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 13 40 F9 E8 43 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E9 13 40 F9 E8 47 C0 39 28 01 00 39 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 17 40 B9 08 09 00 51 E8 17 00 B9 E2 FF FF 17 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_562_2_0 {
	meta:
		name = "sinhf"
		size = 1108
		refs = "0064 valf_with_flags 00b4 _handle_nanf 012c ?max_sinh_arg@?1??sinhf@@9@9 016c ??_C@_05PJDDOCIG@sinhf?$AA@ 0174 _handle_errorf 01c4 ?small_threshold@?1??sinhf@@9@9 01e4 ?log2_by_32_tail@?1??sinhf@@9@9 01ec ?log2_by_32_lead@?1??sinhf@@9@9 01f4 ?thirtytwo_by_log2@?1??sinhf@@9@9 0204 splitexp 0228 scaleDouble_1 0374 ?sinh_lead@?1??sinhf@@9@9 039c ?cosh_lead@?1??sinhf@@9@9"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD 10 C2 22 1E F0 37 00 FD F0 37 40 FD F0 43 00 FD E8 43 40 F9 E8 3F 00 F9 E8 3F 40 F9 08 F9 40 92 E8 1F 00 F9 09 E2 E7 D2 E8 1F 40 F9 1F 01 09 EB C2 01 00 54 E8 1F 40 F9 1F 01 00 F1 81 00 00 54 E0 13 40 BD E3 00 00 14 07 00 00 14 00 02 80 52 E0 13 40 BD ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD DC 00 00 14 1A 00 00 14 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB C3 02 00 54 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB A9 01 00 54 F0 13 40 BD F0 57 00 BD E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 5F 00 BD E0 5F 40 BD C8 00 00 14 06 00 00 14 F1 13 40 BD F0 13 40 BD 20 2A 30 1E 00 40 20 1E C2 00 00 14 E9 3F 40 F9 E8 1F 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 08 7D 40 93 E8 3B 00 F9 F0 37 40 FD F0 17 00 FD E8 3B 40 F9 1F 01 00 F1 80 00 00 54 F0 37 40 FD 10 42 61 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 4B 04 00 54 E8 3B 40 F9 1F 01 00 F1 00 02 00 54 26 00 80 52 01 18 00 1C E0 13 40 BD 45 04 80 52 24 00 80 52 63 00 80 52 02 F0 BF D2 E1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD 98 00 00 14 0F 00 00 14 26 00 80 52 21 16 00 1C E0 13 40 BD 45 04 80 52 24 00 80 52 63 00 80 52 02 F0 AF D2 E1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 00 BD E0 67 40 BD 89 00 00 14 7F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 4B 03 00 54 E2 43 02 91 E1 23 02 91 E0 83 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E E0 17 40 FD ?? ?? ?? ?? E8 23 40 B9 08 05 00 51 E8 23 00 B9 F1 47 40 FD F0 4B 40 FD 20 2A 70 1E E0 23 40 B9 00 40 60 1E ?? ?? ?? ?? E0 4F 00 FD F0 4F 40 FD F0 27 00 FD 61 00 00 14 F0 17 40 FD 08 02 78 1E E8 27 00 B9 E8 27 40 B9 11 01 62 1E F0 17 40 FD 10 3A 71 1E F0 23 00 FD F1 23 40 FD F0 23 40 FD 30 0A 70 1E F0 0F 00 FD F1 23 40 FD F0 0F 40 FD 32 0A 70 1E 91 0B 00 5C F0 0F 40 FD 31 0A 70 1E 70 0B 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 30 0B 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E F0 0A 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E B0 0A 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 70 0A 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 30 0A 00 5C 10 2A 71 1E 51 0A 70 1E F0 23 40 FD 10 2A 71 1E F0 57 00 FD B1 09 00 5C F0 0F 40 FD 31 0A 70 1E 90 09 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 50 09 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 09 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E D0 08 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 90 08 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 10 6C 1E 11 2A 71 1E F0 0F 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 53 00 FD E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 53 40 FD 32 0A 70 1E E8 27 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 57 40 FD 30 0A 70 1E 50 2A 70 1E F0 27 00 FD E8 3B 40 F9 1F 01 00 F1 80 00 00 54 F0 27 40 FD 10 42 61 1E F0 27 00 FD F0 27 40 FD 00 42 62 1E 00 40 20 1E FD 7B CB A8 C0 03 5F D6 8B A0 1E 92 25 41 6B 3D BE B7 DC 2B CB 11 E6 3D C0 61 BE 0F 46 E6 5A 3E 7D 3E E1 A4 E3 1D C7 3E 80 EE 01 1A A0 01 2A 3F FD 10 11 11 11 11 81 3F 55 55 55 55 55 55 C5 3F D7 FC 63 7F 4B 98 A9 3D 20 7B 5B 38 56 EE 21 3E 55 CB F1 69 50 7E 92 3E 11 90 07 19 A0 01 FA 3E E5 12 C2 16 6C C1 56 3F 02 55 55 55 55 55 A5 3F 00 00 00 00 }
	condition:
		$1
}

rule file_565_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPEADQEBD@Z"
		size = 620
		refs = "000c _errno 0020 __acrt_getptd_noexit 004c ?get_strerror_buffer@@YAAEAPEADQEAU__acrt_ptd@@D@Z 0070 ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0084 _calloc_dbg 0094 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00a8 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 00c0 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0134 strerror_buffer_count 0140 ??$tcsncat_s@AEAPEADAEB_KAEBQEBD_K@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEBD$$QEA_K@Z 0150 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0158 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0160 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 016c _invoke_watson_if_error 0180 ??$tcscat_s@AEAPEADAEB_KAEAY02$$CBD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEAY02$$CBD@Z 01a0 ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 01bc _get_sys_err_msg 01dc ?append_message@@YAHQEAD_KQEBD@Z 01fc ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 022c ??$tcscat_s@AEAPEADAEB_KAEAY01$$CBD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEAY01$$CBD@Z 024c ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 1F 00 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 01 40 B9 E8 2B 00 B9 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 89 00 00 14 01 00 80 52 E0 23 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 84 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 C0 10 80 D2 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 3B 00 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E9 0F 40 F9 E8 3F 40 F9 28 01 00 F9 E0 03 02 91 ?? ?? ?? ?? E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 63 00 00 14 E8 0F 40 F9 09 01 40 F9 08 00 80 52 28 01 00 39 E8 1F 40 F9 1F 01 00 F1 E0 05 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 40 05 00 54 48 07 80 52 E8 53 00 39 08 04 80 52 E8 57 00 39 08 00 80 52 E8 5B 00 39 48 10 80 D2 E8 47 00 F9 E3 23 02 91 E2 E3 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 B9 05 00 80 D2 44 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 ?? ?? ?? ?? E2 53 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 B9 05 00 80 D2 64 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 ?? ?? ?? ?? E8 2B 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 4F 00 F9 E2 4F 40 F9 C1 10 80 D2 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 B9 05 00 80 D2 E4 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 2F 40 B9 ?? ?? ?? ?? 48 01 80 52 E8 43 00 39 08 00 80 52 E8 47 00 39 E2 43 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 44 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E8 0F 40 F9 00 01 40 F9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPEA_WQEB_W@Z"
		size = 636
		refs = "0008 __security_push_cookie 0014 _errno 0028 __acrt_getptd_noexit 0054 ?get_strerror_buffer@@YAAEAPEA_WQEAU__acrt_ptd@@_W@Z 0078 ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 008c _calloc_dbg 009c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00b0 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 00c8 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 013c strerror_buffer_count 0148 ??$tcsncat_s@AEAPEA_WAEB_KAEBQEB_W_K@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEB_W$$QEA_K@Z 0158 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0160 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0168 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 0174 _invoke_watson_if_error 0188 ??$tcscat_s@AEAPEA_WAEB_KAEAY02$$CB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEAY02$$CB_W@Z 01a8 ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 01c4 _get_sys_err_msg 01e4 ?append_message@@YAHQEA_W_KQEBD@Z 0204 ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 0234 ??$tcscat_s@AEAPEA_WAEB_KAEAY01$$CB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEAY01$$CB_W@Z 0254 ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0270 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 02 D1 E0 13 00 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 40 B9 E8 17 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 89 00 00 14 01 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 03 00 F9 E8 03 40 F9 08 01 40 F9 1F 01 00 F1 E1 02 00 54 84 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 C0 10 80 D2 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 A3 01 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 33 00 F9 E9 03 40 F9 E8 33 40 F9 28 01 00 F9 E0 A3 01 91 ?? ?? ?? ?? E8 03 40 F9 08 01 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 63 00 00 14 E8 03 40 F9 09 01 40 F9 08 00 80 52 28 01 00 79 E8 13 40 F9 1F 01 00 F1 E0 05 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 40 05 00 54 48 07 80 52 E8 13 01 79 08 04 80 52 E8 17 01 79 08 00 80 52 E8 1B 01 79 48 10 80 D2 E8 3B 00 F9 E3 C3 01 91 E2 83 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 40 F9 ?? ?? ?? ?? E0 0F 00 B9 05 00 80 D2 44 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 B9 ?? ?? ?? ?? E2 23 02 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 40 F9 ?? ?? ?? ?? E0 13 00 B9 05 00 80 D2 64 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 B9 ?? ?? ?? ?? E8 17 40 B9 00 7D 40 93 00 00 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 43 00 F9 E2 43 40 F9 C1 10 80 D2 E8 03 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 05 00 80 D2 E4 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? 48 01 80 52 E8 13 00 79 08 00 80 52 E8 17 00 79 E2 23 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 03 40 F9 ?? ?? ?? ?? E0 1F 00 B9 05 00 80 D2 44 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1F 40 B9 ?? ?? ?? ?? E8 03 40 F9 00 01 40 F9 FF 43 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQEAD_KQEBD@Z"
		size = 736
		refs = "0014 _errno 005c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0080 _CrtDbgReportW 00cc ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01d8 ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z 021c ??$tcscpy_s@AEBQEADAEB_KAEBQEBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD@Z 023c ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0248 _invoke_watson_if_error 0258 ??$tcscat_s@AEBQEADAEB_KAEAY02$$CBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAY02$$CBD@Z 0278 ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 028c ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z 02cc ??$tcserror_s@PEAD_KAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBH@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 0F 00 F9 E1 1B 00 F9 E2 1F 00 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 40 B9 E8 53 00 B9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 7D 00 00 14 E8 1B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 4D 00 00 14 E9 0F 40 F9 08 00 80 52 28 01 00 39 E8 1F 40 F9 1F 01 00 F1 60 06 00 54 E8 1F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 C0 05 00 54 E0 E3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 1B 40 F9 08 09 00 D1 09 15 00 D1 E8 3B 40 F9 1F 01 09 EB A2 04 00 54 48 07 80 52 E8 43 00 39 08 04 80 52 E8 47 00 39 08 00 80 52 E8 4B 00 39 E2 E3 00 91 E1 C3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 04 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? E2 43 00 91 E1 C3 00 91 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 24 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E9 1B 40 F9 E8 3F 40 F9 28 01 08 CB E8 47 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E9 0F 40 F9 E8 43 40 F9 28 01 08 8B E8 4B 00 F9 E2 43 01 91 E1 23 02 91 E0 43 02 91 ?? ?? ?? ?? E0 57 00 B9 E0 57 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 760
		refs = "0008 __security_push_cookie 001c _errno 0064 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0088 _CrtDbgReportW 00d4 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 00e4 _invalid_parameter 0124 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e0 ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z 0224 ??$tcscpy_s@AEBQEA_WAEB_KAEBQEB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W@Z 0244 ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0250 _invoke_watson_if_error 0260 ??$tcscat_s@AEBQEA_WAEB_KAEAY02$$CB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAY02$$CB_W@Z 0280 ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0294 ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z 02dc ??$tcserror_s@PEA_W_KAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBH@Z 02ec __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 02 D1 E0 03 00 F9 E1 0F 00 F9 E2 13 00 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 08 01 40 B9 E8 3B 00 B9 E8 03 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 7F 00 00 14 E8 0F 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 4F 00 00 14 E9 03 40 F9 08 00 80 52 28 01 00 79 E8 13 40 F9 1F 01 00 F1 60 06 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 C0 05 00 54 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 0F 40 F9 08 09 00 D1 09 15 00 D1 E8 2F 40 F9 1F 01 09 EB A2 04 00 54 48 07 80 52 E8 03 01 79 08 04 80 52 E8 07 01 79 08 00 80 52 E8 0B 01 79 E2 83 00 91 E1 63 00 91 E0 03 00 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 04 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E2 03 02 91 E1 63 00 91 E0 03 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 24 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? E0 03 00 91 ?? ?? ?? ?? E0 33 00 F9 E9 0F 40 F9 E8 33 40 F9 28 01 08 CB E8 3B 00 F9 E0 03 00 91 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 00 80 D2 29 7D 08 9B E8 03 40 F9 08 01 09 8B E8 3F 00 F9 E2 E3 00 91 E1 C3 01 91 E0 E3 01 91 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FF 03 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_6_0 {
	meta:
		name = "??$tcscat_s@AEAPEADAEB_KAEAY01$$CBD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEAY01$$CBD@Z"
		size = 60
		refs = "0028 strcat_s"
		altNames = "??$tcscat_s@AEAPEADAEB_KAEAY02$$CBD@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEAY02$$CBD@Z ??$tcscat_s@AEBQEADAEB_KAEAY02$$CBD@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAY02$$CBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_8_0 {
	meta:
		name = "??$tcscat_s@AEAPEA_WAEB_KAEAY01$$CB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEAY01$$CB_W@Z"
		size = 60
		refs = "0028 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_9_0 {
	meta:
		name = "??$tcscat_s@AEAPEA_WAEB_KAEAY02$$CB_W@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEAY02$$CB_W@Z"
		size = 60
		refs = "0028 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_11_0 {
	meta:
		name = "??$tcscat_s@AEBQEA_WAEB_KAEAY02$$CB_W@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAY02$$CB_W@Z"
		size = 60
		refs = "0028 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_26_0 {
	meta:
		name = "?append_message@@YAHQEAD_KQEBD@Z"
		size = 84
		refs = "0018 strlen 0040 strncat_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 1B 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E9 0F 40 F9 E8 17 40 F9 28 01 08 CB 03 09 00 D1 63 00 00 91 E2 1B 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_565_27_0 {
	meta:
		name = "?append_message@@YAHQEA_W_KQEBD@Z"
		size = 128
		refs = "0018 wcslen 006c mbstowcs_s"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 1F 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E9 13 40 F9 E8 0F 40 F9 28 01 08 CB 04 09 00 D1 E9 13 40 F9 E8 0F 40 F9 22 01 08 CB E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 17 40 F9 01 01 09 8B 84 00 00 91 E3 1F 40 F9 42 00 00 91 21 00 00 91 00 00 80 D2 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z"
		size = 2824
		refs = "0008 __security_push_cookie 0048 _commode 0128 ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c _CrtDbgReportW 0174 _errno 0198 ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 01a8 _invalid_parameter 0328 ?__acrt_stdio_parse_mode_plus@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 0340 ?__acrt_stdio_parse_mode_b@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0358 ?__acrt_stdio_parse_mode_t@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0374 ?__acrt_stdio_parse_mode_c@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 0390 ?__acrt_stdio_parse_mode_n@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03ac ?__acrt_stdio_parse_mode_S@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03c8 ?__acrt_stdio_parse_mode_R@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03e0 ?__acrt_stdio_parse_mode_T@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 03f8 ?__acrt_stdio_parse_mode_D@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0410 ?__acrt_stdio_parse_mode_N@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0590 ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0640 ?ccs@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 064c ??$tcsncmp@AEAPEBDAEAY02$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY02$$CBD$$QEA_K@Z 0868 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 0874 ??$tcsnicmp@AEAPEBDAEAY04$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY04$$CBD$$QEA_K@Z 08b0 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 08bc ??$tcsnicmp@AEAPEBDAEAY07$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY07$$CBD$$QEA_K@Z 08f8 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 0904 ??$tcsnicmp@AEAPEBDAEAY06$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY06$$CBD$$QEA_K@Z 0afc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 4F 00 F9 E9 23 04 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 EA E3 03 91 4A 01 00 91 E9 23 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 FF 00 B9 E8 4F 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 2B 00 B9 E8 2B 40 B9 1F 85 01 71 40 02 00 54 E8 2B 40 B9 1F C9 01 71 A0 00 00 54 E8 2B 40 B9 1F DD 01 71 E0 00 00 54 10 00 00 14 08 00 80 52 E8 FB 00 B9 28 00 80 52 E8 FF 00 B9 3C 00 00 14 28 60 80 52 E8 FB 00 B9 48 00 80 52 E8 FF 00 B9 37 00 00 14 28 21 80 52 E8 FB 00 B9 48 00 80 52 E8 FF 00 B9 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 93 00 B9 E9 93 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 51 02 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 08 00 80 52 E8 63 00 39 08 00 80 52 E8 6B 00 39 08 00 80 52 E8 67 00 39 08 00 80 52 E8 43 00 39 28 00 80 52 E8 03 00 39 0F 00 00 14 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 09 7D 40 93 E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 16 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 15 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 4D 01 71 6C 03 00 54 E8 17 40 B9 1F 4D 01 71 A0 09 00 54 E8 17 40 B9 1F 11 01 71 CC 01 00 54 E8 17 40 B9 1F 11 01 71 60 0B 00 54 E8 17 40 B9 1F 81 00 71 80 0C 00 54 E8 17 40 B9 1F AD 00 71 00 04 00 54 E8 17 40 B9 1F B1 00 71 E0 0B 00 54 63 00 00 14 E8 17 40 B9 1F 39 01 71 80 0A 00 54 E8 17 40 B9 1F 49 01 71 C0 07 00 54 5C 00 00 14 E8 17 40 B9 1F 8D 01 71 6C 01 00 54 E8 17 40 B9 1F 8D 01 71 40 04 00 54 E8 17 40 B9 1F 51 01 71 60 07 00 54 E8 17 40 B9 1F 89 01 71 00 02 00 54 4F 00 00 14 E8 17 40 B9 1F B9 01 71 E0 03 00 54 E8 17 40 B9 1F D1 01 71 E0 01 00 54 48 00 00 14 E1 6B 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 03 00 39 72 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 03 00 39 6C 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 03 00 39 66 00 00 14 E1 63 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 03 00 39 5F 00 00 14 E1 63 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 03 00 39 58 00 00 14 E1 67 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 51 00 00 14 E1 67 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 4A 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 44 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 3E 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 38 00 00 14 37 00 00 14 28 00 80 52 E8 43 00 39 08 00 80 52 E8 03 00 39 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 52 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 52 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 7F 01 00 14 3C FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 21 07 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 37 01 00 14 28 00 80 52 E8 03 04 39 E0 7F 40 F9 E1 03 41 B9 32 01 00 14 68 00 80 D2 E8 5F 00 F9 E2 E3 02 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 1F 01 00 71 40 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 F6 00 00 14 E8 07 40 F9 08 0D 00 91 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F F5 00 71 40 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 B4 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 A8 00 80 D2 E8 6B 00 F9 E2 43 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 7F 00 B9 E8 7F 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 15 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 0E 32 E8 FB 00 B9 56 00 00 14 08 01 80 D2 E8 6F 00 F9 E2 63 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 83 00 B9 E8 83 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 0F 32 E8 FB 00 B9 44 00 00 14 E8 00 80 D2 E8 73 00 F9 E2 83 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 1D 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 10 32 E8 FB 00 B9 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 59 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 8B 00 B9 E9 8B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 59 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 41 00 00 14 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 63 00 B9 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 5A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 8F 00 B9 E9 8F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 63 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 5A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 05 00 00 14 28 00 80 52 E8 03 04 39 E0 7F 40 F9 E1 03 41 B9 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_1_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z"
		size = 2832
		refs = "0008 __security_push_cookie 0048 _commode 0128 ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c _CrtDbgReportW 0174 _errno 0198 ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 01a8 _invalid_parameter 0330 ?__acrt_stdio_parse_mode_plus@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 0348 ?__acrt_stdio_parse_mode_b@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0360 ?__acrt_stdio_parse_mode_t@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 037c ?__acrt_stdio_parse_mode_c@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 0398 ?__acrt_stdio_parse_mode_n@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03b4 ?__acrt_stdio_parse_mode_S@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03d0 ?__acrt_stdio_parse_mode_R@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z 03e8 ?__acrt_stdio_parse_mode_T@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0400 ?__acrt_stdio_parse_mode_D@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0418 ?__acrt_stdio_parse_mode_N@@YA_NAEAU__acrt_stdio_stream_mode@@@Z 0598 ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0648 ?ccs@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 0654 ??$tcsncmp@AEAPEB_WAEAY02$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY02$$CB_W$$QEA_K@Z 0870 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 087c ??$tcsnicmp@AEAPEB_WAEAY04$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY04$$CB_W$$QEA_K@Z 08b8 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 08c4 ??$tcsnicmp@AEAPEB_WAEAY07$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY07$$CB_W$$QEA_K@Z 0900 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 090c ??$tcsnicmp@AEAPEB_WAEAY06$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY06$$CB_W$$QEA_K@Z 0b04 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 04 D1 E0 4F 00 F9 E9 23 04 91 29 01 00 91 08 00 80 D2 28 01 00 F9 28 09 00 B9 EA E3 03 91 4A 01 00 91 E9 23 04 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E8 FF 00 B9 E8 4F 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 2B 00 B9 E8 2B 40 B9 1F 85 01 71 40 02 00 54 E8 2B 40 B9 1F C9 01 71 A0 00 00 54 E8 2B 40 B9 1F DD 01 71 E0 00 00 54 10 00 00 14 08 00 80 52 E8 FB 00 B9 28 00 80 52 E8 FF 00 B9 3C 00 00 14 28 60 80 52 E8 FB 00 B9 48 00 80 52 E8 FF 00 B9 37 00 00 14 28 21 80 52 E8 FB 00 B9 48 00 80 52 E8 FF 00 B9 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 67 00 B9 03 00 00 14 08 00 80 52 E8 67 00 B9 E8 67 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 93 00 B9 E9 93 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 4C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 53 02 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 08 00 80 52 E8 63 00 39 08 00 80 52 E8 6B 00 39 08 00 80 52 E8 67 00 39 08 00 80 52 E8 43 00 39 28 00 80 52 E8 03 00 39 11 00 00 14 E8 03 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 03 40 39 08 01 00 11 1F 01 00 71 80 16 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 15 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 4D 01 71 6C 03 00 54 E8 17 40 B9 1F 4D 01 71 A0 09 00 54 E8 17 40 B9 1F 11 01 71 CC 01 00 54 E8 17 40 B9 1F 11 01 71 60 0B 00 54 E8 17 40 B9 1F 81 00 71 80 0C 00 54 E8 17 40 B9 1F AD 00 71 00 04 00 54 E8 17 40 B9 1F B1 00 71 E0 0B 00 54 63 00 00 14 E8 17 40 B9 1F 39 01 71 80 0A 00 54 E8 17 40 B9 1F 49 01 71 C0 07 00 54 5C 00 00 14 E8 17 40 B9 1F 8D 01 71 6C 01 00 54 E8 17 40 B9 1F 8D 01 71 40 04 00 54 E8 17 40 B9 1F 51 01 71 60 07 00 54 E8 17 40 B9 1F 89 01 71 00 02 00 54 4F 00 00 14 E8 17 40 B9 1F B9 01 71 E0 03 00 54 E8 17 40 B9 1F D1 01 71 E0 01 00 54 48 00 00 14 E1 6B 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 E8 03 00 39 72 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 E8 03 00 39 6C 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 E8 03 00 39 66 00 00 14 E1 63 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 7B 00 39 E8 7B 40 39 E8 03 00 39 5F 00 00 14 E1 63 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 7F 00 39 E8 7F 40 39 E8 03 00 39 58 00 00 14 E1 67 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 E8 03 00 39 51 00 00 14 E1 67 00 91 E0 E3 03 91 ?? ?? ?? ?? E0 87 00 39 E8 87 40 39 E8 03 00 39 4A 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 E8 03 00 39 44 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 8F 00 39 E8 8F 40 39 E8 03 00 39 3E 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 E8 03 00 39 38 00 00 14 37 00 00 14 28 00 80 52 E8 43 00 39 08 00 80 52 E8 03 00 39 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 52 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 52 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 7F 01 00 14 3A FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 21 07 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 37 01 00 14 28 00 80 52 E8 03 04 39 E0 7F 40 F9 E1 03 41 B9 32 01 00 14 68 00 80 D2 E8 5F 00 F9 E2 E3 02 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 73 00 B9 E8 73 40 B9 1F 01 00 71 40 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 F6 00 00 14 E8 07 40 F9 08 19 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 40 79 08 01 00 11 1F F5 00 71 40 06 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 B4 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 A8 00 80 D2 E8 6B 00 F9 E2 43 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 7F 00 B9 E8 7F 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 29 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 0E 32 E8 FB 00 B9 56 00 00 14 08 01 80 D2 E8 6F 00 F9 E2 63 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 83 00 B9 E8 83 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 41 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 0F 32 E8 FB 00 B9 44 00 00 14 E8 00 80 D2 E8 73 00 F9 E2 83 03 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 39 00 91 E8 07 00 F9 E8 FB 40 B9 08 01 10 32 E8 FB 00 B9 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 59 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 8B 00 B9 E9 8B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5B 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 59 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 41 00 00 14 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 81 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 5F 00 B9 03 00 00 14 08 00 80 52 E8 5F 00 B9 E8 5F 40 B9 E8 63 00 B9 E8 63 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 5A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 8F 00 B9 E9 8F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 63 40 B9 1F 01 00 71 41 02 00 54 ?? ?? ?? ?? E0 7B 00 F9 E9 7B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 5A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 F9 E1 03 41 B9 05 00 00 14 28 00 80 52 E8 03 04 39 E0 7F 40 F9 E1 03 41 B9 FF 43 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_2_0 {
	meta:
		name = "??$common_openfile@D@@YAPEAU_iobuf@@QEBD0HV__crt_stdio_stream@@@Z"
		size = 648
		refs = "0008 __security_push_cookie 002c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 _CrtDbgReportW 0078 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc ?valid@__crt_stdio_stream@@QEBA_NXZ 00d4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0118 ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z 01a0 ??$tsopen_s@PEAHAEBQEBDAEBHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBDAEBH2$$QEAH@Z 01bc _cflush 01d8 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 01e0 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 026c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 027c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 E0 1F 00 F9 E1 1B 00 F9 E2 23 00 B9 E3 07 00 F9 E8 1F 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 23 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 1B 40 F9 ?? ?? ?? ?? E1 83 00 B9 E0 3F 00 F9 EA 63 02 91 4A 01 00 91 E9 E3 01 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 23 02 91 4A 01 00 91 E9 63 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 E8 43 42 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 D2 40 00 00 14 08 30 80 52 E8 1F 00 B9 E8 A3 00 91 E8 23 00 F9 E4 73 00 91 E3 83 00 91 E2 23 02 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 30 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E1 8F 40 B9 E0 23 00 91 ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 09 A1 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 61 00 91 E8 2B 40 B9 28 01 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 3B 40 F9 FF 83 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_3_0 {
	meta:
		name = "??$common_openfile@_W@@YAPEAU_iobuf@@QEB_W0HV__crt_stdio_stream@@@Z"
		size = 648
		refs = "0008 __security_push_cookie 002c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 _CrtDbgReportW 0078 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc ?valid@__crt_stdio_stream@@QEBA_NXZ 00d4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0118 ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z 01a0 ??$tsopen_s@PEAHAEBQEB_WAEBHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_WAEBH2$$QEAH@Z 01bc _cflush 01d8 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 01e0 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 026c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 027c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 E0 1F 00 F9 E1 1B 00 F9 E2 23 00 B9 E3 07 00 F9 E8 1F 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 23 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 1B 40 F9 ?? ?? ?? ?? E1 83 00 B9 E0 3F 00 F9 EA 63 02 91 4A 01 00 91 E9 E3 01 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 EA 23 02 91 4A 01 00 91 E9 63 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 E8 43 42 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 D2 40 00 00 14 08 30 80 52 E8 1F 00 B9 E8 A3 00 91 E8 23 00 F9 E4 73 00 91 E3 83 00 91 E2 23 02 91 E1 E3 00 91 E0 03 01 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 30 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? E1 8F 40 B9 E0 23 00 91 ?? ?? ?? ?? E0 23 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 09 A1 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 61 00 91 E8 2B 40 B9 28 01 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 3B 40 F9 FF 83 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_4_0 {
	meta:
		name = "??$tcsncmp@AEAPEBDAEAY02$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY02$$CBD$$QEA_K@Z"
		size = 60
		refs = "0028 strncmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_5_0 {
	meta:
		name = "??$tcsncmp@AEAPEB_WAEAY02$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY02$$CB_W$$QEA_K@Z"
		size = 60
		refs = "0028 wcsncmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_6_0 {
	meta:
		name = "??$tcsnicmp@AEAPEBDAEAY04$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY04$$CBD$$QEA_K@Z"
		size = 60
		refs = "0028 _strnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_7_2 {
	meta:
		name = "??$tcsnicmp@AEAPEBDAEAY06$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY06$$CBD$$QEA_K@Z"
		size = 60
		refs = "0028 _strnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_10_2 {
	meta:
		name = "??$tcsnicmp@AEAPEBDAEAY07$$CBD_K@?$__crt_char_traits@D@@SAHAEAPEBDAEAY07$$CBD$$QEA_K@Z"
		size = 60
		refs = "0028 _strnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_11_3 {
	meta:
		name = "??$tcsnicmp@AEAPEB_WAEAY04$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY04$$CB_W$$QEA_K@Z"
		size = 60
		refs = "0028 _wcsnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_10_2 {
	meta:
		name = "??$tcsnicmp@AEAPEB_WAEAY06$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY06$$CB_W$$QEA_K@Z"
		size = 60
		refs = "0028 _wcsnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_13_4 {
	meta:
		name = "??$tcsnicmp@AEAPEB_WAEAY07$$CB_W_K@?$__crt_char_traits@_W@@SAHAEAPEB_WAEAY07$$CB_W$$QEA_K@Z"
		size = 60
		refs = "0028 _wcsnicmp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 40 F9 E1 13 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_16_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_D@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 68 00 30 36 00 00 80 52 09 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 1A 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_17_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_N@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 48
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 19 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_18_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_R@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 03 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 0C 00 00 14 E9 03 40 F9 28 00 80 52 28 01 00 39 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 01 1C 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_19_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_S@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 03 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 0C 00 00 14 E9 03 40 F9 28 00 80 52 28 01 00 39 E8 07 40 F9 08 01 00 91 08 01 40 B9 09 01 1B 32 E8 07 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_20_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_T@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 68 00 60 36 00 00 80 52 09 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 14 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_21_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_b@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 80
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 08 05 12 12 1F 01 00 71 60 00 00 54 00 00 80 52 09 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 11 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_22_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_c@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 03 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 0C 00 00 14 E9 03 40 F9 28 00 80 52 28 01 00 39 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 01 15 32 E8 07 40 F9 08 11 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_23_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_n@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 F9 E8 03 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 0C 00 00 14 E9 03 40 F9 28 00 80 52 28 01 00 39 E8 07 40 F9 08 11 00 91 08 01 40 B9 09 79 14 12 E8 07 40 F9 08 11 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_24_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_plus@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 200
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 E8 07 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 00 00 80 52 27 00 00 14 E9 07 40 F9 28 00 80 52 28 01 00 39 E8 03 40 F9 08 01 00 91 08 01 40 B9 68 00 08 36 00 00 80 52 1E 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 1F 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 79 1F 12 E8 03 40 F9 08 01 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 09 01 1E 32 E8 03 40 F9 08 11 00 91 09 01 00 B9 E8 03 40 F9 08 11 00 91 08 01 40 B9 09 75 1E 12 E8 03 40 F9 08 11 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_25_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_t@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 80
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 01 00 91 08 01 40 B9 08 05 12 12 1F 01 00 71 60 00 00 54 00 00 80 52 09 00 00 14 E8 03 40 F9 08 01 00 91 08 01 40 B9 09 01 12 32 E8 03 40 F9 08 01 00 91 09 01 00 B9 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_29_0 {
	meta:
		name = "_openfile"
		size = 80
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 003c ??$common_openfile@D@@YAPEAU_iobuf@@QEBD0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 B9 E3 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 03 01 40 F9 E2 13 40 B9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_566_30_0 {
	meta:
		name = "_wopenfile"
		size = 80
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 003c ??$common_openfile@_W@@YAPEAU_iobuf@@QEB_W0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1B 00 F9 E1 17 00 F9 E2 13 00 B9 E3 0F 00 F9 E1 0F 40 F9 E0 03 01 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 03 01 40 F9 E2 13 40 B9 E1 17 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E0 1F 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_567_6_0 {
	meta:
		name = "_ismbcalpha_l"
		size = 148
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006c __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 08 02 00 54 E8 0F 40 F9 6A 1E 00 53 6B 20 80 52 08 01 40 F9 09 D9 6A 78 28 01 0B 0A E8 00 00 35 E8 13 40 F9 08 C1 2A 8B 09 65 40 39 69 00 00 37 00 00 80 52 08 00 00 14 20 00 80 52 06 00 00 14 23 00 80 52 62 20 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_568_1_0 {
	meta:
		name = "_sleep"
		size = 28
		refs = "000c __imp_Sleep"
	strings:
		$1 = { 28 00 80 52 1F 00 00 71 00 01 80 1A ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 1F D6 }
	condition:
		$1
}

rule file_569_1_0 {
	meta:
		name = "tan"
		size = 1136
		refs = "0078 val_with_flags 00d0 tan_piby4 010c _handle_nan 0140 ??_C@_03IIINPABG@tan?$AA@ 0148 _handle_error 022c ?twobypi@?8??tan@@9@9 0250 ?piby2_1@?8??tan@@9@9 0270 ?piby2_1tail@?8??tan@@9@9 02c4 ?piby2_2@?8??tan@@9@9 02ec ?piby2_2tail@?8??tan@@9@9 0330 ?piby2_3@?8??tan@@9@9 0358 ?piby2_3tail@?8??tan@@9@9 03c8 __remainder_piby2"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0F 00 FD F0 0F 40 FD F0 3B 00 FD E8 3B 40 F9 E8 27 00 F9 E8 27 40 F9 08 F9 40 92 E8 13 00 F9 49 20 00 58 E8 13 40 F9 1F 01 09 EB 88 05 00 54 09 E4 E7 D2 E8 13 40 F9 1F 01 09 EB 02 04 00 54 09 C8 E7 D2 E8 13 40 F9 1F 01 09 EB C2 01 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 0F 40 FD F0 00 00 14 07 00 00 14 00 02 80 52 E0 0F 40 FD ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD E9 00 00 14 0E 00 00 14 F1 0F 40 FD F0 0F 40 FD 31 0A 70 1E F0 0F 40 FD 31 0A 70 1E D0 1C 00 5C 30 0A 70 1E F0 43 00 FD F1 0F 40 FD F0 43 40 FD 20 2A 70 1E 00 40 60 1E DB 00 00 14 08 00 00 14 00 00 80 52 C1 1B 00 5C E0 0F 40 FD ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD D3 00 00 14 1E 00 00 14 E8 27 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 21 03 00 54 E8 27 40 F9 08 CD 40 92 1F 01 00 F1 E0 00 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD C4 00 00 14 0F 00 00 14 26 00 80 52 E1 18 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 01 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD B5 00 00 14 E9 27 40 F9 E8 13 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 71 15 00 5C F0 0F 40 FD 00 22 71 1E 82 10 00 54 E8 13 40 F9 08 FD 74 D3 E8 5B 00 F9 C9 14 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 89 14 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 89 13 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 49 13 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 1B 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 29 4C 92 09 FD 74 D3 E8 5B 40 F9 08 01 09 CB E8 37 00 F9 E8 37 40 F9 1F 3D 00 F1 89 06 00 54 F0 1B 40 FD F0 2B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2B 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2B 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD E8 37 40 F9 1F C1 00 F1 29 03 00 54 F0 1B 40 FD F0 2B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2B 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2B 40 FD F0 1B 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD F1 1B 40 FD F0 17 40 FD 30 3A 70 1E F0 2F 00 FD F1 1B 40 FD F0 2F 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E F0 33 00 FD E8 13 40 B9 08 05 00 12 E8 3B 00 B9 06 00 00 14 E2 E3 00 91 E1 83 01 91 E0 63 01 91 E0 0F 40 FD ?? ?? ?? ?? E8 43 40 B9 1F 01 00 71 A0 01 00 54 E8 3B 40 B9 00 01 00 12 00 00 00 11 E1 33 40 FD E0 2F 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD 00 42 61 1E 00 40 60 1E 0A 00 00 14 09 00 00 14 E8 3B 40 B9 00 01 00 12 00 00 00 11 E1 33 40 FD E0 2F 40 FD ?? ?? ?? ?? E0 63 00 FD E0 63 40 FD FD 7B CD A8 C0 03 5F D6 18 2D 44 54 FB 21 E9 3F 55 55 55 55 55 55 D5 3F 00 00 00 00 00 00 00 00 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 }
	condition:
		$1
}

rule file_569_2_0 {
	meta:
		name = "tan_piby4"
		size = 856
		refs = "0030 ?piby4_lead@?1??tan_piby4@@9@9 0044 ?piby4_tail@?1??tan_piby4@@9@9"
	strings:
		$1 = { FF 83 02 D1 E0 03 00 FD E1 13 00 FD E0 2B 00 B9 08 00 80 52 E8 0B 00 B9 91 17 00 5C F0 03 40 FD 00 22 71 1E 8D 02 00 54 28 00 80 52 E8 0B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? F0 03 40 FD 30 3A 70 1E F0 03 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 3A 70 1E F0 27 00 FD F1 03 40 FD F0 27 40 FD 30 2A 70 1E F0 03 00 FD 50 15 00 5C F0 13 00 FD 17 00 00 14 31 15 00 5C F0 03 40 FD 00 22 71 1E 62 02 00 54 08 00 80 12 E8 0B 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? F0 03 40 FD 30 2A 70 1E F0 03 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 FD 30 2A 70 1E F0 27 00 FD F1 03 40 FD F0 27 40 FD 30 2A 70 1E F0 03 00 FD 70 12 00 5C F0 13 00 FD F1 03 40 FD F0 03 40 FD 32 0A 70 1E 11 10 60 1E F0 03 40 FD 31 0A 70 1E F0 13 40 FD 30 0A 70 1E 50 2A 70 1E F0 0F 00 FD F0 03 40 FD F0 1F 00 FD F1 03 40 FD F0 0F 40 FD 32 0A 70 1E D1 10 00 5C F0 0F 40 FD 31 0A 70 1E B0 10 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 70 10 00 5C 10 2A 71 1E 52 0A 70 1E 51 10 00 5C F0 0F 40 FD 31 0A 70 1E 30 10 00 5C 11 3A 71 1E F0 0F 40 FD 31 0A 70 1E F0 0F 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E B0 0F 00 5C 10 2A 71 1E 51 1A 70 1E F0 13 40 FD 10 2A 71 1E F0 23 00 FD E8 0B 40 B9 1F 01 00 71 A0 04 00 54 F1 1F 40 FD F0 23 40 FD 30 2A 70 1E F0 1B 00 FD E8 2B 40 B9 1F 01 00 71 00 02 00 54 E8 0B 40 B9 13 01 62 1E 11 10 60 1E F0 1B 40 FD 32 0A 70 1E F1 1B 40 FD 10 10 6E 1E 30 3A 70 1E 51 1A 70 1E 10 10 6E 1E 30 3A 70 1E 60 0A 70 1E 00 40 60 1E 4B 00 00 14 0F 00 00 14 E8 0B 40 B9 13 01 62 1E 11 10 60 1E F0 1B 40 FD 32 0A 70 1E 11 10 6E 1E F0 1B 40 FD 30 2A 70 1E 51 1A 70 1E 10 10 6E 1E 10 3A 71 1E 60 0A 70 1E 00 40 60 1E 3C 00 00 14 E8 2B 40 B9 1F 01 00 71 A0 06 00 54 F1 1F 40 FD F0 23 40 FD 30 2A 70 1E F0 2F 00 FD F0 2F 40 FD F0 3B 00 FD E8 3B 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 7D 60 92 E8 0B 00 F9 E8 0B 40 F9 E8 3F 00 F9 F0 3F 40 FD F0 33 00 FD F1 33 40 FD F0 1F 40 FD 31 3A 70 1E F0 23 40 FD 10 3A 71 1E F0 4B 00 FD 11 10 7E 1E F0 2F 40 FD 30 1A 70 1E F0 37 00 FD F0 37 40 FD F0 43 00 FD E8 43 40 F9 E8 0B 00 F9 E8 0B 40 F9 08 7D 60 92 E8 0B 00 F9 E8 0B 40 F9 E8 47 00 F9 F0 47 40 FD F0 2B 00 FD F1 2B 40 FD F0 33 40 FD 31 0A 70 1E 10 10 6E 1E 12 2A 71 1E F1 2B 40 FD F0 4B 40 FD 30 0A 70 1E 51 2A 70 1E F0 37 40 FD 11 0A 71 1E F0 2B 40 FD 00 2A 71 1E 00 40 60 1E 06 00 00 14 05 00 00 14 F1 1F 40 FD F0 23 40 FD 20 2A 70 1E 00 40 60 1E FF 83 02 91 C0 03 5F D6 1F 20 03 D5 C3 F5 28 5C 8F C2 E5 3F 00 00 00 00 00 00 00 00 C3 F5 28 5C 8F C2 E5 BF 5A 38 9C 28 AF 5D 2D 3F BB 9A 56 C7 24 7C 97 BF 4A 56 38 66 0F D5 D7 3F F8 98 6D EF 17 75 2E 3F CF 0A 0A F8 F4 B0 9A 3F 0F B9 9E 49 46 80 E0 BF B8 40 AA 8C CB DF F1 3F }
	condition:
		$1
}

rule file_570_9_0 {
	meta:
		name = "_ismbcdigit_l"
		size = 144
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003c _isctype_l 0050 _chvalidator_l 0068 __dcrt_multibyte_check_type"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? 7F FE 03 71 E8 01 00 54 E8 0F 40 F9 08 09 40 B9 1F 05 00 71 CD 00 00 54 E2 63 00 91 81 00 80 52 60 02 00 11 ?? ?? ?? ?? 0B 00 00 14 82 00 80 52 61 02 00 11 E0 63 00 91 ?? ?? ?? ?? 06 00 00 14 23 00 80 52 82 00 80 52 E1 63 00 91 60 02 00 11 ?? ?? ?? ?? E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_571_0_0 {
	meta:
		name = "_putw"
		size = 368
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FM@DMFBEADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1M@LOGHDBHD@?$AA_?$AAp?$AAu?$AAt?$AAw?$AA?$AA@ 00c4 _invalid_parameter 00dc _lock_file 0130 _fputc_nolock 013c ferror 0160 _unlock_file"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 23 00 B9 A1 0B 00 F9 A8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 27 00 00 14 08 00 80 12 A8 27 00 B9 A0 0B 40 F9 ?? ?? ?? ?? A8 83 00 91 A8 1F 00 F9 A8 1F 40 F9 08 11 00 91 A8 27 00 F9 A8 1F 40 F9 A8 17 00 F9 04 00 00 14 A8 17 40 F9 08 05 00 91 A8 17 00 F9 A9 27 40 F9 A8 17 40 F9 1F 01 09 EB 00 01 00 54 A8 17 40 F9 00 01 C0 39 00 00 00 11 A1 0B 40 F9 00 00 00 11 ?? ?? ?? ?? F3 FF FF 17 A0 0B 40 F9 ?? ?? ?? ?? A0 37 00 B9 A8 37 40 B9 1F 01 00 71 40 00 00 54 03 00 00 14 A8 23 40 B9 A8 27 00 B9 A0 0B 40 F9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_572_0_0 {
	meta:
		name = "log1pf"
		size = 268
		refs = "0010 _fdtest 007c _fperrraise 0080 _FNan_C 00a8 _FInf_C 00d4 logf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 01 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 09 00 71 40 00 00 54 08 00 00 14 E0 17 40 BD 2D 00 00 14 E8 2F 40 79 08 01 00 11 68 00 78 37 E0 17 40 BD 28 00 00 14 11 10 3E 1E F0 17 40 BD 00 22 31 1E E2 00 00 54 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 00 14 1E 00 00 14 11 10 3E 1E F0 17 40 BD 00 22 31 1E 21 01 00 54 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 21 1E 00 40 20 1E 13 00 00 14 12 00 00 14 11 10 2E 1E F0 17 40 BD 30 2A 30 1E F0 1F 00 BD E0 1F 40 BD ?? ?? ?? ?? E0 23 00 BD F1 1F 40 BD 10 10 2E 1E 31 3A 30 1E F0 17 40 BD 31 3A 30 1E F0 1F 40 BD 31 1A 30 1E F0 23 40 BD 00 3A 31 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_573_5_0 {
	meta:
		name = "_mbschr_l"
		size = 284
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GO@OOFCHENI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 _CrtDbgReportW 0058 _errno 0064 ??_C@_1BE@JKKFLIKJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 007c _invalid_parameter 0098 strchr"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 11 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? 33 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 C3 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1D 00 00 14 EC 13 40 F9 88 09 40 B9 A8 00 00 35 81 02 00 11 60 02 00 91 ?? ?? ?? ?? 17 00 00 14 6A 02 40 39 2A 02 00 34 48 1D 00 53 88 C1 28 8B 60 02 00 91 09 65 40 39 09 01 10 36 73 06 00 91 6B 02 40 39 8B 01 00 34 69 21 0A 2A 9F 02 09 6B 40 01 00 54 03 00 00 14 9F 02 0A 6B 60 00 00 54 73 06 00 91 EF FF FF 17 9F 02 0A 6B 60 02 00 91 40 00 00 54 00 00 80 D2 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_576_0_0 {
	meta:
		name = "??$common_tcsncpy_s@_W@@YAHQEA_W_KQEB_W1@Z"
		size = 1732
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0154 _CrtGetDebugFillThreshold 01b0 memset 0294 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0518 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 055c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 3F 00 F9 E3 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 21 01 00 54 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 9F 01 00 14 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 6C 01 00 14 E8 2B 40 F9 1F 01 00 F1 21 05 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E8 0B 40 F9 09 05 00 D1 E8 43 40 F9 1F 01 09 EB 82 00 00 54 E8 43 40 F9 E8 47 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 47 00 F9 E9 47 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 41 01 00 14 E8 3F 40 F9 1F 01 00 F1 E1 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 4B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4F 00 F9 E9 4F 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 E8 00 00 14 E8 13 40 F9 E8 17 00 F9 E8 3F 40 F9 E8 1B 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 2B 40 F9 E8 2F 00 F9 E8 2B 40 F9 1F 05 00 B1 41 03 00 54 E9 17 40 F9 E8 1B 40 F9 08 01 40 79 28 01 00 79 E8 17 40 F9 08 01 40 79 08 01 00 11 E8 6B 00 B9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 E8 6B 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 25 00 00 14 E9 17 40 F9 E8 1B 40 F9 08 01 40 79 28 01 00 79 E8 17 40 F9 08 01 40 79 08 01 00 11 E8 6F 00 B9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 E8 6F 40 B9 1F 01 00 71 C0 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 09 01 00 54 E8 2F 40 F9 08 05 00 D1 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 49 00 00 54 E3 FF FF 17 E8 2F 40 F9 1F 01 00 F1 81 00 00 54 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 1F 01 00 F1 01 0D 00 54 E8 2B 40 F9 1F 05 00 B1 61 01 00 54 E8 0B 40 F9 09 05 00 D1 48 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 79 00 0A 80 52 90 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 53 00 F9 E8 0B 40 F9 09 05 00 D1 E8 53 40 F9 1F 01 09 EB 82 00 00 54 E8 53 40 F9 E8 57 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 57 00 F9 E9 57 40 F9 48 00 80 D2 22 7D 08 9B E8 13 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 36 00 00 14 E8 0B 40 F9 1F 05 00 B1 40 06 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB C0 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB E2 04 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 5B 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 5B 40 F9 1F 01 09 EB 82 00 00 54 E8 5B 40 F9 E8 5F 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 5F 00 F9 E9 5F 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 13 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_577_0_0 {
	meta:
		name = "_dunscale"
		size = 376
		refs = "00f4 _dnorm"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 29 1C 12 08 7D 04 13 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F FD 1F 71 C1 04 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 0D 00 12 1F 01 00 71 A1 02 00 54 E8 0F 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 21 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 48 00 80 52 E8 17 00 B9 E8 17 40 B9 00 3D 00 13 00 00 00 11 27 00 00 14 26 00 00 14 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 4B 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8C 02 00 54 E8 0F 40 F9 08 19 00 91 08 01 40 79 08 01 00 11 08 51 11 12 0A 21 1B 32 E8 0F 40 F9 09 19 00 91 48 3D 00 53 28 01 00 79 E8 23 C0 79 08 01 00 11 08 F9 0F 51 09 3D 00 13 E8 13 40 F9 09 01 00 79 00 00 80 12 06 00 00 14 05 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_577_1_0 {
	meta:
		name = "_fdunscale"
		size = 328
		refs = "00c4 _fdnorm"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 17 40 F9 E8 0F 00 F9 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 1D 19 12 08 7D 07 13 08 3D 00 13 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F FD 03 71 41 03 00 54 E9 13 40 F9 08 00 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 19 00 12 1F 01 00 71 21 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 48 00 80 52 E8 17 00 B9 E8 17 40 B9 00 3D 00 13 00 00 00 11 27 00 00 14 26 00 00 14 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 4B 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 01 00 71 8C 02 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 5D 11 12 0A 15 18 32 E8 0F 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E8 23 C0 79 08 01 00 11 08 F9 01 51 09 3D 00 13 E8 13 40 F9 09 01 00 79 00 00 80 12 06 00 00 14 05 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_577_2_0 {
	meta:
		name = "_ldunscale"
		size = 44
		refs = "0018 _dunscale"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 23 00 79 E0 23 C0 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_578_0_0 {
	meta:
		name = "_controlfp_s"
		size = 364
		refs = "0050 _control87 0098 ??_C@_1DG@JNDMIEJL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b0 ??_C@_1FO@HHLKCIKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00bc _CrtDbgReportW 00e4 _errno 0108 ??_C@_1BK@CDOALEA@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$AA@ 0118 _invalid_parameter"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 17 00 B9 E2 13 00 B9 E8 13 40 B9 08 79 0C 12 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 29 01 08 0A E8 09 00 18 28 01 08 0A 1F 01 00 71 60 07 00 54 E8 13 40 F9 1F 01 00 F1 00 01 00 54 01 00 80 52 00 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 13 40 F9 E8 2B 40 B9 28 01 00 B9 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 10 00 00 14 E8 13 40 F9 1F 01 00 F1 20 01 00 54 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 33 00 B9 E9 13 40 F9 E8 33 40 B9 28 01 00 B9 04 00 00 14 E1 13 40 B9 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 E0 FC F0 FC }
	condition:
		$1
}

rule file_579_2_0 {
	meta:
		name = "uninitialize_c"
		size = 20
		altNames = "__acrt_uninitialize_command_line uninitialize_global_state_isolation"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_4_0 {
	meta:
		name = "uninitialize_environment"
		size = 52
		refs = "0024 __dcrt_uninitialize_environments_nolock"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 03 00 00 14 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_7_0 {
	meta:
		name = "initialize_pointers"
		size = 116
		refs = "000c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0030 ??$?BX@__crt_fast_encoded_nullptr_t@@QEBAPEAXXZ 0044 __acrt_initialize_invalid_parameter_handler 004c __acrt_initialize_new_handler 0054 __acrt_initialize_signal_handlers 005c __acrt_initialize_user_matherr 0064 __acrt_initialize_thread_local_exit_callback"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 00 00 80 D2 ?? ?? ?? ?? E0 43 00 39 E9 47 00 91 29 01 00 91 E8 43 00 91 08 01 00 91 08 01 C0 39 28 01 00 39 E0 47 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_8_0 {
	meta:
		name = "uninitialize_vcruntime"
		size = 36
		refs = "0010 __vcrt_uninitialize"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 47 00 39 00 00 80 52 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_9_0 {
	meta:
		name = "uninitialize_allocated_memory"
		size = 168
		refs = "0020 __acrt_current_multibyte_data 0028 ??$uninitialize@V<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAX$$QEAV<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@Z 0030 __acrt_stdout_buffer 0038 _free_dbg 004c __acrt_stderr_buffer 0068 __argv 0084 __wargv"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 47 00 39 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E1 43 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_10_0 {
	meta:
		name = "report_memory_leaks"
		size = 56
		refs = "0010 _CrtSetDbgFlag 0024 _CrtSetDumpClient 0028 _CrtDumpMemoryLeaks"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 00 00 80 12 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 88 00 28 36 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_18_0 {
	meta:
		name = "__acrt_initialize"
		size = 52
		refs = "0008 __acrt_initializers 0020 __acrt_execute_initializers"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 01 C1 03 91 21 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_19_0 {
	meta:
		name = "__acrt_thread_attach"
		size = 48
		refs = "0008 __acrt_getptd_noexit"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_21_0 {
	meta:
		name = "__acrt_uninitialize"
		size = 56
		refs = "000c __acrt_initializers 0024 __acrt_execute_uninitializers"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 47 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 01 C1 03 91 21 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_579_22_0 {
	meta:
		name = "__acrt_uninitialize_critical"
		size = 32
		refs = "0010 __acrt_uninitialize_ptd"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 E0 43 40 39 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "_intrin_sqrtf"
		size = 28
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD F0 03 40 BD 00 C2 21 1E 00 40 20 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_580_1_0 {
	meta:
		name = "sqrtf"
		size = 276
		refs = "004c _handle_nanf 0088 ??_C@_05KGFAIMPG@sqrtf?$AA@ 0090 _handle_errorf 00f4 _intrin_sqrtf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD F0 17 40 BD F0 1B 00 BD E8 1B 40 B9 E8 13 00 B9 E8 13 40 B9 09 1D 09 12 08 F0 AF 52 3F 01 08 6B A1 03 00 54 E8 13 40 B9 08 59 00 12 1F 01 00 71 20 01 00 54 E8 13 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 1F 00 BD E0 1F 40 BD 2C 00 00 14 11 00 00 14 E8 13 40 B9 E8 01 F8 36 26 00 80 52 21 05 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 BD E0 23 40 BD 1B 00 00 14 E8 13 40 B9 68 02 F8 36 E8 13 40 B9 08 79 00 12 1F 01 00 71 E0 01 00 54 26 00 80 52 A1 02 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 A1 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 00 BD E0 27 40 BD 07 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 2B 00 BD F0 2B 40 BD F0 2F 00 BD E0 2F 40 BD FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "_logbf"
		size = 372
		refs = "0060 ??_C@_06NFPIKLH@_logbf?$AA@ 0068 _handle_errorf"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD F0 1B 40 BD F0 1F 00 BD E8 1F 40 B9 E8 13 00 B9 E8 13 40 B9 08 1D 09 12 08 7D 17 53 08 FD 01 51 E8 17 00 B9 E8 13 40 B9 08 79 00 12 1F 01 00 71 01 02 00 54 26 00 80 52 61 09 00 1C E0 1B 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 BF D2 A1 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 BD E0 23 40 BD 3D 00 00 14 3C 00 00 14 E9 17 40 B9 A8 0F 80 12 1F 01 09 6B 2C 01 00 54 E8 17 40 B9 1F FD 01 71 CC 00 00 54 E8 17 40 B9 00 01 22 1E 00 40 20 1E 31 00 00 14 30 00 00 14 E8 17 40 B9 1F FD 01 71 4D 03 00 54 E8 13 40 B9 08 59 00 12 1F 01 00 71 81 00 00 54 E0 1B 40 BD 27 00 00 14 12 00 00 14 E8 13 40 B9 08 01 0A 32 02 7D 40 D3 26 00 80 52 61 04 00 1C E0 1B 40 BD 25 04 80 52 04 00 80 52 23 00 80 52 42 00 00 91 A1 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 00 BD E0 27 40 BD 15 00 00 14 14 00 00 14 E8 13 40 B9 08 59 00 12 E8 13 00 B9 A8 0F 80 12 E8 17 00 B9 09 10 A0 52 E8 13 40 B9 1F 01 09 6B 02 01 00 54 E8 13 40 B9 08 79 1F 53 E8 13 00 B9 E8 17 40 B9 08 05 00 51 E8 17 00 B9 F6 FF FF 17 E8 17 40 B9 00 01 22 1E 00 40 20 1E FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_584_4_0 {
	meta:
		name = "_wcsnicoll"
		size = 972
		refs = "0014 __acrt_locale_changed 0060 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BG@PCPANGGF@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 03b8 _wcsnicoll_l"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 27 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 01 1C 00 54 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 B7 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 87 00 00 14 E9 7B 40 B2 E8 27 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 56 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 43 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 43 00 B9 E8 43 40 B9 08 3D 00 53 E8 27 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 47 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 47 00 B9 E8 47 40 B9 08 3D 00 53 E8 2B 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 27 40 F9 08 05 00 D1 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 60 01 00 54 E8 27 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 3F 01 08 6B 60 F7 FF 54 E9 27 40 79 29 01 00 11 E8 2B 40 79 08 01 00 11 20 01 08 4B 00 00 00 11 09 00 00 14 08 00 00 14 03 00 80 D2 E2 27 40 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E0 5F 40 B9 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_584_5_0 {
	meta:
		name = "_wcsnicoll_l"
		size = 1176
		refs = "0060 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BK@EONLMOKH@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0278 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0284 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 03dc ??1_LocaleUpdate@@QEAA@XZ 042c __acrt_CompareStringW"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 17 00 F9 E3 47 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 1A 01 00 14 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 EA 00 00 14 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 BA 00 00 14 E9 7B 40 B2 E8 17 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5F 00 B9 E9 5F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 89 00 00 14 E1 47 40 F9 E0 A3 02 91 ?? ?? ?? ?? E0 67 00 F9 E0 A3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 21 0A 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 4B 00 B9 05 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 08 3D 00 53 E8 23 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 4F 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 4F 00 B9 E8 4F 40 B9 08 3D 00 53 E8 27 00 79 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 17 40 F9 08 05 00 D1 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 60 01 00 54 E8 23 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 60 F7 FF 54 E9 23 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 28 01 08 4B E8 63 00 B9 E0 A3 02 91 ?? ?? ?? ?? E0 63 40 B9 2B 00 00 14 E0 A3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E8 17 40 F9 05 01 00 11 E8 17 40 F9 03 01 00 11 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 A5 00 00 11 E4 0F 40 F9 63 00 00 11 E2 13 40 F9 21 00 82 52 00 01 40 F9 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 53 00 B9 E9 53 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 6B 00 B9 E0 A3 02 91 ?? ?? ?? ?? E0 6B 40 B9 07 00 00 14 E8 53 40 B9 08 09 00 51 E8 6F 00 B9 E0 A3 02 91 ?? ?? ?? ?? E0 6F 40 B9 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_585_0_0 {
	meta:
		name = "__initialize_lconv_for_unsigned_char"
		size = 104
		refs = "0000 __acrt_lconv_c"
	strings:
		$1 = { ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_586_0_0 {
	meta:
		name = "_calloc_base"
		size = 288
		refs = "003c _errno 0098 __acrt_heap 00a0 __imp_HeapAlloc 00cc _query_new_mode 00e4 _callnewh"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E8 0F 40 F9 1F 01 00 F1 00 02 00 54 E9 03 80 92 E8 0F 40 F9 48 00 00 B5 80 00 3E D4 29 09 C8 9A E8 13 40 F9 3F 01 08 EB 02 01 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 31 00 00 14 E9 0F 40 F9 E8 13 40 F9 28 7D 08 9B E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 81 00 00 54 28 00 80 D2 E8 1B 00 F9 03 00 00 14 E8 17 40 F9 E8 1B 00 F9 E8 1B 40 F9 E8 23 00 F9 E2 23 40 F9 01 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 60 00 00 54 E0 1F 40 F9 14 00 00 14 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 E0 00 00 54 E0 23 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 02 00 00 14 DF FF FF 17 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_587_0_0 {
	meta:
		name = "conjl"
		size = 84
		refs = "0018 creall 0030 cimagl"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E1 17 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD F0 1B 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0F 00 FD F0 0F 40 FD 10 42 61 1E F0 1F 00 FD E0 1B 40 FD E1 1F 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_606_0_0 {
	meta:
		name = "conj"
		size = 84
		refs = "0018 creal 0030 cimag"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 FD E1 17 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0B 00 FD F0 0B 40 FD F0 1B 00 FD E1 17 40 FD E0 13 40 FD ?? ?? ?? ?? E0 0F 00 FD F0 0F 40 FD 10 42 61 1E F0 1F 00 FD E0 1B 40 FD E1 1F 40 FD FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_1_0 {
	meta:
		name = "??$translate_text_mode_nolock@D@@YAHHQEAD_K@Z"
		size = 1376
		refs = "0028 __pioinfo 03dc __imp_ReadFile 04c4 ?store_lookahead@@YAXHD@Z 0514 _lseeki64_nolock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 17 00 F9 E2 1F 00 F9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 27 00 F9 E8 1F 40 F9 1F 01 00 F1 80 05 00 54 E8 17 40 F9 08 01 C0 39 08 01 00 11 1F 29 00 71 E1 04 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1E 32 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 26 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1D 12 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E9 17 40 F9 E8 1F 40 F9 28 01 08 8B E8 23 00 F9 E8 17 40 F9 E8 13 00 F9 E8 17 40 F9 E8 0F 00 F9 E9 23 40 F9 E8 13 40 F9 1F 01 09 EB 82 1B 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 69 00 71 A1 08 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 04 30 37 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1F 32 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 0B 00 00 14 E9 0F 40 F9 E8 13 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 93 00 00 14 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 35 00 71 80 01 00 54 E9 0F 40 F9 E8 13 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 A4 FF FF 17 E8 13 40 F9 09 05 00 91 E8 23 40 F9 3F 01 08 EB 82 03 00 54 E8 13 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 29 00 71 61 01 00 54 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E9 0F 40 F9 48 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 0B 00 00 14 E9 0F 40 F9 E8 13 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 13 40 F9 08 05 00 91 E8 13 00 F9 84 FF FF 17 E8 13 40 F9 08 05 00 91 E8 13 00 F9 04 00 80 D2 E3 D3 00 91 22 00 80 52 E1 53 00 91 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 B9 E8 33 40 B9 1F 01 00 71 80 00 00 54 E8 37 40 B9 1F 01 00 71 01 01 00 54 E9 0F 40 F9 A8 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 6B FF FF 17 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 09 01 40 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 C0 02 00 54 E8 53 C0 39 08 01 00 11 1F 29 00 71 01 01 00 54 E9 0F 40 F9 48 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 0A 00 00 14 E9 0F 40 F9 A8 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E1 53 C0 39 E0 13 40 B9 ?? ?? ?? ?? 1E 00 00 14 E8 53 C0 39 08 01 00 11 1F 29 00 71 81 01 00 54 E9 17 40 F9 E8 0F 40 F9 1F 01 09 EB 01 01 00 54 E9 0F 40 F9 48 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 0F 00 00 14 22 00 80 52 01 00 80 92 E0 13 40 B9 ?? ?? ?? ?? E8 53 C0 39 08 01 00 11 1F 29 00 71 E0 00 00 54 E9 0F 40 F9 A8 01 80 52 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 22 FF FF 17 E9 0F 40 F9 E8 17 40 F9 28 01 08 CB 00 01 00 11 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_2_0 {
	meta:
		name = "??$translate_text_mode_nolock@_W@@YAHHQEA_W_K@Z"
		size = 1396
		refs = "0028 __pioinfo 03e4 __imp_ReadFile 04cc ?store_lookahead@@YAXH_W@Z 051c _lseeki64_nolock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 E2 23 00 F9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 2B 00 F9 E8 23 40 F9 1F 01 00 F1 80 05 00 54 E8 1B 40 F9 08 01 40 79 08 01 00 11 1F 29 00 71 E1 04 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1E 32 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 26 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1D 12 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E9 23 40 F9 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 27 00 F9 E8 1B 40 F9 E8 17 00 F9 E8 1B 40 F9 E8 0F 00 F9 E9 27 40 F9 E8 17 40 F9 1F 01 09 EB 82 1B 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 69 00 71 A1 08 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 04 30 37 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1F 32 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 0B 00 00 14 E9 0F 40 F9 E8 17 40 F9 08 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 93 00 00 14 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 35 00 71 80 01 00 54 E9 0F 40 F9 E8 17 40 F9 08 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 A4 FF FF 17 E8 17 40 F9 09 09 00 91 E8 27 40 F9 3F 01 08 EB 82 03 00 54 E8 17 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 29 00 71 61 01 00 54 E8 17 40 F9 08 11 00 91 E8 17 00 F9 E9 0F 40 F9 48 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 0B 00 00 14 E9 0F 40 F9 E8 17 40 F9 08 01 40 79 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 17 40 F9 08 09 00 91 E8 17 00 F9 84 FF FF 17 E8 17 40 F9 08 09 00 91 E8 17 00 F9 04 00 80 D2 E3 F3 00 91 42 00 80 52 E1 83 00 91 E0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 80 00 00 54 E8 3F 40 B9 1F 01 00 71 01 01 00 54 E9 0F 40 F9 A8 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 6B FF FF 17 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 09 01 40 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 C0 02 00 54 E8 43 40 79 08 01 00 11 1F 29 00 71 01 01 00 54 E9 0F 40 F9 48 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 0A 00 00 14 E9 0F 40 F9 A8 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E1 43 40 79 E0 13 40 B9 ?? ?? ?? ?? 1E 00 00 14 E8 43 40 79 08 01 00 11 1F 29 00 71 81 01 00 54 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 01 01 00 54 E9 0F 40 F9 48 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 0F 00 00 14 22 00 80 52 21 00 80 92 E0 13 40 B9 ?? ?? ?? ?? E8 43 40 79 08 01 00 11 1F 29 00 71 E0 00 00 54 E9 0F 40 F9 A8 01 80 52 28 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 22 FF FF 17 E9 0F 40 F9 E8 1B 40 F9 28 01 08 CB 09 FD 41 93 48 00 80 D2 28 7D 08 9B 00 01 00 11 00 00 00 11 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_8_0 {
	meta:
		name = "?store_lookahead@@YAXHD@Z"
		size = 92
		refs = "0020 __pioinfo"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 39 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E9 00 91 E8 03 C0 39 28 01 00 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_9_0 {
	meta:
		name = "?store_lookahead@@YAXH_W@Z"
		size = 256
		refs = "0028 __pioinfo"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 79 E8 03 00 91 E8 07 00 F9 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E9 00 91 E8 07 40 F9 08 01 C0 39 28 01 00 39 E8 07 40 F9 0B 05 00 91 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 ED 00 91 68 01 C0 39 28 01 00 39 E8 07 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 07 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 F1 00 91 48 01 80 52 28 01 00 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_10_0 {
	meta:
		name = "?translate_ansi_or_utf8_nolock@@YAHHQEAD_KQEA_W1@Z"
		size = 1312
		refs = "0028 ??$translate_text_mode_nolock@D@@YAHHQEAD_K@Z 0060 __pioinfo 00a8 ??_C@_1KG@LJECICMN@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAv?$AAo?$AAi?$AAd?$AA?5?$AAc?$AAo?$AAn?$AAs?$AAt?$AA?$CK?$AA?$DO?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00cc _CrtDbgReportW 0148 _lookuptrailbytes 01d8 _errno 03c8 _lseeki64_nolock 03fc __imp_MultiByteToWideChar 0420 __imp_GetLastError 0434 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E1 1B 00 F9 E2 2F 00 F9 E3 2B 00 F9 E4 37 00 F9 E2 2F 40 F9 E1 1B 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 34 01 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 1F 01 00 71 E1 02 00 54 E9 2B 40 F9 E8 1B 40 F9 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 27 40 B9 0B 01 00 14 E8 27 40 B9 09 7D 40 93 E8 1B 40 F9 08 01 09 8B 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 08 01 C0 39 08 01 00 11 A8 00 38 37 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 AA 00 00 14 28 00 80 52 E8 23 00 B9 E8 0F 40 F9 08 01 C0 39 08 1D 00 53 09 01 00 11 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 C0 39 08 01 00 11 1F 01 00 71 E1 01 00 54 E8 23 40 B9 1F 11 00 71 88 01 00 54 E9 1B 40 F9 E8 0F 40 F9 1F 01 09 EB 03 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 23 40 B9 08 05 00 11 E8 23 00 B9 E6 FF FF 17 E8 0F 40 F9 08 01 C0 39 08 1D 00 53 09 01 00 11 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 C0 39 08 01 00 11 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 48 05 80 52 28 01 00 B9 00 00 80 12 CA 00 00 14 E8 3B 40 B9 09 05 00 11 E8 23 40 B9 3F 01 08 6B E1 00 00 54 E8 23 40 B9 09 7D 40 D3 E8 0F 40 F9 08 01 09 8B E8 0F 00 F9 6C 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 09 01 40 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 E0 09 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E9 00 91 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 1F 09 00 71 E3 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 ED 00 91 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 1F 0D 00 71 E1 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 F1 00 91 E8 0F 40 F9 08 01 C0 39 28 01 00 39 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 23 40 B9 09 7D 40 D3 E8 0F 40 F9 08 01 09 CB E8 0F 00 F9 08 00 00 14 E8 23 40 B9 E8 03 08 4B 01 7D 40 93 22 00 80 52 21 00 00 91 E0 13 40 B9 ?? ?? ?? ?? E8 37 40 F9 05 01 00 11 E9 0F 40 F9 E8 1B 40 F9 28 01 08 CB 03 01 00 11 A5 00 00 11 E4 2B 40 F9 63 00 00 11 E2 1B 40 F9 01 00 80 52 20 BD 9F 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 47 00 B9 E8 47 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4B 00 B9 E0 4B 40 B9 ?? ?? ?? ?? 00 00 80 12 37 00 00 14 E9 0F 40 F9 E8 1B 40 F9 28 01 08 CB 09 01 00 11 E8 2B 40 B9 1F 01 09 6B 80 00 00 54 28 00 80 52 E8 53 00 39 03 00 00 14 08 00 80 52 E8 53 00 39 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 40 39 E8 53 40 39 0B 01 1F 33 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 E8 2B 40 B9 09 7D 40 93 48 00 80 D2 28 7D 08 9B 00 01 00 11 00 00 00 11 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_11_0 {
	meta:
		name = "?translate_utf16_from_console_nolock@@YAHHQEA_W_K@Z"
		size = 432
		refs = "0070 __pioinfo"
	strings:
		$1 = { FF C3 00 D1 E0 03 00 B9 E1 0F 00 F9 E2 17 00 F9 E9 17 40 F9 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E8 13 00 F9 E8 0F 40 F9 E8 07 00 F9 E8 0F 40 F9 E8 0B 00 F9 E9 13 40 F9 E8 07 40 F9 1F 01 09 EB 22 0A 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 69 00 71 E1 04 00 54 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1F 32 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 26 00 00 14 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 35 00 71 C1 02 00 54 E8 07 40 F9 09 09 00 91 E8 13 40 F9 3F 01 08 EB 22 02 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 29 00 71 61 01 00 54 E8 07 40 F9 08 11 00 91 E8 07 00 F9 E9 0B 40 F9 48 01 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 B8 FF FF 17 E9 0B 40 F9 E8 07 40 F9 08 01 40 79 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 AD FF FF 17 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 FD 41 93 48 00 80 D2 28 7D 08 9B 00 01 00 11 00 00 00 11 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_588_12_0 {
	meta:
		name = "_read"
		size = 1072
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1M@NHJOLLDM@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0288 ??_C@_1CO@OPEPDLLF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 032c __acrt_lowio_lock_fh 03b8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0408 _read_nolock 041c __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 13 00 B9 A1 4F 00 F9 A2 2F 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 F5 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 37 00 B9 A9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 BB 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3B 00 B9 A9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 43 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 76 00 00 14 09 00 B0 12 A8 2F 40 B9 1F 01 09 6B 88 00 00 54 28 00 80 52 A8 27 00 B9 03 00 00 14 08 00 80 52 A8 27 00 B9 A8 27 40 B9 A8 2B 00 B9 A8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 3F 00 B9 A9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 40 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 33 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 47 00 F9 A9 47 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 4B 00 F9 A9 4B 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 30 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 00 14 A2 2F 40 B9 A1 4F 40 F9 A0 13 40 B9 ?? ?? ?? ?? A0 47 00 B9 A8 47 40 B9 A8 33 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 33 40 B9 FD 7B CA A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_588_14_0 {
	meta:
		name = "_read_nolock"
		size = 4076
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1BK@JJBHNDKJ@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0288 ??_C@_1DM@JEAHBMKI@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 03bc ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 04f4 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 0568 ??_C@_1DI@CDGOMPDO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 060c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 065c ??_C@_0CO@JFNFJHLC@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 066c _malloc_dbg 0694 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z 06a4 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 070c _lseeki64_nolock 07a4 ??_C@_1DM@HGBOAKPP@?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0c38 _isatty 0ca0 __imp_GetConsoleMode 0d1c __imp_ReadConsoleW 0d38 __imp_GetLastError 0d4c __acrt_errno_map_os_error 0da4 __imp_ReadFile 0f2c ?translate_ansi_or_utf8_nolock@@YAHHQEAD_KQEA_W1@Z 0f7c ?translate_utf16_from_console_nolock@@YAHHQEA_W_K@Z 0fbc ??$translate_text_mode_nolock@_W@@YAHHQEA_W_K@Z"
	strings:
		$1 = { FD 7B A3 A9 FD 03 00 91 E0 13 00 B9 E1 3F 00 F9 E2 27 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 E5 03 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 3F 00 B9 03 00 00 14 08 00 80 52 E8 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 E3 00 B9 E9 E3 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 43 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 93 00 F9 E9 93 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 AB 03 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 47 00 B9 03 00 00 14 08 00 80 52 E8 47 00 B9 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 E7 00 B9 E9 E7 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 97 00 F9 E9 97 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 9B 00 F9 E9 9B 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 83 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 66 03 00 14 09 00 B0 12 E8 27 40 B9 1F 01 09 6B 88 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 EB 00 B9 E9 EB 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 9F 00 F9 E9 9F 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 A3 00 F9 E9 A3 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 33 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 30 03 00 14 E8 27 40 B9 1F 01 00 71 80 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 08 36 00 00 80 52 18 03 00 14 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 57 00 B9 03 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 83 00 B9 E9 83 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 5B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 A7 00 F9 E9 A7 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 AB 00 F9 E9 AB 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 34 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 E3 02 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 08 01 40 F9 E8 7B 00 F9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 E8 53 00 39 01 00 80 D2 E0 C3 00 91 ?? ?? ?? ?? E0 E7 00 F9 E8 53 C0 39 08 01 00 11 E8 5F 00 B9 E8 5F 40 B9 1F 05 00 71 A0 00 00 54 E8 5F 40 B9 1F 09 00 71 20 12 00 54 D2 00 00 14 EA 27 40 B9 49 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 81 00 00 54 28 00 80 52 E8 63 00 B9 03 00 00 14 08 00 80 52 E8 63 00 B9 E8 63 40 B9 E8 67 00 B9 E8 67 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 87 00 B9 E9 87 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 67 40 B9 1F 01 00 71 41 03 00 54 ?? ?? ?? ?? E0 AF 00 F9 E9 AF 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 B3 00 F9 E9 B3 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 E8 8B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 8B 40 B9 74 02 00 14 E9 27 40 B9 48 00 80 52 28 09 C8 1A 1F 11 00 71 82 00 00 54 88 00 80 52 E8 6B 00 B9 05 00 00 14 E9 27 40 B9 48 00 80 52 28 09 C8 1A E8 6B 00 B9 E8 6B 40 B9 E8 1B 00 B9 E8 1B 40 B9 00 7D 40 D3 23 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 B7 00 F9 E1 B7 40 F9 E0 03 06 91 ?? ?? ?? ?? E0 BB 00 F9 E8 BB 40 F9 E8 BF 00 F9 E1 BF 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 03 06 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 C7 00 F9 E8 C7 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 21 02 00 54 ?? ?? ?? ?? E0 CB 00 F9 E9 CB 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 CF 00 F9 E9 CF 40 F9 08 01 80 52 28 01 00 B9 08 00 80 12 E8 8F 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 8F 40 B9 3A 02 00 14 22 00 80 52 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 D3 00 F9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 C1 00 91 E8 D3 40 F9 28 01 00 F9 47 00 00 14 EA 27 40 B9 49 00 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 81 00 00 54 28 00 80 52 E8 6F 00 B9 03 00 00 14 08 00 80 52 E8 6F 00 B9 E8 6F 40 B9 E8 73 00 B9 E8 73 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 3A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 93 00 B9 E9 93 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 73 40 B9 1F 01 00 71 41 03 00 54 ?? ?? ?? ?? E0 D7 00 F9 E9 D7 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 DB 00 F9 E9 DB 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 3A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 12 E8 97 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 97 40 B9 E5 01 00 14 E8 27 40 B9 E8 1B 00 B9 E8 3F 40 F9 E8 17 00 F9 05 00 00 14 E8 27 40 B9 E8 1B 00 B9 E8 3F 40 F9 E8 17 00 F9 E8 17 40 F9 E8 7F 00 F9 08 00 80 52 E8 1F 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 09 01 40 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 C0 1A 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E9 00 91 08 01 C0 39 08 01 00 11 1F 29 00 71 40 18 00 54 E8 1B 40 B9 1F 01 00 71 E0 17 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E9 00 91 E9 17 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 08 05 00 11 E8 1F 00 B9 E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E9 00 91 48 01 80 52 28 01 00 39 E8 53 C0 39 1F 01 00 71 C0 11 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 ED 00 91 08 01 C0 39 08 01 00 11 1F 29 00 71 40 0F 00 54 E8 1B 40 B9 1F 01 00 71 E0 0E 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 ED 00 91 E9 17 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 08 05 00 11 E8 1F 00 B9 E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 ED 00 91 48 01 80 52 28 01 00 39 E8 53 C0 39 1F 05 00 71 C1 08 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F1 00 91 08 01 C0 39 08 01 00 11 1F 29 00 71 40 06 00 54 E8 1B 40 B9 1F 01 00 71 E0 05 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F1 00 91 E9 17 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 B9 08 05 00 11 E8 1F 00 B9 E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 F1 00 91 48 01 80 52 28 01 00 39 E0 13 40 B9 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 1F 01 00 71 00 04 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 A8 01 38 36 E1 03 04 91 E0 7B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 9F 00 B9 E8 9F 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 E8 53 C0 39 1F 09 00 71 01 05 00 54 E8 1B 40 B9 09 7D 40 D3 48 00 80 D2 28 09 C8 9A 02 01 00 11 04 00 80 D2 E3 B3 02 91 42 00 00 11 E1 17 40 F9 E0 7B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 A3 00 B9 E8 A3 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 A7 00 B9 E0 A7 40 B9 ?? ?? ?? ?? 08 00 80 12 E8 AB 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 AB 40 B9 A0 00 00 14 E8 AF 40 B9 09 7D 40 D3 48 00 80 D2 29 7D 08 9B E8 1F 40 B9 08 7D 40 93 08 01 09 8B 08 01 00 11 E8 1F 00 B9 41 00 00 14 04 00 80 D2 E3 D3 01 91 E2 1B 40 B9 E1 17 40 F9 E0 7B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 B3 00 B9 E8 B3 40 B9 1F 01 00 71 A0 00 00 54 E9 27 40 B9 E8 77 40 B9 1F 01 09 6B A9 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 B7 00 B9 E8 B7 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 15 00 71 41 02 00 54 ?? ?? ?? ?? E0 DF 00 F9 E9 DF 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 E3 00 F9 E9 E3 40 F9 E8 3B 40 B9 28 01 00 B9 08 00 80 12 E8 BB 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 BB 40 B9 6D 00 00 14 13 00 00 14 E8 3B 40 B9 1F B5 01 71 01 01 00 54 08 00 80 52 E8 BF 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 BF 40 B9 63 00 00 14 09 00 00 14 E0 3B 40 B9 ?? ?? ?? ?? 08 00 80 12 E8 C3 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 C3 40 B9 5A 00 00 14 E9 1F 40 B9 E8 77 40 B9 28 01 08 0B E8 1F 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 00 38 37 E8 1F 40 B9 E8 C7 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 C7 40 B9 3D 00 00 14 E8 53 C0 39 1F 09 00 71 A0 02 00 54 E8 27 40 B9 09 7D 40 D3 48 00 80 D2 24 09 C8 9A E8 1F 40 B9 02 7D 40 93 84 00 00 91 E3 3F 40 F9 42 00 00 91 E1 17 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 CB 00 B9 E8 CB 40 B9 E8 CF 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 CF 40 B9 27 00 00 14 24 00 00 14 E8 87 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 22 09 C8 9A 42 00 00 91 E1 7F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 D3 00 B9 E8 D3 40 B9 E8 D7 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 D7 40 B9 13 00 00 14 10 00 00 14 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 22 09 C8 9A 42 00 00 91 E1 7F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 DB 00 B9 E8 DB 40 B9 E8 DF 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 DF 40 B9 03 00 00 14 E0 C3 00 91 ?? ?? ?? ?? FD 7B DD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_589_9_0 {
	meta:
		name = "?close_os_handle_nolock@@YAKH@Z"
		size = 300
		refs = "0010 _get_osfhandle 0038 __pioinfo 00ec __imp_CloseHandle 0110 __imp_GetLastError"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 52 3F 00 00 14 E8 17 40 B9 1F 05 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 02 91 08 E1 00 91 08 01 40 39 08 01 00 11 C8 01 00 37 E8 17 40 B9 1F 09 00 71 01 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 01 91 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 37 08 00 80 52 E8 1B 00 B9 03 00 00 14 28 00 80 52 E8 1B 00 B9 E8 1B 40 B9 08 1D 00 53 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 01 00 54 20 00 80 52 ?? ?? ?? ?? E0 1F 00 F9 40 00 80 52 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 1F 40 F9 1F 01 09 EB 61 00 00 54 00 00 80 52 13 00 00 14 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 60 00 00 54 00 00 80 52 06 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 B9 E0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_589_10_0 {
	meta:
		name = "_close"
		size = 628
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1FO@IPDGALOE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_1O@EDEJGJBM@?$AA_?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0250 ??0<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@QEAA@AEBH@Z 0260 ??$__acrt_lowio_lock_fh_and_call@V<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@@YAHH$$QEAV<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 89 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 03 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 4F 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 23 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0A 00 00 14 E1 43 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_589_11_0 {
	meta:
		name = "_close_nolock"
		size = 152
		refs = "0010 ?close_os_handle_nolock@@YAKH@Z 0024 _free_osfhnd 003c __pioinfo 0080 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E0 13 40 B9 ?? ?? ?? ?? E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 08 00 80 52 28 01 00 39 E8 17 40 B9 1F 01 00 71 A0 00 00 54 E0 17 40 B9 ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_590_4_0 {
	meta:
		name = "_towlower_l"
		size = 476
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00b8 ??1_LocaleUpdate@@QEAA@XZ 00dc iswctype 0190 __acrt_LCMapStringW"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 23 00 79 E1 2B 00 F9 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 E0 23 40 79 6B 00 00 14 E1 2B 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 21 03 00 54 E8 23 40 79 08 01 00 11 1F 05 01 71 6B 01 00 54 E8 23 40 79 08 01 00 11 1F 69 01 71 EC 00 00 54 E8 23 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 23 00 B9 04 00 00 14 E8 23 40 79 08 01 00 11 E8 23 00 B9 E8 23 40 B9 08 3D 00 53 E8 27 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 27 40 79 45 00 00 14 E8 23 40 79 08 01 00 11 1F 01 04 71 6A 04 00 54 21 00 80 52 E0 23 40 79 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 01 01 00 54 E8 23 40 79 E8 2B 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 2B 40 79 34 00 00 14 15 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 01 00 91 08 01 40 F9 0A 41 04 91 E8 23 40 79 09 01 00 11 28 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 01 40 39 08 01 00 11 E8 2F 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 2F 40 79 1F 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 25 00 80 52 E4 6B 00 91 23 00 80 52 E2 43 00 91 01 20 80 52 00 01 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 E8 23 40 79 E8 33 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 33 40 79 06 00 00 14 E8 37 40 79 E8 3B 00 79 E0 C3 00 91 ?? ?? ?? ?? E0 3B 40 79 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_593_5_0 {
	meta:
		name = "_mbsnbcpy_l"
		size = 416
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 003c ??_C@_1HC@KMPHHLJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 _CrtDbgReportW 0068 _errno 008c ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 00d0 ??_C@_1BI@HCGBGHAL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 00e0 _invalid_parameter 012c strncpy"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 35 00 00 91 61 00 00 91 E0 43 00 91 76 02 00 91 54 00 00 91 ?? ?? ?? ?? B3 02 00 B5 94 02 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 06 80 52 ?? ?? ?? ?? 15 00 00 14 B5 04 00 B5 94 04 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 16 00 80 D2 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 C0 02 00 91 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 ED 13 40 F9 A8 09 40 B9 E8 00 00 35 82 02 00 91 A1 02 00 91 60 02 00 91 ?? ?? ?? ?? 16 00 00 91 ED FF FF 17 94 FD FF B4 AA 16 40 38 94 06 00 D1 48 01 0D 8B 09 65 40 39 09 02 10 36 6A 02 00 39 34 02 00 B4 AA 02 40 39 94 06 00 D1 B5 06 00 91 6A 06 00 39 73 0A 00 91 6A FE FF 35 7F E2 1F 38 B4 FB FF B4 69 02 14 8B 7F 02 09 EB 40 FB FF 54 7F 16 00 38 FD FF FF 17 6A 16 00 38 2A FF FF 34 E9 FF FF 17 7F 02 00 39 D3 FF FF 17 }
	condition:
		$1
}

rule file_594_5_0 {
	meta:
		name = "_mbbtombc_l"
		size = 192
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 ?mbbtable@@3QBGB 0060 ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 A1 03 00 54 69 82 00 51 3F 79 01 71 A8 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 13 59 69 78 16 00 00 14 7F 72 03 71 61 00 00 54 F3 71 90 52 12 00 00 14 68 86 02 51 1F F9 00 71 E8 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 0A 00 80 52 E9 14 80 52 7F 02 09 6B C0 00 00 54 4A 05 00 11 49 7D 7E 93 29 69 6B 38 69 FF FF 35 04 00 00 14 49 7D 7E 93 68 09 00 91 33 69 68 78 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_594_7_0 {
	meta:
		name = "_mbctombb_l"
		size = 228
		refs = "0014 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002c ?mbbtable@@3QBGB 0058 ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BD A9 FD 03 00 91 13 00 00 11 E0 43 00 91 ?? ?? ?? ?? E8 13 40 F9 08 05 40 B9 1F 91 0E 71 C1 04 00 54 0B 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 2A D9 6B 78 7F 02 0A 6B E0 03 00 54 6B 05 00 11 7F 79 01 71 4D FF FF 54 C8 72 90 52 7F 02 08 6B 48 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 0D 00 80 52 0C 00 80 D2 C8 09 00 91 89 69 68 78 6F 02 09 4B CF 01 00 34 29 01 13 4A 3F 1D 18 72 EE 09 40 7A AD 00 00 54 CB 05 00 91 8C 69 EB 38 EC 01 0C 4B CC 00 F8 37 AD 05 00 11 AC 7D 7E 93 88 69 6E 38 C8 00 00 34 F0 FF FF 17 A8 7D 7E 93 13 69 6E 38 02 00 00 14 73 81 00 11 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 60 02 00 11 FD 7B C3 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_595_3_0 {
	meta:
		name = "?eof@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_595_4_0 {
	meta:
		name = "?error@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_595_7_0 {
	meta:
		name = "feof"
		size = 252
		refs = "0040 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_19LPGIFIDB@?$AAf?$AAe?$AAo?$AAf?$AA?$AA@ 00c0 _invalid_parameter 00d4 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 00e0 ?eof@__crt_stdio_stream@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0B 00 00 14 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 00 00 00 11 00 00 00 11 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_595_8_0 {
	meta:
		name = "ferror"
		size = 252
		refs = "0040 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1O@MOPHEPGP@?$AAf?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00c0 _invalid_parameter 00d4 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 00e0 ?error@__crt_stdio_stream@@QEBA_NXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0B 00 00 14 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 00 00 00 11 00 00 00 11 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_596_1_0 {
	meta:
		name = "_free_base"
		size = 136
		refs = "0020 ?select_heap@@YAPEAXQEAX@Z 0034 __imp_HeapFree 0050 __imp_GetLastError 0064 __acrt_errno_from_os_error 006c _errno"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 41 00 00 54 1A 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E2 13 40 F9 01 00 80 52 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 A1 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 E8 1B 40 B9 28 01 00 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_2_0 {
	meta:
		name = "??$common_fdopen@D@@YAPEAU_iobuf@@HQEBD@Z"
		size = 1008
		refs = "000c __security_push_cookie 0054 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00d4 _invalid_parameter 0118 _nhandle 0154 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 01f4 __pioinfo 0254 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 02e4 ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z 034c ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0354 ?valid@__crt_stdio_stream@@QEBA_NXZ 0388 _cflush 03a4 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 03ac ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 03c8 ?unlock@__crt_stdio_stream@@QEBAXXZ 03d0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 03e0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 F3 03 00 91 60 06 00 B9 61 1E 00 F9 68 1E 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 68 12 00 B9 03 00 00 14 08 00 80 52 68 12 00 B9 68 12 40 B9 68 16 00 B9 68 16 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 2A 00 B9 69 2A 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 16 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 22 00 F9 69 22 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 C0 00 00 14 68 06 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? 60 26 00 F9 69 26 40 F9 28 01 80 52 28 01 00 B9 00 00 80 D2 B5 00 00 14 68 06 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 68 06 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 68 1A 00 B9 03 00 00 14 08 00 80 52 68 1A 00 B9 68 1A 40 B9 68 1E 00 B9 68 1E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 2E 00 B9 69 2E 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 1E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 2A 00 F9 69 2A 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 80 00 00 14 68 06 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B 68 06 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 68 22 00 B9 03 00 00 14 08 00 80 52 68 22 00 B9 68 22 40 B9 68 26 00 B9 68 26 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 32 00 B9 69 32 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 26 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 2E 00 F9 69 2E 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 40 00 00 14 60 1E 40 F9 ?? ?? ?? ?? 61 82 00 B9 60 3E 00 F9 6A 62 02 91 4A 01 00 91 69 E2 01 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 6A 22 02 91 4A 01 00 91 69 62 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 68 42 42 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 D2 26 00 00 14 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 02 00 39 68 02 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? 60 32 00 F9 69 32 40 F9 08 03 80 52 28 01 00 B9 00 00 80 D2 16 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 61 8E 40 B9 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 36 00 F9 68 36 40 F9 09 61 00 91 68 06 40 B9 28 01 00 B9 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 3A 00 F9 60 3A 40 F9 FF 83 02 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_4_0 {
	meta:
		name = "??$common_fdopen@_W@@YAPEAU_iobuf@@HQEB_W@Z"
		size = 1008
		refs = "000c __security_push_cookie 0054 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00d4 _invalid_parameter 0118 _nhandle 0154 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 01f4 __pioinfo 0254 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 02e4 ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z 034c ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0354 ?valid@__crt_stdio_stream@@QEBA_NXZ 0388 _cflush 03a4 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 03ac ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 03c8 ?unlock@__crt_stdio_stream@@QEBAXXZ 03d0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 03e0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 0B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 83 02 D1 F3 03 00 91 60 06 00 B9 61 1E 00 F9 68 1E 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 68 12 00 B9 03 00 00 14 08 00 80 52 68 12 00 B9 68 12 40 B9 68 16 00 B9 68 16 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 2A 00 B9 69 2A 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 16 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 22 00 F9 69 22 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 C0 00 00 14 68 06 40 B9 08 7D 40 93 1F 09 00 B1 01 01 00 54 ?? ?? ?? ?? 60 26 00 F9 69 26 40 F9 28 01 80 52 28 01 00 B9 00 00 80 D2 B5 00 00 14 68 06 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 68 06 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 68 1A 00 B9 03 00 00 14 08 00 80 52 68 1A 00 B9 68 1A 40 B9 68 1E 00 B9 68 1E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 2E 00 B9 69 2E 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 1E 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 2A 00 F9 69 2A 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 83 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 80 00 00 14 68 06 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B 68 06 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 68 22 00 B9 03 00 00 14 08 00 80 52 68 22 00 B9 68 22 40 B9 68 26 00 B9 68 26 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 60 32 00 B9 69 32 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 68 26 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? 60 2E 00 F9 69 2E 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 40 00 00 14 60 1E 40 F9 ?? ?? ?? ?? 61 82 00 B9 60 3E 00 F9 6A 62 02 91 4A 01 00 91 69 E2 01 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 6A 22 02 91 4A 01 00 91 69 62 02 91 29 01 00 91 28 01 40 F9 48 01 00 F9 28 09 40 B9 48 09 00 B9 68 42 42 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 D2 26 00 00 14 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 02 00 39 68 02 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? 60 32 00 F9 69 32 40 F9 08 03 80 52 28 01 00 B9 00 00 80 D2 16 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 61 8E 40 B9 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 36 00 F9 68 36 40 F9 09 61 00 91 68 06 40 B9 28 01 00 B9 60 22 00 91 ?? ?? ?? ?? 60 22 00 91 ?? ?? ?? ?? 60 3A 00 F9 60 3A 40 F9 FF 83 02 91 ?? ?? ?? ?? F3 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_3_0 {
	meta:
		name = "?fin$0@?0???$common_fdopen@D@@YAPEAU_iobuf@@HQEBD@Z@4HA"
		size = 24
		refs = "0008 ?unlock@__crt_stdio_stream@@QEBAXXZ"
		altNames = "?fin$0@?0???$common_fdopen@_W@@YAPEAU_iobuf@@HQEB_W@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 60 22 00 91 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_29_0 {
	meta:
		name = "_fdopen"
		size = 44
		refs = "0018 ??$common_fdopen@D@@YAPEAU_iobuf@@HQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_597_30_0 {
	meta:
		name = "_wfdopen"
		size = 44
		refs = "0018 ??$common_fdopen@_W@@YAPEAU_iobuf@@HQEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E1 0F 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_598_4_0 {
	meta:
		name = "_wcsncoll"
		size = 692
		refs = "0014 __acrt_locale_changed 0060 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0084 _CrtDbgReportW 00ac _errno 00d0 ??_C@_1BE@LPEBLEP@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 00e0 _invalid_parameter 0120 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 027c wcsncmp 02a0 _wcsncoll_l"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 23 00 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 41 13 00 54 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 71 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 41 00 00 14 E9 7B 40 B2 E8 23 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 B0 12 10 00 00 14 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E0 3B 40 B9 09 00 00 14 08 00 00 14 03 00 80 D2 E2 23 40 F9 E1 27 40 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_598_5_0 {
	meta:
		name = "_wcsncoll_l"
		size = 948
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0094 _CrtDbgReportW 00bc _errno 00e0 ??_C@_1BI@LICOALFC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00f0 _invalid_parameter 0100 ??1_LocaleUpdate@@QEAA@XZ 0140 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0214 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02b4 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 02e4 wcsncmp 0348 __acrt_CompareStringW"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 3B 00 F9 E1 37 00 F9 E2 1B 00 F9 E3 4F 00 F9 E8 1B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 E1 00 00 14 E1 4F 40 F9 E0 E3 01 91 ?? ?? ?? ?? E0 6B 00 F9 E8 3B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 3F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 3F 40 B9 A9 00 00 14 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 47 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 47 40 B9 75 00 00 14 E9 7B 40 B2 E8 1B 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 B0 12 E8 4F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 4F 40 B9 40 00 00 14 E0 E3 01 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 08 01 40 F9 1F 01 00 F1 81 01 00 54 E2 1B 40 F9 E1 37 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 57 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 57 40 B9 2B 00 00 14 E0 E3 01 91 ?? ?? ?? ?? E0 63 00 F9 E8 1B 40 F9 05 01 00 11 E8 1B 40 F9 03 01 00 11 E8 63 40 F9 08 01 00 91 08 01 40 F9 08 C1 04 91 A5 00 00 11 E4 37 40 F9 63 00 00 11 E2 3B 40 F9 01 00 82 52 00 01 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 E8 2B 00 B9 E9 2B 40 B9 08 00 80 52 1F 01 09 6B 81 01 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 08 00 B0 12 E8 5F 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 5F 40 B9 07 00 00 14 E8 2B 40 B9 08 09 00 51 E8 63 00 B9 E0 E3 01 91 ?? ?? ?? ?? E0 63 40 B9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_600_5_0 {
	meta:
		name = "_mbspbrk_l"
		size = 444
		refs = "001c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0034 strpbrk 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0064 _CrtDbgReportW 0074 _errno 0094 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d8 ??_C@_1BG@LIACDHFC@?$AA_?$AAm?$AAb?$AAs?$AAp?$AAb?$AAr?$AAk?$AA_?$AAl?$AA?$AA@ 00e8 _invalid_parameter"
	strings:
		$1 = { F3 53 BF A9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 41 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 A8 00 00 35 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 58 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0A 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 0A 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 80 D2 2A 00 00 14 68 02 40 39 A8 04 00 34 8D 02 40 39 8C 02 00 91 CD 02 00 34 8B 01 40 39 69 01 0E 8B 2A 65 40 39 8A 01 10 36 68 02 40 39 7F 01 08 6B A1 00 00 54 6B 06 40 39 8A 05 40 39 5F 01 0B 6B 60 01 00 54 8B 05 40 39 2B 01 00 34 8C 05 00 91 04 00 00 14 69 02 40 39 7F 01 09 6B 80 00 00 54 8C 05 00 91 88 01 40 39 88 FD FF 35 8A 01 40 39 6A 01 00 35 6B 02 40 39 6B 01 0E 8B 6C 65 40 39 8C 00 10 36 73 06 00 91 69 02 40 39 89 00 00 34 73 06 00 91 68 02 40 39 C8 FB FF 35 68 02 40 39 1F 01 00 71 60 12 9F 9A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F3 53 C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "_byteswap_uint64"
		size = 196
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 1D 48 D3 E8 03 00 F9 E8 07 40 F9 08 5D 58 D3 09 1D 50 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 08 9D 68 D3 09 1D 58 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 08 DD 78 D3 09 1D 60 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 08 FD 48 D3 09 1D 68 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 08 FD 58 D3 09 1D 70 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 08 FD 68 D3 09 1D 78 92 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E8 07 40 F9 09 FD 78 D3 E8 03 40 F9 08 01 09 8B E8 03 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_601_1_0 {
	meta:
		name = "_byteswap_ulong"
		size = 100
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 08 1D 08 53 E8 03 00 B9 E8 07 40 B9 08 5D 18 53 09 1D 10 12 E8 03 40 B9 08 01 09 0B E8 03 00 B9 E8 07 40 B9 08 7D 08 53 09 1D 18 12 E8 03 40 B9 08 01 09 0B E8 03 00 B9 E8 07 40 B9 09 7D 18 53 E8 03 40 B9 08 01 09 0B E8 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_601_2_0 {
	meta:
		name = "_byteswap_ushort"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 07 00 79 E8 07 40 79 08 01 00 11 08 5D 18 53 08 3D 00 53 E8 03 00 79 E8 07 40 79 08 01 00 11 09 7D 08 13 E8 03 40 79 08 01 00 11 08 01 09 0B 08 3D 00 53 E8 03 00 79 E0 03 40 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_603_7_0 {
	meta:
		name = "?__acrt_LCMapStringA_stat@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDHPEADHHH@Z"
		size = 1556
		refs = "0048 __strncnt 00f0 __imp_MultiByteToWideChar 0134 _MallocaComputeSize 0168 ??_C@_0DH@IKPCBLP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0178 _malloc_dbg 0188 _MarkAllocaS 01ac ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 01c0 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 01d4 ??B?$__crt_scoped_stack_ptr@_W@@QEBA_NXZ 01f8 ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 0208 ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 0294 __acrt_LCMapStringEx 052c __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 FF 43 00 D1 E0 6B 00 F9 E1 57 00 F9 E2 47 00 B9 E3 53 00 F9 E4 2B 00 B9 E5 63 00 F9 E6 3F 00 B9 E7 3B 00 B9 E8 2B 40 B9 1F 01 00 71 8D 02 00 54 E8 2B 40 B9 01 7D 40 93 21 00 00 91 E0 53 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 11 E8 53 00 B9 E9 2B 40 B9 E8 53 40 B9 1F 01 09 6B AA 00 00 54 E8 53 40 B9 08 05 00 11 E8 2B 00 B9 03 00 00 14 E8 53 40 B9 E8 2B 00 B9 08 00 80 52 E8 23 00 B9 E9 3B 40 B9 08 00 80 52 1F 01 09 6B 01 01 00 54 E8 6B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 3B 00 B9 E8 93 41 B9 1F 01 00 71 80 00 00 54 28 01 80 52 E8 57 00 B9 03 00 00 14 28 00 80 52 E8 57 00 B9 05 00 80 52 04 00 80 D2 E3 2B 40 B9 E2 53 40 F9 E1 57 40 B9 E0 3B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 5B 00 B9 E8 5B 40 B9 E8 2F 00 B9 E9 2F 40 B9 08 00 80 52 1F 01 09 6B 61 00 00 54 00 00 80 52 3B 01 00 14 E8 2F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 1F 01 00 F1 C0 02 00 54 E8 2F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 73 00 F9 43 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 73 40 F9 ?? ?? ?? ?? E0 77 00 F9 A1 BB 9B 52 E0 77 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 5B 00 F9 03 00 00 14 08 00 80 D2 E8 5B 00 F9 E1 5B 40 F9 E0 C3 05 91 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 01 01 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 BF 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 93 00 39 E8 93 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 5F 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 5F 40 B9 02 01 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 87 00 F9 E5 2F 40 B9 E4 87 40 F9 E3 2B 40 B9 E2 53 40 F9 21 00 80 52 E0 3B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 63 00 B9 E9 63 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 E8 23 40 B9 E8 67 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 67 40 B9 EB 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 8B 00 F9 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 E3 2F 40 B9 E2 8B 40 F9 E1 47 40 B9 E0 57 40 F9 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 E8 23 40 B9 E8 6F 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 6F 40 B9 D0 00 00 14 E8 47 40 B9 68 05 50 36 E9 3F 40 B9 08 00 80 52 1F 01 09 6B C0 04 00 54 E9 3F 40 B9 E8 23 40 B9 1F 01 09 6B ED 00 00 54 08 00 80 52 E8 73 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 73 40 B9 C0 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 8F 00 F9 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 E5 3F 40 B9 E4 63 40 F9 E3 2F 40 B9 E2 8F 40 F9 E1 47 40 B9 E0 57 40 F9 ?? ?? ?? ?? E0 77 00 B9 E8 77 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B E1 00 00 54 E8 23 40 B9 E8 7B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 40 B9 A5 00 00 14 9F 00 00 14 E8 23 40 B9 E8 43 00 B9 E8 43 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 1F 01 00 F1 C0 02 00 54 E8 43 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 97 00 F9 63 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 97 40 F9 ?? ?? ?? ?? E0 9B 00 F9 A1 BB 9B 52 E0 9B 40 F9 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 E8 5F 00 F9 03 00 00 14 08 00 80 D2 E8 5F 00 F9 E1 5F 40 F9 E0 03 06 91 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 01 01 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 A7 00 F9 E8 A7 40 F9 E8 C7 00 F9 E0 23 01 91 ?? ?? ?? ?? E0 97 00 39 E8 97 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 52 E8 7F 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 7F 40 B9 67 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 AB 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 AF 00 F9 08 00 80 D2 E8 03 00 F9 07 00 80 D2 06 00 80 D2 E5 43 40 B9 E4 AB 40 F9 E3 2F 40 B9 E2 AF 40 F9 E1 47 40 B9 E0 57 40 F9 ?? ?? ?? ?? E0 83 00 B9 E8 83 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 21 01 00 54 E8 23 40 B9 E8 87 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 87 40 B9 47 00 00 14 E9 3F 40 B9 08 00 80 52 1F 01 09 6B E1 03 00 54 E0 23 01 91 ?? ?? ?? ?? E0 B3 00 F9 07 00 80 D2 06 00 80 D2 05 00 80 52 04 00 80 D2 E3 43 40 B9 E2 B3 40 F9 01 00 80 52 E0 3B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 8B 00 B9 E8 8B 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 21 01 00 54 E8 23 40 B9 E8 8F 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 8F 40 B9 26 00 00 14 1E 00 00 14 E0 23 01 91 ?? ?? ?? ?? E0 B7 00 F9 07 00 80 D2 06 00 80 D2 E5 3F 40 B9 E4 63 40 F9 E3 43 40 B9 E2 B7 40 F9 01 00 80 52 E0 3B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 93 00 B9 E8 93 40 B9 E8 23 00 B9 E9 23 40 B9 08 00 80 52 1F 01 09 6B 21 01 00 54 E8 23 40 B9 E8 97 00 B9 E0 23 01 91 ?? ?? ?? ?? E0 C3 00 91 ?? ?? ?? ?? E0 97 40 B9 08 00 00 14 E0 23 01 91 ?? ?? ?? ?? E8 23 40 B9 E8 9B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 9B 40 B9 FF 43 00 91 FD 7B D8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_603_11_0 {
	meta:
		name = "__acrt_LCMapStringA"
		size = 152
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0070 ?__acrt_LCMapStringA_stat@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDHPEADHHH@Z 0084 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 FF 43 00 D1 E0 1F 00 F9 E1 2B 00 F9 E2 2F 00 B9 E3 27 00 F9 E4 2B 00 B9 E5 23 00 F9 E6 27 00 B9 E7 23 00 B9 E1 1F 40 F9 E0 A3 01 91 ?? ?? ?? ?? E0 33 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 2F 00 F9 E8 93 40 B9 E8 03 00 B9 E7 23 40 B9 E6 27 40 B9 E5 23 40 F9 E4 2B 40 B9 E3 27 40 F9 E2 2F 40 B9 E1 2B 40 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E0 A3 01 91 ?? ?? ?? ?? E0 37 40 B9 FF 43 00 91 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_604_2_0 {
	meta:
		name = "log2l"
		size = 40
		refs = "0014 _ldlog"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 FD 00 00 80 12 E0 0B 40 FD ?? ?? ?? ?? E0 0F 00 FD E0 0F 40 FD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_605_1_0 {
	meta:
		name = "cosf"
		size = 1180
		refs = "0084 valf_with_flags 00c8 cosf_piby4 0124 _handle_nanf 0168 ??_C@_04OBBKPIAC@cosf?$AA@ 0170 _handle_errorf 0238 ?twobypi@?M@??cosf@@9@9 025c ?piby2_1@?M@??cosf@@9@9 027c ?piby2_1tail@?M@??cosf@@9@9 02d0 ?piby2_2@?M@??cosf@@9@9 02f8 ?piby2_2tail@?M@??cosf@@9@9 033c ?piby2_3@?M@??cosf@@9@9 0364 ?piby2_3tail@?M@??cosf@@9@9 03b8 __remainder_piby2f_inline 0408 sinf_piby4"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 23 00 BD F0 23 40 BD 10 C2 22 1E F0 17 00 FD F0 17 40 FD F0 4B 00 FD E8 4B 40 F9 E8 2F 00 F9 E8 2F 40 F9 08 F9 40 92 E8 0F 00 F9 A9 21 00 58 E8 0F 40 F9 1F 01 09 EB 28 05 00 54 09 F0 E7 D2 E8 0F 40 F9 1F 01 09 EB A2 03 00 54 09 E4 E7 D2 E8 0F 40 F9 1F 01 09 EB C2 01 00 54 E8 0F 40 F9 1F 01 00 F1 81 00 00 54 00 10 2E 1E FA 00 00 14 07 00 00 14 00 02 80 52 00 10 2E 1E ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD F3 00 00 14 0B 00 00 14 F1 17 40 FD F0 17 40 FD 31 0A 70 1E 10 10 6C 1E 31 0A 70 1E 10 10 6E 1E 10 3A 71 1E 00 42 62 1E 00 40 20 1E E8 00 00 14 08 00 00 14 E0 17 40 FD ?? ?? ?? ?? E0 4F 00 FD F0 4F 40 FD 00 42 62 1E 00 40 20 1E E0 00 00 14 28 00 00 14 E8 2F 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 61 04 00 54 E8 2F 40 F9 08 CD 40 92 1F 01 00 F1 A0 01 00 54 F0 23 40 BD F0 67 00 BD E8 67 40 B9 E8 6B 00 B9 E8 6B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 6F 00 BD E0 6F 40 BD CB 00 00 14 13 00 00 14 F0 23 40 BD F0 73 00 BD E8 73 40 B9 E8 8B 00 B9 26 00 80 52 61 1A 00 1C E0 23 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 41 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 77 00 BD E0 77 40 BD B8 00 00 14 E8 2F 40 F9 08 FD 7F D3 08 01 00 11 E8 7B 00 B9 E8 7B 40 B9 1F 01 00 71 80 00 00 54 F0 17 40 FD 10 42 61 1E F0 17 00 FD 51 16 00 5C F0 17 40 FD 00 22 71 1E C2 0F 00 54 E8 0F 40 F9 08 FD 74 D3 E8 5B 00 F9 A9 15 00 58 E8 0F 40 F9 1F 01 09 EB 68 01 00 54 69 15 00 58 E8 0F 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 69 14 00 58 E8 0F 40 F9 1F 01 09 EB 68 01 00 54 29 14 00 58 E8 0F 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 17 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 17 40 FD 10 3A 71 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 1B 00 FD F0 1F 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 29 4C 92 09 FD 74 D3 E8 5B 40 F9 08 01 09 CB E8 43 00 F9 E8 43 40 F9 1F 3D 00 F1 89 06 00 54 F0 1F 40 FD F0 27 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 1B 00 FD F1 27 40 FD F0 1B 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 27 40 FD F0 1F 40 FD 31 3A 70 1E F0 1B 40 FD 30 3A 70 1E 50 3A 70 1E F0 1B 00 FD E8 43 40 F9 1F C1 00 F1 29 03 00 54 F0 1F 40 FD F0 27 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 1B 00 FD F1 27 40 FD F0 1B 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 27 40 FD F0 1F 40 FD 31 3A 70 1E F0 1B 40 FD 30 3A 70 1E 50 3A 70 1E F0 1B 00 FD F1 1F 40 FD F0 1B 40 FD 30 3A 70 1E F0 2B 00 FD E8 13 40 B9 08 05 00 12 E8 47 00 B9 05 00 00 14 E2 13 01 91 E1 43 01 91 E0 0F 40 F9 ?? ?? ?? ?? E8 47 40 B9 E8 43 00 B9 E8 43 40 B9 1F 05 00 71 C0 01 00 54 E8 43 40 B9 1F 09 00 71 60 02 00 54 E8 43 40 B9 1F 0D 00 71 00 03 00 54 E0 2B 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD 00 42 62 1E 00 40 20 1E 17 00 00 14 E0 2B 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 0F 00 00 14 E0 2B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 07 00 00 14 E0 2B 40 FD ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD 00 42 62 1E 00 40 20 1E FD 7B CE A8 C0 03 5F D6 1F 20 03 D5 18 2D 44 54 FB 21 E9 3F 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 00 00 00 00 }
	condition:
		$1
}

rule file_605_2_0 {
	meta:
		name = "cosf_piby4"
		size = 144
		refs = "003c ?c4@?1??cosf_piby4@@9@9 0048 ?c3@?1??cosf_piby4@@9@9 005c ?c2@?1??cosf_piby4@@9@9 0070 ?c1@?1??cosf_piby4@@9@9"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 FD F1 07 40 FD F0 07 40 FD 30 0A 70 1E F0 03 00 FD 11 10 6C 1E F0 03 40 FD 31 0A 70 1E 10 10 6E 1E 13 3A 71 1E F1 03 40 FD F0 03 40 FD 32 0A 70 1E F1 03 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 50 0A 70 1E 60 2A 70 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_605_4_0 {
	meta:
		name = "sinf"
		size = 1372
		refs = "0084 valf_with_flags 00d0 sinf_piby4 012c _handle_nanf 0170 ??_C@_04LAGPAAHP@sinf?$AA@ 0178 _handle_errorf 0240 ?twobypi@?M@??sinf@@9@9 0264 ?piby2_1@?M@??sinf@@9@9 0284 ?piby2_1tail@?M@??sinf@@9@9 02d8 ?piby2_2@?M@??sinf@@9@9 0300 ?piby2_2tail@?M@??sinf@@9@9 0344 ?piby2_3@?M@??sinf@@9@9 036c ?piby2_3tail@?M@??sinf@@9@9 03c0 __remainder_piby2f_inline 0420 cosf_piby4"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 17 00 BD F0 17 40 BD 10 C2 22 1E F0 0F 00 FD F0 0F 40 FD F0 47 00 FD E8 47 40 F9 E8 2F 00 F9 E8 2F 40 F9 08 F9 40 92 E8 13 00 F9 69 27 00 58 E8 13 40 F9 1F 01 09 EB 68 05 00 54 09 F0 E7 D2 E8 13 40 F9 1F 01 09 EB E2 03 00 54 09 E4 E7 D2 E8 13 40 F9 1F 01 09 EB C2 01 00 54 E8 13 40 F9 1F 01 00 F1 81 00 00 54 E0 17 40 BD 29 01 00 14 07 00 00 14 00 02 80 52 E0 17 40 BD ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD 22 01 00 14 0D 00 00 14 F1 0F 40 FD F0 0F 40 FD 31 0A 70 1E F0 0F 40 FD 31 0A 70 1E F0 23 00 5C 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E 00 42 62 1E 00 40 20 1E 15 01 00 14 08 00 00 14 E0 0F 40 FD ?? ?? ?? ?? E0 4B 00 FD F0 4B 40 FD 00 42 62 1E 00 40 20 1E 0D 01 00 14 28 00 00 14 E8 2F 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB 61 04 00 54 E8 2F 40 F9 08 CD 40 92 1F 01 00 F1 A0 01 00 54 F0 17 40 BD F0 67 00 BD E8 67 40 B9 E8 6B 00 B9 E8 6B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 6F 00 BD E0 6F 40 BD F8 00 00 14 13 00 00 14 F0 17 40 BD F0 73 00 BD E8 73 40 B9 E8 83 00 B9 26 00 80 52 21 20 00 1C E0 17 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 C1 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 77 00 BD E0 77 40 BD E5 00 00 14 E8 2F 40 F9 08 FD 7F D3 08 01 00 11 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 80 00 00 54 F0 0F 40 FD 10 42 61 1E F0 0F 00 FD 11 1C 00 5C F0 0F 40 FD 00 22 71 1E C2 0F 00 54 E8 13 40 F9 08 FD 74 D3 E8 57 00 F9 69 1B 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 29 1B 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 48 00 80 52 E8 13 00 B9 17 00 00 14 29 1A 00 58 E8 13 40 F9 1F 01 09 EB 68 01 00 54 E9 19 00 58 E8 13 40 F9 1F 01 09 EB 88 00 00 54 68 00 80 52 E8 13 00 B9 03 00 00 14 88 00 80 52 E8 13 00 B9 09 00 00 14 F1 0F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E 10 10 6C 1E 30 2A 70 1E 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 0F 40 FD 10 3A 71 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F0 1F 40 FD F0 4F 00 FD E8 4F 40 F9 E8 53 00 F9 E8 53 40 F9 08 29 4C 92 09 FD 74 D3 E8 57 40 F9 08 01 09 CB E8 3F 00 F9 E8 3F 40 F9 1F 3D 00 F1 89 06 00 54 F0 1F 40 FD F0 2B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2B 40 FD F0 17 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2B 40 FD F0 1F 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD E8 3F 40 F9 1F C1 00 F1 29 03 00 54 F0 1F 40 FD F0 2B 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 70 1E F0 17 00 FD F1 2B 40 FD F0 17 40 FD 30 3A 70 1E F0 1F 00 FD E8 13 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 32 0A 70 1E F1 2B 40 FD F0 1F 40 FD 31 3A 70 1E F0 17 40 FD 30 3A 70 1E 50 3A 70 1E F0 17 00 FD F1 1F 40 FD F0 17 40 FD 30 3A 70 1E F0 1B 00 FD E8 13 40 B9 08 05 00 12 E8 47 00 B9 05 00 00 14 E2 13 01 91 E1 C3 00 91 E0 13 40 F9 ?? ?? ?? ?? E8 4F 40 B9 1F 01 00 71 60 05 00 54 E8 47 40 B9 E8 43 00 B9 E8 43 40 B9 1F 05 00 71 E0 01 00 54 E8 43 40 B9 1F 09 00 71 80 02 00 54 E8 43 40 B9 1F 0D 00 71 00 03 00 54 E0 1B 40 FD ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 40 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 38 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 63 00 FD F0 63 40 FD 00 42 62 1E 00 40 20 1E 31 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 67 00 FD F0 67 40 FD 00 42 62 1E 00 40 20 1E 2A 00 00 14 29 00 00 14 E8 47 40 B9 E8 4B 00 B9 E8 4B 40 B9 1F 05 00 71 C0 01 00 54 E8 4B 40 B9 1F 09 00 71 40 02 00 54 E8 4B 40 B9 1F 0D 00 71 E0 02 00 54 E0 1B 40 FD ?? ?? ?? ?? E0 6B 00 FD F0 6B 40 FD 00 42 62 1E 00 40 20 1E 17 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 6F 00 FD F0 6F 40 FD 00 42 62 1E 00 40 20 1E 10 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 73 00 FD F0 73 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E 08 00 00 14 E0 1B 40 FD ?? ?? ?? ?? E0 77 00 FD F0 77 40 FD 10 42 61 1E 00 42 62 1E 00 40 20 1E FD 7B CF A8 C0 03 5F D6 18 2D 44 54 FB 21 E9 3F 55 55 55 55 55 55 C5 3F 00 00 00 00 80 84 1E 41 5E 38 55 29 7A 6A 0F 40 D2 21 33 7F 7C D9 02 40 BB B2 CC BE 3A 46 1C 40 75 A7 BB E9 BB FD 15 40 00 00 00 00 }
	condition:
		$1
}

rule file_605_5_0 {
	meta:
		name = "sinf_piby4"
		size = 128
		refs = "0028 ?c4@?1??sinf_piby4@@9@9 0034 ?c3@?1??sinf_piby4@@9@9 0048 ?c2@?1??sinf_piby4@@9@9 005c ?c1@?1??sinf_piby4@@9@9"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 FD F1 07 40 FD F0 07 40 FD 30 0A 70 1E F0 03 00 FD F1 07 40 FD F0 03 40 FD 32 0A 70 1E F1 03 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 03 40 FD 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 10 2A 71 1E 51 0A 70 1E F0 07 40 FD 00 2A 71 1E 00 40 60 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "??$common_tcsncpy_s@D@@YAHQEAD_KQEBD1@Z"
		size = 1676
		refs = "0084 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 _CrtDbgReportW 00d0 _errno 00f4 ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0104 _invalid_parameter 0154 _CrtGetDebugFillThreshold 01a4 memset 027c ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 04f4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0538 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 3F 00 F9 E3 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 21 01 00 54 E8 13 40 F9 1F 01 00 F1 C1 00 00 54 E8 0B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 91 01 00 14 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 16 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 5E 01 00 14 E8 2B 40 F9 1F 01 00 F1 C1 04 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 43 00 F9 E8 0B 40 F9 09 05 00 D1 E8 43 40 F9 1F 01 09 EB 82 00 00 54 E8 43 40 F9 E8 47 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 47 00 F9 E8 13 40 F9 00 05 00 91 E2 47 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 36 01 00 14 E8 3F 40 F9 1F 01 00 F1 81 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 4B 00 F9 E8 0B 40 F9 09 05 00 D1 E8 4B 40 F9 1F 01 09 EB 82 00 00 54 E8 4B 40 F9 E8 4F 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 4F 00 F9 E8 13 40 F9 00 05 00 91 E2 4F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 17 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 E0 00 00 14 E8 13 40 F9 E8 17 00 F9 E8 3F 40 F9 E8 1B 00 F9 E8 0B 40 F9 E8 0F 00 F9 E8 2B 40 F9 E8 2F 00 F9 E8 2B 40 F9 1F 05 00 B1 41 03 00 54 E9 17 40 F9 E8 1B 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 01 C0 39 08 01 00 11 E8 6B 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 6B 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 25 00 00 14 E9 17 40 F9 E8 1B 40 F9 08 01 C0 39 28 01 00 39 E8 17 40 F9 08 01 C0 39 08 01 00 11 E8 6F 00 B9 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 E8 6F 40 B9 1F 01 00 71 C0 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 09 01 00 54 E8 2F 40 F9 08 05 00 D1 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 49 00 00 54 E3 FF FF 17 E8 2F 40 F9 1F 01 00 F1 81 00 00 54 E9 17 40 F9 08 00 80 52 28 01 00 39 E8 0F 40 F9 1F 01 00 F1 A1 0C 00 54 E8 2B 40 F9 1F 05 00 B1 61 01 00 54 E8 0B 40 F9 09 05 00 D1 28 00 80 D2 29 7D 08 9B E8 13 40 F9 09 01 09 8B 08 00 80 52 28 01 00 39 00 0A 80 52 88 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 E8 53 00 F9 E8 0B 40 F9 09 05 00 D1 E8 53 40 F9 1F 01 09 EB 82 00 00 54 E8 53 40 F9 E8 57 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 57 00 F9 E8 13 40 F9 00 05 00 91 E2 57 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 4B 00 B9 03 00 00 14 08 00 80 52 E8 4B 00 B9 E8 4B 40 B9 E8 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 E8 5B 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 5B 40 F9 1F 01 09 EB 82 00 00 54 E8 5B 40 F9 E8 5F 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 5F 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 13 40 F9 00 01 09 8B E2 5F 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_608_0_0 {
	meta:
		name = "wcsncat"
		size = 212
	strings:
		$1 = { FF 03 01 D1 E0 13 00 F9 E1 17 00 F9 E2 1B 00 F9 E8 13 40 F9 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 F8 FF FF 17 E8 17 40 F9 E8 0F 00 F9 08 00 80 D2 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 1B 40 F9 E8 0B 40 F9 1F 01 09 EB A0 02 00 54 E9 07 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 03 40 B9 1F 01 00 71 61 00 00 54 E0 13 40 F9 06 00 00 14 E6 FF FF 17 E9 07 40 F9 08 00 80 52 28 01 00 79 E0 13 40 F9 FF 03 01 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "log10f"
		size = 780
		refs = "0068 _handle_nanf 00ac ??_C@_06KDGOKGLH@log10f?$AA@ 00b4 _handle_errorf 01dc ?ln_lead_table@?1??log10f@@9@9 0204 ?ln_tail_table@?1??log10f@@9@9 0270 ?cb_2@?1??log10f@@9@9 027c ?cb_1@?1??log10f@@9@9 02bc ?log2@?1??log10f@@9@9 02dc ?log10e@?1??log10f@@9@9"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD 10 C2 22 1E F0 2B 00 FD F0 2B 40 FD F0 3F 00 FD E8 3F 40 F9 E8 0F 00 F9 E8 0F 40 F9 09 29 4C 92 08 FE EF D2 3F 01 08 EB E1 04 00 54 E8 0F 40 F9 08 CD 40 92 1F 01 00 F1 A0 01 00 54 F0 13 40 BD F0 33 00 BD E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 3B 00 BD E0 3B 40 BD A0 00 00 14 16 00 00 14 E8 0F 40 F9 08 01 41 92 1F 01 00 F1 00 02 00 54 26 00 80 52 C1 13 00 1C E0 13 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 00 BD E0 3F 40 BD 8D 00 00 14 03 00 00 14 E0 13 40 BD 8A 00 00 14 26 00 00 14 E8 0F 40 F9 08 F9 40 92 1F 01 00 F1 01 02 00 54 26 00 80 52 01 11 00 1C E0 13 40 BD 45 04 80 52 84 00 80 52 43 00 80 52 02 F0 BF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 BD E0 43 40 BD 77 00 00 14 13 00 00 14 E8 0F 40 F9 08 01 41 92 1F 01 00 F1 E0 01 00 54 26 00 80 52 A1 0E 00 1C E0 13 40 BD 25 04 80 52 04 01 80 52 23 00 80 52 02 F8 BF D2 61 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 BD E0 47 40 BD 64 00 00 14 F0 2B 40 FD F0 2F 00 FD E8 0F 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 08 FD 0F 51 E8 4B 00 B9 E9 0F 40 F9 C8 7F 80 D2 09 2D 4C B3 E9 43 00 F9 F0 43 40 FD F0 2F 00 FD E8 0F 40 F9 08 15 52 92 08 01 4C B2 09 FD 6E D3 E8 0F 40 F9 08 01 53 92 08 FD 6D D3 28 01 08 8B 08 01 00 11 E8 23 00 B9 E8 23 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 4F 00 FD E8 23 40 B9 08 01 01 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD F0 4B 00 FD E8 23 40 B9 11 01 62 1E 10 07 00 5C 30 0A 70 1E F0 33 00 FD F1 2F 40 FD F0 33 40 FD 30 3A 70 1E F0 37 00 FD 11 10 6C 1E F0 37 40 FD 31 0A 70 1E F0 33 40 FD 11 2A 71 1E F0 37 40 FD 10 1A 71 1E F0 17 00 FD F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 3B 00 FD F1 3B 40 FD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 2A 71 1E F0 3B 40 FD 10 0A 71 1E F0 47 00 FD F1 17 40 FD F0 47 40 FD 31 0A 70 1E F0 17 40 FD 11 2A 71 1E F0 4B 40 FD 10 2A 71 1E F0 53 00 FD E8 4B 40 B9 11 01 62 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 70 1E F0 4F 40 FD 31 2A 70 1E F0 53 40 FD 30 2A 70 1E F0 57 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 57 40 FD 30 0A 70 1E 00 42 62 1E 00 40 20 1E FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule file_612_7_0 {
	meta:
		name = "??$common_expand_argv_wildcards@D@@YAHQEAPEADQEAPEAPEAD@Z"
		size = 1060
		refs = "0044 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00e0 ??0?$argument_list@D@?A0x5f5c8891@@QEAA@XZ 0130 ??$tcspbrk@AEAPEADAEAY02$$CBD@?$__crt_char_traits@D@@SAPEADAEAPEADAEAY02$$CBD@Z 0160 ??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z 0188 ??1?$argument_list@D@?A0x5f5c8891@@QEAA@XZ 01a8 ??$expand_argument_wildcards@D@@YAHQEAD0AEAV?$argument_list@D@?A0x5f5c8891@@@Z 01e4 ?size@?$argument_list@D@?A0x5f5c8891@@QEBA_KXZ 0204 ?begin@?$argument_list@D@?A0x5f5c8891@@QEBAPEAPEADXZ 0228 ?end@?$argument_list@D@?A0x5f5c8891@@QEBAPEAPEADXZ 0244 ??$tcslen@AEAPEAD@?$__crt_char_traits@D@@SA_KAEAPEAD@Z 0270 __acrt_allocate_buffer_for_argv 0280 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 028c ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 02b0 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 02c8 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ 038c ??$tcsncpy_s@AEAPEAD_KAEAPEADAEB_K@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_K0AEB_K@Z 03ac ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 03b8 _invoke_watson_if_error 03ec ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ"
	strings:
		$1 = { FD 7B AB A9 FD 03 00 91 E0 63 00 F9 E1 43 00 F9 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 D4 00 00 14 E9 43 40 F9 08 00 80 D2 28 01 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 A3 00 F9 E8 63 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 21 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 F9 1F 01 00 F1 A0 06 00 54 48 05 80 52 E8 53 00 39 E8 07 80 52 E8 57 00 39 08 00 80 52 E8 5B 00 39 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 5F 00 F9 E8 5F 40 F9 1F 01 00 F1 81 02 00 54 E3 23 02 91 02 00 80 D2 01 00 80 D2 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 E0 00 00 54 E8 33 40 B9 E8 63 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 63 40 B9 A3 00 00 14 12 00 00 14 E2 23 02 91 E1 5F 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 E0 00 00 54 E8 37 40 B9 E8 6B 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 6B 40 B9 91 00 00 14 C6 FF FF 17 E0 23 02 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 05 00 91 E8 53 00 F9 08 00 80 D2 E8 2B 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 27 00 F9 04 00 00 14 E8 27 40 F9 08 21 00 91 E8 27 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 E8 27 40 F9 1F 01 09 EB 40 01 00 54 E0 27 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 09 05 00 91 E8 2B 40 F9 08 01 09 8B E8 2B 00 F9 EE FF FF 17 22 00 80 D2 E1 2B 40 F9 E0 53 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E1 7B 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 A7 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 12 E8 6F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 23 02 91 ?? ?? ?? ?? E0 6F 40 B9 57 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 E8 87 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 83 00 F9 E9 53 40 F9 08 01 80 D2 29 7D 08 9B E8 83 40 F9 08 01 09 8B E8 57 00 F9 E8 87 40 F9 E8 3F 00 F9 E8 57 40 F9 E8 23 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 21 00 91 E8 1F 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 8F 00 F9 E9 8F 40 F9 E8 1F 40 F9 1F 01 09 EB 00 05 00 54 E0 1F 40 F9 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 08 05 00 91 E8 5B 00 F9 E9 23 40 F9 E8 57 40 F9 29 01 08 CB E8 2B 40 F9 08 01 09 CB E8 97 00 F9 E3 C3 02 91 E2 1F 40 F9 E1 A3 04 91 E0 03 01 91 ?? ?? ?? ?? E0 73 00 B9 05 00 80 D2 84 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 40 B9 ?? ?? ?? ?? E9 3F 40 F9 E8 23 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 91 E8 3F 00 F9 E9 23 40 F9 E8 5B 40 F9 28 01 08 8B E8 23 00 F9 D0 FF FF 17 E0 83 00 91 ?? ?? ?? ?? E0 9B 00 F9 E9 43 40 F9 E8 9B 40 F9 28 01 00 F9 08 00 80 52 E8 77 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 23 02 91 ?? ?? ?? ?? E0 77 40 B9 FD 7B D5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_8_0 {
	meta:
		name = "??$common_expand_argv_wildcards@_W@@YAHQEAPEA_WQEAPEAPEA_W@Z"
		size = 1088
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 00cc _invalid_parameter 00e8 ??0?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ 0138 ??$tcspbrk@AEAPEA_WAEAY02$$CB_W@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_WAEAY02$$CB_W@Z 0168 ??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z 0190 ??1?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ 01b0 ??$expand_argument_wildcards@_W@@YAHQEA_W0AEAV?$argument_list@_W@?A0x5f5c8891@@@Z 01ec ?size@?$argument_list@_W@?A0x5f5c8891@@QEBA_KXZ 020c ?begin@?$argument_list@_W@?A0x5f5c8891@@QEBAPEAPEA_WXZ 0230 ?end@?$argument_list@_W@?A0x5f5c8891@@QEBAPEAPEA_WXZ 024c ??$tcslen@AEAPEA_W@?$__crt_char_traits@_W@@SA_KAEAPEA_W@Z 0278 __acrt_allocate_buffer_for_argv 0288 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 0294 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 02b8 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 02d0 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ 0398 ??$tcsncpy_s@AEAPEA_W_KAEAPEA_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_K0AEB_K@Z 03b8 ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 03c4 _invoke_watson_if_error 0400 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAPEAEXZ 0434 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 05 D1 E0 5F 00 F9 E1 47 00 F9 E8 47 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 D7 00 00 14 E9 47 40 F9 08 00 80 D2 28 01 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 9B 00 F9 E8 5F 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 21 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 F9 1F 01 00 F1 A0 06 00 54 48 05 80 52 E8 83 02 79 E8 07 80 52 E8 87 02 79 08 00 80 52 E8 8B 02 79 E1 03 05 91 E0 07 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 4B 00 F9 E8 4B 40 F9 1F 01 00 F1 81 02 00 54 E3 A3 01 91 02 00 80 D2 01 00 80 D2 E8 07 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 23 40 B9 E8 53 00 B9 E0 A3 01 91 ?? ?? ?? ?? E0 53 40 B9 A6 00 00 14 12 00 00 14 E2 A3 01 91 E1 4B 40 F9 E8 07 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 E0 00 00 54 E8 27 40 B9 E8 5B 00 B9 E0 A3 01 91 ?? ?? ?? ?? E0 5B 40 B9 94 00 00 14 C6 FF FF 17 E0 A3 01 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 05 00 91 E8 4F 00 F9 08 00 80 D2 E8 23 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 21 00 91 E8 1F 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 6F 00 F9 E9 6F 40 F9 E8 1F 40 F9 1F 01 09 EB 40 01 00 54 E0 1F 40 F9 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 09 05 00 91 E8 23 40 F9 08 01 09 8B E8 23 00 F9 EE FF FF 17 42 00 80 D2 E1 23 40 F9 E0 4F 40 F9 ?? ?? ?? ?? E0 77 00 F9 E1 77 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 9F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 12 E8 5F 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 A3 01 91 ?? ?? ?? ?? E0 5F 40 B9 5A 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 E8 7F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 7B 00 F9 E9 4F 40 F9 08 01 80 D2 29 7D 08 9B E8 7B 40 F9 08 01 09 8B E8 53 00 F9 E8 7F 40 F9 E8 43 00 F9 E8 53 40 F9 E8 1B 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 21 00 91 E8 17 00 F9 E0 A3 01 91 ?? ?? ?? ?? E0 87 00 F9 E9 87 40 F9 E8 17 40 F9 1F 01 09 EB 60 05 00 54 E0 17 40 F9 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 08 05 00 91 E8 57 00 F9 E9 1B 40 F9 E8 53 40 F9 28 01 08 CB 09 FD 41 93 E8 23 40 F9 08 01 09 CB E8 8F 00 F9 E3 A3 02 91 E2 17 40 F9 E1 63 04 91 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 B9 05 00 80 D2 84 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 40 B9 ?? ?? ?? ?? E9 43 40 F9 E8 1B 40 F9 28 01 00 F9 E8 43 40 F9 08 21 00 91 E8 43 00 F9 E9 57 40 F9 48 00 80 D2 29 7D 08 9B E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 CD FF FF 17 E0 43 00 91 ?? ?? ?? ?? E0 93 00 F9 E9 47 40 F9 E8 93 40 F9 28 01 00 F9 08 00 80 52 E8 67 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 A3 01 91 ?? ?? ?? ?? E0 67 40 B9 FF 03 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_9_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 408
		refs = "001c ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z 0068 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 007c _calloc_dbg 008c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00a4 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 00c4 ??$tcsncpy_s@PEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEBQEBD1@Z 00d4 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00dc ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00e4 ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 00f0 _invoke_watson_if_error 0130 ??$tcsncpy_s@PEAD_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBQEBDAEB_K@Z 0150 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 0164 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 0174 ?append@?$argument_list@D@?A0x5f5c8891@@QEAAHQEAD@Z 0188 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 23 00 F9 E1 33 00 F9 E2 0B 00 F9 E3 4B 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 05 00 91 E8 1F 00 F9 09 00 80 92 E8 0B 40 F9 29 01 08 CB E8 1F 40 F9 1F 01 09 EB 69 00 00 54 80 01 80 52 51 00 00 14 E9 0B 40 F9 E8 1F 40 F9 28 01 08 8B 08 05 00 91 E8 1B 00 F9 04 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 0B 40 F9 1F 01 00 F1 C9 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 37 00 F9 E3 43 00 91 E2 83 01 91 E1 C3 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 23 00 B9 05 00 80 D2 84 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 ?? ?? ?? ?? E9 1B 40 F9 E8 0B 40 F9 28 01 08 CB E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 E8 0B 40 F9 28 01 08 8B E8 43 00 F9 E3 E3 00 91 E2 03 01 91 E1 E3 01 91 E0 03 02 91 ?? ?? ?? ?? E0 27 00 B9 05 00 80 D2 64 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_10_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 416
		refs = "001c ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z 0068 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 007c _calloc_dbg 008c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00a4 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 00c4 ??$tcsncpy_s@PEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEBQEB_W1@Z 00d4 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00dc ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00e4 ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 00f0 _invoke_watson_if_error 0138 ??$tcsncpy_s@PEA_W_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBQEB_WAEB_K@Z 0158 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 016c ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 017c ?append@?$argument_list@_W@?A0x5f5c8891@@QEAAHQEA_W@Z 0190 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 23 00 F9 E1 33 00 F9 E2 0B 00 F9 E3 4B 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 05 00 91 E8 1F 00 F9 09 00 80 92 E8 0B 40 F9 29 01 08 CB E8 1F 40 F9 1F 01 09 EB 69 00 00 54 80 01 80 52 53 00 00 14 E9 0B 40 F9 E8 1F 40 F9 28 01 08 8B 08 05 00 91 E8 1B 00 F9 04 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 0B 40 F9 1F 01 00 F1 C9 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 37 00 F9 E3 43 00 91 E2 83 01 91 E1 C3 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 23 00 B9 05 00 80 D2 84 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 ?? ?? ?? ?? E9 1B 40 F9 E8 0B 40 F9 28 01 08 CB E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 0B 40 F9 48 00 80 D2 29 7D 08 9B E8 3B 40 F9 08 01 09 8B E8 43 00 F9 E3 E3 00 91 E2 03 01 91 E1 E3 01 91 E0 03 02 91 ?? ?? ?? ?? E0 27 00 B9 05 00 80 D2 64 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 2F 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_11_0 {
	meta:
		name = "??$expand_argument_wildcards@D@@YAHQEAD0AEAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 924
		refs = "0008 __security_push_cookie 0050 ??R<lambda_cfae5a0e6efa98e0d1aa03c4cec8f74e>@@QEBA_ND@Z 0070 ?previous_character@@YAPEADQEAD0@Z 00bc ??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z 012c memset 0170 ??$find_first_file_ex@AEBQEADW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPEAXAEBQEAD$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAA@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z 0180 ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@QEAX@Z 018c ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEBAPEAXXZ 01c4 ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@XZ 01d4 ?size@?$argument_list@D@?A0x5f5c8891@@QEBA_KXZ 02cc ??$find_next_file@PEAXPEAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QEAPEAX$$QEAPEAU_WIN32_FIND_DATAA@@@Z 0330 ??B<lambda_c2303d2482d7c3675ea2e24c4cfb6115>@@QEBAP6AHPEBX0@ZXZ 033c ?begin@?$argument_list@D@?A0x5f5c8891@@QEBAPEAPEADXZ 0374 qsort 0390 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 08 D1 E0 0B 00 F9 E1 43 00 F9 E2 17 00 F9 E9 63 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E8 43 40 F9 E8 07 00 F9 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 20 02 00 54 E8 07 40 F9 01 01 C0 39 E0 07 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E1 07 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 07 00 F9 ED FF FF 17 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F E9 00 71 C1 01 00 54 E8 0B 40 F9 09 05 00 91 E8 07 40 F9 1F 01 09 EB 20 01 00 54 E3 17 40 F9 02 00 80 D2 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 B1 00 00 14 E8 07 40 F9 01 01 C0 39 E0 07 00 91 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 07 40 F9 E8 0B 40 F9 28 01 08 CB 08 05 00 91 E8 3B 00 F9 03 00 00 14 08 00 80 D2 E8 3B 00 F9 E8 3B 40 F9 E8 5F 00 F9 E0 E3 03 91 00 00 00 91 02 28 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 E8 43 00 B9 08 00 80 D2 E8 4B 00 F9 08 00 80 52 E8 47 00 B9 E8 E3 03 91 E8 4F 00 F9 08 00 80 52 E8 4B 00 B9 E5 03 01 91 E4 43 02 91 E3 13 01 91 E2 63 02 91 E1 23 01 91 E0 43 00 91 ?? ?? ?? ?? E0 53 00 F9 E1 53 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 05 00 B1 A1 01 00 54 E3 17 40 F9 02 00 80 D2 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 53 40 B9 70 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 37 00 F9 E8 93 04 91 E8 13 00 F9 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F B9 00 71 01 01 00 54 E8 13 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 01 00 71 41 00 00 54 24 00 00 14 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F B9 00 71 C1 01 00 54 E8 13 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F B9 00 71 01 01 00 54 E8 13 40 F9 08 09 00 91 08 01 C0 39 08 01 00 11 1F 01 00 71 41 00 00 54 12 00 00 14 E3 17 40 F9 E2 5F 40 F9 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 E0 00 00 54 E8 3B 40 B9 E8 5B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 5B 40 B9 3A 00 00 14 E8 E3 03 91 E8 67 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 6B 00 F9 E1 23 03 91 E0 43 03 91 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 41 F8 FF 54 E0 17 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 3F 00 F9 E9 3F 40 F9 E8 37 40 F9 1F 01 09 EB E1 00 00 54 08 00 80 52 E8 63 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 63 40 B9 1D 00 00 14 E9 0F 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E0 0F 00 91 ?? ?? ?? ?? E0 77 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 73 00 F9 E9 3F 40 F9 E8 37 40 F9 21 01 08 CB E9 37 40 F9 08 01 80 D2 29 7D 08 9B E8 73 40 F9 00 01 09 8B E3 77 40 F9 02 01 80 D2 21 00 00 91 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 E8 67 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 67 40 B9 FF C3 08 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_12_0 {
	meta:
		name = "??$expand_argument_wildcards@_W@@YAHQEA_W0AEAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 928
		refs = "0008 __security_push_cookie 0050 ??R<lambda_cc44a96f04e0393500626269309609b4>@@QEBA_N_W@Z 0070 ?previous_character@@YAPEA_WPEA_WQEA_W@Z 00bc ??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z 0130 memset 0174 ??$find_first_file_ex@AEBQEA_WW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPEAXAEBQEA_W$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAW@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z 0184 ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@QEAX@Z 0190 ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEBAPEAXXZ 01c8 ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@XZ 01d8 ?size@?$argument_list@_W@?A0x5f5c8891@@QEBA_KXZ 02d0 ??$find_next_file@PEAXPEAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QEAPEAX$$QEAPEAU_WIN32_FIND_DATAW@@@Z 0334 ??B<lambda_12d38c6669c8ed1a74067c1f99674cc4>@@QEBAP6AHPEBX0@ZXZ 0340 ?begin@?$argument_list@_W@?A0x5f5c8891@@QEBAPEAPEA_WXZ 0378 qsort 0394 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 0D D1 E0 0B 00 F9 E1 43 00 F9 E2 17 00 F9 E9 63 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E8 43 40 F9 E8 07 00 F9 E9 0B 40 F9 E8 07 40 F9 1F 01 09 EB 20 02 00 54 E8 07 40 F9 01 01 40 79 E0 07 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 E1 07 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 07 00 F9 ED FF FF 17 E8 07 40 F9 08 01 40 79 08 01 00 11 1F E9 00 71 C1 01 00 54 E8 0B 40 F9 09 09 00 91 E8 07 40 F9 1F 01 09 EB 20 01 00 54 E3 17 40 F9 02 00 80 D2 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 3F 00 B9 E0 3F 40 B9 B2 00 00 14 E8 07 40 F9 01 01 40 79 E0 07 00 91 ?? ?? ?? ?? E0 0B 00 39 E8 0B 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E9 07 40 F9 E8 0B 40 F9 28 01 08 CB 08 FD 41 93 08 05 00 91 E8 3B 00 F9 03 00 00 14 08 00 80 D2 E8 3B 00 F9 E8 3B 40 F9 E8 5F 00 F9 E0 E3 03 91 00 00 00 91 02 4A 80 D2 01 00 80 52 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 E8 43 00 B9 08 00 80 D2 E8 4B 00 F9 08 00 80 52 E8 47 00 B9 E8 E3 03 91 E8 4F 00 F9 08 00 80 52 E8 4B 00 B9 E5 03 01 91 E4 43 02 91 E3 13 01 91 E2 63 02 91 E1 23 01 91 E0 43 00 91 ?? ?? ?? ?? E0 53 00 F9 E1 53 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 05 00 B1 A1 01 00 54 E3 17 40 F9 02 00 80 D2 01 00 80 D2 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 53 40 B9 70 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 37 00 F9 E8 93 04 91 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F B9 00 71 01 01 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 41 00 00 54 24 00 00 14 E8 13 40 F9 08 01 40 79 08 01 00 11 1F B9 00 71 C1 01 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F B9 00 71 01 01 00 54 E8 13 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 41 00 00 54 12 00 00 14 E3 17 40 F9 E2 5F 40 F9 E1 0B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 3B 00 B9 E8 3B 40 B9 1F 01 00 71 E0 00 00 54 E8 3B 40 B9 E8 5B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 5B 40 B9 3A 00 00 14 E8 E3 03 91 E8 67 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 6B 00 F9 E1 23 03 91 E0 43 03 91 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 41 F8 FF 54 E0 17 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 3F 00 F9 E9 3F 40 F9 E8 37 40 F9 1F 01 09 EB E1 00 00 54 08 00 80 52 E8 63 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 63 40 B9 1D 00 00 14 E9 0F 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E0 0F 00 91 ?? ?? ?? ?? E0 77 00 F9 E0 17 40 F9 ?? ?? ?? ?? E0 73 00 F9 E9 3F 40 F9 E8 37 40 F9 21 01 08 CB E9 37 40 F9 08 01 80 D2 29 7D 08 9B E8 73 40 F9 00 01 09 8B E3 77 40 F9 02 01 80 D2 21 00 00 91 00 00 00 91 ?? ?? ?? ?? 08 00 80 52 E8 67 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 67 40 B9 FF 03 0D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_13_0 {
	meta:
		name = "??$find_first_file_ex@AEBQEADW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPEAXAEBQEAD$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAA@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z"
		size = 108
		refs = "0050 __imp_FindFirstFileExA"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E5 0B 00 F9 E8 0B 40 F9 05 01 40 B9 E8 0F 40 F9 04 01 40 F9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 B9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 F9 E0 23 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_14_0 {
	meta:
		name = "??$find_first_file_ex@AEBQEA_WW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPEAXAEBQEA_W$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAW@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z"
		size = 108
		refs = "0050 __imp_FindFirstFileExW"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 F9 E3 13 00 F9 E4 0F 00 F9 E5 0B 00 F9 E8 0B 40 F9 05 01 40 B9 E8 0F 40 F9 04 01 40 F9 E8 13 40 F9 03 01 40 B9 E8 17 40 F9 02 01 40 F9 E8 1B 40 F9 01 01 40 B9 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 23 00 F9 E0 23 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_15_0 {
	meta:
		name = "??$find_next_file@PEAXPEAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QEAPEAX$$QEAPEAU_WIN32_FIND_DATAA@@@Z"
		size = 60
		refs = "0020 __imp_FindNextFileA"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_16_0 {
	meta:
		name = "??$find_next_file@PEAXPEAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QEAPEAX$$QEAPEAU_WIN32_FIND_DATAW@@@Z"
		size = 60
		refs = "0020 __imp_FindNextFileW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 F9 E8 13 40 F9 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_27_0 {
	meta:
		name = "??$tcspbrk@AEAPEADAEAY02$$CBD@?$__crt_char_traits@D@@SAPEADAEAPEADAEAY02$$CBD@Z"
		size = 48
		refs = "001c ?strpbrk@@YAPEADQEADQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_28_0 {
	meta:
		name = "??$tcspbrk@AEAPEA_WAEAY02$$CB_W@?$__crt_char_traits@_W@@SAPEA_WAEAPEA_WAEAY02$$CB_W@Z"
		size = 48
		refs = "001c ?wcspbrk@@YAPEA_WPEA_WPEB_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 E1 0B 40 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_35_0 {
	meta:
		name = "??0?$argument_list@D@?A0x5f5c8891@@QEAA@XZ"
		size = 68
		altNames = "??0?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 03 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 03 40 F9 09 41 00 91 08 00 80 D2 28 01 00 F9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_43_0 {
	meta:
		name = "??1?$argument_list@D@?A0x5f5c8891@@QEAA@XZ"
		size = 116
		refs = "0050 _free_dbg"
		altNames = "??1?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 01 00 91 08 01 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 0B 40 F9 1F 01 09 EB C0 00 00 54 41 00 80 52 E8 0B 40 F9 00 01 40 F9 ?? ?? ?? ?? F3 FF FF 17 E8 0F 40 F9 08 01 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_54_0 {
	meta:
		name = "?append@?$argument_list@D@?A0x5f5c8891@@QEAAHQEAD@Z"
		size = 128
		refs = "0014 ?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AEAAHXZ 0038 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 C0 00 00 54 41 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 B9 0E 00 00 14 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_55_0 {
	meta:
		name = "?append@?$argument_list@_W@?A0x5f5c8891@@QEAAHQEA_W@Z"
		size = 128
		refs = "0014 ?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AEAAHXZ 0038 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 C0 00 00 54 41 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 B9 0E 00 00 14 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 13 40 F9 28 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 21 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_65_0 {
	meta:
		name = "?end@?$argument_list@D@?A0x5f5c8891@@QEBAPEAPEADXZ"
		size = 28
		altNames = "?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QEBA_KXZ ?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QEBA_KXZ ?end@?$argument_list@_W@?A0x5f5c8891@@QEBAPEAPEA_WXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 21 00 91 00 01 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_67_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AEAAHXZ"
		size = 588
		refs = "0054 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0068 _calloc_dbg 0078 ??0?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@QEAPEAD@Z 008c ?detach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAPEAPEADXZ 00a8 ??1?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@XZ 0178 _recalloc_dbg 0194 ??B?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 0A 21 00 91 E8 0B 40 F9 08 41 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 60 00 00 54 00 00 80 52 85 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 21 06 00 54 88 00 80 D2 E8 3F 00 F9 E4 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 80 00 80 D2 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 0B 40 F9 09 01 00 91 E8 2F 40 F9 28 01 00 F9 E0 83 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 60 00 00 14 E8 0B 40 F9 0A 01 00 91 E8 0B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 F9 09 81 00 91 E8 0B 40 F9 08 41 00 91 09 01 00 F9 00 00 80 52 51 00 00 14 50 00 00 14 E8 0B 40 F9 09 41 00 91 E8 0B 40 F9 08 01 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 08 FD 43 93 E8 1B 00 F9 09 00 F0 92 E8 1B 40 F9 1F 01 09 EB 69 00 00 54 80 01 80 52 41 00 00 14 E9 1B 40 F9 48 00 80 D2 28 7D 08 9B E8 1F 00 F9 E8 0B 40 F9 09 01 00 91 E5 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 E1 1F 40 F9 20 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 88 01 80 52 E8 2B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 2B 40 B9 21 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 0B 40 F9 09 01 00 91 E8 3B 40 F9 28 01 00 F9 E8 0B 40 F9 0A 01 00 91 E9 1B 40 F9 08 01 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 0B 40 F9 08 41 00 91 09 01 00 F9 08 00 80 52 E8 2F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 2F 40 B9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_68_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AEAAHXZ"
		size = 588
		refs = "0054 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0068 _calloc_dbg 0078 ??0?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@QEAPEA_W@Z 008c ?detach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 00a8 ??1?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@XZ 0178 _recalloc_dbg 0194 ??B?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 0A 21 00 91 E8 0B 40 F9 08 41 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 60 00 00 54 00 00 80 52 85 00 00 14 E8 0B 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 21 06 00 54 88 00 80 D2 E8 3F 00 F9 E4 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 01 80 D2 80 00 80 D2 ?? ?? ?? ?? E0 23 00 F9 E1 23 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 0B 40 F9 09 01 00 91 E8 2F 40 F9 28 01 00 F9 E0 83 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 61 00 00 54 80 01 80 52 60 00 00 14 E8 0B 40 F9 0A 01 00 91 E8 0B 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 F9 09 81 00 91 E8 0B 40 F9 08 41 00 91 09 01 00 F9 00 00 80 52 51 00 00 14 50 00 00 14 E8 0B 40 F9 09 41 00 91 E8 0B 40 F9 08 01 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 08 FD 43 93 E8 1B 00 F9 09 00 F0 92 E8 1B 40 F9 1F 01 09 EB 69 00 00 54 80 01 80 52 41 00 00 14 E9 1B 40 F9 48 00 80 D2 28 7D 08 9B E8 1F 00 F9 E8 0B 40 F9 09 01 00 91 E5 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 43 00 80 52 02 01 80 D2 E1 1F 40 F9 20 01 40 F9 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 88 01 80 52 E8 2B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 2B 40 B9 21 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 0B 40 F9 09 01 00 91 E8 3B 40 F9 28 01 00 F9 E8 0B 40 F9 0A 01 00 91 E9 1B 40 F9 08 01 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 0B 40 F9 08 41 00 91 09 01 00 F9 08 00 80 52 E8 2F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 2F 40 B9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_612_84_0 {
	meta:
		name = "?size@?$argument_list@D@?A0x5f5c8891@@QEBA_KXZ"
		size = 52
		altNames = "?size@?$argument_list@_W@?A0x5f5c8891@@QEBA_KXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 21 00 91 E8 03 40 F9 08 01 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 00 FD 43 93 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_613_0_0 {
	meta:
		name = "_cputs"
		size = 256
		refs = "0020 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GG@BKBKDADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 0074 __doserrno 007c _errno 0094 ??_C@_1O@PLNHBNGC@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 00a0 _invalid_parameter 00b0 __acrt_lock 00c4 _putch_nolock 00e4 __acrt_unlock"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BE A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 F4 07 9F 1A 34 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F4 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 04 00 80 D2 C3 02 80 52 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 12 11 00 00 14 20 01 80 52 ?? ?? ?? ?? 14 00 80 52 B3 0B 00 F9 60 02 C0 39 00 01 00 34 ?? ?? ?? ?? 1F 04 00 31 61 00 00 54 14 00 80 12 03 00 00 14 73 06 00 91 F7 FF FF 17 20 01 80 52 ?? ?? ?? ?? 80 02 00 11 FD 7B C2 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_614_4_0 {
	meta:
		name = "_mbsnset_s_l"
		size = 928
		refs = "0054 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0074 _strnset_s 0158 _CrtGetDebugFillThreshold 0170 memset 024c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0250 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0254 ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0270 _CrtDbgReportW 0280 _errno 028c ??_C@_1BK@JMCNLJKB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02a4 _invalid_parameter 032c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BD A9 FD 03 00 91 15 00 00 91 34 00 00 91 58 00 00 11 77 00 00 91 19 00 80 52 16 00 80 52 B7 00 00 B5 B5 00 00 B5 94 17 00 B5 00 00 80 52 D2 00 00 14 35 17 00 B4 14 17 00 B4 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? EE 13 40 F9 C8 09 40 B9 E8 00 00 35 E3 02 00 91 02 03 00 11 81 02 00 91 A0 02 00 91 ?? ?? ?? ?? A5 00 00 14 08 7F 08 53 0D 1D 00 53 AB 02 00 91 93 02 00 91 0C 1F 00 53 0D 05 00 34 4C 05 00 34 A8 01 0E 8B 09 65 40 39 E9 04 10 36 A8 02 40 39 A8 08 00 34 97 08 00 B4 73 06 00 D1 53 08 00 B4 69 05 40 39 29 03 00 34 76 00 00 34 16 00 80 52 05 00 00 14 68 01 40 39 08 01 0E 8B 0A 65 40 39 56 01 1E 12 6D 01 00 39 73 06 00 D1 6B 05 00 91 B3 06 00 B4 76 00 00 34 16 00 80 52 05 00 00 14 69 01 40 39 28 01 0E 8B 09 65 40 39 36 01 1E 12 6C 01 00 39 6B 05 00 91 69 01 40 39 F7 06 00 D1 A9 FC FF 35 28 00 00 14 7F 01 00 39 73 06 00 91 39 00 80 52 24 00 00 14 88 01 0E 8B 09 65 40 39 09 02 10 36 BF 02 00 39 9F 06 00 B1 80 0D 00 54 E8 7B 40 B2 9F 02 08 EB 84 1A 41 FA 09 0D 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? 60 00 00 14 A8 02 40 39 08 02 00 34 F7 01 00 B4 73 06 00 D1 B3 01 00 B4 76 00 00 34 16 00 80 52 05 00 00 14 69 01 40 39 28 01 0E 8B 09 65 40 39 36 01 1E 12 6C 01 00 39 6B 05 00 91 69 01 40 39 F7 06 00 D1 49 FE FF 35 B7 02 00 B5 D6 01 00 34 68 01 40 39 88 01 00 34 73 06 00 D1 53 01 00 B4 68 05 40 39 39 00 80 52 88 00 00 35 7F 01 00 39 73 06 00 91 04 00 00 14 08 04 80 52 68 01 00 39 6B 05 00 91 68 01 40 39 A8 00 00 34 73 06 00 D1 73 00 00 B4 69 1D 40 38 A9 FF FF 35 13 05 00 B5 BF 02 00 39 9F 06 00 B1 80 01 00 54 E8 7B 40 B2 9F 02 08 EB 84 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 88 06 00 D1 1F 00 08 EB 02 30 88 9A A0 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 18 00 00 14 88 06 00 91 09 F9 60 92 C9 01 00 B4 88 02 13 CB 09 05 00 91 3F 01 14 EB 42 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A A8 02 13 CB 09 01 14 8B 20 05 00 91 C1 1F 80 52 ?? ?? ?? ?? D9 00 00 34 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 02 00 00 14 00 00 80 52 E8 A3 40 39 C8 03 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 19 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 23 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FD 7B C3 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_0_0 {
	meta:
		name = "??$common_strdate@D@@YAPEADQEAD@Z"
		size = 68
		refs = "0014 ??$common_strdate_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 21 01 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_1_0 {
	meta:
		name = "??$common_strdate@_W@@YAPEA_WQEA_W@Z"
		size = 68
		refs = "0014 ??$common_strdate_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 21 01 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_0_0 {
	meta:
		name = "??$common_strtime@D@@YAPEADQEAD@Z"
		size = 68
		refs = "0014 ??$common_strtime_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 21 01 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_1_0 {
	meta:
		name = "??$common_strtime@_W@@YAPEA_WQEA_W@Z"
		size = 68
		refs = "0014 ??$common_strtime_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 21 01 80 D2 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_2_0 {
	meta:
		name = "??$common_strdate_s@D@@YAHQEAD_K@Z"
		size = 908
		refs = "0008 __security_push_cookie 0058 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 011c _CrtGetDebugFillThreshold 016c memset 01a4 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 0234 __imp_GetLocalTime 0380 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 1F 01 00 F1 E0 00 00 54 E8 07 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A7 00 00 14 E9 03 40 F9 08 00 80 52 28 01 00 39 E8 07 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 07 40 F9 1F 01 09 EB 40 03 00 54 E9 07 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 07 40 F9 09 05 00 D1 E8 1F 40 F9 1F 01 09 EB 82 00 00 54 E8 1F 40 F9 E8 23 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 D1 E8 23 00 F9 E8 03 40 F9 00 05 00 91 E2 23 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 1F 25 00 F1 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 54 00 00 14 E0 83 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 C7 40 79 08 01 00 11 E8 23 00 B9 E8 CF 40 79 08 01 00 11 E8 27 00 B9 EA C3 40 79 4A 01 00 11 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 2B 00 B9 E9 23 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 09 01 00 39 EA 23 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 05 00 91 09 01 00 39 E8 03 40 F9 09 09 00 91 E8 05 80 52 28 01 00 39 E9 27 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 0D 00 91 09 01 00 39 EA 27 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 11 00 91 09 01 00 39 E8 03 40 F9 09 15 00 91 E8 05 80 52 28 01 00 39 E9 2B 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 19 00 91 09 01 00 39 EA 2B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 1D 00 91 09 01 00 39 E8 03 40 F9 09 21 00 91 08 00 80 52 28 01 00 39 00 00 80 52 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_615_3_0 {
	meta:
		name = "??$common_strdate_s@_W@@YAHQEA_W_K@Z"
		size = 920
		refs = "0008 __security_push_cookie 0058 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 011c _CrtGetDebugFillThreshold 0178 memset 01b0 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 0240 __imp_GetLocalTime 038c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 1F 01 00 F1 E0 00 00 54 E8 07 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 AA 00 00 14 E9 03 40 F9 08 00 80 52 28 01 00 79 E8 07 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 07 40 F9 1F 01 09 EB A0 03 00 54 E9 07 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 07 40 F9 09 05 00 D1 E8 1F 40 F9 1F 01 09 EB 82 00 00 54 E8 1F 40 F9 E8 23 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 D1 E8 23 00 F9 E9 23 40 F9 48 00 80 D2 22 7D 08 9B E8 03 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 1F 25 00 F1 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 E3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 54 00 00 14 E0 83 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 C7 40 79 08 01 00 11 E8 23 00 B9 E8 CF 40 79 08 01 00 11 E8 27 00 B9 EA C3 40 79 4A 01 00 11 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 2B 00 B9 E9 23 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 09 01 00 79 EA 23 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 09 00 91 09 01 00 79 E8 03 40 F9 09 11 00 91 E8 05 80 52 28 01 00 79 E9 27 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 19 00 91 09 01 00 79 EA 27 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 21 00 91 09 01 00 79 E8 03 40 F9 09 29 00 91 E8 05 80 52 28 01 00 79 E9 2B 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 31 00 91 09 01 00 79 EA 2B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 39 00 91 09 01 00 79 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 79 00 00 80 52 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_getwch"
		size = 56
		refs = "0010 __acrt_lock 0014 _getwch_nolock 0020 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_638_7_0 {
	meta:
		name = "_getch"
		size = 56
		refs = "0010 __acrt_lock 0014 _getch_nolock 0020 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_638_11_0 {
	meta:
		name = "_getche"
		size = 56
		refs = "0010 __acrt_lock 0014 _getche_nolock 0020 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_617_4_0 {
	meta:
		name = "_getwche"
		size = 56
		refs = "0010 __acrt_lock 0014 _getwche_nolock 0020 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_638_15_0 {
	meta:
		name = "_kbhit"
		size = 56
		refs = "0010 __acrt_lock 0014 _kbhit_nolock 0020 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 20 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_617_2_0 {
	meta:
		name = "_getwch_nolock"
		size = 336
		refs = "0014 __security_push_cookie 0024 ?wchbuf@@3GA 003c __dcrt_lowio_console_input_handle 004c __dcrt_lowio_initialize_console_input 0070 __imp_GetConsoleMode 0088 __imp_SetConsoleMode 0098 __imp_ReadConsoleInputW 00f8 _getextendedkeycode 0134 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 F7 03 00 91 E8 FF 9F 52 ?? ?? ?? ?? ?? ?? ?? ?? 1F 00 08 6B 60 00 00 54 ?? ?? ?? ?? 3E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 7F 0A 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 7F 06 00 B1 61 00 00 54 E0 FF 9F 52 34 00 00 14 F3 0A 00 F9 E1 12 00 91 60 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 01 00 80 52 60 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? E3 22 00 91 22 00 80 52 E1 62 00 91 60 02 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 80 00 00 35 E8 FF 9F 52 E8 02 00 79 13 00 00 14 E8 0A 40 B9 88 FF FF 34 E9 32 40 79 3F 05 00 71 A1 02 00 54 EA 1E 40 B9 6A 02 00 34 EB 4E 40 79 6B 00 00 34 EB 02 00 79 08 00 00 14 E0 72 00 91 ?? ?? ?? ?? 80 01 00 B4 08 04 40 39 ?? ?? ?? ?? 09 00 40 39 E9 02 00 79 E1 06 40 B9 60 02 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 02 40 79 02 00 00 14 DC FF FF 17 FF C3 00 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_617_3_0 {
	meta:
		name = "_getwch_nolock$fin$0"
		size = 44
		refs = "000c __imp_SetConsoleMode"
		altNames = "_getch_nolock$fin$0"
	strings:
		$1 = { FD 7B BF A9 E1 06 40 B9 E0 0A 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 1F 20 03 D5 FD 7B C1 A8 C0 03 5F D6 61 00 00 D4 }
	condition:
		$1
}

rule file_617_6_0 {
	meta:
		name = "_getwche_nolock"
		size = 104
		refs = "000c ?wchbuf@@3GA 0028 _getwch_nolock 0048 _putwch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E8 FF 9F 52 1F 00 08 6B 60 00 00 54 ?? ?? ?? ?? 0E 00 00 14 ?? ?? ?? ?? E8 FF 9F 52 13 00 00 11 7F 02 08 6B 61 00 00 54 E0 FF 9F 52 07 00 00 14 60 02 00 11 ?? ?? ?? ?? E9 FF 9F 52 1F 00 09 6B EA FF 9F 52 40 01 93 1A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_617_7_0 {
	meta:
		name = "_ungetwch"
		size = 64
		refs = "0014 __acrt_lock 001c _ungetwch_nolock 0028 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_638_18_0 {
	meta:
		name = "_ungetch"
		size = 64
		refs = "0014 __acrt_lock 001c _ungetch_nolock 0028 __acrt_unlock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 ?? ?? ?? ?? 13 00 00 11 20 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_617_9_0 {
	meta:
		name = "_ungetwch_nolock"
		size = 52
		refs = "000c ?wchbuf@@3GA"
	strings:
		$1 = { E8 FF 9F 52 1F 00 08 6B 20 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E9 FF 9F 52 1F 01 09 6B 81 00 00 54 00 1C 00 12 ?? ?? ?? ?? 02 00 00 14 E0 FF 9F 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_618_0_0 {
	meta:
		name = "?get_terminate_or_default@@YAP6AXXZQEBU__acrt_ptd@@@Z"
		size = 72
		refs = "0030 abort"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 C0 00 00 54 E8 03 40 F9 08 61 00 91 08 01 40 F9 E8 07 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 07 00 F9 E0 07 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_618_1_0 {
	meta:
		name = "_get_terminate"
		size = 40
		refs = "0008 __acrt_getptd 0014 ?get_terminate_or_default@@YAP6AXXZQEBU__acrt_ptd@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_618_2_0 {
	meta:
		name = "set_terminate"
		size = 76
		refs = "000c __acrt_getptd 0020 ?get_terminate_or_default@@YAP6AXXZQEBU__acrt_ptd@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 1B 00 F9 E8 0B 40 F9 09 61 00 91 E8 17 40 F9 28 01 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_618_3_0 {
	meta:
		name = "terminate"
		size = 96
		refs = "0008 __acrt_getptd 0038 __guard_check_icall_fptr 0050 abort"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 ?? ?? ?? ?? A0 13 00 F9 A8 13 40 F9 08 61 00 91 08 01 40 F9 A8 0B 00 F9 A8 0B 40 F9 1F 01 00 F1 40 01 00 54 A8 0B 40 F9 A8 0F 00 F9 AF 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 A8 0F 40 F9 00 01 3F D6 01 00 00 14 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_619_9_0 {
	meta:
		name = "?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 484
		refs = "001c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00fc ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 01c8 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 01d4 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 53 00 79 E1 0F 00 F9 E8 53 40 79 E8 27 00 79 E0 63 00 91 ?? ?? ?? ?? E0 1F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 1F 40 F9 0A 01 00 91 E8 23 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 48 01 40 F9 1F 01 09 EB 82 04 00 54 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 60 00 00 54 E0 FF 9F 52 59 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 81 00 91 08 01 40 B9 09 7D 40 93 48 00 80 D2 1F 01 09 EB 69 00 00 54 E0 FF 9F 52 4D 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 2F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 33 40 F9 08 01 00 91 09 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 08 01 00 91 E8 13 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 E8 13 40 F9 08 01 40 F9 09 01 40 79 29 01 00 11 E8 27 40 79 08 01 00 11 3F 01 08 6B 00 01 00 54 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E0 FF 9F 52 1F 00 00 14 0A 00 00 14 E8 13 40 F9 08 01 40 F9 09 09 00 D1 E8 13 40 F9 09 01 00 F9 E8 13 40 F9 09 01 40 F9 E8 27 40 79 28 01 00 79 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 41 00 91 E8 1B 00 F9 E8 1B 40 F9 08 01 40 B9 08 7D 40 93 08 09 00 91 09 01 00 11 E8 1B 40 F9 09 01 00 B9 01 01 80 52 E0 63 00 91 ?? ?? ?? ?? 21 00 80 52 E0 63 00 91 ?? ?? ?? ?? E0 27 40 79 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_619_10_0 {
	meta:
		name = "?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 824
		refs = "0008 __security_push_cookie 001c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0028 _fileno 00a4 __pioinfo 00d4 __badioinfo 012c wctomb_s 017c ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0304 ?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z 0310 ?set_flags@__crt_stdio_stream@@QEBA_NJ@Z 032c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 02 D1 E0 07 00 79 E1 07 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 27 00 F9 E0 27 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 05 00 31 E0 04 00 54 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E0 2B 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 09 00 31 C0 03 00 54 E0 23 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 1F 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 23 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 1B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 00 F9 E8 1B 40 F9 08 E5 00 91 08 01 C0 39 E8 03 00 39 08 00 80 52 E8 07 00 B9 08 00 80 52 E8 A3 02 39 E9 A7 02 91 29 01 00 91 08 00 80 52 28 01 00 B9 E8 03 C0 39 1F 01 00 71 A1 01 00 54 E3 07 40 79 A2 00 80 D2 E1 A3 02 91 E0 13 00 91 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 1F 01 00 71 60 00 00 54 E0 FF 9F 52 79 00 00 14 0C 00 00 14 E8 0B 00 91 E8 1F 00 F9 E8 1F 40 F9 08 01 C0 39 E8 A3 02 39 E8 1F 40 F9 08 05 00 91 08 01 C0 39 E8 A7 02 39 48 00 80 52 E8 07 00 B9 E0 23 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 37 40 F9 0B 01 00 91 E8 3B 40 F9 0A 21 00 91 E8 07 40 B9 09 7D 40 93 48 01 40 F9 09 01 09 8B 68 01 40 F9 1F 01 09 EB A2 04 00 54 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 60 00 00 54 E0 FF 9F 52 52 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 81 00 91 09 01 40 B9 E8 07 40 B9 1F 01 09 6B 6D 00 00 54 E0 FF 9F 52 47 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 47 40 F9 0A 21 00 91 E8 07 40 B9 09 7D 40 93 48 01 40 F9 09 01 09 8B E8 4B 40 F9 08 01 00 91 09 01 00 F9 E8 07 40 B9 08 05 00 51 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 51 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 EB 02 00 54 E0 23 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 E8 17 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 E8 17 40 F9 0A 01 40 F9 E8 13 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 A3 02 91 08 01 09 8B 08 01 C0 39 48 01 00 39 E5 FF FF 17 E0 23 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 41 00 91 E8 23 00 F9 E8 23 40 F9 09 01 40 B9 E8 07 40 B9 29 01 08 0B E8 23 40 F9 09 01 00 B9 01 01 80 52 E0 23 00 91 ?? ?? ?? ?? 21 00 80 52 E0 23 00 91 ?? ?? ?? ?? E8 07 40 79 08 01 00 11 08 3D 00 12 00 3D 00 53 00 00 00 11 FF C3 02 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_619_12_0 {
	meta:
		name = "_ungetwc_nolock"
		size = 536
		refs = "0018 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0040 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 00bc ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00dc ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00e8 __acrt_stdio_allocate_buffer_nolock 00f0 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 0118 _fileno 0194 __pioinfo 01c4 __badioinfo 01ec ?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z 0204 ?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 33 00 79 E1 27 00 F9 E1 27 40 F9 E0 83 00 91 ?? ?? ?? ?? E9 33 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 E0 FF 9F 52 77 00 00 14 21 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 E8 4F 00 39 81 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 E8 53 00 39 41 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 E8 57 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 E8 53 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 57 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 E0 FF 9F 52 57 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 5B 00 39 E8 5B 40 39 08 01 00 11 1F 01 00 71 C1 07 00 54 E0 83 00 91 ?? ?? ?? ?? E0 33 00 F9 E0 33 40 F9 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 05 00 31 E0 04 00 54 E0 83 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 37 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 09 00 31 C0 03 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 3B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 3F 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 37 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 3B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 23 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 23 00 F9 E8 23 40 F9 08 E1 00 91 08 01 40 39 08 01 00 11 E8 00 38 36 E1 13 40 F9 E0 33 40 79 ?? ?? ?? ?? E0 53 00 79 E0 53 40 79 06 00 00 14 E1 13 40 F9 E0 33 40 79 ?? ?? ?? ?? E0 57 00 79 E0 57 40 79 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_619_13_0 {
	meta:
		name = "ungetwc"
		size = 272
		refs = "0044 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GC@KHPDKBHB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1BA@INJHLAEB@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 00c4 _invalid_parameter 00dc _lock_file 00e8 _ungetwc_nolock 00fc _unlock_file"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 A0 27 00 79 A1 17 00 F9 A8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1B 00 B9 03 00 00 14 08 00 80 52 A8 1B 00 B9 A8 1B 40 B9 A8 1F 00 B9 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 23 00 B9 A9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1B 00 F9 A9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FF 9F 52 0E 00 00 14 E8 FF 9F 52 A8 23 00 79 A0 17 40 F9 ?? ?? ?? ?? A1 17 40 F9 A0 27 40 79 ?? ?? ?? ?? A0 2B 00 79 A8 2B 40 79 A8 23 00 79 A0 17 40 F9 ?? ?? ?? ?? A0 23 40 79 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "_FSinh"
		size = 708
		refs = "0014 _fdtest 00d4 _fperrraise 00d8 _FNan_C 017c _FRteps_C 01a4 ln3by2 01c8 c 0204 s 0238 _FXbig_C 0258 _fdexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 BD E1 1B 00 BD E0 43 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 E8 2B 00 79 E0 63 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 C0 79 E8 2F 00 79 E9 2B C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 2F C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B AC 07 00 54 E8 2B C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 13 40 BD 92 00 00 14 35 00 00 14 E8 2F C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1B 40 BD 8B 00 00 14 2E 00 00 14 E8 2B C0 79 08 01 00 11 1F 05 00 71 21 02 00 54 E8 2F C0 79 08 01 00 11 1F 01 00 71 E0 00 00 54 F1 13 40 BD F0 1B 40 BD 20 0A 30 1E 00 40 20 1E 7D 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 77 00 00 14 1A 00 00 14 E8 2B C0 79 08 01 00 11 1F 01 00 71 21 02 00 54 E8 2F C0 79 08 01 00 11 1F 05 00 71 E0 00 00 54 F1 13 40 BD F0 1B 40 BD 20 0A 30 1E 00 40 20 1E 69 00 00 14 06 00 00 14 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 63 00 00 14 06 00 00 14 F1 13 40 BD F0 1B 40 BD 20 0A 30 1E 00 40 20 1E 5D 00 00 14 5C 00 00 14 F0 13 40 BD 08 22 20 1E E2 00 00 54 F0 13 40 BD 10 42 21 1E F0 13 00 BD 28 00 80 52 E8 3B 00 79 03 00 00 14 08 00 80 52 E8 3B 00 79 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E C2 00 00 54 F1 13 40 BD F0 1B 40 BD 30 0A 30 1E F0 13 00 BD 3C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E 22 04 00 54 F1 13 40 BD F0 13 40 BD 30 0A 30 1E F0 27 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 27 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 27 40 BD 11 0A 31 1E 10 10 2E 1E 10 2A 31 1E F0 2F 00 BD F1 13 40 BD F0 27 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E F0 13 40 BD 10 2A 31 1E F0 13 00 BD F1 13 40 BD F0 2F 40 BD 31 1A 30 1E F0 1B 40 BD 10 0A 31 1E F0 13 00 BD 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E C2 01 00 54 01 00 80 12 00 10 2E 1E E0 43 00 91 ?? ?? ?? ?? 11 10 2A 1E F0 13 40 BD 31 1A 30 1E F0 13 40 BD 11 3A 31 1E F0 1B 40 BD 10 0A 31 1E F0 13 00 BD 05 00 00 14 01 00 80 12 E0 1B 40 BD E0 43 00 91 ?? ?? ?? ?? E8 3B C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 F0 13 40 BD 10 42 21 1E F0 2B 00 BD 03 00 00 14 F0 13 40 BD F0 2B 00 BD E0 2B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_620_1_0 {
	meta:
		name = "csinhf"
		size = 740
		refs = "0018 crealf 0030 cimagf 0044 _fdtest 008c _FNan_C 0094 _FCbuild 00f0 _fperrraise 0234 sinf 0240 cosf 0248 _FInf_C 029c _FCosh 02b8 _FSinh"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 2B 00 BD F0 2B 40 BD F0 1B 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 2F 00 BD F0 2F 40 BD F0 17 00 BD E0 63 00 91 ?? ?? ?? ?? E0 3B 00 79 E8 3B C0 79 E8 23 00 79 E0 53 00 91 ?? ?? ?? ?? E0 3F 00 79 E8 3F C0 79 E8 27 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 03 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 61 01 00 54 E1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 4F 00 BD E0 4B 00 BD E0 4B 40 BD E1 4F 40 BD 8D 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 57 00 BD E0 53 00 BD E0 53 40 BD E1 57 40 BD 82 00 00 14 81 00 00 14 E8 27 C0 79 08 01 00 11 1F 05 00 71 01 04 00 54 20 00 80 52 ?? ?? ?? ?? E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 BD ?? ?? ?? ?? E1 5F 00 BD E0 5B 00 BD E0 5B 40 BD E1 5F 40 BD 6A 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 67 00 BD E0 63 00 BD E0 63 40 BD E1 67 40 BD 5F 00 00 14 5E 00 00 14 E8 27 C0 79 08 01 00 11 1F 09 00 71 C1 03 00 54 E8 23 C0 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 C0 79 08 01 00 11 1F 05 00 71 61 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 BD ?? ?? ?? ?? E1 6F 00 BD E0 6B 00 BD E0 6B 40 BD E1 6F 40 BD 49 00 00 14 0B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E1 77 00 BD E0 73 00 BD E0 73 40 BD E1 77 40 BD 3E 00 00 14 3D 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 81 04 00 54 E8 27 C0 79 08 01 00 11 1F 01 00 71 41 01 00 54 E1 17 40 BD E0 1B 40 BD ?? ?? ?? ?? E1 7F 00 BD E0 7B 00 BD E0 7B 40 BD E1 7F 40 BD 2D 00 00 14 16 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 33 00 BD E0 17 40 BD ?? ?? ?? ?? E0 37 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 33 40 BD 21 0A 30 1E F1 1B 40 BD F0 37 40 BD 20 0A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 87 00 BD E0 83 00 BD E0 83 40 BD E1 87 40 BD 17 00 00 14 16 00 00 14 E0 17 40 BD ?? ?? ?? ?? E0 3B 00 BD E1 3B 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 43 00 BD E0 17 40 BD ?? ?? ?? ?? E0 3F 00 BD E1 3F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 47 00 BD E1 43 40 BD E0 47 40 BD ?? ?? ?? ?? E1 8F 00 BD E0 8B 00 BD E0 8B 40 BD E1 8F 40 BD FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "strpbrk"
		size = 428
		refs = "0008 __security_push_cookie 0068 __report_rangecheckfailure 01a0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 01 D1 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 E8 0B 00 F9 E8 17 40 F9 E8 07 00 F9 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 81 00 71 EA 01 00 54 E8 03 40 B9 08 7D 40 93 E8 0F 00 F9 E8 0F 40 F9 1F 81 00 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 C3 00 91 E8 0F 40 F9 29 01 08 8B 08 00 80 52 28 01 00 39 ED FF FF 17 E8 07 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 40 04 00 54 E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 0A 01 09 8B E8 07 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 09 21 C9 1A 48 01 40 39 08 01 00 11 0A 01 09 2A E8 07 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 09 01 09 8B 48 1D 00 53 28 01 00 39 E8 07 40 F9 08 05 00 91 E8 07 00 F9 DB FF FF 17 E8 0B 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 60 03 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 7D 03 13 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 C3 00 91 08 01 09 8B 0A 01 40 39 4A 01 00 11 E8 0B 40 F9 08 01 40 39 08 01 00 11 09 09 00 12 28 00 80 52 08 21 C9 1A 48 01 08 0A 1F 01 00 71 60 00 00 54 E0 0B 40 F9 06 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E2 FF FF 17 00 00 80 D2 FF 43 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_622_0_0 {
	meta:
		name = "remainderf"
		size = 48
		refs = "001c remquof"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 13 00 BD 00 00 80 D2 E1 13 40 BD E0 17 40 BD ?? ?? ?? ?? E0 1B 00 BD E0 1B 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_623_7_0 {
	meta:
		name = "_mbslwr_s_l"
		size = 684
		refs = "0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@ 0040 ??_C@_1GO@FAJOJLHI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c _CrtDbgReportW 006c _errno 0080 ??_C@_1BI@KPPLPFGP@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0090 _invalid_parameter 00a4 strnlen 00d0 _CrtGetDebugFillThreshold 00e8 memset 00f0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 017c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01cc __acrt_LCMapStringA"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BC A9 FD 03 00 91 FF 43 00 D1 14 00 00 91 33 00 00 91 56 00 00 91 B4 00 00 B4 B3 00 00 B4 B4 03 00 B5 00 00 80 52 86 00 00 14 B3 FF FF B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 6C 00 00 14 61 02 00 91 80 02 00 91 ?? ?? ?? ?? 15 00 00 91 BF 02 13 EB 43 04 00 54 9F 02 00 39 7F 06 00 B1 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 E3 07 80 52 ?? ?? ?? ?? D3 FF FF 17 68 06 00 91 09 F9 60 92 A9 01 00 B4 A8 06 00 91 1F 01 13 EB 42 01 00 54 ?? ?? ?? ?? 68 02 15 CB 09 05 00 D1 1F 00 09 EB A8 02 14 8B 02 30 89 9A 00 05 00 91 C1 1F 80 52 ?? ?? ?? ?? C1 02 00 91 E0 A3 00 91 ?? ?? ?? ?? 88 02 40 39 96 02 00 91 95 02 00 91 E8 04 00 34 EB 1F 40 F9 CC 02 40 39 8A 01 0B 8B 49 65 40 39 E9 02 10 36 67 05 40 B9 2D 00 80 52 61 11 41 F9 46 00 80 52 ED 03 00 B9 E5 83 00 91 44 00 80 52 C3 02 00 91 02 20 80 52 E0 C3 00 91 ?? ?? ?? ?? 60 04 00 34 E8 83 40 39 D6 06 00 91 EB 1F 40 F9 1F 04 00 71 A8 16 00 38 CD 01 00 54 E9 87 40 39 A9 02 00 39 B5 06 00 91 0A 00 00 14 88 05 00 11 68 C1 28 8B 09 61 40 39 69 00 20 36 4A 65 04 91 02 00 00 14 CA 02 00 91 49 01 40 39 A9 16 00 38 CA 1E 40 38 8A FB FF 35 BF 02 00 39 00 00 80 52 E8 03 41 39 A8 00 00 34 EA 17 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FF 43 00 91 FD 7B C4 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 7F 06 00 B1 9F 02 00 39 80 01 00 54 E8 7B 40 B2 7F 02 08 EB 64 1A 41 FA 09 01 00 54 ?? ?? ?? ?? 68 06 00 D1 1F 00 08 EB 02 30 88 9A 80 06 00 91 C1 1F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 40 B9 E2 FF FF 17 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "nexttowardf"
		size = 616
		refs = "001c _fdtest 0044 _ldtest 01dc _fperrraise"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 BD E1 17 00 FD E8 63 00 91 E8 13 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 41 00 00 54 7F 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 2F 00 79 E8 2F C0 79 08 01 00 11 1F 09 00 71 C0 00 00 54 F0 1B 40 BD 11 C2 22 1E F0 17 40 FD 20 22 70 1E A1 00 00 54 F0 17 40 FD 10 42 62 1E F0 1B 00 BD 6F 00 00 14 E8 23 C0 79 08 01 00 11 1F 05 00 71 01 02 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 09 01 11 12 E8 EF 8F 52 2A 01 08 2A E8 13 40 F9 09 09 00 91 48 3D 00 53 28 01 00 79 E9 13 40 F9 E8 FF 9F 52 28 01 00 79 5C 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 81 02 00 54 F0 1B 40 BD 11 C2 22 1E F0 17 40 FD 20 22 70 1E 82 00 00 54 08 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 90 52 E8 1F 00 B9 E8 13 40 F9 09 09 00 91 E8 1F 40 B9 08 3D 00 53 28 01 00 79 E9 13 40 F9 28 00 80 52 28 01 00 79 45 00 00 14 F0 1B 40 BD 11 C2 22 1E F0 17 40 FD 20 22 70 1E 82 00 00 54 F0 1B 40 BD 08 22 20 1E 2C 01 00 54 F0 1B 40 BD 11 C2 22 1E F0 17 40 FD 00 22 71 1E 62 04 00 54 F0 1B 40 BD 08 22 20 1E 02 04 00 54 E8 13 40 F9 08 01 40 79 08 05 00 11 09 3D 00 53 E8 13 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 08 3D 00 12 1F 01 00 71 61 02 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 05 00 11 08 3D 00 53 E8 27 00 79 E8 13 40 F9 09 09 00 91 E8 27 40 79 28 01 00 79 E8 27 40 79 08 01 00 11 09 79 10 12 08 F0 8F 52 3F 01 08 6B 61 00 00 54 00 01 80 52 ?? ?? ?? ?? 16 00 00 14 E8 13 40 F9 08 01 40 79 08 05 00 51 09 3D 00 53 E8 13 40 F9 09 01 00 79 E8 13 40 F9 08 01 40 79 08 01 00 11 09 3D 00 12 E8 FF 9F 52 3F 01 08 6B 21 01 00 54 E8 13 40 F9 08 09 00 91 08 01 40 79 08 05 00 51 09 3D 00 53 E8 13 40 F9 08 09 00 91 09 01 00 79 E8 13 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 08 1D 19 12 1F 01 00 71 61 00 00 54 00 02 80 52 ?? ?? ?? ?? E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_625_0_0 {
	meta:
		name = "feclearexcept"
		size = 196
		refs = "0034 _getfpstatusword 0064 __acrt_fenv_get_fp_status_word_from_exception_mask 0084 _setfpstatusword 0094 fetestexcept"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 08 00 80 52 E8 13 00 B9 E8 17 40 B9 08 11 00 12 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 23 00 00 14 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 13 00 B9 E9 13 40 B9 E8 17 40 B9 28 01 08 0A 1F 01 00 71 61 00 00 54 00 00 80 52 18 00 00 14 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E9 03 28 2A E8 13 40 B9 08 01 09 0A E8 13 00 B9 E0 13 40 B9 ?? ?? ?? ?? E8 13 40 B9 00 11 00 12 00 00 00 11 ?? ?? ?? ?? E0 23 00 B9 E8 13 40 B9 09 11 00 12 E8 23 40 B9 1F 01 09 6B 60 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "acos"
		size = 1072
		refs = "0098 _handle_nan 00bc ?piby2@?1??acos@@9@9 00c4 val_with_flags 0114 ?pi@?1??acos@@9@9 0150 ??_C@_04PDIFKINK@acos?$AA@ 0158 _handle_error 01dc sqrt 02d4 ?piby2_tail@?1??acos@@9@9 03b4 ?piby2_head@?1??acos@@9@9"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 0F 00 FD 30 1E 00 5C F0 1F 00 FD 08 00 80 52 E8 27 00 B9 F0 0F 40 FD F0 37 00 FD E8 37 40 F9 E8 23 00 F9 E8 23 40 F9 08 F9 40 92 E8 3B 00 F9 E8 23 40 F9 08 01 41 92 E8 33 00 F9 09 FE EF D2 E8 3B 40 F9 1F 01 09 EB 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 53 00 B9 E8 23 40 F9 08 29 4C 92 08 FD 74 D3 08 01 00 11 08 FD 0F 51 E8 23 00 B9 E8 53 40 B9 1F 01 00 71 E0 00 00 54 E0 23 40 F9 ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD C8 00 00 14 30 00 00 14 E8 23 40 B9 1F E1 00 31 2A 01 00 54 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 00 FD E0 43 40 FD BD 00 00 14 25 00 00 14 E8 23 40 B9 1F 01 00 71 4B 04 00 54 11 10 6E 1E F0 0F 40 FD 00 22 71 1E 81 00 00 54 E0 16 00 5C B3 00 00 14 1B 00 00 14 11 10 7E 1E F0 0F 40 FD 00 22 71 1E 21 01 00 54 00 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD A7 00 00 14 0F 00 00 14 26 00 80 52 E1 14 00 5C E0 0F 40 FD 25 04 80 52 04 01 80 52 23 00 80 52 02 FF FF D2 A1 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD 98 00 00 14 E8 33 40 F9 1F 01 00 F1 A0 00 00 54 F0 0F 40 FD 10 42 61 1E F0 17 00 FD 03 00 00 14 F0 0F 40 FD F0 17 00 FD E8 23 40 B9 1F 05 00 31 8B 00 00 54 28 00 80 52 E8 37 00 B9 03 00 00 14 08 00 80 52 E8 37 00 B9 E8 37 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 E0 01 00 54 11 10 6E 1E F0 17 40 FD 31 3A 70 1E 10 10 6C 1E 10 0A 71 1E F0 0B 00 FD E0 0B 40 FD ?? ?? ?? ?? E0 4F 00 FD F0 4F 40 FD F0 1F 00 FD F0 1F 40 FD F0 17 00 FD 05 00 00 14 F1 17 40 FD F0 17 40 FD 30 0A 70 1E F0 0B 00 FD 91 0E 00 5C F0 0B 40 FD 31 0A 70 1E 70 0E 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 30 0E 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E F0 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E B0 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 70 0D 00 5C 11 2A 71 1E F0 0B 40 FD 12 0A 71 1E 31 0D 00 5C F0 0B 40 FD 31 0A 70 1E 10 0D 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E D0 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 90 0C 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 50 0C 00 5C 10 2A 71 1E 50 1A 70 1E F0 2F 00 FD E8 27 40 B9 1F 01 00 71 E0 06 00 54 E8 33 40 F9 1F 01 00 F1 20 02 00 54 F1 17 40 FD F0 2F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 3A 70 1E F0 1F 40 FD 11 2A 71 1E 10 10 60 1E 11 0A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 3A 71 1E 00 40 60 1E 31 00 00 14 23 00 00 14 F0 1F 40 FD F0 53 00 FD E8 53 40 F9 E8 57 00 F9 E8 57 40 F9 08 7D 60 92 E8 5B 00 F9 F0 5B 40 FD F0 27 00 FD F1 27 40 FD F0 27 40 FD 31 0A 70 1E F0 0B 40 FD 12 3A 71 1E F1 1F 40 FD F0 27 40 FD 30 2A 70 1E 50 1A 70 1E F0 5F 00 FD 11 10 60 1E F0 27 40 FD 33 0A 70 1E 11 10 60 1E F0 5F 40 FD 32 0A 70 1E 11 10 60 1E F0 17 40 FD 31 0A 70 1E F0 2F 40 FD 30 0A 70 1E 50 2A 70 1E 60 2A 70 1E 00 40 60 1E 0E 00 00 14 0D 00 00 14 F1 0F 40 FD F0 2F 40 FD 31 0A 70 1E ?? ?? ?? ?? ?? ?? ?? ?? 11 3A 71 1E F0 0F 40 FD 11 3A 71 1E ?? ?? ?? ?? ?? ?? ?? ?? 00 3A 71 1E 00 40 60 1E FD 7B CC A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 61 10 32 5D 66 51 09 3F 35 21 A6 87 F8 E5 51 3F 90 96 C2 90 D3 28 AC BF 59 EF B7 C1 BE A2 D1 3F AC 9E 26 7E 29 7B DC BF 34 98 02 80 41 1E CD 3F 76 CE 82 29 42 1A BB 3F 8D F7 18 B4 4A 32 EE BF FC CC 1D 57 21 20 06 40 EA CD 03 F9 46 46 0A C0 28 F2 01 20 B1 D6 F5 3F }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "??$common_fopen_s@D@@YAHQEAPEAU_iobuf@@QEBD1@Z"
		size = 292
		refs = "0048 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 00e0 ??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E2 1B 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 13 00 00 14 02 10 80 52 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 13 40 F9 E8 23 40 F9 28 01 00 F9 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 C1 00 00 54 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_1_0 {
	meta:
		name = "??$common_fopen_s@_W@@YAHQEAPEAU_iobuf@@QEB_W1@Z"
		size = 292
		refs = "0048 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 00c8 _invalid_parameter 00e0 ??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 F9 E2 1B 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 13 00 00 14 02 10 80 52 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E9 13 40 F9 E8 23 40 F9 28 01 00 F9 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 C1 00 00 54 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_2_0 {
	meta:
		name = "??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
		size = 816
		refs = "0048 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d0 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0290 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0298 ?valid@__crt_stdio_stream@@QEBA_NXZ 02d8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02f8 ??$open_file@AEBQEBDAEBQEBDAEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAPEAU_iobuf@@AEBQEBD0AEBH$$QEAPEAU1@@Z 0318 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0320 ?unlock@__crt_stdio_stream@@QEBAXXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 2F 00 F9 A1 2B 00 F9 A2 4F 00 B9 A8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 96 00 00 14 A8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 47 00 B9 A9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 66 00 00 14 A8 2B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 34 00 00 14 A8 2F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 28 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 08 03 80 52 28 01 00 B9 00 00 80 D2 18 00 00 14 08 00 80 D2 A8 1F 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 47 00 F9 A8 47 40 F9 A8 4B 00 F9 A3 43 02 91 A2 33 01 91 A1 43 01 91 A0 63 01 91 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 A8 1F 00 F9 A8 1F 40 F9 1F 01 00 F1 61 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 1F 40 F9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_3_0 {
	meta:
		name = "?fin$0@?0???$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z@4HA"
		size = 48
		refs = "0018 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0020 ?unlock@__crt_stdio_stream@@QEBAXXZ"
		altNames = "?fin$0@?0???$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 1F 40 F9 1F 01 00 F1 61 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_4_0 {
	meta:
		name = "??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
		size = 816
		refs = "0048 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00c8 _invalid_parameter 0108 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d0 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0290 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0298 ?valid@__crt_stdio_stream@@QEBA_NXZ 02d8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 02f8 ??$open_file@AEBQEB_WAEBQEB_WAEBHPEAU_iobuf@@@?$__crt_char_traits@_W@@SAPEAU_iobuf@@AEBQEB_W0AEBH$$QEAPEAU1@@Z 0318 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0320 ?unlock@__crt_stdio_stream@@QEBAXXZ"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 A0 2F 00 F9 A1 2B 00 F9 A2 4F 00 B9 A8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 96 00 00 14 A8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 47 00 B9 A9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 66 00 00 14 A8 2B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 34 00 00 14 A8 2F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 D2 28 00 00 14 A0 63 00 91 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? A0 43 00 F9 A9 43 40 F9 08 03 80 52 28 01 00 B9 00 00 80 D2 18 00 00 14 08 00 80 D2 A8 1F 00 F9 A0 63 00 91 ?? ?? ?? ?? A0 47 00 F9 A8 47 40 F9 A8 4B 00 F9 A3 43 02 91 A2 33 01 91 A1 43 01 91 A0 63 01 91 ?? ?? ?? ?? A0 4F 00 F9 A8 4F 40 F9 A8 1F 00 F9 A8 1F 40 F9 1F 01 00 F1 61 00 00 54 A0 0F 40 F9 ?? ?? ?? ?? A0 63 00 91 ?? ?? ?? ?? A0 1F 40 F9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_11_0 {
	meta:
		name = "_fsopen"
		size = 52
		refs = "0020 ??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_14_0 {
	meta:
		name = "_wfsopen"
		size = 52
		refs = "0020 ??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_12_0 {
	meta:
		name = "_wfopen"
		size = 48
		refs = "001c ??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 08 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_629_15_0 {
	meta:
		name = "fopen"
		size = 48
		refs = "001c ??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 0B 00 F9 02 08 80 52 E1 0B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_3_0 {
	meta:
		name = "??$common_gmtime@J@@YAPEAUtm@@QEBJ@Z"
		size = 96
		refs = "000c __getgmtimebuf 0038 ??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 0B 00 00 14 E1 17 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_4_0 {
	meta:
		name = "??$common_gmtime@_J@@YAPEAUtm@@QEB_J@Z"
		size = 96
		refs = "000c __getgmtimebuf 0038 ??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 0B 00 00 14 E1 17 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_630_5_0 {
	meta:
		name = "??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
		size = 1044
		refs = "0044 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00dc memset 0114 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0218 ?compute_year@@YAHAEAJAEA_N@Z 0278 _lpdays 0288 _days"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 13 00 F9 E1 27 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 CD 00 00 14 82 04 80 D2 E1 1F 80 52 E0 13 40 F9 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 99 00 00 14 E8 27 40 F9 08 01 40 B9 E8 17 00 B9 E9 17 95 12 E8 17 40 B9 1F 01 09 6B 0A 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 8B 00 00 14 E8 17 40 B9 09 7D 40 93 48 11 00 58 3F 01 08 EB 0D 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 7F 00 00 14 08 00 80 52 E8 43 00 39 E1 43 00 91 E0 53 00 91 ?? ?? ?? ?? E0 43 00 B9 E8 13 40 F9 09 51 00 91 E8 43 40 B9 28 01 00 B9 E9 17 40 B9 E8 0E 00 18 29 0D C8 1A E8 13 40 F9 08 71 00 91 09 01 00 B9 E8 13 40 F9 08 71 00 91 09 01 40 B9 E8 0D 00 18 29 7D 08 1B E8 17 40 B9 08 01 09 4B E8 17 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 08 00 80 52 E8 1B 00 B9 28 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 1B 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 2F 40 F9 0A 01 09 8B E8 13 40 F9 08 71 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 4A 00 00 54 F1 FF FF 17 E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 E8 13 40 F9 09 41 00 91 E8 1B 40 B9 28 01 00 B9 E8 13 40 F9 0A 71 00 91 E8 1B 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 2F 40 F9 08 01 09 8B 49 01 40 B9 08 01 40 B9 29 01 08 4B E8 13 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 09 01 40 B9 28 06 00 18 28 0D C8 1A 0A 11 00 11 E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 13 40 F9 08 61 00 91 09 01 00 B9 E9 17 40 B9 08 C2 81 52 29 0D C8 1A E8 13 40 F9 08 21 00 91 09 01 00 B9 E8 13 40 F9 08 21 00 91 09 01 40 B9 08 C2 81 52 29 7D 08 1B E8 17 40 B9 08 01 09 4B E8 17 00 B9 E9 17 40 B9 88 07 80 52 29 0D C8 1A E8 13 40 F9 08 11 00 91 09 01 00 B9 E8 13 40 F9 08 11 00 91 09 01 40 B9 88 07 80 52 29 7D 08 1B E8 17 40 B9 09 01 09 4B E8 13 40 F9 08 01 00 91 09 01 00 B9 E8 13 40 F9 09 81 00 91 08 00 80 52 28 01 00 B9 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 CF E1 58 93 07 00 00 00 80 51 01 00 }
	condition:
		$1
}

rule file_630_6_0 {
	meta:
		name = "??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
		size = 1080
		refs = "0044 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00c4 _invalid_parameter 00dc memset 0114 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0214 ?compute_year@@YAHAEA_JAEA_N@Z 027c _lpdays 028c _days"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 27 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 D4 00 00 14 82 04 80 D2 E1 1F 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A0 00 00 14 E8 27 40 F9 08 01 40 F9 E8 13 00 F9 E9 17 95 92 E8 13 40 F9 1F 01 09 EB 0A 01 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 92 00 00 14 89 12 00 58 E8 13 40 F9 1F 01 09 EB 0D 01 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 C0 02 80 52 87 00 00 14 08 00 80 52 E8 43 00 39 E1 43 00 91 E0 83 00 91 ?? ?? ?? ?? E0 43 00 B9 E8 0F 40 F9 09 51 00 91 E8 43 40 B9 28 01 00 B9 E9 13 40 F9 08 10 00 58 28 0D C8 9A 09 01 00 11 E8 0F 40 F9 08 71 00 91 09 01 00 B9 E8 0F 40 F9 08 71 00 91 08 01 40 B9 09 7D 40 93 C8 0E 00 58 29 7D 08 9B E8 13 40 F9 08 01 09 CB E8 13 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 2B 00 F9 E8 2B 40 F9 E8 2F 00 F9 08 00 80 52 E8 17 00 B9 28 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 2F 40 F9 0A 01 09 8B E8 0F 40 F9 08 71 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 4A 00 00 54 F1 FF FF 17 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E8 0F 40 F9 09 41 00 91 E8 17 40 B9 28 01 00 B9 E8 0F 40 F9 0A 71 00 91 E8 17 40 B9 09 7D 40 93 88 00 80 D2 29 7D 08 9B E8 2F 40 F9 08 01 09 8B 49 01 40 B9 08 01 40 B9 29 01 08 4B E8 0F 40 F9 08 31 00 91 09 01 00 B9 E8 27 40 F9 09 01 40 F9 08 07 00 58 28 0D C8 9A 08 01 00 11 0A 11 00 11 E9 00 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B E8 0F 40 F9 08 61 00 91 09 01 00 B9 E9 13 40 F9 08 C2 81 D2 28 0D C8 9A 09 01 00 11 E8 0F 40 F9 08 21 00 91 09 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 B9 09 7D 40 93 08 C2 81 D2 29 7D 08 9B E8 13 40 F9 08 01 09 CB E8 13 00 F9 E9 13 40 F9 88 07 80 D2 28 0D C8 9A 09 01 00 11 E8 0F 40 F9 08 11 00 91 09 01 00 B9 E8 0F 40 F9 08 11 00 91 09 01 40 B9 88 07 80 52 28 7D 08 1B 09 7D 40 93 E8 13 40 F9 08 01 09 CB 09 01 00 11 E8 0F 40 F9 08 01 00 91 09 01 00 B9 E8 0F 40 F9 09 81 00 91 08 00 80 52 28 01 00 B9 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 1F 20 03 D5 CF E1 58 93 07 00 00 00 80 51 01 00 00 00 00 00 }
	condition:
		$1
}

rule file_630_9_0 {
	meta:
		name = "?compute_year@@YAHAEAJAEA_N@Z"
		size = 292
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E8 07 40 F9 09 01 40 B9 28 08 00 18 28 0D C8 1A E8 03 00 B9 E9 03 40 B9 A8 07 00 18 29 7D 08 1B E8 07 40 F9 08 01 40 B9 09 01 09 4B E8 07 40 F9 09 01 00 B9 E9 03 40 B9 88 00 80 52 28 7D 08 1B 08 19 01 11 E8 03 00 B9 49 06 00 18 E8 07 40 F9 08 01 40 B9 1F 01 09 6B 4B 05 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 07 40 F9 09 01 40 B9 08 05 00 18 29 01 08 4B E8 07 40 F9 09 01 00 B9 89 04 00 18 E8 07 40 F9 08 01 40 B9 1F 01 09 6B 8B 03 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 07 40 F9 09 01 40 B9 48 03 00 18 29 01 08 4B E8 07 40 F9 09 01 00 B9 E9 02 00 18 E8 07 40 F9 08 01 40 B9 1F 01 09 6B 6B 01 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 07 40 F9 09 01 40 B9 A8 01 00 18 29 01 08 4B E8 07 40 F9 09 01 00 B9 04 00 00 14 E9 0B 40 F9 28 00 80 52 28 01 00 39 E0 03 40 B9 FF 83 00 91 C0 03 5F D6 80 1F 86 07 80 33 E1 01 00 85 E2 01 }
	condition:
		$1
}

rule file_630_10_0 {
	meta:
		name = "?compute_year@@YAHAEA_JAEA_N@Z"
		size = 320
		refs = "0058 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 00bc ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E8 13 40 F9 09 01 40 F9 C8 08 00 58 28 0D C8 9A 08 01 00 11 08 19 01 11 E8 17 00 B9 E8 17 40 B9 08 19 01 51 09 7D 40 93 C8 07 00 58 29 7D 08 9B E8 13 40 F9 08 01 40 F9 09 01 09 CB E8 13 40 F9 09 01 00 F9 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 09 7D 40 93 88 06 00 58 29 7D 08 9B E8 13 40 F9 08 01 40 F9 09 01 09 CB E8 13 40 F9 09 01 00 F9 E8 13 40 F9 08 01 40 F9 1F 01 00 F1 6A 03 00 54 E8 13 40 F9 09 01 40 F9 A8 04 00 58 29 01 08 8B E8 13 40 F9 09 01 00 F9 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E0 17 40 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E8 13 40 F9 09 01 40 F9 E8 02 00 58 29 01 08 8B E8 13 40 F9 09 01 00 F9 E9 17 40 F9 28 00 80 52 28 01 00 39 0B 00 00 14 E0 17 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E9 17 40 F9 28 00 80 52 28 01 00 39 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 80 33 E1 01 00 00 00 00 80 51 01 00 00 00 00 00 }
	condition:
		$1
}

rule file_630_13_0 {
	meta:
		name = "__getgmtimebuf"
		size = 256
		refs = "0008 __acrt_getptd_noexit 0024 _errno 0068 ??_C@_0CP@FHPLDAFF@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0078 _malloc_dbg 0088 ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAA@QEAUtm@@@Z 009c ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAAPEAUtm@@XZ 00b8 ??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 01 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 2F 00 00 14 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 A1 01 91 00 01 40 F9 26 00 00 14 E3 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 80 04 80 D2 ?? ?? ?? ?? E0 17 00 F9 E1 17 40 F9 E0 23 01 91 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 1F 00 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 A1 01 91 E8 23 40 F9 28 01 00 F9 E0 23 01 91 ?? ?? ?? ?? E8 0B 40 F9 08 A1 01 91 08 01 40 F9 1F 01 00 F1 01 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 D2 04 00 00 14 E8 0B 40 F9 08 A1 01 91 00 01 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_631_0_0 {
	meta:
		name = "llroundf"
		size = 168
		refs = "0010 _fdtest 004c roundf 0090 _fperrraise"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 40 03 00 54 E8 1B 40 B9 1F 01 00 71 8D 00 00 54 E8 1B 40 B9 1F 09 00 71 4D 02 00 54 E0 17 40 BD ?? ?? ?? ?? E0 1F 00 BD F0 1F 40 BD F0 17 00 BD F1 17 40 BD 10 02 00 1C 00 22 31 1E 28 01 00 54 D1 01 00 1C F0 17 40 BD 00 22 31 1E A8 00 00 54 F0 17 40 BD 00 02 38 9E 00 00 00 91 04 00 00 14 20 00 80 52 ?? ?? ?? ?? 00 00 80 D2 FD 7B C2 A8 C0 03 5F D6 00 00 00 DF 00 00 00 5F }
	condition:
		$1
}

rule file_632_1_0 {
	meta:
		name = "_lsearch"
		size = 1232
		refs = "0050 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BC@OCILDANA@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d0 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0290 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0350 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0440 __guard_check_icall_fptr 0478 ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ 049c memcpy"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 37 00 F9 E1 3F 00 F9 E2 27 00 F9 E3 17 00 B9 E4 47 00 F9 E8 37 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 FC 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 CC 00 00 14 E8 3F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 9C 00 00 14 E8 17 40 B9 1F 01 00 71 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 6C 00 00 14 E8 47 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 3C 00 00 14 E8 3F 40 F9 E8 43 00 F9 E8 27 40 F9 09 01 40 B9 E8 17 40 B9 28 7D 08 1B 09 7D 40 D3 E8 43 40 F9 08 01 09 8B E8 3B 00 F9 E8 43 40 F9 E8 23 00 F9 06 00 00 14 E8 17 40 B9 09 7D 40 D3 E8 23 40 F9 08 01 09 8B E8 23 00 F9 E9 3B 40 F9 E8 23 40 F9 1F 01 09 EB C0 02 00 54 E8 47 40 F9 E8 4B 00 F9 EF 4B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 23 40 F9 E0 37 40 F9 E8 4B 40 F9 00 01 3F D6 E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 E1 00 00 54 E8 23 40 F9 E8 63 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 63 40 F9 12 00 00 14 E3 FF FF 17 E8 17 40 B9 02 7D 40 D3 42 00 00 91 E1 37 40 F9 E0 3B 40 F9 ?? ?? ?? ?? E8 27 40 F9 08 01 40 B9 09 05 00 11 E8 27 40 F9 09 01 00 B9 E8 3B 40 F9 E8 67 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 67 40 F9 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_633_0_0 {
	meta:
		name = "_mbclen"
		size = 60
		refs = "0014 _ismbblead"
		altNames = "_mbclen_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 60 02 40 39 ?? ?? ?? ?? A0 00 00 34 68 06 40 39 68 00 00 34 40 00 80 D2 02 00 00 14 20 00 80 D2 FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_634_4_0 {
	meta:
		name = "?get_drive_number_from_path@@YAHQEB_W@Z"
		size = 60
	strings:
		$1 = { 0A 00 40 79 8A 01 00 34 08 04 40 79 1F E9 00 71 21 01 00 54 E8 F3 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 48 00 00 54 4A 81 00 51 40 01 01 51 02 00 00 14 00 00 80 52 C0 03 5F D6 }
	condition:
		$1
}

rule file_634_6_0 {
	meta:
		name = "_chdrive"
		size = 228
		refs = "000c __security_push_cookie 001c __doserrno 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1DG@IKEHDKNA@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0030 ??_C@_1GE@OJOIIAJE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004c _CrtDbgReportW 005c _errno 0068 ??_C@_1BC@JCHHEAGH@?$AA_?$AAc?$AAh?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 0080 _invalid_parameter 0098 __imp_SetCurrentDirectoryW 00b8 __imp_GetLastError 00c8 __acrt_errno_map_os_error 00d4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BE A9 F3 53 01 A9 FD 03 00 91 ?? ?? ?? ?? 08 04 00 51 1F 65 00 71 A9 03 00 54 ?? ?? ?? ?? E8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? A8 01 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 E3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 13 00 00 14 08 00 01 11 FF 0B 00 79 E8 03 00 79 ?? ?? ?? ?? 4A 07 80 52 ?? ?? ?? ?? EA 07 00 79 09 FD DF C8 E0 03 00 91 20 01 3F D6 E0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? EE FF FF 17 00 00 80 52 ?? ?? ?? ?? F3 53 41 A9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_634_7_0 {
	meta:
		name = "_getdrive"
		size = 304
		refs = "0010 __security_push_cookie 0024 memset 0028 __imp_GetCurrentDirectoryW 0088 ??_C@_0DC@HBKAANM@minkernel?2crts?2ucrt?2src?2desktopc@ 00a0 _calloc_dbg 00c4 _errno 00dc _free_dbg 00e8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BD A9 F3 53 01 A9 F5 13 00 F9 FD 03 00 91 ?? ?? ?? ?? FF 43 08 D1 E0 03 00 91 42 41 80 52 01 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E1 03 00 91 A0 20 80 52 20 01 3F D6 1F 10 04 71 08 02 00 54 EA 03 40 79 8A 01 00 34 E8 07 40 79 1F E9 00 71 21 01 00 54 E8 F3 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 48 00 00 54 4A 81 00 51 40 01 01 51 1B 00 00 14 00 00 80 52 19 00 00 14 13 04 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 60 02 00 91 A4 04 80 52 42 00 80 52 41 00 80 D2 ?? ?? ?? ?? 14 00 00 91 F4 00 00 B4 ?? ?? ?? ?? 09 FD DF C8 81 02 00 91 60 02 00 11 20 01 3F D6 E0 01 00 35 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 13 00 80 52 41 00 80 52 80 02 00 91 ?? ?? ?? ?? 60 02 00 11 FF 43 08 91 ?? ?? ?? ?? F5 13 40 F9 F3 53 41 A9 FD 7B C3 A8 C0 03 5F D6 8A 02 40 79 8A FE FF 34 88 06 40 79 1F E9 00 71 21 FE FF 54 E8 F3 9F 52 48 01 08 0B 09 3D 00 53 3F 65 00 71 48 00 00 54 4A 81 00 51 53 01 01 51 EA FF FF 17 }
	condition:
		$1
}

rule file_635_12_0 {
	meta:
		name = "?InternalGetLocaleInfoA@@YAHQEAU__crt_locale_pointers@@QEB_WKQEADH@Z"
		size = 600
		refs = "0024 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0038 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 006c __acrt_GetLocaleInfoEx 0094 ??1_LocaleUpdate@@QEAA@XZ 00b4 _MallocaComputeSize 00e8 ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00f8 _malloc_dbg 0108 _MarkAllocaS 012c ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 0140 ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0154 ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 0174 ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 0224 __imp_WideCharToMultiByte"
	strings:
		$1 = { FD 7B B0 A9 FD 03 00 91 E0 33 00 F9 E1 2B 00 F9 E2 23 00 B9 E3 5F 00 F9 E4 27 00 B9 E1 33 40 F9 E0 23 03 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 77 00 F9 E0 23 03 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 3F 00 B9 03 00 80 52 02 00 80 D2 E1 23 40 B9 E0 2B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 52 E8 2F 00 B9 E0 23 03 91 ?? ?? ?? ?? E0 2F 40 B9 6D 00 00 14 E8 13 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 1F 01 00 F1 C0 02 00 54 E8 13 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 43 00 F9 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 43 40 F9 ?? ?? ?? ?? E0 47 00 F9 A1 BB 9B 52 E0 47 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 27 00 F9 03 00 00 14 08 00 80 D2 E8 27 00 F9 E1 27 40 F9 E0 C3 03 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 01 01 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 7F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 52 E8 33 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 33 40 B9 33 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 F9 E3 13 40 B9 E2 5B 40 F9 E1 23 40 B9 E0 2B 40 F9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 21 01 00 54 08 00 80 52 E8 3B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 3B 40 B9 1F 00 00 14 E8 27 40 B9 1F 01 00 71 80 00 00 54 E8 5F 40 F9 E8 2F 00 F9 03 00 00 14 08 00 80 D2 E8 2F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 07 00 80 D2 06 00 80 D2 E5 27 40 B9 E4 2F 40 F9 03 00 80 12 E2 63 40 F9 01 00 80 52 E0 3F 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 E8 47 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 23 03 91 ?? ?? ?? ?? E0 47 40 B9 FD 7B D0 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_635_22_0 {
	meta:
		name = "__acrt_GetLocaleInfoA"
		size = 1112
		refs = "0008 __security_push_cookie 0060 ?InternalGetLocaleInfoA@@YAHQEAU__crt_locale_pointers@@QEB_WKQEADH@Z 0088 ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 009c _calloc_dbg 00ac ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00c0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ 00d8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 011c strncpy_s 012c ??_C@_1HC@KAIIOBKJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0134 ??_C@_1CM@LGLMFNOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAI?$AAn?$AAf?$AAo?$AAA?$AA?$AA@ 013c ??_C@_1IM@HJPPDDKJ@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAc?$AAh?$AAa?$AAr?$AA_?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAl?$AAe@ 0148 _invoke_watson_if_error 0154 __imp_GetLastError 01ec ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 02c4 __acrt_GetLocaleInfoEx 0318 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0324 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 0344 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 03a4 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ 044c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 06 D1 E0 4B 00 F9 E1 13 00 B9 E2 17 00 F9 E3 03 00 B9 E4 23 00 F9 E9 23 40 F9 08 00 80 D2 28 01 00 F9 E8 13 40 B9 1F 05 00 71 41 13 00 54 E8 23 40 F9 E8 1F 00 F9 08 10 80 52 E8 9B 00 B9 04 10 80 52 E3 A3 04 91 E2 03 40 B9 E1 17 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 83 00 B9 E8 83 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 E0 06 00 54 E8 07 40 B9 00 7D 40 93 A4 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 53 00 F9 E1 53 40 F9 E0 03 03 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 5B 00 F9 E0 5B 40 F9 ?? ?? ?? ?? E0 5F 00 F9 E9 1F 40 F9 E8 5F 40 F9 28 01 00 F9 E0 03 03 91 ?? ?? ?? ?? E8 1F 40 F9 08 01 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 12 D6 00 00 14 E8 07 40 B9 08 05 00 51 03 7D 40 93 E8 07 40 B9 01 7D 40 93 63 00 00 91 E2 A3 04 91 21 00 00 91 E8 1F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 87 00 B9 05 00 80 D2 24 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 87 40 B9 ?? ?? ?? ?? 00 00 80 52 BE 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 8B 00 B9 E8 8B 40 B9 1F E9 01 71 60 00 00 54 00 00 80 12 B5 00 00 14 04 00 80 52 03 00 80 D2 E2 03 40 B9 E1 17 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 A7 00 00 14 E8 0B 40 B9 00 7D 40 93 04 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 67 00 F9 E1 67 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 8F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 12 E8 4F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 4F 40 B9 8D 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 E4 0B 40 B9 E3 6F 40 F9 E2 03 40 B9 E1 17 40 F9 E0 4B 40 F9 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 5B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 5B 40 B9 78 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 73 00 F9 E9 1F 40 F9 E8 73 40 F9 28 01 00 F9 08 00 80 52 E8 5F 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 5F 40 B9 6C 00 00 14 6A 00 00 14 E8 13 40 B9 1F 09 00 71 61 09 00 54 E8 23 40 F9 E8 83 00 F9 03 00 80 52 02 00 80 D2 E1 03 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 63 00 B9 E8 63 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 59 00 00 14 E8 0F 40 B9 00 7D 40 93 A4 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 77 00 F9 E1 77 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 93 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 12 E8 67 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 67 40 B9 3F 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 7F 00 F9 E3 0F 40 B9 E2 7F 40 F9 E1 03 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 7F 00 B9 E8 7F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 12 E8 6F 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 6F 40 B9 2B 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 87 00 F9 E9 83 40 F9 E8 87 40 F9 28 01 00 F9 08 00 80 52 E8 73 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 73 40 B9 1F 00 00 14 1D 00 00 14 E8 13 40 B9 1F 01 00 71 41 03 00 54 E8 23 40 F9 E8 8B 00 F9 08 00 80 52 E8 33 00 B9 E8 03 40 B9 01 01 03 32 43 00 80 52 E2 C3 00 91 21 00 00 11 E0 17 40 F9 ?? ?? ?? ?? E0 77 00 B9 E8 77 40 B9 E8 7B 00 B9 E8 7B 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 08 00 00 14 E8 33 40 B9 09 1D 00 53 E8 8B 40 F9 09 01 00 39 00 00 80 52 02 00 00 14 00 00 80 12 FF 83 06 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_638_4_0 {
	meta:
		name = "_MallocaComputeSize"
		size = 16
	strings:
		$1 = { 08 40 00 91 1F 01 00 EB 00 81 9F 9A C0 03 5F D6 }
	condition:
		$1
}

rule file_638_5_0 {
	meta:
		name = "_MarkAllocaS"
		size = 16
	strings:
		$1 = { 60 00 00 B4 01 00 00 B9 00 40 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_638_6_0 {
	meta:
		name = "_freea_crt"
		size = 112
		refs = "0020 _free_dbg 0034 ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@ 003c ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 00 03 00 B4 08 0C 5F B8 A9 BB 9B 52 1F 01 09 6B 81 00 00 54 41 00 80 52 ?? ?? ?? ?? 11 00 00 14 89 99 99 52 1F 01 09 6B C0 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 26 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_638_9_0 {
	meta:
		name = "_getch_nolock"
		size = 336
		refs = "0014 __security_push_cookie 0020 ?chbuf@@3HA 0040 __dcrt_lowio_console_input_handle 0050 __dcrt_lowio_initialize_console_input 0074 __imp_GetConsoleMode 008c __imp_SetConsoleMode 009c __imp_ReadConsoleInputA 00f0 _getextendedkeycode 0134 __security_pop_cookie"
	strings:
		$1 = { FD 7B BC A9 F3 53 01 A9 F5 5B 02 A9 F7 1B 00 F9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 F7 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 A0 00 00 54 00 1D 00 53 09 00 80 12 ?? ?? ?? ?? 3D 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 7F 0A 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 7F 06 00 B1 61 00 00 54 00 00 80 12 33 00 00 14 F3 0A 00 F9 E1 12 00 91 60 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 01 00 80 52 60 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 ?? ?? ?? ?? E3 22 00 91 22 00 80 52 E1 62 00 91 60 02 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 A0 02 00 34 E8 0A 40 B9 68 02 00 34 E9 32 40 79 3F 05 00 71 E1 01 00 54 EA 1E 40 B9 AA 01 00 34 EB 9A 40 39 6B 00 00 34 EB 02 00 B9 0C 00 00 14 E0 72 00 91 ?? ?? ?? ?? C0 00 00 B4 08 04 40 39 ?? ?? ?? ?? 09 00 40 39 E9 02 00 B9 04 00 00 14 E5 FF FF 17 08 00 80 12 E8 02 00 B9 E1 06 40 B9 60 02 00 91 ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 E0 02 40 B9 FF C3 00 91 ?? ?? ?? ?? F7 1B 40 F9 F5 5B 42 A9 F3 53 41 A9 FD 7B C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_638_13_0 {
	meta:
		name = "_getche_nolock"
		size = 100
		refs = "000c ?chbuf@@3HA 002c _getch_nolock 0048 _putch_nolock"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 A0 00 00 54 09 00 80 12 ?? ?? ?? ?? 00 1D 00 53 0C 00 00 14 ?? ?? ?? ?? 13 00 00 11 7F 06 00 31 61 00 00 54 00 00 80 12 06 00 00 14 60 02 00 11 ?? ?? ?? ?? 08 00 80 12 1F 04 00 31 00 01 93 1A FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_638_14_0 {
	meta:
		name = "_getextendedkeycode"
		size = 248
		refs = "0008 ?EnhancedKeys@@3QBUEnhKeyVals@?A0x85a4bdeb@@B 0094 ?NormalKeys@@3QBUNormKeyVals@?A0x85a4bdeb@@B"
	strings:
		$1 = { 0A 0C 40 B9 4A 04 40 36 ?? ?? ?? ?? 0D 10 40 79 ?? ?? ?? ?? 0B 00 80 52 68 7D 40 93 49 01 80 D2 09 7D 09 9B 28 69 6C 78 1F 01 0D 6B C0 00 00 54 6B 05 00 11 69 7D 40 93 3F 31 00 F1 E3 FE FF 54 2C 00 00 14 48 05 00 12 69 7D 40 93 A8 00 00 34 88 21 00 91 4D 01 80 D2 20 21 0D 9B 26 00 00 14 48 05 1E 12 68 00 00 34 88 19 00 91 FA FF FF 17 6A 00 20 36 88 11 00 91 F7 FF FF 17 4A 01 80 D2 88 09 00 91 20 21 0A 9B 1B 00 00 14 48 05 00 12 88 00 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 0C 00 00 14 48 05 1E 12 88 00 00 34 ?? ?? ?? ?? ?? ?? ?? ?? 07 00 00 14 8A 00 20 36 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 10 40 79 EA 1B 80 52 00 0D 09 8B 08 00 40 39 09 81 00 11 28 01 0A 0A 68 00 00 35 08 04 40 39 48 00 00 35 00 00 80 D2 C0 03 5F D6 }
	condition:
		$1
}

rule file_638_17_0 {
	meta:
		name = "_kbhit_nolock"
		size = 360
		refs = "0010 ?chbuf@@3HA 0028 __dcrt_lowio_console_input_handle 0038 __dcrt_lowio_initialize_console_input 0050 __imp_GetNumberOfConsoleInputEvents 0094 ??_C@_0DD@IFKELNOL@minkernel?2crts?2ucrt?2src?2desktopc@ 00a8 _malloc_dbg 00d0 __imp_PeekConsoleInputA 0128 _getextendedkeycode 0148 _freea_crt"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 60 00 00 54 20 00 80 52 4B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 7F 0A 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 7F 06 00 B1 61 00 00 54 00 00 80 52 41 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E1 43 00 91 60 02 00 91 20 01 3F D6 00 FF FF 34 E2 13 40 B9 C2 FE FF 34 89 02 80 D2 4A 7C 09 9B 49 41 00 91 3F 01 0A EB 28 81 9F 9A 08 02 00 B4 48 41 00 91 1F 01 0A EB ?? ?? ?? ?? 00 81 9F 9A 43 2E 80 52 ?? ?? ?? ?? 41 00 80 52 ?? ?? ?? ?? 14 00 00 91 94 00 00 B4 A8 BB 9B 52 88 02 00 B9 94 42 00 91 E2 13 40 B9 02 00 00 14 14 00 80 D2 B4 03 00 B4 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 E3 53 00 91 81 02 00 91 60 02 00 91 20 01 3F D6 A0 02 00 34 E8 4F 42 29 7F 02 00 71 6A 12 48 7A 28 02 00 54 13 02 00 34 95 12 00 91 A8 C2 5F 78 1F 05 00 71 01 01 00 54 A9 02 40 B9 C9 00 00 34 AA 2A C0 39 0A 02 00 35 A0 02 00 91 ?? ?? ?? ?? A0 01 00 B5 73 06 00 51 F3 17 00 B9 B5 52 00 91 73 FE FF 35 13 00 80 52 80 02 00 91 ?? ?? ?? ?? 60 02 00 11 FD 7B C2 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 33 00 80 52 F8 FF FF 17 }
	condition:
		$1
}

rule file_638_20_0 {
	meta:
		name = "_ungetch_nolock"
		size = 44
		refs = "0008 ?chbuf@@3HA"
	strings:
		$1 = { 1F 04 00 31 00 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 31 81 00 00 54 00 1C 00 12 ?? ?? ?? ?? 02 00 00 14 00 00 80 12 C0 03 5F D6 }
	condition:
		$1
}

rule file_639_0_0 {
	meta:
		name = "?GetTableIndexFromLcid@@YAHK@Z"
		size = 188
		refs = "0050 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { FF 83 00 D1 E0 13 00 B9 08 00 80 52 E8 0B 00 B9 68 1C 80 52 E8 07 00 B9 E9 07 40 B9 E8 0B 40 B9 1F 01 09 6B 6C 04 00 54 E9 0B 40 B9 E8 07 40 B9 29 01 08 0B 48 00 80 52 28 0D C8 1A E8 03 00 B9 E8 03 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 E9 13 40 B9 08 01 40 B9 28 01 08 4B E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 61 00 00 54 E0 03 40 B9 0D 00 00 14 E8 0F 40 B9 1F 01 00 71 AA 00 00 54 E8 03 40 B9 08 05 00 51 E8 07 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 0B 00 B9 DB FF FF 17 00 00 80 12 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "?GetTableIndexFromLocaleName@@YAHPEB_W@Z"
		size = 240
		refs = "000c ?LocaleNameToIndexTable@?A0x881e4c05@@3QBULocaleNameIndex@1@B 0078 ?__wcsnicmp_ascii@@YAHPEB_W0_K@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 17 00 F9 08 00 80 52 E8 1B 00 B9 68 1C 80 52 E8 17 00 B9 E9 17 40 B9 E8 1B 40 B9 1F 01 09 6B 8C 05 00 54 E9 1B 40 B9 E8 17 40 B9 29 01 08 0B 48 00 80 52 28 0D C8 1A E8 13 00 B9 E8 13 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 01 00 91 A2 0A 80 D2 01 01 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 41 01 00 54 E8 13 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 21 00 91 00 01 40 B9 0D 00 00 14 E8 1F 40 B9 1F 01 00 71 AA 00 00 54 E8 13 40 B9 08 05 00 51 E8 17 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 1B 00 B9 D2 FF FF 17 00 00 80 12 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_639_2_0 {
	meta:
		name = "?__wcsnicmp_ascii@@YAHPEB_W0_K@Z"
		size = 352
	strings:
		$1 = { FF C3 00 D1 E0 0B 00 F9 E1 0F 00 F9 E2 13 00 F9 08 00 80 52 E8 0F 00 B9 E8 13 40 F9 1F 01 00 F1 A0 09 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 07 00 B9 05 00 00 14 E8 0B 40 F9 08 01 40 79 08 01 00 11 E8 07 00 B9 E8 07 40 B9 08 3D 00 53 E8 03 00 79 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 05 01 71 AB 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 69 01 71 0C 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 08 05 01 51 08 85 01 11 E8 0B 00 B9 05 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 0B 00 B9 E8 0B 40 B9 08 3D 00 53 E8 07 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 13 40 F9 08 05 00 D1 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 60 01 00 54 E8 03 40 79 08 01 00 11 1F 01 00 71 E0 00 00 54 E9 03 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 3F 01 08 6B 60 F7 FF 54 E9 03 40 79 29 01 00 11 E8 07 40 79 08 01 00 11 28 01 08 4B E8 0F 00 B9 E0 0F 40 B9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_639_3_0 {
	meta:
		name = "__acrt_DownlevelLCIDToLocaleName"
		size = 344
		refs = "0070 ?GetTableIndexFromLcid@@YAHK@Z 00a4 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B 00c4 wcsnlen 0110 wcscpy_s 0120 ??_C@_1HO@KHHMOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0128 ??_C@_1EC@MDFDCHIL@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAD?$AAo?$AAw?$AAn?$AAl?$AAe?$AAv?$AAe?$AAl?$AAL?$AAC?$AAI?$AAD?$AAT?$AAo?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 0130 ??_C@_1FO@LFACCMJH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AAL?$AAo?$AAc?$AAa?$AAl@ 013c _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 B9 E1 1B 00 F9 E2 13 00 B9 E8 17 40 B9 1F 01 00 71 E0 00 00 54 E8 17 40 B9 1F 01 10 71 80 00 00 54 E8 17 40 B9 1F 01 20 71 61 00 00 54 00 00 80 52 45 00 00 14 E8 1B 40 F9 1F 01 00 F1 81 00 00 54 E8 13 40 B9 1F 01 00 71 8C 00 00 54 E8 13 40 B9 1F 01 00 71 6A 00 00 54 00 00 80 52 3A 00 00 14 E0 17 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 6A 00 00 54 00 00 80 52 30 00 00 14 E8 1B 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 21 00 91 08 01 40 F9 E8 17 00 F9 A1 0A 80 D2 E0 17 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 1F 00 F9 E8 13 40 B9 1F 01 00 71 2D 03 00 54 E8 1F 40 F9 09 01 00 11 E8 13 40 B9 3F 01 08 6B 6B 00 00 54 00 00 80 52 16 00 00 14 E8 13 40 B9 01 7D 40 93 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 B9 05 00 80 D2 24 4E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 ?? ?? ?? ?? E8 1F 40 F9 08 01 00 11 00 05 00 11 00 00 00 11 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_639_4_0 {
	meta:
		name = "__acrt_DownlevelLocaleNameToLCID"
		size = 132
		refs = "0024 ?GetTableIndexFromLocaleName@@YAHPEB_W@Z 0068 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 18 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 AB 00 00 54 E8 13 40 B9 08 7D 40 93 1F 91 03 F1 63 00 00 54 00 00 80 52 0A 00 00 14 E8 13 40 B9 09 7D 40 93 08 02 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 00 01 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_20_0 {
	meta:
		name = "??$common_vfscanf@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@QEAA@AEBQEAU__crt_locale_pointers@@AEBQEAU_iobuf@@AEB_KAEBQEBDAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 C3 00 91 E1 83 01 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_21_0 {
	meta:
		name = "??$common_vfscanf@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 472
		refs = "0050 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 00d0 _invalid_parameter 0110 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b4 ??0<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@QEAA@AEBQEAU__crt_locale_pointers@@AEBQEAU_iobuf@@AEB_KAEBQEB_WAEBQEAD@Z 01c4 ??$__acrt_lock_stream_and_call@V<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 2F 00 F9 E1 1B 00 F9 E2 1F 00 F9 E3 33 00 F9 E4 2B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 3E 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0E 00 00 14 E5 43 01 91 E4 E3 00 91 E3 63 01 91 E2 C3 00 91 E1 83 01 91 E0 C3 01 91 ?? ?? ?? ?? E0 37 00 F9 E1 37 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 2B 00 B9 E0 2B 40 B9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_22_0 {
	meta:
		name = "??$common_vsscanf@D@@YAH_KQEBD01QEAU__crt_locale_pointers@@QEAD@Z"
		size = 572
		refs = "0008 __security_push_cookie 005c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 ??$tcsnlen@AEBQEBDAEB_K@?$__crt_char_traits@D@@SA_KAEBQEBDAEB_K@Z 01c8 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01d4 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01e8 ??0?$string_input_adapter@D@__crt_stdio_input@@QEAA@QEBD_K@Z 0208 ??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z 0210 ?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0224 ??1_LocaleUpdate@@QEAA@XZ 0230 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 05 D1 E0 3B 00 F9 E1 13 00 F9 E2 23 00 F9 E3 17 00 F9 E4 2B 00 F9 E5 33 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 E8 07 00 B9 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 52 00 00 14 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 0B 00 B9 03 00 00 14 08 00 80 52 E8 0B 00 B9 E8 0B 40 B9 E8 0F 00 B9 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 22 00 00 14 E1 03 01 91 E0 83 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2F 00 F9 E1 2B 40 F9 E0 23 02 91 ?? ?? ?? ?? E0 43 00 F9 E0 23 02 91 ?? ?? ?? ?? E0 37 00 F9 E2 2F 40 F9 E1 13 40 F9 E0 A3 02 91 ?? ?? ?? ?? E0 3F 00 F9 E5 33 40 F9 E4 37 40 F9 E3 17 40 F9 E2 3B 40 F9 E1 3F 40 F9 E0 03 03 91 ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E0 23 02 91 ?? ?? ?? ?? E0 1F 40 B9 FF 43 05 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_23_0 {
	meta:
		name = "??$common_vsscanf@_W@@YAH_KQEB_W01QEAU__crt_locale_pointers@@QEAD@Z"
		size = 568
		refs = "0054 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a8 ??$tcsnlen@AEBQEB_WAEB_K@?$__crt_char_traits@_W@@SA_KAEBQEB_WAEB_K@Z 01c0 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 01cc ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 01e0 ??0?$string_input_adapter@_W@__crt_stdio_input@@QEAA@QEB_W_K@Z 0200 ??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z 020c ?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0220 ??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ 0228 ??1_LocaleUpdate@@QEAA@XZ"
	strings:
		$1 = { FD 7B AA A9 FD 03 00 91 E0 43 00 F9 E1 1B 00 F9 E2 2B 00 F9 E3 1F 00 F9 E4 33 00 F9 E5 3B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 55 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 25 00 00 14 E1 43 01 91 E0 C3 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 37 00 F9 E1 33 40 F9 E0 83 02 91 ?? ?? ?? ?? E0 4B 00 F9 E0 83 02 91 ?? ?? ?? ?? E0 3F 00 F9 E2 37 40 F9 E1 1B 40 F9 E0 03 03 91 ?? ?? ?? ?? E0 47 00 F9 E5 3B 40 F9 E4 3F 40 F9 E3 1F 40 F9 E2 43 40 F9 E1 47 40 F9 E0 63 03 91 ?? ?? ?? ?? E0 4F 00 F9 E0 63 03 91 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E0 63 03 91 ?? ?? ?? ?? E0 83 02 91 ?? ?? ?? ?? E0 2F 40 B9 FD 7B D6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_28_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
		size = 216
		refs = "0058 _CrtGetDebugFillThreshold 00cc memset"
		altNames = "??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 0B 00 F9 E2 0F 00 F9 E8 0B 40 F9 1F 05 00 B1 41 00 00 54 2C 00 00 14 E8 0B 40 F9 1F 05 00 B1 20 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 04 00 54 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 3F 01 08 EB E2 03 00 54 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 09 01 09 CB E8 13 40 F9 1F 01 09 EB 82 00 00 54 E8 13 40 F9 E8 17 00 F9 07 00 00 14 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 08 01 09 CB E8 17 00 F9 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 1F 40 F9 00 01 09 8B E2 17 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_32_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
		size = 236
		refs = "0058 _CrtGetDebugFillThreshold 00e0 memset"
		altNames = "??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 0B 00 F9 E2 0F 00 F9 E8 0B 40 F9 1F 05 00 B1 41 00 00 54 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 C0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 05 00 54 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 3F 01 08 EB 82 04 00 54 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 09 01 09 CB E8 13 40 F9 1F 01 09 EB 82 00 00 54 E8 13 40 F9 E8 17 00 F9 07 00 00 14 E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB E8 0B 40 F9 08 01 09 CB E8 17 00 F9 E9 17 40 F9 48 00 80 D2 22 7D 08 9B E9 0B 40 F9 E8 0F 40 F9 29 01 08 CB 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 00 01 09 8B 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_39_0 {
	meta:
		name = "??$istspace@AEBE@?$__crt_char_traits@D@@SAHAEBE@Z"
		size = 48
		refs = "001c isspace"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 40 39 00 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_40_0 {
	meta:
		name = "??$istspace@AEB_W@?$__crt_char_traits@_W@@SAHAEB_W@Z"
		size = 44
		refs = "0018 iswctype"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 01 80 52 E8 0F 40 F9 00 01 40 79 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_41_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
		size = 60
		refs = "0028 ??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_42_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
		size = 60
		refs = "0028 ??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_43_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
		size = 60
		refs = "0028 ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_44_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
		size = 60
		refs = "0028 ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0B 00 F9 E1 17 00 F9 E2 13 00 F9 E3 0F 00 F9 E3 0F 40 F9 E2 13 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 0B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_83_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 244
		refs = "0030 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 1C F0 17 00 BD E8 23 01 91 E8 1B 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 C1 01 91 E2 53 00 91 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_641_84_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 244
		refs = "0030 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 1C F0 17 00 BD E8 23 01 91 E8 1B 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 E1 01 91 E2 53 00 91 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_641_85_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 244
		refs = "0030 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 1C F0 17 00 BD E8 23 01 91 E8 1B 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 61 01 91 E2 53 00 91 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_641_86_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 244
		refs = "0030 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 1C F0 17 00 BD E8 23 01 91 E8 1B 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 81 01 91 E2 53 00 91 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 53 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_641_87_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0030 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 5C F0 17 00 FD E8 43 01 91 E8 1F 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 1B 40 F9 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E8 0F 40 F9 08 C1 01 91 E2 A3 00 91 E1 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 A3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_641_88_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0030 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 5C F0 17 00 FD E8 43 01 91 E8 1F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 1B 40 F9 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E8 0F 40 F9 08 E1 01 91 E2 A3 00 91 E1 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 A3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_641_89_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0030 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 5C F0 17 00 FD E8 43 01 91 E8 1F 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 1B 40 F9 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E8 0F 40 F9 08 61 01 91 E2 A3 00 91 E1 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 A3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_641_90_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 248
		refs = "0030 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0074 ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00dc ??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 0F 00 F9 08 00 80 52 E8 43 00 39 F0 06 00 5C F0 17 00 FD E8 43 01 91 E8 1F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 1B 40 F9 21 00 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 27 00 F9 E8 0F 40 F9 08 81 01 91 E2 A3 00 91 E1 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 E8 27 40 B9 1F 05 00 71 61 00 00 54 00 00 80 52 11 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 06 00 00 14 E1 A3 00 91 E0 0F 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 FD 7B C7 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_641_91_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 1296
		refs = "0028 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 02e0 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 03a8 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 03ec ??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z 042c ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z 04e4 ??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 39 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 E1 01 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 E1 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 DB 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 E1 01 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 E1 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 39 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB C0 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 37 00 B9 E2 37 40 B9 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 37 40 B9 00 00 00 91 ?? ?? ?? ?? 28 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 40 00 00 14 E8 37 40 B9 05 1D 00 13 A5 00 00 11 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BA FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 39 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 01 02 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_92_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 1296
		refs = "0028 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 02e0 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 03a8 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 03ec ??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z 042c ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z 04e4 ??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 39 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 01 02 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 01 02 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 DB 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 01 02 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 01 02 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 39 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB C0 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 67 00 B9 E8 67 40 B9 E8 37 00 B9 E2 37 40 B9 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 37 40 B9 00 00 00 91 ?? ?? ?? ?? 28 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 40 00 00 14 E8 37 40 B9 05 1D 00 13 A5 00 00 11 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BA FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 39 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 21 02 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_93_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 1288
		refs = "0028 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 02e0 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 03a8 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 03ec ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z 0424 ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z 04dc ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 39 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 81 01 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 81 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 D9 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 81 01 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 81 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 39 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8C 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB 80 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 40 79 E8 3F 00 79 E2 3F 40 79 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 3F 40 79 00 00 00 91 ?? ?? ?? ?? 26 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 3E 00 00 14 E5 3F 40 79 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BC FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 39 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 A1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 A1 01 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_94_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 1288
		refs = "0028 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 02e0 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 03a8 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 03ec ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z 0424 ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z 04dc ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 39 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 A1 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 D9 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 A1 01 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 39 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8C 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB 80 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 67 00 79 E8 67 40 79 E8 3F 00 79 E2 3F 40 79 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 3F 40 79 00 00 00 91 ?? ?? ?? ?? 26 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 3E 00 00 14 E5 3F 40 79 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BC FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 39 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 C1 01 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_95_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 1296
		refs = "0028 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 02e0 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 03a8 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 03ec ??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z 042c ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z 04e4 ??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 79 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 3F 00 F9 E8 0B 40 F9 09 E1 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 47 00 F9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 43 00 F9 E8 0B 40 F9 09 E1 01 91 E8 43 40 F9 28 01 00 F9 E8 43 40 F9 08 21 00 D1 08 01 40 F9 E8 47 00 F9 E8 47 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 DB 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 4B 00 F9 E8 0B 40 F9 09 E1 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4F 00 F9 E8 0B 40 F9 09 E1 01 91 E8 4F 40 F9 28 01 00 F9 E8 4F 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 53 00 F9 03 00 00 14 08 00 80 92 E8 53 00 F9 E8 53 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 79 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 3B 00 F9 E8 17 40 F9 E8 57 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 3B 40 F9 1F 01 00 F1 A0 00 00 54 E9 3B 40 F9 E8 2B 40 F9 1F 01 09 EB C0 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 33 00 B9 E2 33 40 B9 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 33 40 B9 00 00 00 91 ?? ?? ?? ?? 28 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 40 00 00 14 E8 33 40 B9 05 1D 00 13 A5 00 00 11 E4 E3 00 91 E3 A3 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BA FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 3B 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 57 40 F9 08 00 80 52 28 01 00 79 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 01 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 01 02 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_96_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 1296
		refs = "0028 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 02e0 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z 03a8 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 03ec ??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z 042c ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z 04e4 ??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 79 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 3F 00 F9 E8 0B 40 F9 09 01 02 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 47 00 F9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 43 00 F9 E8 0B 40 F9 09 01 02 91 E8 43 40 F9 28 01 00 F9 E8 43 40 F9 08 21 00 D1 08 01 40 F9 E8 47 00 F9 E8 47 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 DB 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 4B 00 F9 E8 0B 40 F9 09 01 02 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4F 00 F9 E8 0B 40 F9 09 01 02 91 E8 4F 40 F9 28 01 00 F9 E8 4F 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 53 00 F9 03 00 00 14 08 00 80 92 E8 53 00 F9 E8 53 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 79 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 3B 00 F9 E8 17 40 F9 E8 57 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 3B 40 F9 1F 01 00 F1 A0 00 00 54 E9 3B 40 F9 E8 2B 40 F9 1F 01 09 EB C0 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 33 00 B9 E2 33 40 B9 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 33 40 B9 00 00 00 91 ?? ?? ?? ?? 28 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 40 00 00 14 E8 33 40 B9 05 1D 00 13 A5 00 00 11 E4 E3 00 91 E3 A3 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BA FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 3B 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 57 40 F9 08 00 80 52 28 01 00 79 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 21 02 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_97_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 1288
		refs = "0028 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 02e0 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 03a8 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 03ec ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z 0424 ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z 04dc ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 79 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 81 01 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 81 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 D9 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 81 01 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 81 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 79 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8C 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB 80 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 40 79 E8 3F 00 79 E2 3F 40 79 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 3F 40 79 00 00 00 91 ?? ?? ?? ?? 26 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 3E 00 00 14 E5 3F 40 79 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BC FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 79 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 A1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 A1 01 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_98_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 1288
		refs = "0028 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0114 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0138 _CrtDbgReportW 0160 _errno 0184 ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0194 _invalid_parameter 01b0 ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 02a8 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 02e0 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0380 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z 03a8 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 03ec ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z 0424 ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z 04dc ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K1@Z"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 0B 00 F9 E1 23 00 B9 E2 C3 00 79 08 00 80 D2 E8 17 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 21 0B 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 3B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 3B 40 F9 28 01 00 F9 E8 3B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 43 00 F9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 3F 00 F9 E8 0B 40 F9 09 A1 01 91 E8 3F 40 F9 28 01 00 F9 E8 3F 40 F9 08 21 00 D1 08 01 40 F9 E8 43 00 F9 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 9B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 D9 00 00 14 E8 17 40 F9 1F 01 00 F1 40 06 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 05 00 54 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 47 00 F9 E8 0B 40 F9 09 A1 01 91 E8 47 40 F9 28 01 00 F9 E8 47 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 4B 00 B9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 4B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 4B 40 F9 28 01 00 F9 E8 4B 40 F9 08 21 00 D1 08 01 40 B9 E8 4B 00 B9 E8 4B 40 B9 08 7D 40 D3 E8 4F 00 F9 03 00 00 14 08 00 80 92 E8 4F 00 F9 E8 4F 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 61 02 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 08 01 10 36 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E9 17 40 F9 08 00 80 52 28 01 00 79 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 8C 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 E8 17 40 F9 E8 53 00 F9 E8 2F 40 F9 E8 1F 00 F9 E8 23 40 B9 1F 01 00 71 E0 00 00 54 E8 1F 40 F9 1F 05 00 B1 80 00 00 54 E8 1F 40 F9 08 05 00 D1 E8 1F 00 F9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 37 40 F9 1F 01 00 F1 A0 00 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB 80 07 00 54 E8 0B 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 63 00 79 E8 63 40 79 E8 3F 00 79 E2 3F 40 79 E1 23 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 0B 40 F9 00 21 00 91 E1 3F 40 79 00 00 00 91 ?? ?? ?? ?? 26 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 D7 FF FF 17 E8 1F 40 F9 1F 01 00 F1 61 01 00 54 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 88 01 80 52 28 01 00 B9 00 00 80 52 3E 00 00 14 E5 3F 40 79 E4 E3 00 91 E3 83 02 91 E2 2F 40 F9 E1 17 40 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 73 00 39 E8 73 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 BC FF FF 17 E8 2B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 2B 00 00 14 E8 23 40 B9 1F 01 00 71 61 01 00 54 E9 37 40 F9 E8 2B 40 F9 1F 01 09 EB E0 00 00 54 E8 0B 40 F9 08 01 00 91 08 01 40 F9 68 00 10 37 00 00 80 52 1E 00 00 14 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 77 00 39 E8 77 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 13 00 00 14 E8 23 40 B9 1F 01 00 71 00 01 00 54 E9 53 40 F9 08 00 80 52 28 01 00 79 E2 1F 40 F9 E1 2F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 C1 01 91 09 01 00 F9 20 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_99_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
		size = 180
		refs = "0058 _CrtGetDebugFillThreshold 00a8 memset"
		altNames = "??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E8 0B 40 F9 1F 05 00 B1 41 00 00 54 24 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 0F 40 F9 1F 01 09 EB 82 00 00 54 E8 0F 40 F9 E8 17 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 17 00 F9 E8 13 40 F9 00 05 00 91 E2 17 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_103_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z"
		size = 192
		refs = "0058 _CrtGetDebugFillThreshold 00b4 memset"
		altNames = "??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFA_W_K@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 0B 00 F9 E8 0B 40 F9 1F 05 00 B1 41 00 00 54 27 00 00 14 E9 17 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB A0 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 0F 40 F9 1F 01 09 EB 82 00 00 54 E8 0F 40 F9 E8 13 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 13 00 F9 E9 13 40 F9 48 00 80 D2 22 7D 08 9B E8 17 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_107_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 104
		refs = "0014 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0044 ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 41 00 00 54 0B 00 00 14 E8 17 40 B9 00 1D 00 13 E1 17 40 F9 00 00 00 11 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 FD FF 54 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_109_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 104
		refs = "0014 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0044 ?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 41 00 00 54 0B 00 00 14 E8 17 40 B9 00 1D 00 13 E1 17 40 F9 00 00 00 11 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 FD FF 54 E0 17 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_108_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 104
		refs = "0014 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 0044 ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 79 E8 2B 40 79 E8 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 09 00 00 14 E1 13 40 F9 E0 27 40 79 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 FD FF 54 E0 27 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_110_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 104
		refs = "0014 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 0044 ?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 2B 00 79 E8 2B 40 79 E8 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 09 00 00 14 E1 13 40 F9 E0 27 40 79 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 FD FF 54 E0 27 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_117_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 E1 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 E1 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 01 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 01 02 91 09 01 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 00 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_118_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 01 02 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 01 02 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 21 02 91 09 01 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 00 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_119_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 81 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 81 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 A1 01 91 09 01 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 00 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_120_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 A1 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 C1 01 91 09 01 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 00 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_121_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 E1 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A E1 01 91 E8 0B 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 E1 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 01 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 01 02 91 09 01 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 01 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_122_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 01 02 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A 01 02 91 E8 0B 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 01 02 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 21 02 91 09 01 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 01 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_123_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 81 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A 81 01 91 E8 0B 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 81 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 A1 01 91 09 01 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 01 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_124_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 524
		refs = "00e4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 _CrtDbgReportW 0130 _errno 0154 ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0164 _invalid_parameter 0198 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 01b0 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 2F 00 F9 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0B 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 17 00 F9 E8 0B 40 F9 09 A1 01 91 E8 17 40 F9 28 01 00 F9 E8 17 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 1F 00 F9 15 00 00 14 E8 0B 40 F9 0A A1 01 91 E8 0B 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 1B 00 F9 E8 0B 40 F9 09 A1 01 91 E8 1B 40 F9 28 01 00 F9 E8 1B 40 F9 08 21 00 D1 08 01 40 F9 E8 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 C5 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 26 00 00 14 E8 0B 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 0B 40 F9 08 C1 01 91 09 01 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 01 80 D2 1F 01 09 EB 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 C6 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 23 40 F9 E8 2F 40 F9 08 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_144_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QEAA@_KQEBE@Z"
		size = 104
		refs = "0050 ??0?$scanset_buffer@E@__crt_stdio_input@@QEAA@XZ 0058 ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 E8 0B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 00 D1 00 91 00 00 00 91 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_145_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QEAA@_KQEB_W@Z"
		size = 108
		refs = "0050 ??0?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ 005c ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 E8 0B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_146_0 {
	meta:
		name = "??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
		size = 120
		altNames = "??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 0B 00 F9 E2 0F 00 F9 E3 07 00 F9 E8 03 40 F9 09 01 00 91 E8 0B 40 F9 28 01 00 F9 E8 03 40 F9 09 21 00 91 E8 0F 40 F9 28 01 00 F9 E8 03 40 F9 09 41 00 91 08 00 80 D2 28 01 00 F9 E8 03 40 F9 09 61 00 91 E8 07 40 F9 28 01 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 E9 07 40 F9 28 00 80 52 28 01 00 39 E0 03 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_150_0 {
	meta:
		name = "??0?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$stream_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 200
		refs = "0078 ??0?$format_string_parser@D@__crt_stdio_input@@QEAA@_KQEBE@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 EA 03 01 91 4A 01 00 91 E8 13 40 F9 08 01 00 91 09 21 40 A9 49 21 00 A9 E8 0B 40 F9 0A 21 00 91 4A 01 00 91 E8 03 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E8 0B 40 F9 00 61 00 91 E2 17 40 F9 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 C1 01 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 E1 01 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 01 02 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 21 02 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_151_0 {
	meta:
		name = "??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 216
		refs = "0088 ??0?$format_string_parser@D@__crt_stdio_input@@QEAA@_KQEBE@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 EB 03 01 91 6B 01 00 91 EA 13 40 F9 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E8 0B 40 F9 0B 21 00 91 6B 01 00 91 EA 03 01 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E8 0B 40 F9 00 81 00 91 E2 17 40 F9 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 E1 01 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 01 02 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 21 02 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 41 02 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_152_0 {
	meta:
		name = "??0?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$stream_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 204
		refs = "0078 ??0?$format_string_parser@_W@__crt_stdio_input@@QEAA@_KQEB_W@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 EA 23 01 91 4A 01 00 91 E8 13 40 F9 08 01 00 91 09 21 40 A9 49 21 00 A9 E8 0B 40 F9 0A 21 00 91 4A 01 00 91 E8 23 01 91 08 01 00 91 09 21 40 A9 49 21 00 A9 E8 0B 40 F9 00 61 00 91 E2 17 40 F9 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 61 01 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 81 01 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 01 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 C1 01 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_153_0 {
	meta:
		name = "??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 220
		refs = "0088 ??0?$format_string_parser@_W@__crt_stdio_input@@QEAA@_KQEB_W@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 0B 00 F9 E1 13 00 F9 E2 0F 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 1F 00 F9 E8 0B 40 F9 09 01 00 91 E8 0F 40 F9 28 01 00 F9 EB 23 01 91 6B 01 00 91 EA 13 40 F9 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E8 0B 40 F9 0B 21 00 91 6B 01 00 91 EA 23 01 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E8 0B 40 F9 00 81 00 91 E2 17 40 F9 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 0B 40 F9 09 81 01 91 E8 1B 40 F9 28 01 00 F9 E8 0B 40 F9 09 A1 01 91 E8 1F 40 F9 28 01 00 F9 E8 0B 40 F9 09 C1 01 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 09 E1 01 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_154_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QEAA@XZ"
		size = 40
		refs = "0018 ??0?$scanset_storage@$00@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_155_0 {
	meta:
		name = "??0?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ"
		size = 44
		refs = "0018 ??0?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_156_0 {
	meta:
		name = "??0?$scanset_storage@$00@__crt_stdio_input@@QEAA@XZ"
		size = 44
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 01 00 91 29 01 00 91 08 00 80 D2 28 21 00 A9 28 21 01 A9 E0 03 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_157_0 {
	meta:
		name = "??0?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ"
		size = 48
		refs = "001c ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 01 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 0F 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_158_0 {
	meta:
		name = "??0?$stream_input_adapter@D@__crt_stdio_input@@QEAA@QEAU_iobuf@@@Z"
		size = 64
		refs = "0020 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z"
		altNames = "??0?$stream_input_adapter@_W@__crt_stdio_input@@QEAA@QEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 00 01 00 91 E1 0F 40 F9 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 21 00 91 08 00 80 D2 28 01 00 F9 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_160_0 {
	meta:
		name = "??0?$string_input_adapter@D@__crt_stdio_input@@QEAA@QEBD_K@Z"
		size = 84
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 07 00 F9 E2 0B 00 F9 E8 03 40 F9 09 01 00 91 E8 07 40 F9 28 01 00 F9 E9 07 40 F9 E8 0B 40 F9 29 01 08 8B E8 03 40 F9 08 21 00 91 09 01 00 F9 E8 03 40 F9 09 41 00 91 E8 07 40 F9 28 01 00 F9 E0 03 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_161_0 {
	meta:
		name = "??0?$string_input_adapter@_W@__crt_stdio_input@@QEAA@QEB_W_K@Z"
		size = 92
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 07 00 F9 E2 0B 00 F9 E8 03 40 F9 09 01 00 91 E8 07 40 F9 28 01 00 F9 E9 0B 40 F9 48 00 80 D2 29 7D 08 9B E8 07 40 F9 09 01 09 8B E8 03 40 F9 08 21 00 91 09 01 00 F9 E8 03 40 F9 09 41 00 91 E8 07 40 F9 28 01 00 F9 E0 03 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_169_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_170_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
		size = 76
		altNames = "??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 03 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 C1 00 00 54 E8 03 40 F9 08 61 00 91 09 01 40 F9 08 00 80 52 28 01 00 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_174_0 {
	meta:
		name = "??1?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$format_string_parser@_W@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_175_0 {
	meta:
		name = "??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$format_string_parser@_W@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_176_0 {
	meta:
		name = "??1?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_177_0 {
	meta:
		name = "??1?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ"
		size = 36
		refs = "0018 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_207_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ"
		size = 652
		refs = "002c ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 0070 ??$istspace@AEBE@?$__crt_char_traits@D@@SAHAEBE@Z 01a0 ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AEAA_ND@Z 01e0 ?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 01e8 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 020c ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 0214 ?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 021c ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 0254 ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 0274 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 60 00 00 54 00 00 80 52 98 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 13 40 F9 09 51 00 91 28 00 80 52 28 01 00 B9 00 00 80 52 89 00 00 14 E8 13 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E0 02 00 54 E8 13 40 F9 09 51 00 91 48 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 00 91 09 01 00 F9 F1 FF FF 17 20 00 80 52 6B 00 00 14 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 95 00 71 21 01 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 95 00 71 E1 04 00 54 E8 13 40 F9 09 51 00 91 68 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 0A 01 40 F9 E8 13 40 F9 09 61 00 91 48 01 40 39 28 01 00 39 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 95 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 48 00 80 52 E8 17 00 B9 E8 13 40 F9 0A 21 00 91 E8 17 40 B9 09 7D 40 93 48 01 40 F9 09 01 09 8B E8 13 40 F9 08 21 00 91 09 01 00 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 36 00 00 14 E8 13 40 F9 09 51 00 91 88 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 00 91 09 01 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 20 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 13 00 00 14 E8 13 40 F9 09 A1 00 91 E8 13 40 F9 08 C1 00 91 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 C1 02 80 52 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_208_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 660
		refs = "002c ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 0070 ??$istspace@AEB_W@?$__crt_char_traits@_W@@SAHAEB_W@Z 01a8 ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z 01e8 ?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 01f0 ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 0214 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 021c ?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 0224 ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 025c ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 027c ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 60 00 00 54 00 00 80 52 9A 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 13 40 F9 09 51 00 91 28 00 80 52 28 01 00 B9 00 00 80 52 8B 00 00 14 E8 13 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 E0 02 00 54 E8 13 40 F9 09 51 00 91 48 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 00 01 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 20 01 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 13 40 F9 08 21 00 91 09 01 00 F9 F1 FF FF 17 20 00 80 52 6D 00 00 14 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 95 00 71 21 01 00 54 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 95 00 71 21 05 00 54 E8 13 40 F9 09 51 00 91 68 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 0A 01 40 F9 E8 13 40 F9 09 61 00 91 48 01 40 79 28 01 00 79 E8 13 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 95 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 48 00 80 52 E8 17 00 B9 E8 13 40 F9 0A 21 00 91 E8 17 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B 48 01 40 F9 09 01 09 8B E8 13 40 F9 08 21 00 91 09 01 00 F9 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 36 00 00 14 E8 13 40 F9 09 51 00 91 88 00 80 52 28 01 00 B9 E8 13 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 13 40 F9 08 21 00 91 09 01 00 F9 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 20 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 13 00 00 14 E8 13 40 F9 09 A1 00 91 E8 13 40 F9 08 C1 00 91 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 C1 02 80 52 E0 13 40 F9 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_220_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QEBA_KXZ"
		size = 48
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 41 00 91 E8 03 40 F9 08 01 00 91 29 01 40 F9 08 01 40 F9 20 01 08 CB 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_221_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QEBA_KXZ"
		size = 52
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 41 00 91 E8 03 40 F9 08 01 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 00 FD 41 93 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_226_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
		size = 164
		refs = "0018 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBA_NXZ 0034 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0048 _calloc_dbg 0058 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@QEAE@Z 0078 ??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z 0080 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ 0090 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 C1 02 00 54 64 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 00 00 84 D2 ?? ?? ?? ?? E0 13 00 F9 E1 13 40 F9 E0 E3 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 1B 00 F9 E8 0F 40 F9 00 01 00 91 E1 1B 40 F9 00 00 00 91 ?? ?? ?? ?? E0 E3 00 91 ?? ?? ?? ?? E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 23 00 F9 E0 23 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_229_0 {
	meta:
		name = "?error_code@?$format_string_parser@D@__crt_stdio_input@@QEBAHXZ"
		size = 28
		altNames = "?error_code@?$format_string_parser@_W@__crt_stdio_input@@QEBAHXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 41 00 91 00 01 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_233_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 168
		refs = "0070 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 69 00 00 54 00 00 80 52 10 00 00 14 E8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 04 00 00 14 E8 13 40 B9 00 1D 00 13 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_235_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 168
		refs = "0070 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 69 00 00 54 00 00 80 52 10 00 00 14 E8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 04 00 00 14 E8 13 40 B9 00 1D 00 13 00 00 00 11 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_234_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 168
		refs = "0070 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 69 00 00 54 00 00 80 52 10 00 00 14 E8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 79 E8 27 40 79 E8 23 00 79 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 02 00 00 14 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_236_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 168
		refs = "0070 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 60 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 69 00 00 54 00 00 80 52 10 00 00 14 E8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 27 00 79 E8 27 40 79 E8 23 00 79 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 02 00 00 14 E0 23 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_237_0 {
	meta:
		name = "?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 112
		refs = "0018 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 002c ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 17 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 00 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_238_0 {
	meta:
		name = "?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 120
		refs = "0018 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 002c ??$getc_nolock@PEAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 17 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 40 79 E8 23 00 79 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 00 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E0 23 40 79 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_239_0 {
	meta:
		name = "?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 116
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 61 00 00 54 00 00 80 12 10 00 00 14 E8 07 40 F9 08 41 00 91 08 01 40 F9 08 01 C0 39 08 1D 00 53 08 01 00 11 E8 03 00 B9 E8 07 40 F9 08 41 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 41 00 91 09 01 00 F9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_240_0 {
	meta:
		name = "?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 108
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 61 00 00 54 E0 FF 9F 52 0E 00 00 14 E8 07 40 F9 08 41 00 91 08 01 40 F9 08 01 40 79 E8 03 00 79 E8 07 40 F9 08 41 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 41 00 91 09 01 00 F9 E0 03 40 79 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_242_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 156
		refs = "0018 ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ 0034 ?size@?$scanset_storage@$00@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 08 8B E8 1F 00 F9 E8 13 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 1F 40 F9 E8 0B 40 F9 1F 01 09 EB 20 01 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 1D 00 52 09 1D 00 53 E8 0B 40 F9 09 01 00 39 F2 FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_243_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 156
		refs = "0018 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ 0034 ?size@?$scanset_storage@$01@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E9 13 40 F9 E8 1B 40 F9 28 01 08 8B E8 1F 00 F9 E8 13 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 1F 40 F9 E8 0B 40 F9 1F 01 09 EB 20 01 00 54 E8 0B 40 F9 08 01 40 39 08 01 00 11 08 1D 00 52 09 1D 00 53 E8 0B 40 F9 09 01 00 39 F2 FF FF 17 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_244_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 244
		refs = "00a8 ?scanset@?$format_string_parser@D@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@E@2@XZ 00c0 ?test@?$scanset_buffer@E@__crt_stdio_input@@QEBA_NE@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 B9 E2 17 00 B9 E8 17 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 32 00 00 14 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 01 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 21 00 71 60 02 00 54 25 00 00 14 20 00 80 52 24 00 00 14 E8 17 40 B9 1F 25 00 71 CB 00 00 54 E8 17 40 B9 1F 35 00 71 6C 00 00 54 00 00 80 52 1C 00 00 14 E8 17 40 B9 1F 81 00 71 61 00 00 54 00 00 80 52 17 00 00 14 20 00 80 52 15 00 00 14 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 B9 01 1D 00 53 21 00 00 11 E0 17 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_245_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 244
		refs = "00a8 ?scanset@?$format_string_parser@D@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@E@2@XZ 00c0 ?test@?$scanset_buffer@E@__crt_stdio_input@@QEBA_NE@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 1F 00 B9 E2 17 00 B9 E8 17 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 32 00 00 14 E8 1F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 00 01 00 54 E8 1B 40 B9 1F 05 00 71 E0 00 00 54 E8 1B 40 B9 1F 21 00 71 60 02 00 54 25 00 00 14 20 00 80 52 24 00 00 14 E8 17 40 B9 1F 25 00 71 CB 00 00 54 E8 17 40 B9 1F 35 00 71 6C 00 00 54 00 00 80 52 1C 00 00 14 E8 17 40 B9 1F 81 00 71 61 00 00 54 00 00 80 52 17 00 00 14 20 00 80 52 15 00 00 14 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 B9 01 1D 00 53 21 00 00 11 E0 17 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_246_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 256
		refs = "00bc ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@_W@2@XZ 00cc ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E2 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 33 00 00 14 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 21 00 71 C0 02 00 54 26 00 00 14 20 00 80 52 25 00 00 14 E8 27 40 79 08 01 00 11 1F 25 00 71 EB 00 00 54 E8 27 40 79 08 01 00 11 1F 35 00 71 6C 00 00 54 00 00 80 52 1B 00 00 14 E8 27 40 79 08 01 00 11 1F 81 00 71 61 00 00 54 00 00 80 52 15 00 00 14 20 00 80 52 13 00 00 14 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E1 27 40 79 E0 17 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_247_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 256
		refs = "00bc ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@_W@2@XZ 00cc ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 1B 00 B9 E2 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 33 00 00 14 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 00 01 00 54 E8 17 40 B9 1F 05 00 71 E0 00 00 54 E8 17 40 B9 1F 21 00 71 C0 02 00 54 26 00 00 14 20 00 80 52 25 00 00 14 E8 27 40 79 08 01 00 11 1F 25 00 71 EB 00 00 54 E8 27 40 79 08 01 00 11 1F 35 00 71 6C 00 00 54 00 00 80 52 1B 00 00 14 E8 27 40 79 08 01 00 11 1F 81 00 71 61 00 00 54 00 00 80 52 15 00 00 14 20 00 80 52 13 00 00 14 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E1 27 40 79 E0 17 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 04 00 00 14 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_250_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 116
		refs = "001c ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 0B 00 B9 E8 07 40 B9 09 7D 40 93 88 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 0B 40 B9 09 7D 40 93 28 00 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_254_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QEAA_NXZ"
		size = 84
		refs = "0018 ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_255_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 84
		refs = "0018 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_257_0 {
	meta:
		name = "?kind@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ"
		size = 28
		altNames = "?kind@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 51 00 91 00 01 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_259_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
		size = 276
		refs = "0020 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW 00dc ?to_integer_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z 00f8 ?to_floating_point_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		altNames = "?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 47 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 C1 00 91 08 01 40 B9 E8 13 00 B9 E8 13 40 B9 1F 25 00 71 88 04 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 03 10 10 10 10 10 17 03 10 10 10 E8 0F 40 F9 08 B1 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 D2 E8 13 00 F9 03 00 00 14 28 00 80 D2 E8 13 00 F9 E0 13 40 F9 10 00 00 14 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 17 00 F9 E0 17 40 F9 09 00 00 14 E8 0F 40 F9 08 A1 00 91 00 01 40 B9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 02 00 00 14 00 00 80 D2 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_261_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ"
		size = 116
		refs = "0020 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 0D 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 61 00 91 00 01 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_262_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QEBA_WXZ"
		size = 116
		refs = "0020 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 0D 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 44 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 61 00 91 00 01 40 79 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_263_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ"
		size = 116
		refs = "0020 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 0D 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 45 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 65 00 91 00 01 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_270_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ"
		size = 116
		refs = "0020 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
		altNames = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 4A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 C1 00 91 00 01 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_280_0 {
	meta:
		name = "?process@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 552
		refs = "0018 ?validate@?$stream_input_adapter@D@__crt_stdio_input@@QEBA_NXZ 0044 ?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0070 ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ 008c ?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 00e0 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0114 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 011c ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 0140 ?error_code@?$format_string_parser@D@__crt_stdio_input@@QEBAHXZ 017c ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0194 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 _CrtDbgReportW 01dc _errno 0200 ??_C@_1MO@NIEGHDEO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0210 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 7B 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 70 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 01 02 91 08 01 40 F9 08 01 00 11 E8 23 00 B9 E8 0F 40 F9 08 21 02 91 08 01 40 F9 1F 01 00 F1 41 02 00 54 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 27 00 B9 E8 27 40 B9 1F 05 00 31 61 00 00 54 08 00 80 12 E8 23 00 B9 E8 0F 40 F9 00 21 00 91 E1 27 40 B9 00 00 00 91 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 60 07 00 54 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 C1 02 00 54 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 3F 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 E8 3F 40 B9 28 01 00 B9 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 02 00 00 14 E0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_281_0 {
	meta:
		name = "?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 552
		refs = "0018 ?validate@?$string_input_adapter@D@__crt_stdio_input@@QEAA_NXZ 0044 ?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0070 ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ 008c ?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 00e0 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0114 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 011c ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 0140 ?error_code@?$format_string_parser@D@__crt_stdio_input@@QEBAHXZ 017c ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0194 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 _CrtDbgReportW 01dc _errno 0200 ??_C@_1MO@OMPGGAA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0210 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 7B 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 70 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 21 02 91 08 01 40 F9 08 01 00 11 E8 23 00 B9 E8 0F 40 F9 08 41 02 91 08 01 40 F9 1F 01 00 F1 41 02 00 54 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 27 00 B9 E8 27 40 B9 1F 05 00 31 61 00 00 54 08 00 80 12 E8 23 00 B9 E8 0F 40 F9 00 21 00 91 E1 27 40 B9 00 00 00 91 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 60 07 00 54 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 C1 02 00 54 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 3F 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 E8 3F 40 B9 28 01 00 B9 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 40 B9 02 00 00 14 E0 23 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_282_0 {
	meta:
		name = "?process@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 560
		refs = "0018 ?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QEBA_NXZ 0044 ?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0070 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ 008c ?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 00e0 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 011c ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 0124 ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 0148 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QEBAHXZ 0184 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a8 _CrtDbgReportW 01e4 _errno 0208 ??_C@_1NK@EEOJFCHD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0218 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 7D 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 72 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 A1 01 91 08 01 40 F9 08 01 00 11 E8 27 00 B9 E8 0F 40 F9 08 C1 01 91 08 01 40 F9 1F 01 00 F1 81 02 00 54 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 E8 2F 00 79 E9 2F 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 08 00 80 12 E8 27 00 B9 E8 0F 40 F9 00 21 00 91 E1 2F 40 79 00 00 00 91 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 60 07 00 54 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 C1 02 00 54 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 E8 3B 40 B9 28 01 00 B9 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 02 00 00 14 E0 27 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_283_0 {
	meta:
		name = "?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 560
		refs = "0018 ?validate@?$string_input_adapter@_W@__crt_stdio_input@@QEAA_NXZ 0044 ?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0070 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ 008c ?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 00e0 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 011c ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 0124 ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ 0148 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QEBAHXZ 0184 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a8 _CrtDbgReportW 01e4 _errno 0208 ??_C@_1NK@MAOOJBKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0218 _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 7D 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 72 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 40 01 00 54 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 02 00 00 14 EF FF FF 17 E8 0F 40 F9 08 C1 01 91 08 01 40 F9 08 01 00 11 E8 27 00 B9 E8 0F 40 F9 08 E1 01 91 08 01 40 F9 1F 01 00 F1 81 02 00 54 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 79 E8 43 40 79 E8 2F 00 79 E9 2F 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 08 00 80 12 E8 27 00 B9 E8 0F 40 F9 00 21 00 91 E1 2F 40 79 00 00 00 91 ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 60 07 00 54 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 C1 02 00 54 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 B9 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 E8 3B 40 B9 28 01 00 B9 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 27 40 B9 02 00 00 14 E0 27 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_284_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 108
		refs = "0018 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0044 ?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QEBA_KXZ 0058 ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0C 00 00 14 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 02 00 80 52 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_286_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 108
		refs = "0018 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0044 ?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QEBA_KXZ 0058 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0C 00 00 14 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 02 00 80 52 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_285_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 108
		refs = "0018 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 0044 ?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QEBA_KXZ 0058 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0C 00 00 14 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 02 00 80 52 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_287_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 108
		refs = "0018 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 0044 ?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QEBA_KXZ 0058 ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 0C 00 00 14 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 02 00 80 52 E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_288_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 348
		refs = "0018 ?mode@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ 005c ?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00a8 ?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 012c ?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 25 00 71 08 09 00 54 EA 2B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 15 1C 23 2A 31 38 0F 3D 3D 3D 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 3B 00 00 14 21 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 35 00 00 14 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 2F 00 00 14 22 00 80 52 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 28 00 00 14 22 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E0 53 40 39 21 00 00 14 02 00 80 52 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E0 57 40 39 1A 00 00 14 02 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 39 E0 5B 40 39 13 00 00 14 02 00 80 52 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 39 E0 5F 40 39 0C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 63 00 39 E0 63 40 39 07 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 39 E0 67 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_290_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 348
		refs = "0018 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ 005c ?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00a8 ?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 012c ?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 25 00 71 08 09 00 54 EA 2B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 15 1C 23 2A 31 38 0F 3D 3D 3D 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 3B 00 00 14 21 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 35 00 00 14 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 2F 00 00 14 22 00 80 52 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 28 00 00 14 22 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E0 53 40 39 21 00 00 14 02 00 80 52 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E0 57 40 39 1A 00 00 14 02 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 39 E0 5B 40 39 13 00 00 14 02 00 80 52 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 39 E0 5F 40 39 0C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 63 00 39 E0 63 40 39 07 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 39 E0 67 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_289_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 348
		refs = "0018 ?mode@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ 005c ?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00a8 ?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 012c ?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 25 00 71 08 09 00 54 EA 2B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 15 1C 23 2A 31 38 0F 3D 3D 3D 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 3B 00 00 14 21 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 35 00 00 14 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 2F 00 00 14 22 00 80 52 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 28 00 00 14 22 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E0 53 40 39 21 00 00 14 02 00 80 52 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E0 57 40 39 1A 00 00 14 02 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 39 E0 5B 40 39 13 00 00 14 02 00 80 52 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 39 E0 5F 40 39 0C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 63 00 39 E0 63 40 39 07 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 39 E0 67 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_291_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 348
		refs = "0018 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4conversion_mode@2@XZ 005c ?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 00a8 ?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z 012c ?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0140 ?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 25 00 71 08 09 00 54 EA 2B 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 09 15 1C 23 2A 31 38 0F 3D 3D 3D 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 3B 00 00 14 21 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 35 00 00 14 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 2F 00 00 14 22 00 80 52 01 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 28 00 00 14 22 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 53 00 39 E0 53 40 39 21 00 00 14 02 00 80 52 01 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 39 E0 57 40 39 1A 00 00 14 02 00 80 52 41 01 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5B 00 39 E0 5B 40 39 13 00 00 14 02 00 80 52 01 02 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 39 E0 5F 40 39 0C 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 63 00 39 E0 63 40 39 07 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 67 00 39 E0 67 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_292_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 128
		refs = "0010 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0020 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 11 00 F1 A0 00 00 54 E8 13 40 F9 1F 21 00 F1 E0 00 00 54 0B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_294_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 128
		refs = "0010 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0020 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 11 00 F1 A0 00 00 54 E8 13 40 F9 1F 21 00 F1 E0 00 00 54 0B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_293_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 128
		refs = "0010 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0020 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0050 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 11 00 F1 A0 00 00 54 E8 13 40 F9 1F 21 00 F1 E0 00 00 54 0B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_295_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 128
		refs = "0010 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0020 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0050 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0064 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 11 00 F1 A0 00 00 54 E8 13 40 F9 1F 21 00 F1 E0 00 00 54 0B 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 07 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_296_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 244
		refs = "0018 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0058 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0080 ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00e0 ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 B9 E2 47 00 39 E0 0F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 43 00 39 E8 63 01 91 E8 1B 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 C1 01 91 E3 47 40 39 E2 23 40 B9 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 07 00 00 14 22 00 80 52 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_297_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 244
		refs = "0018 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0058 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0080 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 00b4 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ 00e0 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 B9 E2 47 00 39 E0 0F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 43 00 39 E8 63 01 91 E8 1B 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 E1 01 91 E3 47 40 39 E2 23 40 B9 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 07 00 00 14 22 00 80 52 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_298_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 244
		refs = "0018 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0058 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0080 ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00e0 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 B9 E2 47 00 39 E0 0F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 43 00 39 E8 63 01 91 E8 1B 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 61 01 91 E3 47 40 39 E2 23 40 B9 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 07 00 00 14 22 00 80 52 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_299_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 244
		refs = "0018 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0038 ?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0058 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0080 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 00b4 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ 00e0 ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 B9 E2 47 00 39 E0 0F 40 F9 ?? ?? ?? ?? 08 00 80 52 E8 43 00 39 E8 63 01 91 E8 1B 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 0F 40 F9 01 21 00 91 E3 43 00 91 E2 17 40 F9 21 00 00 91 E0 1B 40 F9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 23 00 F9 E8 0F 40 F9 08 81 01 91 E3 47 40 39 E2 23 40 B9 E1 23 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 2B 00 F9 E8 43 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 60 00 00 54 20 00 80 52 07 00 00 14 22 00 80 52 E1 2B 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 4F 00 39 E0 4F 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_300_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 164
		refs = "0018 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0048 ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ 0074 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 0090 ?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 19 00 00 14 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E9 43 40 39 29 01 00 11 E8 17 40 B9 1F 01 09 6B 00 01 00 54 E8 13 40 F9 00 21 00 91 E1 17 40 B9 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 08 00 00 14 E8 17 40 B9 01 1D 00 13 21 00 00 11 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_301_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 164
		refs = "0018 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0048 ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ 0074 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z 0090 ?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 61 00 00 54 00 00 80 52 19 00 00 14 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E9 43 40 39 29 01 00 11 E8 17 40 B9 1F 01 09 6B 00 01 00 54 E8 13 40 F9 00 21 00 91 E1 17 40 B9 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 08 00 00 14 E8 17 40 B9 01 1D 00 13 21 00 00 11 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_302_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 168
		refs = "0018 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 0050 ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QEBA_WXZ 0080 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 0094 ?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B 40 79 E8 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 18 00 00 14 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 79 E9 27 40 79 29 01 00 11 E8 2F 40 79 08 01 00 11 3F 01 08 6B 00 01 00 54 E8 0F 40 F9 00 21 00 91 E1 27 40 79 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E1 27 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_303_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 168
		refs = "0018 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ 0050 ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QEBA_WXZ 0080 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z 0094 ?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 2B 00 79 E8 2B 40 79 E8 27 00 79 E9 27 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 61 00 00 54 00 00 80 52 18 00 00 14 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 2F 00 79 E9 27 40 79 29 01 00 11 E8 2F 40 79 08 01 00 11 3F 01 08 6B 00 01 00 54 E8 0F 40 F9 00 21 00 91 E1 27 40 79 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 06 00 00 14 E1 27 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_304_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 208
		refs = "0010 __pctype_func 0054 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0070 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ 009c ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 43 00 39 ?? ?? ?? ?? E0 17 00 F9 E8 43 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 68 00 78 37 20 00 80 52 21 00 00 14 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E9 47 40 39 29 01 00 11 E8 17 40 B9 1F 01 09 6B E0 01 00 54 E8 13 40 F9 00 21 00 91 E1 17 40 B9 00 00 00 91 ?? ?? ?? ?? E1 43 C0 39 21 00 00 11 E8 13 40 F9 00 21 00 91 21 00 00 11 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_305_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 208
		refs = "0010 __pctype_func 0054 ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 0070 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QEBAEXZ 009c ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 43 00 39 ?? ?? ?? ?? E0 17 00 F9 E8 43 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 68 00 78 37 20 00 80 52 21 00 00 14 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 47 00 39 E9 47 40 39 29 01 00 11 E8 17 40 B9 1F 01 09 6B E0 01 00 54 E8 13 40 F9 00 21 00 91 E1 17 40 B9 00 00 00 91 ?? ?? ?? ?? E1 43 C0 39 21 00 00 11 E8 13 40 F9 00 21 00 91 21 00 00 11 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_306_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_W@Z"
		size = 24
		altNames = "?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_W@Z ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_308_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 204
		refs = "0018 ?kind@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ 0054 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 007c ?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 09 00 71 00 01 00 54 E8 17 40 B9 1F 0D 00 71 40 01 00 54 E8 17 40 B9 1F 11 00 71 80 01 00 54 1D 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 19 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 14 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 21 02 91 09 01 00 F9 E0 43 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_309_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 204
		refs = "0018 ?kind@?$format_string_parser@D@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ 0054 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 007c ?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 09 00 71 00 01 00 54 E8 17 40 B9 1F 0D 00 71 40 01 00 54 E8 17 40 B9 1F 11 00 71 80 01 00 54 1D 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 19 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 14 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 41 02 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 41 02 91 09 01 00 F9 E0 43 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_310_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 204
		refs = "0018 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ 0054 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 007c ?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 09 00 71 00 01 00 54 E8 17 40 B9 1F 0D 00 71 40 01 00 54 E8 17 40 B9 1F 11 00 71 80 01 00 54 1D 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 19 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 14 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 C1 01 91 09 01 00 F9 E0 43 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_311_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 204
		refs = "0018 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QEBA?AW4format_directive_kind@2@XZ 0054 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 007c ?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 E8 17 00 B9 E8 17 40 B9 1F 09 00 71 00 01 00 54 E8 17 40 B9 1F 0D 00 71 40 01 00 54 E8 17 40 B9 1F 11 00 71 80 01 00 54 1D 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 19 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 39 E0 4B 40 39 14 00 00 14 E0 13 40 F9 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 E8 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 13 40 F9 08 E1 01 91 08 01 40 F9 09 05 00 91 E8 13 40 F9 08 E1 01 91 09 01 00 F9 E0 43 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_312_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 160
		refs = "0020 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0030 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0068 ??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 0084 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E8 17 40 B9 1F 05 00 71 61 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 F1 A0 00 00 54 E8 13 40 F9 1F 09 00 F1 20 01 00 54 0F 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 09 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_314_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 160
		refs = "0020 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0030 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0068 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 0084 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E8 17 40 B9 1F 05 00 71 61 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 F1 A0 00 00 54 E8 13 40 F9 1F 09 00 F1 20 01 00 54 0F 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 09 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_313_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 160
		refs = "0020 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0030 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0068 ??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 0084 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E8 17 40 B9 1F 05 00 71 61 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 F1 A0 00 00 54 E8 13 40 F9 1F 09 00 F1 20 01 00 54 0F 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 09 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_315_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 160
		refs = "0020 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0030 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0068 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 0084 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 17 00 B9 E8 17 40 B9 1F 05 00 71 61 00 00 54 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 F1 A0 00 00 54 E8 13 40 F9 1F 09 00 F1 20 01 00 54 0F 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 09 00 00 14 02 00 80 52 E1 17 40 B9 E0 0F 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_316_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 76
		refs = "0024 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 003c ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 C1 01 91 E8 0F 40 F9 00 21 00 91 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 00 21 00 91 E1 13 40 B9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_317_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 76
		refs = "0024 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 003c ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 E1 01 91 E8 0F 40 F9 00 21 00 91 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 0F 40 F9 00 21 00 91 E1 13 40 B9 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_318_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 76
		refs = "0024 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 003c ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 61 01 91 E8 0F 40 F9 00 21 00 91 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E8 0F 40 F9 00 21 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_319_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 76
		refs = "0024 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 003c ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 09 81 01 91 E8 0F 40 F9 00 21 00 91 21 01 40 F9 00 00 00 91 ?? ?? ?? ?? E0 23 00 79 E8 0F 40 F9 00 21 00 91 E1 23 40 79 00 00 00 91 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_322_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 100
		refs = "0018 ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ 0044 ?size@?$scanset_storage@$00@__crt_stdio_input@@QEBA_KXZ 0058 memset"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 41 00 00 54 0A 00 00 14 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_323_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 100
		refs = "0018 ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ 0044 ?size@?$scanset_storage@$01@__crt_stdio_input@@QEBA_KXZ 0058 memset"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 41 00 00 54 0A 00 00 14 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E2 17 40 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_324_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 51 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 61 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 65 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 69 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 81 00 91 08 00 80 D2 28 01 00 F9 E8 03 40 F9 09 A1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 B1 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_325_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 144
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 09 51 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 61 00 91 08 00 80 52 28 01 00 79 E8 03 40 F9 09 69 00 91 08 00 80 52 28 01 00 79 E8 03 40 F9 09 71 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 81 00 91 08 00 80 D2 28 01 00 F9 E8 03 40 F9 09 A1 00 91 08 00 80 52 28 01 00 B9 E8 03 40 F9 09 B1 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_326_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
		size = 48
		refs = "0014 ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 41 00 91 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_327_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
		size = 48
		refs = "0014 ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 41 00 91 E8 13 40 B9 28 01 00 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_328_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
		size = 76
		altNames = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 08 41 00 91 09 01 40 F9 E8 07 40 F9 1F 01 09 EB 00 01 00 54 E8 03 40 F9 08 61 00 91 09 01 40 F9 08 00 80 52 28 01 00 39 00 00 80 52 02 00 00 14 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_333_0 {
	meta:
		name = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ"
		size = 28
		altNames = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_KXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 41 00 91 00 01 40 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_337_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 876
		refs = "00e8 ?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 0310 ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 035c ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 E8 17 00 B9 E8 17 40 B9 08 05 01 51 E8 17 00 B9 E8 17 40 B9 1F DD 00 71 E8 18 00 54 EA 17 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 95 00 C1 00 1C 00 C1 00 95 00 95 00 95 00 C1 00 43 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 34 00 C1 00 C1 00 C1 00 C1 00 6A 00 C1 00 C1 00 A2 00 C1 00 C1 00 C1 00 C1 00 C1 00 95 00 C1 00 1C 00 50 00 95 00 95 00 95 00 C1 00 43 00 C1 00 C1 00 C1 00 C1 00 B4 00 88 00 77 00 C1 00 C1 00 34 00 C1 00 5D 00 C1 00 C1 00 6A 00 E8 0F 40 F9 08 81 00 91 08 01 40 F9 1F 01 00 F1 A1 00 00 54 E8 0F 40 F9 09 81 00 91 28 00 80 D2 28 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 92 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 83 00 00 14 E8 0F 40 F9 09 C1 00 91 48 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 76 00 00 14 E8 0F 40 F9 09 C1 00 91 68 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 69 00 00 14 E8 0F 40 F9 09 C1 00 91 A8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 5C 00 00 14 E8 0F 40 F9 09 C1 00 91 C8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 4F 00 00 14 E8 0F 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 E8 0F 40 F9 09 C1 00 91 C8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 3E 00 00 14 E8 0F 40 F9 09 C1 00 91 88 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 31 00 00 14 E8 0F 40 F9 09 C1 00 91 E8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 08 01 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 12 00 00 14 E8 0F 40 F9 09 C1 00 91 28 01 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 05 00 00 14 C1 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_338_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 876
		refs = "00e8 ?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 0310 ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 035c ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 08 05 01 51 E8 17 00 B9 E8 17 40 B9 1F DD 00 71 E8 18 00 54 EA 17 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 95 00 C1 00 1C 00 C1 00 95 00 95 00 95 00 C1 00 43 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 C1 00 34 00 C1 00 C1 00 C1 00 C1 00 6A 00 C1 00 C1 00 A2 00 C1 00 C1 00 C1 00 C1 00 C1 00 95 00 C1 00 1C 00 50 00 95 00 95 00 95 00 C1 00 43 00 C1 00 C1 00 C1 00 C1 00 B4 00 88 00 77 00 C1 00 C1 00 34 00 C1 00 5D 00 C1 00 C1 00 6A 00 E8 0F 40 F9 08 81 00 91 08 01 40 F9 1F 01 00 F1 A1 00 00 54 E8 0F 40 F9 09 81 00 91 28 00 80 D2 28 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 08 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 92 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 28 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 83 00 00 14 E8 0F 40 F9 09 C1 00 91 48 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 76 00 00 14 E8 0F 40 F9 09 C1 00 91 68 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 69 00 00 14 E8 0F 40 F9 09 C1 00 91 A8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 5C 00 00 14 E8 0F 40 F9 09 C1 00 91 C8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 4F 00 00 14 E8 0F 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 E8 0F 40 F9 09 C1 00 91 C8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 3E 00 00 14 E8 0F 40 F9 09 C1 00 91 88 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 31 00 00 14 E8 0F 40 F9 09 C1 00 91 E8 00 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 24 00 00 14 E0 0F 40 F9 ?? ?? ?? ?? E8 0F 40 F9 09 C1 00 91 08 01 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 12 00 00 14 E8 0F 40 F9 09 C1 00 91 28 01 80 52 28 01 00 B9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 05 00 00 14 C1 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_339_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F A9 00 71 40 00 00 54 0C 00 00 14 E8 03 40 F9 09 69 00 91 28 00 80 52 28 01 00 39 E8 03 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 03 40 F9 08 21 00 91 09 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_340_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F A9 00 71 40 00 00 54 0C 00 00 14 E8 03 40 F9 09 71 00 91 28 00 80 52 28 01 00 39 E8 03 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 03 40 F9 08 21 00 91 09 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_341_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 232
		refs = "0024 ?parse_digit@__crt_strtox@@YAID@Z 0074 ??$tcstoull@PEBDPEAPEADH@?$__crt_char_traits@D@@SA_K$$QEAPEBD$$QEAPEAPEAD$$QEAH@Z 00b0 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 00 1D 00 13 00 00 00 11 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 25 00 71 69 00 00 54 20 00 80 52 29 00 00 14 08 00 80 D2 E8 13 00 F9 48 01 80 52 E8 17 00 B9 E8 83 00 91 E8 1B 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 E8 1F 00 F9 E2 53 00 91 E1 C3 00 91 E0 E3 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 13 40 F9 1F 01 09 EB C1 00 00 54 C1 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 0F 40 F9 09 81 00 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_342_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 216
		refs = "001c ?parse_digit@__crt_strtox@@YAI_W@Z 0064 ??$tcstoull@AEAPEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SA_KAEAPEB_W$$QEAPEAPEA_W$$QEAH@Z 00a0 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 00 01 40 79 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 25 00 71 69 00 00 54 20 00 80 52 27 00 00 14 08 00 80 D2 E8 13 00 F9 48 01 80 52 E8 17 00 B9 E8 83 00 91 E8 1B 00 F9 E8 0F 40 F9 00 21 00 91 E2 53 00 91 E1 C3 00 91 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 13 40 F9 1F 01 09 EB C1 00 00 54 C1 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 0F 40 F9 09 81 00 91 E8 17 40 F9 28 01 00 F9 E8 0F 40 F9 09 21 00 91 E8 13 40 F9 28 01 00 F9 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_343_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 1132
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 E8 03 00 B9 E8 03 40 B9 1F A9 01 71 AC 02 00 54 E8 03 40 B9 1F A9 01 71 A0 1B 00 54 E8 03 40 B9 1F 51 01 71 6C 01 00 54 E8 03 40 B9 1F 51 01 71 60 1F 00 54 E8 03 40 B9 1F 25 01 71 60 06 00 54 E8 03 40 B9 1F 31 01 71 A0 18 00 54 FF 00 00 14 E8 03 40 B9 1F A1 01 71 80 01 00 54 FB 00 00 14 E8 03 40 B9 1F B1 01 71 A0 13 00 54 E8 03 40 B9 1F D1 01 71 40 1A 00 54 E8 03 40 B9 1F E9 01 71 60 1B 00 54 F1 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 28 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 00 80 52 28 01 00 B9 D1 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 39 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 0D 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 28 01 80 52 28 01 00 B9 B5 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 39 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 0D 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 99 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 91 01 71 20 05 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F A5 01 71 20 04 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F BD 01 71 20 03 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F D5 01 71 20 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F E1 01 71 20 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 61 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 5D 00 00 14 5C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 88 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 68 00 80 52 28 01 00 B9 3C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 08 01 80 52 28 01 00 B9 30 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 A8 00 80 52 28 01 00 B9 24 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 E8 00 80 52 28 01 00 B9 18 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 C8 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 68 01 80 52 28 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_344_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 1132
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 E8 03 00 B9 E8 03 40 B9 1F A9 01 71 AC 02 00 54 E8 03 40 B9 1F A9 01 71 A0 1B 00 54 E8 03 40 B9 1F 51 01 71 6C 01 00 54 E8 03 40 B9 1F 51 01 71 60 1F 00 54 E8 03 40 B9 1F 25 01 71 60 06 00 54 E8 03 40 B9 1F 31 01 71 A0 18 00 54 FF 00 00 14 E8 03 40 B9 1F A1 01 71 80 01 00 54 FB 00 00 14 E8 03 40 B9 1F B1 01 71 A0 13 00 54 E8 03 40 B9 1F D1 01 71 40 1A 00 54 E8 03 40 B9 1F E9 01 71 60 1B 00 54 F1 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F A1 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 11 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 28 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 00 80 52 28 01 00 B9 D1 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F CD 00 71 A1 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F C9 00 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 19 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 28 01 80 52 28 01 00 B9 B5 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D9 00 71 A1 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F D1 00 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 19 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 99 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 91 01 71 20 05 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F A5 01 71 20 04 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F BD 01 71 20 03 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F D5 01 71 20 02 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F E1 01 71 20 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 61 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 48 01 80 52 28 01 00 B9 5D 00 00 14 5C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F B1 01 71 A1 01 00 54 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 11 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 88 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 68 00 80 52 28 01 00 B9 3C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 08 01 80 52 28 01 00 B9 30 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 A8 00 80 52 28 01 00 B9 24 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 E8 00 80 52 28 01 00 B9 18 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 C8 00 80 52 28 01 00 B9 0C 00 00 14 E8 07 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 07 40 F9 08 21 00 91 09 01 00 F9 E8 07 40 F9 09 A1 00 91 68 01 80 52 28 01 00 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_345_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AEAA_ND@Z"
		size = 196
		refs = "0010 __pctype_func 0074 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 43 00 39 ?? ?? ?? ?? E0 13 00 F9 E8 0F 40 F9 08 01 00 D1 08 61 00 91 08 01 40 39 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 68 00 78 37 20 00 80 52 1C 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 41 05 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 10 00 00 14 E8 0F 40 F9 08 21 00 91 0A 01 40 F9 E8 0F 40 F9 09 65 00 91 48 01 40 39 28 01 00 39 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_347_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 156
		refs = "006c ?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AEAA_NE@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F DD 01 71 A1 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 09 B1 00 91 28 00 80 52 28 01 00 39 10 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 01 01 40 39 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 B1 00 91 28 00 80 52 28 01 00 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_348_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 156
		refs = "006c ?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F DD 01 71 A1 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 09 B1 00 91 28 00 80 52 28 01 00 39 10 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 01 01 40 79 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 09 B1 00 91 28 00 80 52 28 01 00 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_349_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 800
		refs = "0018 ?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QEAA_NXZ 0038 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z 0050 ?reset@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ 0100 ?set@?$scanset_buffer@E@__crt_stdio_input@@QEAAXE@Z 02f4 ?invert@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 00 D1 00 91 00 00 00 91 ?? ?? ?? ?? E0 8B 00 39 E8 8B 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 81 01 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 B6 00 00 14 E8 0F 40 F9 00 D1 00 91 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 79 01 71 81 00 00 54 28 00 80 52 E8 83 00 39 03 00 00 14 08 00 80 52 E8 83 00 39 E8 83 40 39 E8 87 00 39 E8 87 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 75 01 71 A1 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 00 D1 00 91 A1 0B 80 52 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 21 00 91 08 01 40 F9 E8 17 00 F9 08 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 75 01 71 E0 0A 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 00 0A 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F B5 00 71 E1 01 00 54 E8 0F 40 F9 08 21 00 91 E9 17 40 F9 08 01 40 F9 1F 01 09 EB 20 01 00 54 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 08 01 00 11 1F 75 01 71 41 01 00 54 E8 0F 40 F9 08 21 00 91 09 01 40 F9 E8 0F 40 F9 00 D1 00 91 21 01 40 39 00 00 00 91 ?? ?? ?? ?? 31 00 00 14 E8 0F 40 F9 08 21 00 91 09 01 40 F9 08 00 80 92 28 01 08 8B 08 01 40 39 E8 47 00 39 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 05 00 91 08 01 40 39 E8 43 00 39 E9 47 40 39 29 01 00 11 E8 43 40 39 08 01 00 11 3F 01 08 6B ED 00 00 54 E8 47 40 39 E8 8F 00 39 E8 43 40 39 E8 47 00 39 E8 8F 40 39 E8 43 00 39 E8 43 40 39 08 05 00 11 08 1D 00 53 E8 43 00 39 E8 47 40 39 E8 4B 00 39 05 00 00 14 E8 4B 40 39 08 05 00 11 08 1D 00 53 E8 4B 00 39 E9 4B 40 39 29 01 00 11 E8 43 40 39 08 01 00 11 3F 01 08 6B E0 00 00 54 E8 0F 40 F9 00 D1 00 91 E1 4B 40 39 00 00 00 91 ?? ?? ?? ?? F1 FF FF 17 9D FF FF 17 E8 0F 40 F9 08 21 00 91 08 01 40 F9 08 01 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 C1 02 80 52 E0 0F 40 F9 ?? ?? ?? ?? 00 00 80 52 11 00 00 14 E8 87 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0F 40 F9 00 D1 00 91 00 00 00 91 ?? ?? ?? ?? E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_350_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 800
		refs = "0018 ?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QEAA_NXZ 0038 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z 0050 ?reset@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ 0100 ?set@?$scanset_buffer@_W@__crt_stdio_input@@QEAAX_W@Z 02f4 ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 C1 00 00 54 81 01 80 52 E0 0B 40 F9 ?? ?? ?? ?? 00 00 80 52 B6 00 00 14 E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 79 01 71 81 00 00 54 28 00 80 52 E8 6B 00 39 03 00 00 14 08 00 80 52 E8 6B 00 39 E8 6B 40 39 E8 6F 00 39 E8 6F 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 75 01 71 A1 01 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 00 E1 00 91 A1 0B 80 52 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 21 00 91 08 01 40 F9 E8 17 00 F9 08 00 00 14 E8 0B 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 21 00 91 09 01 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 75 01 71 E0 0A 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 0A 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F B5 00 71 E1 01 00 54 E8 0B 40 F9 08 21 00 91 E9 17 40 F9 08 01 40 F9 1F 01 09 EB 20 01 00 54 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 75 01 71 41 01 00 54 E8 0B 40 F9 08 21 00 91 09 01 40 F9 E8 0B 40 F9 00 E1 00 91 21 01 40 79 00 00 00 91 ?? ?? ?? ?? 31 00 00 14 E8 0B 40 F9 08 21 00 91 09 01 40 F9 28 00 80 92 28 01 08 8B 08 01 40 79 E8 3B 00 79 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 09 00 91 08 01 40 79 E8 33 00 79 E9 3B 40 79 29 01 00 11 E8 33 40 79 08 01 00 11 3F 01 08 6B ED 00 00 54 E8 3B 40 79 E8 47 00 79 E8 33 40 79 E8 3B 00 79 E8 47 40 79 E8 33 00 79 E8 33 40 79 08 05 00 11 08 3D 00 53 E8 33 00 79 E8 3B 40 79 E8 3F 00 79 05 00 00 14 E8 3F 40 79 08 05 00 11 08 3D 00 53 E8 3F 00 79 E9 3F 40 79 29 01 00 11 E8 33 40 79 08 01 00 11 3F 01 08 6B E0 00 00 54 E8 0B 40 F9 00 E1 00 91 E1 3F 40 79 00 00 00 91 ?? ?? ?? ?? F1 FF FF 17 9D FF FF 17 E8 0B 40 F9 08 21 00 91 08 01 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 C1 00 00 54 C1 02 80 52 E0 0B 40 F9 ?? ?? ?? ?? 00 00 80 52 11 00 00 14 E8 6F 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0B 40 F9 00 E1 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 21 00 91 08 01 40 F9 09 09 00 91 E8 0B 40 F9 08 21 00 91 09 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_351_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@E@2@XZ"
		size = 136
		refs = "0034 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 C1 00 00 54 E8 0F 40 F9 08 C1 00 91 08 01 40 B9 1F 21 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 4B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 00 D1 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_352_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QEBAAEBV?$scanset_buffer@_W@2@XZ"
		size = 136
		refs = "0034 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 C1 00 00 54 E8 0F 40 F9 08 C1 00 91 08 01 40 B9 1F 21 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 4B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 00 E1 00 91 00 00 00 91 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_353_0 {
	meta:
		name = "?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ"
		size = 64
		altNames = "?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NXZ"
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 88 00 00 36 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_357_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QEAAXE@Z"
		size = 144
		refs = "001c ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 43 00 39 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E9 43 40 39 29 01 00 11 08 01 80 52 28 0D C8 1A 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 0F 00 F9 EA 43 40 39 4A 01 00 11 09 01 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B 28 00 80 52 09 21 C9 1A E8 0F 40 F9 08 01 40 39 08 01 00 11 08 01 09 2A 09 1D 00 53 E8 0F 40 F9 09 01 00 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_358_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QEAAX_W@Z"
		size = 144
		refs = "001c ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 23 00 79 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 17 00 F9 E9 23 40 79 29 01 00 11 08 01 80 52 28 0D C8 1A 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 17 40 F9 08 01 09 8B E8 0F 00 F9 EA 23 40 79 4A 01 00 11 09 01 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B 28 00 80 52 09 21 C9 1A E8 0F 40 F9 08 01 40 39 08 01 00 11 08 01 09 2A 09 1D 00 53 E8 0F 40 F9 09 01 00 39 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_359_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 128
		altNames = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 E8 03 40 F9 08 A1 00 91 08 01 40 B9 1F 09 00 71 A1 00 00 54 E8 03 40 F9 09 B1 00 91 08 00 80 52 28 01 00 39 E8 03 40 F9 08 A1 00 91 08 01 40 B9 1F 0D 00 71 60 01 00 54 E8 03 40 F9 08 A1 00 91 08 01 40 B9 1F 11 00 71 C0 00 00 54 E8 03 40 F9 08 A1 00 91 08 01 40 B9 1F 21 00 71 A1 00 00 54 E8 03 40 F9 09 B1 00 91 28 00 80 52 28 01 00 39 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_362_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AEAA_NE@Z"
		size = 84
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 39 E8 03 40 39 08 01 00 11 1F 0D 01 71 00 01 00 54 E8 03 40 39 08 01 00 11 1F 4D 01 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_363_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z"
		size = 136
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 E8 03 40 79 08 01 00 11 1F 0D 01 71 A0 00 00 54 E8 03 40 79 08 01 00 11 1F 4D 01 71 61 00 00 54 00 00 80 52 14 00 00 14 E8 07 40 F9 08 A1 00 91 08 01 40 B9 1F 2D 00 71 61 00 00 54 20 00 80 52 0D 00 00 14 E8 07 40 F9 08 01 00 91 08 01 40 F9 88 00 08 36 28 00 80 52 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_365_0 {
	meta:
		name = "?size@?$scanset_storage@$00@__crt_stdio_input@@QEBA_KXZ"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 00 04 80 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_366_0 {
	meta:
		name = "?size@?$scanset_storage@$01@__crt_stdio_input@@QEBA_KXZ"
		size = 20
	strings:
		$1 = { FF 43 00 D1 E0 03 00 F9 00 00 84 D2 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_367_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ"
		size = 116
		refs = "0020 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 69 00 91 00 01 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_368_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ"
		size = 116
		refs = "0020 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 71 00 91 00 01 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_369_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QEBA_NE@Z"
		size = 164
		refs = "001c ?data@?$scanset_storage@$00@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 43 00 39 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 43 40 39 29 01 00 11 08 01 80 52 28 0D C8 1A 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0B 01 40 39 6B 01 00 11 EA 43 40 39 4A 01 00 11 09 01 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B 28 00 80 52 08 21 C9 1A 68 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_370_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
		size = 164
		refs = "001c ?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E9 23 40 79 29 01 00 11 08 01 80 52 28 0D C8 1A 09 7D 40 93 28 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 09 8B 0B 01 40 39 6B 01 00 11 EA 23 40 79 4A 01 00 11 09 01 80 52 48 0D C9 1A 08 7D 09 1B 49 01 08 4B 28 00 80 52 08 21 C9 1A 68 01 08 0A 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_371_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 172
		refs = "0060 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0084 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 00 01 00 54 E8 13 40 B9 1F 0D 00 71 E0 00 00 54 E8 13 40 B9 1F 21 00 71 C0 00 00 54 07 00 00 14 80 00 80 D2 19 00 00 14 00 01 80 D2 17 00 00 14 00 01 80 D2 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 31 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_372_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 232
		refs = "009c ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E8 13 40 B9 1F 29 00 71 A8 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 03 05 07 09 0B 0D 0F 11 17 13 15 15 80 00 80 D2 27 00 00 14 20 00 80 D2 25 00 00 14 40 00 80 D2 23 00 00 14 80 00 80 D2 21 00 00 14 00 01 80 D2 1F 00 00 14 00 01 80 D2 1D 00 00 14 00 01 80 D2 1B 00 00 14 00 01 80 D2 19 00 00 14 80 00 80 D2 17 00 00 14 00 01 80 D2 15 00 00 14 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 2F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 D2 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_373_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 172
		refs = "00a0 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 43 00 39 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 49 00 00 54 11 00 00 14 E8 43 C0 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F 05 00 31 41 00 00 54 08 00 00 14 E1 43 C0 39 21 00 00 11 E8 0F 40 F9 08 01 00 91 21 00 00 11 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_375_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 172
		refs = "00a0 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 43 00 39 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 49 00 00 54 11 00 00 14 E8 43 C0 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 43 C0 39 08 01 00 11 1F 05 00 31 41 00 00 54 08 00 00 14 E1 43 C0 39 21 00 00 11 E8 0F 40 F9 08 01 00 91 21 00 00 11 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_374_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 168
		refs = "009c ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 49 00 00 54 10 00 00 14 E8 23 40 79 08 01 00 11 1F 01 00 71 C0 00 00 54 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 06 00 00 14 E8 0F 40 F9 08 01 00 91 E1 23 40 79 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_376_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 168
		refs = "009c ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E8 0F 40 F9 08 41 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 41 00 91 09 01 00 F9 E8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 40 01 00 54 E8 0F 40 F9 0A 41 00 91 E8 0F 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 49 00 00 54 10 00 00 14 E8 23 40 79 08 01 00 11 1F 01 00 71 C0 00 00 54 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 06 00 00 14 E8 0F 40 F9 08 01 00 91 E1 23 40 79 00 01 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_377_0 {
	meta:
		name = "?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 108
		refs = "0048 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0060 ??$ungettc_nolock@AEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAHAEBH$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 B9 E8 13 40 B9 1F 05 00 31 41 00 00 54 12 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 17 00 F9 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_378_0 {
	meta:
		name = "?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 116
		refs = "0050 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0068 ??$ungettc_nolock@AEBGPEAU_iobuf@@@?$__crt_char_traits@_W@@SAGAEBG$$QEAPEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 23 00 79 E9 23 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 12 00 00 14 E8 0F 40 F9 08 21 00 91 08 01 40 F9 09 05 00 D1 E8 0F 40 F9 08 21 00 91 09 01 00 F9 E8 0F 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 17 00 F9 E1 A3 00 91 E0 43 00 91 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_379_0 {
	meta:
		name = "?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 132
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 B9 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 01 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 41 00 00 54 14 00 00 14 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB A1 00 00 54 E8 03 40 B9 1F 05 00 31 41 00 00 54 08 00 00 14 E8 07 40 F9 08 41 00 91 08 01 40 F9 09 05 00 D1 E8 07 40 F9 08 41 00 91 09 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_380_0 {
	meta:
		name = "?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 140
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E1 03 00 79 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 01 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 41 00 00 54 16 00 00 14 E8 07 40 F9 0A 41 00 91 E8 07 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB E1 00 00 54 E9 03 40 79 29 01 00 11 E8 FF 9F 52 3F 01 08 6B 41 00 00 54 08 00 00 14 E8 07 40 F9 08 41 00 91 08 01 40 F9 09 09 00 D1 E8 07 40 F9 08 41 00 91 09 01 00 F9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_382_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_383_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ"
		size = 224
		refs = "0048 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 00c8 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 3B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_384_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 424
		refs = "0048 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1NK@HEPFLICA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00c8 _invalid_parameter 0110 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 17 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_385_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 424
		refs = "0048 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1OA@DIPMNDML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00c8 _invalid_parameter 0110 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 17 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_386_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 424
		refs = "0048 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1NK@HHNCOIMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00c8 _invalid_parameter 0110 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 17 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_387_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 424
		refs = "0048 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1OA@OAHHPJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00c8 _invalid_parameter 0110 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 34 00 00 14 E8 17 40 F9 08 61 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 EC 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_388_0 {
	meta:
		name = "?validate@?$stream_input_adapter@D@__crt_stdio_input@@QEBA_NXZ"
		size = 272
		refs = "0018 ?valid@__crt_stdio_stream@@QEBA_NXZ 0058 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1HA@GIJAHOIO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00d8 _invalid_parameter 00f0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00fc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_389_0 {
	meta:
		name = "?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QEBA_NXZ"
		size = 272
		refs = "0018 ?valid@__crt_stdio_stream@@QEBA_NXZ 0058 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1HG@OBMMLKGL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00d8 _invalid_parameter 00f0 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00fc ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQEAU_iobuf@@@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 0A 00 00 14 E8 13 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E0 47 40 39 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_390_0 {
	meta:
		name = "?validate@?$string_input_adapter@D@__crt_stdio_input@@QEAA_NXZ"
		size = 436
		refs = "0048 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HA@NLLONGLH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00c8 _invalid_parameter 011c ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 17 40 F9 0A 41 00 91 E8 17 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_391_0 {
	meta:
		name = "?validate@?$string_input_adapter@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 436
		refs = "0048 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1HG@FBLKABN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00c8 _invalid_parameter 011c ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 08 41 00 91 08 01 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 00 00 14 E8 17 40 F9 0A 41 00 91 E8 17 40 F9 08 21 00 91 09 01 40 F9 48 01 40 F9 1F 01 09 EB 88 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_395_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
		size = 116
		refs = "0020 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0028 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 _CrtDbgReportW"
		altNames = "?width@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F 11 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 47 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0F 40 F9 08 81 00 91 00 01 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_397_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z"
		size = 96
		altNames = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z"
	strings:
		$1 = { FF C3 00 D1 E0 0F 00 F9 E1 13 00 F9 E2 17 00 F9 E3 07 00 F9 E4 0B 00 F9 E5 03 00 39 E8 07 40 F9 09 01 40 F9 E8 03 C0 39 28 01 00 39 E8 07 40 F9 08 01 40 F9 09 05 00 91 E8 07 40 F9 09 01 00 F9 E8 0B 40 F9 08 01 40 F9 09 05 00 D1 E8 0B 40 F9 09 01 00 F9 20 00 80 52 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_398_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 272
		refs = "0030 __pctype_func 006c ?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ 00c4 _mbtowc_l"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E2 27 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 43 00 39 E8 43 C0 39 E8 4B 00 39 08 00 80 52 E8 4F 00 39 ?? ?? ?? ?? E0 1F 00 F9 E8 43 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 28 01 78 36 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 08 1D 00 13 E8 4F 00 39 E8 07 80 52 E8 2B 00 79 E8 13 40 F9 09 C1 01 91 E8 13 40 F9 08 C1 01 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 4B 00 91 E0 53 00 91 ?? ?? ?? ?? E8 43 C0 39 09 3D 00 53 E8 17 40 F9 08 01 40 F9 09 01 00 79 E8 17 40 F9 08 01 40 F9 09 09 00 91 E8 17 40 F9 09 01 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 D1 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_400_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 272
		refs = "0030 __pctype_func 006c ?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ 00c4 _mbtowc_l"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 F9 E1 23 00 F9 E2 27 00 F9 E3 17 00 F9 E4 1B 00 F9 E5 43 00 39 E8 43 C0 39 E8 4B 00 39 08 00 80 52 E8 4F 00 39 ?? ?? ?? ?? E0 1F 00 F9 E8 43 C0 39 08 1D 00 53 09 01 00 11 48 00 80 D2 29 7D 08 9B E8 1F 40 F9 08 01 09 8B 08 01 40 79 08 01 00 11 28 01 78 36 E8 13 40 F9 00 21 00 91 00 00 00 91 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 08 1D 00 13 E8 4F 00 39 E8 07 80 52 E8 2B 00 79 E8 13 40 F9 09 E1 01 91 E8 13 40 F9 08 E1 01 91 08 01 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 02 7D 40 93 23 01 40 F9 42 00 00 91 E1 4B 00 91 E0 53 00 91 ?? ?? ?? ?? E8 43 C0 39 09 3D 00 53 E8 17 40 F9 08 01 40 F9 09 01 00 79 E8 17 40 F9 08 01 40 F9 09 09 00 91 E8 17 40 F9 09 01 00 F9 E8 1B 40 F9 08 01 40 F9 09 05 00 D1 E8 1B 40 F9 09 01 00 F9 20 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_401_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
		size = 356
		refs = "0048 wctomb_s 0058 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 ??_C@_1OK@BKPOHNLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0068 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 007c _invoke_watson_if_oneof 0108 ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 23 00 F9 E3 13 00 F9 E4 17 00 F9 E5 23 00 79 E8 23 40 F9 1F 05 00 B1 21 05 00 54 08 00 80 52 E8 1B 00 B9 E3 23 40 79 A2 00 80 D2 E8 13 40 F9 01 01 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 B9 07 00 80 D2 C6 AA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 33 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 E1 01 00 54 E8 1B 40 B9 09 7D 40 93 E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 13 40 F9 09 01 00 F9 E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 09 01 09 CB E8 17 40 F9 09 01 00 F9 24 00 00 14 08 00 80 52 E8 17 00 B9 E3 23 40 79 E8 17 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E0 53 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 89 00 71 C1 00 00 54 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? 00 00 80 52 13 00 00 14 E8 17 40 B9 1F 01 00 71 ED 01 00 54 E8 17 40 B9 09 7D 40 93 E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 13 40 F9 09 01 00 F9 E8 17 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 09 01 09 CB E8 17 40 F9 09 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_403_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
		size = 356
		refs = "0048 wctomb_s 0058 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 ??_C@_1OK@BHAPBOII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0068 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 007c _invoke_watson_if_oneof 0108 ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQEFAD_K@Z"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 2B 00 F9 E1 27 00 F9 E2 23 00 F9 E3 13 00 F9 E4 17 00 F9 E5 23 00 79 E8 23 40 F9 1F 05 00 B1 21 05 00 54 08 00 80 52 E8 1B 00 B9 E3 23 40 79 A2 00 80 D2 E8 13 40 F9 01 01 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 B9 07 00 80 D2 C6 AA 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 42 04 80 52 C1 02 80 52 E0 33 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 E1 01 00 54 E8 1B 40 B9 09 7D 40 93 E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 13 40 F9 09 01 00 F9 E8 1B 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 09 01 09 CB E8 17 40 F9 09 01 00 F9 24 00 00 14 08 00 80 52 E8 17 00 B9 E3 23 40 79 E8 17 40 F9 02 01 40 F9 E8 13 40 F9 01 01 40 F9 E0 53 00 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 89 00 71 C1 00 00 54 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? 00 00 80 52 13 00 00 14 E8 17 40 B9 1F 01 00 71 ED 01 00 54 E8 17 40 B9 09 7D 40 93 E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 13 40 F9 09 01 00 F9 E8 17 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 09 01 09 CB E8 17 40 F9 09 01 00 F9 20 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_402_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z"
		size = 96
		altNames = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z"
	strings:
		$1 = { FF C3 00 D1 E0 0F 00 F9 E1 13 00 F9 E2 17 00 F9 E3 07 00 F9 E4 0B 00 F9 E5 03 00 79 E8 07 40 F9 09 01 40 F9 E8 03 40 79 28 01 00 79 E8 07 40 F9 08 01 40 F9 09 09 00 91 E8 07 40 F9 09 01 00 F9 E8 0B 40 F9 08 01 40 F9 09 05 00 D1 E8 0B 40 F9 09 01 00 F9 20 00 80 52 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_405_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 624
		refs = "00e8 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c _CrtDbgReportW 0134 _errno 0158 ??_C@_1NK@LNDNKEBK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0168 _invalid_parameter 01ac ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E2 43 00 39 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0F 40 F9 08 E1 01 91 08 01 40 F9 08 21 00 91 E8 27 00 F9 E8 0F 40 F9 09 E1 01 91 E8 27 40 F9 28 01 00 F9 E8 27 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 2F 00 F9 15 00 00 14 E8 0F 40 F9 0A E1 01 91 E8 0F 40 F9 08 E1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 2B 00 F9 E8 0F 40 F9 09 E1 01 91 E8 2B 40 F9 28 01 00 F9 E8 2B 40 F9 08 21 00 D1 08 01 40 F9 E8 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 3E 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 01 02 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 01 02 91 09 01 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 33 00 F9 E8 33 40 F9 1F 21 00 F1 08 05 00 54 E8 33 40 F9 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 05 00 51 E8 33 00 B9 E8 33 40 B9 1F 1D 00 71 E8 03 00 54 EA 33 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 19 0E 19 19 19 14 E8 1F 40 F9 09 1D 00 53 E8 17 40 F9 09 01 00 39 20 00 80 52 13 00 00 14 E8 1F 40 F9 09 3D 00 53 E8 17 40 F9 09 01 00 79 20 00 80 52 0D 00 00 14 E8 1F 40 F9 09 01 00 11 E8 17 40 F9 09 01 00 B9 20 00 80 52 07 00 00 14 E9 17 40 F9 E8 1F 40 F9 28 01 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_406_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 624
		refs = "00e8 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c _CrtDbgReportW 0134 _errno 0158 ??_C@_1NK@MGMDLCAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0168 _invalid_parameter 01ac ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E2 43 00 39 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0F 40 F9 08 01 02 91 08 01 40 F9 08 21 00 91 E8 27 00 F9 E8 0F 40 F9 09 01 02 91 E8 27 40 F9 28 01 00 F9 E8 27 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 2F 00 F9 15 00 00 14 E8 0F 40 F9 0A 01 02 91 E8 0F 40 F9 08 01 02 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 2B 00 F9 E8 0F 40 F9 09 01 02 91 E8 2B 40 F9 28 01 00 F9 E8 2B 40 F9 08 21 00 D1 08 01 40 F9 E8 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 3E 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 21 02 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 21 02 91 09 01 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 33 00 F9 E8 33 40 F9 1F 21 00 F1 08 05 00 54 E8 33 40 F9 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 05 00 51 E8 33 00 B9 E8 33 40 B9 1F 1D 00 71 E8 03 00 54 EA 33 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 19 0E 19 19 19 14 E8 1F 40 F9 09 1D 00 53 E8 17 40 F9 09 01 00 39 20 00 80 52 13 00 00 14 E8 1F 40 F9 09 3D 00 53 E8 17 40 F9 09 01 00 79 20 00 80 52 0D 00 00 14 E8 1F 40 F9 09 01 00 11 E8 17 40 F9 09 01 00 B9 20 00 80 52 07 00 00 14 E9 17 40 F9 E8 1F 40 F9 28 01 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_407_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 624
		refs = "00e8 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c _CrtDbgReportW 0134 _errno 0158 ??_C@_1OG@EFLCDJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0168 _invalid_parameter 01ac ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E2 43 00 39 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0F 40 F9 08 81 01 91 08 01 40 F9 08 21 00 91 E8 27 00 F9 E8 0F 40 F9 09 81 01 91 E8 27 40 F9 28 01 00 F9 E8 27 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 2F 00 F9 15 00 00 14 E8 0F 40 F9 0A 81 01 91 E8 0F 40 F9 08 81 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 2B 00 F9 E8 0F 40 F9 09 81 01 91 E8 2B 40 F9 28 01 00 F9 E8 2B 40 F9 08 21 00 D1 08 01 40 F9 E8 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 3E 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 A1 01 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 A1 01 91 09 01 00 F9 E8 0F 40 F9 00 61 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 33 00 F9 E8 33 40 F9 1F 21 00 F1 08 05 00 54 E8 33 40 F9 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 05 00 51 E8 33 00 B9 E8 33 40 B9 1F 1D 00 71 E8 03 00 54 EA 33 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 19 0E 19 19 19 14 E8 1F 40 F9 09 1D 00 53 E8 17 40 F9 09 01 00 39 20 00 80 52 13 00 00 14 E8 1F 40 F9 09 3D 00 53 E8 17 40 F9 09 01 00 79 20 00 80 52 0D 00 00 14 E8 1F 40 F9 09 01 00 11 E8 17 40 F9 09 01 00 B9 20 00 80 52 07 00 00 14 E9 17 40 F9 E8 1F 40 F9 28 01 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_641_408_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 624
		refs = "00e8 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c _CrtDbgReportW 0134 _errno 0158 ??_C@_1OG@CHGGBHNI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0168 _invalid_parameter 01ac ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0F 00 F9 E1 1F 00 F9 E2 43 00 39 08 00 80 52 1F 01 00 71 00 02 00 54 E8 0F 40 F9 08 A1 01 91 08 01 40 F9 08 21 00 91 E8 27 00 F9 E8 0F 40 F9 09 A1 01 91 E8 27 40 F9 28 01 00 F9 E8 27 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 2F 00 F9 15 00 00 14 E8 0F 40 F9 0A A1 01 91 E8 0F 40 F9 08 A1 01 91 09 00 80 D2 08 01 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 48 01 40 F9 08 01 09 8B E8 2B 00 F9 E8 0F 40 F9 09 A1 01 91 E8 2B 40 F9 28 01 00 F9 E8 2B 40 F9 08 21 00 D1 08 01 40 F9 E8 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 C3 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 3E 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 C1 01 91 08 01 40 F9 09 05 00 91 E8 0F 40 F9 08 C1 01 91 09 01 00 F9 E8 0F 40 F9 00 81 00 91 00 00 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 33 00 F9 E8 33 40 F9 1F 21 00 F1 08 05 00 54 E8 33 40 F9 08 01 00 11 E8 33 00 B9 E8 33 40 B9 08 05 00 51 E8 33 00 B9 E8 33 40 B9 1F 1D 00 71 E8 03 00 54 EA 33 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 02 08 19 0E 19 19 19 14 E8 1F 40 F9 09 1D 00 53 E8 17 40 F9 09 01 00 39 20 00 80 52 13 00 00 14 E8 1F 40 F9 09 3D 00 53 E8 17 40 F9 09 01 00 79 20 00 80 52 0D 00 00 14 E8 1F 40 F9 09 01 00 11 E8 17 40 F9 09 01 00 B9 20 00 80 52 07 00 00 14 E9 17 40 F9 E8 1F 40 F9 28 01 00 F9 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_642_0_0 {
	meta:
		name = "ldexp"
		size = 816
		refs = "0018 _ctrlfp 0044 _sptype 00a0 _handle_qnan2 00dc _except2 0114 _decomp 01ac _d_inf 01b4 _copysign 0208 _set_exp"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 0F 00 FD E0 13 00 B9 81 18 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 17 00 F9 E8 3F 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B 81 05 00 54 E0 0F 40 FD ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 AD 02 00 54 E8 33 40 B9 1F 09 00 71 AD 00 00 54 E8 33 40 B9 1F 0D 00 71 E0 00 00 54 0E 00 00 14 21 15 00 58 E0 17 40 F9 ?? ?? ?? ?? E0 0F 40 FD A2 00 00 14 E8 13 40 B9 01 01 62 1E 21 40 60 1E E0 0F 40 FD ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD 9A 00 00 14 F1 0F 40 FD 10 10 6E 1E 22 2A 70 1E E8 13 40 B9 01 01 62 1E E2 17 40 F9 42 40 60 1E 21 40 60 1E E0 0F 40 FD 21 03 80 52 00 01 80 52 ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 8B 00 00 14 F0 0F 40 FD 08 22 60 1E C1 00 00 54 41 11 00 58 E0 17 40 F9 ?? ?? ?? ?? E0 0F 40 FD 83 00 00 14 E0 83 00 91 E0 0F 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 1F 00 FD E8 13 40 B9 1F 01 00 71 EA 01 00 54 09 00 B0 52 E8 13 40 B9 29 01 08 4B E8 23 40 B9 1F 01 09 6B 8A 00 00 54 08 00 B0 52 E8 17 00 B9 05 00 00 14 E9 23 40 B9 E8 13 40 B9 28 01 08 0B E8 17 00 B9 0E 00 00 14 09 00 B0 12 E8 13 40 B9 29 01 08 4B E8 23 40 B9 1F 01 09 6B 8D 00 00 54 08 00 B0 12 E8 17 00 B9 05 00 00 14 E9 23 40 B9 E8 13 40 B9 28 01 08 0B E8 17 00 B9 E8 17 40 B9 1F 01 28 71 4D 02 00 54 E1 1F 40 FD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 00 FD E8 13 40 B9 01 01 62 1E E2 17 40 F9 E2 3B 40 FD 21 40 60 1E E0 0F 40 FD 21 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 3F 00 FD E0 3F 40 FD 4B 00 00 14 E8 17 40 B9 1F 01 10 71 AD 02 00 54 E8 17 40 B9 00 01 18 51 00 00 00 11 E0 1F 40 FD ?? ?? ?? ?? E0 43 00 FD F0 43 40 FD F0 23 00 FD E8 13 40 B9 01 01 62 1E E2 17 40 F9 E2 23 40 FD 21 40 60 1E E0 0F 40 FD 21 03 80 52 20 02 80 52 ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD 34 00 00 14 E8 17 40 B9 1F F5 27 31 0A 02 00 54 F1 1F 40 FD 90 06 00 5C 22 0A 70 1E E8 13 40 B9 01 01 62 1E E2 17 40 F9 42 40 60 1E 21 40 60 1E E0 0F 40 FD 21 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD 22 00 00 14 E8 17 40 B9 1F F5 0F 31 AA 02 00 54 E8 17 40 B9 00 01 18 11 00 00 00 11 E0 1F 40 FD ?? ?? ?? ?? E0 4F 00 FD F0 4F 40 FD F0 23 00 FD E8 13 40 B9 01 01 62 1E E2 17 40 F9 E2 23 40 FD 21 40 60 1E E0 0F 40 FD 21 03 80 52 40 02 80 52 ?? ?? ?? ?? E0 53 00 FD E0 53 40 FD 0B 00 00 14 E0 17 40 B9 E0 1F 40 FD ?? ?? ?? ?? E0 57 00 FD F0 57 40 FD F0 23 00 FD E1 00 00 58 E0 17 40 F9 ?? ?? ?? ?? E0 23 40 FD FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 00 9F C0 03 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_643_17_0 {
	meta:
		name = "fputs"
		size = 984
		refs = "0044 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@FBPIABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1M@LIIFKKLB@?$AAf?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 00c4 _invalid_parameter 0104 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0198 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 01a0 ?is_string_backed@__crt_stdio_stream@@QEBA_NXZ 01bc ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 01c8 _fileno 0204 __pioinfo 0234 __badioinfo 0304 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0394 strlen 03b4 ??0<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@QEAA@AEBQEAU_iobuf@@AEBQEBDAEB_K@Z 03c4 ??$__acrt_lock_stream_and_call@V<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@@YAHQEAU_iobuf@@$$QEAV<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@Z"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 2B 00 F9 E1 1B 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 C1 00 00 14 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3F 00 B9 E9 3F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 91 00 00 14 E1 1B 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 A1 09 00 54 E0 63 01 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 13 00 B9 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 33 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 33 00 F9 E8 33 40 F9 08 E5 00 91 08 01 C0 39 1F 01 00 71 61 04 00 54 E8 13 40 B9 1F 05 00 31 A0 02 00 54 E8 13 40 B9 1F 09 00 31 40 02 00 54 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B E8 37 00 F9 04 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 37 00 F9 E8 37 40 F9 08 F5 00 91 08 01 40 39 08 01 00 12 08 1D 00 53 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 47 00 B9 E9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 11 00 00 14 E0 2B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 E8 4F 00 F9 E3 63 02 91 E2 43 01 91 E1 C3 00 91 E0 A3 02 91 ?? ?? ?? ?? E0 53 00 F9 E1 53 40 F9 E0 1B 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E0 4B 40 B9 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_644_1_0 {
	meta:
		name = "_mbsninc_l"
		size = 52
		refs = "0020 _mbsnbcnt_l"
	strings:
		$1 = { F3 0F 1F F8 FD 7B BF A9 FD 03 00 91 13 00 00 91 73 00 00 B5 00 00 80 D2 04 00 00 14 60 02 00 91 ?? ?? ?? ?? 60 42 20 8B FD 7B C1 A8 F3 07 41 F8 C0 03 5F D6 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "rand_s"
		size = 300
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@KMMBNIEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1O@IJGPPOGF@?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 00c0 _invalid_parameter 00e0 __acrt_RtlGenRandom"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1F 00 B9 E9 1F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 17 00 00 14 E9 13 40 F9 08 00 80 52 28 01 00 B9 81 00 80 52 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 61 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 88 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_648_0_0 {
	meta:
		name = "_FCmulcc"
		size = 212
		refs = "0020 crealf 0038 cimagf 00b8 _FCbuild"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E2 2B 00 BD E3 2F 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 33 00 BD F0 33 40 BD F0 13 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 37 00 BD F0 37 40 BD F0 1B 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 3B 00 BD F0 3B 40 BD F0 17 00 BD E1 2F 40 BD E0 2B 40 BD ?? ?? ?? ?? E0 3F 00 BD F0 3F 40 BD F0 1F 00 BD F1 13 40 BD F0 1F 40 BD 32 0A 30 1E F1 1B 40 BD F0 17 40 BD 30 0A 30 1E 41 2A 30 1E F1 13 40 BD F0 17 40 BD 32 0A 30 1E F1 1B 40 BD F0 1F 40 BD 30 0A 30 1E 40 3A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 47 00 BD E0 43 00 BD E0 43 40 BD E1 47 40 BD FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_648_1_0 {
	meta:
		name = "_FCmulcr"
		size = 112
		refs = "001c cimagf 002c crealf 0054 _FCbuild"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 23 00 BD E1 27 00 BD E2 13 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 17 00 BD E1 27 40 BD E0 23 40 BD ?? ?? ?? ?? E0 1B 00 BD F1 17 40 BD F0 13 40 BD 21 0A 30 1E F1 1B 40 BD F0 13 40 BD 20 0A 30 1E 21 40 20 1E 00 40 20 1E ?? ?? ?? ?? E1 2F 00 BD E0 2B 00 BD E0 2B 40 BD E1 2F 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_648_2_0 {
	meta:
		name = "cpowf"
		size = 284
		refs = "0020 cimagf 003c crealf 0094 powf 00a4 _FCbuild 00c8 clogf 00e4 _FCmulcc 00f8 cexpf"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 BD E1 17 00 BD E2 1B 00 BD E3 1F 00 BD E1 17 40 BD E0 13 40 BD ?? ?? ?? ?? E0 23 00 BD F0 23 40 BD 08 22 20 1E 81 04 00 54 E1 17 40 BD E0 13 40 BD ?? ?? ?? ?? E0 27 00 BD F0 27 40 BD 08 22 20 1E AB 03 00 54 E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 2B 00 BD F0 2B 40 BD 08 22 20 1E C1 02 00 54 E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E0 2F 00 BD E1 17 40 BD E0 13 40 BD ?? ?? ?? ?? E0 33 00 BD E1 2F 40 BD E0 33 40 BD ?? ?? ?? ?? E0 37 00 BD E1 03 00 1C E0 37 40 BD ?? ?? ?? ?? E1 3F 00 BD E0 3B 00 BD E0 3B 40 BD E1 3F 40 BD 15 00 00 14 14 00 00 14 E1 17 40 BD E0 13 40 BD ?? ?? ?? ?? E1 47 00 BD E0 43 00 BD E3 47 40 BD E2 43 40 BD E1 1F 40 BD E0 1B 40 BD ?? ?? ?? ?? E1 4F 00 BD E0 4B 00 BD E1 4F 40 BD E0 4B 40 BD ?? ?? ?? ?? E1 57 00 BD E0 53 00 BD E0 53 40 BD E1 57 40 BD FD 7B C6 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "??$convert_to_fos_high_precision@N@@YAXNIQEAHQEAD_K@Z"
		size = 1644
		refs = "0008 __security_push_cookie 0030 ??_C@_1DE@KHKADFOO@?$AAm?$AAa?$AAn?$AAt?$AAi?$AAs?$AAs?$AAa?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0054 _CrtDbgReportW 014c log10 0158 ceil 0198 ??_C@_1FI@LFKLOPAC@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$DL?$AA?5?$AAl?$AAo?$AAg?$AA1?$AA0?$AA?5@ 01e8 ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 01f0 ??0big_integer@__crt_strtox@@QEAA@XZ 0208 ?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z 0218 ??9__crt_strtox@@YA_NAEBUbig_integer@0@0@Z 0240 ?shift_left@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 025c ??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z 0354 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 0380 ?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z 038c ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 04c4 ?is_zero@__crt_strtox@@YA_NAEBUbig_integer@1@@Z 0528 ??_C@_1FG@MLHBDPBG@?$AAq?$AAu?$AAo?$AAt?$AAi?$AAe?$AAn?$AAt?$AA?5?$AA?$DM?$AA?5?$AAd?$AAi?$AAg?$AAi?$AAt?$AAs?$AA_?$AAp?$AAe?$AAr?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_@ 0658 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 3D D1 E0 37 00 FD E0 2B 00 B9 E1 77 00 F9 E2 3B 00 F9 E3 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 28 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 A3 01 91 E8 2F 00 F9 E8 2F 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 17 00 39 03 00 00 14 08 00 80 52 E8 17 00 39 E8 17 40 39 E8 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 D2 E8 33 00 F9 03 00 00 14 08 02 E0 D2 E8 33 00 F9 E8 33 40 F9 E8 4B 00 F9 E8 13 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 52 E8 2F 00 B9 03 00 00 14 28 00 80 52 E8 2F 00 B9 E8 2F 40 B9 E8 47 00 B9 E8 2F 40 F9 08 01 00 91 08 01 40 F9 09 CD 40 92 E8 4B 40 F9 28 01 08 8B E8 57 00 F9 E8 2F 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 08 01 00 11 08 FD 0F 51 09 D5 00 51 E8 47 40 B9 28 01 08 0B E8 1B 00 B9 E0 37 40 FD ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD ?? ?? ?? ?? E0 53 00 FD F0 53 40 FD 08 02 78 1E E8 03 00 B9 09 00 B0 12 E8 03 40 B9 1F 01 09 6B A0 00 00 54 09 00 B0 52 E8 03 40 B9 1F 01 09 6B C1 02 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 E8 03 00 B9 E1 57 40 F9 E0 E3 03 91 ?? ?? ?? ?? E0 23 0B 91 ?? ?? ?? ?? E8 1B 40 B9 1F 01 00 71 EB 04 00 54 81 06 80 52 E0 63 12 91 ?? ?? ?? ?? E0 5B 00 F9 E1 5B 40 F9 E0 E3 03 91 ?? ?? ?? ?? E0 1B 00 39 E8 1B 40 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E8 1B 40 B9 01 05 00 11 21 00 00 11 E0 E3 03 91 ?? ?? ?? ?? 41 00 80 D2 E0 A3 19 91 ?? ?? ?? ?? E0 5F 00 F9 E1 5F 40 F9 E0 23 0B 91 ?? ?? ?? ?? 0D 00 00 14 E8 1B 40 B9 01 09 00 11 21 00 00 11 E0 E3 03 91 ?? ?? ?? ?? 81 00 80 D2 E0 E3 20 91 ?? ?? ?? ?? E0 63 00 F9 E1 63 40 F9 E0 23 0B 91 ?? ?? ?? ?? 2B 00 00 14 E8 1B 40 B9 1F F9 0F 31 A0 01 00 54 81 06 80 52 E0 23 28 91 ?? ?? ?? ?? E0 67 00 F9 E1 67 40 F9 E0 E3 03 91 ?? ?? ?? ?? E0 1F 00 39 E8 1F 40 39 08 01 00 11 1F 01 00 71 E0 01 00 54 21 00 80 52 E0 E3 03 91 ?? ?? ?? ?? E8 1B 40 B9 E8 03 08 4B 01 05 00 11 21 00 00 11 E0 63 2F 91 ?? ?? ?? ?? E0 6B 00 F9 E1 6B 40 F9 E0 23 0B 91 ?? ?? ?? ?? 0E 00 00 14 41 00 80 52 E0 E3 03 91 ?? ?? ?? ?? E8 1B 40 B9 E8 03 08 4B 01 09 00 11 21 00 00 11 E0 A3 36 91 ?? ?? ?? ?? E0 6F 00 F9 E1 6F 40 F9 E0 23 0B 91 ?? ?? ?? ?? E8 03 40 B9 1F 01 00 71 AB 00 00 54 E1 03 40 B9 E0 23 0B 91 ?? ?? ?? ?? 06 00 00 14 E8 03 40 B9 E1 03 08 4B 21 00 00 11 E0 E3 03 91 ?? ?? ?? ?? E8 3B 40 F9 E8 0B 00 F9 41 01 80 52 E0 E3 03 91 ?? ?? ?? ?? E1 23 0B 91 E0 E3 03 91 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 08 01 00 11 E8 27 00 B9 E8 27 40 B9 1F 29 00 71 C1 01 00 54 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E9 0B 40 F9 28 06 80 52 28 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 41 01 80 52 E0 23 0B 91 ?? ?? ?? ?? 10 00 00 14 E8 27 40 B9 1F 01 00 71 A1 00 00 54 E8 03 40 B9 08 05 00 51 E8 03 00 B9 09 00 00 14 E8 27 40 B9 08 C1 00 11 09 1D 00 13 E8 0B 40 F9 09 01 00 39 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E9 77 40 F9 E8 03 40 B9 28 01 00 B9 E8 03 40 B9 1F 01 00 71 4B 01 00 54 09 00 B0 12 E8 2B 40 B9 1F 01 09 6B C8 00 00 54 E9 03 40 B9 E8 2B 40 B9 28 01 08 0B E8 33 00 B9 03 00 00 14 E8 2B 40 B9 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 2B 40 F9 09 05 00 D1 E8 37 40 B9 08 7D 40 D3 3F 01 08 EB A2 00 00 54 E8 2B 40 F9 08 05 00 D1 E8 3F 00 F9 04 00 00 14 E8 37 40 B9 08 7D 40 D3 E8 3F 00 F9 E9 3B 40 F9 E8 3F 40 F9 28 01 08 8B E8 1F 00 F9 E9 1F 40 F9 E8 0B 40 F9 1F 01 09 EB 41 00 00 54 63 00 00 14 E0 E3 03 91 ?? ?? ?? ?? E0 23 00 39 E8 23 40 39 08 01 00 11 1F 01 00 71 40 00 00 54 5B 00 00 14 28 01 80 52 E8 8F 00 B9 08 0C 00 18 E8 8B 00 B9 C1 0B 00 18 E0 E3 03 91 ?? ?? ?? ?? E1 23 0B 91 E0 E3 03 91 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 08 01 00 11 E8 23 00 B9 89 0A 00 18 E8 23 40 B9 1F 01 09 6B 23 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 01 80 52 E8 1F 00 B9 04 00 00 14 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 E8 1F 40 B9 1F 05 00 31 C0 03 00 54 EA 23 40 B9 49 01 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 08 1D 00 13 E8 27 00 39 E9 23 40 B9 48 01 80 52 28 09 C8 1A E8 23 00 B9 E9 1F 40 F9 E8 0B 40 F9 28 01 08 CB 09 01 00 11 E8 1F 40 B9 3F 01 08 6B 42 00 00 54 E7 FF FF 17 E8 1F 40 B9 09 7D 40 D3 28 00 80 D2 29 7D 08 9B E8 0B 40 F9 09 01 09 8B E8 27 C0 39 28 01 00 39 DE FF FF 17 E9 1F 40 F9 E8 0B 40 F9 29 01 08 CB 28 01 80 D2 1F 01 09 EB 8A 00 00 54 28 01 80 D2 E8 43 00 F9 05 00 00 14 E9 1F 40 F9 E8 0B 40 F9 28 01 08 CB E8 43 00 F9 E9 0B 40 F9 E8 43 40 F9 28 01 08 8B E8 0B 00 F9 9A FF FF 17 E9 0B 40 F9 08 00 80 52 28 01 00 39 FF C3 3D 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 1F 20 03 D5 00 CA 9A 3B }
	condition:
		$1
}

rule file_650_3_0 {
	meta:
		name = "??0scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ"
		size = 120
		refs = "0018 fegetenv 0058 feholdexcept"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 08 01 00 91 08 01 00 91 08 01 40 B9 08 11 00 12 1F 7D 00 71 C1 00 00 54 E8 0B 40 F9 09 21 00 91 08 00 80 52 28 01 00 39 09 00 00 14 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 21 00 91 28 00 80 52 28 01 00 39 E0 0B 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_4_0 {
	meta:
		name = "??1scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ"
		size = 60
		refs = "0030 fesetenv"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 21 00 91 08 01 40 39 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 0B 40 F9 00 01 00 91 00 00 00 91 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_6_0 {
	meta:
		name = "??8__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 196
	strings:
		$1 = { FF 83 00 D1 E0 07 00 F9 E1 0B 00 F9 E8 07 40 F9 0A 01 00 91 E8 0B 40 F9 08 01 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 23 00 00 14 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 07 40 F9 08 01 00 91 09 01 40 B9 E8 03 40 B9 1F 01 09 6B C0 02 00 54 E8 07 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 4B 01 08 8B E8 0B 40 F9 0A 11 00 91 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 28 7D 08 9B 48 01 08 8B 09 01 40 B9 68 01 40 B9 1F 01 09 6B 60 00 00 54 00 00 80 52 03 00 00 14 E3 FF FF 17 20 00 80 52 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_7_0 {
	meta:
		name = "??9__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 88
		refs = "0018 ??8__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_14_0 {
	meta:
		name = "?is_zero@__crt_strtox@@YA_NAEBUbig_integer@1@@Z"
		size = 68
	strings:
		$1 = { FF 43 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 81 00 00 54 28 00 80 52 E8 03 00 B9 03 00 00 14 08 00 80 52 E8 03 00 B9 E8 03 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_16_0 {
	meta:
		name = "?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z"
		size = 196
		refs = "0008 __security_push_cookie 0024 ??0big_integer@__crt_strtox@@QEAA@XZ 006c memset 00ac ??0big_integer@__crt_strtox@@QEAA@AEBU01@@Z 00b8 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 07 D1 E0 0B 00 F9 E1 07 00 B9 28 00 80 52 E8 1B 00 B9 E0 83 00 91 ?? ?? ?? ?? E9 07 40 B9 08 04 80 52 28 09 C8 1A E8 03 00 B9 EA 07 40 B9 09 04 80 52 48 09 C9 1A 08 7D 09 1B 48 01 08 4B E8 0B 00 B9 E8 03 40 B9 09 7D 40 D3 88 00 80 D2 22 7D 08 9B 42 00 00 91 01 00 80 52 E0 93 00 91 ?? ?? ?? ?? 29 00 80 52 E8 0B 40 B9 2A 21 C8 1A E8 03 40 B9 09 7D 40 D3 88 00 80 D2 29 7D 08 9B E8 93 00 91 08 01 09 8B 0A 01 00 B9 E8 03 40 B9 08 05 00 11 E8 23 00 B9 E1 83 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 40 F9 FF C3 07 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_650_23_0 {
	meta:
		name = "__acrt_fltout"
		size = 804
		refs = "0020 ??0scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ 00ec ??_C@_01GBGANLPD@0?$AA@ 00fc strcpy_s 010c ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0114 ??_C@_1BM@FAAOAKKO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAl?$AAt?$AAo?$AAu?$AAt?$AA?$AA@ 011c ??_C@_1EI@OACEJKEP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0128 _invoke_watson_if_error 0130 ??1scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ 013c ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z 01a0 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 01d0 ??_C@_1FC@KIECGFMP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 01ec ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 021c ??_C@_1FC@NFPJEIBD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0238 ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 0268 ??_C@_1FC@DEJHIMLO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0284 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 02b4 ??_C@_1FC@KMLHLFPC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0310 ??$convert_to_fos_high_precision@N@@YAXNIQEAHQEAD_K@Z"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 3B 00 FD E0 6B 00 B9 E1 1F 00 F9 E2 0F 00 F9 E3 13 00 F9 E0 03 01 91 ?? ?? ?? ?? E0 3F 00 F9 E8 C3 01 91 E8 1B 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 FD 7F D3 1F 05 00 F1 81 00 00 54 A8 05 80 52 E8 43 00 39 03 00 00 14 08 04 80 52 E8 43 00 39 E9 43 C0 39 29 01 00 11 E8 1F 40 F9 08 01 00 91 09 01 00 B9 E8 1F 40 F9 09 21 00 91 E8 0F 40 F9 28 01 00 F9 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 F9 74 D3 1F 01 00 F1 41 01 00 54 E8 1B 40 F9 08 01 00 91 08 01 40 F9 08 CD 40 92 1F 01 00 F1 81 00 00 54 28 00 80 52 E8 47 00 39 03 00 00 14 08 00 80 52 E8 47 00 39 E8 47 40 39 E8 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 00 03 00 54 E8 1F 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 44 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? 7A 00 00 14 E0 C3 01 91 ?? ?? ?? ?? E0 57 00 B9 E8 57 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 A0 00 00 54 E8 1F 40 F9 09 11 00 91 28 00 80 52 28 01 00 B9 E8 2B 40 B9 E8 17 00 B9 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E8 17 40 B9 1F 0D 00 71 68 0A 00 54 EA 17 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 14 27 3A ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 5B 00 B9 05 00 80 D2 E4 24 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5B 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? 4D 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 5F 00 B9 05 00 80 D2 04 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 5F 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? 3A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 63 00 B9 05 00 80 D2 24 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 63 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? 27 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E1 13 40 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 67 00 B9 05 00 80 D2 44 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 40 B9 ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? 14 00 00 14 E8 1B 40 F9 08 01 00 91 08 01 40 F9 09 F9 40 92 E8 1B 40 F9 08 01 00 91 09 01 00 F9 E8 1F 40 F9 01 11 00 91 E8 6B 40 B9 00 05 00 11 E3 13 40 F9 E2 0F 40 F9 21 00 00 91 00 00 00 11 E0 3B 40 FD ?? ?? ?? ?? E0 03 01 91 ?? ?? ?? ?? FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_651_4_0 {
	meta:
		name = "_mbccpy_s_l"
		size = 508
		refs = "0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 003c ??_C@_1HG@KOPLKMJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 _CrtDbgReportW 0068 _errno 007c ??_C@_1BI@BLONMAID@?$AA_?$AAm?$AAb?$AAc?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 008c _invalid_parameter 00a8 ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00f4 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 014c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { F3 53 BE A9 F5 5B 01 A9 FD 7B BD A9 FD 03 00 91 14 00 00 91 36 00 00 91 53 00 00 91 75 00 00 91 53 00 00 B4 7F 02 00 B9 9F 02 00 F1 C4 1A 40 FA 48 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 02 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 56 00 00 14 B5 02 00 B5 9F 02 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 03 80 52 ?? ?? ?? ?? E5 FF FF 17 81 00 00 91 E0 43 00 91 ?? ?? ?? ?? AA 02 40 39 E8 13 40 F9 48 01 08 8B 09 65 40 39 C9 05 10 36 A8 06 40 39 48 01 00 35 9F 02 00 39 73 00 00 B4 28 00 80 52 68 02 00 B9 ?? ?? ?? ?? 48 05 80 52 08 00 00 B9 40 05 80 52 28 00 00 14 DF 0A 00 F1 62 03 00 54 9F 02 00 39 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 05 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? 48 04 80 52 08 00 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 A3 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 0C 00 00 14 8A 02 00 39 A8 06 40 39 88 06 00 39 F3 00 00 B4 48 00 80 52 04 00 00 14 8A 02 00 39 73 00 00 B4 28 00 80 52 68 02 00 B9 00 00 80 52 E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 5B 41 A9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_2_0 {
	meta:
		name = "??$common_strtime_s@D@@YAHQEAD_K@Z"
		size = 892
		refs = "0008 __security_push_cookie 0058 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 011c _CrtGetDebugFillThreshold 016c memset 01a4 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 0234 __imp_GetLocalTime 0370 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 1F 01 00 F1 E0 00 00 54 E8 07 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A3 00 00 14 E9 03 40 F9 08 00 80 52 28 01 00 39 E8 07 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 07 40 F9 1F 01 09 EB 40 03 00 54 E9 07 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 07 40 F9 09 05 00 D1 E8 1F 40 F9 1F 01 09 EB 82 00 00 54 E8 1F 40 F9 E8 23 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 D1 E8 23 00 F9 E8 03 40 F9 00 05 00 91 E2 23 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 1F 25 00 F1 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 50 00 00 14 E0 83 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 D3 40 79 08 01 00 11 E8 23 00 B9 E8 D7 40 79 08 01 00 11 E8 27 00 B9 E8 DB 40 79 08 01 00 11 E8 2B 00 B9 E9 23 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 09 01 00 39 EA 23 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 05 00 91 09 01 00 39 E8 03 40 F9 09 09 00 91 48 07 80 52 28 01 00 39 E9 27 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 0D 00 91 09 01 00 39 EA 27 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 11 00 91 09 01 00 39 E8 03 40 F9 09 15 00 91 48 07 80 52 28 01 00 39 E9 2B 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 19 00 91 09 01 00 39 EA 2B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 1D 00 13 E8 03 40 F9 08 1D 00 91 09 01 00 39 E8 03 40 F9 09 21 00 91 08 00 80 52 28 01 00 39 00 00 80 52 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_652_3_0 {
	meta:
		name = "??$common_strtime_s@_W@@YAHQEA_W_K@Z"
		size = 904
		refs = "0008 __security_push_cookie 0058 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 007c _CrtDbgReportW 00a4 _errno 00c8 ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 00d8 _invalid_parameter 011c _CrtGetDebugFillThreshold 0178 memset 01b0 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 0240 __imp_GetLocalTime 037c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 01 D1 E0 03 00 F9 E1 07 00 F9 E8 03 40 F9 1F 01 00 F1 E0 00 00 54 E8 07 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A6 00 00 14 E9 03 40 F9 08 00 80 52 28 01 00 79 E8 07 40 F9 1F 05 00 B1 20 04 00 54 E9 7B 40 B2 E8 07 40 F9 1F 01 09 EB A0 03 00 54 E9 07 40 F9 28 00 80 D2 1F 01 09 EB 22 03 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 E8 07 40 F9 09 05 00 D1 E8 1F 40 F9 1F 01 09 EB 82 00 00 54 E8 1F 40 F9 E8 23 00 F9 04 00 00 14 E8 07 40 F9 08 05 00 D1 E8 23 00 F9 E9 23 40 F9 48 00 80 D2 22 7D 08 9B E8 03 40 F9 00 09 00 91 42 00 00 91 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 07 40 F9 1F 25 00 F1 83 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 43 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 50 00 00 14 E0 83 01 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 D3 40 79 08 01 00 11 E8 23 00 B9 E8 D7 40 79 08 01 00 11 E8 27 00 B9 E8 DB 40 79 08 01 00 11 E8 2B 00 B9 E9 23 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 09 01 00 79 EA 23 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 09 00 91 09 01 00 79 E8 03 40 F9 09 11 00 91 48 07 80 52 28 01 00 79 E9 27 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 19 00 91 09 01 00 79 EA 27 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 21 00 91 09 01 00 79 E8 03 40 F9 09 29 00 91 48 07 80 52 28 01 00 79 E9 2B 40 B9 48 01 80 52 28 0D C8 1A 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 31 00 91 09 01 00 79 EA 2B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 03 40 F9 08 39 00 91 09 01 00 79 E8 03 40 F9 09 41 00 91 08 00 80 52 28 01 00 79 00 00 80 52 FF C3 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_653_5_0 {
	meta:
		name = "_mbsnbcmp_l"
		size = 504
		refs = "0030 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 004c strncmp 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_1HC@OABGANDG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 007c _CrtDbgReportW 008c _errno 00ac ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_1BI@LPHOHGHI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0100 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 14 00 00 91 35 00 00 91 53 00 00 91 73 00 00 B5 00 00 80 52 71 00 00 14 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? ED 13 40 F9 A8 09 40 B9 C8 00 00 35 62 02 00 91 A1 02 00 91 80 02 00 91 ?? ?? ?? ?? 60 00 00 14 94 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 07 80 52 ?? ?? ?? ?? 14 00 00 14 55 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 B0 12 32 00 00 14 8C 16 40 38 73 06 00 D1 88 1D 00 53 A8 C1 28 8B 09 65 40 39 29 02 10 36 33 01 00 B5 AB 02 40 39 0C 00 80 52 69 01 0D 8B 2A 65 40 39 4A 00 10 36 0B 00 80 52 6B 3D 00 53 19 00 00 14 88 02 40 39 68 00 00 35 08 00 80 52 03 00 00 14 08 21 0C 2A 94 06 00 91 0C 3D 00 53 AB 02 40 39 B5 06 00 91 68 1D 00 53 A8 C1 28 8B 09 65 40 39 89 01 10 36 73 00 00 B5 0B 00 80 52 09 00 00 14 AA 02 40 39 73 06 00 D1 6A 00 00 35 0A 00 80 52 03 00 00 14 4A 21 0B 2A B5 06 00 91 4B 3D 00 53 9F 01 0B 6B A1 00 00 54 4C 00 00 34 D3 FA FF B5 00 00 80 52 05 00 00 14 9F 01 0B 6B 29 00 80 52 08 00 80 12 20 81 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_654_0_0 {
	meta:
		name = "_fdexp"
		size = 1164
		refs = "0018 _fdtest 00b8 _FInf_C 00ec _fperrraise 00f4 _FNan_C 0198 _fdscale 024c hugexp 02d4 invln2 0328 c1 0344 c23 0358 _FEps_C 03a8 c 03b8 s"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 F9 E0 1B 00 BD E1 4F 00 B9 E0 13 40 F9 ?? ?? ?? ?? E0 57 00 79 E8 57 C0 79 E8 23 00 79 E0 63 00 91 ?? ?? ?? ?? E0 5B 00 79 E8 5B C0 79 E8 53 00 79 E9 23 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B CD 00 00 54 E9 53 C0 79 29 01 00 11 08 00 80 52 1F 01 09 6B 6C 0F 00 54 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 40 00 80 52 02 01 00 14 73 00 00 14 E8 53 C0 79 08 01 00 11 1F 09 00 71 E1 00 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD 40 00 80 52 F8 00 00 14 69 00 00 14 E8 53 C0 79 08 01 00 11 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 10 01 40 BD 00 22 31 1E E0 00 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD 00 00 80 52 E8 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 BD 40 00 80 52 DF 00 00 14 50 00 00 14 E8 53 C0 79 08 01 00 11 1F 05 00 71 E1 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E E8 13 40 F9 10 01 40 BD 00 22 31 1E E0 00 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD 20 00 80 52 CE 00 00 14 09 00 00 14 20 00 80 52 ?? ?? ?? ?? E9 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 30 01 00 BD 40 00 80 52 C5 00 00 14 36 00 00 14 E8 23 C0 79 08 01 00 11 1F 01 00 71 81 03 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD E1 4F 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 79 E8 5F C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 A0 00 00 54 E8 37 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 A6 00 00 14 17 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 10 01 40 BD 00 22 31 1E 41 01 00 54 E8 13 40 F9 11 01 40 BD F0 1B 40 BD 30 0A 30 1E E8 13 40 F9 10 01 00 BD 20 00 80 52 97 00 00 14 08 00 00 14 F1 12 00 1C F0 1B 40 BD 30 0A 30 1E E8 13 40 F9 10 01 00 BD 00 00 80 52 8F 00 00 14 8E 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E E8 13 40 F9 10 01 40 BD 00 22 31 1E 22 01 00 54 11 11 00 1C F0 1B 40 BD 30 0A 30 1E E8 13 40 F9 10 01 00 BD 00 00 80 52 80 00 00 14 7F 00 00 14 E8 13 40 F9 11 01 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 00 22 31 1E 82 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 BD 30 0A 30 1E E8 13 40 F9 10 01 00 BD 00 01 80 52 ?? ?? ?? ?? 20 00 80 52 6F 00 00 14 6E 00 00 14 E8 13 40 F9 11 01 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 17 00 BD F0 17 40 BD 08 22 20 1E 82 00 00 54 10 10 3C 1E F0 3B 00 BD 03 00 00 14 10 10 2C 1E F0 3B 00 BD F1 17 40 BD F0 3B 40 BD 30 2A 30 1E 08 02 38 1E E8 4B 00 B9 E8 4B 40 B9 10 01 22 1E F0 17 00 BD F1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 31 0A 30 1E E8 13 40 F9 10 01 40 BD 12 3A 31 1E F1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E 50 3A 30 1E F0 17 00 BD ?? ?? ?? ?? ?? ?? ?? ?? 11 42 21 1E F0 17 40 BD 20 22 30 1E 42 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E A2 00 00 54 E8 13 40 F9 F0 1B 40 BD 10 01 00 BD 23 00 00 14 F1 17 40 BD F0 17 40 BD 30 0A 30 1E F0 3F 00 BD F1 3F 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 43 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 3F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 17 40 BD 10 0A 31 1E F0 47 00 BD F1 43 40 BD F0 47 40 BD 31 2A 30 1E 10 10 2E 1E 12 2A 31 1E F1 43 40 BD F0 47 40 BD 31 3A 30 1E 10 10 2E 1E 10 2A 31 1E 51 1A 30 1E F0 1B 40 BD 30 0A 30 1E E8 13 40 F9 10 01 00 BD E9 4B 40 B9 E8 4F 40 B9 21 01 08 0B 21 00 00 11 E0 13 40 F9 ?? ?? ?? ?? E0 63 00 79 E8 63 C0 79 E8 23 00 79 E8 23 C0 79 08 01 00 11 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 A0 00 00 54 E8 53 40 B9 1F 05 00 71 A0 00 00 54 06 00 00 14 00 02 80 52 ?? ?? ?? ?? 03 00 00 14 00 01 80 52 ?? ?? ?? ?? E0 23 C0 79 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_654_1_0 {
	meta:
		name = "exp2f"
		size = 380
		refs = "0010 _fdtest 00c0 _fd_int 0140 ln2 015c _fdexp"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 80 02 00 54 E8 1F 40 B9 1F 05 00 71 E0 00 00 54 E8 1F 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 17 40 BD 45 00 00 14 E8 2F 40 79 08 01 00 11 88 00 78 36 90 08 00 1C F0 27 00 BD 03 00 00 14 F0 17 40 BD F0 27 00 BD E0 27 40 BD 3B 00 00 14 00 10 2E 1E 39 00 00 14 91 07 00 1C F0 17 40 BD 00 22 31 1E A9 00 00 54 F1 17 40 BD 10 07 00 1C 00 22 31 1E 88 00 00 54 08 00 80 52 E8 1B 00 B9 24 00 00 14 F0 17 40 BD F0 23 00 BD 01 00 80 52 E0 83 00 91 ?? ?? ?? ?? F0 23 40 BD 08 02 38 1E E8 1B 00 B9 F1 17 40 BD F0 23 40 BD 30 3A 30 1E F0 17 00 BD F1 17 40 BD 10 10 2C 1E 00 22 31 1E 22 01 00 54 F1 17 40 BD 10 10 2E 1E 30 3A 30 1E F0 17 00 BD E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 0C 00 00 14 11 10 3C 1E F0 17 40 BD 00 22 31 1E 02 01 00 54 F1 17 40 BD 10 10 2E 1E 30 2A 30 1E F0 17 00 BD E8 1B 40 B9 08 05 00 51 E8 1B 00 B9 F1 17 40 BD ?? ?? ?? ?? ?? ?? ?? ?? 30 0A 30 1E F0 17 00 BD E1 1B 40 B9 00 10 2E 1E E0 53 00 91 ?? ?? ?? ?? E0 17 40 BD FD 7B C3 A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 CF 00 00 00 4F }
	condition:
		$1
}

rule file_658_1_0 {
	meta:
		name = "??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
		size = 304
		refs = "0010 ?valid@__crt_stdio_stream@@QEBA_NXZ 0050 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00d0 _invalid_parameter 00e8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00f4 _lock_file 00fc ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z 011c _unlock_file"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 A0 13 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 1F 00 F9 A9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 13 00 00 14 08 00 80 52 A8 1F 00 B9 A0 83 00 91 ?? ?? ?? ?? A0 23 00 F9 A0 23 40 F9 ?? ?? ?? ?? A0 13 40 F9 ?? ?? ?? ?? A0 2F 00 B9 A8 2F 40 B9 A8 1F 00 B9 A0 83 00 91 ?? ?? ?? ?? A0 1B 00 F9 A0 1B 40 F9 ?? ?? ?? ?? A0 1F 40 B9 FD 7B C5 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_658_2_0 {
	meta:
		name = "?fin$0@?0???$common_ftell@J@@YAJV__crt_stdio_stream@@@Z@4HA"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
		altNames = "?fin$0@?0???$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 83 00 91 ?? ?? ?? ?? A0 1B 00 F9 A0 1B 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_3_0 {
	meta:
		name = "??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 304
		refs = "0010 ?valid@__crt_stdio_stream@@QEBA_NXZ 0050 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0074 _CrtDbgReportW 009c _errno 00c0 ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00d0 _invalid_parameter 00e8 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 00f4 _lock_file 00fc ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 011c _unlock_file"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 A0 13 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 13 00 00 14 08 00 80 D2 A8 1F 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 27 00 F9 A0 27 40 F9 ?? ?? ?? ?? A0 13 40 F9 ?? ?? ?? ?? A0 2B 00 F9 A8 2B 40 F9 A8 1F 00 F9 A0 83 00 91 ?? ?? ?? ?? A0 1B 00 F9 A0 1B 40 F9 ?? ?? ?? ?? A0 1F 40 F9 FD 7B C6 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_658_5_0 {
	meta:
		name = "??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
		size = 96
		refs = "0010 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 0030 _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 13 00 F9 E8 13 40 F9 E8 0B 00 F9 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 0D 01 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 04 00 00 14 E8 0B 40 F9 00 01 00 11 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_6_0 {
	meta:
		name = "??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 1056
		refs = "0010 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 004c ??_C@_1CO@LBNDLIPC@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?$CI?$AA?$CJ?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CI@MOKEPKDC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00cc _invalid_parameter 00e8 _fileno 00fc ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 0140 _lseeki64 0168 ?has_big_buffer@__crt_stdio_stream@@QEBA_NXZ 01c0 __pioinfo 0234 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z 02b4 ?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z 0344 ?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z 0368 ?has_all_of@__crt_stdio_stream@@QEBA_NJ@Z 03dc ?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 13 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 D1 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 E8 1B 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 0A 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 22 00 80 52 01 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 6A 00 00 54 00 00 80 92 AE 00 00 14 E0 83 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 E0 83 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 E8 1B 40 F9 00 01 09 CB 00 00 00 91 9C 00 00 14 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 E8 43 00 39 E0 83 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 43 40 F9 09 01 00 91 E8 47 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB E8 17 00 F9 61 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 C0 08 00 54 E8 43 C0 39 1F 05 00 71 81 03 00 54 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 08 01 40 39 08 05 01 53 08 01 00 11 1F 01 00 71 E0 00 00 54 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E0 4B 40 F9 56 00 00 14 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 02 38 36 E0 83 00 91 ?? ?? ?? ?? E0 4F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 4F 40 F9 09 01 00 91 E8 53 40 F9 08 21 00 91 E2 43 C0 39 21 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 57 00 F9 E9 17 40 F9 E8 57 40 F9 28 01 08 8B E8 17 00 F9 10 00 00 14 81 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 4F 00 39 E8 4F 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 20 00 00 14 E8 1B 40 F9 1F 01 00 F1 61 00 00 54 E0 17 40 F9 1B 00 00 14 21 00 80 52 E0 83 00 91 ?? ?? ?? ?? E0 53 00 39 E8 53 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E2 17 40 F9 E1 1B 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 0C 00 00 14 E8 43 C0 39 1F 05 00 71 A1 00 00 54 E9 17 40 F9 48 00 80 D2 28 09 C8 9A E8 17 00 F9 E9 1B 40 F9 E8 17 40 F9 20 01 08 8B 00 00 00 91 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_7_0 {
	meta:
		name = "??$count_newlines_of_type@D@@YA_JQEBD0@Z"
		size = 228
		refs = "0034 ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0058 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E9 1B 40 F9 E8 17 40 F9 2A 01 08 CB 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 F9 E8 1F 00 F9 E8 1B 40 F9 E8 23 00 F9 08 00 80 D2 E8 13 00 F9 E8 1F 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E9 23 40 F9 E8 0F 40 F9 1F 01 09 EB 40 01 00 54 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 29 00 71 81 00 00 54 E8 13 40 F9 08 05 00 91 E8 13 00 F9 F1 FF FF 17 E0 13 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_8_0 {
	meta:
		name = "??$count_newlines_of_type@_W@@YA_JQEBD0@Z"
		size = 228
		refs = "0034 ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0058 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E9 1B 40 F9 E8 17 40 F9 2A 01 08 CB 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E9 13 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 F9 E8 1F 00 F9 E8 1B 40 F9 E8 23 00 F9 08 00 80 D2 E8 13 00 F9 E8 1F 40 F9 E8 0F 00 F9 04 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E9 23 40 F9 E8 0F 40 F9 1F 01 09 EB 40 01 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 29 00 71 81 00 00 54 E8 13 40 F9 08 05 00 91 E8 13 00 F9 F1 FF FF 17 E0 13 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_12_0 {
	meta:
		name = "?buffer_character_size@@YA_KW4__crt_lowio_text_mode@@@Z"
		size = 72
		refs = "0010 ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 43 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 48 00 80 D2 E8 0F 00 F9 03 00 00 14 28 00 80 D2 E8 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_13_0 {
	meta:
		name = "?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 03 00 39 E8 03 C0 39 1F 05 00 71 E0 00 00 54 E8 03 C0 39 1F 09 00 71 80 00 00 54 08 00 80 52 E8 07 00 B9 03 00 00 14 28 00 80 52 E8 07 00 B9 E8 07 40 B9 00 1D 00 53 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_14_0 {
	meta:
		name = "?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
		size = 932
		refs = "0018 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0024 _fileno 0048 __pioinfo 00a8 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 01b8 _lseeki64 0210 ?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z 022c ?ctrl_z@__crt_stdio_stream@@QEBA_NXZ 0248 ?buffer_character_size@@YA_KW4__crt_lowio_text_mode@@@Z 029c ?has_crt_buffer@__crt_stdio_stream@@QEBA_NXZ 02b8 ?has_setvbuf_buffer@__crt_stdio_stream@@QEBA_NXZ"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 F9 E2 2B 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 E8 17 00 B9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E5 00 91 08 01 C0 39 E8 43 00 39 E8 43 C0 39 1F 05 00 71 81 00 00 54 48 00 80 D2 E8 27 00 F9 03 00 00 14 28 00 80 D2 E8 27 00 F9 E8 27 40 F9 E8 1F 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 E0 1B 40 F9 B5 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 37 40 F9 08 41 00 91 08 01 40 B9 0A 7D 40 93 E8 3B 40 F9 09 01 00 91 E8 3F 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 28 01 08 CB 48 01 08 8B E8 13 00 F9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 02 38 37 E9 13 40 F9 E8 1F 40 F9 48 00 00 B5 80 00 3E D4 29 0D C8 9A E8 1B 40 F9 0A 01 09 CB E9 2B 40 F9 E8 1F 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A 40 01 08 8B 00 00 00 91 7D 00 00 14 42 00 80 52 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 43 00 F9 E9 1B 40 F9 E8 43 40 F9 1F 01 09 EB C1 04 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 47 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 47 40 F9 08 21 00 91 09 01 40 F9 E8 13 40 F9 21 01 08 8B E8 4B 40 F9 08 21 00 91 E2 43 C0 39 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E9 13 40 F9 E8 4F 40 F9 28 01 08 8B E8 13 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 63 00 39 E8 63 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 E0 43 C0 39 ?? ?? ?? ?? E0 53 00 F9 E9 13 40 F9 E8 53 40 F9 28 01 08 8B E8 13 00 F9 41 00 00 14 02 00 80 52 E1 1B 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 92 45 00 00 14 E8 13 40 F9 1F 01 08 F1 4C 02 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 67 00 39 E8 67 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 6B 00 39 E8 6B 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 08 40 80 D2 E8 13 00 F9 09 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 08 81 00 91 08 01 40 B9 08 7D 40 93 E8 13 00 F9 E8 17 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 17 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 08 01 10 36 E0 43 C0 39 ?? ?? ?? ?? E0 5F 00 F9 E9 13 40 F9 E8 5F 40 F9 28 01 08 8B E8 13 00 F9 E9 13 40 F9 E8 1F 40 F9 48 00 00 B5 80 00 3E D4 29 0D C8 9A E8 1B 40 F9 0A 01 09 CB E9 2B 40 F9 E8 1F 40 F9 48 00 00 B5 80 00 3E D4 28 0D C8 9A 40 01 08 8B 00 00 00 91 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_15_0 {
	meta:
		name = "?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z"
		size = 824
		refs = "0008 __security_push_cookie 0010 __chkstk 0024 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0030 _fileno 0044 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00bc __pioinfo 00f4 _lseeki64 01b0 __imp_ReadFile 02e8 _lookuptrailbytes 032c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? 0F 21 80 D2 ?? ?? ?? ?? FF 73 2F CB E0 0F 00 F9 E1 1B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E0 2F 40 F9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 03 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 E0 1B 40 F9 B0 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 37 40 F9 09 01 00 91 E8 3B 40 F9 08 21 00 91 29 01 40 F9 08 01 40 F9 29 01 08 CB 48 00 80 D2 28 0D C8 9A E8 1F 00 F9 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 C1 00 91 02 00 80 52 01 01 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 2B 00 F9 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 C1 00 91 09 01 40 F9 E8 2B 40 F9 1F 01 09 EB 60 00 00 54 00 00 80 92 73 00 00 14 E8 03 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 A1 00 91 04 00 80 D2 E3 43 00 91 02 00 82 52 E1 23 02 91 00 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 27 00 B9 E8 27 40 B9 1F 01 00 71 61 00 00 54 00 00 80 92 55 00 00 14 02 00 80 52 E1 1B 40 F9 E0 03 40 B9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 1F 01 00 F1 6A 00 00 54 00 00 80 92 4B 00 00 14 E8 13 40 B9 09 7D 40 D3 E8 1F 40 F9 1F 01 09 EB 6D 00 00 54 00 00 80 92 44 00 00 14 E8 23 02 91 E8 27 00 F9 E8 13 40 B9 09 7D 40 D3 E8 23 02 91 08 01 09 8B E8 23 00 F9 E8 27 40 F9 E8 07 00 F9 08 00 80 D2 E8 17 00 F9 07 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E9 1F 40 F9 E8 17 40 F9 1F 01 09 EB 00 05 00 54 E9 23 40 F9 E8 07 40 F9 1F 01 09 EB 82 04 00 54 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 35 00 71 01 02 00 54 E8 23 40 F9 09 05 00 D1 E8 07 40 F9 1F 01 09 EB 42 01 00 54 E8 07 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 29 00 71 81 00 00 54 E8 07 40 F9 08 05 00 91 E8 07 00 F9 0F 00 00 14 E8 07 40 F9 08 01 C0 39 08 1D 00 53 09 01 00 11 28 00 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 C0 39 09 7D 40 93 E8 07 40 F9 08 01 09 8B E8 07 00 F9 D0 FF FF 17 E9 07 40 F9 E8 27 40 F9 29 01 08 CB E8 2B 40 F9 00 01 09 8B 00 00 00 91 0F 21 80 D2 FF 73 2F 8B ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_16_0 {
	meta:
		name = "?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z"
		size = 116
		refs = "0018 ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z 0038 ??$count_newlines_of_type@_W@@YA_JQEBD0@Z 0060 ??$count_newlines_of_type@D@@YA_JQEBD0@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 43 00 39 E0 43 C0 39 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 60 01 00 54 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 48 00 80 D2 20 7D 08 9B 00 00 00 91 07 00 00 14 06 00 00 14 E1 0F 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_17_0 {
	meta:
		name = "?ctrl_z@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 04 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_23_0 {
	meta:
		name = "?has_setvbuf_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 40
		refs = "0014 ?has_any_of@__crt_stdio_stream@@QEBA_NJ@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 01 20 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 43 00 39 E0 43 40 39 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_27_0 {
	meta:
		name = "_ftelli64"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_658_28_0 {
	meta:
		name = "_ftelli64_nolock"
		size = 56
		refs = "0014 ??0__crt_stdio_stream@@QEAA@QEAU_iobuf@@@Z 0024 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E1 0B 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 0F 00 F9 E8 0F 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_1_0 {
	meta:
		name = "??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
		size = 252
		refs = "000c ?state_cache@?1???$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z@4JA 0014 ??$__crt_interlocked_read@J@@YAJPEDJ@Z 0044 ?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPEAW4AppPolicyThreadInitializationType@@@Z 004c ?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z 00b0 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 00d4 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 27 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 E0 17 40 B9 30 00 00 14 E8 27 40 B9 E8 1B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 13 00 B9 EB 13 40 B9 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 4B FD 08 88 1F 01 00 71 81 FF FF 54 BF 3B 03 D5 E9 2F 00 B9 E8 2F 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A0 02 00 54 E9 13 40 B9 E8 1F 40 B9 1F 01 09 6B 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_2_0 {
	meta:
		name = "??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 252
		refs = "000c ?state_cache@?1???$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z@4JA 0014 ??$__crt_interlocked_read@J@@YAJPEDJ@Z 0044 ?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPEAW4AppPolicyShowDeveloperDiagnostic@@@Z 004c ?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z 00b0 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 00d4 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 27 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 E0 17 40 B9 30 00 00 14 E8 27 40 B9 E8 1B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 13 00 B9 EB 13 40 B9 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 4B FD 08 88 1F 01 00 71 81 FF FF 54 BF 3B 03 D5 E9 2F 00 B9 E8 2F 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A0 02 00 54 E9 13 40 B9 E8 1F 40 B9 1F 01 09 6B 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_3_0 {
	meta:
		name = "??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
		size = 252
		refs = "000c ?state_cache@?1???$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z@4JA 0014 ??$__crt_interlocked_read@J@@YAJPEDJ@Z 0044 ?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPEAW4AppPolicyWindowingModel@@@Z 004c ?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z 00b0 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c8 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 00d4 _CrtDbgReportW"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 27 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 E0 17 40 B9 30 00 00 14 E8 27 40 B9 E8 1B 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 13 00 B9 EB 13 40 B9 6B 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? 4A 01 00 91 49 FD 5F 88 29 01 00 11 4B FD 08 88 1F 01 00 71 81 FF FF 54 BF 3B 03 D5 E9 2F 00 B9 E8 2F 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 A0 02 00 54 E9 13 40 B9 E8 1F 40 B9 1F 01 09 6B 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 13 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_4_0 {
	meta:
		name = "??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 52
		refs = "0018 ?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPEAW4AppPolicyProcessTerminationMethod@@@Z 0020 ?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 E8 13 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E0 1B 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_10_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z"
		size = 44
		altNames = "?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 1F 05 00 71 81 00 00 54 40 00 80 52 03 00 00 14 02 00 00 14 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_12_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 44
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 1F 05 00 71 81 00 00 54 00 00 80 52 03 00 00 14 02 00 00 14 20 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_13_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z"
		size = 92
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E8 07 40 B9 E8 03 00 B9 E8 03 40 B9 1F 05 00 71 40 01 00 54 E8 03 40 B9 1F 09 00 71 A0 00 00 54 E8 03 40 B9 1F 0D 00 71 C0 00 00 54 07 00 00 14 20 00 80 52 06 00 00 14 40 00 80 52 04 00 00 14 60 00 80 52 02 00 00 14 80 00 80 52 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_14_0 {
	meta:
		name = "__acrt_get_begin_thread_init_policy"
		size = 32
		refs = "000c ??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_15_0 {
	meta:
		name = "__acrt_get_developer_information_policy"
		size = 32
		refs = "000c ??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_16_0 {
	meta:
		name = "__acrt_get_process_end_policy"
		size = 32
		refs = "000c ??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 00 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_660_17_0 {
	meta:
		name = "__acrt_get_windowing_model_policy"
		size = 32
		refs = "000c ??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 40 00 80 52 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_661_9_0 {
	meta:
		name = "_eof"
		size = 628
		refs = "001c __doserrno 0030 _errno 0058 _nhandle 0094 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1FK@GBJFJAJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 _CrtDbgReportW 0118 ??_C@_19CLIOPBMD@?$AA_?$AAe?$AAo?$AAf?$AA?$AA@ 0128 _invalid_parameter 0148 __pioinfo 01a8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0250 ??0<lambda_229078f0af716d62735c5543f864b534>@@QEAA@AEBH@Z 0260 ??$__acrt_lowio_lock_fh_and_call@V<lambda_229078f0af716d62735c5543f864b534>@@@@YAHH$$QEAV<lambda_229078f0af716d62735c5543f864b534>@@@Z"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 89 00 00 14 E8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 63 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 4F 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 23 00 B9 E8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 83 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 0A 00 00 14 E1 43 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_2_0 {
	meta:
		name = "??$common_open@D@@YAHQEBDHH@Z"
		size = 544
		refs = "0048 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00c8 _invalid_parameter 0128 ??$tsopen_nolock@PEAHPEAHAEBQEBDAEBHHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAH0AEBQEBDAEBH$$QEAH23@Z 0164 __pioinfo 01e8 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 23 00 F9 A1 37 00 B9 A2 2F 00 B9 A8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 52 00 00 14 08 00 80 12 A8 13 00 B9 08 00 80 52 A8 1B 00 B9 08 00 80 52 A8 17 00 B9 08 00 80 52 A8 2B 00 B9 08 08 80 52 A8 33 00 B9 A8 43 00 91 A8 2B 00 F9 A8 63 00 91 A8 2F 00 F9 A6 A3 00 91 A5 B3 00 91 A4 C3 00 91 A3 D3 00 91 A2 03 01 91 A1 43 01 91 A0 63 01 91 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 A8 17 00 B9 A8 1B 40 B9 1F 01 00 71 60 05 00 54 A8 17 40 B9 1F 01 00 71 C0 04 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 13 40 B9 ?? ?? ?? ?? A8 17 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 A8 17 40 B9 28 01 00 B9 00 00 80 12 02 00 00 14 A0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_4_0 {
	meta:
		name = "??$common_open@_W@@YAHQEB_WHH@Z"
		size = 544
		refs = "0048 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006c _CrtDbgReportW 0094 _errno 00b8 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00c8 _invalid_parameter 0128 ??$tsopen_nolock@PEAHPEAHAEBQEB_WAEBHHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAH0AEBQEB_WAEBH$$QEAH23@Z 0164 __pioinfo 01e8 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B9 A9 FD 03 00 91 A0 23 00 F9 A1 37 00 B9 A2 2F 00 B9 A8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 52 00 00 14 08 00 80 12 A8 13 00 B9 08 00 80 52 A8 1B 00 B9 08 00 80 52 A8 17 00 B9 08 00 80 52 A8 2B 00 B9 08 08 80 52 A8 33 00 B9 A8 43 00 91 A8 2B 00 F9 A8 63 00 91 A8 2F 00 F9 A6 A3 00 91 A5 B3 00 91 A4 C3 00 91 A3 D3 00 91 A2 03 01 91 A1 43 01 91 A0 63 01 91 ?? ?? ?? ?? A0 3B 00 B9 A8 3B 40 B9 A8 17 00 B9 A8 1B 40 B9 1F 01 00 71 60 05 00 54 A8 17 40 B9 1F 01 00 71 C0 04 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 13 40 B9 ?? ?? ?? ?? A8 17 40 B9 1F 01 00 71 00 01 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 A8 17 40 B9 28 01 00 B9 00 00 80 12 02 00 00 14 A0 13 40 B9 FD 7B C7 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_3_0 {
	meta:
		name = "?fin$0@?0???$common_open@D@@YAHQEBDHH@Z@4HA"
		size = 200
		refs = "0034 __pioinfo 00b8 __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_open@_W@@YAHQEB_WHH@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 1B 40 B9 1F 01 00 71 60 05 00 54 A8 17 40 B9 1F 01 00 71 C0 04 00 54 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A0 13 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_6_0 {
	meta:
		name = "??$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z"
		size = 944
		refs = "0054 ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 00d4 _invalid_parameter 0120 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01f0 ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 02b0 ??$tsopen_nolock@PEAHAEBQEAHAEBQEBDAEBHAEBHAEBHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEAHAEBQEBDAEBH333@Z 02f0 __pioinfo 0384 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 2F 00 F9 A1 53 00 B9 A2 4F 00 B9 A3 3F 00 B9 A4 0B 00 F9 A5 3B 00 B9 A8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B2 00 00 14 A9 0B 40 F9 08 00 80 12 28 01 00 B9 A8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 47 00 B9 A9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 7F 00 00 14 A8 3B 40 B9 1F 01 00 71 40 06 00 54 A8 3F 40 B9 08 75 17 12 1F 01 00 71 81 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 4B 00 00 14 08 00 80 52 A8 1F 00 B9 08 00 80 52 A8 1B 00 B9 A8 73 00 91 A8 3F 00 F9 A6 E3 00 91 A5 F3 00 91 A4 33 01 91 A3 43 01 91 A2 63 01 91 A1 43 00 91 A0 E3 01 91 ?? ?? ?? ?? A0 57 00 B9 A8 57 40 B9 A8 1B 00 B9 A8 1F 40 B9 1F 01 00 71 00 06 00 54 A8 1B 40 B9 1F 01 00 71 40 05 00 54 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A8 0B 40 F9 00 01 40 B9 ?? ?? ?? ?? A8 1B 40 B9 1F 01 00 71 80 00 00 54 A9 0B 40 F9 08 00 80 12 28 01 00 B9 A0 1B 40 B9 FD 7B C8 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_662_8_0 {
	meta:
		name = "??$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z"
		size = 944
		refs = "0054 ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 00d4 _invalid_parameter 0120 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01f0 ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 02b0 ??$tsopen_nolock@PEAHAEBQEAHAEBQEB_WAEBHAEBHAEBHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEAHAEBQEB_WAEBH333@Z 02f0 __pioinfo 0384 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 2F 00 F9 A1 53 00 B9 A2 4F 00 B9 A3 3F 00 B9 A4 0B 00 F9 A5 3B 00 B9 A8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 23 00 B9 03 00 00 14 08 00 80 52 A8 23 00 B9 A8 23 40 B9 A8 27 00 B9 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 43 00 B9 A9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 B2 00 00 14 A9 0B 40 F9 08 00 80 12 28 01 00 B9 A8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 A8 2B 00 B9 03 00 00 14 08 00 80 52 A8 2B 00 B9 A8 2B 40 B9 A8 2F 00 B9 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 47 00 B9 A9 47 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 7F 00 00 14 A8 3B 40 B9 1F 01 00 71 40 06 00 54 A8 3F 40 B9 08 75 17 12 1F 01 00 71 81 00 00 54 28 00 80 52 A8 33 00 B9 03 00 00 14 08 00 80 52 A8 33 00 B9 A8 33 40 B9 A8 37 00 B9 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 4B 00 B9 A9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 4B 00 00 14 08 00 80 52 A8 1F 00 B9 08 00 80 52 A8 1B 00 B9 A8 73 00 91 A8 3F 00 F9 A6 E3 00 91 A5 F3 00 91 A4 33 01 91 A3 43 01 91 A2 63 01 91 A1 43 00 91 A0 E3 01 91 ?? ?? ?? ?? A0 57 00 B9 A8 57 40 B9 A8 1B 00 B9 A8 1F 40 B9 1F 01 00 71 00 06 00 54 A8 1B 40 B9 1F 01 00 71 40 05 00 54 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A8 0B 40 F9 00 01 40 B9 ?? ?? ?? ?? A8 1B 40 B9 1F 01 00 71 80 00 00 54 A9 0B 40 F9 08 00 80 12 28 01 00 B9 A0 1B 40 B9 FD 7B C8 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_662_7_0 {
	meta:
		name = "?fin$0@?0???$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z@4HA"
		size = 220
		refs = "0038 __pioinfo 00cc __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z@4HA"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A8 1F 40 B9 1F 01 00 71 00 06 00 54 A8 1B 40 B9 1F 01 00 71 40 05 00 54 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 A8 0B 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 0B 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 A8 0B 40 F9 00 01 40 B9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_10_0 {
	meta:
		name = "??$tsopen_nolock@PEAHAEBQEAHAEBQEBDAEBHAEBHAEBHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEAHAEBQEBDAEBH333@Z"
		size = 112
		refs = "005c _sopen_nolock"
		altNames = "??$tsopen_nolock@PEAHPEAHAEBQEBDAEBHHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAH0AEBQEBDAEBH$$QEAH23@Z"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E8 0F 40 F9 06 01 40 B9 E8 13 40 F9 05 01 40 B9 E8 17 40 F9 04 01 40 B9 E8 1B 40 F9 03 01 40 B9 E8 1F 40 F9 02 01 40 F9 E8 23 40 F9 01 01 40 F9 E8 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_11_0 {
	meta:
		name = "??$tsopen_nolock@PEAHAEBQEAHAEBQEB_WAEBHAEBHAEBHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEAHAEBQEB_WAEBH333@Z"
		size = 112
		refs = "005c _wsopen_nolock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E8 0F 40 F9 06 01 40 B9 E8 13 40 F9 05 01 40 B9 E8 17 40 F9 04 01 40 B9 E8 1B 40 F9 03 01 40 B9 E8 1F 40 F9 02 01 40 F9 E8 23 40 F9 01 01 40 F9 E8 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_13_0 {
	meta:
		name = "??$tsopen_nolock@PEAHPEAHAEBQEB_WAEBHHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAH0AEBQEB_WAEBH$$QEAH23@Z"
		size = 112
		refs = "005c _wsopen_nolock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 1B 00 F9 E4 17 00 F9 E5 13 00 F9 E6 0F 00 F9 E8 0F 40 F9 06 01 40 B9 E8 13 40 F9 05 01 40 B9 E8 17 40 F9 04 01 40 B9 E8 1B 40 F9 03 01 40 B9 E8 1F 40 F9 02 01 40 F9 E8 23 40 F9 01 01 40 F9 E8 27 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_16_0 {
	meta:
		name = "?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAEAW4__crt_lowio_text_mode@@@Z"
		size = 1772
		refs = "0038 __pioinfo 00a0 _get_fmode 00b0 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b8 ??_C@_1CI@FIBMFMKJ@?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00c0 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 00cc _invoke_watson_if_error 0120 ??_C@_1DM@GAGCJPHI@?$AA?$CI?$AAo?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA_?$AAm?$AAa?$AAs?$AAk?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 _CrtDbgReportW 0330 _lseeki64_nolock 0364 _errno 03e0 _read_nolock 0414 ??_C@_1CM@IDLMKMPG@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAI?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?$AA@ 04e0 ??_C@_1IA@IENOJNJF@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAO?$AAn?$AAl?$AAy?$AA?5?$AAU?$AAT?$AAF?$AA?9?$AA1?$AA6?$AA?5?$AAl?$AAi?$AAt?$AAt?$AAl?$AAe?$AA?5?$AAe?$AAn?$AAd?$AAi?$AAa?$AAn?$AA?5@ 0688 _write"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 1B 00 B9 E1 33 00 F9 E2 13 00 B9 E3 1B 00 F9 E9 1B 40 F9 08 00 80 52 28 01 00 39 E8 1B 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 1B 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 38 37 00 00 80 52 97 01 00 14 08 33 00 18 E8 83 00 B9 E9 13 40 B9 A8 32 00 18 28 01 08 0A 1F 01 00 71 E1 03 00 54 08 00 80 52 E8 3B 00 B9 E0 E3 00 91 ?? ?? ?? ?? E0 7B 00 B9 05 00 80 D2 84 39 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B9 ?? ?? ?? ?? E9 3B 40 B9 28 30 00 18 28 01 08 0A 1F 01 00 71 A1 00 00 54 E8 13 40 B9 08 01 12 32 E8 13 00 B9 07 00 00 14 E9 3B 40 B9 08 2F 00 18 29 01 08 0A E8 13 40 B9 08 01 09 2A E8 13 00 B9 E9 13 40 B9 48 2E 00 18 28 01 08 0A 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 3A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7F 00 B9 E9 7F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E9 13 40 B9 A8 2B 00 18 28 01 08 0A E8 17 00 B9 49 00 A0 52 E8 17 40 B9 1F 01 09 6B 48 02 00 54 49 00 A0 52 E8 17 40 B9 1F 01 09 6B 00 05 00 54 09 00 88 52 E8 17 40 B9 1F 01 09 6B E0 02 00 54 29 00 A0 52 E8 17 40 B9 1F 01 09 6B E0 02 00 54 69 29 00 18 E8 17 40 B9 1F 01 09 6B 60 02 00 54 22 00 00 14 E9 28 00 18 E8 17 40 B9 1F 01 09 6B E0 02 00 54 89 00 A0 52 E8 17 40 B9 1F 01 09 6B E0 02 00 54 09 28 00 18 E8 17 40 B9 1F 01 09 6B 60 02 00 54 15 00 00 14 E9 1B 40 F9 08 00 80 52 28 01 00 39 11 00 00 14 E9 13 40 B9 28 60 80 52 28 01 08 0A 1F 05 0C 71 81 00 00 54 E9 1B 40 F9 48 00 80 52 28 01 00 39 08 00 00 14 E9 1B 40 F9 48 00 80 52 28 01 00 39 04 00 00 14 E9 1B 40 F9 28 00 80 52 28 01 00 39 E8 13 40 B9 08 09 10 12 1F 01 00 71 61 00 00 54 00 00 80 52 1D 01 00 14 E8 33 40 F9 08 01 00 91 08 01 C0 39 08 01 00 11 68 00 30 36 00 00 80 52 16 01 00 14 08 00 80 52 E8 43 00 B9 08 00 80 52 E8 1F 00 B9 E8 33 40 F9 08 11 00 91 08 01 40 B9 08 05 02 12 E8 3F 00 B9 09 00 A8 52 E8 3F 40 B9 1F 01 09 6B A0 01 00 54 09 00 B0 52 E8 3F 40 B9 1F 01 09 6B C0 00 00 54 09 00 B8 52 E8 3F 40 B9 1F 01 09 6B A0 00 00 54 3C 00 00 14 28 00 80 52 E8 43 00 B9 39 00 00 14 E8 33 40 F9 08 21 00 91 08 01 40 B9 E8 27 00 B9 E8 27 40 B9 08 05 00 51 E8 27 00 B9 E8 27 40 B9 1F 11 00 71 E8 05 00 54 EA 27 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 27 27 02 02 27 27 27 27 42 00 80 52 01 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 1F 01 00 F1 40 03 00 54 02 00 80 52 01 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 00 01 40 B9 D7 00 00 14 E8 33 40 F9 08 11 00 91 08 01 40 B9 88 00 F8 36 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 43 00 B9 04 00 00 14 28 00 80 52 E8 1F 00 B9 04 00 00 14 03 00 00 14 28 00 80 52 E8 1F 00 B9 E8 43 40 B9 1F 01 00 71 60 10 00 54 08 00 80 52 E8 2B 00 B9 62 00 80 52 E1 A3 00 91 E0 1B 40 B9 ?? ?? ?? ?? E0 6B 00 B9 E8 6B 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 2D 03 00 54 E8 1F 40 B9 1F 05 00 71 C1 02 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 80 52 E8 1F 00 B9 E8 53 40 B9 E8 47 00 B9 E8 47 40 B9 1F 05 00 31 00 01 00 54 E8 47 40 B9 1F 09 00 71 40 02 00 54 E8 47 40 B9 1F 0D 00 71 E0 00 00 54 46 00 00 14 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 00 01 40 B9 8D 00 00 14 49 12 00 18 E8 2B 40 B9 1F 01 09 6B A1 00 00 54 E9 1B 40 F9 28 00 80 52 28 01 00 39 46 00 00 14 E8 2B 40 B9 09 3D 00 12 C8 FF 9F 52 3F 01 08 6B C1 03 00 54 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 49 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 00 01 40 B9 63 00 00 14 E8 2B 40 B9 09 3D 00 12 E8 DF 9F 52 3F 01 08 6B 41 02 00 54 02 00 80 52 41 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 00 01 40 B9 51 00 00 14 E9 1B 40 F9 48 00 80 52 28 01 00 39 0E 00 00 14 02 00 80 52 01 00 80 D2 E0 1B 40 B9 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 00 01 40 B9 40 00 00 14 E8 1F 40 B9 1F 01 00 71 80 07 00 54 08 00 80 52 E8 2F 00 B9 08 00 80 52 E8 4B 00 B9 E8 1B 40 F9 08 01 C0 39 08 01 00 11 E8 57 00 B9 E8 57 40 B9 1F 05 00 71 40 01 00 54 E8 57 40 B9 1F 09 00 71 40 00 00 54 0A 00 00 14 E8 DF 9F 52 E8 4B 00 B9 48 00 80 52 E8 2F 00 B9 05 00 00 14 C8 05 00 18 E8 4B 00 B9 68 00 80 52 E8 2F 00 B9 08 00 80 52 E8 23 00 B9 E9 23 40 B9 E8 2F 40 B9 1F 01 09 6B CD 03 00 54 E8 23 01 91 E8 6F 00 F9 E9 2F 40 B9 E8 23 40 B9 22 01 08 4B E8 23 40 B9 09 7D 40 93 E8 6F 40 F9 01 01 09 8B 42 00 00 11 21 00 00 91 E0 1B 40 B9 ?? ?? ?? ?? E0 77 00 B9 E8 77 40 B9 E8 5B 00 B9 E8 5B 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 00 01 40 B9 07 00 00 14 E9 23 40 B9 E8 5B 40 B9 28 01 08 0B E8 23 00 B9 E0 FF FF 17 00 00 80 52 FD 7B CF A8 C0 03 5F D6 00 40 07 00 00 40 01 00 00 40 02 00 00 40 04 00 EF BB BF 00 }
	condition:
		$1
}

rule file_662_17_0 {
	meta:
		name = "?create_file@@YAPEAXQEB_WQEAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z"
		size = 128
		refs = "0064 __imp_CreateFileW"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E2 0B 00 F9 E8 0B 40 F9 09 51 00 91 E8 0B 40 F9 08 41 00 91 29 01 40 B9 08 01 40 B9 25 01 08 2A E8 0B 40 F9 0A 21 00 91 E8 0B 40 F9 09 31 00 91 E8 0B 40 F9 08 11 00 91 06 00 80 D2 A5 00 00 11 44 01 40 B9 E3 0F 40 F9 22 01 40 B9 01 01 40 B9 E0 13 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 F9 E0 17 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_18_0 {
	meta:
		name = "?decode_access_flags@@YAKH@Z"
		size = 324
		refs = "00ac ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d0 _CrtDbgReportW 00f8 _errno 011c ??_C@_1CI@CBNKIJOA@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 012c _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E8 17 40 B9 08 05 00 12 E8 13 00 B9 E8 13 40 B9 1F 01 00 71 00 01 00 54 E8 13 40 B9 1F 05 00 71 E0 00 00 54 E8 13 40 B9 1F 09 00 71 C0 01 00 54 0F 00 00 14 00 00 B0 52 3E 00 00 14 E8 17 40 B9 E8 00 18 36 E8 17 40 B9 08 09 10 12 1F 01 00 71 60 00 00 54 00 00 B8 52 36 00 00 14 00 00 A8 52 34 00 00 14 00 00 B8 52 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_19_0 {
	meta:
		name = "?decode_open_create_flags@@YAKH@Z"
		size = 400
		refs = "00f8 ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 011c _CrtDbgReportW 0144 _errno 0168 ??_C@_1DC@MNGJFJEL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAo?$AAp?$AAe?$AAn?$AA_?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 0178 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1F 00 B9 E8 1F 40 B9 08 09 18 12 E8 13 00 B9 E8 13 40 B9 1F 01 10 71 AC 02 00 54 E8 13 40 B9 1F 01 10 71 80 03 00 54 E8 13 40 B9 1F 01 08 71 6C 01 00 54 E8 13 40 B9 1F 01 08 71 80 03 00 54 E8 13 40 B9 1F 01 00 71 60 02 00 54 E8 13 40 B9 1F 01 04 71 40 02 00 54 19 00 00 14 E8 13 40 B9 1F 01 0C 71 80 02 00 54 15 00 00 14 E8 13 40 B9 1F 01 14 71 80 01 00 54 E8 13 40 B9 1F 01 18 71 60 01 00 54 E8 13 40 B9 1F 01 1C 71 C0 00 00 54 0B 00 00 14 60 00 80 52 3A 00 00 14 80 00 80 52 38 00 00 14 20 00 80 52 36 00 00 14 A0 00 80 52 34 00 00 14 40 00 80 52 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 23 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_20_0 {
	meta:
		name = "?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z"
		size = 412
		refs = "0008 __security_push_cookie 002c ?decode_access_flags@@YAKH@Z 0040 ?decode_open_create_flags@@YAKH@Z 0058 ?decode_sharing_flags@@YAKHH@Z 0098 ?is_text_mode@@YA_NH@Z 00cc _umaskval 0190 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 01 D1 E8 13 00 F9 E0 03 00 B9 E1 13 00 B9 E2 1B 00 B9 08 00 80 52 E8 A3 00 39 E0 03 40 B9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 2F 00 B9 E0 03 40 B9 ?? ?? ?? ?? E0 0F 00 B9 E8 0F 40 B9 E8 33 00 B9 E1 2F 40 B9 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 E8 37 00 B9 08 10 80 52 E8 3B 00 B9 08 00 80 52 E8 3F 00 B9 E8 03 40 B9 C8 00 38 36 E8 A3 C0 39 08 01 00 11 08 01 1C 32 08 1D 00 13 E8 A3 00 39 E0 03 40 B9 ?? ?? ?? ?? E0 13 00 39 E8 13 40 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E8 A3 C0 39 08 01 00 11 08 01 19 32 08 1D 00 13 E8 A3 00 39 E8 03 40 B9 28 01 40 36 ?? ?? ?? ?? ?? ?? ?? ?? E9 03 28 2A E8 1B 40 B9 08 01 09 0A 68 00 38 37 28 00 80 52 E8 3B 00 B9 E8 03 40 B9 48 01 30 36 E8 3F 40 B9 08 01 06 32 E8 3F 00 B9 E8 2F 40 B9 08 01 10 32 E8 2F 00 B9 E8 37 40 B9 08 01 1E 32 E8 37 00 B9 E8 03 40 B9 88 00 60 36 E8 3B 40 B9 08 01 18 32 E8 3B 00 B9 E8 03 40 B9 88 00 68 36 E8 3F 40 B9 08 01 07 32 E8 3F 00 B9 E8 03 40 B9 A8 00 28 36 E8 3F 40 B9 08 01 05 32 E8 3F 00 B9 06 00 00 14 E8 03 40 B9 88 00 20 36 E8 3F 40 B9 08 01 04 32 E8 3F 00 B9 EB 13 40 F9 6B 01 00 91 EA A3 00 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 FF 03 01 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_21_0 {
	meta:
		name = "?decode_sharing_flags@@YAKHH@Z"
		size = 376
		refs = "00e0 ??_C@_1DI@OAOBKLOM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0104 _CrtDbgReportW 012c _errno 0150 ??_C@_1CK@LFHOGGAL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 0160 _invalid_parameter"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1F 00 B9 E1 23 00 B9 E8 1F 40 B9 E8 13 00 B9 E8 13 40 B9 1F C1 00 71 6C 01 00 54 E8 13 40 B9 1F C1 00 71 60 02 00 54 E8 13 40 B9 1F 41 00 71 80 01 00 54 E8 13 40 B9 1F 81 00 71 60 01 00 54 19 00 00 14 E8 13 40 B9 1F 01 01 71 60 01 00 54 E8 13 40 B9 1F 01 02 71 40 01 00 54 12 00 00 14 00 00 80 52 41 00 00 14 20 00 80 52 3F 00 00 14 40 00 80 52 3D 00 00 14 60 00 80 52 3B 00 00 14 09 00 B0 52 E8 23 40 B9 1F 01 09 6B 81 00 00 54 20 00 80 52 35 00 00 14 03 00 00 14 00 00 80 52 32 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 00 F9 E9 17 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 27 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_22_0 {
	meta:
		name = "?is_text_mode@@YA_NH@Z"
		size = 148
		refs = "003c _get_fmode 004c ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0054 ??_C@_1BK@MIHMAFGB@?$AAi?$AAs?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 005c ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 0068 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 68 00 78 36 00 00 80 52 1C 00 00 14 E9 13 40 B9 88 03 00 18 28 01 08 0A 1F 01 00 71 60 00 00 54 20 00 80 52 15 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 17 00 B9 05 00 80 D2 04 29 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? 09 00 90 52 E8 1B 40 B9 1F 01 09 6B 60 00 00 54 20 00 80 52 02 00 00 14 00 00 80 52 FD 7B C2 A8 C0 03 5F D6 00 40 07 00 }
	condition:
		$1
}

rule file_662_24_0 {
	meta:
		name = "?truncate_ctrl_z_if_present@@YAHH@Z"
		size = 452
		refs = "0020 __pioinfo 00cc _lseeki64_nolock 00e8 __doserrno 0108 _errno 0130 _read_nolock 015c _chsize_nolock"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 13 00 B9 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 09 01 40 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 60 00 00 54 00 00 80 52 55 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 68 00 38 37 00 00 80 52 40 00 00 14 42 00 80 52 01 00 80 92 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 C1 01 00 54 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 08 01 40 B9 1F 0D 02 71 61 00 00 54 00 00 80 52 2E 00 00 14 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 00 01 40 B9 29 00 00 14 08 00 80 52 E8 2B 00 79 22 00 80 52 E1 53 00 91 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 E8 2B 40 79 08 01 00 11 1F 69 00 71 A1 01 00 54 E1 13 40 F9 E0 13 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 05 00 31 C1 00 00 54 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 00 01 40 B9 0F 00 00 14 02 00 80 52 01 00 80 D2 E0 13 40 B9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 1F 05 00 B1 C1 00 00 54 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 00 01 40 B9 02 00 00 14 00 00 80 52 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_26_0 {
	meta:
		name = "_open"
		size = 188
		refs = "001c ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 00a4 ??$common_open@D@@YAHQEBDHH@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 ?? ?? ?? ?? E8 C3 00 91 E8 13 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 13 40 F9 08 21 00 91 E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 13 00 B9 0D 00 00 14 09 00 80 D2 E8 13 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 13 40 F9 08 01 09 8B E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 B9 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 13 00 F9 E2 17 40 B9 E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_31_0 {
	meta:
		name = "_wopen"
		size = 188
		refs = "001c ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 00a4 ??$common_open@_W@@YAHQEB_WHH@Z"
	strings:
		$1 = { E2 0F BD A9 E4 17 01 A9 E6 1F 02 A9 FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 1B 00 B9 ?? ?? ?? ?? E8 C3 00 91 E8 13 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 13 40 F9 08 21 00 91 E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 13 00 B9 0D 00 00 14 09 00 80 D2 E8 13 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 13 40 F9 08 01 09 8B E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 B9 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 08 00 80 D2 E8 13 00 F9 E2 17 40 B9 E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_27_0 {
	meta:
		name = "_sopen"
		size = 256
		refs = "0024 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 00c0 _sopen_dispatch"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 2F 00 B9 E2 2B 00 B9 ?? ?? ?? ?? E8 23 01 91 E8 0B 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E8 0B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 1B 00 B9 0D 00 00 14 09 00 80 D2 E8 0B 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E8 0B 40 F9 08 21 00 D1 08 01 40 B9 E8 1B 00 B9 E8 1B 40 B9 E8 27 00 B9 08 00 80 D2 E8 0B 00 F9 08 00 80 12 E8 1F 00 B9 05 00 80 52 E4 73 00 91 E3 27 40 B9 E2 2B 40 B9 E1 2F 40 B9 E0 1F 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 80 00 00 54 08 00 80 12 E8 23 00 B9 03 00 00 14 E8 1F 40 B9 E8 23 00 B9 E0 23 40 B9 FD 7B C4 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_32_0 {
	meta:
		name = "_wsopen"
		size = 256
		refs = "0024 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 00c0 _wsopen_dispatch"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 2F 00 B9 E2 2B 00 B9 ?? ?? ?? ?? E8 23 01 91 E8 0B 00 F9 08 00 80 52 1F 01 00 71 40 01 00 54 E8 0B 40 F9 08 21 00 91 E8 0B 00 F9 E8 0B 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 B9 E8 1B 00 B9 0D 00 00 14 09 00 80 D2 E8 0B 40 F9 28 01 08 CB 08 05 40 92 09 21 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E8 0B 40 F9 08 21 00 D1 08 01 40 B9 E8 1B 00 B9 E8 1B 40 B9 E8 27 00 B9 08 00 80 D2 E8 0B 00 F9 08 00 80 12 E8 1F 00 B9 05 00 80 52 E4 73 00 91 E3 27 40 B9 E2 2B 40 B9 E1 2F 40 B9 E0 1F 40 F9 ?? ?? ?? ?? E0 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 80 00 00 54 08 00 80 12 E8 23 00 B9 03 00 00 14 E8 1F 40 B9 E8 23 00 B9 E0 23 40 B9 FD 7B C4 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_28_0 {
	meta:
		name = "_sopen_dispatch"
		size = 76
		refs = "0038 ??$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 B9 E2 1B 00 B9 E3 17 00 B9 E4 17 00 F9 E5 13 00 B9 E5 13 40 B9 E4 17 40 F9 E3 17 40 B9 E2 1B 40 B9 E1 1F 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_33_0 {
	meta:
		name = "_wsopen_dispatch"
		size = 76
		refs = "0038 ??$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 1B 00 F9 E1 1F 00 B9 E2 1B 00 B9 E3 17 00 B9 E4 17 00 F9 E5 13 00 B9 E5 13 40 B9 E4 17 40 F9 E3 17 40 B9 E2 1B 40 B9 E1 1F 40 B9 E0 1B 40 F9 ?? ?? ?? ?? E0 23 00 B9 E0 23 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_29_0 {
	meta:
		name = "_sopen_nolock"
		size = 160
		refs = "0034 __acrt_copy_path_to_wide_string 0058 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 007c _wsopen_nolock 0090 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 27 00 F9 E1 23 00 F9 E2 1F 00 F9 E3 23 00 B9 E4 1F 00 B9 E5 1B 00 B9 E6 17 00 B9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 1F 40 F9 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 13 00 00 14 E1 1B 40 F9 E0 43 01 91 ?? ?? ?? ?? E0 2F 00 F9 E6 17 40 B9 E5 1B 40 B9 E4 1F 40 B9 E3 23 40 B9 E2 1B 40 F9 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 43 01 91 ?? ?? ?? ?? E0 2B 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_30_0 {
	meta:
		name = "_sopen_s"
		size = 72
		refs = "0034 _sopen_dispatch"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 17 00 B9 E4 13 00 B9 25 00 80 52 E4 13 40 F9 E3 13 40 B9 E2 17 40 B9 E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_35_0 {
	meta:
		name = "_wsopen_s"
		size = 72
		refs = "0034 _wsopen_dispatch"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 17 00 F9 E2 1B 00 B9 E3 17 00 B9 E4 13 00 B9 25 00 80 52 E4 13 40 F9 E3 13 40 B9 E2 17 40 B9 E1 1B 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_662_34_0 {
	meta:
		name = "_wsopen_nolock"
		size = 2456
		refs = "0008 __security_push_cookie 003c ?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z 00b4 __doserrno 00d4 _errno 00e8 _alloc_osfhnd 01c0 ?create_file@@YAPEAXQEB_WQEAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z 0264 __pioinfo 02f0 __imp_GetLastError 0304 __acrt_errno_map_os_error 0320 __imp_GetFileType 040c __imp_CloseHandle 049c __acrt_lowio_set_os_handle 0568 ?truncate_ctrl_z_if_present@@YAHH@Z 058c _close_nolock 05d4 ?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAEAW4__crt_lowio_text_mode@@@Z 0918 _free_osfhnd 098c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 07 D1 E0 4B 00 F9 E1 03 00 F9 E2 2B 00 F9 E3 0F 00 B9 E4 33 00 B9 E5 2F 00 B9 E6 5B 00 B9 E2 2F 40 B9 E1 33 40 B9 E0 0F 40 B9 E8 A3 03 91 ?? ?? ?? ?? E8 A3 03 91 E8 33 00 F9 EB 03 04 91 6B 01 00 91 EA 33 40 F9 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 EB E3 06 91 6B 01 00 91 EA 03 04 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 EB 83 06 91 6B 01 00 91 EA E3 06 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E8 AF 41 B9 1F 05 00 31 C1 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 08 00 80 52 28 01 00 B9 E9 03 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 00 01 40 B9 29 02 00 14 ?? ?? ?? ?? E0 37 00 B9 E9 03 40 F9 E8 37 40 B9 28 01 00 B9 E8 03 40 F9 08 01 40 B9 1F 05 00 31 61 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 08 00 80 52 28 01 00 B9 E9 03 40 F9 08 00 80 12 28 01 00 B9 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 08 03 80 52 28 01 00 B9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 00 01 40 B9 0E 02 00 14 E9 4B 40 F9 28 00 80 52 28 01 00 B9 08 03 80 52 E8 D3 00 B9 08 00 80 D2 E8 6F 00 F9 E8 0F 40 B9 88 00 38 37 28 00 80 52 E8 1F 00 B9 03 00 00 14 08 00 80 52 E8 1F 00 B9 E8 1F 40 B9 E8 E3 00 B9 EB 83 04 91 6B 01 00 91 EA 83 06 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E2 83 04 91 E1 43 03 91 E0 2B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 B1 41 03 00 54 E8 A7 41 B9 09 05 02 12 08 00 B8 52 3F 01 08 6B A1 02 00 54 E8 0F 40 B9 68 02 00 36 E8 A7 41 B9 08 79 00 12 E8 A7 01 B9 EB 03 05 91 6B 01 00 91 EA 83 06 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E2 03 05 91 E1 43 03 91 E0 2B 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 B1 A1 06 00 54 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E0 3B 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 00 01 40 B9 9C 01 00 14 E0 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 61 08 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 43 00 B9 E8 43 40 B9 E8 23 00 B9 E0 23 40 B9 ?? ?? ?? ?? E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E0 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 23 40 B9 1F 01 00 71 C1 00 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 A8 01 80 52 28 01 00 B9 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 00 01 40 B9 50 01 00 14 E8 1B 40 B9 1F 09 00 71 E1 00 00 54 E8 83 C6 39 08 01 00 11 08 01 1A 32 08 1D 00 13 E8 83 06 39 09 00 00 14 E8 1B 40 B9 1F 0D 00 71 C1 00 00 54 E8 83 C6 39 08 01 00 11 08 01 1D 32 08 1D 00 13 E8 83 06 39 E1 0B 40 F9 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? E8 83 C6 39 08 01 00 11 08 01 00 32 08 1D 00 13 E8 83 06 39 E8 83 C6 39 0B 1D 00 53 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 0B 01 00 39 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 08 00 80 52 28 01 00 39 E8 0F 40 B9 E8 01 08 36 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 C0 00 00 54 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 27 40 B9 FD 00 00 14 08 00 80 52 E8 23 00 39 EB 83 05 91 6B 01 00 91 EA 83 06 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E3 23 00 91 E2 0F 40 B9 E1 83 05 91 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 2B 00 B9 E8 2B 40 B9 1F 01 00 71 C0 00 00 54 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 2B 40 B9 E2 00 00 14 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E5 00 91 E8 23 C0 39 28 01 00 39 E8 0F 40 B9 88 00 80 36 28 00 80 52 E8 27 00 39 03 00 00 14 08 00 80 52 E8 27 00 39 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 40 39 E8 27 40 39 0B 01 00 33 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 F5 00 91 0B 01 00 39 E9 83 C6 39 29 01 00 11 08 09 80 52 28 01 08 0A 1F 01 00 71 81 05 00 54 E8 0F 40 B9 48 05 18 36 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 01 1B 32 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E8 A7 41 B9 09 05 02 12 08 00 B8 52 3F 01 08 6B 01 0D 00 54 E8 0F 40 B9 C8 0C 00 36 E0 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E8 A7 41 B9 08 79 00 12 E8 A7 01 B9 EB 03 06 91 6B 01 00 91 EA 83 06 91 4A 01 00 91 49 21 40 A9 69 21 00 A9 48 09 40 F9 68 09 00 F9 E2 03 06 91 E1 43 03 91 E0 2B 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 0B 00 F9 E8 0B 40 F9 1F 05 00 B1 21 07 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 4F 00 B9 E0 4F 40 B9 ?? ?? ?? ?? E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1F 12 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E8 03 40 F9 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 00 01 40 B9 17 00 00 14 15 00 00 14 E8 03 40 F9 08 01 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 03 40 F9 08 01 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 A1 00 91 E8 0B 40 F9 28 01 00 F9 00 00 80 52 FF 43 07 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "wcspbrk"
		size = 160
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 E8 03 00 F9 04 00 00 14 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 03 00 54 E8 0F 40 F9 E8 07 00 F9 04 00 00 14 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 01 00 54 E8 07 40 F9 09 01 40 79 29 01 00 11 E8 03 40 F9 08 01 40 79 08 01 00 11 3F 01 08 6B 61 00 00 54 E0 03 40 F9 04 00 00 14 EE FF FF 17 E2 FF FF 17 00 00 80 D2 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_664_1_0 {
	meta:
		name = "bsearch"
		size = 1096
		refs = "005c ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0080 _CrtDbgReportW 00a8 _errno 00cc ??_C@_1BA@CLPIMKHD@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 00dc _invalid_parameter 011c ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01dc ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02fc __guard_check_icall_fptr 033c ??1scoped_global_state_reset@__crt_state_management@@QEAA@XZ"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 57 00 F9 E1 3F 00 F9 E2 0F 00 F9 E3 2B 00 F9 E4 43 00 F9 E8 3F 40 F9 1F 01 00 F1 E1 00 00 54 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 28 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 00 B9 E9 63 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 00 F9 E9 63 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 D7 00 00 14 E8 2B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 00 B9 E9 67 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 A7 00 00 14 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 77 00 00 14 E8 3F 40 F9 E8 27 00 F9 E8 0F 40 F9 09 05 00 D1 E8 2B 40 F9 29 7D 08 9B E8 3F 40 F9 08 01 09 8B E8 4F 00 F9 E9 4F 40 F9 E8 27 40 F9 1F 01 09 EB A8 0C 00 54 E9 0F 40 F9 48 00 80 D2 28 09 C8 9A E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 E0 07 00 54 E8 0F 40 F9 88 00 00 36 E8 13 40 F9 E8 47 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 47 00 F9 E9 47 40 F9 E8 2B 40 F9 29 7D 08 9B E8 27 40 F9 08 01 09 8B E8 2F 00 F9 E8 43 40 F9 E8 4B 00 F9 EF 4B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 2F 40 F9 E0 57 40 F9 E8 4B 40 F9 00 01 3F D6 E0 6F 00 B9 E8 6F 40 B9 E8 43 00 B9 E8 43 40 B9 1F 01 00 71 01 01 00 54 E8 2F 40 F9 E8 6F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 6F 40 F9 3F 00 00 14 19 00 00 14 E8 43 40 B9 1F 01 00 71 0A 02 00 54 E9 2F 40 F9 E8 2B 40 F9 28 01 08 CB E8 4F 00 F9 E8 0F 40 F9 88 00 00 36 E8 13 40 F9 E8 53 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 D1 E8 53 00 F9 E8 53 40 F9 E8 0F 00 F9 07 00 00 14 E9 2F 40 F9 E8 2B 40 F9 28 01 08 8B E8 27 00 F9 E8 13 40 F9 E8 0F 00 F9 1F 00 00 14 E8 0F 40 F9 1F 01 00 F1 60 03 00 54 E8 43 40 F9 E8 5B 00 F9 EF 5B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E1 27 40 F9 E0 57 40 F9 E8 5B 40 F9 00 01 3F D6 E0 73 00 B9 E8 73 40 B9 1F 01 00 71 80 00 00 54 08 00 80 D2 E8 5F 00 F9 03 00 00 14 E8 27 40 F9 E8 5F 00 F9 E8 5F 40 F9 E8 73 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 73 40 F9 09 00 00 14 02 00 00 14 02 00 00 14 99 FF FF 17 08 00 80 D2 E8 77 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 77 40 F9 FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_665_0_0 {
	meta:
		name = "coshf"
		size = 1044
		refs = "0078 valf_with_flags 00c8 _handle_nanf 00e0 infinityf_with_flags 0140 ?max_cosh_arg@?1??coshf@@9@9 0174 ??_C@_05NHNGJKPP@coshf?$AA@ 017c _handle_errorf 0190 ?small_threshold@?1??coshf@@9@9 01b0 ?log2_by_32_tail@?1??coshf@@9@9 01b8 ?log2_by_32_lead@?1??coshf@@9@9 01c0 ?thirtytwo_by_log2@?1??coshf@@9@9 01d0 splitexp 01f4 scaleDouble_1 0340 ?cosh_lead@?1??coshf@@9@9 0368 ?sinh_lead@?1??coshf@@9@9"
	strings:
		$1 = { FD 7B B5 A9 FD 03 00 91 E0 1B 00 BD F0 1B 40 BD 10 C2 22 1E F0 23 00 FD F0 23 40 FD F0 3F 00 FD E8 3F 40 F9 E8 37 00 F9 E8 37 40 F9 08 F9 40 92 E8 1F 00 F9 09 E2 E7 D2 E8 1F 40 F9 1F 01 09 EB 62 02 00 54 E8 1F 40 F9 1F 01 00 F1 61 00 00 54 00 10 2E 1E D0 00 00 14 51 1A 00 5C F0 23 40 FD 31 2A 70 1E 10 10 6E 1E 20 22 70 1E ED 00 00 54 00 02 80 52 00 10 2E 1E ?? ?? ?? ?? E0 53 00 BD E0 53 40 BD C4 00 00 14 1A 00 00 14 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB C3 02 00 54 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB A9 01 00 54 F0 1B 40 BD F0 57 00 BD E8 57 40 B9 E8 5B 00 B9 E8 5B 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 5F 00 BD E0 5F 40 BD B0 00 00 14 06 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 63 00 BD E0 63 40 BD AA 00 00 14 E9 37 40 F9 E8 1F 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 08 7D 40 93 E8 43 00 F9 F0 23 40 FD F0 17 00 FD E8 43 40 F9 1F 01 00 F1 80 00 00 54 F0 23 40 FD 10 42 61 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 0B 02 00 54 26 00 80 52 C1 15 00 1C E0 1B 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 61 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 00 BD E0 67 40 BD 83 00 00 14 7F 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 4B 03 00 54 E2 43 02 91 E1 23 02 91 E0 73 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E E0 17 40 FD ?? ?? ?? ?? E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 F1 47 40 FD F0 4B 40 FD 20 2A 70 1E E0 1F 40 B9 00 40 60 1E ?? ?? ?? ?? E0 4F 00 FD F0 4F 40 FD F0 3B 00 FD 61 00 00 14 F0 17 40 FD 08 02 78 1E E8 23 00 B9 E8 23 40 B9 11 01 62 1E F0 17 40 FD 10 3A 71 1E F0 27 00 FD F1 27 40 FD F0 27 40 FD 30 0A 70 1E F0 0B 00 FD F1 27 40 FD F0 0B 40 FD 32 0A 70 1E 31 0B 00 5C F0 0B 40 FD 31 0A 70 1E 10 0B 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E D0 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 90 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 50 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 10 0A 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E D0 09 00 5C 10 2A 71 1E 51 0A 70 1E F0 27 40 FD 10 2A 71 1E F0 57 00 FD 51 09 00 5C F0 0B 40 FD 31 0A 70 1E 30 09 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E F0 08 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E B0 08 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 70 08 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 30 08 00 5C 11 2A 71 1E F0 0B 40 FD 31 0A 70 1E 10 10 6C 1E 11 2A 71 1E F0 0B 40 FD 11 0A 71 1E 10 10 6E 1E 10 2A 71 1E F0 53 00 FD E8 23 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 53 40 FD 32 0A 70 1E E8 23 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 57 40 FD 30 0A 70 1E 50 2A 70 1E F0 3B 00 FD F0 3B 40 FD 00 42 62 1E 00 40 20 1E FD 7B CB A8 C0 03 5F D6 1F 20 03 D5 9C 75 00 88 3C E4 37 7E 8B A0 1E 92 25 41 6B 3D BE B7 DC 2B CB 11 E6 3D C0 61 BE 0F 46 E6 5A 3E 7D 3E E1 A4 E3 1D C7 3E 80 EE 01 1A A0 01 2A 3F FD 10 11 11 11 11 81 3F 55 55 55 55 55 55 C5 3F D7 FC 63 7F 4B 98 A9 3D 20 7B 5B 38 56 EE 21 3E 55 CB F1 69 50 7E 92 3E 11 90 07 19 A0 01 FA 3E E5 12 C2 16 6C C1 56 3F 02 55 55 55 55 55 A5 3F 00 00 00 00 }
	condition:
		$1
}

rule file_666_9_0 {
	meta:
		name = "_rmtmp"
		size = 304
		refs = "0014 __acrt_lock 0030 _nstream 0054 __piob 0068 ??0__crt_stdio_stream@@QEAA@QEAU__crt_stdio_stream_data@@@Z 0070 ?valid@__crt_stdio_stream@@QEBA_NXZ 0090 ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 009c _lock_file 00a4 ?is_in_use@__crt_stdio_stream@@QEBA_NXZ 00c4 ??C__crt_stdio_stream@@QEBAPEAU__crt_stdio_stream_data@@XZ 00f4 _fclose_nolock 0114 _unlock_file 0120 __acrt_unlock"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 08 00 80 52 A8 1B 00 B9 00 01 80 52 ?? ?? ?? ?? 08 00 80 52 A8 17 00 B9 04 00 00 14 A8 17 40 B9 08 05 00 11 A8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? A8 17 40 B9 1F 01 09 6B E0 06 00 54 A8 17 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 01 01 40 F9 A0 83 00 91 ?? ?? ?? ?? A0 83 00 91 ?? ?? ?? ?? A0 43 00 39 A8 43 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 E7 FF FF 17 A0 83 00 91 ?? ?? ?? ?? A0 1B 00 F9 A0 1B 40 F9 ?? ?? ?? ?? A0 83 00 91 ?? ?? ?? ?? A0 47 00 39 A8 47 40 39 08 01 00 11 1F 01 00 71 41 00 00 54 12 00 00 14 A0 83 00 91 ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 08 A1 00 91 08 01 40 F9 1F 01 00 F1 41 00 00 54 09 00 00 14 A0 83 00 91 ?? ?? ?? ?? A0 23 00 F9 A0 23 40 F9 ?? ?? ?? ?? A8 1B 40 B9 08 05 00 11 A8 1B 00 B9 A0 83 00 91 ?? ?? ?? ?? A0 17 00 F9 A0 17 40 F9 ?? ?? ?? ?? C3 FF FF 17 00 01 80 52 ?? ?? ?? ?? A0 1B 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_666_10_0 {
	meta:
		name = "_rmtmp$fin$0"
		size = 40
		refs = "000c ?public_stream@__crt_stdio_stream@@QEBAPEAU_iobuf@@XZ 0018 _unlock_file"
	strings:
		$1 = { FD 7B BF A9 3D 00 00 91 A0 83 00 91 ?? ?? ?? ?? A0 17 00 F9 A0 17 40 F9 ?? ?? ?? ?? 01 00 00 14 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_668_0_0 {
	meta:
		name = "frexp"
		size = 592
		refs = "0044 ??_C@_1BO@KGGHBFPG@?$AAe?$AAx?$AAp?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FI@OJDKKACH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0068 _CrtDbgReportW 0090 _errno 00b4 ??_C@_1M@KFLMCEDC@?$AAf?$AAr?$AAe?$AAx?$AAp?$AA?$AA@ 00c4 _invalid_parameter 00d8 _ctrlfp 0110 _sptype 01a4 _except1 01c4 _dsign 0210 _decomp"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 FD E0 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 3B 00 B9 E9 3B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 0B 00 5C 59 00 00 14 81 0B 00 58 00 E0 93 D2 ?? ?? ?? ?? E0 2B 00 F9 E8 2B 40 F9 E8 13 00 F9 E8 2F 40 79 08 01 00 11 09 29 1C 12 08 FE 8F 52 3F 01 08 6B C1 05 00 54 E9 1B 40 F9 08 00 80 12 28 01 00 B9 E0 0B 40 FD ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 05 00 71 00 01 00 54 E8 1B 40 B9 1F 09 00 71 40 01 00 54 E8 1B 40 B9 1F 0D 00 71 80 01 00 54 10 00 00 14 C1 07 00 58 E0 13 40 F9 ?? ?? ?? ?? E0 0B 40 FD 36 00 00 14 21 07 00 58 E0 13 40 F9 ?? ?? ?? ?? E0 0B 40 FD 31 00 00 14 81 06 00 58 E0 13 40 F9 ?? ?? ?? ?? E0 0B 40 FD 2C 00 00 14 F1 0B 40 FD 10 10 6E 1E 21 2A 70 1E E2 13 40 F9 21 40 60 1E E0 0B 40 FD E1 02 80 52 00 01 80 52 ?? ?? ?? ?? E0 2F 00 FD E0 2F 40 FD 20 00 00 14 F0 0B 40 FD 08 22 60 1E 61 02 00 54 E0 0B 40 FD ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 A0 01 00 54 E9 1B 40 F9 08 00 80 52 28 01 00 B9 E2 13 40 F9 01 03 00 5C E0 0B 40 FD E1 02 80 52 00 00 80 52 ?? ?? ?? ?? E0 33 00 FD E0 33 40 FD 0B 00 00 14 E0 1B 40 F9 E0 0B 40 FD ?? ?? ?? ?? E0 37 00 FD F0 37 40 FD F0 3B 00 FD 01 01 00 58 E0 13 40 F9 ?? ?? ?? ?? E0 3B 40 FD FD 7B C8 A8 C0 03 5F D6 00 00 00 00 00 00 00 00 00 9F C0 03 00 00 00 00 00 00 00 00 00 00 00 80 }
	condition:
		$1
}

rule file_669_0_0 {
	meta:
		name = "_cputws"
		size = 400
		refs = "0028 ??_C@_1CI@JGFDABK@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$CJ?$AA?$AA@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GI@EKEHDKHC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 007c __doserrno 0084 _errno 009c ??_C@_1BA@NGNGNDEP@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 00a8 _invalid_parameter 00b4 __dcrt_lowio_console_output_handle 00c4 __dcrt_lowio_initialize_console_output 00fc __acrt_lock 0108 __imp_WriteConsoleW 0174 __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 B3 0F 00 F9 7F 02 00 F1 F4 07 9F 1A 34 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F4 01 00 35 ?? ?? ?? ?? 1F 00 00 B9 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 04 00 80 D2 23 03 80 52 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 12 33 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 09 00 B1 61 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 1F 05 00 B1 E0 FE FF 54 6A 02 00 91 68 02 C0 79 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 13 CB 15 FD 41 93 B5 13 00 F9 20 01 80 52 ?? ?? ?? ?? 14 00 80 52 BF 13 00 B9 ?? ?? ?? ?? BF 02 00 F1 0D 03 00 54 E9 FF 8F D2 BF 02 09 EB E9 FF 8F 52 34 81 95 1A 04 00 80 D2 A3 53 00 91 82 02 00 11 61 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 60 00 00 35 14 00 80 12 09 00 00 14 A8 0F 40 F9 13 05 14 8B B3 0F 00 F9 A9 13 40 F9 35 01 14 CB B5 13 00 F9 B4 13 40 B9 E8 FF FF 17 20 01 80 52 ?? ?? ?? ?? 80 02 00 11 FD 7B C3 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "_fdlog"
		size = 648
		refs = "0018 _fdunscale 0060 _fperrraise 0064 _FInf_C 00a0 _FNan_C 00b0 rthalf 011c p 0184 loge2lo 01a4 loge2hi 01d0 logxehi 01e0 logxelo 01f0 logxe 0200 logx2lo 021c logx2hi 0238 log2ehi 0248 log2elo 0258 log2e"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 BD E0 2B 00 B9 E1 53 00 91 E0 43 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 40 01 00 54 E8 27 40 B9 1F 05 00 71 C0 01 00 54 E8 27 40 B9 1F 09 00 71 40 00 00 54 0F 00 00 14 E0 17 40 BD 8A 00 00 14 80 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 42 21 1E 00 40 20 1E 83 00 00 14 E8 2F 40 79 08 01 00 11 68 00 78 37 E0 17 40 BD 7E 00 00 14 E8 2F 40 79 08 01 00 11 E8 00 78 36 20 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 76 00 00 14 75 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 BD 00 22 31 1E 22 01 00 54 F1 17 40 BD F0 17 40 BD 30 2A 30 1E F0 17 00 BD E8 23 C0 79 08 05 00 51 08 3D 00 13 E8 23 00 79 F1 17 40 BD 10 10 2E 1E 30 3A 30 1E F0 23 00 BD F1 17 40 BD 10 10 2E 1E 31 2A 30 1E F0 23 40 BD 10 1A 31 1E F0 1B 00 BD F1 1B 40 BD F0 1B 40 BD 30 0A 30 1E F0 1F 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 1F 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 1F 40 BD 11 0A 31 1E F0 23 40 BD 11 3A 31 1E F0 1B 40 BD 10 0A 31 1E F0 1B 00 BD E8 23 C0 79 08 01 00 11 10 01 22 1E F0 1F 00 BD E8 2B 40 B9 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 31 0A 30 1E F0 1B 40 BD 11 3A 31 1E F0 23 40 BD 12 3A 31 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 30 0A 30 1E 50 2A 30 1E F0 1B 00 BD 30 00 00 14 E9 2B 40 B9 08 00 80 52 1F 01 09 6B 6A 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 BD 34 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 BD 33 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 BD 32 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 30 0A 30 1E 50 3A 30 1E 70 3A 30 1E 92 2A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1F 40 BD 30 0A 30 1E 50 2A 30 1E F0 1B 00 BD 12 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 BD 33 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 23 40 BD 32 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? F0 1B 40 BD 30 0A 30 1E 50 3A 30 1E 71 2A 30 1E F0 1F 40 BD 30 2A 30 1E F0 1B 00 BD E0 1B 40 BD FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_672_1_0 {
	meta:
		name = "_fdlogpoly"
		size = 68
		refs = "0008 p"
	strings:
		$1 = { FF 43 00 D1 E0 03 00 BD ?? ?? ?? ?? ?? ?? ?? ?? F0 03 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 31 2A 30 1E F0 03 40 BD 31 0A 30 1E ?? ?? ?? ?? ?? ?? ?? ?? 20 2A 30 1E 00 40 20 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_672_2_0 {
	meta:
		name = "log2f"
		size = 40
		refs = "0014 _fdlog"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 BD 00 00 80 12 E0 13 40 BD ?? ?? ?? ?? E0 17 00 BD E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "cosh"
		size = 1272
		refs = "0058 val_with_flags 0090 _handle_nan 00a8 infinity_with_flags 0108 ?max_cosh_arg@?1??cosh@@9@9 013c ??_C@_04HPJJNFIM@cosh?$AA@ 0144 _handle_error 0158 ?small_threshold@?1??cosh@@9@9 0178 ?log2_by_32_tail@?1??cosh@@9@9 0180 ?log2_by_32_lead@?1??cosh@@9@9 0188 ?thirtytwo_by_log2@?1??cosh@@9@9 0198 splitexp 01d4 scaleDouble_1 01fc scaleDouble_2 0338 ?cosh_tail@?1??cosh@@9@9 0360 ?sinh_tail@?1??cosh@@9@9 03dc ?cosh_lead@?1??cosh@@9@9 0408 ?sinh_lead@?1??cosh@@9@9"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 E0 27 00 FD F0 27 40 FD F0 43 00 FD E8 43 40 F9 E8 2B 00 F9 E8 2B 40 F9 08 F9 40 92 E8 1F 00 F9 09 C6 E7 D2 E8 1F 40 F9 1F 01 09 EB C2 01 00 54 E8 1F 40 F9 1F 01 00 F1 81 00 00 54 00 10 6E 1E 0D 01 00 14 07 00 00 14 00 02 80 52 00 10 6E 1E ?? ?? ?? ?? E0 47 00 FD E0 47 40 FD 06 01 00 14 14 00 00 14 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB 03 02 00 54 09 FE EF D2 E8 1F 40 F9 1F 01 09 EB E9 00 00 54 E0 2B 40 F9 ?? ?? ?? ?? E0 4B 00 FD E0 4B 40 FD F8 00 00 14 06 00 00 14 00 00 80 52 ?? ?? ?? ?? E0 4F 00 FD E0 4F 40 FD F2 00 00 14 E9 2B 40 F9 E8 1F 40 F9 1F 01 09 EB 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 08 7D 40 93 E8 53 00 F9 F0 27 40 FD F0 17 00 FD E8 53 40 F9 1F 01 00 F1 80 00 00 54 F0 27 40 FD 10 42 61 1E F0 17 00 FD ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 0B 02 00 54 26 00 80 52 41 1B 00 5C E0 27 40 FD 45 04 80 52 24 02 80 52 63 00 80 52 02 FE EF D2 61 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 00 FD E0 57 40 FD CB 00 00 14 C9 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 17 40 FD 00 22 71 1E 4B 05 00 54 E2 A3 01 91 E1 83 01 91 E0 83 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 6E 1E E0 17 40 FD ?? ?? ?? ?? E8 23 40 B9 08 05 00 51 E8 23 00 B9 E8 23 40 B9 1F F9 0F 31 CB 01 00 54 E8 23 40 B9 1F FD 0F 71 6C 01 00 54 F1 33 40 FD F0 37 40 FD 20 2A 70 1E E0 23 40 B9 00 40 60 1E ?? ?? ?? ?? E0 5B 00 FD F0 5B 40 FD F0 2F 00 FD 0A 00 00 14 F1 33 40 FD F0 37 40 FD 20 2A 70 1E E0 23 40 B9 00 40 60 1E ?? ?? ?? ?? E0 5F 00 FD F0 5F 40 FD F0 2F 00 FD 9B 00 00 14 F0 17 40 FD 08 02 78 1E E8 13 00 B9 E8 13 40 B9 11 01 62 1E F0 17 40 FD 10 3A 71 1E F0 23 00 FD F1 23 40 FD F0 23 40 FD 30 0A 70 1E F0 0F 00 FD F1 23 40 FD F0 0F 40 FD 32 0A 70 1E 31 12 00 5C F0 0F 40 FD 31 0A 70 1E 10 12 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E D0 11 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 90 11 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 50 11 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 11 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E D0 10 00 5C 10 2A 71 1E 50 0A 70 1E F0 3F 00 FD 91 10 00 5C F0 0F 40 FD 31 0A 70 1E 70 10 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 30 10 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E F0 0F 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E B0 0F 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 70 0F 00 5C 11 2A 71 1E F0 0F 40 FD 31 0A 70 1E 10 10 6C 1E 11 2A 71 1E F0 0F 40 FD 10 0A 71 1E F0 3B 00 FD E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3B 40 FD 32 0A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3F 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 23 40 FD 30 0A 70 1E 51 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD 32 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3B 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 3F 40 FD 30 0A 70 1E 52 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 11 01 40 FD F0 23 40 FD 30 0A 70 1E 51 2A 70 1E E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 10 01 40 FD 30 2A 70 1E F0 2F 00 FD E0 2F 40 FD FD 7B CC A8 C0 03 5F D6 1F 20 03 D5 00 00 00 00 00 00 00 00 8B A0 1E 92 25 41 6B 3D BE B7 DC 2B CB 11 E6 3D C0 61 BE 0F 46 E6 5A 3E 7D 3E E1 A4 E3 1D C7 3E 80 EE 01 1A A0 01 2A 3F FD 10 11 11 11 11 81 3F 55 55 55 55 55 55 C5 3F D7 FC 63 7F 4B 98 A9 3D 20 7B 5B 38 56 EE 21 3E 55 CB F1 69 50 7E 92 3E 11 90 07 19 A0 01 FA 3E E5 12 C2 16 6C C1 56 3F 02 55 55 55 55 55 A5 3F }
	condition:
		$1
}

rule file_674_12_0 {
	meta:
		name = "?compute_iso_week@@YAHHHH@Z"
		size = 204
		refs = "0020 ?compute_iso_week_internal@@YAHHHH@Z 0048 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 1F 00 B9 E2 23 00 B9 E2 23 40 B9 E1 1F 40 B9 E0 17 40 B9 ?? ?? ?? ?? E0 2B 00 B9 E8 2B 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 81 03 00 54 E8 17 40 B9 00 05 00 51 00 00 00 11 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 C8 2D 80 52 E8 27 00 B9 03 00 00 14 A8 2D 80 52 E8 27 00 B9 E8 1F 40 B9 09 1D 00 11 E8 23 40 B9 21 01 08 4B E8 17 40 B9 00 05 00 51 E2 27 40 B9 21 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 2F 00 B9 E0 2F 40 B9 08 00 00 14 E9 1B 40 B9 08 00 80 52 1F 01 09 6B 6A 00 00 54 E0 1B 40 B9 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_13_0 {
	meta:
		name = "?compute_iso_week_internal@@YAHHHH@Z"
		size = 328
		refs = "0020 ?compute_week_of_year@@YAHHHH@Z 0034 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 33 00 B9 E1 27 00 B9 E2 1B 00 B9 E2 1B 40 B9 E1 27 40 B9 20 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 E8 2B 00 B9 E0 33 40 B9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 E8 43 00 39 E9 43 40 39 29 01 00 11 E8 1B 40 B9 08 01 09 4B E8 1F 00 B9 69 2E 80 52 E8 1B 40 B9 29 01 08 4B E8 27 40 B9 2A 01 08 0B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 17 00 B9 E9 43 40 39 29 01 00 11 E8 17 40 B9 08 01 09 0B 0A B5 05 11 E9 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 23 00 B9 E9 1F 40 B9 88 2D 80 52 1F 01 09 6B 8C 00 00 54 E8 23 40 B9 1F 09 00 71 E0 01 00 54 E9 1F 40 B9 68 2D 80 52 1F 01 09 6B 8C 00 00 54 E8 23 40 B9 1F 0D 00 71 00 01 00 54 E9 1F 40 B9 48 2D 80 52 1F 01 09 6B EC 00 00 54 E8 23 40 B9 1F 11 00 71 81 00 00 54 00 00 80 12 10 00 00 14 0E 00 00 14 E8 17 40 B9 1F 09 00 71 E0 00 00 54 E8 17 40 B9 1F 0D 00 71 80 00 00 54 E8 17 40 B9 1F 11 00 71 A1 00 00 54 E8 2B 40 B9 00 05 00 11 00 00 00 11 02 00 00 14 E0 2B 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_14_0 {
	meta:
		name = "?compute_iso_year@@YAHHHH@Z"
		size = 120
		refs = "0020 ?compute_iso_week_internal@@YAHHHH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 B9 E1 1F 00 B9 E2 1B 00 B9 E2 1B 40 B9 E1 1F 40 B9 E0 13 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 A1 00 00 54 E8 13 40 B9 00 05 00 51 00 00 00 11 0A 00 00 14 E9 17 40 B9 08 00 80 52 1F 01 09 6B 6A 00 00 54 E0 13 40 B9 04 00 00 14 E8 13 40 B9 00 05 00 11 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_15_0 {
	meta:
		name = "?compute_week_of_year@@YAHHHH@Z"
		size = 88
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 B9 E2 0B 00 B9 E8 03 40 B9 09 1D 00 11 E8 07 40 B9 2A 01 08 4B E9 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B E8 0F 00 B9 E8 0B 40 B9 09 1D 00 11 E8 0F 40 B9 29 01 08 4B E8 00 80 52 20 0D C8 1A 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_17_0 {
	meta:
		name = "?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z"
		size = 10660
		refs = "015c ??_C@_1FO@DBKKAEEH@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0174 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0180 _CrtDbgReportW 01a8 _errno 01cc ??_C@_1BI@LDOAAJAA@?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 01dc _invalid_parameter 0218 ?store_string@@YAXPEB_WQEAPEA_WQEA_K@Z 038c ??_C@_1FM@GHDMHKAF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 056c __lc_time_c 05ac ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z 05e8 ??_C@_13HOIJIPNN@?$AA?5?$AA?$AA@ 07b8 ?store_winword@@YA_NQEAU__crt_locale_pointers@@HQEBUtm@@QEAPEA_WQEA_KQEBU__crt_lc_time_data@@@Z 08a8 ??_C@_1GM@MKLKFGDB@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA9?$AA0?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm@ 0964 ?__crt_get_century@@YAHH@Z 0988 ?store_number@@YAXHHQEAPEA_WQEA_K_W@Z 09e4 ??_C@_1GA@JEAPKENA@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0b1c ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 0d6c ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 0f38 ?compute_iso_year@@YAHHHH@Z 1134 ??_C@_1GA@IKFGJIKF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 13c0 ??_C@_1GC@FCHCEOGN@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 1630 ??_C@_1FM@FIGBEEHK@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 1718 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 18cc ??_C@_13EBCNDICG@?$AA?3?$AA?$AA@ 1b58 ??_C@_1FM@BCBKJMBP@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 1c40 ??_C@_13KDLDGPGJ@?$AA?7?$AA?$AA@ 21cc ?compute_iso_week@@YAHHHH@Z 23e8 ?__crt_get_2digit_year@@YAHH@Z 2584 __tzset 2594 _get_timezone 25d0 ??_C@_1DI@PJPIDMEH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 267c _get_dstbias 26b8 ??_C@_1DK@HAJPFEBK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AA_?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 27c4 ??_C@_13KJIIAINM@?$AA?$CL?$AA?$AA@ 283c __tzname 28ac _mbstowcs_s_l 28cc ??_C@_1II@GCMOLCJB@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CG?$AAw?$AAn?$AAu?$AAm?$AA?0?$AA?5?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AA?$CK?$AAl@ 28e0 _invoke_watson_if_oneof 2980 ??_C@_13EJFHHPOP@?$AA?$CF?$AA?$AA@"
	strings:
		$1 = { FF 03 0F D1 FD 7B 00 A9 FD 03 00 91 E0 1F 00 F9 E1 CB 00 79 E2 0F 00 F9 E3 17 00 F9 E4 13 00 F9 E5 1B 00 F9 E6 43 00 39 E8 CB 40 79 08 01 00 11 E8 77 00 B9 E8 77 40 B9 08 95 00 51 E8 77 00 B9 E8 77 40 B9 1F 55 01 71 68 4A 01 54 EA 77 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 46 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 71 00 FD 00 FD 01 99 02 4D 0A 2D 03 C8 03 21 04 6D 04 4D 0A 4D 0A 4D 0A 60 05 4D 0A 4D 0A 4D 0A 4D 0A 7B 06 AA 06 FD 06 A1 07 52 08 A1 07 92 08 F9 08 F4 09 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 4D 0A 2B 00 B7 00 43 01 4D 02 E1 02 4D 0A 75 03 16 04 4D 0A C4 04 4D 0A 4D 0A 12 05 AC 05 4D 0A B3 05 4D 0A 00 06 4D 0A F6 06 45 07 4D 0A 45 07 72 08 A7 08 49 09 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 19 00 71 8C 00 00 54 28 00 80 52 E8 EF 00 B9 03 00 00 14 08 00 80 52 E8 EF 00 B9 E8 EF 40 B9 E8 47 01 B9 E8 47 41 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 F3 01 B9 E9 F3 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 41 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 13 01 F9 E9 13 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 53 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 ED 09 00 14 E8 1B 40 F9 0A 81 05 91 E8 0F 40 F9 08 61 00 91 08 01 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B E2 13 40 F9 E1 17 40 F9 00 01 40 F9 ?? ?? ?? ?? 20 00 80 52 DE 09 00 14 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 61 00 91 08 01 40 B9 1F 19 00 71 8C 00 00 54 28 00 80 52 E8 4B 01 B9 03 00 00 14 08 00 80 52 E8 4B 01 B9 E8 4B 41 B9 E8 4F 01 B9 E8 4F 41 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 54 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 F7 01 B9 E9 F7 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 4F 41 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 17 01 F9 E9 17 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 C3 54 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 A7 09 00 14 E8 1B 40 F9 0A 61 06 91 E8 0F 40 F9 08 61 00 91 08 01 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B E2 13 40 F9 E1 17 40 F9 00 01 40 F9 ?? ?? ?? ?? 20 00 80 52 98 09 00 14 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 8C 00 00 54 28 00 80 52 E8 53 01 B9 03 00 00 14 08 00 80 52 E8 53 01 B9 E8 53 41 B9 E8 87 00 B9 E8 87 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 FB 01 B9 E9 FB 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 87 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 01 F9 E9 1B 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 55 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 61 09 00 14 E8 1B 40 F9 0A 41 07 91 E8 0F 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B E2 13 40 F9 E1 17 40 F9 00 01 40 F9 ?? ?? ?? ?? 20 00 80 52 52 09 00 14 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 2B 01 00 54 E8 0F 40 F9 08 41 00 91 08 01 40 B9 1F 2D 00 71 8C 00 00 54 28 00 80 52 E8 8B 00 B9 03 00 00 14 08 00 80 52 E8 8B 00 B9 E8 8B 40 B9 E8 8F 00 B9 E8 8F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 FF 01 B9 E9 FF 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 8F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 01 F9 E9 1F 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 56 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 1B 09 00 14 E8 1B 40 F9 0A C1 08 91 E8 0F 40 F9 08 41 00 91 08 01 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B E2 13 40 F9 E1 17 40 F9 00 01 40 F9 ?? ?? ?? ?? 20 00 80 52 0C 09 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 1B 40 F9 1F 01 09 EB C1 0F 00 54 E8 43 40 39 08 01 00 11 1F 01 00 71 41 0F 00 54 06 00 80 52 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 21 0C 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 87 01 39 E8 87 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 23 01 F9 E9 23 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 EF 08 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 80 52 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 41 0C 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 B7 01 39 E8 B7 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 27 01 F9 E9 27 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 D6 08 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 80 52 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 A1 0C 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 BB 01 39 E8 BB 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 2B 01 F9 E9 2B 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 BD 08 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 80 52 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 81 0A 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 BF 01 39 E8 BF 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 2F 01 F9 E9 2F 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 A4 08 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 80 52 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 21 0B 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 C3 01 39 E8 C3 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 33 01 F9 E9 33 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 8B 08 00 14 37 00 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 28 00 80 52 E8 93 00 B9 03 00 00 14 08 00 80 52 E8 93 00 B9 E8 93 40 B9 E8 03 02 B9 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 E1 03 42 B9 E0 1F 40 F9 ?? ?? ?? ?? E0 3B 01 39 E8 3B 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 37 01 F9 E9 37 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 6C 08 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 41 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 3F 01 39 E8 3F 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 3B 01 F9 E9 3B 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 54 08 00 14 20 00 80 52 52 08 00 14 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F B1 1D 31 4B 01 00 54 E8 0F 40 F9 08 51 00 91 69 F4 83 52 08 01 40 B9 1F 01 09 6B 8C 00 00 54 28 00 80 52 E8 97 00 B9 03 00 00 14 08 00 80 52 E8 97 00 B9 E8 97 40 B9 E8 9B 00 B9 E8 9B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 5B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 01 B9 E9 5B 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 9B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 01 F9 E9 3F 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 5B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 1A 08 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 03 01 39 03 00 00 14 08 06 80 52 E8 03 01 39 E8 0F 40 F9 08 51 00 91 00 01 40 B9 ?? ?? ?? ?? E0 5F 01 B9 E8 03 C1 39 04 3D 00 53 84 00 00 11 E3 13 40 F9 E2 17 40 F9 41 00 80 52 E0 5F 41 B9 ?? ?? ?? ?? 20 00 80 52 02 08 00 14 E8 0F 40 F9 08 31 00 91 08 01 40 B9 1F 05 00 71 2B 01 00 54 E8 0F 40 F9 08 31 00 91 08 01 40 B9 1F 7D 00 71 8C 00 00 54 28 00 80 52 E8 9F 00 B9 03 00 00 14 08 00 80 52 E8 9F 00 B9 E8 9F 40 B9 E8 A3 00 B9 E8 A3 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 5C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 63 01 B9 E9 63 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 A3 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 43 01 F9 E9 43 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 5C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 CB 07 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 07 01 39 03 00 00 14 08 06 80 52 E8 07 01 39 E8 07 C1 39 04 3D 00 53 E8 0F 40 F9 08 31 00 91 84 00 00 11 E3 13 40 F9 E2 17 40 F9 41 00 80 52 00 01 40 B9 ?? ?? ?? ?? 20 00 80 52 B6 07 00 14 E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 A1 0D 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 43 01 39 E8 43 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 47 01 F9 E9 47 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 A2 07 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 81 0C 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 47 01 39 E8 47 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 4B 01 F9 E9 4B 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 89 07 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 21 0F 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 4B 01 39 E8 4B 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 4F 01 F9 E9 4F 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 70 07 00 14 20 00 80 52 6E 07 00 14 E8 0F 40 F9 08 31 00 91 08 01 40 B9 1F 05 00 71 2B 01 00 54 E8 0F 40 F9 08 31 00 91 08 01 40 B9 1F 7D 00 71 8C 00 00 54 28 00 80 52 E8 A7 00 B9 03 00 00 14 08 00 80 52 E8 A7 00 B9 E8 A7 40 B9 E8 AB 00 B9 E8 AB 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 5E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 67 01 B9 E9 67 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 AB 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 53 01 F9 E9 53 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 5E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 37 07 00 14 E8 43 40 39 08 01 00 11 1F 01 00 71 80 00 00 54 08 00 80 52 E8 0B 01 39 03 00 00 14 08 04 80 52 E8 0B 01 39 E8 0B C1 39 04 3D 00 53 E8 0F 40 F9 08 31 00 91 84 00 00 11 E3 13 40 F9 E2 17 40 F9 41 00 80 52 00 01 40 B9 ?? ?? ?? ?? 20 00 80 52 22 07 00 14 E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 21 0B 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 4F 01 39 E8 4F 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 57 01 F9 E9 57 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 0E 07 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 A1 0D 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 53 01 39 E8 53 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 5B 01 F9 E9 5B 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 F5 06 00 14 E2 13 40 F9 E1 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E6 43 40 39 E5 1B 40 F9 E4 13 40 F9 E3 17 40 F9 E2 0F 40 F9 81 0C 80 52 E0 1F 40 F9 ?? ?? ?? ?? E0 57 01 39 E8 57 41 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 5F 01 F9 E9 5F 41 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 DC 06 00 14 20 00 80 52 DA 06 00 14 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F B1 1D 31 4B 01 00 54 E8 0F 40 F9 08 51 00 91 69 F4 83 52 08 01 40 B9 1F 01 09 6B 8C 00 00 54 28 00 80 52 E8 AF 00 B9 03 00 00 14 08 00 80 52 E8 AF 00 B9 E8 AF 40 B9 E8 B3 00 B9 E8 B3 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 60 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 01 B9 E9 6B 41 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 B3 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 63 01 F9 E9 63 41 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 60 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 52 A2 06 00 14 E8 0F 40 F9 0A 71 00 91 E8 0F 40 F9 09 61 00 91 E8 0F 40 F9 08 51 00 91 42 01 40 B9 21 01 40 B9 00 01 40 B9 ?? ?? ?? ?? E0 6F 01 B9 E8 6F 41 B9 08 B1 1D 11 E8 73 01 B9 EA 73 41 B9 89 0C 80 52 48 0D C9 1A 08 7D 09 1B 40 01 08 4B 04 06 80 52 E3 13 40 F9 E2 17 40 F9 41 00 80 52 00 00 00 11 ?? ?? ?? ?? 20 00 80 52 87 06 00 14 E8 0F 40 F9 08 51 00 91 08 01 40 B9 1F B1 1D 31 4B 01 00 54 E8 0F 40 F9 08 51 00 91 69 F4 83 52 08 01 40 B9 1F 01 09 6B 8C 00 00 54 28 00 80 52 E8 B7 00 B9 03 00 00 14 08 00 80 52 E8 B7 00 B9 E8 B7 40 B9 E8 BB 00 B9 E8 BB 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 61 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 01 B9 }
	condition:
		$1
}

rule file_674_21_0 {
	meta:
		name = "?store_number@@YAXHHQEAPEA_WQEA_K_W@Z"
		size = 372
		refs = "0038 ?store_number_without_lead_zeroes@@YAXHQEAPEA_WQEA_K@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 B9 E2 13 00 F9 E3 17 00 F9 E4 23 00 79 E8 23 40 79 08 01 00 11 1F 01 00 71 C1 00 00 54 E2 17 40 F9 E1 13 40 F9 E0 1B 40 B9 ?? ?? ?? ?? 4C 00 00 14 E8 17 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 3F 01 08 EB 62 08 00 54 08 00 80 52 E8 1F 00 B9 E8 17 40 B9 08 05 00 51 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 51 E8 17 00 B9 E8 17 40 B9 08 05 00 11 1F 01 00 71 A0 04 00 54 E8 1B 40 B9 1F 01 00 71 20 02 00 54 EA 1B 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 0A 3D 00 53 E8 17 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 40 F9 08 01 09 8B 0A 01 00 79 0A 00 00 14 E8 17 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 23 40 79 28 01 00 79 E9 1B 40 B9 48 01 80 52 28 0D C8 1A E8 1B 00 B9 E8 1F 40 B9 08 05 00 11 E8 1F 00 B9 D6 FF FF 17 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 13 40 F9 08 01 40 F9 09 01 09 8B E8 13 40 F9 09 01 00 F9 E8 1F 40 B9 09 7D 40 93 E8 17 40 F9 08 01 40 F9 09 01 09 CB E8 17 40 F9 09 01 00 F9 04 00 00 14 E9 17 40 F9 08 00 80 D2 28 01 00 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_22_0 {
	meta:
		name = "?store_number_without_lead_zeroes@@YAXHQEAPEA_WQEA_K@Z"
		size = 340
	strings:
		$1 = { FF C3 00 D1 E0 07 00 B9 E1 0B 00 F9 E2 07 00 F9 E8 0B 40 F9 08 01 40 F9 E8 0F 00 F9 E8 07 40 F9 08 01 40 F9 1F 05 00 F1 C9 03 00 54 EA 07 40 B9 49 01 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 08 C1 00 11 09 3D 00 53 E8 0F 40 F9 09 01 00 79 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E9 07 40 B9 48 01 80 52 28 0D C8 1A E8 07 00 B9 E8 07 40 F9 08 01 40 F9 09 05 00 D1 E8 07 40 F9 09 01 00 F9 E8 07 40 B9 1F 01 00 71 AD 00 00 54 E8 07 40 F9 08 01 40 F9 1F 05 00 F1 A8 FC FF 54 0E 00 00 14 E8 07 40 F9 09 01 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 40 F9 09 01 09 CB E8 0B 40 F9 09 01 00 F9 E9 07 40 F9 08 00 80 D2 28 01 00 F9 1F 00 00 14 E8 0B 40 F9 08 01 40 F9 E8 17 00 F9 E8 0F 40 F9 08 09 00 D1 E8 13 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 00 F9 E9 13 40 F9 E8 17 40 F9 1F 01 09 EB 42 02 00 54 E8 13 40 F9 08 01 40 79 E8 03 00 79 E9 13 40 F9 E8 17 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 09 00 D1 E8 13 00 F9 E9 17 40 F9 E8 03 40 79 28 01 00 79 E8 17 40 F9 08 09 00 91 E8 17 00 F9 EC FF FF 17 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_23_0 {
	meta:
		name = "?store_string@@YAXPEB_WQEAPEA_WQEA_K@Z"
		size = 136
	strings:
		$1 = { FF 83 00 D1 E0 03 00 F9 E1 07 00 F9 E2 0B 00 F9 E8 0B 40 F9 08 01 40 F9 1F 01 00 F1 20 03 00 54 E8 03 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 02 00 54 E8 07 40 F9 09 01 40 F9 E8 03 40 F9 08 01 40 79 28 01 00 79 E8 07 40 F9 08 01 40 F9 09 09 00 91 E8 07 40 F9 09 01 00 F9 E8 03 40 F9 08 09 00 91 E8 03 00 F9 E8 0B 40 F9 08 01 40 F9 09 05 00 D1 E8 0B 40 F9 09 01 00 F9 E5 FF FF 17 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_24_0 {
	meta:
		name = "?store_winword@@YA_NQEAU__crt_locale_pointers@@HQEBUtm@@QEAPEA_WQEA_KQEBU__crt_lc_time_data@@@Z"
		size = 2648
		refs = "0008 __security_push_cookie 0178 __acrt_GetTimeFormatEx 01b0 __acrt_GetDateFormatEx 01e0 _MallocaComputeSize 0214 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0224 _malloc_dbg 0234 _MarkAllocaS 0258 ??0?$__crt_scoped_stack_ptr_tag@_W@@QEAA@QEA_W@Z 026c ??0?$__crt_scoped_stack_ptr@_W@@QEAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0278 ?get@?$__crt_scoped_stack_ptr@_W@@QEBAPEA_WXZ 03b0 ??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ 0710 ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 071c _wcsicmp 0740 ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 09b8 ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z 09d0 _errno 0a4c __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 04 D1 E0 87 00 F9 E1 6F 00 B9 E2 2B 00 F9 E3 13 00 F9 E4 17 00 F9 E5 1F 00 F9 E8 6F 40 B9 E8 6B 00 B9 E8 6B 40 B9 1F 01 00 71 A0 00 00 54 E8 6B 40 B9 1F 05 00 71 E0 00 00 54 0B 00 00 14 E8 1F 40 F9 08 81 0A 91 08 01 40 F9 E8 07 00 F9 0A 00 00 14 E8 1F 40 F9 08 A1 0A 91 08 01 40 F9 E8 07 00 F9 05 00 00 14 E8 1F 40 F9 08 C1 0A 91 08 01 40 F9 E8 07 00 F9 E8 1F 40 F9 08 61 05 91 08 01 40 B9 1F 05 00 71 80 19 00 54 E8 6F 40 B9 1F 09 00 71 81 00 00 54 28 00 80 52 E8 63 00 39 03 00 00 14 08 00 80 52 E8 63 00 39 E8 63 40 39 E8 67 00 39 E8 2B 40 F9 08 51 00 91 08 01 40 B9 08 B1 1D 11 08 3D 00 53 E8 53 02 79 E8 2B 40 F9 08 41 00 91 08 01 40 B9 08 05 00 11 08 3D 00 53 E8 57 02 79 E8 2B 40 F9 08 31 00 91 08 01 40 B9 08 3D 00 53 E8 5F 02 79 E8 2B 40 F9 08 21 00 91 08 01 40 B9 08 3D 00 53 E8 63 02 79 E8 2B 40 F9 08 11 00 91 08 01 40 B9 08 3D 00 53 E8 67 02 79 E8 2B 40 F9 08 01 00 91 08 01 40 B9 08 3D 00 53 E8 6B 02 79 08 00 80 52 E8 6F 02 79 E8 67 40 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E8 1F 40 F9 08 E1 0A 91 05 00 80 52 04 00 80 D2 E3 07 40 F9 E2 A3 04 91 01 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 E8 1F 00 B9 0E 00 00 14 E8 1F 40 F9 08 E1 0A 91 06 00 80 D2 05 00 80 52 04 00 80 D2 E3 07 40 F9 E2 A3 04 91 01 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 A3 00 B9 E8 A3 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E0 0F 00 54 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 1F 01 00 F1 C0 02 00 54 E8 1F 40 B9 09 7D 40 93 48 00 80 D2 20 7D 08 9B 00 00 00 91 ?? ?? ?? ?? E0 67 00 F9 83 38 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 67 40 F9 ?? ?? ?? ?? E0 6B 00 F9 A1 BB 9B 52 E0 6B 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 5B 00 F9 03 00 00 14 08 00 80 D2 E8 5B 00 F9 E1 5B 40 F9 E0 63 04 91 ?? ?? ?? ?? E0 73 00 F9 E8 73 40 F9 01 01 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 93 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 1F 01 00 F1 A0 09 00 54 E8 67 40 39 08 01 00 11 1F 01 00 71 20 02 00 54 E0 83 01 91 ?? ?? ?? ?? E0 7B 00 F9 E8 1F 40 F9 08 E1 0A 91 E5 1F 40 B9 E4 7B 40 F9 E3 07 40 F9 E2 A3 04 91 01 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 E8 1F 00 B9 11 00 00 14 E0 83 01 91 ?? ?? ?? ?? E0 7F 00 F9 E8 1F 40 F9 08 E1 0A 91 06 00 80 D2 E5 1F 40 B9 E4 7F 40 F9 E3 07 40 F9 E2 A3 04 91 01 00 80 52 00 01 40 F9 ?? ?? ?? ?? E0 8F 00 B9 E8 8F 40 B9 E8 1F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 E8 57 00 F9 E8 1F 40 B9 08 05 00 51 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 0D 03 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 89 02 00 54 E8 13 40 F9 09 01 40 F9 E8 57 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E8 57 40 F9 08 09 00 91 E8 57 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 E4 FF FF 17 28 00 80 52 E8 C3 00 39 E0 83 01 91 ?? ?? ?? ?? E0 C3 40 39 A4 01 00 14 E0 83 01 91 ?? ?? ?? ?? E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 33 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 00 33 00 54 08 00 80 52 E8 07 00 79 08 00 80 52 E8 03 00 39 08 00 80 52 E8 13 00 B9 E8 07 40 F9 E8 27 00 F9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E8 27 40 F9 08 01 40 79 08 01 00 11 E8 97 00 B9 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 93 00 B9 E8 27 40 F9 08 09 00 91 E8 27 00 F9 E9 93 40 B9 E8 97 40 B9 1F 01 09 6B 41 00 00 54 EE FF FF 17 E8 27 40 F9 08 09 00 D1 E8 27 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 E8 17 00 B9 E8 17 40 B9 1F 91 01 71 0C 03 00 54 E8 17 40 B9 1F 91 01 71 40 08 00 54 E8 17 40 B9 1F 21 01 71 6C 01 00 54 E8 17 40 B9 1F 21 01 71 40 0E 00 54 E8 17 40 B9 1F 9D 00 71 80 1F 00 54 E8 17 40 B9 1F 05 01 71 C0 12 00 54 34 01 00 14 E8 17 40 B9 1F 35 01 71 20 03 00 54 E8 17 40 B9 1F 85 01 71 E0 11 00 54 2D 01 00 14 E8 17 40 B9 08 A1 01 51 E8 17 00 B9 E8 17 40 B9 1F 45 00 71 E8 24 00 54 EA 17 40 B9 89 00 00 10 28 59 AA 78 28 09 08 8B 00 01 1F D6 4A 00 21 01 21 01 21 01 21 01 66 00 21 01 21 01 21 01 21 01 21 01 74 00 9C 00 21 01 21 01 21 01 21 01 3B 00 E8 13 40 B9 E8 43 00 B9 E8 43 40 B9 08 05 00 51 E8 43 00 B9 E8 43 40 B9 1F 0D 00 71 28 02 00 54 EA 43 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 03 06 09 28 00 80 52 E8 03 00 39 A8 0D 80 52 E8 07 00 79 06 00 00 14 48 0C 80 52 E8 07 00 79 03 00 00 14 48 08 80 52 E8 07 00 79 00 01 00 14 E8 13 40 B9 E8 47 00 B9 E8 47 40 B9 08 05 00 51 E8 47 00 B9 E8 47 40 B9 1F 0D 00 71 28 02 00 54 EA 47 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 01 03 06 09 28 00 80 52 E8 03 00 39 88 0C 80 52 E8 07 00 79 06 00 00 14 28 0C 80 52 E8 07 00 79 03 00 00 14 28 08 80 52 E8 07 00 79 E7 00 00 14 E8 13 40 B9 E8 73 00 B9 E8 73 40 B9 1F 09 00 71 A0 00 00 54 E8 73 40 B9 1F 11 00 71 A0 00 00 54 06 00 00 14 28 0F 80 52 E8 07 00 79 03 00 00 14 28 0B 80 52 E8 07 00 79 D8 00 00 14 E8 13 40 B9 E8 77 00 B9 E8 77 40 B9 1F 05 00 71 A0 00 00 54 E8 77 40 B9 1F 09 00 71 80 00 00 54 05 00 00 14 28 00 80 52 E8 03 00 39 28 09 80 52 E8 07 00 79 CA 00 00 14 E8 13 40 B9 E8 7B 00 B9 E8 7B 40 B9 1F 05 00 71 A0 00 00 54 E8 7B 40 B9 1F 09 00 71 80 00 00 54 05 00 00 14 28 00 80 52 E8 03 00 39 08 09 80 52 E8 07 00 79 BC 00 00 14 E8 13 40 B9 E8 7F 00 B9 E8 7F 40 B9 1F 05 00 71 A0 00 00 54 E8 7F 40 B9 1F 09 00 71 80 00 00 54 05 00 00 14 28 00 80 52 E8 03 00 39 A8 09 80 52 E8 07 00 79 AE 00 00 14 E8 13 40 B9 E8 83 00 B9 E8 83 40 B9 1F 05 00 71 A0 00 00 54 E8 83 40 B9 1F 09 00 71 80 00 00 54 05 00 00 14 28 00 80 52 E8 03 00 39 68 0A 80 52 E8 07 00 79 A0 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 07 40 F9 ?? ?? ?? ?? E0 9F 00 B9 E8 9F 40 B9 1F 01 00 71 A1 00 00 54 E8 07 40 F9 08 29 00 91 E8 27 00 F9 0C 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 07 40 F9 ?? ?? ?? ?? E0 9B 00 B9 E8 9B 40 B9 1F 01 00 71 81 00 00 54 E8 07 40 F9 08 19 00 91 E8 27 00 F9 08 0E 80 52 E8 07 00 79 86 00 00 14 E8 2B 40 F9 08 21 00 91 08 01 40 B9 1F 2D 00 71 CC 00 00 54 E8 1F 40 F9 08 41 0A 91 08 01 40 F9 E8 5F 00 F9 05 00 00 14 E8 1F 40 F9 08 61 0A 91 08 01 40 F9 E8 5F 00 F9 E8 5F 40 F9 E8 2F 00 F9 E8 13 40 B9 1F 05 00 71 01 03 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 89 02 00 54 E8 13 40 F9 09 01 40 F9 E8 2F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E8 2F 40 F9 08 09 00 91 E8 2F 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 1D 00 00 14 E8 2F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 00 03 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 89 02 00 54 E8 13 40 F9 09 01 40 F9 E8 2F 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E8 2F 40 F9 08 09 00 91 E8 2F 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 E5 FF FF 17 E8 27 40 F9 E8 07 00 F9 CB FE FF 17 EA 13 40 B9 49 00 80 52 48 0D C9 1A 08 7D 09 1B 48 01 08 4B 1F 01 00 71 21 01 00 54 E8 13 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 07 40 F9 08 01 09 8B E8 07 00 F9 2D 00 00 14 E8 13 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 07 40 F9 08 01 09 8B E8 07 00 F9 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 20 04 00 54 E8 17 40 F9 08 01 40 F9 1F 01 00 F1 A0 03 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 9D 00 71 A1 00 00 54 E8 07 40 F9 08 09 00 91 E8 07 00 F9 14 00 00 14 E8 13 40 F9 09 01 40 F9 E8 07 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 DC FF FF 17 8F FE FF 17 E8 07 40 79 08 01 00 11 1F 01 00 71 00 03 00 54 E6 03 40 39 E5 1F 40 F9 E4 17 40 F9 E3 13 40 F9 E2 2B 40 F9 E1 07 40 79 E0 87 40 F9 ?? ?? ?? ?? E0 C7 00 39 E8 C7 40 39 08 01 00 11 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 8B 00 F9 E9 8B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 52 18 00 00 14 E8 27 40 F9 E8 07 00 F9 13 00 00 14 E8 13 40 F9 09 01 40 F9 E8 07 40 F9 08 01 40 79 28 01 00 79 E8 13 40 F9 08 01 40 F9 09 09 00 91 E8 13 40 F9 09 01 00 F9 E8 07 40 F9 08 09 00 91 E8 07 00 F9 E8 17 40 F9 08 01 40 F9 09 05 00 D1 E8 17 40 F9 09 01 00 F9 61 FE FF 17 20 00 80 52 FF C3 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_27_0 {
	meta:
		name = "_W_Getdays"
		size = 824
		refs = "0010 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0084 wcslen 00e4 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 00f4 _malloc_dbg 0104 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0110 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 0130 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0138 ??1_LocaleUpdate@@QEAA@XZ 01e0 wcscpy_s 01f0 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f8 ??_C@_1BG@NDIBBIHN@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA?$AA@ 0200 ??_C@_1JK@KCBHGGBN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 020c _invoke_watson_if_error 02b8 ??_C@_1JA@GIFINLIC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 030c ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 01 00 80 D2 E0 03 03 91 ?? ?? ?? ?? E0 5B 00 F9 E0 03 03 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 1F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 1F 1D 00 F1 62 03 00 54 E8 1F 40 F9 0A 81 05 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 1F 40 F9 0A 61 06 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E9 2B 40 F9 E8 2F 40 F9 28 01 08 8B 09 09 00 91 E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 E1 FF FF 17 E8 1B 40 F9 09 05 00 91 48 00 80 D2 20 7D 08 9B C3 03 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 D2 E8 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E0 3B 40 F9 7C 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 1F 1D 00 F1 C2 0B 00 54 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 1F 40 F9 0A 81 05 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 43 40 F9 28 01 08 CB 08 FD 41 93 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 C4 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 1F 40 F9 0A 61 06 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 4B 40 F9 28 01 08 CB 08 FD 41 93 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 24 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 9E FF FF 17 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 57 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E0 57 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_28_0 {
	meta:
		name = "_W_Getmonths"
		size = 824
		refs = "0010 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0084 wcslen 00e4 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 00f4 _malloc_dbg 0104 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 0110 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 0130 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0138 ??1_LocaleUpdate@@QEAA@XZ 01e0 wcscpy_s 01f0 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f8 ??_C@_1BK@KDNPJNHO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA?$AA@ 0200 ??_C@_1JM@LFJNHEIL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 020c _invoke_watson_if_error 02b8 ??_C@_1JC@MAAGKAKM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 030c ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 01 00 80 D2 E0 03 03 91 ?? ?? ?? ?? E0 5B 00 F9 E0 03 03 91 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 1F 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 1F 31 00 F1 62 03 00 54 E8 1F 40 F9 0A 41 07 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E8 1F 40 F9 0A C1 08 91 E9 13 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E9 2B 40 F9 E8 2F 40 F9 28 01 08 8B 09 09 00 91 E8 1B 40 F9 08 01 09 8B E8 1B 00 F9 E1 FF FF 17 E8 1B 40 F9 09 05 00 91 48 00 80 D2 20 7D 08 9B C3 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 1F 01 00 F1 21 01 00 54 08 00 80 D2 E8 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E0 3B 40 F9 7C 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 0B 00 F9 08 00 80 D2 E8 17 00 F9 04 00 00 14 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 17 40 F9 1F 31 00 F1 C2 0B 00 54 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 1F 40 F9 0A 41 07 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 43 40 F9 28 01 08 CB 08 FD 41 93 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 C4 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E9 0B 40 F9 48 07 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 1F 40 F9 0A C1 08 91 E9 17 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E8 1B 40 F9 0A 05 00 91 E9 0B 40 F9 E8 4B 40 F9 28 01 08 CB 08 FD 41 93 41 01 08 CB 62 01 40 F9 21 00 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 24 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 9E FF FF 17 E9 0B 40 F9 08 00 80 52 28 01 00 79 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 57 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 03 03 91 ?? ?? ?? ?? E0 57 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_674_29_0 {
	meta:
		name = "_W_Gettnames"
		size = 5184
		refs = "0010 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0088 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0098 _malloc_dbg 00c0 ??1_LocaleUpdate@@QEAA@XZ 00d8 memset 01b8 strcpy_s 01c8 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01d0 ??_C@_1BK@NOPPHAGO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAt?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?$AA@ 01d8 ??_C@_1LE@EPEEHFIO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI@ 01e4 _invoke_watson_if_error 0204 strlen 0310 ??_C@_1KA@DNKADEMJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 0448 ??_C@_1LI@LILLBJL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5@ 0580 ??_C@_1KE@EGBDBCG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 06b8 ??_C@_1KA@EAALKIBB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 079c ??_C@_1KI@LLEJMBLB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 086c ??_C@_1KI@GIABBOIC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 093c ??_C@_1KE@KMENGKAI@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 0a8c wcscpy_s 0aac ??_C@_1MG@MAEGINLA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN@ 0ad8 wcslen 0c04 ??_C@_1LC@MJCDIPJF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 0d5c ??_C@_1MK@EOAFACEP@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx@ 0eb4 ??_C@_1LG@LPOFFBCL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt@ 100c ??_C@_1LC@HNOGCLCC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 1110 ??_C@_1LK@CAMBHKNN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 1200 ??_C@_1LK@KFLHCLNA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 12f0 ??_C@_1LG@IAIDKMAF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt@ 13e0 ??_C@_1MG@JFPIJBHF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe@"
	strings:
		$1 = { FD 7B A6 A9 FD 03 00 91 01 00 80 D2 E0 03 06 91 ?? ?? ?? ?? E0 BF 00 F9 E0 03 06 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 17 00 F9 08 00 80 D2 E8 1B 00 F9 08 58 80 D2 E8 0B 00 F9 08 00 80 D2 E8 0F 00 F9 08 00 80 52 E8 23 00 B9 04 00 00 14 E8 23 40 B9 08 05 00 11 E8 23 00 B9 E8 23 40 B9 1F 09 00 71 8A 9D 00 54 E8 23 40 B9 1F 05 00 71 61 03 00 54 23 10 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 0B 40 F9 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 73 00 F9 E0 03 06 91 ?? ?? ?? ?? E0 73 40 F9 DC 04 00 14 E2 0B 40 F9 01 00 80 52 E0 0F 40 F9 ?? ?? ?? ?? E8 0B 40 F9 E8 1B 00 F9 08 58 80 D2 E8 0B 00 F9 08 00 80 D2 E8 1F 00 F9 04 00 00 14 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 E8 1F 40 F9 1F 1D 00 F1 C2 08 00 54 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 21 05 00 54 E9 0F 40 F9 E8 0B 40 F9 2B 01 08 8B E8 0F 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 BF 00 B9 05 00 80 D2 C4 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 BF 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A 01 00 91 E9 1F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 B6 FF FF 17 08 00 80 D2 E8 23 00 F9 04 00 00 14 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 23 40 F9 1F 1D 00 F1 C2 08 00 54 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 21 05 00 54 E9 0F 40 F9 E8 0B 40 F9 2B 01 08 8B E8 0F 40 F9 0A E1 00 91 E9 23 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A E1 00 91 E9 23 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 0A E1 00 91 E9 23 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 C3 00 B9 05 00 80 D2 E4 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 C3 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A E1 00 91 E9 23 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 7B 00 F9 E8 7B 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 B6 FF FF 17 08 00 80 D2 E8 27 00 F9 04 00 00 14 E8 27 40 F9 08 05 00 91 E8 27 00 F9 E8 27 40 F9 1F 31 00 F1 C2 08 00 54 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 21 05 00 54 E9 0F 40 F9 E8 0B 40 F9 2B 01 08 8B E8 0F 40 F9 0A C1 01 91 E9 27 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A C1 01 91 E9 27 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 0A C1 01 91 E9 27 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 C7 00 B9 05 00 80 D2 04 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 C7 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A C1 01 91 E9 27 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 B6 FF FF 17 08 00 80 D2 E8 2F 00 F9 04 00 00 14 E8 2F 40 F9 08 05 00 91 E8 2F 00 F9 E8 2F 40 F9 1F 31 00 F1 C2 08 00 54 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 21 05 00 54 E9 0F 40 F9 E8 0B 40 F9 2B 01 08 8B E8 0F 40 F9 0A 41 03 91 E9 2F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 41 03 91 E9 2F 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 0A 41 03 91 E9 2F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 CB 00 B9 05 00 80 D2 24 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 CB 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A 41 03 91 E9 2F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 83 00 F9 E8 83 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 B6 FF FF 17 08 00 80 D2 E8 33 00 F9 04 00 00 14 E8 33 40 F9 08 05 00 91 E8 33 00 F9 E8 33 40 F9 1F 09 00 F1 C2 08 00 54 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 21 05 00 54 E9 0F 40 F9 E8 0B 40 F9 2B 01 08 8B E8 0F 40 F9 0A C1 04 91 E9 33 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A C1 04 91 E9 33 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 0A C1 04 91 E9 33 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 8B 00 B9 05 00 80 D2 44 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8B 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A C1 04 91 E9 33 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 87 00 F9 E8 87 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 B6 FF FF 17 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 A1 03 00 54 E9 0F 40 F9 E8 0B 40 F9 29 01 08 8B E8 0F 40 F9 08 01 05 91 09 01 00 F9 E8 17 40 F9 0A 01 05 91 E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 08 01 05 91 42 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 BB 00 B9 05 00 80 D2 64 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 BB 40 B9 ?? ?? ?? ?? E8 17 40 F9 08 01 05 91 00 01 40 F9 ?? ?? ?? ?? E0 8B 00 F9 E8 8B 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 A1 03 00 54 E9 0F 40 F9 E8 0B 40 F9 29 01 08 8B E8 0F 40 F9 08 21 05 91 09 01 00 F9 E8 17 40 F9 0A 21 05 91 E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 08 21 05 91 42 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 8F 00 B9 05 00 80 D2 84 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 8F 40 B9 ?? ?? ?? ?? E8 17 40 F9 08 21 05 91 00 01 40 F9 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 EA 0B 40 F9 29 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 A1 03 00 54 E9 0F 40 F9 E8 0B 40 F9 29 01 08 8B E8 0F 40 F9 08 41 05 91 09 01 00 F9 E8 17 40 F9 0A 41 05 91 E9 1B 40 F9 E8 0B 40 F9 21 01 08 CB E8 0F 40 F9 08 41 05 91 42 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 93 00 B9 05 00 80 D2 A4 12 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 93 40 B9 ?? ?? ?? ?? E8 17 40 F9 08 41 05 91 00 01 40 F9 ?? ?? ?? ?? E0 93 00 F9 E8 93 40 F9 09 05 00 91 E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 E8 23 40 B9 1F 05 00 71 61 01 00 54 E8 17 40 F9 0A 61 05 91 E8 0F 40 F9 09 61 05 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 09 71 05 91 08 00 80 52 28 01 00 B9 08 00 80 D2 E8 2B 00 F9 04 00 00 14 E8 2B 40 F9 08 05 00 91 E8 2B 00 F9 E8 2B 40 F9 1F 1D 00 F1 C2 09 00 54 EA 0B 40 F9 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 E1 05 00 54 E9 0B 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 0B 01 09 8B E8 0F 40 F9 0A 81 05 91 E9 2B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 81 05 91 E9 2B 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 21 09 C8 9A E8 0F 40 F9 0A 81 05 91 E9 2B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 97 00 B9 05 00 80 D2 A4 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 97 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A 81 05 91 E9 2B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 97 00 F9 E8 97 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 AE FF FF 17 08 00 80 D2 E8 37 00 F9 04 00 00 14 E8 37 40 F9 08 05 00 91 E8 37 00 F9 E8 37 40 F9 1F 1D 00 F1 C2 09 00 54 EA 0B 40 F9 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 E1 05 00 54 E9 0B 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 0B 01 09 8B E8 0F 40 F9 0A 61 06 91 E9 37 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 61 06 91 E9 37 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 21 09 C8 9A E8 0F 40 F9 0A 61 06 91 E9 37 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 9B 00 B9 05 00 80 D2 C4 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9B 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A 61 06 91 E9 37 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 9B 00 F9 E8 9B 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 AE FF FF 17 08 00 80 D2 E8 3B 00 F9 04 00 00 14 E8 3B 40 F9 08 05 00 91 E8 3B 00 F9 E8 3B 40 F9 1F 31 00 F1 C2 09 00 54 EA 0B 40 F9 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 E1 05 00 54 E9 0B 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 0B 01 09 8B E8 0F 40 F9 0A 41 07 91 E9 3B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 41 07 91 E9 3B 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 21 09 C8 9A E8 0F 40 F9 0A 41 07 91 E9 3B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 9F 00 B9 05 00 80 D2 E4 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 9F 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A 41 07 91 E9 3B 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 9F 00 F9 E8 9F 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 AE FF FF 17 08 00 80 D2 E8 3F 00 F9 04 00 00 14 E8 3F 40 F9 08 05 00 91 E8 3F 00 F9 E8 3F 40 F9 1F 31 00 F1 C2 09 00 54 EA 0B 40 F9 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 E1 05 00 54 E9 0B 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 0B 01 09 8B E8 0F 40 F9 0A C1 08 91 E9 3F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A C1 08 91 E9 3F 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 21 09 C8 9A E8 0F 40 F9 0A C1 08 91 E9 3F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 A3 00 B9 05 00 80 D2 04 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 40 B9 ?? ?? ?? ?? E8 17 40 F9 0A C1 08 91 E9 3F 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 00 01 40 F9 ?? ?? ?? ?? E0 A3 00 F9 E8 A3 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0B 00 F9 AE FF FF 17 08 00 80 D2 E8 43 00 F9 04 00 00 14 E8 43 40 F9 08 05 00 91 E8 43 00 F9 E8 43 40 F9 1F 09 00 F1 C2 09 00 54 EA 0B 40 F9 49 00 80 D2 48 09 C9 9A 08 7D 09 9B 48 01 08 CB 1F 01 00 F1 A0 00 00 54 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 F6 FF FF 17 E8 23 40 B9 1F 05 00 71 E1 05 00 54 E9 0B 40 F9 48 00 80 D2 29 09 C8 9A 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 0B 01 09 8B E8 0F 40 F9 0A 41 0A 91 E9 43 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 0B 01 00 F9 E8 17 40 F9 0A 41 0A 91 E9 43 40 F9 08 01 80 D2 28 7D 08 9B 4B 01 08 8B E9 1B 40 F9 E8 0B 40 F9 29 01 08 CB 48 00 80 D2 21 09 C8 9A E8 0F 40 F9 0A 41 0A 91 E9 43 40 F9 08 01 80 D2 28 7D 08 9B 48 01 08 8B 62 01 40 F9 21 00 00 91 00 01 40 F9 ?? ?? ?? ?? E0 A7 00 B9 05 00 80 D2 24 14 80 52 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_31_0 {
	meta:
		name = "_Wcsftime_l"
		size = 1636
		refs = "0054 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1BI@FPGNEFIH@?$AA_?$AAW?$AAc?$AAs?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1BM@EFDGOMOL@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01e0 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 028c ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0350 ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03e0 ??1_LocaleUpdate@@QEAA@XZ 0488 ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z 05a0 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 33 00 F9 E1 43 00 F9 E2 4F 00 F9 E3 53 00 F9 E4 47 00 F9 E5 63 00 F9 E8 33 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 86 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6B 00 B9 E9 6B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 86 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 60 01 00 14 E8 43 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 6F 00 B9 E9 6F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E9 5B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 30 01 00 14 E9 33 40 F9 08 00 80 52 28 01 00 79 E8 4F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 43 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 E8 43 40 B9 E8 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 73 00 B9 E9 73 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 47 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 87 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 FD 00 00 14 E1 63 40 F9 E0 63 04 91 ?? ?? ?? ?? E0 9F 00 F9 E8 47 40 F9 1F 01 00 F1 61 01 00 54 E0 63 04 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 08 01 00 91 08 01 40 F9 08 81 04 91 08 01 40 F9 E8 4B 00 F9 03 00 00 14 E8 47 40 F9 E8 4B 00 F9 E8 4B 40 F9 E8 73 00 F9 E8 33 40 F9 E8 2F 00 F9 E8 4F 40 F9 E8 0F 00 F9 08 00 80 52 E8 43 00 39 E8 43 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 C9 10 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 E8 4B 00 B9 E8 4B 40 B9 1F 01 00 71 A0 00 00 54 E8 4B 40 B9 1F 95 00 71 60 00 00 54 6D 00 00 14 7A 00 00 14 E8 53 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 4F 00 B9 03 00 00 14 08 00 80 52 E8 4F 00 B9 E8 4F 40 B9 E8 53 00 B9 E8 53 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 7B 00 B9 E9 7B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 53 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 6B 00 F9 E9 6B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 8B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 6F 00 F9 E0 63 04 91 ?? ?? ?? ?? E0 6F 40 F9 9D 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 08 00 80 52 E8 47 00 39 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 8D 00 71 C1 00 00 54 28 00 80 52 E8 47 00 39 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 15 01 71 C0 00 00 54 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 3D 01 71 81 00 00 54 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E0 63 04 91 ?? ?? ?? ?? E0 77 00 F9 E6 47 40 39 E5 73 40 F9 E4 A3 00 91 E3 63 01 91 E2 53 40 F9 E8 0F 40 F9 01 01 40 79 E0 77 40 F9 ?? ?? ?? ?? E0 83 00 39 E8 83 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 E8 17 40 F9 1F 01 00 F1 69 00 00 54 28 00 80 52 E8 43 00 39 13 00 00 14 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 0E 00 00 14 E9 2F 40 F9 E8 0F 40 F9 08 01 40 79 28 01 00 79 E8 2F 40 F9 08 09 00 91 E8 2F 00 F9 E8 0F 40 F9 08 09 00 91 E8 0F 00 F9 E8 17 40 F9 08 05 00 D1 E8 17 00 F9 79 FF FF 17 E8 43 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 E8 17 40 F9 1F 01 00 F1 A9 01 00 54 E9 2F 40 F9 08 00 80 52 28 01 00 79 E9 43 40 F9 E8 17 40 F9 28 01 08 CB E8 7B 00 F9 E0 63 04 91 ?? ?? ?? ?? E0 7B 40 F9 46 00 00 14 43 00 00 14 E9 33 40 F9 08 00 80 52 28 01 00 79 E8 43 40 39 08 01 00 11 1F 01 00 71 41 01 00 54 E8 17 40 F9 1F 01 00 F1 E8 00 00 54 ?? ?? ?? ?? E0 7F 00 F9 E9 7F 40 F9 48 04 80 52 28 01 00 B9 2D 00 00 14 08 00 80 52 E8 57 00 B9 E8 57 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 77 00 B9 E9 77 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 57 40 B9 1F 01 00 71 A1 02 00 54 ?? ?? ?? ?? E0 83 00 F9 E9 83 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 94 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 80 D2 E8 87 00 F9 E0 63 04 91 ?? ?? ?? ?? E0 87 40 F9 09 00 00 14 08 00 80 D2 E8 8B 00 F9 E0 63 04 91 ?? ?? ?? ?? E0 8B 40 F9 03 00 00 14 E0 63 04 91 ?? ?? ?? ?? FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_675_0_0 {
	meta:
		name = "fmaxf"
		size = 164
		refs = "0014 _fdtest"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 17 00 BD E1 1B 00 BD E0 53 00 91 ?? ?? ?? ?? E0 23 00 79 E8 23 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 1B 40 BD 1B 00 00 14 1A 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 27 00 79 E8 27 C0 79 08 01 00 11 1F 09 00 71 81 00 00 54 E0 17 40 BD 11 00 00 14 10 00 00 14 F1 1B 40 BD F0 17 40 BD 00 22 31 1E 03 01 00 54 F1 1B 40 BD F0 17 40 BD 00 22 31 1E E1 00 00 54 E8 2F 40 79 08 01 00 11 88 00 78 36 E0 1B 40 BD 03 00 00 14 02 00 00 14 E0 17 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_676_0_0 {
	meta:
		name = "modff"
		size = 340
	strings:
		$1 = { FF C3 00 D1 E0 03 00 BD E0 0B 00 F9 F0 03 40 BD F0 1B 00 BD E8 1B 40 B9 E8 07 00 B9 E8 07 40 B9 08 79 00 12 08 7D 17 53 08 FD 01 51 E8 0B 00 B9 E8 0B 40 B9 1F 01 00 71 4A 01 00 54 E8 07 40 B9 08 01 01 12 E8 1F 00 B9 E8 0B 40 F9 F0 1F 40 BD 10 01 00 BD E0 03 40 BD 3C 00 00 14 3B 00 00 14 E8 0B 40 B9 1F 5D 00 71 2A 04 00 54 E9 02 80 52 E8 0B 40 B9 29 01 08 4B 28 00 80 52 08 21 C9 1A 08 05 00 51 E8 23 00 B9 E8 23 40 B9 E9 03 28 2A E8 07 40 B9 08 01 09 0A E8 27 00 B9 E8 0B 40 F9 F0 27 40 BD 10 01 00 BD E8 0B 40 F9 11 01 40 BD F0 03 40 BD 00 22 31 1E C1 00 00 54 F0 03 40 BD 08 22 20 1E 62 00 00 54 40 04 00 1C 1F 00 00 14 F1 03 40 BD E8 0B 40 F9 10 01 40 BD 20 3A 30 1E 00 40 20 1E 19 00 00 14 18 00 00 14 E8 07 40 B9 09 79 00 12 08 F0 AF 52 3F 01 08 6B 49 01 00 54 E8 0B 40 F9 F0 03 40 BD 10 01 00 BD F1 03 40 BD F0 03 40 BD 20 2A 30 1E 00 40 20 1E 0B 00 00 14 0A 00 00 14 E8 0B 40 F9 F0 03 40 BD 10 01 00 BD E8 07 40 B9 08 01 01 12 E8 2B 00 B9 F0 2B 40 BD F0 03 00 BD E0 03 40 BD FF C3 00 91 C0 03 5F D6 00 00 00 80 }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "__acrt_initialize_command_line"
		size = 76
		refs = "0008 __imp_GetCommandLineA 0018 _acmdln 0024 __imp_GetCommandLineW 0034 _wcmdln"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0B 00 F9 ?? ?? ?? ?? E8 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 0F 00 F9 ?? ?? ?? ?? E8 0F 40 F9 ?? ?? ?? ?? 20 00 80 52 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_677_9_0 {
	meta:
		name = "_get_pgmptr"
		size = 428
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BI@COAAPHJK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 _invalid_parameter 00cc _pgmptr 0104 ??_C@_1CG@CKJHPBDG@?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 37 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 06 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 06 00 00 14 E9 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_677_10_0 {
	meta:
		name = "_get_wpgmptr"
		size = 428
		refs = "0040 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 _CrtDbgReportW 008c _errno 00b0 ??_C@_1BK@PNLDCCDP@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 _invalid_parameter 00cc _wpgmptr 0104 ??_C@_1CI@ENCADPBF@?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E8 17 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 23 00 B9 E9 23 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 43 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 37 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 05 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 06 00 00 14 E9 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 00 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_678_5_0 {
	meta:
		name = "_mbsnicmp_l"
		size = 664
		refs = "0030 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 004c _strnicmp 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_1HC@BNMBHOFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 007c _CrtDbgReportW 008c _errno 00ac ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_1BI@PAEGENJF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0100 _invalid_parameter"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BD A9 FD 03 00 91 13 00 00 91 34 00 00 91 55 00 00 91 75 00 00 B5 00 00 80 52 99 00 00 14 61 00 00 91 E0 43 00 91 ?? ?? ?? ?? ED 13 40 F9 A8 09 40 B9 C8 00 00 35 A2 02 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 88 00 00 14 93 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 43 07 80 52 ?? ?? ?? ?? 14 00 00 14 54 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 07 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? 00 00 B0 12 5A 00 00 14 6C 16 40 38 B5 06 00 D1 88 1D 00 53 A8 C1 28 8B 09 65 40 39 89 03 10 36 6A 02 40 39 6A 00 00 35 0F 00 80 52 1F 00 00 14 49 21 0C 2A AA 19 40 79 73 06 00 91 2F 3D 00 53 FF 01 0A 6B 03 01 00 54 A8 1D 40 79 FF 01 08 6B A8 00 00 54 AB 21 40 79 6B 01 0F 0B 6F 3D 00 53 12 00 00 14 AC 25 40 79 FF 01 0C 6B E3 01 00 54 A9 29 40 79 FF 01 09 6B 88 01 00 54 AA 2D 40 79 48 01 0F 0B 0F 3D 00 53 08 00 00 14 8A 05 00 11 AA C1 2A 8B 4B 61 40 39 6B 00 20 36 89 01 0D 8B 2C 65 44 39 8F 3D 00 53 8E 16 40 38 C8 1D 00 53 A8 C1 28 8B 0A 65 40 39 8A 03 10 36 89 02 40 39 69 00 00 35 0E 00 80 52 1F 00 00 14 AA 19 40 79 29 21 0E 2A 94 06 00 91 2E 3D 00 53 DF 01 0A 6B 03 01 00 54 A8 1D 40 79 DF 01 08 6B A8 00 00 54 AB 21 40 79 6B 01 0E 0B 6E 3D 00 53 12 00 00 14 AC 25 40 79 DF 01 0C 6B E3 01 00 54 A9 29 40 79 DF 01 09 6B 88 01 00 54 AA 2D 40 79 48 01 0E 0B 0E 3D 00 53 08 00 00 14 CA 05 00 11 AA C1 2A 8B 4B 61 40 39 6B 00 20 36 C9 01 0D 8B 2E 65 44 39 CE 3D 00 53 FF 01 0E 6B A1 00 00 54 4F 00 00 34 D5 F5 FF B5 00 00 80 52 05 00 00 14 FF 01 0E 6B 29 00 80 52 08 00 80 12 20 81 88 1A E8 A3 40 39 A8 00 00 34 EA 0B 40 F9 48 A9 43 B9 09 79 1E 12 49 A9 03 B9 FD 7B C3 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_0_0 {
	meta:
		name = "??$common_tox_l@$1?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
		size = 680
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0038 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0048 ?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z 0074 ?internal_map_upper@@YAHHQEAU__crt_locale_pointers@@@Z 0088 ??1_LocaleUpdate@@QEAA@XZ 0114 _isleadbyte_l 015c _errno 0218 __acrt_LCMapStringA"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 FF 43 00 D1 E0 23 00 B9 E1 47 00 B9 E2 43 00 F9 E1 43 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 67 00 F9 E8 23 40 B9 1F 01 04 71 E2 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 23 40 B9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E0 83 01 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 E0 23 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 3B 40 B9 83 00 00 14 E8 23 40 B9 E8 3F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 3F 40 B9 7D 00 00 14 08 00 80 D2 E8 2F 00 F9 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 E0 83 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 6D 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 53 00 F9 E8 23 40 B9 08 7D 08 13 00 1D 00 12 E1 53 40 F9 00 00 00 11 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 C0 01 00 54 E8 23 40 B9 08 7D 08 13 08 1D 00 12 08 1D 00 53 E8 93 00 39 E8 23 40 B9 08 1D 00 53 E8 97 00 39 08 00 80 52 E8 9B 00 39 48 00 80 D2 E8 2F 00 F9 0D 00 00 14 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 05 80 52 28 01 00 B9 E8 23 40 B9 08 1D 00 53 E8 93 00 39 08 00 80 52 E8 97 00 39 28 00 80 D2 E8 2F 00 F9 E9 B3 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 E0 83 01 91 ?? ?? ?? ?? E0 5B 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 5F 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 63 00 F9 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 2F 40 F9 04 01 00 11 E8 5F 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 66 00 80 52 E5 B3 00 91 84 00 00 11 E3 93 00 91 E2 47 40 B9 21 01 40 F9 E0 63 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 E1 00 00 54 E8 23 40 B9 E8 4F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 4F 40 B9 15 00 00 14 E8 33 40 B9 1F 05 00 71 01 01 00 54 E8 B3 40 39 08 01 00 11 E8 53 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 53 40 B9 0B 00 00 14 E9 B7 40 39 29 01 00 11 E8 B3 40 39 08 01 00 11 08 5D 18 53 28 01 08 2A E8 57 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 57 40 B9 FF 43 00 91 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_1_0 {
	meta:
		name = "??$common_tox_l@$1?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
		size = 680
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0038 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 0048 ?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z 0074 ?internal_map_lower@@YAHHQEAU__crt_locale_pointers@@@Z 0088 ??1_LocaleUpdate@@QEAA@XZ 0114 _isleadbyte_l 015c _errno 0218 __acrt_LCMapStringA"
	strings:
		$1 = { FD 7B B4 A9 FD 03 00 91 FF 43 00 D1 E0 23 00 B9 E1 47 00 B9 E2 43 00 F9 E1 43 40 F9 E0 83 01 91 ?? ?? ?? ?? E0 67 00 F9 E8 23 40 B9 1F 01 04 71 E2 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 23 40 B9 ?? ?? ?? ?? E0 A3 00 39 E8 A3 40 39 08 01 00 11 1F 01 00 71 C0 01 00 54 E0 83 01 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 E0 23 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 E8 3B 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 3B 40 B9 83 00 00 14 E8 23 40 B9 E8 3F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 3F 40 B9 7D 00 00 14 08 00 80 D2 E8 2F 00 F9 E9 93 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 E0 83 01 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 6D 03 00 54 E0 83 01 91 ?? ?? ?? ?? E0 53 00 F9 E8 23 40 B9 08 7D 08 13 00 1D 00 12 E1 53 40 F9 00 00 00 11 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 C0 01 00 54 E8 23 40 B9 08 7D 08 13 08 1D 00 12 08 1D 00 53 E8 93 00 39 E8 23 40 B9 08 1D 00 53 E8 97 00 39 08 00 80 52 E8 9B 00 39 48 00 80 D2 E8 2F 00 F9 0D 00 00 14 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 48 05 80 52 28 01 00 B9 E8 23 40 B9 08 1D 00 53 E8 93 00 39 08 00 80 52 E8 97 00 39 28 00 80 D2 E8 2F 00 F9 E9 B3 00 91 29 01 00 91 08 00 80 52 28 01 00 79 28 09 00 39 E0 83 01 91 ?? ?? ?? ?? E0 5B 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 5F 00 F9 E0 83 01 91 ?? ?? ?? ?? E0 63 00 F9 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 0A 31 00 91 E8 2F 40 F9 04 01 00 11 E8 5F 40 F9 08 01 00 91 08 01 40 F9 09 E1 04 91 28 00 80 52 E8 03 00 B9 47 01 40 B9 66 00 80 52 E5 B3 00 91 84 00 00 11 E3 93 00 91 E2 47 40 B9 21 01 40 F9 E0 63 40 F9 ?? ?? ?? ?? E0 4B 00 B9 E8 4B 40 B9 E8 33 00 B9 E8 33 40 B9 1F 01 00 71 E1 00 00 54 E8 23 40 B9 E8 4F 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 4F 40 B9 15 00 00 14 E8 33 40 B9 1F 05 00 71 01 01 00 54 E8 B3 40 39 08 01 00 11 E8 53 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 53 40 B9 0B 00 00 14 E9 B7 40 39 29 01 00 11 E8 B3 40 39 08 01 00 11 08 5D 18 53 28 01 08 2A E8 57 00 B9 E0 83 01 91 ?? ?? ?? ?? E0 57 40 B9 FF 43 00 91 FD 7B CC A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_5_0 {
	meta:
		name = "?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z"
		size = 88
		refs = "001c _ischartype_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 13 00 F9 E2 13 40 F9 41 00 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_6_0 {
	meta:
		name = "?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z"
		size = 88
		refs = "001c _ischartype_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 13 00 F9 E2 13 40 F9 21 00 80 52 E0 17 40 B9 ?? ?? ?? ?? E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_7_0 {
	meta:
		name = "?internal_map_lower@@YAHHQEAU__crt_locale_pointers@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E1 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 0A 41 04 91 E8 03 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 00 01 40 39 00 00 00 11 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_8_0 {
	meta:
		name = "?internal_map_upper@@YAHHQEAU__crt_locale_pointers@@@Z"
		size = 72
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E1 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 F9 0A 61 04 91 E8 03 40 B9 09 7D 40 93 28 00 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 00 01 40 39 00 00 00 11 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_13_0 {
	meta:
		name = "_tolower"
		size = 32
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 08 05 01 51 00 85 01 11 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_14_0 {
	meta:
		name = "_tolower_l"
		size = 48
		refs = "001c ??$common_tox_l@$1?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E2 0F 40 F9 01 20 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_15_0 {
	meta:
		name = "_toupper"
		size = 32
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E8 03 40 B9 08 85 01 51 00 05 01 11 00 00 00 11 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_16_0 {
	meta:
		name = "_toupper_l"
		size = 48
		refs = "001c ??$common_tox_l@$1?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 B9 E1 0F 00 F9 E2 0F 40 F9 01 40 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E0 17 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_17_0 {
	meta:
		name = "tolower"
		size = 136
		refs = "000c __acrt_locale_changed 002c _tolower_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1F 00 B9 10 00 00 14 E8 17 40 B9 1F 05 01 71 2B 01 00 54 E8 17 40 B9 1F 69 01 71 CC 00 00 54 E8 17 40 B9 08 05 01 51 08 85 01 11 E8 1B 00 B9 03 00 00 14 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_679_18_0 {
	meta:
		name = "toupper"
		size = 136
		refs = "000c __acrt_locale_changed 002c _toupper_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 00 01 00 54 01 00 80 D2 E0 17 40 B9 ?? ?? ?? ?? E0 23 00 B9 E8 23 40 B9 E8 1F 00 B9 10 00 00 14 E8 17 40 B9 1F 85 01 71 2B 01 00 54 E8 17 40 B9 1F E9 01 71 CC 00 00 54 E8 17 40 B9 08 85 01 51 08 05 01 11 E8 1B 00 B9 03 00 00 14 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E0 1F 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_4_0 {
	meta:
		name = "??$common_tempnam@D@@YAPEADQEBD0H0H@Z"
		size = 820
		refs = "002c ??$get_directory@D@@YAPEBDQEBDQEAPEBD@Z 003c ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@QEBD@Z 0054 ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z 0080 ??$tcslen@AEAPEBD@?$__crt_char_traits@D@@SA_KAEAPEBD@Z 00bc _calloc_dbg 00cc ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@QEAD@Z 00d8 ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBA_NXZ 00fc ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ 0104 ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@XZ 0114 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEBAPEADXZ 0148 ??$tcscat_s@PEADAEBIAEAPEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEAPEBD@Z 0158 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0160 ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0168 ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0174 _invoke_watson_if_error 017c ?__crt_stdio_path_requires_backslash@@YA_NQEBD@Z 01a8 ?backslash@?6???$common_tempnam@D@@YAPEADQEBD0H0H@Z@4QBDB 01b8 ??$tcscat_s@PEADAEBIAEAY01$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEAY01$$CBD@Z 01d8 ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0214 ??$tcscat_s@PEADAEBIAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEBQEBD@Z 0234 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0268 ??$tcslen@PEAD@?$__crt_char_traits@D@@SA_K$$QEAPEAD@Z 02cc ??$compute_name@D@@YA_NQEBDQEAD_K2@Z 0308 ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 37 00 F9 E1 1F 00 F9 E2 47 00 B9 E3 47 00 F9 E4 43 00 B9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 37 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E1 3B 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 97 00 F9 E8 1F 40 F9 1F 01 00 F1 00 01 00 54 E0 E3 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 11 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 09 01 00 11 E8 2B 40 B9 28 01 08 0B 08 31 00 11 E8 23 00 B9 E8 23 40 B9 00 7D 40 D3 E4 43 40 B9 E3 47 40 F9 E2 47 40 B9 21 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 9B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 D2 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 4F 40 F9 88 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 08 00 80 52 28 01 00 39 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 5B 00 F9 E2 C3 00 91 E1 83 00 91 E0 C3 02 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 C4 1C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 63 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 83 00 91 E0 03 03 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 64 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E8 1F 40 F9 1F 01 00 F1 A0 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 6B 00 F9 E2 E3 00 91 E1 83 00 91 E0 43 03 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 04 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 77 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 73 00 F9 E0 83 03 91 ?? ?? ?? ?? E0 7B 00 F9 E9 77 40 F9 E8 7B 40 F9 28 01 08 8B E8 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 7F 00 F9 E8 23 40 B9 0A 7D 40 D3 E9 33 40 F9 E8 7F 40 F9 28 01 08 CB 48 01 08 CB E8 83 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 87 00 F9 E8 2B 40 B9 03 7D 40 D3 63 00 00 91 E2 83 40 F9 E1 33 40 F9 E0 87 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 D2 E8 8B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 8B 40 F9 0B 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 E8 93 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 93 40 F9 FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_5_0 {
	meta:
		name = "??$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z"
		size = 832
		refs = "002c ??$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z 003c ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@QEB_W@Z 0054 ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z 0080 ??$tcslen@AEAPEB_W@?$__crt_char_traits@_W@@SA_KAEAPEB_W@Z 00bc _calloc_dbg 00cc ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@QEA_W@Z 00d8 ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBA_NXZ 00fc ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ 0104 ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@XZ 0114 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEBAPEA_WXZ 0148 ??$tcscat_s@PEA_WAEBIAEAPEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEAPEB_W@Z 0158 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0160 ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0168 ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0174 _invoke_watson_if_error 017c ?__crt_stdio_path_requires_backslash@@YA_NQEB_W@Z 01a8 ?backslash@?6???$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z@4QB_WB 01b8 ??$tcscat_s@PEA_WAEBIAEAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEAY01$$CB_W@Z 01d8 ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0214 ??$tcscat_s@PEA_WAEBIAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEBQEB_W@Z 0234 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0268 ??$tcslen@PEA_W@?$__crt_char_traits@_W@@SA_K$$QEAPEA_W@Z 02d8 ??$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z 0314 ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B AC A9 FD 03 00 91 E0 37 00 F9 E1 1F 00 F9 E2 47 00 B9 E3 47 00 F9 E4 43 00 B9 08 00 80 D2 E8 1B 00 F9 E1 C3 00 91 E0 37 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E1 3B 40 F9 E0 63 01 91 ?? ?? ?? ?? E0 97 00 F9 E8 1F 40 F9 1F 01 00 F1 00 01 00 54 E0 E3 00 91 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 08 01 00 11 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E8 27 40 B9 E8 2B 00 B9 E0 C3 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 09 01 00 11 E8 2B 40 B9 28 01 08 0B 08 31 00 11 E8 23 00 B9 E8 23 40 B9 00 7D 40 D3 E4 43 40 B9 E3 47 40 F9 E2 47 40 B9 41 00 80 D2 00 00 00 91 ?? ?? ?? ?? E0 4B 00 F9 E1 4B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 9B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 D2 E8 4F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 4F 40 F9 8B 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 53 00 F9 E9 53 40 F9 08 00 80 52 28 01 00 79 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 5B 00 F9 E2 C3 00 91 E1 83 00 91 E0 C3 02 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 C4 1C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? E0 1B 40 F9 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 C0 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 63 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 83 00 91 E0 03 03 91 ?? ?? ?? ?? E0 4F 00 B9 05 00 80 D2 64 1D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4F 40 B9 ?? ?? ?? ?? E8 1F 40 F9 1F 01 00 F1 A0 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 E8 6B 00 F9 E2 E3 00 91 E1 83 00 91 E0 43 03 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 04 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 7B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 E8 73 00 F9 E0 83 03 91 ?? ?? ?? ?? E0 77 00 F9 E9 77 40 F9 48 00 80 D2 29 7D 08 9B E8 7B 40 F9 08 01 09 8B E8 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 7F 00 F9 E8 23 40 B9 0A 7D 40 D3 E9 33 40 F9 E8 7F 40 F9 28 01 08 CB 08 FD 41 93 48 01 08 CB E8 83 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 87 00 F9 E8 2B 40 B9 03 7D 40 D3 63 00 00 91 E2 83 40 F9 E1 33 40 F9 E0 87 40 F9 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 21 01 00 54 08 00 80 D2 E8 8B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 8B 40 F9 0B 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 8F 00 F9 E8 8F 40 F9 E8 93 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 63 01 91 ?? ?? ?? ?? E0 93 40 F9 FD 7B D4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_6_0 {
	meta:
		name = "??$compute_name@D@@YA_NQEBDQEAD_K2@Z"
		size = 400
		refs = "0024 __acrt_lock 0028 _old_pfxlen 0040 _tempoff 0068 _errno 00e0 ??$ultot_s@AEAIAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEAIAEBQEADAEB_K$$QEAH@Z 00f0 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f8 ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0100 ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 010c _invoke_watson_if_error 0134 ??$taccess_s@AEBQEBDH@?$__crt_char_traits@D@@SAHAEBQEBD$$QEAH@Z 0180 __acrt_unlock"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 33 00 F9 A1 2B 00 F9 A2 27 00 F9 A3 1B 00 F9 08 00 80 52 A8 43 00 39 80 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 7D 40 D3 A8 1B 40 F9 3F 01 08 EB 82 00 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? A8 1B 40 F9 09 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 1B 00 B9 ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 08 01 40 B9 A8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 1B 40 B9 29 01 08 4B 08 00 B0 12 3F 01 08 6B E9 00 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 A8 17 40 B9 28 01 00 B9 2F 00 00 14 48 01 80 52 A8 1F 00 B9 A3 73 00 91 A2 23 01 91 A1 43 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 23 00 B9 05 00 80 D2 64 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 23 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 A8 27 00 B9 A1 93 00 91 A0 83 01 91 ?? ?? ?? ?? A0 2B 00 B9 A8 2B 40 B9 1F 01 00 71 C0 F9 FF 54 ?? ?? ?? ?? A0 37 00 F9 A8 37 40 F9 08 01 40 B9 1F 35 00 71 00 F9 FF 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 A8 17 40 B9 28 01 00 B9 28 00 80 52 A8 43 00 39 80 01 80 52 ?? ?? ?? ?? A0 43 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_8_0 {
	meta:
		name = "??$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z"
		size = 400
		refs = "0024 __acrt_lock 0028 _old_pfxlen 0040 _tempoff 0068 _errno 00e0 ??$ultot_s@AEAIAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEAIAEBQEA_WAEB_K$$QEAH@Z 00f0 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f8 ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0100 ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 010c _invoke_watson_if_error 0134 ??$taccess_s@AEBQEB_WH@?$__crt_char_traits@_W@@SAHAEBQEB_W$$QEAH@Z 0180 __acrt_unlock"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 33 00 F9 A1 2B 00 F9 A2 27 00 F9 A3 1B 00 F9 08 00 80 52 A8 43 00 39 80 01 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 09 7D 40 D3 A8 1B 40 F9 3F 01 08 EB 82 00 00 54 ?? ?? ?? ?? 28 00 80 52 ?? ?? ?? ?? A8 1B 40 F9 09 01 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 1B 00 B9 ?? ?? ?? ?? A0 1F 00 F9 A8 1F 40 F9 08 01 40 B9 A8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? 09 05 00 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A8 1B 40 B9 29 01 08 4B 08 00 B0 12 3F 01 08 6B E9 00 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 A8 17 40 B9 28 01 00 B9 2F 00 00 14 48 01 80 52 A8 1F 00 B9 A3 73 00 91 A2 23 01 91 A1 43 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 23 00 B9 05 00 80 D2 64 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A0 23 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 A8 27 00 B9 A1 93 00 91 A0 83 01 91 ?? ?? ?? ?? A0 2B 00 B9 A8 2B 40 B9 1F 01 00 71 C0 F9 FF 54 ?? ?? ?? ?? A0 37 00 F9 A8 37 40 F9 08 01 40 B9 1F 35 00 71 00 F9 FF 54 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 A8 17 40 B9 28 01 00 B9 28 00 80 52 A8 43 00 39 80 01 80 52 ?? ?? ?? ?? A0 43 40 39 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_10_0 {
	meta:
		name = "??$get_directory@D@@YAPEBDQEBDQEAPEBD@Z"
		size = 568
		refs = "0010 ??$get_tmp_directory@D@@YAPEBDXZ 0020 ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@QEBD@Z 002c ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEBAPEBDXZ 0064 ??$taccess_s@PEBDH@?$__crt_char_traits@D@@SAH$$QEAPEBD$$QEAH@Z 007c ?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAPEBDXZ 00a0 ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@XZ 00bc ??$strip_quotes@D@@YAPEBDQEBD@Z 0184 ??$taccess_s@AEBQEBDH@?$__crt_char_traits@D@@SAHAEBQEBD$$QEAH@Z 01c8 ?root_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB 01d0 ??$taccess_s@AEAY01$$CBDH@?$__crt_char_traits@D@@SAHAEAY01$$CBD$$QEAH@Z 0210 ?cwd_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 60 09 00 54 08 00 80 52 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E1 A3 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 C1 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 0F 40 F9 E8 3B 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 40 F9 E8 3F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 40 F9 62 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 6F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 1F 01 00 F1 C0 03 00 54 08 00 80 52 E8 33 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 53 00 F9 E1 C3 00 91 E0 83 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 01 02 00 54 E0 83 00 91 ?? ?? ?? ?? E0 57 00 F9 E9 0F 40 F9 E8 57 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 40 F9 E8 5B 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 5B 40 F9 35 00 00 14 E0 83 00 91 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 60 02 00 54 08 00 80 52 E8 3B 00 B9 E1 E3 00 91 E0 23 01 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 41 01 00 54 E9 0F 40 F9 E8 27 40 F9 28 01 00 F9 08 00 80 D2 E8 5F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 5F 40 F9 1E 00 00 14 08 00 80 52 E8 43 00 B9 E1 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 61 01 00 54 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 08 00 80 D2 E8 63 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 63 40 F9 0A 00 00 14 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 08 00 80 D2 E8 67 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 67 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_11_0 {
	meta:
		name = "??$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z"
		size = 568
		refs = "0010 ??$get_tmp_directory@_W@@YAPEB_WXZ 0020 ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@QEB_W@Z 002c ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEBAPEB_WXZ 0064 ??$taccess_s@PEB_WH@?$__crt_char_traits@_W@@SAH$$QEAPEB_W$$QEAH@Z 007c ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAPEB_WXZ 00a0 ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@XZ 00bc ??$strip_quotes@_W@@YAPEB_WQEB_W@Z 0184 ??$taccess_s@AEBQEB_WH@?$__crt_char_traits@_W@@SAHAEBQEB_W$$QEAH@Z 01c8 ?root_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB 01d0 ??$taccess_s@AEAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAEAY01$$CB_W$$QEAH@Z 0210 ?cwd_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB"
	strings:
		$1 = { FD 7B B2 A9 FD 03 00 91 E0 27 00 F9 E1 0F 00 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 43 00 91 ?? ?? ?? ?? E0 6B 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 60 09 00 54 08 00 80 52 E8 2B 00 B9 E0 43 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E1 A3 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 2F 00 B9 E8 2F 40 B9 1F 01 00 71 C1 01 00 54 E0 43 00 91 ?? ?? ?? ?? E0 3B 00 F9 E9 0F 40 F9 E8 3B 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 40 F9 E8 3F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 3F 40 F9 62 00 00 14 E0 43 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 43 40 F9 ?? ?? ?? ?? E0 47 00 F9 E1 47 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 6F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 1F 01 00 F1 C0 03 00 54 08 00 80 52 E8 33 00 B9 E0 83 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 53 00 F9 E1 C3 00 91 E0 83 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 37 40 B9 1F 01 00 71 01 02 00 54 E0 83 00 91 ?? ?? ?? ?? E0 57 00 F9 E9 0F 40 F9 E8 57 40 F9 28 01 00 F9 E8 0F 40 F9 08 01 40 F9 E8 5B 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 91 ?? ?? ?? ?? E0 5B 40 F9 35 00 00 14 E0 83 00 91 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 60 02 00 54 08 00 80 52 E8 3B 00 B9 E1 E3 00 91 E0 23 01 91 ?? ?? ?? ?? E0 3F 00 B9 E8 3F 40 B9 1F 01 00 71 41 01 00 54 E9 0F 40 F9 E8 27 40 F9 28 01 00 F9 08 00 80 D2 E8 5F 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 5F 40 F9 1E 00 00 14 08 00 80 52 E8 43 00 B9 E1 03 01 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 61 01 00 54 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 08 00 80 D2 E8 63 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 63 40 F9 0A 00 00 14 E9 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 28 01 00 F9 08 00 80 D2 E8 67 00 F9 E0 43 00 91 ?? ?? ?? ?? E0 67 40 F9 FD 7B CE A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_12_0 {
	meta:
		name = "??$get_tmp_directory@D@@YAPEBDXZ"
		size = 140
		refs = "0020 ?tmp_name@?1???$get_tmp_directory@D@@YAPEBDXZ@4QBDB 0030 ??$tdupenv_s_crt@PEAPEAD$$TAEAY03$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEAY03$$CBD@Z 0040 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0048 ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 0050 ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 0064 _invoke_watson_if_oneof"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 08 00 80 D2 E8 0F 00 F9 08 00 80 D2 E8 13 00 F9 E8 63 00 91 E8 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 83 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 B9 07 00 80 D2 E6 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C2 02 80 52 C1 02 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_13_0 {
	meta:
		name = "??$get_tmp_directory@_W@@YAPEB_WXZ"
		size = 140
		refs = "0020 ?tmp_name@?1???$get_tmp_directory@_W@@YAPEB_WXZ@4QB_WB 0030 ??$tdupenv_s_crt@PEAPEA_W$$TAEAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEAY03$$CB_W@Z 0040 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0048 ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 0050 ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 0064 _invoke_watson_if_oneof"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 08 00 80 D2 E8 0F 00 F9 08 00 80 D2 E8 13 00 F9 E8 63 00 91 E8 17 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E1 83 00 91 E0 A3 00 91 ?? ?? ?? ?? E0 13 00 B9 07 00 80 D2 E6 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C2 02 80 52 C1 02 80 52 E0 13 40 B9 ?? ?? ?? ?? E0 17 00 B9 E8 17 40 B9 1F 01 00 71 60 00 00 54 00 00 80 D2 02 00 00 14 E0 0F 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_14_0 {
	meta:
		name = "??$strip_quotes@D@@YAPEBDQEBD@Z"
		size = 428
		refs = "00a4 ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 00b8 _calloc_dbg 00c8 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@QEAD@Z 00d4 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEBAPEADXZ 00f4 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ 0188 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAPEADXZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 F9 08 00 80 D2 E8 17 00 F9 08 00 80 D2 E8 1F 00 F9 E8 23 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 05 00 91 E8 13 00 F9 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 01 C0 39 08 01 00 11 1F 89 00 71 81 00 00 54 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 ED FF FF 17 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 47 00 00 14 E9 1F 40 F9 E8 17 40 F9 28 01 08 CB 08 05 00 91 E8 27 00 F9 84 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 21 00 80 D2 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 40 F9 2A 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 1B 00 F9 E8 23 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 91 E8 0B 00 F9 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0B 40 F9 08 01 C0 39 08 01 00 11 1F 89 00 71 41 00 00 54 F3 FF FF 17 E9 1B 40 F9 E8 0B 40 F9 08 01 C0 39 28 01 00 39 E8 1B 40 F9 08 05 00 91 E8 1B 00 F9 EB FF FF 17 E9 1B 40 F9 08 00 80 52 28 01 00 39 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3F 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_15_0 {
	meta:
		name = "??$strip_quotes@_W@@YAPEB_WQEB_W@Z"
		size = 428
		refs = "00a4 ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 00b8 _calloc_dbg 00c8 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00d4 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 00f4 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 0188 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEA_WXZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 E0 23 00 F9 08 00 80 D2 E8 17 00 F9 08 00 80 D2 E8 1F 00 F9 E8 23 40 F9 E8 13 00 F9 04 00 00 14 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 A0 01 00 54 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 89 00 71 81 00 00 54 E8 17 40 F9 08 05 00 91 E8 17 00 F9 E8 1F 40 F9 08 05 00 91 E8 1F 00 F9 ED FF FF 17 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 47 00 00 14 E9 1F 40 F9 E8 17 40 F9 28 01 08 CB 08 05 00 91 E8 27 00 F9 84 04 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 41 00 80 D2 E0 27 40 F9 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 E1 00 00 54 08 00 80 D2 E8 33 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 33 40 F9 2A 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 37 00 F9 E8 37 40 F9 E8 1B 00 F9 E8 23 40 F9 E8 0B 00 F9 04 00 00 14 E8 0B 40 F9 08 09 00 91 E8 0B 00 F9 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 01 00 54 E8 0B 40 F9 08 01 40 79 08 01 00 11 1F 89 00 71 41 00 00 54 F3 FF FF 17 E9 1B 40 F9 E8 0B 40 F9 08 01 40 79 28 01 00 79 E8 1B 40 F9 08 09 00 91 E8 1B 00 F9 EB FF FF 17 E9 1B 40 F9 08 00 80 52 28 01 00 79 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 3F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 3F 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_16_0 {
	meta:
		name = "??$taccess_s@AEAY01$$CBDH@?$__crt_char_traits@D@@SAHAEAY01$$CBD$$QEAH@Z"
		size = 48
		refs = "001c _access_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_17_0 {
	meta:
		name = "??$taccess_s@AEAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAEAY01$$CB_W$$QEAH@Z"
		size = 48
		refs = "001c _waccess_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 13 00 F9 E1 0F 00 F9 E8 0F 40 F9 01 01 40 B9 E0 13 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_22_0 {
	meta:
		name = "??$tcscat_s@PEADAEBIAEAPEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEAPEBD@Z"
		size = 72
		refs = "0034 strcat_s"
		altNames = "??$tcscat_s@PEADAEBIAEBQEBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEBQEBD@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0F 40 F9 08 01 40 B9 01 7D 40 D3 E8 13 40 F9 02 01 40 F9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_25_0 {
	meta:
		name = "??$tcscat_s@PEA_WAEBIAEAPEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEAPEB_W@Z"
		size = 72
		refs = "0034 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0F 40 F9 08 01 40 B9 01 7D 40 D3 E8 13 40 F9 02 01 40 F9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_27_0 {
	meta:
		name = "??$tcscat_s@PEA_WAEBIAEBQEB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEBQEB_W@Z"
		size = 72
		refs = "0034 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0F 40 F9 08 01 40 B9 01 7D 40 D3 E8 13 40 F9 02 01 40 F9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_23_0 {
	meta:
		name = "??$tcscat_s@PEADAEBIAEAY01$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEADAEBIAEAY01$$CBD@Z"
		size = 68
		refs = "0030 strcat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0F 40 F9 08 01 40 B9 01 7D 40 D3 E2 13 40 F9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_26_0 {
	meta:
		name = "??$tcscat_s@PEA_WAEBIAEAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEBIAEAY01$$CB_W@Z"
		size = 68
		refs = "0030 wcscat_s"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 E2 13 00 F9 E8 0F 40 F9 08 01 40 B9 01 7D 40 D3 E2 13 40 F9 21 00 00 91 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_34_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEAD$$TAEAY03$$CBD@?$__crt_char_traits@D@@SAH$$QEAPEAPEAD$$QEA$$TAEAY03$$CBD@Z"
		size = 76
		refs = "0018 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0038 _dupenv_s_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 45 0D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 43 00 80 52 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_35_0 {
	meta:
		name = "??$tdupenv_s_crt@PEAPEA_W$$TAEAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QEAPEAPEA_W$$QEA$$TAEAY03$$CB_W@Z"
		size = 76
		refs = "0018 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0038 _wdupenv_s_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 25 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 43 00 80 52 E2 0F 40 F9 E8 13 40 F9 01 01 40 F9 E8 17 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_52_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEBD@Z"
		size = 204
		refs = "0010 strlen 0060 _mbsrchr"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? E0 17 00 F9 E9 0F 40 F9 E8 17 40 F9 28 01 08 8B E8 13 00 F9 E9 13 40 F9 E8 0F 40 F9 1F 01 09 EB 61 00 00 54 00 00 80 52 22 00 00 14 E8 13 40 F9 08 05 00 D1 08 01 C0 39 08 01 00 11 1F 71 01 71 61 02 00 54 81 0B 80 52 E0 0F 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 13 40 F9 09 05 00 D1 E8 1B 40 F9 3F 01 08 EB 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 00 1D 00 53 00 00 00 11 0A 00 00 14 E8 13 40 F9 08 05 00 D1 08 01 C0 39 08 01 00 11 1F BD 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_53_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEB_W@Z"
		size = 148
		refs = "0010 wcslen"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0B 00 F9 E0 0B 40 F9 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 48 00 80 D2 29 7D 08 9B E8 0B 40 F9 08 01 09 8B E8 0F 00 F9 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB 61 00 00 54 00 00 80 52 12 00 00 14 E8 0F 40 F9 08 09 00 D1 08 01 40 79 08 01 00 11 1F 71 01 71 61 00 00 54 00 00 80 52 0A 00 00 14 E8 0F 40 F9 08 09 00 D1 08 01 40 79 08 01 00 11 1F BD 00 71 61 00 00 54 00 00 80 52 02 00 00 14 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_77_0 {
	meta:
		name = "_tempnam_dbg"
		size = 68
		refs = "0030 ??$common_tempnam@D@@YAPEADQEBD0H0H@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 17 00 B9 E3 0F 00 F9 E4 13 00 B9 E4 13 40 B9 E3 0F 40 F9 E2 17 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_680_79_0 {
	meta:
		name = "_wtempnam_dbg"
		size = 68
		refs = "0030 ??$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 17 00 B9 E3 0F 00 F9 E4 13 00 B9 E4 13 40 B9 E3 0F 40 F9 E2 17 40 B9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_682_0_0 {
	meta:
		name = "??$common_tcscpy_s@D@@YAHQEAD_KQEBD@Z"
		size = 1248
		refs = "0054 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 00d4 _invalid_parameter 0124 _CrtGetDebugFillThreshold 0174 memset 01ac ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0348 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 038c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { FD 7B B3 A9 FD 03 00 91 E0 13 00 F9 E1 0B 00 F9 E2 2F 00 F9 E8 13 40 F9 1F 01 00 F1 E0 00 00 54 E8 0B 40 F9 1F 01 00 F1 89 00 00 54 28 00 80 52 E8 2B 00 B9 03 00 00 14 08 00 80 52 E8 2B 00 B9 E8 2B 40 B9 E8 2F 00 B9 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 2F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 4F 00 F9 E9 4F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 63 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 FF 00 00 14 E8 2F 40 F9 1F 01 00 F1 81 0A 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 37 00 F9 E8 0B 40 F9 09 05 00 D1 E8 37 40 F9 1F 01 09 EB 82 00 00 54 E8 37 40 F9 E8 3B 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 3B 00 F9 E8 13 40 F9 00 05 00 91 E2 3B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 37 00 B9 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4F 00 B9 E9 4F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 37 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 57 00 F9 E9 57 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 83 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C0 02 80 52 A9 00 00 14 E8 13 40 F9 E8 23 00 F9 E8 2F 40 F9 E8 33 00 F9 E8 0B 40 F9 E8 0F 00 F9 E9 23 40 F9 E8 33 40 F9 08 01 C0 39 28 01 00 39 E8 23 40 F9 08 01 C0 39 08 01 00 11 E8 53 00 B9 E8 23 40 F9 08 05 00 91 E8 23 00 F9 E8 33 40 F9 08 05 00 91 E8 33 00 F9 E8 53 40 B9 1F 01 00 71 00 01 00 54 E8 0F 40 F9 08 05 00 D1 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 49 00 00 54 E9 FF FF 17 E8 0F 40 F9 1F 01 00 F1 01 0B 00 54 E9 13 40 F9 08 00 80 52 28 01 00 39 E8 0B 40 F9 1F 05 00 B1 C0 03 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 40 03 00 54 E9 0B 40 F9 28 00 80 D2 1F 01 09 EB C2 02 00 54 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 3F 00 F9 E8 0B 40 F9 09 05 00 D1 E8 3F 40 F9 1F 01 09 EB 82 00 00 54 E8 3F 40 F9 E8 43 00 F9 04 00 00 14 E8 0B 40 F9 08 05 00 D1 E8 43 00 F9 E8 13 40 F9 00 05 00 91 E2 43 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 1F 01 00 F1 E0 00 00 54 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 3B 00 B9 03 00 00 14 08 00 80 52 E8 3B 00 B9 E8 3B 40 B9 E8 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 3F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 5F 00 F9 E9 5F 40 F9 48 04 80 52 28 01 00 B9 04 00 80 D2 23 0A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 40 04 80 52 31 00 00 14 E8 0B 40 F9 1F 05 00 B1 A0 05 00 54 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB 20 05 00 54 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 3F 01 08 EB 42 04 00 54 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 47 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 09 01 09 CB E8 47 40 F9 1F 01 09 EB 82 00 00 54 E8 47 40 F9 E8 4B 00 F9 08 00 00 14 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 0B 40 F9 08 01 09 CB E8 4B 00 F9 E9 0B 40 F9 E8 0F 40 F9 28 01 08 CB 09 05 00 91 E8 13 40 F9 00 01 09 8B E2 4B 40 F9 C1 1F 80 52 00 00 00 91 ?? ?? ?? ?? 00 00 80 52 FD 7B CD A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "expf"
		size = 676
		refs = "0064 _handle_nanf 0094 ?max_exp_arg@?1??expf@@9@9 00c8 ??_C@_04KBNCNMNN@expf?$AA@ 00d0 _handle_errorf 00e4 ?min_exp_arg@?1??expf@@9@9 01f0 ?log2_by_32_tail@?1??expf@@9@9 01f8 ?log2_by_32_lead@?1??expf@@9@9 0200 ?thirtytwo_by_log2@?1??expf@@9@9 0210 splitexpf 0240 scaleFloat_1 0268 scaleFloat_2"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 BD F0 13 40 BD F0 2F 00 BD E8 2F 40 B9 E8 17 00 B9 E8 17 40 B9 08 79 00 12 E8 1B 00 B9 09 13 00 18 E8 1B 40 B9 1F 01 09 6B E3 07 00 54 09 F0 AF 52 E8 1B 40 B9 1F 01 09 6B 83 02 00 54 E8 17 40 B9 08 59 00 12 1F 01 00 71 20 01 00 54 E8 17 40 B9 00 7D 40 D3 00 00 00 91 ?? ?? ?? ?? E0 33 00 BD E0 33 40 BD 83 00 00 14 08 00 00 14 E8 17 40 B9 88 00 F8 36 60 10 00 1C 7E 00 00 14 03 00 00 14 E0 13 40 BD 7B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E 0B 02 00 54 26 00 80 52 01 0F 00 1C E0 13 40 BD 45 04 80 52 24 02 80 52 63 00 80 52 02 F0 AF D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 00 BD E0 37 40 BD 68 00 00 14 14 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? F0 13 40 BD 00 22 31 1E E2 01 00 54 26 00 80 52 81 0C 00 1C E0 13 40 BD 45 04 80 52 44 02 80 52 83 00 80 52 02 00 80 D2 81 02 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 00 BD E0 3B 40 BD 54 00 00 14 09 90 A7 52 E8 1B 40 B9 1F 01 09 6B 42 05 00 54 09 50 A6 52 E8 1B 40 B9 1F 01 09 6B E2 00 00 54 11 10 2E 1E F0 13 40 BD 20 2A 30 1E 00 40 20 1E 47 00 00 14 1F 00 00 14 51 09 00 1C F0 13 40 BD 31 0A 30 1E 10 09 00 1C 31 2A 30 1E F0 13 40 BD 31 0A 30 1E B0 08 00 1C 31 2A 30 1E F0 13 40 BD 31 0A 30 1E 50 08 00 1C 31 2A 30 1E F0 13 40 BD 31 0A 30 1E F0 07 00 1C 31 2A 30 1E F0 13 40 BD 31 0A 30 1E 10 10 2C 1E 31 2A 30 1E F0 13 40 BD 31 0A 30 1E 10 10 2E 1E 31 2A 30 1E F0 13 40 BD 31 0A 30 1E 10 10 2E 1E 30 2A 30 1E F0 23 00 BD 26 00 00 14 E2 A3 00 91 E1 93 00 91 E0 73 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 10 2E 1E E0 13 40 BD ?? ?? ?? ?? E8 1F 40 B9 1F F9 01 31 CB 01 00 54 E8 1F 40 B9 1F FD 01 71 6C 01 00 54 F1 27 40 BD F0 2B 40 BD 20 2A 30 1E E0 1F 40 B9 00 40 20 1E ?? ?? ?? ?? E0 3F 00 BD F0 3F 40 BD F0 23 00 BD 0A 00 00 14 F1 27 40 BD F0 2B 40 BD 20 2A 30 1E E0 1F 40 B9 00 40 20 1E ?? ?? ?? ?? E0 43 00 BD F0 43 40 BD F0 23 00 BD E0 23 40 BD FD 7B C5 A8 C0 03 5F D6 1F 20 03 D5 18 72 B1 42 00 00 00 00 01 0D 50 39 61 0B B6 3A 89 88 08 3C AB AA 2A 3D AB AA 2A 3E }
	condition:
		$1
}

rule file_683_1_0 {
	meta:
		name = "scaleFloat_1"
		size = 60
	strings:
		$1 = { FF 43 00 D1 E0 0B 00 BD E0 03 00 B9 E8 03 40 B9 08 FD 01 11 08 21 09 53 E8 07 00 B9 F0 07 40 BD F0 0F 00 BD F1 0B 40 BD F0 0F 40 BD 20 0A 30 1E 00 40 20 1E FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_1_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YA_JQEBDQEAU_finddata32_t@@@Z"
		size = 460
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 00cc _invalid_parameter 00e0 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00ec ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 00fc __acrt_copy_path_to_wide_string 011c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 012c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 013c ??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z 0178 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 01c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0A D1 E0 23 00 F9 E1 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 3A 00 00 14 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 27 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 27 40 F9 26 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 03 02 91 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 E1 00 00 54 08 00 80 92 E8 33 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 40 F9 14 00 00 14 E1 13 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 37 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 40 F9 06 00 00 14 E8 17 40 F9 E8 3B 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 3B 40 F9 FF 83 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_2_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_JQEBDQEAU_finddata32i64_t@@@Z"
		size = 460
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 00cc _invalid_parameter 00e0 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00ec ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 00fc __acrt_copy_path_to_wide_string 011c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 012c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 013c ??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z 0178 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 01c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0A D1 E0 23 00 F9 E1 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 3A 00 00 14 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 27 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 27 40 F9 26 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 03 02 91 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 E1 00 00 54 08 00 80 92 E8 33 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 40 F9 14 00 00 14 E1 13 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 37 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 40 F9 06 00 00 14 E8 17 40 F9 E8 3B 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 3B 40 F9 FF 83 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_3_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YA_JQEBDQEAU__finddata64_t@@@Z"
		size = 460
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 00cc _invalid_parameter 00e0 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00ec ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 00fc __acrt_copy_path_to_wide_string 011c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 012c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 013c ??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z 0178 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 01c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0A D1 E0 23 00 F9 E1 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 3A 00 00 14 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 27 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 27 40 F9 26 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 03 02 91 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 E1 00 00 54 08 00 80 92 E8 33 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 40 F9 14 00 00 14 E1 13 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 37 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 40 F9 06 00 00 14 E8 17 40 F9 E8 3B 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 3B 40 F9 FF C3 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_4_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_JQEBDQEAU_finddata64i32_t@@@Z"
		size = 460
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 00cc _invalid_parameter 00e0 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@QEA_W@Z 00ec ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAPEAPEA_WXZ 00fc __acrt_copy_path_to_wide_string 011c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ 012c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEBAPEA_WXZ 013c ??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z 0178 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 01c0 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0A D1 E0 23 00 F9 E1 13 00 F9 E8 13 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1B 00 F9 E9 1B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 A3 15 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 3A 00 00 14 01 00 80 D2 E0 23 00 91 ?? ?? ?? ?? E0 3F 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 1F 00 F9 E1 1F 40 F9 E0 23 40 F9 ?? ?? ?? ?? E0 1F 00 B9 E8 1F 40 B9 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 27 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 27 40 F9 26 00 00 14 E0 23 00 91 ?? ?? ?? ?? E0 2B 00 F9 E1 03 02 91 E0 2B 40 F9 ?? ?? ?? ?? E0 2F 00 F9 E8 2F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 E1 00 00 54 08 00 80 92 E8 33 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 33 40 F9 14 00 00 14 E1 13 40 F9 E0 03 02 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 92 E8 37 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 37 40 F9 06 00 00 14 E8 17 40 F9 E8 3B 00 F9 E0 23 00 91 ?? ?? ?? ?? E0 3B 40 F9 FF C3 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_5_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z"
		size = 892
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00cc _invalid_parameter 010c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 __imp_FindFirstFileExW 01d4 __imp_GetLastError 02b4 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 030c ??$convert_file_size_to_integer@K@@YAKKK@Z 0338 wcscpy_s 0358 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0364 _invoke_watson_if_error 0370 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 0B D1 E0 27 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 A6 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 76 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 52 E2 23 02 91 01 00 80 52 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 05 00 B1 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 3C 00 00 14 E8 8B 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 E8 8B 40 B9 E8 23 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E0 33 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 07 40 F9 09 11 00 91 E8 37 40 B9 28 01 00 B9 E0 53 02 91 ?? ?? ?? ?? E0 3B 00 B9 E8 07 40 F9 09 21 00 91 E8 3B 40 B9 28 01 00 B9 E0 73 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 07 40 F9 09 31 00 91 E8 3F 40 B9 28 01 00 B9 E1 AB 40 B9 E0 A7 40 B9 ?? ?? ?? ?? E0 43 00 B9 E8 07 40 F9 09 41 00 91 E8 43 40 B9 28 01 00 B9 E8 07 40 F9 00 51 00 91 E2 D3 02 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 84 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? E0 2B 40 F9 FF 43 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_6_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z"
		size = 892
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00cc _invalid_parameter 010c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 __imp_FindFirstFileExW 01d4 __imp_GetLastError 02b4 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 030c ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0338 wcscpy_s 0358 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0364 _invoke_watson_if_error 0370 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0B D1 E0 27 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 A6 00 00 14 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 76 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 52 E2 43 02 91 01 00 80 52 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 37 00 F9 E8 37 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 05 00 B1 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 3C 00 00 14 E8 93 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 E8 93 40 B9 E8 23 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E0 53 02 91 ?? ?? ?? ?? E0 37 00 B9 E8 07 40 F9 09 11 00 91 E8 37 40 B9 28 01 00 B9 E0 73 02 91 ?? ?? ?? ?? E0 3B 00 B9 E8 07 40 F9 09 21 00 91 E8 3B 40 B9 28 01 00 B9 E0 93 02 91 ?? ?? ?? ?? E0 3F 00 B9 E8 07 40 F9 09 31 00 91 E8 3F 40 B9 28 01 00 B9 E1 B3 40 B9 E0 AF 40 B9 ?? ?? ?? ?? E0 47 00 F9 E8 07 40 F9 09 41 00 91 E8 47 40 F9 28 01 00 F9 E8 07 40 F9 00 61 00 91 E2 F3 02 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 43 00 B9 05 00 80 D2 84 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 43 40 B9 ?? ?? ?? ?? E0 2B 40 F9 FF 83 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_7_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z"
		size = 892
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00cc _invalid_parameter 010c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 __imp_FindFirstFileExW 01d4 __imp_GetLastError 02b4 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 030c ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0338 wcscpy_s 0358 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0364 _invoke_watson_if_error 0370 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0B D1 E0 1F 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 27 00 F9 E9 27 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 A6 00 00 14 E8 1F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 76 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 52 E2 63 02 91 01 00 80 52 E0 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 F9 E8 2F 40 F9 E8 23 00 F9 E8 23 40 F9 1F 05 00 B1 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 3C 00 00 14 E8 9B 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 E8 9B 40 B9 E8 23 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E0 73 02 91 ?? ?? ?? ?? E0 3F 00 F9 E8 07 40 F9 09 21 00 91 E8 3F 40 F9 28 01 00 F9 E0 93 02 91 ?? ?? ?? ?? E0 43 00 F9 E8 07 40 F9 09 41 00 91 E8 43 40 F9 28 01 00 F9 E0 B3 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 07 40 F9 09 61 00 91 E8 47 40 F9 28 01 00 F9 E1 BB 40 B9 E0 B7 40 B9 ?? ?? ?? ?? E0 4B 00 F9 E8 07 40 F9 09 81 00 91 E8 4B 40 F9 28 01 00 F9 E8 07 40 F9 00 A1 00 91 E2 13 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 84 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? E0 23 40 F9 FF 83 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_8_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z"
		size = 892
		refs = "0008 __security_push_cookie 004c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 _CrtDbgReportW 0098 _errno 00bc ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00cc _invalid_parameter 010c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b0 __imp_FindFirstFileExW 01d4 __imp_GetLastError 02b4 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 030c ??$convert_file_size_to_integer@K@@YAKKK@Z 0338 wcscpy_s 0358 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0364 _invoke_watson_if_error 0370 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0B D1 E0 23 00 F9 E1 07 00 F9 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 27 00 B9 E9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 A6 00 00 14 E8 23 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 76 00 00 14 05 00 80 52 04 00 80 D2 03 00 80 52 E2 63 02 91 01 00 80 52 E0 23 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 33 00 F9 E8 33 40 F9 E8 27 00 F9 E8 27 40 F9 1F 05 00 B1 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E8 2F 40 B9 E8 33 00 B9 E8 33 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 92 3C 00 00 14 E8 9B 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 23 00 B9 03 00 00 14 E8 9B 40 B9 E8 23 00 B9 E8 07 40 F9 09 01 00 91 E8 23 40 B9 28 01 00 B9 E0 73 02 91 ?? ?? ?? ?? E0 43 00 F9 E8 07 40 F9 09 21 00 91 E8 43 40 F9 28 01 00 F9 E0 93 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 07 40 F9 09 41 00 91 E8 47 40 F9 28 01 00 F9 E0 B3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 07 40 F9 09 61 00 91 E8 4B 40 F9 28 01 00 F9 E1 BB 40 B9 E0 B7 40 B9 ?? ?? ?? ?? E0 37 00 B9 E8 07 40 F9 09 81 00 91 E8 37 40 B9 28 01 00 B9 E8 07 40 F9 00 91 00 91 E2 13 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 84 14 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? E0 27 40 F9 FF 83 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_9_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAH_JQEAU_finddata32_t@@@Z"
		size = 128
		refs = "0008 __security_push_cookie 0020 ??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z 004c ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 0074 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 09 D1 E0 0B 00 F9 E1 0F 00 F9 E1 83 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 07 00 B9 E8 07 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 0C 00 00 14 E1 0F 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 02 00 00 14 E0 07 40 B9 FF 03 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_10_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAH_JQEAU_finddata32i64_t@@@Z"
		size = 128
		refs = "0008 __security_push_cookie 0020 ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z 004c ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 0074 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 09 D1 E0 0B 00 F9 E1 0F 00 F9 E1 83 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 07 00 B9 E8 07 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 0C 00 00 14 E1 0F 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 02 00 00 14 E0 07 40 B9 FF 03 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_11_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAH_JQEAU__finddata64_t@@@Z"
		size = 128
		refs = "0008 __security_push_cookie 0020 ??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z 004c ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 0074 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 09 D1 E0 0B 00 F9 E1 0F 00 F9 E1 83 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 07 00 B9 E8 07 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 0C 00 00 14 E1 0F 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 02 00 00 14 E0 07 40 B9 FF 43 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_12_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAH_JQEAU_finddata64i32_t@@@Z"
		size = 128
		refs = "0008 __security_push_cookie 0020 ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z 004c ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 0074 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 09 D1 E0 0B 00 F9 E1 0F 00 F9 E1 83 00 91 E0 0B 40 F9 ?? ?? ?? ?? E0 0B 00 B9 E8 0B 40 B9 E8 07 00 B9 E8 07 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 0C 00 00 14 E1 0F 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 12 02 00 00 14 E0 07 40 B9 FF 43 09 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_13_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z"
		size = 1068
		refs = "0008 __security_push_cookie 0054 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 01d4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0268 __imp_FindNextFileW 0284 __imp_GetLastError 0364 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 03bc ??$convert_file_size_to_integer@K@@YAKKK@Z 03e8 wcscpy_s 0408 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0414 _invoke_watson_if_error 0420 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 0B D1 E0 33 00 F9 E1 07 00 F9 E8 33 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 D0 00 00 14 E8 2F 40 F9 1F 05 00 B1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A0 00 00 14 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 70 00 00 14 E1 63 02 91 E0 2F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 3C 00 00 14 E8 9B 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 E8 9B 40 B9 E8 2B 00 B9 E8 07 40 F9 09 01 00 91 E8 2B 40 B9 28 01 00 B9 E0 73 02 91 ?? ?? ?? ?? E0 47 00 B9 E8 07 40 F9 09 11 00 91 E8 47 40 B9 28 01 00 B9 E0 93 02 91 ?? ?? ?? ?? E0 4B 00 B9 E8 07 40 F9 09 21 00 91 E8 4B 40 B9 28 01 00 B9 E0 B3 02 91 ?? ?? ?? ?? E0 4F 00 B9 E8 07 40 F9 09 31 00 91 E8 4F 40 B9 28 01 00 B9 E1 BB 40 B9 E0 B7 40 B9 ?? ?? ?? ?? E0 53 00 B9 E8 07 40 F9 09 41 00 91 E8 53 40 B9 28 01 00 B9 E8 07 40 F9 00 51 00 91 E2 13 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 00 00 80 52 FF 83 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_14_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z"
		size = 1068
		refs = "0008 __security_push_cookie 0054 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 01d4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0268 __imp_FindNextFileW 0284 __imp_GetLastError 0364 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 03bc ??$convert_file_size_to_integer@_J@@YA_JKK@Z 03e8 wcscpy_s 0408 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0414 _invoke_watson_if_error 0420 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0B D1 E0 33 00 F9 E1 07 00 F9 E8 33 40 F9 E8 2F 00 F9 E8 2F 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 D0 00 00 14 E8 2F 40 F9 1F 05 00 B1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A0 00 00 14 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 70 00 00 14 E1 83 02 91 E0 2F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 4B 00 F9 E9 4B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 3C 00 00 14 E8 A3 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 E8 A3 40 B9 E8 2B 00 B9 E8 07 40 F9 09 01 00 91 E8 2B 40 B9 28 01 00 B9 E0 93 02 91 ?? ?? ?? ?? E0 47 00 B9 E8 07 40 F9 09 11 00 91 E8 47 40 B9 28 01 00 B9 E0 B3 02 91 ?? ?? ?? ?? E0 4B 00 B9 E8 07 40 F9 09 21 00 91 E8 4B 40 B9 28 01 00 B9 E0 D3 02 91 ?? ?? ?? ?? E0 4F 00 B9 E8 07 40 F9 09 31 00 91 E8 4F 40 B9 28 01 00 B9 E1 C3 40 B9 E0 BF 40 B9 ?? ?? ?? ?? E0 4F 00 F9 E8 07 40 F9 09 41 00 91 E8 4F 40 F9 28 01 00 F9 E8 07 40 F9 00 61 00 91 E2 33 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 53 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 53 40 B9 ?? ?? ?? ?? 00 00 80 52 FF C3 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_15_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z"
		size = 1068
		refs = "0008 __security_push_cookie 0054 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 01d4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0268 __imp_FindNextFileW 0284 __imp_GetLastError 0364 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 03bc ??$convert_file_size_to_integer@_J@@YA_JKK@Z 03e8 wcscpy_s 0408 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0414 _invoke_watson_if_error 0420 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0B D1 E0 2B 00 F9 E1 07 00 F9 E8 2B 40 F9 E8 27 00 F9 E8 27 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 2F 00 F9 E9 2F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 D0 00 00 14 E8 27 40 F9 1F 05 00 B1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A0 00 00 14 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 70 00 00 14 E1 A3 02 91 E0 27 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 3C 00 00 14 E8 AB 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 E8 AB 40 B9 E8 2B 00 B9 E8 07 40 F9 09 01 00 91 E8 2B 40 B9 28 01 00 B9 E0 B3 02 91 ?? ?? ?? ?? E0 47 00 F9 E8 07 40 F9 09 21 00 91 E8 47 40 F9 28 01 00 F9 E0 D3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 07 40 F9 09 41 00 91 E8 4B 40 F9 28 01 00 F9 E0 F3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E8 07 40 F9 09 61 00 91 E8 4F 40 F9 28 01 00 F9 E1 CB 40 B9 E0 C7 40 B9 ?? ?? ?? ?? E0 53 00 F9 E8 07 40 F9 09 81 00 91 E8 53 40 F9 28 01 00 F9 E8 07 40 F9 00 A1 00 91 E2 53 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 47 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 47 40 B9 ?? ?? ?? ?? 00 00 80 52 FF C3 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_16_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z"
		size = 1068
		refs = "0008 __security_push_cookie 0054 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0078 _CrtDbgReportW 00a0 _errno 00c4 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00d4 _invalid_parameter 0114 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 01d4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0268 __imp_FindNextFileW 0284 __imp_GetLastError 0364 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 03bc ??$convert_file_size_to_integer@K@@YAKKK@Z 03e8 wcscpy_s 0408 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0414 _invoke_watson_if_error 0420 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0B D1 E0 2F 00 F9 E1 07 00 F9 E8 2F 40 F9 E8 2B 00 F9 E8 2B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 13 00 B9 03 00 00 14 08 00 80 52 E8 13 00 B9 E8 13 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 17 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 33 00 F9 E9 33 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 E3 20 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 D0 00 00 14 E8 2B 40 F9 1F 05 00 B1 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 33 00 B9 E9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 A0 00 00 14 E8 07 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E8 23 40 B9 E8 27 00 B9 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 37 00 B9 E9 37 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 27 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 3B 00 F9 E9 3B 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 21 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 70 00 00 14 E1 A3 02 91 E0 2B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 81 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 3F 00 B9 E8 3F 40 B9 E8 43 00 B9 E8 43 40 B9 E8 03 00 B9 E8 03 40 B9 08 09 00 51 E8 03 00 B9 E8 03 40 B9 1F 41 00 71 E8 02 00 54 EA 03 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 05 05 11 11 11 11 0B 11 11 11 11 11 11 11 11 11 05 05 05 05 ?? ?? ?? ?? E0 3F 00 F9 E9 3F 40 F9 48 00 80 52 28 01 00 B9 0C 00 00 14 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 88 01 80 52 28 01 00 B9 06 00 00 14 ?? ?? ?? ?? E0 47 00 F9 E9 47 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 3C 00 00 14 E8 AB 40 B9 1F 01 02 71 81 00 00 54 08 00 80 52 E8 2B 00 B9 03 00 00 14 E8 AB 40 B9 E8 2B 00 B9 E8 07 40 F9 09 01 00 91 E8 2B 40 B9 28 01 00 B9 E0 B3 02 91 ?? ?? ?? ?? E0 4B 00 F9 E8 07 40 F9 09 21 00 91 E8 4B 40 F9 28 01 00 F9 E0 D3 02 91 ?? ?? ?? ?? E0 4F 00 F9 E8 07 40 F9 09 41 00 91 E8 4F 40 F9 28 01 00 F9 E0 F3 02 91 ?? ?? ?? ?? E0 53 00 F9 E8 07 40 F9 09 61 00 91 E8 53 40 F9 28 01 00 F9 E1 CB 40 B9 E0 C7 40 B9 ?? ?? ?? ?? E0 47 00 B9 E8 07 40 F9 09 81 00 91 E8 47 40 B9 28 01 00 B9 E8 07 40 F9 00 91 00 91 E2 53 03 91 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? 00 00 80 52 FF C3 0B 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_17_0 {
	meta:
		name = "??$convert_file_size_to_integer@K@@YAKKK@Z"
		size = 24
	strings:
		$1 = { FF 43 00 D1 E0 07 00 B9 E1 03 00 B9 E0 03 40 B9 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_18_0 {
	meta:
		name = "??$convert_file_size_to_integer@_J@@YA_JKK@Z"
		size = 52
	strings:
		$1 = { FF 43 00 D1 E0 03 00 B9 E1 07 00 B9 E8 03 40 B9 09 7D 40 D3 28 00 C0 D2 29 7D 08 9B E8 07 40 B9 08 7D 40 D3 20 01 08 8B 00 00 00 91 FF 43 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_19_0 {
	meta:
		name = "??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z"
		size = 192
		refs = "0008 __security_push_cookie 004c __imp_FileTimeToSystemTime 007c __imp_SystemTimeToTzSpecificLocalTime 00a4 ??$convert_system_time_to_time_t@J@@YAJAEBU_SYSTEMTIME@@@Z 00b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 0B 00 F9 E8 0B 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 0B 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 1C 00 00 14 E1 63 00 91 E0 0B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 03 00 B9 E8 03 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 11 00 00 14 E2 A3 00 91 E1 63 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 00 B9 E8 07 40 B9 1F 01 00 71 61 00 00 54 00 00 80 12 05 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 0B 00 B9 E0 0B 40 B9 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_20_0 {
	meta:
		name = "??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z"
		size = 192
		refs = "0008 __security_push_cookie 004c __imp_FileTimeToSystemTime 007c __imp_SystemTimeToTzSpecificLocalTime 00a4 ??$convert_system_time_to_time_t@_J@@YA_JAEBU_SYSTEMTIME@@@Z 00b4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 00 D1 E0 07 00 F9 E8 07 40 F9 08 01 00 91 08 01 40 B9 1F 01 00 71 01 01 00 54 E8 07 40 F9 08 11 00 91 08 01 40 B9 1F 01 00 71 61 00 00 54 00 00 80 92 1C 00 00 14 E1 63 00 91 E0 07 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 03 00 B9 E8 03 40 B9 1F 01 00 71 61 00 00 54 00 00 80 92 11 00 00 14 E2 A3 00 91 E1 63 00 91 00 00 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 00 B9 E8 07 40 B9 1F 01 00 71 61 00 00 54 00 00 80 92 05 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FF C3 00 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_21_0 {
	meta:
		name = "??$convert_system_time_to_time_t@J@@YAJAEBU_SYSTEMTIME@@@Z"
		size = 156
		refs = "0088 __loctotime32_t"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0F 00 F9 E8 0F 40 F9 08 31 00 91 05 01 40 79 A5 00 00 11 E8 0F 40 F9 08 29 00 91 04 01 40 79 84 00 00 11 E8 0F 40 F9 08 21 00 91 03 01 40 79 63 00 00 11 E8 0F 40 F9 08 19 00 91 02 01 40 79 42 00 00 11 E8 0F 40 F9 08 09 00 91 01 01 40 79 21 00 00 11 E8 0F 40 F9 08 01 00 91 00 01 40 79 00 00 00 11 06 00 80 12 A5 00 00 11 84 00 00 11 63 00 00 11 42 00 00 11 21 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_22_0 {
	meta:
		name = "??$convert_system_time_to_time_t@_J@@YA_JAEBU_SYSTEMTIME@@@Z"
		size = 156
		refs = "0088 __loctotime64_t"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 0B 00 F9 E8 0B 40 F9 08 31 00 91 05 01 40 79 A5 00 00 11 E8 0B 40 F9 08 29 00 91 04 01 40 79 84 00 00 11 E8 0B 40 F9 08 21 00 91 03 01 40 79 63 00 00 11 E8 0B 40 F9 08 19 00 91 02 01 40 79 42 00 00 11 E8 0B 40 F9 08 09 00 91 01 01 40 79 21 00 00 11 E8 0B 40 F9 08 01 00 91 00 01 40 79 00 00 00 11 06 00 80 12 A5 00 00 11 84 00 00 11 63 00 00 11 42 00 00 11 21 00 00 11 00 00 00 11 ?? ?? ?? ?? E0 0F 00 F9 E0 0F 40 F9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_23_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z"
		size = 280
		refs = "0028 __acrt_copy_to_char 0058 strcpy_s 0068 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 0078 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0084 _invoke_watson_if_error 0090 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 08 00 80 D2 E8 17 00 F9 E8 0F 40 F9 00 51 00 91 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 34 00 00 14 E8 13 40 F9 00 51 00 91 E2 17 40 F9 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 17 00 B9 05 00 80 D2 24 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 13 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 11 00 91 E8 13 40 F9 09 11 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 21 00 91 E8 13 40 F9 09 21 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 31 00 91 E8 13 40 F9 09 31 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 41 00 91 E8 13 40 F9 09 41 00 91 48 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_24_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z"
		size = 280
		refs = "0028 __acrt_copy_to_char 0058 strcpy_s 0068 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 0078 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0084 _invoke_watson_if_error 0090 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 08 00 80 D2 E8 17 00 F9 E8 0F 40 F9 00 61 00 91 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 34 00 00 14 E8 13 40 F9 00 61 00 91 E2 17 40 F9 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 17 00 B9 05 00 80 D2 24 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 13 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 11 00 91 E8 13 40 F9 09 11 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 21 00 91 E8 13 40 F9 09 21 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 31 00 91 E8 13 40 F9 09 31 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 41 00 91 E8 13 40 F9 09 41 00 91 48 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_25_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z"
		size = 280
		refs = "0028 __acrt_copy_to_char 0058 strcpy_s 0068 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 0078 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0084 _invoke_watson_if_error 0090 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 08 00 80 D2 E8 17 00 F9 E8 0F 40 F9 00 A1 00 91 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 34 00 00 14 E8 13 40 F9 00 A1 00 91 E2 17 40 F9 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 17 00 B9 05 00 80 D2 24 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 13 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 21 00 91 E8 13 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 41 00 91 E8 13 40 F9 09 41 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 61 00 91 E8 13 40 F9 09 61 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 81 00 91 E8 13 40 F9 09 81 00 91 48 01 40 F9 28 01 00 F9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_26_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z"
		size = 280
		refs = "0028 __acrt_copy_to_char 0058 strcpy_s 0068 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0070 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 0078 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0084 _invoke_watson_if_error 0090 _free_dbg"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E1 13 00 F9 08 00 80 D2 E8 17 00 F9 E8 0F 40 F9 00 91 00 91 E1 A3 00 91 00 00 00 91 ?? ?? ?? ?? E0 13 00 B9 E8 13 40 B9 1F 01 00 71 61 00 00 54 00 00 80 52 34 00 00 14 E8 13 40 F9 00 91 00 91 E2 17 40 F9 81 20 80 D2 00 00 00 91 ?? ?? ?? ?? E0 17 00 B9 05 00 80 D2 24 0B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 17 40 B9 ?? ?? ?? ?? 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 0A 01 00 91 E8 13 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 21 00 91 E8 13 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 41 00 91 E8 13 40 F9 09 41 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 61 00 91 E8 13 40 F9 09 61 00 91 48 01 40 F9 28 01 00 F9 E8 0F 40 F9 0A 81 00 91 E8 13 40 F9 09 81 00 91 48 01 40 B9 28 01 00 B9 20 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_687_32_0 {
	meta:
		name = "_findclose"
		size = 84
		refs = "0010 __imp_FindClose 002c _errno"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 0F 00 F9 E0 0F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 13 00 B9 E8 13 40 B9 1F 01 00 71 01 01 00 54 ?? ?? ?? ?? E0 13 00 F9 E9 13 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 02 00 00 14 00 00 80 52 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_688_0_0 {
	meta:
		name = "truncf"
		size = 36
		refs = "0014 _fd_int"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 13 00 BD 01 00 80 52 E0 43 00 91 ?? ?? ?? ?? E0 13 40 BD FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_689_0_0 {
	meta:
		name = "_loaddll"
		size = 24
		refs = "0000 __imp_LoadLibraryExA"
	strings:
		$1 = { ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 02 00 80 52 01 00 80 D2 20 01 1F D6 }
	condition:
		$1
}

rule file_689_1_0 {
	meta:
		name = "_unloaddll"
		size = 60
		refs = "0008 __imp_FreeLibrary 001c __imp_GetLastError"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 C0 00 00 35 ?? ?? ?? ?? ?? ?? ?? ?? 09 FD DF C8 20 01 3F D6 02 00 00 14 00 00 80 52 FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "__strncnt"
		size = 108
	strings:
		$1 = { FF 83 00 D1 E0 0B 00 F9 E1 0F 00 F9 E8 0B 40 F9 E8 07 00 F9 08 00 80 D2 E8 03 00 F9 07 00 00 14 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 03 40 F9 08 05 00 91 E8 03 00 F9 E8 07 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 C0 00 00 54 E9 0F 40 F9 E8 03 40 F9 1F 01 09 EB 40 00 00 54 F1 FF FF 17 E0 03 40 F9 FF 83 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_73_0 {
	meta:
		name = "__acrt_copy_locale_name"
		size = 240
		refs = "0028 wcsnlen 0060 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0070 _malloc_dbg 00b4 wcsncpy_s 00c4 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00cc ??_C@_1DA@BBIOOKDN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00d4 ??_C@_1GI@HBNMCKGD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAC?$AAo?$AAp?$AAy?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?$CL?$AA1?$AA?0@ 00e0 _invoke_watson_if_error"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 33 00 00 14 A1 0A 80 D2 E0 13 40 F9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 55 01 F1 63 00 00 54 00 00 80 D2 28 00 00 14 E8 0F 40 F9 09 05 00 91 48 00 80 D2 20 7D 08 9B 03 82 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 16 00 00 14 E8 0F 40 F9 03 05 00 91 E8 0F 40 F9 01 05 00 91 63 00 00 91 E2 13 40 F9 21 00 00 91 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 05 00 80 D2 64 82 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 B9 ?? ?? ?? ?? E0 17 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_74_0 {
	meta:
		name = "__acrt_set_locale_changed"
		size = 28
		refs = "0004 __acrt_locale_changed_data"
	strings:
		$1 = { 29 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 08 01 00 91 09 FD 9F 88 BF 3B 03 D5 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_75_0 {
	meta:
		name = "__acrt_uninitialize_locale"
		size = 44
		refs = "0020 ??$__acrt_lock_and_call@V<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E9 43 00 91 29 01 00 91 08 00 80 52 28 01 00 39 E1 43 00 91 80 00 80 52 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_76_0 {
	meta:
		name = "__lc_lctowcs"
		size = 216
		refs = "0028 wcscpy_s 0038 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0040 ??_C@_1BK@HEBMGPEK@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAl?$AAc?$AAt?$AAo?$AAw?$AAc?$AAs?$AA?$AA@ 0048 ??_C@_1GM@FOFMGOEK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 0054 _invoke_watson_if_error 007c ??_C@_13ENNFDPBH@?$AA_?$AA?$AA@ 0090 _wcscats 00b8 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 E8 0F 40 F9 02 01 00 91 42 00 00 91 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 05 00 80 D2 84 7F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 B9 ?? ?? ?? ?? E8 0F 40 F9 08 01 02 91 08 01 40 79 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 04 01 02 91 84 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 04 91 08 01 40 79 08 01 00 11 1F 01 00 71 40 01 00 54 E8 0F 40 F9 04 01 04 91 84 00 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_77_0 {
	meta:
		name = "__lc_wcstolc"
		size = 764
		refs = "001c memset 0088 wcsncpy_s 0098 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a0 ??_C@_1BK@GNCHCGCN@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAl?$AAc?$AA?$AA@ 00a8 ??_C@_1MI@MGHKCMFH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 00b4 _invoke_watson_if_error 00e8 ??_C@_17MBJJLFDM@?$AA_?$AA?4?$AA?0?$AA?$AA@ 00f4 wcscspn 0194 ??_C@_1LO@GGCCDNLJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 0208 ??_C@_1LK@JOIOCOID@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz@ 028c ??_C@_1LO@OJICFEP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 17 00 F9 E1 0F 00 F9 42 39 80 D2 01 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0F 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 00 00 54 00 00 80 52 AF 00 00 14 E8 0F 40 F9 08 01 40 79 08 01 00 11 1F B9 00 71 21 04 00 54 E8 0F 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 60 03 00 54 E8 0F 40 F9 02 09 00 91 E8 17 40 F9 00 01 04 91 E3 01 80 D2 42 00 00 91 01 02 80 D2 00 00 00 91 ?? ?? ?? ?? E0 33 00 B9 05 00 80 D2 24 7A 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 33 40 B9 ?? ?? ?? ?? E8 17 40 F9 09 79 04 91 08 00 80 52 28 01 00 79 00 00 80 52 8A 00 00 14 08 00 80 52 E8 17 00 B9 04 00 00 14 E8 17 40 B9 08 05 00 11 E8 17 00 B9 ?? ?? ?? ?? ?? ?? ?? ?? E0 0F 40 F9 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 13 00 F9 E8 13 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 12 78 00 00 14 E9 13 40 F9 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 08 01 40 79 E8 23 00 79 E8 17 40 B9 1F 01 00 71 61 03 00 54 E8 13 40 F9 1F 01 01 F1 02 03 00 54 E8 23 40 79 08 01 00 11 1F B9 00 71 80 02 00 54 E8 17 40 F9 00 01 00 91 E3 13 40 F9 E2 0F 40 F9 01 08 80 D2 00 00 00 91 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 04 7C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? 41 00 00 14 E8 17 40 B9 1F 05 00 71 61 03 00 54 E8 13 40 F9 1F 01 01 F1 02 03 00 54 E8 23 40 79 08 01 00 11 1F 7D 01 71 80 02 00 54 E8 17 40 F9 00 01 02 91 E3 13 40 F9 E2 0F 40 F9 01 08 80 D2 00 00 00 91 ?? ?? ?? ?? E0 3B 00 B9 05 00 80 D2 64 7C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3B 40 B9 ?? ?? ?? ?? 24 00 00 14 E8 17 40 B9 1F 09 00 71 E1 03 00 54 E8 13 40 F9 1F 41 00 F1 82 03 00 54 E8 23 40 79 08 01 00 11 1F 01 00 71 A0 00 00 54 E8 23 40 79 08 01 00 11 1F B1 00 71 81 02 00 54 E8 17 40 F9 00 01 04 91 E3 13 40 F9 E2 0F 40 F9 01 02 80 D2 00 00 00 91 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 C4 7C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? 03 00 00 14 00 00 80 12 14 00 00 14 E8 23 40 79 08 01 00 11 1F B1 00 71 41 00 00 54 0E 00 00 14 E8 23 40 79 08 01 00 11 1F 01 00 71 41 00 00 54 09 00 00 14 E8 13 40 F9 09 05 00 91 48 00 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E8 0F 00 F9 7C FF FF 17 00 00 80 52 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_78_0 {
	meta:
		name = "_configthreadlocale"
		size = 420
		refs = "000c __acrt_getptd 00c8 __globallocalestatus 010c ??_C@_1GA@LDEGDKD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt@ 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0124 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0130 _CrtDbgReportW 0158 _errno 017c ??_C@_1CI@FGIONOJM@?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 018c _invalid_parameter"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 2B 00 B9 ?? ?? ?? ?? E0 1F 00 F9 E8 1F 40 F9 E8 13 00 F9 E8 13 40 F9 08 A1 0E 91 08 01 40 B9 88 00 08 37 48 00 80 52 E8 17 00 B9 03 00 00 14 28 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 33 00 B9 E8 2B 40 B9 E8 13 00 B9 E9 13 40 B9 08 00 80 12 28 01 08 4B E8 13 00 B9 E8 13 40 B9 1F 0D 00 71 88 03 00 54 EA 13 40 B9 89 00 00 10 28 49 AA 38 28 09 08 8B 00 01 1F D6 12 11 01 09 E8 13 40 F9 08 A1 0E 91 08 01 40 B9 09 01 1F 32 E8 13 40 F9 08 A1 0E 91 09 01 00 B9 3E 00 00 14 E8 13 40 F9 08 A1 0E 91 08 01 40 B9 09 79 1E 12 E8 13 40 F9 08 A1 0E 91 09 01 00 B9 36 00 00 14 35 00 00 14 ?? ?? ?? ?? 08 00 80 12 ?? ?? ?? ?? 31 00 00 14 08 00 80 52 1F 01 00 71 80 00 00 54 28 00 80 52 E8 1B 00 B9 03 00 00 14 08 00 80 52 E8 1B 00 B9 E8 1B 40 B9 E8 1F 00 B9 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 02 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2F 00 B9 E9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1F 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 23 00 F9 E9 23 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 03 13 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 02 00 00 14 E0 33 40 B9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_79_0 {
	meta:
		name = "_copytlocinfo_nolock"
		size = 152
		refs = "0054 memcpy 008c __acrt_add_locale_ref"
	strings:
		$1 = { FD 7B A8 A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 03 00 54 E8 0B 40 F9 1F 01 00 F1 60 03 00 54 E9 0F 40 F9 E8 0B 40 F9 1F 01 09 EB E0 02 00 54 E0 83 00 91 00 00 00 91 E1 0F 40 F9 21 00 00 91 02 2B 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E0 0B 40 F9 00 00 00 91 E1 83 00 91 21 00 00 91 02 2B 80 52 21 00 00 91 00 00 00 91 ?? ?? ?? ?? E8 0B 40 F9 09 41 00 91 08 00 80 52 28 01 00 B9 E0 0B 40 F9 ?? ?? ?? ?? FD 7B D8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_80_0 {
	meta:
		name = "_create_locale"
		size = 164
		refs = "0008 __security_push_cookie 005c __imp_MultiByteToWideChar 0088 _wcreate_locale 0098 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 83 04 D1 E0 03 00 B9 E1 07 00 F9 E8 03 40 B9 1F 01 00 71 EB 00 00 54 E8 03 40 B9 1F 15 00 71 8C 00 00 54 E8 07 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 15 00 00 14 65 10 80 52 E4 63 00 91 03 00 80 12 E2 07 40 F9 01 00 80 52 00 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 00 B9 E8 07 40 B9 1F 01 00 71 61 00 00 54 00 00 80 D2 06 00 00 14 E1 63 00 91 E0 03 40 B9 ?? ?? ?? ?? E0 0B 00 F9 E0 0B 40 F9 FF 83 04 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_81_0 {
	meta:
		name = "_expandlocale"
		size = 1412
		refs = "0008 __security_push_cookie 003c __acrt_getptd 00ac wcsncpy_s 00bc ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c4 ??_C@_1BM@OIIBLEFG@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00cc ??_C@_1BCM@BOFLACKH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 00d8 _invoke_watson_if_error 0108 ??_C@_13FHBKNHDA@?$AAC?$AA?$AA@ 0118 wcscpy_s 0138 ??_C@_1EI@OCINLCHN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAL?$AA?$CC@ 016c wcslen 0190 wcscmp 01c8 __acrt_can_use_vista_locale_apis 0204 __lc_wcstolc 0230 __acrt_get_qualified_locale_downlevel 0250 __acrt_get_qualified_locale 0278 __lc_lctowcs 02cc ??_C@_1MO@NNCNEOAP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 02e4 __acrt_IsValidLocaleName 0308 __acrt_GetLocaleInfoEx 0328 __imp_GetACP 038c ??_C@_1IG@MKDIEKFD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AAL?$AAe?$AAn?$AA?0@ 03d4 ??_C@_1KK@KMIFPBBC@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 0424 ??_C@_1BBO@MGLBPLBP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0484 ??_C@_1BDK@DHHMOMPJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 04f4 ??_C@_1IC@FCCDBGLL@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AAL?$AAe?$AAn?$AA?0?$AA?5?$AAe@ 052c memcpy 055c ??_C@_1FA@HOOAAHFF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAc?$AAa@ 0574 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF C3 0A D1 E0 07 00 F9 E1 57 00 F9 E2 5B 00 F9 E3 17 00 F9 E4 4F 00 F9 E5 27 00 F9 E8 07 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 4E 01 00 14 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 08 61 02 91 E8 13 00 F9 E8 13 40 F9 08 81 00 91 E8 23 00 F9 E8 13 40 F9 08 91 00 91 E8 53 00 F9 68 10 80 D2 E8 6F 00 F9 E8 13 40 F9 08 A9 04 91 E8 1F 00 F9 68 10 80 D2 E8 73 00 F9 08 00 80 D2 E8 0F 00 F9 08 00 80 52 E8 13 00 B9 E8 13 40 F9 02 61 09 91 A3 0A 80 D2 42 00 00 91 E1 4F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 7F 00 B9 05 00 80 D2 04 6C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7F 40 B9 ?? ?? ?? ?? E8 07 40 F9 08 01 40 79 08 01 00 11 1F 0D 01 71 E1 03 00 54 E8 07 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 01 00 71 21 03 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E1 5B 40 F9 E0 57 40 F9 ?? ?? ?? ?? E0 83 00 B9 05 00 80 D2 C4 6C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 83 40 B9 ?? ?? ?? ?? E8 27 40 F9 1F 01 00 F1 80 00 00 54 E9 27 40 F9 08 00 80 52 28 01 00 B9 E0 57 40 F9 03 01 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 0D 02 F1 E2 01 00 54 E1 07 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 87 00 B9 E8 87 40 B9 1F 01 00 71 A0 1B 00 54 E1 07 40 F9 E0 53 40 F9 ?? ?? ?? ?? E0 8B 00 B9 E8 8B 40 B9 1F 01 00 71 C0 1A 00 54 08 00 80 52 E8 17 00 B9 ?? ?? ?? ?? E0 03 00 39 E8 03 40 39 08 01 00 11 1F 01 00 71 81 00 00 54 28 00 80 52 E8 33 00 B9 03 00 00 14 08 00 80 52 E8 33 00 B9 E8 33 40 B9 E8 93 00 B9 E1 07 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 8F 00 B9 E8 8F 40 B9 1F 01 00 71 61 02 00 54 E8 93 40 B9 1F 01 00 71 20 01 00 54 E2 A3 03 91 E1 23 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 97 00 B9 E8 97 40 B9 E8 17 00 B9 08 00 00 14 E2 A3 03 91 E1 23 40 F9 E0 A3 03 91 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 E8 17 00 B9 E8 17 40 B9 1F 01 00 71 C0 03 00 54 E2 A3 03 91 61 10 80 D2 E0 1F 40 F9 ?? ?? ?? ?? E8 17 40 F9 1F 01 00 F1 C0 02 00 54 E0 23 08 91 ?? ?? ?? ?? E0 67 00 F9 E8 67 40 F9 03 05 00 91 63 00 00 91 E2 23 08 91 E1 4F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 57 00 B9 05 00 80 D2 A4 70 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 57 40 B9 ?? ?? ?? ?? 70 00 00 14 E0 07 40 F9 ?? ?? ?? ?? E0 5B 00 B9 E8 5B 40 B9 1F 01 00 71 20 0A 00 54 43 00 80 52 E2 43 00 91 01 14 00 18 E0 07 40 F9 ?? ?? ?? ?? E0 5F 00 B9 E8 5F 40 B9 1F 01 00 71 80 00 00 54 E8 13 40 B9 1F 01 00 71 E1 00 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 63 00 B9 E8 63 40 B9 E8 13 00 B9 E8 13 40 B9 09 3D 00 53 29 01 00 11 E8 23 40 F9 09 01 00 B9 E8 0F 40 F9 03 05 00 91 63 00 00 91 E2 07 40 F9 61 10 80 D2 E0 1F 40 F9 ?? ?? ?? ?? E0 67 00 B9 05 00 80 D2 A4 72 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 67 40 B9 ?? ?? ?? ?? E8 0F 40 F9 03 05 00 91 63 00 00 91 E2 07 40 F9 E1 4F 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 6B 00 B9 05 00 80 D2 04 73 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6B 40 B9 ?? ?? ?? ?? E8 0F 40 F9 03 05 00 91 E8 13 40 F9 00 61 09 91 63 00 00 91 E2 07 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 6F 00 B9 05 00 80 D2 64 73 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 6F 40 B9 ?? ?? ?? ?? 1A 00 00 14 E0 17 40 F9 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 03 05 00 91 E8 13 40 F9 00 61 09 91 63 00 00 91 E2 17 40 F9 A1 0A 80 D2 00 00 00 91 ?? ?? ?? ?? E0 73 00 B9 05 00 80 D2 04 74 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 73 40 B9 ?? ?? ?? ?? 00 00 80 D2 36 00 00 14 E8 07 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 E0 02 00 54 E8 0F 40 F9 1F 0D 02 F1 82 02 00 54 E8 0F 40 F9 03 05 00 91 63 00 00 91 E2 07 40 F9 61 10 80 D2 E0 53 40 F9 ?? ?? ?? ?? E0 77 00 B9 05 00 80 D2 A4 74 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 77 40 B9 ?? ?? ?? ?? 04 00 00 14 E9 53 40 F9 08 00 80 52 28 01 00 79 E8 27 40 F9 1F 01 00 F1 A0 00 00 54 82 00 80 D2 E1 23 40 F9 E0 27 40 F9 ?? ?? ?? ?? E2 1F 40 F9 E1 5B 40 F9 E0 57 40 F9 ?? ?? ?? ?? E0 7B 00 B9 05 00 80 D2 E4 75 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 7B 40 B9 ?? ?? ?? ?? E0 1F 40 F9 FF C3 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 04 10 00 20 }
	condition:
		$1
}

rule file_691_82_0 {
	meta:
		name = "_free_locale"
		size = 344
		refs = "001c __acrt_lock 0080 __acrt_initial_multibyte_data 00a4 _free_dbg 00ac __acrt_unlock 00d8 __acrt_release_locale_ref 0114 __acrt_initial_locale_data 0134 __acrt_free_locale"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 A0 0F 00 F9 A8 0F 40 F9 1F 01 00 F1 C0 09 00 54 A0 00 80 52 ?? ?? ?? ?? A8 0F 40 F9 08 21 00 91 08 01 40 F9 1F 01 00 F1 C0 03 00 54 A8 0F 40 F9 08 21 00 91 08 01 40 F9 0A 01 00 91 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 A9 13 00 B9 A8 13 40 B9 1F 01 00 71 A1 01 00 54 A8 0F 40 F9 0A 21 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB C0 00 00 54 A8 0F 40 F9 08 21 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? A0 00 80 52 ?? ?? ?? ?? A8 0F 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 00 04 00 54 80 00 80 52 ?? ?? ?? ?? A8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? A8 0F 40 F9 08 01 00 91 08 01 40 F9 1F 01 00 F1 60 02 00 54 A8 0F 40 F9 08 01 00 91 08 01 40 F9 08 41 00 91 08 01 40 B9 1F 01 00 71 81 01 00 54 A8 0F 40 F9 0A 01 00 91 ?? ?? ?? ?? ?? ?? ?? ?? 48 01 40 F9 1F 01 09 EB A0 00 00 54 A8 0F 40 F9 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? 80 00 80 52 ?? ?? ?? ?? 41 00 80 52 A0 0F 40 F9 ?? ?? ?? ?? FD 7B C2 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_691_85_0 {
	meta:
		name = "_get_current_locale"
		size = 300
		refs = "0008 __acrt_getptd 001c ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0030 _calloc_dbg 0040 ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_locale_pointers@@@Z 004c ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBA_NXZ 0070 ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@XZ 007c __acrt_update_thread_locale_data 0080 __acrt_update_thread_multibyte_data 0088 ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_locale_pointers@@XZ 00d4 ??0<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@QEAA@AEAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 00e4 ??$__acrt_lock_and_call@V<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@Z 00f0 ??0<lambda_ebab98244f73a74f49db879bf13fa982>@@QEAA@AEAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 0100 ??$__acrt_lock_and_call@V<lambda_ebab98244f73a74f49db879bf13fa982>@@@@YAXW4__acrt_lock_id@@$$QEAV<lambda_ebab98244f73a74f49db879bf13fa982>@@@Z 0108 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 ?? ?? ?? ?? E0 17 00 F9 E8 17 40 F9 E8 13 00 F9 24 2D 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 02 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 1B 00 F9 E1 1B 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 E1 00 00 54 08 00 80 D2 E8 1F 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 1F 40 F9 2B 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 23 00 F9 E8 13 40 F9 0A 41 02 91 E8 23 40 F9 09 01 00 91 48 01 40 F9 28 01 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 27 00 F9 E8 13 40 F9 0A 21 02 91 E8 27 40 F9 09 21 00 91 48 01 40 F9 28 01 00 F9 E1 63 00 91 E0 E3 01 91 ?? ?? ?? ?? E0 2B 00 F9 E1 2B 40 F9 80 00 80 52 ?? ?? ?? ?? E1 63 00 91 E0 03 02 91 ?? ?? ?? ?? E0 2F 00 F9 E1 2F 40 F9 A0 00 80 52 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 33 00 F9 E8 33 40 F9 E8 37 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 37 40 F9 FD 7B C9 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_87_0 {
	meta:
		name = "_wcreate_locale"
		size = 824
		refs = "0040 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0054 _calloc_dbg 0064 ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBA_NXZ 0088 _errno 00a8 ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@XZ 00dc ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_locale_data@@@Z 00e8 ??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBA_NXZ 0120 ??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAA@XZ 015c ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@QEAU__crt_multibyte_data@@@Z 0168 ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBA_NXZ 01a0 ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@XZ 01c0 ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_locale_data@@XZ 01c8 __acrt_initial_locale_data 01d4 _copytlocinfo_nolock 01f0 _wsetlocale_nolock 0208 ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_multibyte_data@@XZ 0230 _setmbcp_nolock 0254 __acrt_release_locale_ref 025c ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_locale_data@@XZ 0268 __acrt_free_locale 02c0 ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEBAPEAU__crt_locale_pointers@@XZ 02dc ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_multibyte_data@@XZ 0304 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAPEAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { FD 7B AE A9 FD 03 00 91 E0 2B 00 B9 E1 23 00 F9 E8 2B 40 B9 1F 01 00 71 EB 00 00 54 E8 2B 40 B9 1F 15 00 71 8C 00 00 54 E8 23 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 BE 00 00 14 24 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 02 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 27 00 F9 E1 27 40 F9 E0 83 00 91 ?? ?? ?? ?? E0 87 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 43 00 39 E8 43 40 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 88 01 80 52 28 01 00 B9 08 00 80 D2 E8 2F 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 2F 40 F9 A0 00 00 14 84 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 2B 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 33 00 F9 E1 33 40 F9 E0 63 00 91 ?? ?? ?? ?? E0 8B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 47 00 39 E8 47 40 39 08 01 00 11 1F 01 00 71 C1 01 00 54 ?? ?? ?? ?? E0 37 00 F9 E9 37 40 F9 88 01 80 52 28 01 00 B9 08 00 80 D2 E8 3B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 3B 40 F9 80 00 00 14 E4 25 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 42 00 80 52 01 45 80 D2 20 00 80 D2 ?? ?? ?? ?? E0 3F 00 F9 E1 3F 40 F9 E0 C3 00 91 ?? ?? ?? ?? E0 8F 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 4B 00 39 E8 4B 40 39 08 01 00 11 1F 01 00 71 01 02 00 54 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 88 01 80 52 28 01 00 B9 08 00 80 D2 E8 47 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 47 40 F9 5E 00 00 14 E0 63 00 91 ?? ?? ?? ?? E0 4B 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 4F 00 F9 E2 23 40 F9 E1 2B 40 B9 E0 4F 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 1F 01 00 F1 20 02 00 54 E0 C3 00 91 ?? ?? ?? ?? E0 5B 00 F9 E0 63 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 08 01 00 91 08 31 00 91 E1 5B 40 F9 00 01 40 B9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 A0 02 00 54 E0 63 00 91 ?? ?? ?? ?? E0 5F 00 F9 E0 5F 40 F9 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 63 00 F9 E0 63 40 F9 ?? ?? ?? ?? 08 00 80 D2 E8 67 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 67 40 F9 28 00 00 14 E0 C3 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 09 01 00 91 28 00 80 52 28 01 00 B9 E0 63 00 91 ?? ?? ?? ?? E0 73 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 09 01 00 91 E8 73 40 F9 28 01 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 7B 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 77 00 F9 E8 77 40 F9 09 21 00 91 E8 7B 40 F9 28 01 00 F9 E0 83 00 91 ?? ?? ?? ?? E0 7F 00 F9 E8 7F 40 F9 E8 83 00 F9 E0 C3 00 91 ?? ?? ?? ?? E0 63 00 91 ?? ?? ?? ?? E0 83 00 91 ?? ?? ?? ?? E0 83 40 F9 FD 7B D2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_88_0 {
	meta:
		name = "_wcscats"
		size = 268
		refs = "0024 ??$__vcrt_va_start_verify_argument_type@H@@YAXXZ 00c4 wcscat_s 00d4 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00dc ??_C@_1BC@LEOKFFML@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AAs?$AA?$AA@ 00e4 ??_C@_1CHK@JJAFADJL@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAs?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 00f0 _invoke_watson_if_error"
	strings:
		$1 = { FF C3 00 D1 E3 93 00 A9 E5 9B 01 A9 E7 17 00 F9 FD 7B BC A9 FD 03 00 91 E0 1F 00 F9 E1 1B 00 F9 E2 17 00 B9 ?? ?? ?? ?? E8 23 01 91 E8 13 00 F9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 17 40 B9 E8 13 40 B9 1F 01 09 6B 2A 05 00 54 08 00 80 52 1F 01 00 71 40 01 00 54 E8 13 40 F9 08 21 00 91 E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 F9 08 01 40 F9 E8 17 00 F9 0D 00 00 14 09 00 80 D2 E8 13 40 F9 28 01 08 CB 08 09 40 92 09 21 00 91 E8 13 40 F9 08 01 09 8B E8 13 00 F9 E8 13 40 F9 08 21 00 D1 08 01 40 F9 E8 17 00 F9 E2 17 40 F9 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? E0 1B 00 B9 05 00 80 D2 C4 77 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 1B 40 B9 ?? ?? ?? ?? D2 FF FF 17 08 00 80 D2 E8 13 00 F9 FD 7B C4 A8 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_89_0 {
	meta:
		name = "_wsetlocale"
		size = 364
		refs = "0064 ??_C@_1FG@OHLFEKMC@?$AAL?$AAC?$AA_?$AAM?$AAI?$AAN?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0088 _CrtDbgReportW 00b0 _errno 00d4 ??_C@_1BI@KJNPAEHL@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00e4 _invalid_parameter 00f0 __acrt_getptd 0100 __acrt_eagerly_load_locale_apis 0104 __acrt_update_thread_locale_data 012c ??0<lambda_8dff2cf36a5417162780cd64fa2883ef>@@QEAA@AEBQEAU__acrt_ptd@@@Z 014c ??0<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@QEAA@AEAPEAU__crt_locale_data@@AEBQEAU__acrt_ptd@@AEAPEA_WAEAHAEAPEB_W@Z 015c ??$__crt_call_and_cleanup@V<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@V<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@@YAX$$QEAV<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@$$QEAV<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@Z"
	strings:
		$1 = { FD 7B B6 A9 FD 03 00 91 E0 13 00 B9 E1 27 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 2B 00 F9 E9 13 40 B9 08 00 80 52 1F 01 09 6B EC 00 00 54 E8 13 40 B9 1F 15 00 71 8C 00 00 54 28 00 80 52 E8 17 00 B9 03 00 00 14 08 00 80 52 E8 17 00 B9 E8 17 40 B9 E8 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 37 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 2B 00 B9 E9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 C8 02 80 52 28 01 00 B9 04 00 80 D2 23 37 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 D2 1E 00 00 14 ?? ?? ?? ?? E0 23 00 F9 E8 23 40 F9 E8 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E8 13 40 F9 08 A1 0E 91 08 01 40 B9 09 01 1C 32 E8 13 40 F9 08 A1 0E 91 09 01 00 B9 E1 83 00 91 E0 A3 01 91 ?? ?? ?? ?? E0 2F 00 F9 E5 23 01 91 E4 43 00 91 E3 C3 00 91 E2 83 00 91 E1 43 01 91 E0 C3 01 91 ?? ?? ?? ?? E0 33 00 F9 E1 2F 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 1B 40 F9 FD 7B CA A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_90_0 {
	meta:
		name = "_wsetlocale_get_all"
		size = 1456
		refs = "0040 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0050 _malloc_dbg 00f4 __lc_category 0108 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 0120 _wcscats 0130 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 0140 wcscat_s 0150 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0158 ??_C@_1CI@LKOPFFBD@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAg?$AAe?$AAt?$AA_?$AAa?$AAl?$AAl?$AA?$AA@ 0160 ??_C@_1DC@HMLJMODP@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DL?$AA?$CC?$AA?$CJ?$AA?$AA@ 016c _invoke_watson_if_error 01bc wcscmp 0254 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0270 _CrtDbgReportW 02a0 _free_dbg"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 E0 0B 00 F9 28 00 80 52 E8 33 00 B9 08 00 80 D2 E8 13 00 F9 08 00 80 D2 E8 37 00 F9 08 00 80 D2 E8 17 00 F9 08 00 80 D2 E8 33 00 F9 C8 D4 80 D2 E8 33 00 F9 43 62 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 E0 33 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 17 00 F9 E8 17 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 4E 01 00 14 E8 17 40 F9 08 11 00 91 E8 13 00 F9 E8 33 40 F9 09 11 00 D1 48 00 80 D2 28 09 C8 9A E8 37 00 F9 E9 13 40 F9 08 00 80 52 28 01 00 79 E9 17 40 F9 28 00 80 52 28 01 00 B9 28 00 80 52 E8 1B 00 B9 04 00 00 14 E8 1B 40 B9 08 05 00 11 E8 1B 00 B9 E8 0B 40 F9 0A 81 00 91 E8 1B 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 0A 21 00 91 E8 1B 40 B9 09 7D 40 93 08 03 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 09 01 00 91 45 01 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 23 01 40 F9 62 00 80 52 E1 37 40 F9 E0 13 40 F9 ?? ?? ?? ?? E8 1B 40 B9 1F 15 00 71 8A 05 00 54 ?? ?? ?? ?? ?? ?? ?? ?? E1 37 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 37 00 B9 05 00 80 D2 C4 63 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 37 40 B9 ?? ?? ?? ?? E8 0B 40 F9 0A 81 00 91 E8 1B 40 B9 08 05 00 11 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 0B 21 00 91 E8 0B 40 F9 0A 81 00 91 E8 1B 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 61 01 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 60 00 00 54 08 00 80 52 E8 33 00 B9 F3 00 00 14 E8 33 40 B9 1F 01 00 71 C1 0E 00 54 E8 0B 40 F9 08 81 00 91 08 61 00 91 08 01 40 F9 1F 01 00 F1 40 05 00 54 E8 0B 40 F9 08 81 00 91 08 61 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 3F 00 B9 E8 3F 40 B9 1F 01 00 71 21 03 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 64 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 43 00 B9 E9 43 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 81 00 91 08 61 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 00 91 08 41 00 91 08 01 40 F9 1F 01 00 F1 40 05 00 54 E8 0B 40 F9 08 81 00 91 08 41 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 47 00 B9 E8 47 40 B9 1F 01 00 71 21 03 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 65 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 81 00 91 08 41 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 00 91 09 41 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 61 00 91 E8 17 40 F9 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 21 00 91 E8 13 40 F9 28 01 00 F9 E0 13 40 F9 7D 00 00 14 7B 00 00 14 41 00 80 52 E0 17 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 00 91 08 61 00 91 08 01 40 F9 1F 01 00 F1 40 05 00 54 E8 0B 40 F9 08 81 00 91 08 61 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 4F 00 B9 E8 4F 40 B9 1F 01 00 71 21 03 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 66 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 53 00 B9 E9 53 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 81 00 91 08 61 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 00 91 08 41 00 91 08 01 40 F9 1F 01 00 F1 40 05 00 54 E8 0B 40 F9 08 81 00 91 08 41 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 57 00 B9 E8 57 40 B9 1F 01 00 71 21 03 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 67 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 5B 00 B9 E9 5B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 0B 40 F9 08 81 00 91 08 41 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 0B 40 F9 08 81 00 91 09 41 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 01 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 61 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 00 91 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 0B 40 F9 08 81 01 91 08 21 00 91 00 01 40 F9 02 00 00 14 C5 FE FF 17 FD 7B C8 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_91_0 {
	meta:
		name = "_wsetlocale_nolock"
		size = 1264
		refs = "0008 __security_push_cookie 0040 _wsetlocale_set_cat 00f0 ??_C@_15NBPDDFIP@?$AA?$DN?$AA?$DL?$AA?$AA@ 00fc wcspbrk 0188 __lc_category 01a4 wcsncmp 01dc wcslen 0208 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 0214 wcscspn 0268 wcsncpy_s 0278 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0280 ??_C@_1CG@DKJCBBPP@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0288 ??_C@_1IG@NGDCPCDE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAc?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0294 _invoke_watson_if_error 02b8 __report_rangecheckfailure 0358 _wsetlocale_get_all 0398 _expandlocale 040c wcscmp 04e4 __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 03 0A D1 E0 0B 00 F9 E1 33 00 B9 E2 17 00 F9 E8 33 40 B9 1F 01 00 71 20 03 00 54 E8 17 40 F9 1F 01 00 F1 20 01 00 54 E2 17 40 F9 E1 33 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 3B 00 F9 E8 3B 40 F9 E8 2B 00 F9 0B 00 00 14 E8 0B 40 F9 0A 81 00 91 E8 33 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 08 01 40 F9 E8 2B 00 F9 E8 2B 40 F9 E8 1F 00 F9 16 01 00 14 28 00 80 52 E8 43 00 B9 08 00 80 52 E8 07 00 B9 E8 17 40 F9 1F 01 00 F1 40 21 00 54 E8 17 40 F9 08 01 40 79 08 01 00 11 1F 31 01 71 61 16 00 54 E8 17 40 F9 08 09 00 91 08 01 40 79 08 01 00 11 1F 0D 01 71 A1 15 00 54 E8 17 40 F9 08 11 00 91 08 01 40 79 08 01 00 11 1F 7D 01 71 E1 14 00 54 E8 17 40 F9 E8 13 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 13 40 F9 ?? ?? ?? ?? E0 3F 00 F9 E8 3F 40 F9 E8 07 00 F9 E8 07 40 F9 1F 01 00 F1 C0 01 00 54 E9 07 40 F9 E8 13 40 F9 28 01 08 CB 08 FD 41 93 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 C0 00 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F ED 00 71 61 00 00 54 00 00 80 D2 E4 00 00 14 28 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 15 00 71 4C 04 00 54 E8 03 40 B9 09 7D 40 93 08 03 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 E2 0F 40 F9 E1 13 40 F9 00 01 40 F9 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 21 02 00 54 E8 03 40 B9 09 7D 40 93 08 03 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 01 00 91 00 01 40 F9 ?? ?? ?? ?? E0 43 00 F9 E9 43 40 F9 E8 0F 40 F9 1F 01 09 EB 41 00 00 54 02 00 00 14 DA FF FF 17 E8 07 40 F9 08 09 00 91 E8 07 00 F9 ?? ?? ?? ?? ?? ?? ?? ?? E0 07 40 F9 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 E8 0F 00 F9 E8 0F 40 F9 1F 01 00 F1 01 01 00 54 E8 07 40 F9 08 01 40 79 08 01 00 11 1F ED 00 71 60 00 00 54 00 00 80 D2 A6 00 00 14 E8 03 40 B9 1F 15 00 71 4C 05 00 54 E3 0F 40 F9 E2 07 40 F9 61 10 80 D2 E0 23 03 91 ?? ?? ?? ?? E0 4B 00 B9 05 00 80 D2 04 46 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 4B 40 B9 ?? ?? ?? ?? E9 0F 40 F9 48 00 80 D2 28 7D 08 9B E8 2F 00 F9 E8 2F 40 F9 1F 19 04 F1 42 00 00 54 02 00 00 14 ?? ?? ?? ?? E9 23 03 91 E8 2F 40 F9 29 01 08 8B 08 00 80 52 28 01 00 79 E2 23 03 91 E1 03 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 1F 01 00 F1 80 00 00 54 E8 07 40 B9 08 05 00 11 E8 07 00 B9 E9 0F 40 F9 48 00 80 D2 29 7D 08 9B E8 07 40 F9 08 01 09 8B E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 80 00 00 54 E8 13 40 F9 08 09 00 91 E8 13 00 F9 E8 13 40 F9 08 01 40 79 08 01 00 11 1F 01 00 71 61 ED FF 54 E8 07 40 B9 1F 01 00 71 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 E8 33 00 F9 03 00 00 14 08 00 80 D2 E8 33 00 F9 E8 33 40 F9 E8 1F 00 F9 52 00 00 14 05 00 80 D2 A4 0A 80 D2 E3 43 07 91 62 10 80 D2 E1 23 03 91 E0 17 40 F9 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 E8 1F 00 F9 E8 1F 40 F9 1F 01 00 F1 A0 08 00 54 08 00 80 52 E8 03 00 B9 04 00 00 14 E8 03 40 B9 08 05 00 11 E8 03 00 B9 E8 03 40 B9 1F 15 00 71 CC 04 00 54 E8 03 40 B9 1F 01 00 71 40 04 00 54 E8 0B 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 01 01 40 F9 E0 23 03 91 ?? ?? ?? ?? E0 4F 00 B9 E8 4F 40 B9 1F 01 00 71 00 02 00 54 E2 23 03 91 E1 03 40 B9 E0 0B 40 F9 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 1F 01 00 F1 A0 00 00 54 E8 07 40 B9 08 05 00 11 E8 07 00 B9 03 00 00 14 08 00 80 52 E8 43 00 B9 04 00 00 14 E8 07 40 B9 08 05 00 11 E8 07 00 B9 D6 FF FF 17 E8 43 40 B9 1F 01 00 71 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 5B 00 F9 E8 5B 40 F9 E8 1F 00 F9 0E 00 00 14 E8 07 40 B9 1F 01 00 71 E0 00 00 54 E0 0B 40 F9 ?? ?? ?? ?? E0 5F 00 F9 E8 5F 40 F9 E8 37 00 F9 03 00 00 14 08 00 80 D2 E8 37 00 F9 E8 37 40 F9 E8 1F 00 F9 06 00 00 14 E0 0B 40 F9 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 E8 1F 00 F9 E0 1F 40 F9 FF 03 0A 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_691_92_0 {
	meta:
		name = "_wsetlocale_set_cat"
		size = 2280
		refs = "0008 __security_push_cookie 0034 __acrt_getptd 0074 _expandlocale 00b8 wcscmp 00f8 wcslen 0120 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0130 _malloc_dbg 01cc wcscpy_s 01dc ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01e4 ??_C@_1CI@ODOPEMNJ@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAa?$AAt?$AA?$AA@ 01ec ??_C@_1EM@MHOCNIAA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA_?$AAc?$AAa?$AAt?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAl?$AAc@ 01f8 _invoke_watson_if_error 0270 __acrt_copy_locale_name 04a0 _first_127char 04b0 __acrt_GetStringTypeA 0538 _ctype_loc_style 0544 memcmp 0614 __lc_category 0630 __guard_check_icall_fptr 06a4 _free_dbg 06f4 __acrt_wide_c_locale_string 0770 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 078c _CrtDbgReportW 08dc __security_pop_cookie"
	strings:
		$1 = { FD 7B BF A9 FD 03 00 91 ?? ?? ?? ?? FF 43 0E D1 E0 07 00 F9 E1 03 00 B9 E2 4B 00 F9 08 00 80 D2 E8 1B 00 F9 08 00 80 D2 E8 33 00 F9 08 00 80 D2 E8 2F 00 F9 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 E8 47 00 F9 E8 47 40 F9 08 61 02 91 08 C1 08 91 E8 0F 00 F9 A8 00 80 52 E8 27 00 B9 E5 A3 00 91 A4 0A 80 D2 E3 A3 0B 91 62 10 80 D2 E1 83 03 91 E0 4B 40 F9 ?? ?? ?? ?? E0 4F 00 F9 E8 4F 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 13 02 00 14 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 01 01 40 F9 E0 83 03 91 ?? ?? ?? ?? E0 3B 00 B9 E8 3B 40 B9 1F 01 00 71 61 01 00 54 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 FA 01 00 14 E0 83 03 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 05 00 91 E8 2F 00 F9 E9 2F 40 F9 48 00 80 D2 28 7D 08 9B 00 11 00 91 83 51 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 41 00 80 52 00 00 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 57 40 F9 E8 1B 00 F9 E8 1B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 D2 E2 01 00 14 E8 1B 40 F9 08 11 00 91 E8 33 00 F9 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 08 01 40 F9 E8 3F 00 F9 E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 08 01 40 F9 E8 6F 00 F9 E8 07 40 F9 08 01 00 91 08 31 00 91 08 01 40 B9 E8 4F 00 B9 E2 83 03 91 E1 2F 40 F9 E0 33 40 F9 ?? ?? ?? ?? E0 3F 00 B9 05 00 80 D2 E4 52 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 3F 40 B9 ?? ?? ?? ?? E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 09 21 00 91 E8 33 40 F9 28 01 00 F9 E8 C3 41 79 08 01 00 11 1F 0D 01 71 E1 01 00 54 E8 C7 41 79 08 01 00 11 1F 01 00 71 61 01 00 54 E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 D2 28 01 00 F9 0D 00 00 14 E0 A3 0B 91 ?? ?? ?? ?? E0 5B 00 F9 E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 49 01 08 8B E8 5B 40 F9 28 01 00 F9 E8 03 40 B9 1F 09 00 71 21 19 00 54 E8 07 40 F9 08 01 00 91 09 31 00 91 E8 2B 40 B9 28 01 00 B9 E8 27 40 B9 08 05 00 51 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E9 E3 02 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 A3 01 91 29 01 00 91 E8 E3 02 91 08 01 00 91 08 01 40 F9 28 01 00 F9 08 00 80 52 E8 13 00 B9 04 00 00 14 E8 13 40 B9 08 05 00 11 E8 13 00 B9 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B 6A 0A 00 54 E8 07 40 F9 08 01 00 91 0A 31 00 91 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B 08 01 00 91 09 01 40 B9 48 01 40 B9 1F 01 09 6B 41 04 00 54 E8 13 40 B9 1F 01 00 71 A0 03 00 54 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E9 03 03 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 0F 40 F9 29 01 00 91 E8 03 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 29 01 00 91 E8 A3 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 25 00 00 14 23 00 00 14 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 08 01 09 8B E9 23 03 91 29 01 00 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 43 03 91 29 01 00 91 E8 23 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E8 13 40 B9 09 7D 40 93 08 01 80 D2 29 7D 08 9B E8 0F 40 F9 09 01 09 8B 29 01 00 91 E8 A3 01 91 08 01 00 91 08 01 40 F9 28 01 00 F9 E9 A3 01 91 29 01 00 91 E8 43 03 91 08 01 00 91 08 01 40 F9 28 01 00 F9 A8 FF FF 17 E9 27 40 B9 E8 13 40 B9 1F 01 09 6B 61 09 00 54 E8 07 40 F9 08 01 00 91 08 31 00 91 26 00 80 52 05 01 40 B9 E4 A3 07 91 E3 0F 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 21 00 80 52 00 00 80 D2 ?? ?? ?? ?? E0 43 00 B9 E8 43 40 B9 1F 01 00 71 00 06 00 54 08 00 80 52 E8 23 00 B9 04 00 00 14 E8 23 40 B9 08 05 00 11 E8 23 00 B9 E8 23 40 B9 08 7D 40 93 1F FD 01 F1 62 02 00 54 E8 23 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 A3 07 91 08 01 09 8B 08 01 40 79 08 01 00 11 08 21 00 12 0A 3D 00 53 E8 23 40 B9 09 7D 40 93 48 00 80 D2 29 7D 08 9B E8 A3 07 91 08 01 09 8B 0A 01 00 79 E8 FF FF 17 C2 1F 80 D2 ?? ?? ?? ?? ?? ?? ?? ?? E0 A3 07 91 ?? ?? ?? ?? E0 47 00 B9 E8 47 40 B9 1F 01 00 71 C1 00 00 54 E8 0F 40 F9 09 11 00 91 28 00 80 52 28 01 00 B9 05 00 00 14 E8 0F 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 05 00 00 14 E8 0F 40 F9 09 11 00 91 08 00 80 52 28 01 00 B9 E8 07 40 F9 08 01 00 91 0A 31 00 91 E8 0F 40 F9 09 01 00 91 48 01 40 B9 28 01 00 B9 E8 0F 40 F9 0A 11 00 91 E8 07 40 F9 09 71 00 91 48 01 40 B9 28 01 00 B9 10 00 00 14 E8 03 40 B9 1F 05 00 71 C1 00 00 54 E8 07 40 F9 09 51 00 91 E8 2B 40 B9 28 01 00 B9 08 00 00 14 E8 03 40 B9 1F 15 00 71 A1 00 00 54 E8 07 40 F9 09 61 00 91 E8 2B 40 B9 28 01 00 B9 E8 03 40 B9 09 7D 40 93 08 03 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 08 01 09 8B 08 41 00 91 08 01 40 F9 E8 3B 00 F9 EF 3B 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 07 40 F9 E8 3B 40 F9 00 01 3F D6 E0 4B 00 B9 E8 4B 40 B9 1F 01 00 71 00 05 00 54 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 09 21 00 91 E8 3F 40 F9 28 01 00 F9 E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 49 01 08 8B E8 6F 40 F9 28 01 00 F9 41 00 80 52 E0 1B 40 F9 ?? ?? ?? ?? E8 07 40 F9 08 01 00 91 09 31 00 91 E8 4F 40 B9 28 01 00 B9 00 00 80 D2 7A 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? E8 3F 40 F9 1F 01 09 EB 80 0B 00 54 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 0A 01 40 F9 4A 01 00 91 49 FD 5F 88 29 01 00 11 08 00 80 12 29 01 08 0B 49 FD 08 88 1F 01 00 71 41 FF FF 54 BF 3B 03 D5 E9 53 00 B9 E8 53 40 B9 1F 01 00 71 C1 08 00 54 08 00 80 52 1F 01 00 71 01 02 00 54 05 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 5E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 57 00 B9 E9 57 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 61 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 41 00 91 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 48 01 08 8B 41 00 80 52 00 01 40 F9 ?? ?? ?? ?? E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 09 21 00 91 08 00 80 D2 28 01 00 F9 E8 07 40 F9 0A A1 04 91 E8 03 40 B9 09 7D 40 93 08 01 80 D2 28 7D 08 9B 49 01 08 8B 08 00 80 D2 28 01 00 F9 E8 1B 40 F9 1F 01 00 F1 80 00 00 54 E9 1B 40 F9 28 00 80 52 28 01 00 B9 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 09 61 00 91 E8 1B 40 F9 28 01 00 F9 E8 07 40 F9 0A 81 00 91 E8 03 40 B9 09 7D 40 93 08 04 80 D2 28 7D 08 9B 48 01 08 8B 08 21 00 91 00 01 40 F9 FF 43 0E 91 ?? ?? ?? ?? FD 7B C1 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_693_4_0 {
	meta:
		name = "_mbtowc_l"
		size = 1056
		refs = "0074 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0080 ?GetLocaleT@_LocaleUpdate@@QEAAPEAU__crt_locale_pointers@@XZ 00d4 ??_C@_1BBC@DECGKMGJ@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ec ??_C@_1GE@CGIHMDEJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00f8 _CrtDbgReportW 016c ??1_LocaleUpdate@@QEAA@XZ 019c _isleadbyte_l 0288 __imp_MultiByteToWideChar 02f0 _errno"
	strings:
		$1 = { FD 7B B1 A9 FD 03 00 91 E0 0B 00 F9 E1 0F 00 F9 E2 3B 00 F9 E3 3F 00 F9 E8 0F 40 F9 1F 01 00 F1 80 00 00 54 E8 3B 40 F9 1F 01 00 F1 61 00 00 54 00 00 80 52 F9 00 00 14 E8 0F 40 F9 08 01 C0 39 08 01 00 11 1F 01 00 71 21 01 00 54 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E9 0B 40 F9 08 00 80 52 28 01 00 79 00 00 80 52 EC 00 00 14 E1 3F 40 F9 E0 A3 00 91 ?? ?? ?? ?? E0 77 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 43 00 F9 E8 43 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 80 03 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 47 00 F9 E8 47 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 09 00 71 20 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 07 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 4B 00 B9 E9 4B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 E0 A3 00 91 ?? ?? ?? ?? E0 4B 00 F9 E8 4B 40 F9 08 01 00 91 08 01 40 F9 08 E1 04 91 08 01 40 F9 1F 01 00 F1 01 02 00 54 E8 0B 40 F9 1F 01 00 F1 E0 00 00 54 E8 0F 40 F9 08 01 C0 39 09 1D 00 53 29 01 00 11 E8 0B 40 F9 09 01 00 79 28 00 80 52 E8 4F 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 4F 40 B9 A9 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 4F 00 F9 E8 0F 40 F9 08 01 C0 39 00 1D 00 53 00 00 00 11 E1 4F 40 F9 00 00 00 11 ?? ?? ?? ?? E0 53 00 B9 E8 53 40 B9 1F 01 00 71 60 0D 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 53 00 F9 E8 53 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 1F 05 00 71 6D 06 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 57 00 F9 E8 3B 40 F9 09 01 00 11 E8 57 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 3F 01 08 6B CB 04 00 54 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 23 00 B9 03 00 00 14 08 00 80 52 E8 23 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 5B 00 F9 E0 A3 00 91 ?? ?? ?? ?? E0 5F 00 F9 E8 5B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 09 21 00 91 E8 5F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E5 23 40 B9 E4 0B 40 F9 23 01 40 B9 E2 0F 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 57 00 B9 E8 57 40 B9 1F 01 00 71 E1 03 00 54 E0 A3 00 91 ?? ?? ?? ?? E0 63 00 F9 E8 63 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 09 7D 40 93 E8 3B 40 F9 1F 01 09 EB E3 00 00 54 E8 0F 40 F9 08 05 00 91 08 01 C0 39 08 01 00 11 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 67 00 F9 E9 67 40 F9 48 05 80 52 28 01 00 B9 08 00 80 12 E8 5B 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 5B 40 B9 40 00 00 14 E0 A3 00 91 ?? ?? ?? ?? E0 6B 00 F9 E8 6B 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 21 00 91 08 01 40 B9 E8 5F 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 5F 40 B9 32 00 00 14 2F 00 00 14 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 28 00 80 52 E8 27 00 B9 03 00 00 14 08 00 80 52 E8 27 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 6F 00 F9 E8 6F 40 F9 08 01 00 91 08 01 40 F9 08 01 00 91 08 31 00 91 E5 27 40 B9 E4 0B 40 F9 23 00 80 52 E2 0F 40 F9 21 01 80 52 00 01 40 B9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 63 00 B9 E8 63 40 B9 1F 01 00 71 81 01 00 54 ?? ?? ?? ?? E0 73 00 F9 E9 73 40 F9 48 05 80 52 28 01 00 B9 08 00 80 12 E8 67 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 67 40 B9 09 00 00 14 28 00 80 52 E8 6B 00 B9 E0 A3 00 91 ?? ?? ?? ?? E0 6B 40 B9 03 00 00 14 E0 A3 00 91 ?? ?? ?? ?? FD 7B CF A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_693_5_0 {
	meta:
		name = "mbtowc"
		size = 56
		refs = "0024 _mbtowc_l"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 0F 00 F9 03 00 80 D2 E2 0F 40 F9 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? E0 13 00 B9 E0 13 40 B9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_694_0_0 {
	meta:
		name = "_memccpy"
		size = 176
	strings:
		$1 = { FF C3 00 D1 E0 07 00 F9 E1 0F 00 F9 E2 03 00 B9 E3 0B 00 F9 E8 0B 40 F9 1F 01 00 F1 40 03 00 54 E8 0F 40 F9 08 05 00 91 E8 0F 00 F9 E8 07 40 F9 08 05 00 91 E8 07 00 F9 E8 07 40 F9 09 05 00 D1 E8 0F 40 F9 08 05 00 D1 08 01 C0 39 28 01 00 39 E8 07 40 F9 08 05 00 D1 09 01 C0 39 29 01 00 11 E8 03 40 B9 08 1D 00 13 08 01 00 11 3F 01 08 6B A0 00 00 54 E8 0B 40 F9 08 05 00 D1 E8 0B 00 F9 E5 FF FF 17 E8 0B 40 F9 1F 01 00 F1 80 00 00 54 E8 07 40 F9 E8 13 00 F9 03 00 00 14 08 00 80 D2 E8 13 00 F9 E0 13 40 F9 FF C3 00 91 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_0_0 {
	meta:
		name = "??$common_lseek@J@@YAJHJH@Z"
		size = 856
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0254 __acrt_lowio_lock_fh 02e0 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0330 ??$common_lseek_nolock@J@@YAJHJH@Z 0344 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B8 A9 FD 03 00 91 A0 13 00 B9 A1 3B 00 B9 A2 37 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 28 01 80 52 28 01 00 B9 00 00 80 12 BF 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 C3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 85 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 E3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 12 40 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 12 A8 27 00 B9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 33 00 B9 A9 33 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 00 14 A2 37 40 B9 A1 3B 40 B9 A0 13 40 B9 ?? ?? ?? ?? A0 3F 00 B9 A8 3F 40 B9 A8 27 00 B9 A0 13 40 B9 ?? ?? ?? ?? A0 27 40 B9 FD 7B C8 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_695_2_0 {
	meta:
		name = "??$common_lseek@_J@@YA_JH_JH@Z"
		size = 856
		refs = "0024 __doserrno 0038 _errno 0060 _nhandle 009c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b4 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00c0 _CrtDbgReportW 0120 ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 0130 _invalid_parameter 0150 __pioinfo 01b0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0254 __acrt_lowio_lock_fh 02e0 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0330 ??$common_lseek_nolock@_J@@YA_JH_JH@Z 0344 __acrt_lowio_unlock_fh"
	strings:
		$1 = { FD 7B B7 A9 FD 03 00 91 A0 13 00 B9 A1 43 00 F9 A2 33 00 B9 A8 13 40 B9 08 7D 40 93 1F 09 00 B1 A1 01 00 54 ?? ?? ?? ?? A0 23 00 F9 A9 23 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 27 00 F9 A9 27 40 F9 28 01 80 52 28 01 00 B9 00 00 80 92 BF 00 00 14 A8 13 40 B9 1F 01 00 71 2B 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? A8 13 40 B9 1F 01 09 6B 82 00 00 54 28 00 80 52 A8 17 00 B9 03 00 00 14 08 00 80 52 A8 17 00 B9 A8 17 40 B9 A8 1B 00 B9 A8 1B 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 C2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 27 00 B9 A9 27 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 1B 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 2B 00 F9 A9 2B 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 2F 00 F9 A9 2F 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 C3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 85 00 00 14 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 88 00 00 36 28 00 80 52 A8 1F 00 B9 03 00 00 14 08 00 80 52 A8 1F 00 B9 A8 1F 40 B9 A8 23 00 B9 A8 23 40 B9 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 E2 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2B 00 B9 A9 2B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 A8 23 40 B9 1F 01 00 71 C1 02 00 54 ?? ?? ?? ?? A0 33 00 F9 A9 33 40 F9 08 00 80 52 28 01 00 B9 ?? ?? ?? ?? A0 37 00 F9 A9 37 40 F9 28 01 80 52 28 01 00 B9 04 00 80 D2 E3 0C 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 92 40 00 00 14 A0 13 40 B9 ?? ?? ?? ?? 08 00 80 92 A8 1F 00 F9 A8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B A8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 E8 03 00 37 ?? ?? ?? ?? A0 3B 00 F9 A9 3B 40 F9 28 01 80 52 28 01 00 B9 ?? ?? ?? ?? A0 3F 00 F9 A9 3F 40 F9 08 00 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? A0 2F 00 B9 A9 2F 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 08 00 00 14 A2 33 40 B9 A1 43 40 F9 A0 13 40 B9 ?? ?? ?? ?? A0 47 00 F9 A8 47 40 F9 A8 1F 00 F9 A0 13 40 B9 ?? ?? ?? ?? A0 1F 40 F9 FD 7B C9 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_695_4_0 {
	meta:
		name = "??$common_lseek_nolock@J@@YAJHJH@Z"
		size = 364
		refs = "0018 _get_osfhandle 0034 _errno 0054 ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0078 _CrtDbgReportW 00a8 ?common_lseek_do_seek_nolock@@YAJQEAXJH@Z 00e0 __pioinfo"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 13 00 B9 E1 23 00 B9 E2 1F 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 61 03 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 1B 00 B9 E9 1B 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 12 33 00 00 14 E2 1F 40 B9 E1 23 40 B9 E0 17 40 F9 ?? ?? ?? ?? E0 27 00 B9 E8 27 40 B9 E8 17 00 B9 E8 17 40 B9 1F 05 00 31 61 00 00 54 00 00 80 12 27 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1E 12 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E0 17 40 B9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_5_0 {
	meta:
		name = "??$common_lseek_nolock@_J@@YA_JH_JH@Z"
		size = 364
		refs = "0018 _get_osfhandle 0034 _errno 0054 ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0078 _CrtDbgReportW 00a8 ?common_lseek_do_seek_nolock@@YA_JQEAX_JH@Z 00e0 __pioinfo"
	strings:
		$1 = { FD 7B BB A9 FD 03 00 91 E0 13 00 B9 E1 23 00 F9 E2 1B 00 B9 E0 13 40 B9 ?? ?? ?? ?? E0 1B 00 F9 E8 1B 40 F9 E8 13 00 F9 E8 13 40 F9 1F 05 00 B1 61 03 00 54 ?? ?? ?? ?? E0 1F 00 F9 E9 1F 40 F9 28 01 80 52 28 01 00 B9 08 00 80 52 1F 01 00 71 21 02 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 09 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 40 00 80 52 ?? ?? ?? ?? E0 17 00 B9 E9 17 40 B9 28 00 80 52 1F 01 09 6B 41 00 00 54 00 00 3E D4 00 00 80 92 33 00 00 14 E2 1B 40 B9 E1 23 40 F9 E0 13 40 F9 ?? ?? ?? ?? E0 27 00 F9 E8 27 40 F9 E8 17 00 F9 E8 17 40 F9 1F 05 00 B1 61 00 00 54 00 00 80 92 27 00 00 14 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 08 E1 00 91 08 01 40 39 08 01 00 11 0B 79 1E 12 E8 13 40 B9 08 7D 06 13 09 7D 40 93 08 01 80 D2 29 7D 08 9B ?? ?? ?? ?? ?? ?? ?? ?? 0A 01 09 8B E8 13 40 B9 08 15 00 12 09 7D 40 93 08 08 80 D2 29 7D 08 9B 48 01 40 F9 08 01 09 8B 09 E1 00 91 68 1D 00 53 28 01 00 39 E0 17 40 F9 FD 7B C5 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_6_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YAJQEAXJH@Z"
		size = 340
		refs = "003c __imp_SetFilePointerEx 0058 __imp_GetLastError 006c __acrt_errno_map_os_error 012c _errno"
	strings:
		$1 = { FD 7B BA A9 FD 03 00 91 E0 1F 00 F9 E1 23 00 B9 E2 27 00 B9 08 00 80 52 E8 43 00 B9 E9 13 01 91 29 01 00 91 08 00 80 52 28 01 00 B9 23 00 80 52 E2 23 01 91 E1 23 40 F9 E0 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E8 1B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1F 00 B9 E0 1F 40 B9 ?? ?? ?? ?? 00 00 80 12 36 00 00 14 08 00 80 52 E8 33 00 B9 E9 D3 00 91 29 01 00 91 08 00 80 52 28 01 00 B9 E8 23 40 B9 08 7D 40 93 E8 1B 00 F9 08 00 80 52 E8 13 00 B9 E9 53 00 91 29 01 00 91 08 00 80 52 28 01 00 B9 E3 27 40 B9 E2 43 00 91 E1 1B 40 F9 E0 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2B 00 B9 E8 2B 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 2F 00 B9 E0 2F 40 B9 ?? ?? ?? ?? 00 00 80 12 14 00 00 14 E9 7B 40 B2 E8 0B 40 F9 1F 01 09 EB ED 01 00 54 03 00 80 52 02 00 80 D2 E1 27 40 F9 E0 1F 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 ?? ?? ?? ?? E0 2B 00 F9 E9 2B 40 F9 C8 02 80 52 28 01 00 B9 00 00 80 12 02 00 00 14 E0 13 40 B9 FD 7B C6 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_7_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YA_JQEAX_JH@Z"
		size = 108
		refs = "0024 __imp_SetFilePointerEx 0040 __imp_GetLastError 0054 __acrt_errno_map_os_error"
	strings:
		$1 = { FD 7B BC A9 FD 03 00 91 E0 17 00 F9 E1 13 00 F9 E2 13 00 B9 E3 13 40 B9 E2 C3 00 91 E1 13 40 F9 E0 17 40 F9 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 17 00 B9 E8 17 40 B9 1F 01 00 71 21 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 3F D6 E0 1B 00 B9 E0 1B 40 B9 ?? ?? ?? ?? 00 00 80 92 02 00 00 14 E0 1B 40 F9 FD 7B C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_8_0 {
	meta:
		name = "_lseek"
		size = 52
		refs = "0020 ??$common_lseek@J@@YAJHJH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 B9 E2 13 00 B9 E2 13 40 B9 E1 17 40 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_9_0 {
	meta:
		name = "_lseek_nolock"
		size = 52
		refs = "0020 ??$common_lseek_nolock@J@@YAJHJH@Z"
	strings:
		$1 = { FD 7B BE A9 FD 03 00 91 E0 1B 00 B9 E1 17 00 B9 E2 13 00 B9 E2 13 40 B9 E1 17 40 B9 E0 1B 40 B9 ?? ?? ?? ?? E0 1F 00 B9 E0 1F 40 B9 FD 7B C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_10_0 {
	meta:
		name = "_lseeki64"
		size = 52
		refs = "0020 ??$common_lseek@_J@@YA_JH_JH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_695_11_0 {
	meta:
		name = "_lseeki64_nolock"
		size = 52
		refs = "0020 ??$common_lseek_nolock@_J@@YA_JH_JH@Z"
	strings:
		$1 = { FD 7B BD A9 FD 03 00 91 E0 17 00 B9 E1 0F 00 F9 E2 13 00 B9 E2 13 40 B9 E1 0F 40 F9 E0 17 40 B9 ?? ?? ?? ?? E0 13 00 F9 E0 13 40 F9 FD 7B C3 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_696_0_0 {
	meta:
		name = "??$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
		size = 120
		refs = "0030 __acrt_lock 004c ??$common_dupenv_s_nolock@D@@YAHQEAPEADQEA_KQEBDH2H@Z 0058 __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 34 00 00 91 55 00 00 91 76 00 00 11 97 00 00 91 B8 00 00 11 60 01 80 52 ?? ?? ?? ?? 05 03 00 11 E4 02 00 91 C3 02 00 11 A2 02 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 13 00 00 11 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_696_2_0 {
	meta:
		name = "??$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
		size = 120
		refs = "0030 __acrt_lock 004c ??$common_dupenv_s_nolock@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z 0058 __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 63 02 A9 FD 7B BF A9 FD 03 00 91 13 00 00 91 34 00 00 91 55 00 00 91 76 00 00 11 97 00 00 91 B8 00 00 11 60 01 80 52 ?? ?? ?? ?? 05 03 00 11 E4 02 00 91 C3 02 00 11 A2 02 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? 13 00 00 11 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 FD 7B C1 A8 F7 63 42 A9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_696_4_0 {
	meta:
		name = "??$common_dupenv_s_nolock@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
		size = 432
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0088 _invalid_parameter 00bc ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 0150 _calloc_dbg 0178 strcpy_s 0194 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01ac _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 16 00 00 91 33 00 00 91 77 00 00 11 98 00 00 91 B9 00 00 11 F6 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 1B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 DF 02 00 F9 53 00 00 B4 7F 02 00 F9 82 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 1C 80 52 ?? ?? ?? ?? DE FF FF 17 40 00 00 91 ?? ?? ?? ?? 14 00 00 91 74 00 00 B5 00 00 80 52 DE FF FF 17 88 02 C0 39 8A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 14 CB 15 05 00 91 A0 02 00 91 24 03 00 11 03 03 00 91 E2 02 00 11 21 00 80 D2 ?? ?? ?? ?? C0 02 00 F9 C0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 80 01 80 52 C9 FF FF 17 82 02 00 91 A1 02 00 91 ?? ?? ?? ?? 80 00 00 35 B3 FC FF B4 75 02 00 F9 E3 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_5_0 {
	meta:
		name = "??$common_dupenv_s_nolock@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
		size = 436
		refs = "0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0034 ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 0064 _errno 0078 ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0088 _invalid_parameter 00bc ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 0154 _calloc_dbg 017c wcscpy_s 0198 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01b0 _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 1B 00 F9 FD 7B BF A9 FD 03 00 91 16 00 00 91 33 00 00 91 77 00 00 11 98 00 00 91 B9 00 00 11 F6 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 A2 1B 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 A3 1B 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 FD 7B C1 A8 F9 1B 40 F9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 DF 02 00 F9 53 00 00 B4 7F 02 00 F9 82 02 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 62 1C 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 63 1C 80 52 ?? ?? ?? ?? DE FF FF 17 40 00 00 91 ?? ?? ?? ?? 14 00 00 91 74 00 00 B5 00 00 80 52 DE FF FF 17 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 14 CB 09 FD 41 93 35 05 00 91 A0 02 00 91 24 03 00 11 03 03 00 91 E2 02 00 11 41 00 80 D2 ?? ?? ?? ?? C0 02 00 F9 C0 00 00 B5 ?? ?? ?? ?? 88 01 80 52 08 00 00 B9 80 01 80 52 C8 FF FF 17 82 02 00 91 A1 02 00 91 ?? ?? ?? ?? 80 00 00 35 93 FC FF B4 75 02 00 F9 E2 FF FF 17 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 1E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_6_0 {
	meta:
		name = "??$common_getenv@D@@YAPEADQEBD@Z"
		size = 320
		refs = "0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 007c _errno 0094 ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 00a0 _invalid_parameter 00b4 strnlen 00c4 ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 010c __acrt_lock 0114 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 0120 __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 F4 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 14 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 E4 02 00 91 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B4 01 00 35 ?? ?? ?? ?? 23 08 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 D2 20 00 00 14 E1 FF 8F D2 60 02 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB F4 27 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 74 01 00 35 A5 02 00 91 E4 02 00 91 03 00 80 D2 42 08 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 94 00 00 35 ?? ?? ?? ?? 43 08 80 52 E0 FF FF 17 60 01 80 52 ?? ?? ?? ?? 60 02 00 91 ?? ?? ?? ?? 13 00 00 91 60 01 80 52 ?? ?? ?? ?? 60 02 00 91 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_696_8_0 {
	meta:
		name = "??$common_getenv@_W@@YAPEA_WQEB_W@Z"
		size = 320
		refs = "0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 _CrtDbgReportW 007c _errno 0094 ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 00a0 _invalid_parameter 00b4 wcsnlen 00c4 ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 010c __acrt_lock 0114 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 0120 __acrt_unlock"
	strings:
		$1 = { F3 53 BD A9 F5 5B 01 A9 F7 13 00 F9 FD 7B BF A9 FD 03 00 91 13 00 00 91 7F 02 00 F1 F4 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 14 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? A5 02 00 91 E4 02 00 91 03 00 80 D2 22 08 80 52 ?? ?? ?? ?? ?? ?? ?? ?? C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B4 01 00 35 ?? ?? ?? ?? 23 08 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 C2 02 00 91 ?? ?? ?? ?? ?? ?? ?? ?? A0 02 00 91 ?? ?? ?? ?? 00 00 80 D2 20 00 00 14 E1 FF 8F D2 60 02 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB F4 27 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 74 01 00 35 A5 02 00 91 E4 02 00 91 03 00 80 D2 42 08 80 52 C1 02 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 94 00 00 35 ?? ?? ?? ?? 43 08 80 52 E0 FF FF 17 60 01 80 52 ?? ?? ?? ?? 60 02 00 91 ?? ?? ?? ?? 13 00 00 91 60 01 80 52 ?? ?? ?? ?? 60 02 00 91 FD 7B C1 A8 F7 13 40 F9 F5 5B 41 A9 F3 53 C3 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_696_10_0 {
	meta:
		name = "??$common_getenv_nolock@D@@YAPEADQEBD@Z"
		size = 268
		refs = "0014 __dcrt_get_or_create_narrow_environment_nolock 0084 _strnicoll 00a4 strnlen 00b4 ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@ 00bc ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 _CrtDbgReportW"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 14 00 00 91 ?? ?? ?? ?? 13 00 00 91 F3 06 00 B4 D4 06 00 B4 88 02 C0 39 8A 02 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 68 02 40 F9 55 01 14 CB A8 05 00 B4 60 02 40 F9 0A 00 C0 39 0B 00 00 91 8A 00 00 34 6B 05 00 91 69 01 C0 39 C9 FF FF 35 68 01 00 CB 1F 01 15 EB 09 01 00 54 08 68 F5 38 1F F5 00 71 A1 00 00 54 A2 02 00 91 81 02 00 91 ?? ?? ?? ?? 60 00 00 34 68 8E 40 F8 ED FF FF 17 68 02 40 F9 E1 FF 8F D2 09 01 15 8B 20 05 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB C3 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 02 40 F9 09 01 15 8B 20 05 00 91 02 00 00 14 00 00 80 D2 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_696_11_0 {
	meta:
		name = "??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z"
		size = 272
		refs = "0014 __dcrt_get_or_create_wide_environment_nolock 0088 _wcsnicoll 00bc wcsnlen 00cc ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@ 00d4 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f0 _CrtDbgReportW"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 14 00 00 91 ?? ?? ?? ?? 13 00 00 91 F3 03 00 B4 D4 03 00 B4 88 02 C0 79 8A 02 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 14 CB 69 02 40 F9 15 FD 41 93 89 02 00 B4 60 02 40 F9 0A 00 C0 79 0C 00 00 91 8A 00 00 34 8C 09 00 91 8B 01 C0 79 CB FF FF 35 88 01 00 CB BF 06 88 EB 02 01 00 54 09 78 75 78 3F F5 00 71 A1 00 00 54 A2 02 00 91 81 02 00 91 ?? ?? ?? ?? 00 01 00 34 68 8E 40 F8 C8 FD FF B5 00 00 80 D2 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 68 02 40 F9 E1 FF 8F D2 09 05 15 8B 20 09 00 91 ?? ?? ?? ?? E8 FF 8F D2 1F 00 08 EB C3 01 00 54 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 42 06 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 68 02 40 F9 09 05 15 8B 20 09 00 91 E4 FF FF 17 }
	condition:
		$1
}

rule file_696_12_0 {
	meta:
		name = "??$common_getenv_s@D@@YAHQEA_KQEAD_KQEBD@Z"
		size = 472
		refs = "002c __acrt_lock 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006c _CrtDbgReportW 0094 _errno 00ac ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00b8 _invalid_parameter 00e8 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 0138 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 0180 strcpy_s 0190 __acrt_unlock 01b0 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01b8 _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FD 7B BF A9 FD 03 00 91 16 00 00 91 33 00 00 91 54 00 00 91 7A 00 00 91 60 01 80 52 ?? ?? ?? ?? DF 02 00 F1 F5 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 15 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? E5 02 00 91 24 03 00 91 03 00 80 D2 82 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B5 01 00 35 ?? ?? ?? ?? 83 0E 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 02 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 02 00 91 ?? ?? ?? ?? D3 02 80 52 33 00 00 14 DF 02 00 F9 7F 02 00 F1 84 1A 40 FA A8 00 00 54 53 00 00 B5 74 00 00 B4 15 00 80 52 02 00 00 14 35 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 75 01 00 35 E5 02 00 91 24 03 00 91 03 00 80 D2 22 0F 80 52 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 95 00 00 35 ?? ?? ?? ?? 23 0F 80 52 DD FF FF 17 53 00 00 B4 7F 02 00 39 40 03 00 91 ?? ?? ?? ?? 60 02 00 B4 09 00 00 91 28 01 C0 39 68 00 00 34 29 05 00 91 FD FF FF 17 28 01 00 CB 0A 05 00 91 CA 02 00 F9 54 01 00 B4 5F 01 14 EB 69 00 00 54 53 04 80 52 07 00 00 14 02 00 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? C0 00 00 35 13 00 80 52 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 09 00 00 14 04 00 80 D2 63 11 80 52 02 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 00 00 00 00 }
	condition:
		$1
}

rule file_696_14_0 {
	meta:
		name = "??$common_getenv_s@_W@@YAHQEA_KQEA_W_KQEB_W@Z"
		size = 472
		refs = "002c __acrt_lock 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005c ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006c _CrtDbgReportW 0094 _errno 00ac ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00b8 _invalid_parameter 00e8 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 0138 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 0184 wcscpy_s 0194 __acrt_unlock 01b4 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01bc _invoke_watson"
	strings:
		$1 = { F3 53 BC A9 F5 5B 01 A9 F7 63 02 A9 F9 6B 03 A9 FD 7B BF A9 FD 03 00 91 16 00 00 91 33 00 00 91 54 00 00 91 7A 00 00 91 60 01 80 52 ?? ?? ?? ?? DF 02 00 F1 F5 07 9F 1A ?? ?? ?? ?? ?? ?? ?? ?? 15 02 00 35 ?? ?? ?? ?? ?? ?? ?? ?? E5 02 00 91 24 03 00 91 03 00 80 D2 82 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 E1 00 00 54 00 00 3E D4 05 00 00 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B5 01 00 35 ?? ?? ?? ?? 83 0E 80 52 C8 02 80 52 04 00 80 D2 08 00 00 B9 02 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? E0 02 00 91 ?? ?? ?? ?? D3 02 80 52 34 00 00 14 DF 02 00 F9 7F 02 00 F1 84 1A 40 FA A8 00 00 54 53 00 00 B5 74 00 00 B4 15 00 80 52 02 00 00 14 35 00 80 52 ?? ?? ?? ?? ?? ?? ?? ?? 75 01 00 35 E5 02 00 91 24 03 00 91 03 00 80 D2 22 0F 80 52 01 03 00 91 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 95 00 00 35 ?? ?? ?? ?? 23 0F 80 52 DD FF FF 17 53 00 00 B4 7F 02 00 79 40 03 00 91 ?? ?? ?? ?? 80 02 00 B4 09 00 00 91 28 01 C0 79 68 00 00 34 29 09 00 91 FD FF FF 17 28 01 00 CB 09 FD 41 93 2A 05 00 91 CA 02 00 F9 54 01 00 B4 5F 01 14 EB 69 00 00 54 53 04 80 52 07 00 00 14 02 00 00 91 81 02 00 91 60 02 00 91 ?? ?? ?? ?? C0 00 00 35 13 00 80 52 60 01 80 52 ?? ?? ?? ?? 60 02 00 11 09 00 00 14 04 00 80 D2 63 11 80 52 02 03 00 91 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 7B C1 A8 F9 6B 43 A9 F7 63 42 A9 F5 5B 41 A9 F3 53 C4 A8 C0 03 5F D6 }
	condition:
		$1
}

rule file_696_16_0 {
	meta:
		name = "??$common_getenv_s_nolock@D@@YAHQEA_KQEAD_KQEBD@Z"
		size = 376
		refs = "0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0044 _CrtDbgReportW 0054 _errno 0068 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0078 _invalid_parameter 00a8 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 00c0 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 014c strcpy_s 015c ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0174 _invoke_watson"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 53 00 00 91 B5 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 BF 02 00 F9 34 01 00 B4 33 01 00 B4 54 00 00 B4 9F 02 00 39 60 00 00 91 ?? ?? ?? ?? E0 02 00 B5 00 00 80 52 F3 FF FF 17 33 FF FF B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 0F 80 52 ?? ?? ?? ?? D9 FF FF 17 08 00 C0 39 0A 00 00 91 88 00 00 34 4A 05 00 91 49 01 C0 39 C9 FF FF 35 48 01 00 CB 09 05 00 91 A9 02 00 F9 33 FC FF B4 3F 01 13 EB 69 00 00 54 40 04 80 52 D1 FF FF 17 02 00 00 91 80 02 00 91 61 02 00 91 ?? ?? ?? ?? 00 FB FF 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_17_0 {
	meta:
		name = "??$common_getenv_s_nolock@_W@@YAHQEA_KQEA_W_KQEB_W@Z"
		size = 380
		refs = "0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0044 _CrtDbgReportW 0054 _errno 0068 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0078 _invalid_parameter 00a8 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 00c0 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 0150 wcscpy_s 0160 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0178 _invoke_watson"
	strings:
		$1 = { F3 53 BE A9 F5 0B 00 F9 FD 7B BF A9 FD 03 00 91 15 00 00 91 34 00 00 91 53 00 00 91 B5 03 00 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 82 0E 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 83 0E 80 52 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 ?? ?? ?? ?? C0 02 80 52 FD 7B C1 A8 F5 0B 40 F9 F3 53 C2 A8 C0 03 5F D6 BF 02 00 F9 34 01 00 B4 33 01 00 B4 54 00 00 B4 9F 02 00 79 60 00 00 91 ?? ?? ?? ?? E0 02 00 B5 00 00 80 52 F3 FF FF 17 33 FF FF B4 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 80 D2 22 0F 80 52 40 00 80 52 ?? ?? ?? ?? 1F 04 00 71 41 00 00 54 00 00 3E D4 ?? ?? ?? ?? C8 02 80 52 08 00 00 B9 23 0F 80 52 ?? ?? ?? ?? D9 FF FF 17 08 00 C0 79 0A 00 00 91 88 00 00 34 4A 09 00 91 49 01 C0 79 C9 FF FF 35 48 01 00 CB 09 FD 41 93 2B 05 00 91 AB 02 00 F9 13 FC FF B4 7F 01 13 EB 69 00 00 54 40 04 80 52 D0 FF FF 17 02 00 00 91 80 02 00 91 61 02 00 91 ?? ?? ?? ?? E0 FA FF 34 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 00 80 D2 63 11 80 52 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}