private rule architecture {
	meta:
		bits = 64
		endianness = "little"
		architecture = "x64"
	condition:
		true
}

rule file_0_2_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 18
	strings:
		$1 = { 33 C0 84 C9 0F 95 C0 C1 E0 1F 0D 00 00 80 7F 89 02 C3 }
	condition:
		$1
}

rule file_0_3_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 28
	strings:
		$1 = { 33 C0 84 C9 48 B9 00 00 00 00 00 00 F0 7F 0F 95 C0 48 C1 E0 3F 48 0B C1 48 89 02 C3 }
	condition:
		$1
}

rule file_0_4_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 18
	strings:
		$1 = { 33 C0 84 C9 0F 95 C0 C1 E0 1F 0D FF FF FF 7F 89 02 C3 }
	condition:
		$1
}

rule file_0_5_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 28
	strings:
		$1 = { 33 C0 84 C9 48 B9 FF FF FF FF FF FF FF 7F 0F 95 C0 48 C1 E0 3F 48 0B C1 48 89 02 C3 }
	condition:
		$1
}

rule file_0_6_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAEAM@Z"
		size = 18
	strings:
		$1 = { 33 C0 84 C9 0F 95 C0 C1 E0 1F 0D 01 00 80 7F 89 02 C3 }
	condition:
		$1
}

rule file_0_7_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAEAN@Z"
		size = 28
	strings:
		$1 = { 33 C0 84 C9 48 B9 01 00 00 00 00 00 F0 7F 0F 95 C0 48 C1 E0 3F 48 0B C1 48 89 02 C3 }
	condition:
		$1
}

rule file_0_8_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAM@Z"
		size = 36
	strings:
		$1 = { 83 C2 7F 0F B6 C1 C1 E2 17 41 81 E0 FF FF 7F 00 81 E2 00 00 80 7F C1 E0 1F 0B D0 33 C0 41 0B D0 41 89 11 C3 }
	condition:
		$1
}

rule file_0_9_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAEAN@Z"
		size = 50
	strings:
		$1 = { 44 8D 92 FF 03 00 00 0F B6 C1 41 81 E2 FF 07 00 00 48 C1 E0 0B 4C 0B D0 48 B8 FF FF FF FF FF FF 0F 00 4C 23 C0 49 C1 E2 34 4D 0B D0 33 C0 4D 89 11 C3 }
	condition:
		$1
}

rule file_0_12_0 {
	meta:
		name = "??$common_atodbl_l@MD@@YAHQEAMQEBDQEAU__crt_locale_pointers@@@Z"
		size = 143
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0033 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0043 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0053 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8D 43 01 EB 5A 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 45 33 C0 48 8D 4C 24 20 48 8B D7 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 38 4C 8B C3 E8 ?? ?? ?? ?? 83 E8 02 74 10 83 F8 01 74 04 33 C0 EB 0C B8 03 00 00 00 EB 05 B8 04 00 00 00 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_0_13_0 {
	meta:
		name = "??$common_atodbl_l@ND@@YAHQEANQEBDQEAU__crt_locale_pointers@@@Z"
		size = 143
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0033 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0043 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0053 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8D 43 01 EB 5A 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 45 33 C0 48 8D 4C 24 20 48 8B D7 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 38 4C 8B C3 E8 ?? ?? ?? ?? 83 E8 02 74 10 83 F8 01 74 04 33 C0 EB 0C B8 03 00 00 00 EB 05 B8 04 00 00 00 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_0_14_0 {
	meta:
		name = "??$common_atof_l@D@@YANQEBDQEAU__crt_locale_pointers@@@Z"
		size = 119
		refs = "000f _errno 001a _invalid_parameter_noinfo 0029 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0042 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0054 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 4E 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 45 33 C0 F2 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 80 7C 24 48 00 F2 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_0_15_0 {
	meta:
		name = "??$common_atof_l@_W@@YANQEB_WQEAU__crt_locale_pointers@@@Z"
		size = 119
		refs = "000f _errno 001a _invalid_parameter_noinfo 0029 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0042 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0054 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 4E 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 45 33 C0 F2 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 80 7C 24 48 00 F2 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_0_16_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 29
		refs = "0014 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 48 89 54 24 20 48 8D 54 24 20 C6 44 24 28 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_18_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAM@Z"
		size = 29
		refs = "0014 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 48 89 54 24 20 48 8D 54 24 20 C6 44 24 28 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_17_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 29
		refs = "0014 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 48 89 54 24 20 48 8D 54 24 20 C6 44 24 28 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_19_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@0@AEAN@Z"
		size = 29
		refs = "0014 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 48 89 54 24 20 48 8D 54 24 20 C6 44 24 28 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_20_0 {
	meta:
		name = "??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z"
		size = 19
		altNames = "??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z ??0?$c_string_character_source@D@__crt_strtox@@QEAA@QEBDQEAPEBD@Z ??0?$c_string_character_source@_W@__crt_strtox@@QEAA@QEB_WQEAPEB_W@Z"
	strings:
		$1 = { 48 89 11 4C 89 41 08 4D 85 C0 74 03 49 89 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_0_22_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z"
		size = 158
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005b ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 006a ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 01 00 00 00 EB 2D 48 85 C9 74 D5 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 53 08 48 85 D2 74 06 48 8B 0B 48 89 0A 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_0_23_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z"
		size = 158
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005b ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 006a ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 01 00 00 00 EB 2D 48 85 C9 74 D5 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 53 08 48 85 D2 74 06 48 8B 0B 48 89 0A 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_345_5_4 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAU_LDBL12@@@Z"
		size = 158
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005b ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z 006a ??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAU_LDBL12@@@Z 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 01 00 00 00 EB 2D 48 85 C9 74 D5 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 53 08 48 85 D2 74 06 48 8B 0B 48 89 0A 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_40_24_2 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAM@Z"
		size = 158
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005b ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z 006a ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 01 00 00 00 EB 2D 48 85 C9 74 D5 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 53 08 48 85 D2 74 06 48 8B 0B 48 89 0A 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_40_25_2 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z"
		size = 158
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005b ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z 006a ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 01 00 00 00 EB 2D 48 85 C9 74 D5 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 53 08 48 85 D2 74 06 48 8B 0B 48 89 0A 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_0_25_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@D@0@AEAUfloating_point_string@0@@Z"
		size = 1220
		refs = "002d _errno 0039 _invalid_parameter_noinfo 006f _isctype_l 0082 __pctype_func 0499 ??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z 04ab ??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B 32 33 F6 4D 8B E0 48 8B FA 4C 8B F9 4D 85 F6 75 19 E8 ?? ?? ?? ?? 45 8D 6E 16 44 89 28 E8 ?? ?? ?? ?? 8D 46 07 E9 6A 04 00 00 41 8A 1E 49 8D 46 01 48 89 02 88 5C 24 68 0F B6 EB 4D 85 FF 74 26 49 8B 07 83 78 08 01 7E 11 4D 8B C7 BA 08 00 00 00 8B CD E8 ?? ?? ?? ?? EB 18 48 8B 00 48 63 CD 0F B7 04 48 EB 09 E8 ?? ?? ?? ?? 0F B7 04 68 83 E0 08 85 C0 74 0D 48 8B 07 8A 18 48 FF C0 48 89 07 EB B1 49 81 C4 08 03 00 00 80 FB 2D 0F 94 C0 41 88 04 24 8D 43 D5 A8 FD 75 0F 48 8B 07 8A 18 48 FF C0 48 89 07 88 5C 24 68 8D 43 B7 41 B2 DF 41 84 C2 0F 84 CB 03 00 00 8D 43 B2 41 84 C2 0F 84 AD 03 00 00 40 88 74 24 68 44 8A CE 41 BD 16 00 00 00 80 FB 30 75 49 4C 8B 07 41 8A 10 49 8D 48 01 48 89 0F 8D 42 A8 41 84 C2 74 20 48 FF C9 48 89 0F 84 D2 74 2A 38 11 74 26 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A CE EB 14 8A 19 48 8D 41 01 41 B1 01 48 89 07 44 88 4C 24 68 4D 8B F0 4C 8B 54 24 70 44 8B DE 49 83 C2 08 40 8A D6 49 8B EA 80 FB 30 75 12 48 8B 07 B2 01 8A 18 48 FF C0 48 89 07 80 FB 30 74 F3 41 8A C1 F6 D8 45 1B C0 41 83 E0 06 41 83 C0 09 8D 43 D0 3C 09 77 08 0F BE C3 83 E8 30 EB 21 8D 43 9F 3C 19 77 08 0F BE C3 83 E8 57 EB 12 8D 43 BF 3C 19 77 08 0F BE C3 83 E8 37 EB 03 83 C8 FF 41 3B C0 77 1D B2 01 49 3B EC 74 06 88 45 00 48 FF C5 48 8B 07 41 FF C3 8A 18 48 FF C0 48 89 07 EB AE 49 8B 07 44 89 5C 24 78 48 8B 88 F8 00 00 00 48 8B 01 3A 18 75 7B 48 8B 07 8A 18 48 FF C0 48 89 07 49 3B EA 75 1C 80 FB 30 75 17 B2 01 8A 18 41 FF CB 48 FF C0 48 89 07 80 FB 30 74 F0 44 89 5C 24 78 8D 43 D0 3C 09 77 08 0F BE C3 83 E8 30 EB 21 8D 43 9F 3C 19 77 08 0F BE C3 83 E8 57 EB 12 8D 43 BF 3C 19 77 08 0F BE C3 83 E8 37 EB 03 83 C8 FF 41 3B C0 77 1A B2 01 49 3B EC 74 06 88 45 00 48 FF C5 48 8B 07 8A 18 48 FF C0 48 89 07 EB B1 48 FF 0F 48 8B 07 84 D2 75 2D 84 DB 74 16 38 18 74 12 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A 4C 24 68 41 F6 D9 4C 89 37 1B C0 83 E0 FB 83 C0 07 E9 20 02 00 00 84 DB 74 16 38 18 74 12 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A 4C 24 68 4C 8B 37 40 8A C6 41 8A 0E 4D 8D 7E 01 4C 89 3F 80 F9 45 74 14 80 F9 50 74 0A 80 F9 65 74 0A 80 F9 70 75 0B 41 8A C1 EB 06 45 84 C9 0F 94 C0 8B DE 41 BC 50 14 00 00 84 C0 0F 84 0D 01 00 00 41 8A 0F 49 8D 57 01 80 F9 2D 48 89 17 41 0F 94 C1 8D 41 D5 A8 FD 75 09 8A 0A 48 8D 42 01 48 89 07 41 BA 30 00 00 00 44 8A C6 41 3A CA 75 13 48 8B 07 41 B0 01 8A 08 48 FF C0 48 89 07 41 3A CA 74 F3 8A C1 41 2A C2 3C 09 77 08 0F BE D1 41 2B D2 EB 21 8D 41 9F 3C 19 77 08 0F BE D1 83 EA 57 EB 12 8D 41 BF 3C 19 77 08 0F BE D1 83 EA 37 EB 03 83 CA FF 83 FA 0A 73 20 8D 04 9B 41 B0 01 8D 1C 42 41 3B DC 7F 0D 48 8B 07 8A 08 48 FF C0 48 89 07 EB AE BB 51 14 00 00 8A C1 41 2A C2 3C 09 77 08 0F BE C1 41 2B C2 EB 21 8D 41 9F 3C 19 77 08 0F BE C1 83 E8 57 EB 12 8D 41 BF 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 0D 48 8B 07 8A 08 48 FF C0 48 89 07 EB BC 45 84 C9 74 02 F7 DB 45 84 C0 75 24 48 FF 0F 48 8B 07 84 C9 74 11 38 08 74 0D E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 4C 89 37 41 8A 0E 4C 89 3F 48 FF 0F 48 8B 07 84 C9 74 11 38 08 74 0D E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4D 8D 41 08 49 3B E8 74 68 48 8D 45 FF 40 38 30 75 08 48 8B E8 49 3B C0 75 EF 49 3B E8 74 52 41 3B DC 7E 07 B8 09 00 00 00 EB 6F 41 BA B0 EB FF FF 41 3B DA 7D 07 B8 08 00 00 00 EB 5D 8A 54 24 68 8A C2 F6 D8 1B C9 83 E1 03 FF C1 0F AF 4C 24 78 03 D9 41 3B DC 7F CC 41 3B DA 7C D9 41 2B E8 41 89 19 84 D2 41 89 69 04 40 0F 95 C6 8B C6 EB 29 B8 02 00 00 00 EB 22 4D 8B C6 48 8D 4C 24 68 48 8B D7 E8 ?? ?? ?? ?? EB 10 4D 8B C6 48 8D 4C 24 68 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_26_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$c_string_character_source@_W@0@AEAUfloating_point_string@0@@Z"
		size = 3726
		refs = "0033 _errno 003f _invalid_parameter_noinfo 007a iswctype 0e61 ??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z 0e76 ??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC B8 00 00 00 4C 8B 32 33 ED 4C 89 70 A0 4D 8B E0 48 8B F2 4D 85 F6 75 19 E8 ?? ?? ?? ?? 45 8D 6E 16 44 89 28 E8 ?? ?? ?? ?? 8D 45 07 E9 2F 0E 00 00 41 0F B7 1E 49 8D 46 02 48 89 02 41 BF 08 00 00 00 EB 0D 48 8B 06 0F B7 18 48 83 C0 02 48 89 06 41 8B D7 66 89 9C 24 08 01 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 DC 66 83 FB 2D 4D 8D BC 24 08 03 00 00 B9 FD FF 00 00 0F 94 C0 41 88 07 8D 43 D5 66 85 C1 75 15 48 8B 06 0F B7 18 48 83 C0 02 48 89 06 66 89 9C 24 08 01 00 00 8D 43 B7 41 BA DF FF 00 00 66 41 85 C2 0F 84 9E 0D 00 00 8D 43 B2 66 41 85 C2 0F 84 7C 0D 00 00 B9 30 00 00 00 40 88 AC 24 08 01 00 00 44 8A CD 44 8D 69 E6 66 3B D9 75 5C 4C 8B 06 41 0F B7 10 49 8D 48 02 48 89 0E 8D 42 A8 66 41 85 C2 74 23 48 83 C1 FE 48 89 0E 66 85 D2 74 34 66 39 11 74 2F E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A CD EB 1D 0F B7 19 48 8D 41 02 41 B1 01 48 89 06 44 88 8C 24 08 01 00 00 4C 89 84 24 98 00 00 00 B9 30 00 00 00 4D 8D 54 24 08 44 8B DD 4C 89 94 24 A0 00 00 00 4D 8B E2 4C 89 94 24 88 00 00 00 40 8A D5 66 3B D9 75 14 B2 01 48 8B 06 0F B7 18 48 83 C0 02 48 89 06 66 3B D9 74 EE 41 8A C1 C7 84 24 18 01 00 00 6A 06 00 00 F6 D8 C7 44 24 28 FA 06 00 00 41 B9 10 FF 00 00 C7 44 24 24 70 09 00 00 45 1B C0 C7 84 24 90 00 00 00 F0 09 00 00 41 83 E0 06 C7 84 24 88 00 00 00 70 0A 00 00 41 83 C0 09 C7 44 24 38 F0 0A 00 00 41 BD 60 06 00 00 C7 44 24 2C 66 0B 00 00 BD F0 06 00 00 C7 44 24 3C 70 0B 00 00 BF 66 09 00 00 C7 44 24 30 66 0C 00 00 41 BA E6 09 00 00 C7 44 24 40 70 0C 00 00 41 BE 66 0A 00 00 C7 44 24 34 E6 0C 00 00 C7 44 24 44 F0 0C 00 00 C7 44 24 48 66 0D 00 00 C7 44 24 4C 70 0D 00 00 C7 44 24 50 50 0E 00 00 C7 44 24 54 5A 0E 00 00 C7 44 24 58 D0 0E 00 00 C7 44 24 5C DA 0E 00 00 C7 44 24 60 20 0F 00 00 C7 44 24 64 2A 0F 00 00 C7 44 24 68 40 10 00 00 C7 44 24 6C 4A 10 00 00 C7 44 24 70 E0 17 00 00 C7 44 24 74 EA 17 00 00 C7 44 24 78 10 18 00 00 C7 44 24 7C 1A 18 00 00 C7 84 24 80 00 00 00 1A FF 00 00 B8 E6 0A 00 00 66 3B D9 0F 82 F9 01 00 00 66 83 FB 3A 73 0A 0F B7 C3 2B C1 E9 E4 01 00 00 66 41 3B D9 0F 83 C5 01 00 00 66 41 3B DD 0F 82 D5 01 00 00 66 3B 9C 24 18 01 00 00 73 0B 0F B7 C3 41 2B C5 E9 BB 01 00 00 66 3B DD 0F 82 B7 01 00 00 66 3B 5C 24 28 73 0A 0F B7 C3 2B C5 E9 A1 01 00 00 66 3B DF 0F 82 9D 01 00 00 66 3B 5C 24 24 73 0A 0F B7 C3 2B C7 E9 87 01 00 00 66 41 3B DA 0F 82 82 01 00 00 66 3B 9C 24 90 00 00 00 73 0B 0F B7 C3 41 2B C2 E9 68 01 00 00 66 41 3B DE 0F 82 63 01 00 00 66 3B 9C 24 88 00 00 00 73 0B 0F B7 C3 41 2B C6 E9 49 01 00 00 66 3B D8 0F 82 45 01 00 00 66 3B 5C 24 38 73 0D 0F B7 C3 2D E6 0A 00 00 E9 2C 01 00 00 66 3B 5C 24 2C 0F 82 26 01 00 00 66 3B 5C 24 3C 73 0D 0F B7 C3 2D 66 0B 00 00 E9 0D 01 00 00 66 3B 5C 24 30 0F 82 07 01 00 00 66 3B 5C 24 40 73 0D 0F B7 C3 2D 66 0C 00 00 E9 EE 00 00 00 66 3B 5C 24 34 0F 82 E8 00 00 00 66 3B 5C 24 44 73 0D 0F B7 C3 2D E6 0C 00 00 E9 CF 00 00 00 66 3B 5C 24 48 0F 82 C9 00 00 00 66 3B 5C 24 4C 73 0D 0F B7 C3 2D 66 0D 00 00 E9 B0 00 00 00 66 3B 5C 24 50 0F 82 AA 00 00 00 66 3B 5C 24 54 73 0D 0F B7 C3 2D 50 0E 00 00 E9 91 00 00 00 66 3B 5C 24 58 0F 82 8B 00 00 00 66 3B 5C 24 5C 73 0A 0F B7 C3 2D D0 0E 00 00 EB 75 66 3B 5C 24 60 72 73 66 3B 5C 24 64 73 0A 0F B7 C3 2D 20 0F 00 00 EB 5D 66 3B 5C 24 68 72 5B 66 3B 5C 24 6C 73 0A 0F B7 C3 2D 40 10 00 00 EB 45 66 3B 5C 24 70 72 43 66 3B 5C 24 74 73 0A 0F B7 C3 2D E0 17 00 00 EB 2D 66 3B 5C 24 78 72 2B 66 3B 5C 24 7C 73 24 0F B7 C3 2D 10 18 00 00 EB 15 66 3B 9C 24 80 00 00 00 73 08 0F B7 C3 41 2B C1 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 41 3B C0 77 23 B2 01 4D 3B E7 74 07 41 88 04 24 49 FF C4 48 8B 06 41 FF C3 0F B7 18 48 83 C0 02 48 89 06 E9 A8 FD FF FF 48 8B BC 24 00 01 00 00 BD 00 00 00 00 4C 8B B4 24 98 00 00 00 44 8A 8C 24 08 01 00 00 4C 8B 94 24 A0 00 00 00 48 8B 07 44 8D 6D 16 44 89 5C 24 28 4C 89 A4 24 88 00 00 00 48 8B 88 F8 00 00 00 48 8B 01 0F BE 08 0F B7 C3 3B C1 0F 85 CC 02 00 00 48 8B 06 8D 4D 30 0F B7 18 48 83 C0 02 48 89 06 4D 3B E2 75 1E 66 3B D9 75 19 B2 01 0F B7 18 41 FF CB 48 83 C0 02 48 89 06 66 3B D9 74 EE 44 89 5C 24 28 BD E6 0A 00 00 BF F0 06 00 00 41 BB 10 FF 00 00 41 BA 60 06 00 00 41 B9 66 09 00 00 41 BD E6 09 00 00 44 8D 75 80 66 3B D9 0F 82 FE 01 00 00 66 83 FB 3A 73 0A 0F B7 C3 2B C1 E9 E9 01 00 00 66 41 3B DB 0F 83 CA 01 00 00 66 41 3B DA 0F 82 DA 01 00 00 B8 6A 06 00 00 66 3B D8 73 0B 0F B7 C3 41 2B C2 E9 C0 01 00 00 66 3B DF 0F 82 BC 01 00 00 B8 FA 06 00 00 66 3B D8 73 0A 0F B7 C3 2B C7 E9 A3 01 00 00 66 41 3B D9 0F 82 9E 01 00 00 B8 70 09 00 00 66 3B D8 73 0B 0F B7 C3 41 2B C1 E9 84 01 00 00 66 41 3B DD 0F 82 7F 01 00 00 B8 F0 09 00 00 66 3B D8 73 0B 0F B7 C3 41 2B C5 E9 65 01 00 00 66 41 3B DE 0F 82 60 01 00 00 B8 70 0A 00 00 66 3B D8 73 0B 0F B7 C3 41 2B C6 E9 46 01 00 00 66 3B DD 0F 82 42 01 00 00 66 3B 5C 24 38 73 0A 0F B7 C3 2B C5 E9 2C 01 00 00 66 3B 5C 24 2C 0F 82 26 01 00 00 66 3B 5C 24 3C 73 0D 0F B7 C3 2D 66 0B 00 00 E9 0D 01 00 00 66 3B 5C 24 30 0F 82 07 01 00 00 66 3B 5C 24 40 73 0D 0F B7 C3 2D 66 0C 00 00 E9 EE 00 00 00 66 3B 5C 24 34 0F 82 E8 00 00 00 66 3B 5C 24 44 73 0D 0F B7 C3 2D E6 0C 00 00 E9 CF 00 00 00 66 3B 5C 24 48 0F 82 C9 00 00 00 66 3B 5C 24 4C 73 0D 0F B7 C3 2D 66 0D 00 00 E9 B0 00 00 00 66 3B 5C 24 50 0F 82 AA 00 00 00 66 3B 5C 24 54 73 0D 0F B7 C3 2D 50 0E 00 00 E9 91 00 00 00 66 3B 5C 24 58 0F 82 8B 00 00 00 66 3B 5C 24 5C 73 0A 0F B7 C3 2D D0 0E 00 00 EB 75 66 3B 5C 24 60 72 73 66 3B 5C 24 64 73 0A 0F B7 C3 2D 20 0F 00 00 EB 5D 66 3B 5C 24 68 72 5B 66 3B 5C 24 6C 73 0A 0F B7 C3 2D 40 10 00 00 EB 45 66 3B 5C 24 70 72 43 66 3B 5C 24 74 73 0A 0F B7 C3 2D E0 17 00 00 EB 2D 66 3B 5C 24 78 72 2B 66 3B 5C 24 7C 73 24 0F B7 C3 2D 10 18 00 00 EB 15 66 3B 9C 24 80 00 00 00 73 08 0F B7 C3 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 41 3B C0 77 20 B2 01 4D 3B E7 74 07 41 88 04 24 49 FF C4 48 8B 06 0F B7 18 48 83 C0 02 48 89 06 E9 AB FD FF FF 4C 8B B4 24 98 00 00 00 33 ED 44 8A 8C 24 08 01 00 00 4C 89 A4 24 88 00 00 00 44 8D 6D 16 48 83 06 FE 48 8B 06 84 D2 75 32 66 85 DB 74 1A 66 39 18 74 15 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A 8C 24 08 01 00 00 41 F6 D9 4C 89 36 1B C0 83 E0 FB 83 C0 07 E9 30 06 00 00 66 85 DB 74 1A 66 39 18 74 15 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 44 8A 8C 24 08 01 00 00 48 8B 3E 40 8A D5 48 89 BC 24 A0 00 00 00 0F B7 0F 4C 8D 77 02 4C 89 36 8B C1 83 F9 45 74 14 83 F8 50 74 0A 83 F8 65 74 0A 83 F8 70 75 0B 41 8A D1 EB 06 45 84 C9 0F 94 C2 8B DD 41 BF 50 14 00 00 89 5C 24 24 84 D2 0F 84 FA 04 00 00 41 0F B7 0E 49 8D 56 02 66 83 F9 2D 48 89 16 41 B8 FD FF 00 00 41 0F 94 C1 8D 41 D5 44 88 4C 24 20 66 41 85 C0 75 0A 0F B7 0A 48 8D 42 02 48 89 06 41 BA 30 00 00 00 40 88 AC 24 18 01 00 00 66 41 3B CA 75 1F C6 84 24 18 01 00 00 01 48 8B 06 0F B7 08 48 83 C0 02 48 89 06 66 41 3B CA 74 ED 66 41 3B CA 0F 82 99 01 00 00 66 83 F9 3A 73 0B 0F B7 D1 41 2B D2 E9 83 01 00 00 B8 10 FF 00 00 66 3B C8 0F 83 64 01 00 00 B8 60 06 00 00 66 3B C8 0F 82 6C 01 00 00 8D 50 0A 66 3B CA 73 0A 0F B7 D1 2B D0 E9 55 01 00 00 B8 F0 06 00 00 66 3B C8 0F 82 4C 01 00 00 8D 50 0A 66 3B CA 72 E0 B8 66 09 00 00 66 3B C8 0F 82 36 01 00 00 8D 50 0A 66 3B CA 72 CA 8D 42 76 66 3B C8 0F 82 22 01 00 00 8D 50 0A 66 3B CA 72 B6 8D 42 76 66 3B C8 0F 82 0E 01 00 00 8D 50 0A 66 3B CA 72 A2 8D 42 76 66 3B C8 0F 82 FA 00 00 00 66 3B 4C 24 38 72 8F 8B 44 24 2C 66 3B C8 0F 82 E6 00 00 00 66 3B 4C 24 3C 0F 82 77 FF FF FF 8B 44 24 30 66 3B C8 0F 82 CE 00 00 00 66 3B 4C 24 40 0F 82 5F FF FF FF 8B 44 24 34 66 3B C8 0F 82 B6 00 00 00 66 3B 4C 24 44 0F 82 47 FF FF FF 8B 44 24 48 66 3B C8 0F 82 9E 00 00 00 66 3B 4C 24 4C 0F 82 2F FF FF FF 8B 44 24 50 66 3B C8 0F 82 86 00 00 00 66 3B 4C 24 54 0F 82 17 FF FF FF 8B 44 24 58 66 3B C8 72 72 66 3B 4C 24 5C 0F 82 03 FF FF FF 8B 44 24 60 66 3B C8 72 5E 66 3B 4C 24 64 0F 82 EF FE FF FF 8B 44 24 68 66 3B C8 72 4A 66 3B 4C 24 6C 0F 82 DB FE FF FF 8B 44 24 70 66 3B C8 72 36 66 3B 4C 24 74 0F 82 C7 FE FF FF 8B 44 24 78 66 3B C8 72 22 66 3B 4C 24 7C 73 1B E9 B2 FE FF FF 66 3B 8C 24 80 00 00 00 0F 82 A4 FE FF FF 83 CA FF 83 FA FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 CA FF EB 12 8D 41 9F 0F B7 D1 66 83 F8 19 77 03 83 EA 20 83 C2 C9 83 FA 0A 73 32 8D 04 9B C6 84 24 18 01 00 00 01 8D 1C 42 89 5C 24 24 41 3B DF 7F 12 48 8B 06 0F B7 08 48 83 C0 02 48 89 06 E9 06 FE FF FF BB 51 14 00 00 89 5C 24 24 44 8B 44 24 2C BF E6 09 00 00 8B 5C 24 30 BD E6 0A 00 00 44 8B 64 24 34 41 BB 10 FF 00 00 41 BF 60 06 00 00 41 BE F0 06 00 00 44 8D 6F 80 44 8D 4D 80 66 41 3B CA 0F 82 B7 01 00 00 66 83 F9 3A 73 0B 0F B7 C1 41 2B C2 E9 A1 01 00 00 66 41 3B CB 0F 83 82 01 00 00 66 41 3B CF 0F 82 92 01 00 00 B8 6A 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C7 E9 78 01 00 00 66 41 3B CE 0F 82 73 01 00 00 B8 FA 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C6 E9 59 01 00 00 66 41 3B CD 0F 82 54 01 00 00 B8 70 09 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C5 E9 3A 01 00 00 66 3B CF 0F 82 36 01 00 00 B8 F0 09 00 00 66 3B C8 73 0A 0F B7 C1 2B C7 E9 1D 01 00 00 66 41 3B C9 0F 82 18 01 00 00 B8 70 0A 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C1 E9 FE 00 00 00 66 3B CD 0F 82 FA 00 00 00 66 3B 4C 24 38 73 0A 0F B7 C1 2B C5 E9 E4 00 00 00 66 41 3B C8 0F 82 DF 00 00 00 66 3B 4C 24 3C 73 0B 0F B7 C1 41 2B C0 E9 C8 00 00 00 66 3B CB 0F 82 C4 00 00 00 66 3B 4C 24 40 73 0A 0F B7 C1 2B C3 E9 AE 00 00 00 66 41 3B CC 0F 82 A9 00 00 00 66 3B 4C 24 44 73 0B 0F B7 C1 41 2B C4 E9 92 00 00 00 8B 54 24 48 66 3B CA 0F 82 8A 00 00 00 66 3B 4C 24 4C 73 07 0F B7 C1 2B C2 EB 77 8B 54 24 50 66 3B CA 72 73 66 3B 4C 24 54 72 E9 8B 54 24 58 66 3B CA 72 63 66 3B 4C 24 5C 72 D9 8B 54 24 60 66 3B CA 72 53 66 3B 4C 24 64 72 C9 8B 54 24 68 66 3B CA 72 43 66 3B 4C 24 6C 72 B9 8B 54 24 70 66 3B CA 72 33 66 3B 4C 24 74 72 A9 8B 54 24 78 66 3B CA 72 23 66 3B 4C 24 7C 73 1C EB 97 66 3B 8C 24 80 00 00 00 73 08 0F B7 C1 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 41 9F 66 83 F8 19 0F B7 C1 77 03 83 E8 20 83 C0 C9 83 F8 0A 73 12 48 8B 06 0F B7 08 48 83 C0 02 48 89 06 E9 FF FD FF FF 48 8B BC 24 A0 00 00 00 33 ED 44 8A 4C 24 20 41 BF 50 14 00 00 8B 5C 24 24 44 8A 84 24 18 01 00 00 4C 8B A4 24 88 00 00 00 4C 8D 77 02 44 8D 6D 16 45 84 C9 74 02 F7 DB 45 84 C0 75 27 48 83 06 FE 48 8B 06 66 85 C9 74 12 66 39 08 74 0D E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 48 89 3E 0F B7 0F 4C 89 36 48 83 06 FE 48 8B 06 66 85 C9 74 12 66 39 08 74 0D E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? 4C 8B 8C 24 10 01 00 00 4D 8D 41 08 4D 3B E0 74 6C 49 8D 44 24 FF 40 38 28 75 08 4C 8B E0 49 3B C0 75 EE 4D 3B E0 74 55 41 3B DF 7E 07 B8 09 00 00 00 EB 78 41 BA B0 EB FF FF 41 3B DA 7D 07 B8 08 00 00 00 EB 66 8A 94 24 08 01 00 00 8A C2 F6 D8 1B C9 83 E1 03 FF C1 0F AF 4C 24 28 03 D9 41 3B DF 7F C9 41 3B DA 7C D6 45 2B E0 41 89 19 84 D2 45 89 61 04 40 0F 95 C5 8B C5 EB 2F B8 02 00 00 00 EB 28 4D 8B C6 48 8D 8C 24 08 01 00 00 48 8B D6 E8 ?? ?? ?? ?? EB 13 4D 8B C6 48 8D 8C 24 08 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_0_27_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z"
		size = 322
		refs = "001f __ImageBase 0034 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 003e ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 006c _errno 0077 _invalid_parameter_noinfo 0092 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 009c ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B F9 4C 8D 3D ?? ?? ?? ?? 33 C9 4D 8B F0 48 8B DA 8D 69 03 8A 07 42 3A 84 39 ?? ?? ?? ?? 74 0E 42 3A 84 39 ?? ?? ?? ?? 0F 85 AB 00 00 00 48 8B 03 48 FF C1 8A 10 48 FF C0 48 89 03 88 17 48 3B CD 75 D1 48 FF 0B 48 8B 03 84 D2 74 14 38 10 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 4C 8B 33 33 D2 41 8A 0E 49 8D 46 01 48 89 03 88 0F 8A 07 42 3A 84 3A ?? ?? ?? ?? 74 0A 42 3A 84 3A ?? ?? ?? ?? 75 78 48 8B 03 48 FF C2 8A 08 48 FF C0 48 89 03 88 0F 48 83 FA 05 75 D4 48 FF 0B 48 8B 03 84 C9 74 14 38 08 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 8B C5 48 8B 6C 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 8A 07 48 FF 0B 48 8B 0B 84 C0 74 14 38 01 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BD 07 00 00 00 EB 20 8A 07 48 FF 0B 48 8B 0B 84 C0 74 14 38 01 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? C6 07 00 4C 89 33 EB 94 }
	condition:
		$1
}

rule file_0_28_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z"
		size = 365
		refs = "001e __ImageBase 0035 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0040 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0076 _errno 0081 _invalid_parameter_noinfo 00a1 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 00ac ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 ED 4C 8D 3D ?? ?? ?? ?? 48 8B F9 4D 8B F0 8B CD 48 8B DA 0F B7 07 66 42 3B 84 39 ?? ?? ?? ?? 74 0F 66 42 3B 84 39 ?? ?? ?? ?? 0F 85 C7 00 00 00 48 8B 03 48 83 C1 02 0F B7 10 48 83 C0 02 48 89 03 66 89 17 48 83 F9 06 75 C9 48 83 03 FE 48 8B 03 66 85 D2 74 15 66 39 10 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 4C 8B 33 48 8B D5 41 0F B7 0E 49 8D 46 02 48 89 03 66 89 0F 0F B7 07 66 42 3B 84 3A ?? ?? ?? ?? 74 0F 66 42 3B 84 3A ?? ?? ?? ?? 0F 85 86 00 00 00 48 8B 03 48 83 C2 02 0F B7 08 48 83 C0 02 48 89 03 66 89 0F 48 83 FA 0A 75 C9 48 83 03 FE 48 8B 03 66 85 C9 74 15 66 39 08 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 0F B7 07 48 83 03 FE 48 8B 0B 66 85 C0 74 15 66 39 01 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 EB 29 0F B7 07 48 83 03 FE 48 8B 0B 66 85 C0 74 15 66 39 01 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 03 00 00 00 66 89 2F 4C 89 33 EB 89 }
	condition:
		$1
}

rule file_0_29_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$c_string_character_source@D@0@PEBD@Z"
		size = 448
		refs = "0020 __ImageBase 002d ?uppercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 0037 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PEBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$c_string_character_source@D@1@PEBD@Z@4QBDB 0065 _errno 006c _invalid_parameter_noinfo 00d8 ??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z 010d ??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4D 8B F0 48 8B F9 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8B DA 8A 07 42 3A 84 01 ?? ?? ?? ?? 74 0A 42 3A 84 01 ?? ?? ?? ?? 75 5C 48 8B 03 48 FF C1 8A 10 48 FF C0 48 89 03 88 17 48 83 F9 03 75 D4 48 FF 0B 8D 71 13 48 8B 03 84 D2 74 10 38 10 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 4C 8B 33 41 8A 0E 49 8D 46 01 48 89 03 88 0F 80 F9 28 74 40 48 FF 0B 48 8B 03 84 C9 0F 84 02 01 00 00 38 08 E9 ED 00 00 00 8A 07 48 FF 0B 48 8B 0B 84 C0 74 15 38 01 74 11 E8 ?? ?? ?? ?? BE 16 00 00 00 89 30 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 D5 00 00 00 48 8B 03 48 8B D3 8A 08 48 FF C0 48 89 03 88 0F 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 26 8A 07 48 FF 0B 48 8B 0B 84 C0 74 10 38 01 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 A4 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 23 8A 07 48 FF 0B 48 8B 0B 84 C0 74 10 38 01 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 06 00 00 00 EB 72 B2 29 38 17 74 67 80 3F 00 74 31 0F BE 0F 8D 41 D0 83 F8 09 76 15 8D 41 9F 83 F8 19 76 0D 8D 41 BF 83 F8 19 76 05 83 F9 5F 75 3E 48 8B 03 8A 08 48 FF C0 48 89 03 88 0F 3A CA 75 CA 8A 07 3A C2 74 2B 48 FF 0B 48 8B 0B 84 C0 74 10 38 01 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 04 00 00 00 C6 07 00 4C 89 33 EB 09 8A 07 EB D5 B8 04 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_30_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$c_string_character_source@_W@0@PEB_W@Z"
		size = 502
		refs = "0024 __ImageBase 0035 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0040 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PEB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$c_string_character_source@_W@1@PEB_W@Z@4QB_WB 0075 _errno 007c _invalid_parameter_noinfo 00f5 ??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z 012e ??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 4D 8B F0 48 8B F9 4C 8D 05 ?? ?? ?? ?? 8B CD 48 8B DA 0F B7 07 66 42 3B 84 01 ?? ?? ?? ?? 74 0B 66 42 3B 84 01 ?? ?? ?? ?? 75 69 48 8B 03 48 83 C1 02 0F B7 10 48 83 C0 02 48 89 03 66 89 17 48 83 F9 06 75 CD 48 83 03 FE 8D 71 10 48 8B 03 66 85 D2 74 11 66 39 10 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 4C 8B 33 41 0F B7 0E 49 8D 46 02 48 89 03 66 89 0F 66 83 F9 28 74 47 48 83 03 FE 48 8B 03 66 85 C9 0F 84 1D 01 00 00 66 39 08 E9 07 01 00 00 0F B7 07 48 83 03 FE 48 8B 0B 66 85 C0 74 16 66 39 01 74 11 E8 ?? ?? ?? ?? BE 16 00 00 00 89 30 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 EB 00 00 00 48 8B 03 48 8B D3 0F B7 08 48 83 C0 02 48 89 03 66 89 0F 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 2A 0F B7 07 48 83 03 FE 48 8B 0B 66 85 C0 74 11 66 39 01 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 B4 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 27 0F B7 0F 48 83 03 FE 48 8B 13 66 85 C9 74 11 66 39 0A 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 06 00 00 00 EB 7E 66 83 3F 29 74 73 66 39 2F 74 36 0F B7 0F 8D 41 D0 83 F8 09 76 15 8D 41 9F 83 F8 19 76 0D 8D 41 BF 83 F8 19 76 05 83 F9 5F 75 49 48 8B 03 0F B7 08 48 83 C0 02 48 89 03 66 89 0F 66 83 F9 29 75 C5 0F B7 07 66 83 F8 29 74 2F 48 83 03 FE 48 8B 0B 66 85 C0 74 11 66 39 01 74 0C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? B8 04 00 00 00 66 89 2F 4C 89 33 EB 0A 0F B7 07 EB D1 B8 04 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_31_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 69
		refs = "0006 __ImageBase 0017 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 0021 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB"
	strings:
		$1 = { 45 33 C0 4C 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D1 41 8A 02 43 3A 84 19 ?? ?? ?? ?? 74 0A 43 3A 84 19 ?? ?? ?? ?? 75 1A 48 8B 02 49 FF C1 8A 08 48 FF C0 48 89 02 41 88 0A 49 83 F9 04 75 D2 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_0_32_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 76
		refs = "0006 __ImageBase 0019 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB"
	strings:
		$1 = { 45 33 C0 4C 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D1 41 0F B7 02 66 43 3B 84 19 ?? ?? ?? ?? 74 0B 66 43 3B 84 19 ?? ?? ?? ?? 75 1E 48 8B 02 49 83 C1 02 0F B7 08 48 83 C0 02 48 89 02 66 41 89 0A 49 83 F9 08 75 CB 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_0_33_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 69
		refs = "0006 __ImageBase 0017 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB 0021 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$c_string_character_source@D@1@@Z@4QBDB"
	strings:
		$1 = { 45 33 C0 4C 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D1 41 8A 02 43 3A 84 19 ?? ?? ?? ?? 74 0A 43 3A 84 19 ?? ?? ?? ?? 75 1A 48 8B 02 49 FF C1 8A 08 48 FF C0 48 89 02 41 88 0A 49 83 F9 05 75 D2 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_0_34_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 76
		refs = "0006 __ImageBase 0019 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB 0024 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$c_string_character_source@_W@1@@Z@4QB_WB"
	strings:
		$1 = { 45 33 C0 4C 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D1 41 0F B7 02 66 43 3B 84 19 ?? ?? ?? ?? 74 0B 66 43 3B 84 19 ?? ?? ?? ?? 75 1E 48 8B 02 49 83 C1 02 0F B7 08 48 83 C0 02 48 89 02 66 41 89 0A 49 83 F9 0A 75 CB 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_0_35_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z"
		size = 279
		refs = "0080 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z 009b ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 8B CA 83 F9 05 0F 8F A6 00 00 00 0F 84 8B 00 00 00 33 C0 85 C9 74 6D 83 E9 01 74 4D 83 E9 01 74 3A 83 E9 01 74 22 83 F9 01 0F 85 CE 00 00 00 38 82 08 03 00 00 0F 95 C0 C1 E0 1F 0D FF FF FF 7F 41 89 00 E9 C3 00 00 00 38 82 08 03 00 00 0F 95 C0 C1 E0 1F 0D 00 00 80 7F EB E5 38 82 08 03 00 00 0F 95 C0 C1 E0 1F EB D7 48 8D 54 24 20 4C 89 44 24 20 49 8B C9 88 44 24 28 E8 ?? ?? ?? ?? E9 89 00 00 00 48 8D 54 24 20 4C 89 44 24 20 49 8B C9 88 44 24 28 E8 ?? ?? ?? ?? EB 71 33 C0 38 82 08 03 00 00 0F 95 C0 C1 E0 1F 0D 01 00 80 7F EB 8F 83 E9 06 74 4E 83 E9 01 74 3D 83 E9 01 74 20 83 F9 01 75 38 33 C0 38 82 08 03 00 00 0F 95 C0 C1 E0 1F 0D 00 00 80 7F 41 89 00 8D 41 02 EB 2D 33 C0 38 82 08 03 00 00 0F 95 C0 C1 E0 1F 41 89 00 B8 02 00 00 00 EB 15 33 C0 41 89 00 B8 01 00 00 00 EB 09 41 C7 00 00 00 C0 FF 33 C0 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_36_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z"
		size = 295
		refs = "0084 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z 00a0 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 8B CA 83 F9 05 0F 8F A4 00 00 00 0F 84 90 00 00 00 33 C0 85 C9 74 71 83 E9 01 74 50 83 E9 01 74 39 83 E9 01 74 28 83 F9 01 0F 85 D8 00 00 00 48 B9 FF FF FF FF FF FF FF 7F 38 82 08 03 00 00 0F 95 C0 48 C1 E0 3F 48 0B C1 E9 CA 00 00 00 48 B9 00 00 00 00 00 00 F0 7F EB DF 38 82 08 03 00 00 0F 95 C0 48 C1 E0 3F E9 AC 00 00 00 48 8D 54 24 20 4C 89 44 24 20 49 8B C9 C6 44 24 28 01 E8 ?? ?? ?? ?? E9 95 00 00 00 48 8D 54 24 20 4C 89 44 24 20 49 8B C9 C6 44 24 28 01 E8 ?? ?? ?? ?? EB 7C 33 C0 48 B9 01 00 00 00 00 00 F0 7F EB 8A 83 E9 06 74 5A 83 E9 01 74 49 83 E9 01 74 2B 83 F9 01 75 44 33 C0 48 B9 00 00 00 00 00 00 F0 7F 38 82 08 03 00 00 0F 95 C0 48 C1 E0 3F 48 0B C1 49 89 00 B8 03 00 00 00 EB 34 33 C0 38 82 08 03 00 00 0F 95 C0 48 C1 E0 3F 49 89 00 B8 02 00 00 00 EB 1B 33 C0 49 89 00 B8 01 00 00 00 EB 0F 48 B8 00 00 00 00 00 00 F8 FF 49 89 00 33 C0 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_37_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$c_string_character_source@D@0@@Z"
		size = 78
	strings:
		$1 = { 48 89 5C 24 08 4C 8B D1 4D 85 C0 74 35 48 8B 5C 24 28 4C 2B D2 4C 8B DA 49 F7 DB 41 8A 01 41 3A 04 12 74 04 3A 02 75 22 48 8B 03 48 FF C2 8A 08 48 FF C0 48 89 03 49 8D 04 13 41 88 09 49 3B C0 75 D9 B0 01 48 8B 5C 24 08 C3 32 C0 EB F6 }
	condition:
		$1
}

rule file_0_38_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$c_string_character_source@_W@0@@Z"
		size = 81
	strings:
		$1 = { 48 89 5C 24 08 45 33 D2 4C 8B D9 4D 85 C0 74 35 48 8B 5C 24 28 4C 2B DA 41 0F B7 01 66 41 3B 04 13 74 05 66 3B 02 75 25 48 8B 03 49 FF C2 48 83 C2 02 0F B7 08 48 83 C0 02 48 89 03 66 41 89 09 4D 3B D0 75 D3 B0 01 48 8B 5C 24 08 C3 32 C0 EB F6 }
	condition:
		$1
}

rule file_0_47_0 {
	meta:
		name = "??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
		size = 143
		refs = "001d __acrt_locale_changed_data 0027 __acrt_initial_locale_pointers 0033 __acrt_getptd 0057 __acrt_update_locale_info 0063 __acrt_update_multibyte_info"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 C6 41 18 00 48 8B F9 48 85 D2 74 05 0F 10 02 EB 10 83 3D ?? ?? ?? ?? 00 75 0E 0F 10 05 ?? ?? ?? ?? F3 0F 7F 41 08 EB 4F E8 ?? ?? ?? ?? 48 89 07 48 8D 57 08 48 8B 88 90 00 00 00 48 89 0A 48 8B 88 88 00 00 00 48 89 4F 10 48 8B C8 E8 ?? ?? ?? ?? 48 8B 0F 48 8D 57 10 E8 ?? ?? ?? ?? 48 8B 0F 8B 81 A8 03 00 00 A8 02 75 0D 83 C8 02 89 81 A8 03 00 00 C6 47 18 01 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_48_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QEAA@AEBU01@@Z"
		size = 47
		refs = "0022 memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 02 4C 8D 42 04 89 01 48 8B D9 44 8B 0A 48 83 C1 04 49 C1 E1 02 BA CC 01 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_52_0 {
	meta:
		name = "??1?$c_string_character_source@D@__crt_strtox@@QEAA@XZ"
		size = 16
		altNames = "??1?$c_string_character_source@_W@__crt_strtox@@QEAA@XZ"
	strings:
		$1 = { 48 8B 51 08 48 85 D2 74 06 48 8B 01 48 89 02 C3 }
	condition:
		$1
}

rule file_0_54_0 {
	meta:
		name = "??1_LocaleUpdate@@QEAA@XZ"
		size = 17
	strings:
		$1 = { 80 79 18 00 74 0A 48 8B 01 83 A0 A8 03 00 00 FD C3 }
	condition:
		$1
}

rule file_0_56_0 {
	meta:
		name = "??M__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 83
	strings:
		$1 = { 8B 01 4C 8B C9 8B 0A 4C 8B C2 3B C1 77 2D 73 03 B0 01 C3 FF C8 83 F8 FF 74 21 66 0F 1F 44 00 00 48 8D 14 85 00 00 00 00 42 8B 4C 02 04 42 39 4C 0A 04 75 0A FF C8 83 F8 FF 75 E5 32 C0 C3 83 F8 FF 74 F8 8B C8 41 8B 44 80 04 41 39 44 89 04 0F 96 C0 C3 }
	condition:
		$1
}

rule file_0_64_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQEBE0AEAUbig_integer@1@@Z"
		size = 1464
		refs = "0032 __security_cookie 012e __ImageBase 0162 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 018a memset 01a4 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 01ba memcpy 0276 _errno 02b3 _invalid_parameter_noinfo 04da ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0593 __security_check_cookie"
	strings:
		$1 = { 48 3B CA 0F 84 AE 05 00 00 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 55 41 54 41 55 41 56 41 57 48 8D A8 E8 FC FF FF 48 81 EC F0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 02 00 00 33 F6 4D 8B F0 44 8B FE 44 8B EE 48 8B DA 4C 8B C9 41 83 FD 09 0F 85 A2 00 00 00 45 8B 1E 45 85 DB 74 4A 44 8B C6 44 8B D6 41 8B D2 41 FF C2 41 8B 44 96 04 48 69 C8 00 CA 9A 3B 41 8B C0 48 03 C8 4C 8B C1 41 89 4C 96 04 49 C1 E8 20 45 3B D3 75 D7 45 85 C0 74 16 41 83 3E 73 73 0D 41 8B 06 45 89 44 86 04 41 FF 06 EB 03 41 89 36 45 85 FF 74 45 44 8B C6 41 39 36 74 22 41 8B D0 41 FF C0 41 8B C7 41 8B 4C 96 04 48 03 C8 4C 8B F9 41 89 4C 96 04 49 C1 EF 20 45 3B 06 75 DE 45 85 FF 74 16 41 83 3E 73 73 0D 41 8B 06 45 89 7C 86 04 41 FF 06 EB 03 41 89 36 44 8B FE 44 8B EE 41 0F B6 01 43 8D 0C BF 41 FF C5 49 FF C1 44 8D 3C 48 4C 3B CB 0F 85 39 FF FF FF 45 85 ED 0F 84 67 04 00 00 B8 CD CC CC CC 41 F7 E5 8B C2 48 8D 15 ?? ?? ?? ?? C1 E8 03 89 44 24 2C 44 8B E0 89 44 24 24 85 C0 0F 84 81 03 00 00 41 8B C4 B9 26 00 00 00 44 3B E1 0F 47 C1 89 44 24 28 FF C8 8B F8 0F B6 8C 82 ?? ?? ?? ?? 0F B6 B4 82 ?? ?? ?? ?? 8B D9 48 C1 E3 02 33 D2 4C 8B C3 8D 04 0E 48 8D 8D 14 01 00 00 89 85 10 01 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D 14 01 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 8B B5 10 01 00 00 83 FE 01 0F 87 82 00 00 00 8B 85 14 01 00 00 33 F6 85 C0 75 08 41 89 36 E9 C3 02 00 00 83 F8 01 0F 84 BA 02 00 00 45 8B 16 45 85 D2 0F 84 AE 02 00 00 44 8B C6 44 8B CE 4C 8B D8 41 8B D1 41 FF C1 41 8B C0 41 8B 4C 96 04 49 0F AF CB 48 03 C8 4C 8B C1 41 89 4C 96 04 49 C1 E8 20 45 3B CA 75 DA 45 85 C0 0F 84 76 02 00 00 41 83 3E 73 73 10 41 8B 06 45 89 44 86 04 41 FF 06 E9 60 02 00 00 41 89 36 40 8A C6 E9 57 02 00 00 41 83 3E 01 0F 87 AB 00 00 00 4C 8B C6 49 8D 5E 04 8B 3B 41 89 36 33 F6 49 C1 E0 02 4D 85 C0 74 47 48 85 DB 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 30 B8 CC 01 00 00 48 8B CB 4C 3B C0 77 0E 48 8D 95 14 01 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 85 FF 0F 84 1A FF FF FF 83 FF 01 0F 84 DC 01 00 00 45 8B 16 45 85 D2 0F 84 D0 01 00 00 44 8B C6 44 8B CE 4C 8B DF 41 8B D1 41 FF C1 41 8B C0 8B 0C 93 49 0F AF CB 48 03 C8 4C 8B C1 89 0C 93 49 C1 E8 20 45 3B CA 75 DE E9 21 FF FF FF 41 3B 36 49 8D 7E 04 45 8B 06 48 8D 95 14 01 00 00 0F 92 C0 48 8D 8D 14 01 00 00 84 C0 44 0F 45 C6 48 0F 44 D7 41 0F 45 36 48 0F 45 CF 33 C0 48 89 54 24 38 45 33 D2 48 89 4C 24 30 44 89 44 24 20 89 44 24 40 45 85 C0 0F 84 FC 00 00 00 46 8B 24 92 45 85 E4 75 1B 44 3B D0 0F 85 D9 00 00 00 46 21 64 94 44 41 8D 42 01 89 44 24 40 E9 C7 00 00 00 33 DB 45 8B CA 85 F6 0F 84 AB 00 00 00 45 8B DA 41 F7 DB 41 83 F9 73 74 56 44 3B C8 75 16 41 8B C1 41 8D 4B 01 83 64 84 44 00 43 8D 04 11 03 C8 89 4C 24 40 48 8B 44 24 30 43 8D 0C 19 45 8B C1 41 FF C1 8B 14 88 42 8B 44 84 44 49 0F AF D4 48 03 D0 8B C3 48 03 D0 43 8D 04 19 48 8B DA 42 89 54 84 44 48 C1 EB 20 3B C6 8B 44 24 40 75 A4 85 DB 74 40 41 83 F9 73 0F 84 43 01 00 00 44 3B C8 75 10 41 8B C1 83 64 84 44 00 41 8D 41 01 89 44 24 40 41 8B C9 41 FF C1 8B C3 8B 54 8C 44 48 03 D0 89 54 8C 44 8B 44 24 40 48 C1 EA 20 8B DA 85 D2 75 C0 44 8B 44 24 20 41 83 F9 73 0F 84 FE 00 00 00 48 8B 54 24 38 41 FF C2 45 3B D0 0F 85 09 FF FF FF 44 8B 64 24 24 44 8B C0 33 F6 49 C1 E0 02 41 89 06 4D 85 C0 74 45 48 85 FF 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 2E B8 CC 01 00 00 48 8B CF 4C 3B C0 77 0C 48 8D 54 24 44 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? B0 01 84 C0 0F 84 8D 00 00 00 44 2B 64 24 28 48 8D 15 ?? ?? ?? ?? 44 89 64 24 24 0F 85 83 FC FF FF 8B 44 24 2C 8D 04 80 03 C0 44 2B E8 74 6B 41 8D 45 FF 8B 84 82 ?? ?? ?? ?? 85 C0 74 59 83 F8 01 74 57 45 8B 16 45 85 D2 74 4F 44 8B C6 44 8B CE 44 8B D8 41 8B D1 41 FF C1 41 8B C0 41 8B 4C 96 04 49 0F AF CB 48 03 C8 4C 8B C1 41 89 4C 96 04 49 C1 E8 20 45 3B CA 75 DA 45 85 C0 74 1B 41 83 3E 73 73 12 41 8B 06 45 89 44 86 04 41 FF 06 EB 08 33 F6 41 89 36 41 89 36 45 85 FF 74 45 44 8B C6 41 39 36 74 22 41 8B C8 41 FF C0 41 8B D7 41 8B 44 8E 04 48 03 D0 41 89 54 8E 04 48 C1 EA 20 44 8B FA 45 3B 06 75 DE 45 85 FF 74 16 41 83 3E 73 73 0D 41 8B 06 45 89 7C 86 04 41 FF 06 EB 03 41 89 36 48 8B 8D E0 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 03 00 00 49 8B 5B 30 49 8B 73 38 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_0_65_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 139
		refs = "007d memcpy_s"
	strings:
		$1 = { 48 81 EC F8 01 00 00 44 8B CA 4C 8B C1 85 D2 74 48 45 33 DB 45 8B D3 44 39 19 74 28 0F 1F 40 00 41 8B C2 41 FF C2 41 8B 54 80 04 49 8D 0C 80 41 8B C1 48 03 D0 4C 8B CA 89 51 04 49 C1 E9 20 45 3B 10 75 DC 45 85 C9 74 10 41 8B 00 83 F8 73 73 12 45 89 4C 80 04 41 FF 00 B0 01 48 81 C4 F8 01 00 00 C3 45 89 18 49 8D 48 04 4C 8D 44 24 24 44 89 5C 24 20 45 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? 32 C0 48 81 C4 F8 01 00 00 C3 }
	condition:
		$1
}

rule file_0_66_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAEAIII@Z"
		size = 20
	strings:
		$1 = { 8B 01 8B D2 48 03 C2 41 8B D0 48 03 C2 89 01 48 C1 E8 20 C3 }
	condition:
		$1
}

rule file_0_67_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAEAIIII@Z"
		size = 34
	strings:
		$1 = { 41 8B C0 44 8B D2 4C 0F AF D0 8B 01 4C 03 D0 41 8B C1 4C 03 D0 4C 89 54 24 08 8B 44 24 0C 44 89 11 C3 }
	condition:
		$1
}

rule file_0_68_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ"
		size = 57
		refs = "001b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 002f ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0034 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 80 79 08 00 74 08 48 8B 01 48 83 C4 38 C3 48 83 64 24 20 00 4C 8D 05 ?? ?? ?? ?? 41 B9 9F 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_69_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ"
		size = 57
		refs = "001b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 002f ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0034 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 80 79 08 00 75 08 48 8B 01 48 83 C4 38 C3 48 83 64 24 20 00 4C 8D 05 ?? ?? ?? ?? 41 B9 A5 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_70_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 60
	strings:
		$1 = { 48 8B 02 45 33 C0 44 38 42 08 74 1B 84 C9 48 B9 00 00 00 00 00 00 F0 7F 41 0F 95 C0 49 C1 E0 3F 4C 0B C1 4C 89 00 C3 84 C9 41 0F 95 C0 41 C1 E0 1F 41 81 C8 00 00 80 7F 44 89 00 C3 }
	condition:
		$1
}

rule file_0_71_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
		size = 947
		refs = "0163 fegetround"
	strings:
		$1 = { 48 89 5C 24 18 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 DB B8 FF FF FF FF 89 5C 24 70 45 8A D1 41 8A E8 44 8B DA 48 8B F9 48 3B C8 76 17 48 8B C1 48 C1 E8 20 0F BD C8 74 04 FF C1 EB 02 8B CB 83 C1 20 EB 0B 0F BD C9 74 04 FF C1 EB 02 8B CB 4C 8B B4 24 90 00 00 00 41 8B F3 41 8A 56 08 8A C2 F6 D8 8A C2 45 1B ED 41 83 E5 1D 41 83 C5 18 44 2B E9 41 2B F5 F6 D8 45 1B C0 41 81 E0 80 03 00 00 41 83 C0 7F 41 3B F0 7E 3E 49 8B 06 84 D2 74 1C 40 84 ED 48 B9 00 00 00 00 00 00 F0 7F 0F 95 C3 48 C1 E3 3F 48 0B D9 48 89 18 EB 11 40 84 ED 0F 95 C3 C1 E3 1F 81 CB 00 00 80 7F 89 18 B8 03 00 00 00 E9 CC 02 00 00 8A C2 49 BC 00 00 80 FF FF FF 0F 00 F6 D8 1B C9 81 E1 80 FC FF FF 83 C1 82 3B F1 0F 8D 44 01 00 00 41 8D 04 30 41 8B F0 45 8D 4D FF F7 DE 44 03 C8 44 89 4C 24 20 41 8B C9 45 85 C9 0F 89 1B 02 00 00 F7 D9 89 4C 24 24 83 F9 40 0F 83 E7 00 00 00 8B C1 41 BF 01 00 00 00 48 0F A3 C7 41 8B C7 FF C9 0F 92 44 24 70 48 D3 E0 48 85 C7 0F 95 C1 88 8C 24 90 00 00 00 45 84 D2 74 0B 48 FF C8 44 8A E3 48 85 C7 74 03 45 8A E7 84 C9 75 05 45 84 E4 74 5B E8 ?? ?? ?? ?? 85 C0 74 25 3D 00 01 00 00 74 19 44 8B 4C 24 20 44 8B 5C 24 78 3D 00 02 00 00 75 3A 40 84 ED 0F 94 C0 EB 34 40 8A C5 EB 17 38 9C 24 90 00 00 00 74 1A 45 84 E4 75 06 38 5C 24 70 74 0F 41 8A C7 44 8B 4C 24 20 44 8B 5C 24 78 EB 0C 44 8B 4C 24 20 44 8B 5C 24 78 8A C3 8B 4C 24 24 48 D3 EF 0F B6 C0 48 03 F8 74 39 41 8A 56 08 49 BC 00 00 80 FF FF FF 0F 00 8A C2 F6 D8 48 1B C9 49 23 CC 48 81 C1 FF FF 7F 00 48 3B F9 0F 86 39 01 00 00 41 8B F3 41 2B F1 41 2B F5 41 2B F7 E9 28 01 00 00 49 8B 06 41 38 5E 08 74 0F 40 84 ED 0F 95 C3 48 C1 E3 3F 48 89 18 EB 0B 40 84 ED 0F 95 C3 C1 E3 1F 89 18 B8 02 00 00 00 E9 67 01 00 00 45 85 ED 0F 89 EA 00 00 00 41 F7 DD 41 83 FD 40 72 08 48 8B FB E9 98 00 00 00 41 8B C5 41 8D 4D FF 48 0F A3 C7 41 BF 01 00 00 00 41 8B C7 0F 92 84 24 90 00 00 00 48 D3 E0 48 85 C7 0F 95 C1 88 4C 24 78 45 84 D2 74 0B 48 FF C8 44 8A E3 48 85 C7 74 03 45 8A E7 84 C9 75 05 45 84 E4 74 39 E8 ?? ?? ?? ?? 85 C0 74 1C 3D 00 01 00 00 74 10 3D 00 02 00 00 75 22 40 84 ED 41 0F 94 C7 EB 1C 44 8A FD EB 17 38 5C 24 78 74 0E 45 84 E4 75 0C 38 9C 24 90 00 00 00 75 03 44 8A FB 41 8B CD 41 0F B6 C7 48 D3 EF 49 BC 00 00 80 FF FF FF 0F 00 48 03 F8 41 8A 56 08 8A C2 F6 D8 48 B8 00 00 00 FF FF FF 1F 00 48 1B C9 48 23 C8 48 81 C1 FF FF FF 00 48 3B F9 76 25 48 D1 EF 8A C2 FF C6 F6 D8 1B C9 81 E1 80 03 00 00 83 C1 7F 3B F1 7E 0D E9 6A FD FF FF 7E 06 41 8B CD 48 D3 E7 8A C2 F6 D8 48 1B C9 49 23 CC 48 81 C1 FF FF 7F 00 48 23 F9 84 D2 49 8B 16 74 30 8D 8E FF 03 00 00 40 0F B6 C5 81 E1 FF 07 00 00 48 C1 E0 0B 48 0B C8 48 B8 FF FF FF FF FF FF 0F 00 48 23 F8 48 C1 E1 34 48 0B CF 48 89 0A EB 1F 8D 4E 7F 40 0F B6 C5 C1 E1 17 81 E7 FF FF 7F 00 81 E1 00 00 80 7F C1 E0 1F 0B C8 0B CF 89 0A 33 C0 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_72_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z"
		size = 380
		refs = "0178 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 8B 74 24 50 44 8B DA 41 BC 01 00 00 00 45 8A F1 41 8A E8 4C 8B D1 8A 46 08 F6 D8 41 8D 5C 24 3F 1B D2 83 E2 1D 83 C2 18 41 2B D4 44 3B DB 77 32 83 39 00 76 06 44 8B 41 04 EB 03 45 33 C0 44 39 21 76 05 8B 41 08 EB 02 33 C0 45 84 F6 8B C8 41 8B C0 41 0F 94 C1 48 C1 E1 20 48 03 C8 E9 DC 00 00 00 45 8B CB 41 C1 EB 05 45 8D 7B FF 45 8D 43 FE 41 83 E1 1F 75 46 42 8B 7C B9 04 41 8B D8 42 8B 4C 81 04 C1 E3 05 48 C1 E7 20 03 DA 48 03 F9 45 84 F6 41 0F 94 C1 45 33 DB 45 85 C0 74 14 43 83 7C 9A 04 00 0F 94 C0 45 03 DC 44 22 C8 45 3B D8 75 EC 8B D3 48 8B CF E9 81 00 00 00 47 8B 7C BA 04 41 8B FC 47 8B 6C 82 04 41 2B D9 41 8B C9 D3 E7 41 2B FC 45 8B E0 41 C1 E4 05 8D 4B E0 49 D3 E7 45 03 E1 44 03 E2 8B C7 43 8B 54 9A 04 8B CB 48 23 D0 48 D3 E2 41 8B C9 4C 03 FA 8B D7 F7 D2 49 23 D5 48 D3 EA 4C 03 FA 45 84 F6 75 0A 44 85 EF 75 05 41 B1 01 EB 03 45 32 C9 45 33 DB 45 85 C0 74 14 43 83 7C 9A 04 00 0F 94 C0 41 FF C3 44 22 C8 45 3B D8 75 EC 41 8B D4 49 8B CF 44 8A C5 48 89 74 24 50 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 41 5F 41 5E 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_73_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAEBVfloating_point_value@1@@Z"
		size = 40
	strings:
		$1 = { 48 8B 02 45 33 C0 44 38 42 08 74 0E 84 C9 41 0F 95 C0 49 C1 E0 3F 4C 89 00 C3 84 C9 41 0F 95 C0 41 C1 E0 1F 44 89 00 C3 }
	condition:
		$1
}

rule file_0_74_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIAEBUbig_integer@1@@Z"
		size = 35
	strings:
		$1 = { 4C 8B C1 8B 09 85 C9 75 03 33 C0 C3 FF C9 33 D2 45 0F BD 4C 88 04 74 04 41 8D 51 01 C1 E1 05 8D 04 0A C3 }
	condition:
		$1
}

rule file_0_75_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 19
	strings:
		$1 = { 0F BD C1 C7 44 24 10 00 00 00 00 74 03 FF C0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_0_76_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 39
	strings:
		$1 = { B8 FF FF FF FF 48 3B C8 76 12 48 C1 E9 20 33 C0 0F BD D1 74 03 8D 42 01 83 C0 20 C3 33 C0 0F BD D1 74 03 8D 42 01 C3 }
	condition:
		$1
}

rule file_0_77_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 7587
		refs = "0022 __security_cookie 0036 __ImageBase 020d ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0234 memset 024e ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0264 memcpy 036c _errno 0377 _invalid_parameter_noinfo 05e4 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0d02 memcpy_s 1898 ?as_double@floating_point_value@__crt_strtox@@QEBAAEANXZ 18ac ?as_float@floating_point_value@__crt_strtox@@QEBAAEAMXZ 1c81 ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 1d48 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z 1d75 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUbig_integer@1@I_N1AEBVfloating_point_value@1@@Z 1d84 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 F5 FF FF 48 81 EC 70 0B 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 0A 00 00 44 8B 11 4C 8D 1D ?? ?? ?? ?? 8A 42 08 F6 D8 48 89 4C 24 58 48 89 54 24 60 48 8B D1 8B 49 04 1B C0 83 E0 1D 45 33 F6 83 C0 19 44 89 B5 50 01 00 00 45 85 D2 89 44 24 54 8B C1 4C 8D 4A 08 45 0F 48 D6 41 8D 5E 26 44 3B D1 45 8B FE 45 8B E6 45 8B EE 41 0F 42 C2 44 2B D0 4C 03 C8 48 8D 42 08 44 89 54 24 50 48 03 C1 4C 89 4C 24 78 8B C8 48 89 44 24 70 41 2B C9 4C 8D 52 08 89 4C 24 34 4D 3B D1 0F 84 3A 06 00 00 41 83 FD 09 0F 85 F2 00 00 00 45 85 FF 74 7A 45 8B C6 45 8B CE 41 8B D1 41 FF C1 8B 84 95 54 01 00 00 48 69 C8 00 CA 9A 3B 41 8B C0 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D3 4C 8B 4C 24 78 45 85 C0 74 36 83 BD 50 01 00 00 73 73 21 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 EB 13 45 8B FE 44 89 B5 50 01 00 00 EB 07 44 8B BD 50 01 00 00 45 85 E4 74 68 45 8B C6 45 85 FF 74 2D 41 8B D0 41 FF C0 41 8B C4 8B 8C 95 54 01 00 00 48 03 C8 4C 8B E1 89 8C 95 54 01 00 00 44 8B BD 50 01 00 00 49 C1 EC 20 45 3B C7 75 D3 45 85 E4 74 2E 41 83 FF 73 73 1E 41 8B C7 44 89 A4 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 EB 0A 45 8B FE 44 89 B5 50 01 00 00 45 8B E6 45 8B EE 41 0F B6 02 43 8D 0C A4 41 FF C5 49 FF C2 44 8D 24 48 4D 3B D1 0F 85 E9 FE FF FF 45 85 ED 0F 84 1A 05 00 00 B8 CD CC CC CC 41 F7 E5 8B C2 C1 E8 03 89 44 24 38 8B C8 89 44 24 3C 85 C0 0F 84 D7 03 00 00 3B CB 8B C1 0F 47 C3 33 D2 89 44 24 44 FF C8 8B F8 41 0F B6 8C 83 ?? ?? ?? ?? 41 0F B6 B4 83 ?? ?? ?? ?? 8B D9 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D C4 06 00 00 89 85 C0 06 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D C4 06 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 8B BD C0 06 00 00 83 FF 01 0F 87 A6 00 00 00 8B 85 C4 06 00 00 85 C0 75 0F 45 8B FE 44 89 B5 50 01 00 00 E9 15 03 00 00 83 F8 01 0F 84 0C 03 00 00 45 85 FF 0F 84 03 03 00 00 45 8B C6 45 8B CE 4C 8B D0 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 45 85 C0 0F 84 C0 02 00 00 83 BD 50 01 00 00 73 73 24 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 E9 9A 02 00 00 45 8B FE 44 89 B5 50 01 00 00 41 8A C6 E9 8A 02 00 00 41 83 FF 01 0F 87 AD 00 00 00 8B 9D 54 01 00 00 4C 8B C7 49 C1 E0 02 44 8B FF 89 BD 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 C4 06 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 85 DB 0F 84 F7 FE FF FF 83 FB 01 0F 84 12 02 00 00 45 85 FF 0F 84 09 02 00 00 45 8B C6 45 8B CE 4C 8B D3 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 E9 01 FF FF FF 41 3B FF 44 89 B5 F0 04 00 00 48 8D 95 54 01 00 00 45 8B D6 0F 92 C0 4C 8D 85 C4 06 00 00 84 C0 48 8D 8D C4 06 00 00 48 0F 44 CA 48 8D 95 54 01 00 00 49 0F 44 D0 48 89 4C 24 68 45 8B C7 48 89 54 24 48 44 0F 45 C7 41 0F 45 FF 44 89 44 24 40 45 8B FE 45 85 C0 0F 84 22 01 00 00 41 8B C2 8B 34 81 85 F6 75 21 45 3B D7 0F 85 03 01 00 00 45 8D 7A 01 44 89 B4 85 F4 04 00 00 44 89 BD F0 04 00 00 E9 EB 00 00 00 41 8B DE 45 8B CA 85 FF 0F 84 C9 00 00 00 45 8B DA 41 F7 DB 41 83 F9 73 74 66 45 3B CF 75 1B 41 8B C1 41 8D 4A 01 44 89 B4 85 F4 04 00 00 43 8D 04 0B 03 C8 89 8D F0 04 00 00 43 8D 04 0B 45 8B C1 8B 14 82 41 FF C1 8B C3 48 0F AF D6 48 03 D0 42 8B 84 85 F4 04 00 00 48 03 D0 43 8D 04 0B 48 8B DA 42 89 94 85 F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EB 20 3B C7 74 07 48 8B 54 24 48 EB 94 85 DB 74 4E 41 83 F9 73 0F 84 03 01 00 00 45 3B CF 75 15 41 8B C1 44 89 B4 85 F4 04 00 00 41 8D 41 01 89 85 F0 04 00 00 41 8B C9 41 FF C1 8B D3 8B 84 8D F4 04 00 00 48 03 D0 89 94 8D F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 44 8B 44 24 40 41 83 F9 73 0F 84 B0 00 00 00 48 8B 4C 24 68 48 8B 54 24 48 41 FF C2 45 3B D0 0F 85 DE FE FF FF 45 8B C7 49 C1 E0 02 44 89 BD 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 F4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 B0 01 84 C0 74 41 8B 4C 24 3C 4C 8D 1D ?? ?? ?? ?? 2B 4C 24 44 89 4C 24 3C 74 0A BB 26 00 00 00 E9 2D FC FF FF 8B 44 24 38 8D 04 80 03 C0 44 2B E8 0F 84 8F 00 00 00 41 8D 45 FF 41 8B 84 83 ?? ?? ?? ?? 85 C0 75 0C 45 8B FE 44 89 B5 50 01 00 00 EB 73 83 F8 01 74 6E 45 85 FF 74 69 45 8B C6 45 8B CE 4C 8B D0 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 45 85 C0 74 2A 83 BD 50 01 00 00 73 73 A9 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 EB 07 44 8B BD 50 01 00 00 45 85 E4 74 76 45 8B C6 45 85 FF 74 2D 41 8B C8 41 FF C0 41 8B C4 8B 94 8D 54 01 00 00 48 03 D0 89 94 8D 54 01 00 00 44 8B BD 50 01 00 00 48 C1 EA 20 44 8B E2 45 3B C7 75 D3 45 85 E4 74 3C 4C 8D 1D ?? ?? ?? ?? BB 26 00 00 00 41 83 FF 73 73 1E 41 8B C7 44 89 A4 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 EB 18 45 8B FE 44 89 B5 50 01 00 00 EB 0C BB 26 00 00 00 4C 8D 1D ?? ?? ?? ?? 8B 4C 24 50 85 C9 0F 84 02 05 00 00 B8 CD CC CC CC F7 E1 8B C2 C1 E8 03 89 44 24 44 44 8B E0 89 44 24 40 85 C0 0F 84 E4 03 00 00 EB 07 4C 8D 1D ?? ?? ?? ?? 44 3B E3 45 8B EC 44 0F 47 EB 33 D2 44 89 6C 24 38 41 8D 45 FF 41 0F B6 8C 83 ?? ?? ?? ?? 41 0F B6 B4 83 ?? ?? ?? ?? 8B D9 8B F8 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D C4 06 00 00 89 85 C0 06 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D C4 06 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 8B BD C0 06 00 00 83 FF 01 0F 87 AE 00 00 00 8B 85 C4 06 00 00 85 C0 75 0F 45 8B FE 44 89 B5 50 01 00 00 E9 17 03 00 00 83 F8 01 0F 84 0E 03 00 00 45 85 FF 0F 84 05 03 00 00 45 8B C6 45 8B CE 4C 8B D0 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 45 85 C0 74 3F 83 BD 50 01 00 00 73 73 24 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 E9 A0 02 00 00 45 8B FE 44 89 B5 50 01 00 00 41 8A C6 E9 90 02 00 00 44 8B BD 50 01 00 00 E9 82 02 00 00 41 83 FF 01 0F 87 AD 00 00 00 8B 9D 54 01 00 00 4C 8B C7 49 C1 E0 02 44 8B FF 89 BD 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 C4 06 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 85 DB 0F 84 EF FE FF FF 83 FB 01 0F 84 0C 02 00 00 45 85 FF 0F 84 03 02 00 00 45 8B C6 45 8B CE 4C 8B D3 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 E9 F9 FE FF FF 41 3B FF 44 89 B5 F0 04 00 00 48 8D 8D 54 01 00 00 45 8B E7 0F 92 C0 4C 8D AD C4 06 00 00 84 C0 48 8D 95 54 01 00 00 45 8B D6 4C 0F 44 E9 44 0F 45 E7 41 0F 45 FF 48 8D 8D C4 06 00 00 48 0F 44 D1 45 8B FE 48 89 54 24 48 45 85 E4 0F 84 1C 01 00 00 41 8B C2 41 8B 74 85 00 85 F6 75 21 45 3B D7 0F 85 FB 00 00 00 45 8D 7A 01 44 89 B4 85 F4 04 00 00 44 89 BD F0 04 00 00 E9 E3 00 00 00 41 8B DE 45 8B CA 85 FF 0F 84 C6 00 00 00 45 8B DA 41 F7 DB 41 83 F9 73 74 68 45 3B CF 75 1B 41 8B C1 41 8D 4B 01 44 89 B4 85 F4 04 00 00 43 8D 04 11 03 C8 89 8D F0 04 00 00 43 8D 04 19 45 8B C1 8B 14 82 41 FF C1 48 0F AF D6 8B C8 8B C3 48 03 D0 42 8B 84 85 F4 04 00 00 48 03 D0 43 8D 04 19 48 8B DA 42 89 94 85 F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EB 20 3B C7 74 07 48 8B 54 24 48 EB 92 85 DB 74 4E 41 83 F9 73 0F 84 85 01 00 00 45 3B CF 75 15 41 8B C1 44 89 B4 85 F4 04 00 00 41 8D 41 01 89 85 F0 04 00 00 41 8B C9 41 FF C1 8B D3 8B 84 8D F4 04 00 00 48 03 D0 89 94 8D F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 41 83 F9 73 0F 84 37 01 00 00 48 8B 54 24 48 41 FF C2 45 3B D4 0F 85 E4 FE FF FF 45 8B C7 49 C1 E0 02 44 89 BD 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 F4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 44 8B 64 24 40 44 8B 6C 24 38 B0 01 84 C0 0F 84 BF 00 00 00 45 2B E5 BB 26 00 00 00 44 89 64 24 40 0F 85 26 FC FF FF 8B 44 24 44 8B 4C 24 50 8D 04 80 03 C0 2B C8 0F 84 F2 00 00 00 FF C9 48 8D 05 ?? ?? ?? ?? 8B 84 88 ?? ?? ?? ?? 85 C0 75 0F 45 8B FE 44 89 B5 50 01 00 00 E9 D4 00 00 00 83 F8 01 0F 84 C6 00 00 00 45 85 FF 0F 84 C2 00 00 00 45 8B C6 45 8B CE 4C 8B D0 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 54 01 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 54 01 00 00 49 C1 E8 20 45 3B CF 75 D6 45 85 C0 74 7E 83 BD 50 01 00 00 73 73 21 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 44 89 BD 50 01 00 00 EB 5B 48 8B 44 24 60 4C 8B 44 24 58 44 38 70 08 48 8B 00 41 8A 88 08 03 00 00 74 1C 84 C9 48 B9 00 00 00 00 00 00 F0 7F 41 0F 95 C6 49 C1 E6 3F 4C 0B F1 4C 89 30 EB 14 84 C9 41 0F 95 C6 41 C1 E6 1F 41 81 CE 00 00 80 7F 44 89 30 B8 03 00 00 00 E9 80 11 00 00 44 8B BD 50 01 00 00 45 85 FF 75 05 41 8B CE EB 1F 41 8D 4F FF 44 89 74 24 48 0F BD 84 8D 54 01 00 00 74 04 FF C0 EB 03 41 8B C6 C1 E1 05 03 C8 44 8B 4C 24 34 89 4C 24 40 3B 4C 24 54 0F 83 12 11 00 00 45 85 C9 0F 84 0C 11 00 00 48 8B 5C 24 78 45 8B EE 48 8B 7C 24 70 45 8B E6 44 89 B5 20 03 00 00 45 8B C6 48 3B DF 0F 84 8F 06 00 00 41 83 F8 09 0F 85 34 01 00 00 45 85 ED 0F 84 92 00 00 00 45 8B C6 45 8B CE 41 8B D1 41 FF C1 8B 84 95 24 03 00 00 48 69 C8 00 CA 9A 3B 41 8B C0 48 03 C8 4C 8B C1 89 8C 95 24 03 00 00 49 C1 E8 20 45 3B CD 75 D3 45 85 C0 74 53 83 BD 20 03 00 00 73 73 21 8B 85 20 03 00 00 44 89 84 85 24 03 00 00 44 8B AD 20 03 00 00 41 FF C5 44 89 AD 20 03 00 00 EB 30 45 33 C9 44 89 B5 90 08 00 00 4C 8D 85 94 08 00 00 44 89 B5 20 03 00 00 BA CC 01 00 00 48 8D 8D 24 03 00 00 E8 ?? ?? ?? ?? 44 8B AD 20 03 00 00 45 85 E4 0F 84 8A 00 00 00 41 8B D6 45 85 ED 74 29 8B CA FF C2 45 8B E4 8B 84 8D 24 03 00 00 4C 03 E0 44 89 A4 8D 24 03 00 00 44 8B AD 20 03 00 00 49 C1 EC 20 41 3B D5 75 D7 45 85 E4 74 54 41 83 FD 73 73 1E 41 8B C5 44 89 A4 85 24 03 00 00 44 8B AD 20 03 00 00 41 FF C5 44 89 AD 20 03 00 00 EB 30 45 33 C9 44 89 B5 90 08 00 00 4C 8D 85 94 08 00 00 44 89 B5 20 03 00 00 BA CC 01 00 00 48 8D 8D 24 03 00 00 E8 ?? ?? ?? ?? 44 8B AD 20 03 00 00 45 8B E6 45 8B C6 0F B6 03 43 8D 0C A4 41 FF C0 48 FF C3 44 8D 24 48 48 3B DF 0F 85 A8 FE FF FF 44 89 44 24 44 45 85 C0 0F 84 24 05 00 00 B8 CD CC CC CC 41 F7 E0 8B C2 C1 E8 03 89 44 24 48 8B C8 89 44 24 50 85 C0 0F 84 66 03 00 00 8B C1 BA 26 00 00 00 3B CA 0F 47 C2 33 D2 89 44 24 38 8D 78 FF 48 8D 05 ?? ?? ?? ?? 0F B6 8C B8 ?? ?? ?? ?? 0F B6 B4 B8 ?? ?? ?? ?? 8B D9 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D C4 06 00 00 89 85 C0 06 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D C4 06 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 8B BD C0 06 00 00 83 FF 01 0F 87 A6 00 00 00 8B 85 C4 06 00 00 85 C0 75 1D 44 89 B5 90 08 00 00 4C 8D 85 94 08 00 00 44 89 B5 20 03 00 00 45 33 C9 E9 79 02 00 00 83 F8 01 0F 84 88 02 00 00 45 85 ED 0F 84 7F 02 00 00 45 8B C6 45 8B CE 4C 8B D0 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 24 03 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 24 03 00 00 49 C1 E8 20 45 3B CD 75 D6 45 85 C0 0F 84 3C 02 00 00 83 BD 20 03 00 00 73 0F 83 FB 02 00 00 8B 85 20 03 00 00 44 89 84 85 24 03 00 00 44 8B AD 20 03 00 00 41 FF C5 44 89 AD 20 03 00 00 E9 12 02 00 00 4C 8D 85 C4 06 00 00 48 8D 8D 24 03 00 00 41 83 FD 01 77 76 8B 9D 24 03 00 00 4C 8B CF 49 C1 E1 02 BA CC 01 00 00 89 BD 20 03 00 00 E8 ?? ?? ?? ?? 85 DB 0F 84 2B FF FF FF 44 8B AD 20 03 00 00 83 FB 01 0F 84 C9 01 00 00 45 85 ED 0F 84 C0 01 00 00 45 8B C6 45 8B CE 44 8B D3 41 8B D1 41 FF C1 41 8B C0 8B 8C 95 24 03 00 00 49 0F AF CA 48 03 C8 4C 8B C1 89 8C 95 24 03 00 00 49 C1 E8 20 45 3B CD 75 D6 E9 3C FF FF FF 41 3B FD 48 8D 95 C4 06 00 00 45 8B D6 0F 92 C0 84 C0 41 8B C6 89 85 F0 04 00 00 48 0F 44 D1 48 8D 8D 24 03 00 00 49 0F 44 C8 48 89 54 24 68 45 8B C5 44 0F 45 C7 41 0F 45 FD 44 89 44 24 3C 45 85 C0 0F 84 14 01 00 00 4C 8B E9 41 8B CA 8B 34 8A 85 F6 75 20 44 3B D0 0F 85 }
	condition:
		$1
}

rule file_0_78_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@AEBVfloating_point_value@1@@Z"
		size = 175
		refs = "00a0 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1AEBVfloating_point_value@1@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 44 8A 4A 08 4C 8B D9 41 8A C1 33 C9 F6 D8 48 8B FA 41 8B 1B 4D 8D 53 08 41 8B 43 04 49 8D 53 08 45 1B C0 FF CB 41 83 E0 1D 4C 03 D0 41 83 C0 18 41 03 D8 49 3B D2 74 34 41 F6 D9 48 B8 00 00 00 FF FF FF 1F 00 4D 1B C0 4C 23 C0 49 81 C0 FF FF FF 00 49 3B C8 77 15 0F B6 02 83 EB 04 48 C1 E1 04 48 FF C2 48 03 C8 49 3B D2 75 E6 41 B1 01 EB 11 45 84 C9 74 11 8A 02 48 FF C2 84 C0 74 ED 45 32 C9 49 3B D2 75 EA 45 8A 83 08 03 00 00 8B D3 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_79_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 19
	strings:
		$1 = { 0F BD D1 74 08 B8 1F 00 00 00 2B C2 C3 B8 20 00 00 00 C3 }
	condition:
		$1
}

rule file_0_80_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 28
	strings:
		$1 = { 8A 41 08 48 B9 00 00 80 FF FF FF 0F 00 F6 D8 48 1B C0 48 23 C1 48 05 FF FF 7F 00 C3 }
	condition:
		$1
}

rule file_0_81_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z"
		size = 1229
		refs = "008c memcpy_s"
	strings:
		$1 = { 48 89 54 24 10 56 57 48 81 EC 48 02 00 00 44 8B 09 48 8B FA 48 8B F1 45 85 C9 75 0C 33 C0 48 81 C4 48 02 00 00 5F 5E C3 8B 02 85 C0 74 EE 48 89 9C 24 40 02 00 00 41 FF C9 48 89 AC 24 38 02 00 00 4C 89 A4 24 30 02 00 00 4C 89 B4 24 20 02 00 00 4C 89 BC 24 18 02 00 00 83 E8 01 0F 85 F2 00 00 00 44 8B 7A 04 45 33 F6 41 83 FF 01 75 28 8B 59 04 4C 8D 44 24 44 48 83 C1 04 44 89 36 45 33 C9 44 89 74 24 40 BA CC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E9 04 04 00 00 45 85 C9 75 39 8B 59 04 4C 8D 44 24 44 44 89 31 45 33 C9 48 83 C1 04 44 89 74 24 40 BA CC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 41 F7 F7 85 D2 89 56 04 41 0F 95 C6 44 89 36 E9 C6 03 00 00 41 BC FF FF FF FF 49 8B FE 49 8B EE 45 3B CC 74 2F 49 8B CF 0F 1F 80 00 00 00 00 42 8B 44 8E 04 33 D2 48 C1 E5 20 45 03 CC 48 0B C5 48 C1 E7 20 48 F7 F1 8B C0 48 8B EA 48 03 F8 45 3B CC 75 DB 45 33 C9 44 89 74 24 40 4C 8D 44 24 44 44 89 36 BA CC 01 00 00 48 8D 4E 04 E8 ?? ?? ?? ?? 48 8B CD 89 6E 04 48 C1 E9 20 48 8B C7 85 C9 89 4E 08 41 0F 95 C6 41 FF C6 44 89 36 E9 47 03 00 00 41 3B C1 76 07 33 C0 E9 3B 03 00 00 45 8B C1 49 63 D1 44 2B C0 4C 89 AC 24 28 02 00 00 49 63 D8 44 8D 68 01 45 8B D1 48 3B D3 7C 4F 48 83 C1 04 48 8D 04 9D 00 00 00 00 4C 8B DF 4C 2B D8 4C 2B DE 48 8D 0C 91 0F 1F 80 00 00 00 00 8B 01 41 39 04 0B 75 11 41 FF CA 48 FF CA 48 83 E9 04 48 3B D3 7D E9 EB 16 41 8B C2 41 2B C0 48 63 D0 49 63 C2 8B 4C 86 04 39 4C 97 04 73 03 41 FF C0 45 85 C0 75 07 33 C0 E9 B5 02 00 00 41 8D 45 FF 41 BB 20 00 00 00 44 8B 54 87 04 41 8D 45 FE 8B 5C 87 04 41 0F BD C2 89 9C 24 78 02 00 00 74 09 BA 1F 00 00 00 2B D0 EB 03 41 8B D3 44 2B DA 89 94 24 70 02 00 00 44 89 5C 24 20 85 D2 74 40 41 8B C2 8B D3 41 8B CB D3 EA 8B 8C 24 70 02 00 00 44 8B D2 D3 E0 8B D1 D3 E3 44 0B D0 89 9C 24 78 02 00 00 41 83 FD 02 76 16 41 8D 45 FD 41 8B CB 8B 44 87 04 D3 E8 0B D8 89 9C 24 78 02 00 00 45 33 F6 41 8D 58 FF 89 9C 24 60 02 00 00 45 8B FE 41 BC FF FF FF FF 85 DB 0F 88 D6 01 00 00 41 8B C3 42 8D 3C 2B 45 8B DA 4C 89 5C 24 30 48 89 44 24 38 41 3B F9 77 06 8B 6C BE 04 EB 03 41 8B EE 8D 47 FF 8B 4C 86 04 8D 47 FE 44 8B 54 86 04 48 89 4C 24 28 89 6C 24 2C 85 D2 74 32 48 8B 4C 24 38 45 8B C2 48 8B 44 24 28 49 D3 E8 8B CA 48 D3 E0 4C 0B C0 41 D3 E2 83 FF 03 72 17 8B 4C 24 20 8D 47 FD 8B 44 86 04 D3 E8 44 0B D0 EB 05 4C 8B 44 24 28 33 D2 49 8B C0 49 F7 F3 8B CA 4C 8B C0 49 3B C4 76 17 48 B8 01 00 00 00 FF FF FF FF 49 03 C0 4D 8B C4 49 0F AF C3 48 03 C8 49 3B CC 77 41 48 8B 5C 24 30 45 8B DA 44 8B 94 24 78 02 00 00 41 8B D2 49 0F AF D0 49 F7 DA 0F 1F 00 48 8B C1 48 C1 E0 20 49 0B C3 48 3B D0 76 0E 49 FF C8 49 03 D2 48 03 CB 49 3B CC 76 E3 8B 9C 24 60 02 00 00 4D 85 C0 0F 84 C0 00 00 00 49 8B CE 45 85 ED 74 58 4C 8B 8C 24 68 02 00 00 8B D3 49 83 C1 04 41 8B DD 66 66 0F 1F 84 00 00 00 00 00 41 8B 01 49 0F AF C0 48 03 C8 8B C2 44 8B D1 48 C1 E9 20 4C 8D 1C 86 8B 44 86 04 41 3B C2 73 03 48 FF C1 41 2B C2 FF C2 49 83 C1 04 41 89 43 04 48 83 EB 01 75 CA 8B 9C 24 60 02 00 00 8B C5 48 3B C1 73 4E 45 8B CE 45 85 ED 74 43 4C 8B 9C 24 68 02 00 00 44 8B D3 49 83 C3 04 41 8B DD 66 90 41 8B C2 4D 8D 5B 04 8B 54 86 04 48 8D 0C 86 41 8B 43 FC 41 FF C2 48 03 D0 41 8B C1 48 03 D0 4C 8B CA 89 51 04 49 C1 E9 20 48 83 EB 01 75 D1 49 FF C8 8B 9C 24 60 02 00 00 44 8D 4F FF 4C 8B 5C 24 30 FF CB 8B 94 24 70 02 00 00 FF CF 49 C1 E7 20 41 8B C0 4C 03 F8 89 9C 24 60 02 00 00 85 DB 0F 89 3E FE FF FF 41 FF C1 41 8B C9 44 3B 0E 73 0D 8B C1 FF C1 44 89 74 86 04 3B 0E 72 F3 44 89 0E 45 85 C9 74 1A 66 66 0F 1F 84 00 00 00 00 00 8B 0E FF C9 44 39 74 8E 04 75 05 44 01 26 75 F0 49 8B C7 4C 8B AC 24 28 02 00 00 4C 8B B4 24 20 02 00 00 4C 8B A4 24 30 02 00 00 48 8B AC 24 38 02 00 00 48 8B 9C 24 40 02 00 00 4C 8B BC 24 18 02 00 00 48 81 C4 48 02 00 00 5F 5E C3 }
	condition:
		$1
}

rule file_0_82_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 16
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
	strings:
		$1 = { 8A 41 08 F6 D8 1B C0 25 80 03 00 00 83 C0 7F C3 }
	condition:
		$1
}

rule file_0_85_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 34
	strings:
		$1 = { 8D 41 D0 83 F8 09 77 03 B0 01 C3 8D 41 9F 83 F8 19 76 F5 8D 41 BF 83 F8 19 76 ED 83 F9 5F 0F 94 C0 C3 }
	condition:
		$1
}

rule file_0_87_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQEAU__crt_locale_pointers@@@Z"
		size = 84
		refs = "0026 _isctype_l 0039 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B6 F9 48 85 D2 74 26 48 8B 02 83 78 08 01 7E 11 4C 8B C2 8B CF BA 08 00 00 00 E8 ?? ?? ?? ?? EB 18 48 8B 00 48 63 CF 0F B7 04 48 EB 09 E8 ?? ?? ?? ?? 0F B7 04 78 83 E0 08 48 8B 5C 24 30 85 C0 0F 95 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_88_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPEAU__crt_locale_pointers@@@Z"
		size = 24
		refs = "000a iswctype"
	strings:
		$1 = { 48 83 EC 28 BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_89_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 25
	strings:
		$1 = { 33 C0 89 51 04 48 C1 EA 20 85 D2 89 51 08 0F 95 C0 FF C0 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_0_92_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QEBAHXZ"
		size = 16
	strings:
		$1 = { 8A 41 08 F6 D8 1B C0 25 80 FC FF FF 83 C0 82 C3 }
	condition:
		$1
}

rule file_0_93_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@AEBU21@@Z"
		size = 876
		refs = "000e __security_cookie 004f memcpy_s 0356 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC 20 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 01 00 00 48 8B F1 8B 0A 83 F9 01 0F 87 B8 00 00 00 8B 42 04 85 C0 75 28 45 33 D2 48 8D 4E 04 45 33 C9 44 89 54 24 20 4C 8D 44 24 24 44 89 16 BA CC 01 00 00 E8 ?? ?? ?? ?? B0 01 E9 F0 02 00 00 83 F8 01 74 F4 44 8B 1E 45 85 DB 74 EC 45 33 D2 48 8D 5E 04 45 8B C2 45 8B CA 48 8B F8 66 0F 1F 84 00 00 00 00 00 41 8B C1 41 FF C1 8B 14 83 48 8D 0C 83 41 8B C0 48 0F AF D7 48 03 D0 4C 8B C2 89 11 49 C1 E8 20 45 3B CB 75 DB 45 85 C0 74 A9 8B 06 83 F8 73 73 0E 44 89 44 86 04 B0 01 FF 06 E9 8B 02 00 00 45 33 C9 44 89 54 24 20 4C 8D 44 24 24 44 89 16 BA CC 01 00 00 48 8B CB E8 ?? ?? ?? ?? 32 C0 E9 67 02 00 00 4C 89 B4 24 08 02 00 00 44 8B 36 41 83 FE 01 0F 87 CB 00 00 00 8B 7E 04 48 8D 5E 04 89 0E 4C 8D 42 04 44 8B 0A 48 8B CB 49 C1 E1 02 BA CC 01 00 00 E8 ?? ?? ?? ?? 85 FF 75 27 45 33 D2 4C 8D 44 24 24 45 33 C9 44 89 54 24 20 BA CC 01 00 00 44 89 16 48 8B CB E8 ?? ?? ?? ?? B0 01 E9 FE 01 00 00 83 FF 01 74 F4 44 8B 1E 45 85 DB 74 EC 45 33 D2 45 8B C2 45 8B CA 66 0F 1F 44 00 00 41 8B C1 41 FF C1 8B 14 83 48 8D 0C 83 41 8B C0 48 0F AF D7 48 03 D0 4C 8B C2 89 11 49 C1 E8 20 45 3B CB 75 DB 45 85 C0 74 B3 8B 06 83 F8 73 73 0E 44 89 44 86 04 B0 01 FF 06 E9 A3 01 00 00 45 33 C9 44 89 54 24 20 4C 8D 44 24 24 44 89 16 BA CC 01 00 00 48 8B CB E8 ?? ?? ?? ?? 32 C0 E9 7F 01 00 00 41 3B CE 4C 89 A4 24 18 02 00 00 4C 89 AC 24 10 02 00 00 0F 92 C0 4C 89 BC 24 00 02 00 00 84 C0 48 8D 46 04 74 0C 4C 8D 6A 04 4C 8B F8 44 8B E1 EB 0D 45 8B E6 4C 8D 7A 04 44 8B F1 4C 8B E8 45 33 D2 48 89 AC 24 50 02 00 00 41 8B CA 41 8B DA 89 4C 24 20 45 85 E4 0F 84 E4 00 00 00 8B C3 41 8B 6C 85 00 85 ED 75 19 3B D9 0F 85 C6 00 00 00 8D 4B 01 44 89 54 84 24 89 4C 24 20 E9 B5 00 00 00 45 8B DA 8B C3 45 85 F6 0F 84 A2 00 00 00 8B FB F7 DF 83 F8 73 74 51 3B C1 75 13 8B C8 8D 53 01 44 89 54 8C 24 8D 0C 07 03 D1 89 54 24 20 8B C8 4C 8D 4C 24 24 4D 8D 0C 89 8D 0C 07 FF C0 45 8B 04 8F 41 8B CB 4C 0F AF C5 4C 03 C1 41 8B 09 4C 03 C1 8D 0C 07 4D 8B D8 45 89 01 49 C1 EB 20 41 3B CE 8B 4C 24 20 75 AA 45 85 DB 74 43 83 F8 73 0F 84 AB 00 00 00 3B C1 75 0E 8B C8 44 89 54 8C 24 8D 48 01 89 4C 24 20 8B C8 48 8D 54 24 24 48 8D 14 8A 45 8B C3 8B 0A FF C0 4C 03 C1 44 89 02 8B 4C 24 20 49 C1 E8 20 45 8B D8 45 85 C0 75 BD 83 F8 73 74 6C FF C3 41 3B DC 0F 85 1C FF FF FF 44 8B C9 4C 8D 44 24 24 89 0E BA CC 01 00 00 49 C1 E1 02 48 8D 4E 04 E8 ?? ?? ?? ?? B0 01 48 8B AC 24 50 02 00 00 4C 8B AC 24 10 02 00 00 4C 8B A4 24 18 02 00 00 4C 8B BC 24 00 02 00 00 4C 8B B4 24 08 02 00 00 48 8B 8C 24 F0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 20 02 00 00 5F 5E 5B C3 44 89 16 32 C0 EB B6 }
	condition:
		$1
}

rule file_0_94_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 253
		refs = "002b memcpy_s"
	strings:
		$1 = { 48 81 EC F8 01 00 00 4C 8B C1 85 D2 75 2B 45 33 D2 4C 8D 44 24 24 44 89 11 45 33 C9 48 83 C1 04 44 89 54 24 20 BA CC 01 00 00 E8 ?? ?? ?? ?? B0 01 48 81 C4 F8 01 00 00 C3 83 FA 01 74 F1 48 89 9C 24 00 02 00 00 8B 19 85 DB 75 12 B0 01 48 8B 9C 24 00 02 00 00 48 81 C4 F8 01 00 00 C3 48 89 B4 24 08 02 00 00 45 33 D2 48 89 BC 24 F0 01 00 00 45 8B CA 48 8D 79 04 8B F2 45 8B DA 0F 1F 00 41 8B C3 41 FF C3 8B 14 87 48 8D 0C 87 41 8B C1 48 0F AF D6 48 03 D0 4C 8B CA 89 11 49 C1 E9 20 44 3B DB 75 DB 48 8B B4 24 08 02 00 00 45 85 C9 74 10 41 8B 00 83 F8 73 73 22 45 89 4C 80 04 41 FF 00 B0 01 48 8B BC 24 F0 01 00 00 48 8B 9C 24 00 02 00 00 48 81 C4 F8 01 00 00 C3 45 89 10 45 33 C9 4C 8D 44 24 24 44 89 54 24 20 BA CC 01 00 00 48 8B CF E8 ?? ?? ?? ?? 32 C0 EB C7 }
	condition:
		$1
}

rule file_0_96_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 1462
		refs = "0022 __security_cookie 003f __ImageBase 008a ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 00b2 memset 00ce ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 00d6 memcpy 017c memcpy_s 01b0 _errno 01ed _invalid_parameter_noinfo 04bb ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 04ee __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 10 FD FF FF 48 81 EC F0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 02 00 00 B8 CD CC CC CC 89 54 24 2C 44 8B C2 4C 8D 25 ?? ?? ?? ?? F7 E2 45 33 C9 4C 8B F1 8B C2 C1 E8 03 89 44 24 28 44 8B F8 89 44 24 20 85 C0 0F 84 46 04 00 00 B8 26 00 00 00 0F 1F 84 00 00 00 00 00 41 83 FF 26 45 8B EF 44 0F 47 E8 33 D2 44 89 6C 24 24 41 8D 45 FF 48 8D 3C 85 ?? ?? ?? ?? 42 0F B6 4C 27 02 42 0F B6 74 27 03 48 8D 1C 8D 00 00 00 00 8D 04 0E 4C 8B C3 48 8D 4C 24 44 89 44 24 40 E8 ?? ?? ?? ?? 42 0F B7 04 27 48 8D 4C 24 44 48 C1 E6 02 48 03 CB 4C 8B C6 48 8D 14 85 ?? ?? ?? ?? 49 03 D4 E8 ?? ?? ?? ?? 8B 4C 24 40 83 F9 01 0F 87 A0 00 00 00 8B 44 24 44 85 C0 75 0A 33 F6 41 89 36 E9 87 03 00 00 83 F8 01 0F 84 7E 03 00 00 45 8B 16 45 85 D2 0F 84 72 03 00 00 33 F6 4D 8D 5E 04 44 8B C6 44 8B CE 48 8B D8 0F 1F 00 41 8B C1 41 FF C1 41 8B 14 83 49 8D 0C 83 41 8B C0 48 0F AF D3 48 03 D0 4C 8B C2 89 11 49 C1 E8 20 45 3B CA 75 DA 45 85 C0 0F 84 31 03 00 00 41 8B 06 83 F8 73 73 0D 45 89 44 86 04 41 FF 06 E9 1C 03 00 00 45 33 C9 89 74 24 40 4C 8D 44 24 44 41 89 36 BA CC 01 00 00 49 8B CB E8 ?? ?? ?? ?? 32 C0 E9 FB 02 00 00 41 8B 36 83 FE 01 0F 87 13 01 00 00 41 8B 7E 04 49 8D 5E 04 4C 8B C1 41 89 0E 49 C1 E0 02 4D 85 C0 74 47 48 85 DB 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 30 48 8B CB 49 81 F8 CC 01 00 00 77 0C 48 8D 54 24 44 E8 ?? ?? ?? ?? EB 1D 33 D2 41 B8 CC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 85 FF 75 23 33 F6 4C 8D 44 24 44 45 33 C9 89 74 24 40 BA CC 01 00 00 41 89 36 48 8B CB E8 ?? ?? ?? ?? E9 68 02 00 00 83 FF 01 0F 84 5F 02 00 00 45 8B 16 45 85 D2 0F 84 53 02 00 00 33 F6 4C 8B DF 44 8B C6 44 8B CE 0F 1F 84 00 00 00 00 00 41 8B C1 41 FF C1 8B 14 83 48 8D 0C 83 41 8B C0 49 0F AF D3 48 03 D0 4C 8B C2 89 11 49 C1 E8 20 45 3B CA 75 DB 45 85 C0 0F 84 12 02 00 00 41 8B 06 83 F8 73 73 0D 45 89 44 86 04 41 FF 06 E9 FD 01 00 00 45 33 C9 89 74 24 40 4C 8D 44 24 44 41 89 36 BA CC 01 00 00 48 8B CB E8 ?? ?? ?? ?? 32 C0 E9 DC 01 00 00 3B CE 4D 8D 6E 04 0F 92 C0 84 C0 74 0D 48 8D 54 24 44 4D 8B FD 44 8B E1 EB 0D 44 8B E6 4C 8D 7C 24 44 8B F1 49 8B D5 45 33 C9 48 89 54 24 30 41 8B C9 41 8B D9 89 8D 10 01 00 00 45 85 E4 0F 84 15 01 00 00 66 0F 1F 44 00 00 8B C3 8B 3C 82 85 FF 75 1E 3B D9 0F 85 F3 00 00 00 8D 4B 01 44 89 8C 85 14 01 00 00 89 8D 10 01 00 00 E9 DD 00 00 00 45 8B D1 8B C3 85 F6 0F 84 C6 00 00 00 44 8B DB 41 F7 DB 66 0F 1F 44 00 00 83 F8 73 74 5F 3B C1 75 19 8B C8 8D 53 01 44 89 8C 8D 14 01 00 00 41 8D 0C 03 03 D1 89 95 10 01 00 00 8B C8 4C 8D 8D 14 01 00 00 4D 8D 0C 89 41 8D 0C 03 FF C0 45 8B 04 8F 41 8B 09 4C 0F AF C7 4C 03 C1 41 8B CA 4C 03 C1 41 8D 0C 03 45 89 01 4D 8B D0 49 C1 EA 20 45 33 C9 3B CE 8B 8D 10 01 00 00 75 9C 45 85 D2 74 51 0F 1F 80 00 00 00 00 83 F8 73 74 7B 3B C1 75 13 8B C8 44 89 8C 8D 14 01 00 00 8D 48 01 89 8D 10 01 00 00 8B C8 48 8D 95 14 01 00 00 44 8B 04 8A 48 8D 14 8A 41 8B CA FF C0 4C 03 C1 44 89 02 8B 8D 10 01 00 00 49 C1 E8 20 45 8B D0 45 85 C0 75 B6 83 F8 73 74 31 48 8B 54 24 30 FF C3 41 3B DC 0F 85 F1 FE FF FF 44 8B C1 49 C1 E0 02 41 89 0E 4D 85 C0 74 61 4D 85 ED 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 4A 44 8B 7C 24 20 4C 8D 25 ?? ?? ?? ?? 44 8B 6C 24 24 32 C0 45 89 0E EB 4D 49 8B CD 49 81 F8 CC 01 00 00 77 0E 48 8D 95 14 01 00 00 E8 ?? ?? ?? ?? EB 1D 33 D2 41 B8 CC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B 7C 24 20 4C 8D 25 ?? ?? ?? ?? 44 8B 6C 24 24 B0 01 45 33 C9 84 C0 0F 84 80 00 00 00 45 2B FD B8 26 00 00 00 44 89 7C 24 20 0F 85 D0 FB FF FF 8B 44 24 28 44 8B 44 24 2C 8D 04 80 03 C0 44 2B C0 74 2E 41 8D 40 FF 41 8B 84 84 ?? ?? ?? ?? 85 C0 75 6C 44 89 4C 24 40 49 8D 4E 04 45 89 0E 4C 8D 44 24 44 45 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? B0 01 48 8B 8D E0 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 04 00 00 48 81 C4 F0 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 89 4C 24 40 49 8D 4E 04 45 89 0E 4C 8D 44 24 44 45 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? 32 C0 EB B4 83 F8 01 74 AD 45 8B 16 45 85 D2 74 A5 4D 8D 5E 04 45 8B C1 48 8B D8 66 66 0F 1F 84 00 00 00 00 00 43 8B 14 8B 4B 8D 0C 8B 41 8B C0 41 FF C1 48 0F AF D3 48 03 D0 4C 8B C2 89 11 49 C1 E8 20 45 3B CA 75 DD 45 85 C0 0F 84 65 FF FF FF 41 8B 06 83 F8 73 73 0D 45 89 44 86 04 41 FF 06 E9 50 FF FF FF 33 F6 4C 8D 44 24 44 45 33 C9 89 74 24 40 BA CC 01 00 00 41 89 36 49 8B CB E8 ?? ?? ?? ?? 32 C0 E9 2D FF FF FF }
	condition:
		$1
}

rule file_0_97_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQEAIII@Z"
		size = 73
	strings:
		$1 = { 48 89 5C 24 08 33 C0 44 8B D2 48 8B D9 44 8B C8 85 D2 74 2F 45 8B D8 66 0F 1F 84 00 00 00 00 00 45 8B C1 41 FF C1 8B C8 42 8B 14 83 49 0F AF D3 48 03 D1 48 8B C2 42 89 14 83 48 C1 E8 20 45 3B CA 75 DD 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_0_98_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QEBA_KXZ"
		size = 28
	strings:
		$1 = { 8A 41 08 48 B9 00 00 00 FF FF FF 1F 00 F6 D8 48 1B C0 48 23 C1 48 05 FF FF FF 00 C3 }
	condition:
		$1
}

rule file_0_99_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 46
	strings:
		$1 = { 8D 41 D0 3C 09 77 07 0F BE C1 83 E8 30 C3 8D 41 9F 3C 19 77 07 0F BE C1 83 E8 57 C3 8D 41 BF 3C 19 77 07 0F BE C1 83 E8 37 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_0_100_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 470
	strings:
		$1 = { BA 30 00 00 00 66 3B CA 0F 82 9F 01 00 00 66 83 F9 3A 73 0A 0F B7 C1 2B C2 E9 8A 01 00 00 BA 10 FF 00 00 66 3B CA 0F 83 6B 01 00 00 BA 60 06 00 00 66 3B CA 0F 82 73 01 00 00 8D 42 0A 66 3B C8 72 D2 BA F0 06 00 00 66 3B CA 0F 82 5D 01 00 00 8D 42 0A 66 3B C8 72 BC BA 66 09 00 00 66 3B CA 0F 82 47 01 00 00 8D 42 0A 66 3B C8 72 A6 8D 50 76 66 3B CA 0F 82 33 01 00 00 8D 42 0A 66 3B C8 72 92 8D 50 76 66 3B CA 0F 82 1F 01 00 00 8D 42 0A 66 3B C8 0F 82 7A FF FF FF 8D 50 76 66 3B CA 0F 82 07 01 00 00 8D 42 0A 66 3B C8 0F 82 62 FF FF FF 8D 50 76 66 3B CA 0F 82 EF 00 00 00 8D 42 0A 66 3B C8 0F 82 4A FF FF FF BA 66 0C 00 00 66 3B CA 0F 82 D5 00 00 00 8D 42 0A 66 3B C8 0F 82 30 FF FF FF 8D 50 76 66 3B CA 0F 82 BD 00 00 00 8D 42 0A 66 3B C8 0F 82 18 FF FF FF 8D 50 76 66 3B CA 0F 82 A5 00 00 00 8D 42 0A 66 3B C8 0F 82 00 FF FF FF BA 50 0E 00 00 66 3B CA 0F 82 8B 00 00 00 8D 42 0A 66 3B C8 0F 82 E6 FE FF FF 8D 50 76 66 3B CA 72 77 8D 42 0A 66 3B C8 0F 82 D2 FE FF FF 8D 50 46 66 3B CA 72 63 8D 42 0A 66 3B C8 0F 82 BE FE FF FF BA 40 10 00 00 66 3B CA 72 4D 8D 42 0A 66 3B C8 0F 82 A8 FE FF FF BA E0 17 00 00 66 3B CA 72 37 8D 42 0A 66 3B C8 0F 82 92 FE FF FF 8D 50 26 66 3B CA 72 23 8D 42 0A 66 3B C8 73 1B E9 7D FE FF FF B8 1A FF 00 00 66 3B C8 0F 82 6F FE FF FF 83 C8 FF 83 F8 FF 75 28 8D 41 BF 66 83 F8 19 76 0D 8D 41 9F 66 83 F8 19 76 04 83 C8 FF C3 8D 41 9F 66 83 F8 19 0F B7 C1 77 03 83 E8 20 83 C0 C9 C3 }
	condition:
		$1
}

rule file_0_103_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 202
		refs = "006b fegetround"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 45 8B F0 48 8B FA 40 8A E9 41 83 F8 40 72 04 33 C0 EB 7B 4C 0F A3 F2 B8 01 00 00 00 41 8D 4E FF 41 0F 92 C4 48 D3 E0 48 85 C2 41 0F 95 C7 33 DB 45 84 C9 74 0B 48 FF C8 40 8A F3 48 85 C2 74 03 40 B6 01 45 84 FF 75 05 40 84 F6 74 35 E8 ?? ?? ?? ?? 85 C0 74 1B 3D 00 01 00 00 74 0F 3D 00 02 00 00 75 1E 40 84 ED 0F 94 C3 EB 16 40 8A DD EB 11 45 84 FF 74 0C 40 84 F6 75 05 45 84 E4 74 02 B3 01 41 8B CE 0F B6 C3 48 D3 EF 48 03 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_0_106_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAEAUbig_integer@1@I@Z"
		size = 364
		refs = "014e memcpy_s"
	strings:
		$1 = { 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 81 EC F0 01 00 00 4C 8B C1 8B FA 83 E7 1F 44 8B DA 41 B9 20 00 00 00 41 C1 EB 05 45 8B F1 BE 01 00 00 00 41 8B 10 44 2B F7 41 8B CE 45 33 E4 48 D3 E6 FF CE 8D 42 FF 44 8B FE 8B C8 41 F7 D7 41 0F BD 44 80 04 74 04 FF C0 EB 03 41 8B C4 44 2B C8 42 8D 04 1A 41 3B F9 40 0F 97 C5 83 F8 73 0F 97 C2 83 F8 73 75 09 40 84 ED 74 04 B1 01 EB 02 32 C9 84 D2 0F 85 AC 00 00 00 84 C9 0F 85 A4 00 00 00 48 89 9C 24 20 02 00 00 BB 72 00 00 00 3B C3 0F 42 D8 44 8B D3 83 FB FF 74 57 66 0F 1F 44 00 00 45 3B D3 72 4C 41 8B 10 41 8B C2 41 2B C3 8D 48 FF 3B C2 73 07 45 8B 4C 80 04 EB 03 45 8B CC 3B CA 73 07 41 8B 54 88 04 EB 03 41 8B D4 41 23 D7 41 8B C2 41 8B CE 44 23 CE D3 EA 41 FF CA 8B CF 41 D3 E1 41 0B D1 41 89 54 80 04 41 83 FA FF 75 AF 41 8B C4 45 85 DB 74 15 0F 1F 80 00 00 00 00 8B C8 FF C0 45 89 64 88 04 41 3B C3 75 F2 40 84 ED 74 02 FF C3 41 89 18 B0 01 48 8B 9C 24 20 02 00 00 EB 20 45 89 20 49 8D 48 04 4C 8D 44 24 24 44 89 64 24 20 45 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? 32 C0 48 8B AC 24 30 02 00 00 48 81 C4 F0 01 00 00 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_0_107_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 138
		refs = "0036 fegetround"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 41 8A F1 41 8A E8 44 8A F2 40 8A F9 45 84 C0 75 09 45 84 C9 75 04 32 C0 EB 3A E8 ?? ?? ?? ?? 85 C0 74 1B 3D 00 01 00 00 74 0F 3D 00 02 00 00 75 21 40 84 FF 0F 94 C0 EB 1B 40 8A C7 EB 16 40 84 ED 74 0F 40 84 F6 75 05 45 84 F6 74 05 BB 01 00 00 00 8A C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_108_0 {
	meta:
		name = "?unget@?$c_string_character_source@D@__crt_strtox@@QEAAXD@Z"
		size = 39
		refs = "0013 _errno 001e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 FF 09 48 8B 01 84 D2 74 14 38 10 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_109_0 {
	meta:
		name = "?unget@?$c_string_character_source@_W@__crt_strtox@@QEAAX_W@Z"
		size = 42
		refs = "0016 _errno 0021 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 01 FE 48 8B 01 66 85 D2 74 15 66 39 10 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_110_0 {
	meta:
		name = "?validate@?$c_string_character_source@D@__crt_strtox@@QEBA_NXZ"
		size = 37
		refs = "000b _errno 0016 _invalid_parameter_noinfo"
		altNames = "?validate@?$c_string_character_source@_W@__crt_strtox@@QEBA_NXZ ?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QEBA_NXZ ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ ?validate@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NXZ ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_NXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 39 00 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_112_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 405
	strings:
		$1 = { BA 30 00 00 00 66 3B CA 0F 82 83 01 00 00 66 83 F9 3A 73 06 0F B7 C1 2B C2 C3 BA 10 FF 00 00 66 3B CA 0F 83 5B 01 00 00 BA 60 06 00 00 66 3B CA 0F 82 5B 01 00 00 8D 42 0A 66 3B C8 72 D6 BA F0 06 00 00 66 3B CA 0F 82 45 01 00 00 8D 42 0A 66 3B C8 72 C0 BA 66 09 00 00 66 3B CA 0F 82 2F 01 00 00 8D 42 0A 66 3B C8 72 AA 8D 50 76 66 3B CA 0F 82 1B 01 00 00 8D 42 0A 66 3B C8 72 96 8D 50 76 66 3B CA 0F 82 07 01 00 00 8D 42 0A 66 3B C8 72 82 8D 50 76 66 3B CA 0F 82 F3 00 00 00 8D 42 0A 66 3B C8 0F 82 6A FF FF FF 8D 50 76 66 3B CA 0F 82 DB 00 00 00 8D 42 0A 66 3B C8 0F 82 52 FF FF FF BA 66 0C 00 00 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 0F 82 38 FF FF FF 8D 50 76 66 3B CA 0F 82 A9 00 00 00 8D 42 0A 66 3B C8 0F 82 20 FF FF FF 8D 50 76 66 3B CA 0F 82 91 00 00 00 8D 42 0A 66 3B C8 0F 82 08 FF FF FF BA 50 0E 00 00 66 3B CA 72 7B 8D 42 0A 66 3B C8 0F 82 F2 FE FF FF 8D 50 76 66 3B CA 72 67 8D 42 0A 66 3B C8 0F 82 DE FE FF FF 8D 50 46 66 3B CA 72 53 8D 42 0A 66 3B C8 0F 82 CA FE FF FF BA 40 10 00 00 66 3B CA 72 3D 8D 42 0A 66 3B C8 0F 82 B4 FE FF FF BA E0 17 00 00 66 3B CA 72 27 8D 42 0A 66 3B C8 0F 82 9E FE FF FF 8D 50 26 66 3B CA 72 13 8D 42 0A EB 05 B8 1A FF 00 00 66 3B C8 0F 82 83 FE FF FF 83 C8 FF C3 }
	condition:
		$1
}

rule file_0_120_0 {
	meta:
		name = "_chvalidchk_l"
		size = 56
		refs = "0023 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 8B DA 4D 85 C0 74 0E 49 8B 00 48 8B 08 0F B7 04 79 23 C2 EB 0B E8 ?? ?? ?? ?? 0F B7 04 78 23 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_121_0 {
	meta:
		name = "_ischartype_l"
		size = 71
		refs = "0020 _isctype_l 0032 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 8B DA 4D 85 C0 74 1D 49 8B 00 83 78 08 01 7E 09 8B CF E8 ?? ?? ?? ?? EB 16 48 8B 00 0F B7 04 78 23 C2 EB 0B E8 ?? ?? ?? ?? 0F B7 04 78 23 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_125_0 {
	meta:
		name = "memcpy_s"
		size = 135
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 004c memcpy 0058 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D9 49 8B F0 48 8B FA 4D 85 C9 75 04 33 C0 EB 56 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3C 4D 85 C0 74 12 48 3B D3 72 0D 4C 8B C3 48 8B D6 E8 ?? ?? ?? ?? EB CB 4C 8B C2 33 D2 E8 ?? ?? ?? ?? 48 85 F6 74 C5 48 3B FB 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB BE B8 16 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@H@@YAHH@Z"
		size = 75
		altNames = "??$__crt_time_elapsed_leap_years@J@@YAJJ@Z"
	strings:
		$1 = { 44 8D 41 FF 41 BA 1F 85 EB 51 81 C1 2B 01 00 00 41 8B C2 F7 E9 41 8B C2 44 8B CA 41 F7 E8 41 C1 F9 07 41 8B C0 C1 FA 05 41 8B C9 C1 E9 1F 44 03 C9 8B CA C1 E9 1F 03 D1 44 2B CA 99 83 E2 03 03 C2 C1 F8 02 83 C0 EF 41 03 C1 C3 }
	condition:
		$1
}

rule file_1_2_0 {
	meta:
		name = "??$__crt_time_is_leap_year@H@@YA_NH@Z"
		size = 90
		altNames = "??$__crt_time_is_leap_year@J@@YA_NJ@Z"
	strings:
		$1 = { 8B C1 44 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 41 B9 1F 85 EB 51 85 C0 75 1B 41 8B C1 41 F7 E8 C1 FA 05 8B CA C1 E9 1F 03 D1 6B D2 64 44 3B C2 74 03 B0 01 C3 41 8D 88 6C 07 00 00 41 8B C1 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 0F 94 C0 C3 }
	condition:
		$1
}

rule file_1_3_0 {
	meta:
		name = "??$common_gmtime@J@@YAPEAUtm@@QEBJ@Z"
		size = 69
		refs = "0013 __getgmtimebuf 0028 ??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_4_0 {
	meta:
		name = "??$common_gmtime@_J@@YAPEAUtm@@QEB_J@Z"
		size = 69
		refs = "0013 __getgmtimebuf 0028 ??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "??$common_localtime@J@@YAPEAUtm@@QEBJ@Z"
		size = 69
		refs = "0013 __getgmtimebuf 0028 ??$common_localtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_1_0 {
	meta:
		name = "??$common_localtime@_J@@YAPEAUtm@@QEB_J@Z"
		size = 69
		refs = "0013 __getgmtimebuf 0028 ??$common_localtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_5_0 {
	meta:
		name = "??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
		size = 422
		refs = "0016 _errno 0022 _invalid_parameter_noinfo 0039 memset 00cb _days 00f6 _lpdays"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 6E 01 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D3 4C 63 07 41 81 F8 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CA 48 B9 CF E1 58 93 07 00 00 00 4C 3B C1 7F E3 B8 79 2D 03 11 32 C9 41 F7 E8 41 BB 01 00 00 00 C1 FA 17 8B C2 C1 E8 1F 03 D0 69 C2 80 E0 79 F8 8D 14 95 46 00 00 00 44 03 C0 B8 80 33 E1 01 44 3B C0 7C 26 41 03 D3 44 2B C0 44 3B C0 7C 1B 44 2B C0 41 03 D3 B8 00 85 E2 01 44 3B C0 7C 08 41 03 D3 44 2B C0 EB 03 41 8A CB 89 53 14 4C 8D 15 ?? ?? ?? ?? B8 07 45 2E C2 45 8B CB 41 F7 E8 41 03 D0 C1 FA 10 8B C2 C1 E8 1F 03 D0 69 C2 80 AE FE FF 89 53 1C 44 03 C0 48 8D 05 ?? ?? ?? ?? 84 C9 4C 0F 45 D0 49 8D 4A 04 EB 07 45 03 CB 48 8D 49 04 39 11 7C F5 45 2B CB B8 07 45 2E C2 44 89 4B 10 49 63 C9 41 2B 14 8A 89 53 0C F7 2F B8 93 24 49 92 03 17 83 63 20 00 C1 FA 10 8B CA 83 C2 04 C1 E9 1F 03 CA F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 B8 C5 B3 A2 91 41 F7 E8 89 4B 18 41 03 D0 C1 FA 0B 8B C2 C1 E8 1F 03 D0 69 C2 F0 F1 FF FF 89 53 08 44 03 C0 B8 89 88 88 88 41 F7 E8 41 03 D0 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 3C 89 53 04 44 2B C0 44 89 03 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_6_0 {
	meta:
		name = "??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
		size = 403
		refs = "0016 _errno 0022 _invalid_parameter_noinfo 0039 memset 007f ?compute_year@@YAHAEA_JAEA_N@Z 008b _days 00c3 _lpdays"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 5B 01 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D3 48 8B 07 48 89 44 24 40 48 3D 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB C6 48 B9 CF E1 58 93 07 00 00 00 48 3B C1 7F E3 48 8D 54 24 30 C6 44 24 30 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 44 24 40 4C 8D 15 ?? ?? ?? ?? 89 43 14 49 BB 57 29 51 CE A0 C8 45 18 49 8B C3 41 B9 01 00 00 00 49 F7 E8 48 C1 FA 0D 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 48 69 C8 80 AE FE FF 48 8D 05 ?? ?? ?? ?? 89 53 1C 4C 03 C1 80 7C 24 30 00 4C 0F 45 D0 49 8D 4A 04 EB 07 41 FF C1 48 8D 49 04 39 11 7C F5 41 FF C9 49 8B C3 49 63 C9 44 89 4B 10 41 2B 14 8A 89 53 0C 48 F7 2F 83 63 20 00 48 8B CA 48 C1 F9 0D 48 8B C1 48 C1 E8 3F 48 03 C8 B8 93 24 49 92 83 C1 04 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 48 B8 05 7C F3 6A E2 59 D1 48 49 F7 E8 89 4B 18 48 C1 FA 0A 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 48 69 C8 F0 F1 FF FF 89 53 08 48 B8 89 88 88 88 88 88 88 88 4C 03 C1 49 F7 E8 49 03 D0 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 6B C2 3C 89 53 04 44 2B C0 44 89 03 33 C0 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 27
		refs = "000d _free_base"
		altNames = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAA@XZ ??1?$scanset_buffer@_W@__crt_stdio_input@@QEAA@XZ ??1?$scanset_storage@$01@__crt_stdio_input@@QEAA@XZ ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@PEAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_50_10_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_50_11_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAA@XZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_517_71_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAXXZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_571_25_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QEAAXXZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_9_0 {
	meta:
		name = "?compute_year@@YAHAEAJAEA_N@Z"
		size = 104
	strings:
		$1 = { 44 8B 01 4C 8B CA B8 79 2D 03 11 41 BA 80 33 E1 01 41 F7 E8 C1 FA 17 8B C2 C1 E8 1F 03 D0 69 C2 80 1F 86 07 8D 14 95 46 00 00 00 44 2B C0 44 89 01 45 3B C2 7C 2F 41 8D 80 80 CC 1E FE FF C2 89 01 41 3B C2 7C 1F 05 80 CC 1E FE FF C2 89 01 3D 00 85 E2 01 7C 0B FF C2 05 00 7B 1D FE 89 01 EB 04 41 C6 01 01 8B C2 C3 }
	condition:
		$1
}

rule file_1_10_0 {
	meta:
		name = "?compute_year@@YAHAEA_JAEA_N@Z"
		size = 226
		refs = "00b1 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B F2 41 BA 1F 85 EB 51 48 B8 B9 70 12 CB F5 48 31 88 48 F7 29 48 8B DA 48 03 19 48 C1 FB 18 48 8B C3 48 C1 E8 3F 48 03 D8 41 8B C2 83 C3 46 8D 8B 2B 01 00 00 F7 E9 41 8B C2 44 8D 4B FF 44 8B C2 41 F7 E9 41 C1 F8 07 C1 FA 05 41 8B C8 8B C2 C1 E9 1F C1 E8 1F 44 03 C1 03 D0 41 8B C1 44 2B C2 99 83 E2 03 8D 0C 02 C1 F9 02 8D 43 BA 83 C1 EF 41 03 C8 48 63 D1 48 63 C8 48 69 C1 93 FE FF FF 48 2B C2 48 69 C0 80 51 01 00 48 01 07 79 1F 48 81 07 80 33 E1 01 41 8B C9 41 8B D9 E8 ?? ?? ?? ?? 84 C0 74 17 48 81 07 80 51 01 00 EB 0B 8B CB E8 ?? ?? ?? ?? 84 C0 74 03 C6 06 01 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_13_0 {
	meta:
		name = "__getgmtimebuf"
		size = 75
		refs = "0007 __acrt_getptd_noexit 0020 _malloc_base 002b _free_base 0039 _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 25 48 8B 40 68 48 85 C0 75 29 8D 48 24 E8 ?? ?? ?? ?? 33 C9 48 89 43 68 E8 ?? ?? ?? ?? 48 8B 43 68 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_14_0 {
	meta:
		name = "_gmtime32"
		size = 72
		refs = "0013 __getgmtimebuf 0028 ??$common_gmtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 74 14 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 FB 48 8B DF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_16_0 {
	meta:
		name = "_gmtime64"
		size = 72
		refs = "0013 __getgmtimebuf 0028 ??$common_gmtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 74 14 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 FB 48 8B DF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_11_0 {
	meta:
		name = "_localtime32"
		size = 72
		refs = "0013 __getgmtimebuf 0028 ??$common_localtime_s@J@@YAHQEAUtm@@QEBJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 74 14 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 FB 48 8B DF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_13_0 {
	meta:
		name = "_localtime64"
		size = 72
		refs = "0013 __getgmtimebuf 0028 ??$common_localtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 74 14 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 FB 48 8B DF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_5_0 {
	meta:
		name = "_mbsspn_l"
		size = 217
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 strspn 0044 _errno 004f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 7F 48 85 DB 74 05 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 61 80 3B 00 48 8B D3 74 56 80 3F 00 48 8B CF 74 2E 0F B6 01 42 F6 44 00 19 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 80 39 00 75 D2 80 39 00 74 1B 0F B6 02 42 F6 44 00 19 04 74 08 48 FF C2 80 3A 00 74 08 48 FF C2 80 3A 00 75 AA 48 2B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "_lsearch"
		size = 178
		refs = "002b _errno 0036 _invalid_parameter_noinfo 0070 __guard_dispatch_icall_fptr 008a memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 8B F1 4D 8B F0 48 8B DA 48 8B E9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 59 4D 85 C0 74 E7 48 85 D2 74 E2 45 85 C9 74 DD 48 83 7C 24 50 00 74 D5 41 8B 38 0F AF FE 48 03 FA 48 3B D7 74 1D 48 8B 44 24 50 48 8B D3 48 8B CD FF 15 ?? ?? ?? ?? 85 C0 74 1C 48 03 DE 48 3B DF 75 E3 4C 8B C6 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 41 FF 06 48 8B DF 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "lrint"
		size = 123
		refs = "0015 _dtest 002c nearbyint 0043 _fperrraise 004b __real@c1e0000000000000 0055 __real@41dfffffffc00000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 51 FF C8 83 F8 01 76 40 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 14 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 06 F2 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "lrintl"
		size = 123
		refs = "0015 _ldtest 002c nearbyintl 0043 _fperrraise 004b __real@c1e0000000000000 0055 __real@41dfffffffc00000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 51 FF C8 83 F8 01 76 40 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 14 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 06 F2 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_6_5_0 {
	meta:
		name = "_mbscoll_l"
		size = 201
		refs = "0021 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 _errno 003b _invalid_parameter_noinfo 0056 _strcoll_l 0089 __acrt_CompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 40 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 48 8B 54 24 50 83 7A 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 4A 8B 42 04 48 8D 4C 24 48 48 8B 92 20 02 00 00 4C 8B CF 89 44 24 38 41 B8 00 10 00 00 83 C8 FF 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_7_5_0 {
	meta:
		name = "_mbcjistojms_l"
		size = 151
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 75 5C 8B C3 0F B6 CB C1 E8 08 0F B6 D0 8D 42 DF 83 F8 5D 77 3C 8D 41 DF 83 F8 5D 77 34 F6 C2 01 74 0F 83 F9 5F 77 05 83 C1 1F EB 08 83 C1 20 EB 03 83 C1 7E 8D 5A DF D1 EB 81 C3 81 00 00 00 81 FB 9F 00 00 00 76 03 83 C3 40 C1 E3 08 0B D9 EB 0D E8 ?? ?? ?? ?? 33 DB C7 00 2A 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_7_0 {
	meta:
		name = "_mbcjmstojis_l"
		size = 193
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009a _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 41 81 78 04 A4 03 00 00 0F 85 81 00 00 00 8B C3 0F B6 D3 C1 E8 08 0F B6 C8 42 F6 44 01 19 04 74 61 42 F6 44 02 19 08 74 59 81 F9 A0 00 00 00 1B C0 83 E0 C0 05 C1 00 00 00 2B C8 81 FA 9F 00 00 00 72 0D 8D 59 11 C1 E3 09 8D 42 82 0B D8 EB 1A 33 C0 8B DA 83 FA 7E 0F 97 C0 C1 E1 09 83 C0 1F 81 C1 00 21 00 00 2B D8 0B D9 8D 83 DF DE FF FF 3D 5D 5D 00 00 77 0B 0F B6 C3 83 E8 21 83 F8 5D 76 0D E8 ?? ?? ?? ?? 33 DB C7 00 2A 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_8_9_0 {
	meta:
		name = "_putch"
		size = 58
		refs = "0031 ??$?RV<lambda_964a5dbffd41b5aa0d45fdb7180ac8f3>@@AEAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@V<lambda_c561a53cc468f5ddf59968495e70c67a>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_964a5dbffd41b5aa0d45fdb7180ac8f3>@@AEAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@$$QEAV<lambda_c561a53cc468f5ddf59968495e70c67a>@@@Z"
	strings:
		$1 = { 89 4C 24 08 4C 8B DC 48 83 EC 38 49 8D 43 08 49 89 43 E8 4D 8D 4B 18 B8 09 00 00 00 4D 8D 43 E8 49 8D 53 20 89 44 24 50 49 8D 4B 10 89 44 24 58 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_8_10_0 {
	meta:
		name = "_putch_nolock"
		size = 182
		refs = "0015 __acrt_getptd 0048 __pctype_func 007a mbtowc 0089 _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 48 8B D8 48 8D B0 AC 03 00 00 66 44 39 B0 B2 03 00 00 75 06 40 88 7E 01 EB 03 40 88 3E 33 ED 66 39 A8 B2 03 00 00 75 1D E8 ?? ?? ?? ?? 0F B6 0E BA 00 80 00 00 66 85 14 48 74 0A 66 44 89 B3 B2 03 00 00 EB 3D 0F B7 83 B2 03 00 00 48 8D 4C 24 40 41 03 C6 48 8B D6 4C 63 C0 E8 ?? ?? ?? ?? 83 F8 FF 74 14 0F B7 4C 24 40 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 03 83 CF FF 66 89 AB B2 03 00 00 48 8B 5C 24 48 8B C7 48 8B 6C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_26_0 {
	meta:
		name = "??0__crt_scoped_get_last_error_reset@@QEAA@XZ"
		size = 26
		refs = "000b __imp_GetLastError"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_42_0 {
	meta:
		name = "?construct_ptd@@YAXQEAU__acrt_ptd@@QEAPEAU__crt_locale_data@@@Z"
		size = 197
		refs = "0029 __acrt_exception_action_table 0033 __acrt_initial_multibyte_data 008b ??$?RV<lambda_0ae27a3a962d80f24befdcbee591983d>@@AEAV<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@V<lambda_dc504788e8f1664fe9b84e20bfb512f2>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_0ae27a3a962d80f24befdcbee591983d>@@AEAV<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@$$QEAV<lambda_dc504788e8f1664fe9b84e20bfb512f2>@@@Z 00bb ??$?RV<lambda_aa87e3671a710a21b5dc78c0bdf72e11>@@AEAV<lambda_92619d2358a28f41a33ba319515a20b9>@@V<lambda_6992ecaafeb10aed2b74cb1fae11a551>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_aa87e3671a710a21b5dc78c0bdf72e11>@@AEAV<lambda_92619d2358a28f41a33ba319515a20b9>@@$$QEAV<lambda_6992ecaafeb10aed2b74cb1fae11a551>@@@Z"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 55 48 8B EC 48 83 EC 40 BA 01 00 00 00 4C 8D 4D 28 89 51 28 4C 8D 45 E8 48 8B 45 10 48 8D 0D ?? ?? ?? ?? 48 89 08 48 8D 0D ?? ?? ?? ?? 48 8B 45 10 89 90 A8 03 00 00 48 8B 45 10 48 89 88 88 00 00 00 8D 4A 42 48 8B 45 10 66 89 88 BC 00 00 00 48 8B 45 10 66 89 88 C2 01 00 00 48 8D 4D 20 48 8B 45 10 48 83 A0 A0 03 00 00 00 48 8D 45 10 48 89 45 E8 8D 42 04 48 8D 55 E0 89 45 28 89 45 E0 E8 ?? ?? ?? ?? 48 8D 45 10 48 89 45 E8 4C 8D 4D 28 48 8D 45 18 48 89 45 F0 4C 8D 45 E8 B8 04 00 00 00 48 8D 55 E0 48 8D 4D 20 89 45 28 89 45 E0 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_9_43_0 {
	meta:
		name = "?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z"
		size = 205
		refs = "004b __acrt_current_locale_data 0059 __acrt_exception_action_table 0067 __acrt_initial_multibyte_data 00ae ??$?RV<lambda_0ae27a3a962d80f24befdcbee591983d>@@AEAV<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@V<lambda_dc504788e8f1664fe9b84e20bfb512f2>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_0ae27a3a962d80f24befdcbee591983d>@@AEAV<lambda_8d0ee55de4b1038c4002e0adecdf1839>@@$$QEAV<lambda_dc504788e8f1664fe9b84e20bfb512f2>@@@Z 00c3 ??$?RV<lambda_aa87e3671a710a21b5dc78c0bdf72e11>@@AEAV<lambda_92619d2358a28f41a33ba319515a20b9>@@V<lambda_6992ecaafeb10aed2b74cb1fae11a551>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_aa87e3671a710a21b5dc78c0bdf72e11>@@AEAV<lambda_92619d2358a28f41a33ba319515a20b9>@@$$QEAV<lambda_6992ecaafeb10aed2b74cb1fae11a551>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 50 48 89 4D D8 48 8D 45 D8 48 89 45 E8 4C 8D 4D 20 BA 01 00 00 00 4C 8D 45 E8 B8 05 00 00 00 89 45 20 89 45 28 48 8D 45 D8 48 89 45 F0 48 8D 45 E0 48 89 45 F8 B8 04 00 00 00 89 45 D0 89 45 D4 48 8D 05 ?? ?? ?? ?? 48 89 45 E0 89 51 28 48 8D 0D ?? ?? ?? ?? 48 8B 45 D8 48 89 08 48 8D 0D ?? ?? ?? ?? 48 8B 45 D8 89 90 A8 03 00 00 48 8B 45 D8 48 89 88 88 00 00 00 8D 4A 42 48 8B 45 D8 48 8D 55 28 66 89 88 BC 00 00 00 48 8B 45 D8 66 89 88 C2 01 00 00 48 8D 4D 18 48 8B 45 D8 48 83 A0 A0 03 00 00 00 E8 ?? ?? ?? ?? 4C 8D 4D D0 4C 8D 45 F0 48 8D 55 D4 48 8D 4D 18 E8 ?? ?? ?? ?? 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_9_45_0 {
	meta:
		name = "?destroy_fls@@YAXPEAX@Z"
		size = 32
		refs = "000e ?destroy_ptd_array@@YAXQEAU__acrt_ptd@@@Z 0016 _free_base"
	strings:
		$1 = { 48 85 C9 74 1A 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_46_0 {
	meta:
		name = "?destroy_ptd@@YAXQEAU__acrt_ptd@@@Z"
		size = 245
		refs = "0013 __acrt_exception_action_table 0020 _free_base 00c3 ??$?RV<lambda_f2e299630e499de9f9a165e60fcd3db5>@@AEAV<lambda_2ae9d31cdba2644fcbeaf08da7c24588>@@V<lambda_40d01ff24d0e7b3814fdbdcee8eab3c7>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_f2e299630e499de9f9a165e60fcd3db5>@@AEAV<lambda_2ae9d31cdba2644fcbeaf08da7c24588>@@$$QEAV<lambda_40d01ff24d0e7b3814fdbdcee8eab3c7>@@@Z 00eb ??$?RV<lambda_2d41944a1d46af3157314b8a01080d33>@@AEAV<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@V<lambda_aa500f224e6afead328df44964fe2772>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_2d41944a1d46af3157314b8a01080d33>@@AEAV<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@$$QEAV<lambda_aa500f224e6afead328df44964fe2772>@@@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 48 8B EC 48 83 EC 30 48 8B 01 48 8D 15 ?? ?? ?? ?? 48 3B C2 74 0C 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 70 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 58 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 68 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 48 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 50 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 49 78 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 89 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 10 48 8B 89 C0 03 00 00 E8 ?? ?? ?? ?? 48 8D 45 10 48 89 45 F0 4C 8D 4D 20 B8 05 00 00 00 4C 8D 45 F0 48 8D 55 28 89 45 20 48 8D 4D 18 89 45 28 E8 ?? ?? ?? ?? 48 8D 45 10 48 89 45 F0 4C 8D 4D 20 B8 04 00 00 00 4C 8D 45 F0 48 8D 55 28 89 45 20 48 8D 4D 18 89 45 28 E8 ?? ?? ?? ?? 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_9_47_0 {
	meta:
		name = "?destroy_ptd_array@@YAXQEAU__acrt_ptd@@@Z"
		size = 245
		refs = "0018 __acrt_exception_action_table 0046 _free_base 00d6 ??$?RV<lambda_f2e299630e499de9f9a165e60fcd3db5>@@AEAV<lambda_2ae9d31cdba2644fcbeaf08da7c24588>@@V<lambda_40d01ff24d0e7b3814fdbdcee8eab3c7>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_f2e299630e499de9f9a165e60fcd3db5>@@AEAV<lambda_2ae9d31cdba2644fcbeaf08da7c24588>@@$$QEAV<lambda_40d01ff24d0e7b3814fdbdcee8eab3c7>@@@Z 00eb ??$?RV<lambda_2d41944a1d46af3157314b8a01080d33>@@AEAV<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@V<lambda_aa500f224e6afead328df44964fe2772>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_2d41944a1d46af3157314b8a01080d33>@@AEAV<lambda_8f455de75cd7d7f24b4096f044d8b9e6>@@$$QEAV<lambda_aa500f224e6afead328df44964fe2772>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 40 48 8D 45 E8 48 89 4D E8 48 89 45 F0 48 8D 15 ?? ?? ?? ?? B8 05 00 00 00 89 45 20 89 45 28 48 8D 45 E8 48 89 45 F8 B8 04 00 00 00 89 45 E0 89 45 E4 48 8B 01 48 3B C2 74 0C 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 70 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 58 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 68 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 48 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 50 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 49 78 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 89 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D E8 48 8B 89 C0 03 00 00 E8 ?? ?? ?? ?? 4C 8D 4D 20 4C 8D 45 F0 48 8D 55 28 48 8D 4D 18 E8 ?? ?? ?? ?? 4C 8D 4D E0 4C 8D 45 F8 48 8D 55 E4 48 8D 4D 18 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_9_51_0 {
	meta:
		name = "?internal_get_ptd_head@@YAPEAU__acrt_ptd@@XZ"
		size = 161
		refs = "000c ?__acrt_flsindex@@3KA 0018 __acrt_FlsGetValue 0036 __acrt_FlsSetValue 004d _calloc_base 007e ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z 008f _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 0D ?? ?? ?? ?? 33 FF 83 F9 FF 74 1A E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 83 F8 FF 48 0F 44 C7 EB 6B 8B 0D ?? ?? ?? ?? 48 83 CA FF E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 54 BA C8 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 48 85 C0 74 12 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 11 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B DF 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_52_0 {
	meta:
		name = "?internal_getptd_noexit@@YAPEAU__acrt_ptd@@XZ"
		size = 188
		refs = "000c __imp_GetLastError 0012 ?__acrt_flsindex@@3KA 001e __acrt_FlsGetValue 003d __acrt_FlsSetValue 0050 _calloc_base 006c _free_base 0094 ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z 00aa __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D8 83 F9 FF 74 1B E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 08 48 83 F8 FF 74 74 EB 6D 8B 0D ?? ?? ?? ?? 48 83 CA FF E8 ?? ?? ?? ?? 85 C0 74 5F BA C8 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B F8 48 85 C0 75 10 33 D2 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB 32 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B CF EB DB 48 8B CF E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 85 FF 75 02 33 FF 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_55_0 {
	meta:
		name = "?replace_current_thread_locale_nolock@@YAXQEAU__acrt_ptd@@QEAU__crt_locale_data@@@Z"
		size = 103
		refs = "001d __acrt_release_locale_ref 002b __acrt_current_locale_data 0034 __acrt_initial_locale_data 0044 __acrt_free_locale 0058 __acrt_add_locale_ref"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B DA 48 8B 89 90 00 00 00 48 85 C9 74 2C E8 ?? ?? ?? ?? 48 8B 8F 90 00 00 00 48 3B 0D ?? ?? ?? ?? 74 17 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 0B 83 79 10 00 75 05 E8 ?? ?? ?? ?? 48 89 9F 90 00 00 00 48 85 DB 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_56_0 {
	meta:
		name = "?try_get_ptd_head@@YAPEAU__acrt_ptd@@XZ"
		size = 19
		refs = "0002 ?__acrt_flsindex@@3KA 000f __acrt_FlsGetValue"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 83 F9 FF 75 03 33 C0 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_58_0 {
	meta:
		name = "__acrt_freeptd"
		size = 65
		refs = "0008 ?__acrt_flsindex@@3KA 0012 __acrt_FlsGetValue 0027 __acrt_FlsSetValue 002f ?destroy_ptd_array@@YAXQEAU__acrt_ptd@@@Z 0037 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 0D ?? ?? ?? ?? 83 F9 FF 74 2A E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1D 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_59_0 {
	meta:
		name = "__acrt_getptd"
		size = 203
		refs = "000c __imp_GetLastError 0012 ?__acrt_flsindex@@3KA 001e __acrt_FlsGetValue 0040 __acrt_FlsSetValue 0053 _calloc_base 006f _free_base 0097 ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z 00ab __imp_SetLastError 00c6 abort"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D8 83 F9 FF 74 1E E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0B 48 83 F8 FF 75 72 E9 88 00 00 00 8B 0D ?? ?? ?? ?? 48 83 CA FF E8 ?? ?? ?? ?? 85 C0 74 75 BA C8 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B F8 48 85 C0 75 10 33 D2 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB 48 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B CF EB DB 48 8B CF E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 85 FF 74 16 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 8B CB FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_60_0 {
	meta:
		name = "__acrt_getptd_head"
		size = 167
		refs = "0008 ?__acrt_flsindex@@3KA 0012 __acrt_FlsGetValue 0031 __acrt_FlsSetValue 0044 _calloc_base 0060 _free_base 0088 ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z 00a2 abort"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 0D ?? ?? ?? ?? 83 F9 FF 74 1B E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 08 48 83 F8 FF 75 6F EB 7B 8B 0D ?? ?? ?? ?? 48 83 CA FF E8 ?? ?? ?? ?? 85 C0 74 68 BA C8 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 48 85 C0 75 10 33 D2 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB 3B 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B CB EB DB 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 85 DB 74 09 48 8B C3 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_61_0 {
	meta:
		name = "__acrt_getptd_noexit"
		size = 207
		refs = "000c __imp_GetLastError 0012 ?__acrt_flsindex@@3KA 001e __acrt_FlsGetValue 0038 __imp_SetLastError 0057 __acrt_FlsSetValue 006a _calloc_base 0086 _free_base 00ae ?construct_ptd_array@@YAXQEAU__acrt_ptd@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D8 83 F9 FF 74 35 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 22 48 83 F8 FF 0F 85 85 00 00 00 8B CB FF 15 ?? ?? ?? ?? 33 FF 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 8B 0D ?? ?? ?? ?? 48 83 CA FF E8 ?? ?? ?? ?? 85 C0 74 D5 BA C8 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B F8 48 85 C0 75 10 33 D2 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB A8 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B CF EB DB 48 8B CF E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 85 FF 0F 84 72 FF FF FF 8B CB FF 15 ?? ?? ?? ?? E9 6F FF FF FF }
	condition:
		$1
}

rule file_9_62_0 {
	meta:
		name = "__acrt_initialize_ptd"
		size = 57
		refs = "0007 ?destroy_fls@@YAXPEAX@Z 000c __acrt_FlsAlloc 0012 ?__acrt_flsindex@@3KA 0020 __acrt_getptd_noexit 002c __acrt_uninitialize_ptd"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 75 04 32 C0 EB 15 E8 ?? ?? ?? ?? 48 85 C0 75 09 33 C9 E8 ?? ?? ?? ?? EB E9 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_9_63_0 {
	meta:
		name = "__acrt_uninitialize_ptd"
		size = 34
		refs = "0006 ?__acrt_flsindex@@3KA 0010 __acrt_FlsFree"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? 83 F9 FF 74 0C E8 ?? ?? ?? ?? 83 0D ?? ?? ?? ?? FF B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_10_8_0 {
	meta:
		name = "?set_flags@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 30
	strings:
		$1 = { 4C 8B 01 41 0F 0D 48 14 41 8B 40 14 8B C8 0B CA F0 41 0F B1 48 14 75 F4 85 C2 0F 95 C0 C3 }
	condition:
		$1
}

rule file_10_9_0 {
	meta:
		name = "?unset_flags@__crt_stdio_stream@@QEBA_NJ@Z"
		size = 37
	strings:
		$1 = { 4C 8B 01 44 8B CA 41 F7 D1 41 0F 0D 48 14 41 8B 40 14 8B C8 41 23 C9 F0 41 0F B1 48 14 75 F3 85 C2 0F 95 C0 C3 }
	condition:
		$1
}

rule file_10_10_0 {
	meta:
		name = "_ungetc_nolock"
		size = 269
		refs = "001d _fileno 0027 __badioinfo 002e __pioinfo 0082 _errno 008d _invalid_parameter_noinfo 00b8 __acrt_stdio_allocate_buffer_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 42 14 48 8B DA 8B F9 C1 E8 0C A8 01 75 7D 48 8B CA E8 ?? ?? ?? ?? 4C 63 C8 48 8D 15 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? 41 8D 49 02 83 F9 01 76 18 4D 8B C1 49 8B C9 41 83 E0 3F 48 C1 F9 06 49 C1 E0 06 4D 03 04 CA EB 03 4C 8B C2 41 80 78 39 00 75 24 41 8D 41 02 83 F8 01 76 15 49 8B D1 49 8B C1 83 E2 3F 48 C1 F8 06 48 C1 E2 06 49 03 14 C2 F6 42 3D 01 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6C 83 FF FF 74 F6 8B 43 14 8B 4B 14 A8 01 75 08 83 E1 06 80 F9 06 75 E4 48 83 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 3B 43 08 75 0C 83 7B 10 00 75 C6 48 FF C0 48 89 03 8B 43 14 48 FF 0B C1 E8 0C A8 01 48 8B 03 74 0D 40 38 38 74 0B 48 FF C0 48 89 03 EB A3 40 88 38 FF 43 10 F0 83 63 14 F7 F0 83 4B 14 01 40 0F B6 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_11_0 {
	meta:
		name = "ungetc"
		size = 95
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0039 _lock_file 0044 _ungetc_nolock 004e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 8B F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1F 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_12_0 {
	meta:
		name = "ungetc$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "fputwc$fin$0 ungetwc$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 38 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "_wrename"
		size = 45
		refs = "000c __imp_MoveFileExW 0016 __imp_GetLastError 001d __acrt_errno_map_os_error"
	strings:
		$1 = { 48 83 EC 28 41 B8 02 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "??$common_tcsncpy_s@_W@@YAHQEA_W_KQEB_W1@Z"
		size = 217
		refs = "003f _errno 004b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 4C 8B D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 66 89 39 EB E8 4D 85 C0 75 21 66 89 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 4C 2B C1 48 8B D1 4D 8B DA 49 8B D9 49 83 F9 FF 75 19 41 0F B7 04 10 66 89 02 48 8D 52 02 66 85 C0 74 2D 49 83 EB 01 75 E9 EB 25 41 0F B7 04 10 66 89 02 48 8D 52 02 66 85 C0 74 0C 49 83 EB 01 74 06 48 83 EB 01 75 E3 48 85 DB 75 03 66 89 3A 4D 85 DB 0F 85 69 FF FF FF 49 83 F9 FF 75 0C 66 42 89 7C 51 FE 41 8D 43 50 EB 8A 66 89 39 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 6F FF FF FF }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "wcsncpy_s"
		size = 227
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 D2 4C 8B DA 4D 85 C9 75 2C 48 85 C9 75 2C 48 85 D2 74 14 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 8B D3 41 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 48 85 C9 74 D9 48 85 D2 74 D4 4D 85 C9 75 06 66 44 89 11 EB DD 4D 85 C0 75 06 66 44 89 11 EB BE 4C 2B C1 48 8B D1 49 8B DB 49 8B F9 49 83 F9 FF 75 19 41 0F B7 04 10 66 89 02 48 8D 52 02 66 85 C0 74 2E 48 83 EB 01 75 E9 EB 26 41 0F B7 04 10 66 89 02 48 8D 52 02 66 85 C0 74 0C 48 83 EB 01 74 06 48 83 EF 01 75 E3 48 85 FF 75 04 66 44 89 12 48 85 DB 0F 85 78 FF FF FF 49 83 F9 FF 75 0F 66 46 89 54 59 FE 44 8D 53 50 E9 63 FF FF FF 66 44 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 46 FF FF FF }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "ctanf"
		size = 106
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 ctanhf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "casinf"
		size = 106
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 casinhf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "catanf"
		size = 106
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 catanhf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "csinf"
		size = 106
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 csinhf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "wcsncmp"
		size = 44
	strings:
		$1 = { 4D 85 C0 75 18 33 C0 C3 0F B7 01 66 85 C0 74 13 66 3B 02 75 0E 48 83 C1 02 48 83 C2 02 49 83 E8 01 75 E5 0F B7 01 0F B7 0A 2B C1 C3 }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "??$common_strtime@D@@YAPEADQEAD@Z"
		size = 36
		refs = "000f ??$common_strtime_s@D@@YAHQEAD_K@Z"
		altNames = "_strtime"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "??$common_strdate@D@@YAPEADQEAD@Z"
		size = 36
		refs = "000f ??$common_strdate_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_1_3 {
	meta:
		name = "??$common_strdate@_W@@YAPEA_WQEA_W@Z"
		size = 36
		refs = "000f ??$common_strdate_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_15_1_0 {
	meta:
		name = "??$common_strtime@_W@@YAPEA_WQEA_W@Z"
		size = 36
		refs = "000f ??$common_strtime_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_4_2 {
	meta:
		name = "_strdate"
		size = 36
		refs = "000f ??$common_strdate_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_6_4 {
	meta:
		name = "_wstrdate"
		size = 36
		refs = "000f ??$common_strdate_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_15_6_3 {
	meta:
		name = "_wstrtime"
		size = 36
		refs = "000f ??$common_strtime_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 09 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_15_2_0 {
	meta:
		name = "??$common_strtime_s@D@@YAHQEAD_K@Z"
		size = 279
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 00fe _invalid_parameter_noinfo 010d __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 D0 00 00 00 48 85 D2 0F 84 C7 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 B9 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 41 B3 30 44 0F B7 44 24 2A 41 BA 67 66 66 66 44 0F B7 4C 24 2C 41 8B C2 F7 E9 C6 43 02 3A C1 FA 02 8B C2 C6 43 05 3A C1 E8 1F 03 D0 C6 43 08 00 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 F7 E8 41 02 CB C1 FA 02 8B C2 88 4B 01 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 41 F7 E9 02 C9 C1 FA 02 44 2A C1 8B C2 45 02 C3 C1 E8 1F 03 D0 44 88 43 04 41 8D 04 13 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 45 02 CB 44 88 4B 07 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_15_3_0 {
	meta:
		name = "??$common_strtime_s@_W@@YAHQEA_W_K@Z"
		size = 316
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 011e _invalid_parameter_noinfo 012d __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 F6 48 8B D9 48 85 C9 0F 84 EA 00 00 00 48 85 D2 0F 84 E1 00 00 00 66 89 31 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5E 22 E9 D5 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 41 BB 67 66 66 66 44 0F B7 44 24 2A 41 8B C3 44 0F B7 4C 24 2C 41 BA 3A 00 00 00 F7 E9 66 44 89 53 04 C1 FA 02 8B C2 66 44 89 53 0A C1 E8 1F 03 D0 66 89 73 10 8D 42 30 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C3 41 F7 E8 66 83 C1 30 C1 FA 02 8B C2 66 89 4B 02 C1 E8 1F 03 D0 0F B7 CA 8D 42 30 66 C1 E2 02 66 89 43 06 66 03 CA 66 03 C9 41 8B C3 41 F7 E9 66 44 2B C1 C1 FA 02 66 41 83 C0 30 8B C2 66 44 89 43 08 C1 E8 1F 03 D0 8D 42 30 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 41 83 C1 30 66 44 89 4B 0E 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5E C3 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "floorf"
		size = 130
		refs = "002a _handle_nanf 0042 __real@bf800000 007d __real@3f800000"
	strings:
		$1 = { 45 33 C0 F3 0F 11 44 24 08 8B 54 24 08 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 0E 3D 00 00 80 7F 76 5A 8B CA E9 ?? ?? ?? ?? 3D 00 00 80 3F 73 18 85 C0 74 48 45 85 C0 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 39 0F 57 C0 EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 08 F3 0F 10 44 24 08 45 85 C0 74 0C 3B D0 74 08 F3 0F 5C 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "_cputs"
		size = 120
		refs = "001c __doserrno 0023 _errno 002e _invalid_parameter_noinfo 003d __acrt_lock 004f _putch_nolock 0067 __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1C E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 36 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 89 7C 24 20 38 1F 74 16 0F BE 0F E8 ?? ?? ?? ?? 83 F8 FF 75 04 0B D8 EB 05 48 FF C7 EB E1 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_17_1_0 {
	meta:
		name = "_cputs$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "_cgets_s$fin$0 _getch$fin$0 _getche$fin$0 _getwch$fin$0 _getwche$fin$0 _kbhit$fin$0 _ungetch$fin$0 _ungetwch$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 09 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_18_5_0 {
	meta:
		name = "_mbsnbcnt_l"
		size = 147
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 FF 75 19 48 85 DB 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 37 48 8B D7 48 85 DB 74 2C 48 8B 4C 24 30 48 FF CB 80 3A 00 74 1F 0F B6 02 F6 44 08 19 04 74 08 48 FF C2 80 3A 00 74 0A 48 FF C2 48 85 DB 74 05 EB DC 48 FF CA 48 2B D7 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_19_2_0 {
	meta:
		name = "??$common_strdate_s@D@@YAHQEAD_K@Z"
		size = 303
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 0116 _invalid_parameter_noinfo 0125 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 E8 00 00 00 48 85 D2 0F 84 DF 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 D1 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 22 41 B3 30 44 0F B7 4C 24 20 41 BA 67 66 66 66 44 0F B7 44 24 26 B8 1F 85 EB 51 41 F7 E9 C6 43 02 2F C1 FA 05 8B C2 C6 43 05 2F C1 E8 1F 03 D0 C6 43 08 00 6B C2 64 44 2B C8 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 F7 E8 41 02 CB C1 FA 02 8B C2 88 4B 01 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 41 F7 E9 02 C9 C1 FA 02 44 2A C1 8B C2 45 02 C3 C1 E8 1F 03 D0 44 88 43 04 41 8D 04 13 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 45 02 CB 44 88 4B 07 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_19_3_0 {
	meta:
		name = "??$common_strdate_s@_W@@YAHQEA_W_K@Z"
		size = 340
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 0136 _invalid_parameter_noinfo 0145 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 F6 48 8B D9 48 85 C9 0F 84 02 01 00 00 48 85 D2 0F 84 F9 00 00 00 66 89 31 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5E 22 E9 ED 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 4C 24 20 41 BB 67 66 66 66 0F B7 4C 24 22 B8 1F 85 EB 51 44 0F B7 44 24 26 41 BA 2F 00 00 00 41 F7 E9 66 44 89 53 04 C1 FA 05 8B C2 66 44 89 53 0A C1 E8 1F 03 D0 66 89 73 10 6B C2 64 44 2B C8 41 8B C3 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C3 41 F7 E8 66 83 C1 30 C1 FA 02 8B C2 66 89 4B 02 C1 E8 1F 03 D0 0F B7 CA 8D 42 30 66 C1 E2 02 66 89 43 06 66 03 CA 66 03 C9 41 8B C3 41 F7 E9 66 44 2B C1 C1 FA 02 66 41 83 C0 30 8B C2 66 44 89 43 08 C1 E8 1F 03 D0 8D 42 30 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 41 83 C1 30 66 44 89 4B 0E 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5E C3 }
	condition:
		$1
}

rule file_20_3_0 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ"
		size = 34
		refs = "0019 _free_base"
		altNames = "??1?$__crt_scoped_stack_ptr@D@@QEAA@XZ ??1?$__crt_scoped_stack_ptr@U_INPUT_RECORD@@@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_20_9_0 {
	meta:
		name = "__acrt_GetStringTypeA"
		size = 433
		refs = "0022 __security_cookie 003e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0075 __imp_MultiByteToWideChar 00d6 __chkstk 00f9 _malloc_base 0121 memset 0158 __imp_GetStringTypeW 0174 _free_base 0193 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 30 48 89 5D 60 48 89 75 68 48 89 7D 70 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 20 44 8B EA 45 8B F9 48 8B D1 4D 8B E0 48 8D 4D 00 E8 ?? ?? ?? ?? 8B B5 88 00 00 00 85 F6 75 07 48 8B 45 08 8B 70 0C F7 9D 90 00 00 00 45 8B CF 4D 8B C4 8B CE 1B D2 83 64 24 28 00 48 83 64 24 20 00 83 E2 08 FF C2 FF 15 ?? ?? ?? ?? 4C 63 F0 85 C0 75 07 33 FF E9 F1 00 00 00 49 8B FE 48 03 FF 48 8D 4F 10 48 3B F9 48 1B C0 48 85 C1 74 75 48 8D 4F 10 48 3B F9 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 47 10 77 3A 48 3B F8 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 30 48 85 DB 74 79 C7 03 CC CC 00 00 EB 1C 48 3B F8 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 48 4C 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 45 8B CF 44 89 74 24 28 4D 8B C4 48 89 5C 24 20 BA 01 00 00 00 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 1A 4C 8B 8D 80 00 00 00 44 8B C0 48 8B D3 41 8B CD FF 15 ?? ?? ?? ?? 8B F8 EB 02 33 FF 48 85 DB 74 11 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 80 7D 18 00 74 0B 48 8B 45 00 83 A0 A8 03 00 00 FD 8B C7 48 8B 4D 20 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 60 48 8B 75 68 48 8B 7D 70 48 8D 65 30 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_20_11_0 {
	meta:
		name = "_freea_crt"
		size = 31
		refs = "0016 _free_base"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_21_0_0 {
	meta:
		name = "wcscspn"
		size = 63
	strings:
		$1 = { 45 33 D2 4C 8B CA 66 44 39 11 48 8B C1 74 29 4D 8B C1 66 45 39 11 74 16 41 0F B7 11 66 39 10 74 17 49 83 C0 02 41 0F B7 10 66 85 D2 75 EE 48 83 C0 02 66 44 39 10 EB D5 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "_FHypot"
		size = 482
		refs = "002b _fdunscale 008b __xmm@80000000800000008000000080000000 0115 _fdscale 0159 __real@3f800000 015e sqrtf 017d __real@40000000 0199 __real@3fb504f3 01a5 __real@376389f3 01b6 __real@401a8241 01cc _FInf_C"
	strings:
		$1 = { 48 8B C4 F3 0F 11 48 10 F3 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 0F B7 D8 48 8D 4D 38 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 7C 01 00 00 66 83 F8 01 0F 84 72 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F3 0F 10 45 20 E9 64 01 00 00 66 41 3B C0 75 0A F3 0F 10 45 28 E9 54 01 00 00 F3 0F 10 4D 20 0F 57 C0 0F 2F C1 F3 0F 10 1D ?? ?? ?? ?? 76 08 0F 57 CB F3 0F 11 4D 20 F3 0F 10 55 28 0F 2F C2 76 08 0F 57 D3 F3 0F 11 55 28 0F 2E D0 7A 13 75 11 0F 2E C8 7A 06 0F 84 13 01 00 00 0F B7 4D 30 EB 33 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0C 66 3B CA 7C 07 75 1D 0F 2F D1 76 18 0F B7 C1 F3 0F 11 55 20 66 89 45 38 0F B7 CA F3 0F 11 4D 28 66 89 55 30 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F3 0F 10 7D 20 F3 0F 5C 7D 28 0F 2E 7D 20 7A 06 0F 84 85 00 00 00 0F 2F 7D 28 76 2D F3 0F 10 75 20 F3 0F 5E 75 28 0F 28 C6 F3 0F 59 C6 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 7D 28 F3 0F 58 C6 F3 0F 5E F8 EB 4D F3 0F 5E 7D 28 0F 28 F7 F3 0F 58 35 ?? ?? ?? ?? F3 0F 59 F7 0F 28 C6 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E F0 F3 0F 58 35 ?? ?? ?? ?? F3 0F 58 F7 F3 0F 10 7D 28 F3 0F 58 35 ?? ?? ?? ?? F3 0F 5E FE F3 0F 58 7D 20 0F 28 C7 EB 08 F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_22_1_0 {
	meta:
		name = "csqrtf"
		size = 443
		refs = "0015 crealf 0023 cimagf 0031 _fdtest 006d _FHypot 0092 __xmm@7fffffff7fffffff7fffffff7fffffff 009c ldexp 00ac __real@40000000 00b5 sqrtf 0113 __xmm@80000000800000008000000080000000 0176 _FInf_C 0193 _FZero_C 01aa _FCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 0F 29 74 24 30 48 89 4D E0 E8 ?? ?? ?? ?? 48 8B 4D E0 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 28 F3 0F 11 45 28 E8 ?? ?? ?? ?? BF 01 00 00 00 0F B7 D8 66 3B C7 75 0A F3 0F 10 4D 28 E9 55 01 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 66 3B C7 0F 84 E8 00 00 00 F3 0F 10 4D 28 4C 8D 45 38 F3 0F 10 45 30 E8 ?? ?? ?? ?? 8B 5D 38 0F 28 F0 85 DB 75 0D 0F 28 C8 F3 0F 59 4D 28 E9 21 01 00 00 F3 0F 10 45 30 8B D3 0F 54 05 ?? ?? ?? ?? F7 DA 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 F3 0F 58 C6 F3 0F 10 35 ?? ?? ?? ?? F3 0F 59 C6 E8 ?? ?? ?? ?? 8B C3 99 2B C2 D1 F8 2B C7 F3 0F 5A C0 8B D0 E8 ?? ?? ?? ?? F3 0F 10 4D 30 0F 57 D2 0F 2F CA 0F 57 DB F2 0F 5A D8 72 18 F3 0F 10 4D 28 0F 28 D3 F3 0F 59 D6 0F 28 C3 F3 0F 5E CA E9 B0 00 00 00 F3 0F 10 45 28 B8 00 80 00 00 66 85 45 2A 74 1E 0F 28 CB F3 0F 59 DE 0F 57 0D ?? ?? ?? ?? F3 0F 5E C3 0F 57 05 ?? ?? ?? ?? E9 82 00 00 00 0F 2E C2 7A 0A 75 08 0F 28 CB 0F 28 C2 EB 73 0F 28 CB F3 0F 59 CE F3 0F 5E C1 0F 28 CB EB 63 0F 57 C0 66 83 FB 02 75 18 0F 2F 45 30 76 0C F3 0F 10 4D 30 F3 0F 10 45 28 EB 48 48 8B 45 E0 EB 47 0F 2F 45 30 B8 00 80 00 00 76 17 F3 0F 10 0D ?? ?? ?? ?? 66 85 45 2A 74 29 0F 57 0D ?? ?? ?? ?? EB 20 66 85 45 2A 74 0F F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_22_2_0 {
	meta:
		name = "ldexpf"
		size = 22
		refs = "0009 ldexp"
	strings:
		$1 = { 48 83 EC 28 F3 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "??$common_tox_l@$1?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
		size = 317
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0031 ?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z 0086 _isleadbyte_l 00a2 _errno 00fd __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 74 24 10 55 57 41 56 48 8B EC 48 83 EC 70 44 8B F2 48 63 F9 49 8B D0 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 3B 48 8D 55 E8 8B CF E8 ?? ?? ?? ?? 84 C0 74 14 48 8B 45 E8 48 8B 88 18 01 00 00 0F B6 04 39 E9 CE 00 00 00 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 8B C7 E9 C7 00 00 00 33 C0 66 89 45 20 88 45 22 48 8B 45 E8 83 78 08 01 7E 29 8B F7 48 8D 55 E8 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 13 40 88 75 20 B9 02 00 00 00 40 88 7D 21 C6 45 22 00 EB 18 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 20 C6 45 21 00 48 8B 55 E8 4C 8D 4D 20 33 C0 C7 44 24 40 01 00 00 00 66 89 45 38 45 8B C6 88 45 3A 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 48 8D 45 38 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 0F 84 44 FF FF FF 83 F8 01 0F B6 45 38 74 09 0F B6 4D 39 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 48 8B B4 24 98 00 00 00 48 83 C4 70 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_23_1_0 {
	meta:
		name = "??$common_tox_l@$1?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQEAU__crt_locale_pointers@@@Z"
		size = 317
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0031 ?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z 0086 _isleadbyte_l 00a2 _errno 00fd __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 74 24 10 55 57 41 56 48 8B EC 48 83 EC 70 44 8B F2 48 63 F9 49 8B D0 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 3B 48 8D 55 E8 8B CF E8 ?? ?? ?? ?? 84 C0 74 14 48 8B 45 E8 48 8B 88 10 01 00 00 0F B6 04 39 E9 CE 00 00 00 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 8B C7 E9 C7 00 00 00 33 C0 66 89 45 20 88 45 22 48 8B 45 E8 83 78 08 01 7E 29 8B F7 48 8D 55 E8 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 13 40 88 75 20 B9 02 00 00 00 40 88 7D 21 C6 45 22 00 EB 18 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 20 C6 45 21 00 48 8B 55 E8 4C 8D 4D 20 33 C0 C7 44 24 40 01 00 00 00 66 89 45 38 45 8B C6 88 45 3A 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 48 8D 45 38 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 0F 84 44 FF FF FF 83 F8 01 0F B6 45 38 74 09 0F B6 4D 39 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 48 8B B4 24 98 00 00 00 48 83 C4 70 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_23_5_0 {
	meta:
		name = "?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z"
		size = 77
		refs = "0026 _isctype_l 0032 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 48 85 D2 74 1F 48 8B 02 83 78 08 01 7E 11 4C 8B C2 8B CF BA 02 00 00 00 E8 ?? ?? ?? ?? EB 11 48 8B 00 EB 05 E8 ?? ?? ?? ?? 0F B7 04 78 83 E0 02 48 8B 5C 24 30 85 C0 0F 95 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_23_6_0 {
	meta:
		name = "?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z"
		size = 77
		refs = "0026 _isctype_l 0032 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 48 85 D2 74 1F 48 8B 02 83 78 08 01 7E 11 4C 8B C2 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? EB 11 48 8B 00 EB 05 E8 ?? ?? ?? ?? 0F B7 04 78 83 E0 01 48 8B 5C 24 30 85 C0 0F 95 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_23_7_0 {
	meta:
		name = "?internal_map_lower@@YAHHQEAU__crt_locale_pointers@@@Z"
		size = 18
	strings:
		$1 = { 48 8B 02 48 63 C9 48 8B 80 10 01 00 00 0F B6 04 08 C3 }
	condition:
		$1
}

rule file_23_8_0 {
	meta:
		name = "?internal_map_upper@@YAHHQEAU__crt_locale_pointers@@@Z"
		size = 18
	strings:
		$1 = { 48 8B 02 48 63 C9 48 8B 80 18 01 00 00 0F B6 04 08 C3 }
	condition:
		$1
}

rule file_23_14_0 {
	meta:
		name = "_tolower_l"
		size = 318
		refs = "001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002d ?internal_isupper_l@@YA_NHQEAU__crt_locale_pointers@@@Z 007f _isleadbyte_l 009a _errno 00f7 __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FB 00 01 00 00 73 38 48 8D 55 E8 8B CB E8 ?? ?? ?? ?? 84 C0 74 0F 48 8B 45 E8 48 8B 88 10 01 00 00 0F B6 1C 19 80 7D F8 00 0F 84 DC 00 00 00 48 8B 45 E0 83 A0 A8 03 00 00 FD E9 CC 00 00 00 33 C0 66 89 45 10 88 45 12 48 8B 45 E8 83 78 08 01 7E 28 8B F3 48 8D 55 E8 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 12 40 88 75 10 B9 02 00 00 00 88 5D 11 C6 45 12 00 EB 17 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 88 5D 10 C6 45 11 00 48 8B 55 E8 4C 8D 4D 10 33 C0 C7 44 24 40 01 00 00 00 66 89 45 20 41 B8 00 01 00 00 88 45 22 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 0F 84 41 FF FF FF 0F B6 5D 20 83 F8 01 0F 84 34 FF FF FF 0F B6 4D 21 C1 E3 08 0B D9 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 8B C3 49 8B 5B 18 49 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_23_16_0 {
	meta:
		name = "_toupper_l"
		size = 318
		refs = "001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002d ?internal_islower_l@@YA_NHQEAU__crt_locale_pointers@@@Z 007f _isleadbyte_l 009a _errno 00f7 __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FB 00 01 00 00 73 38 48 8D 55 E8 8B CB E8 ?? ?? ?? ?? 84 C0 74 0F 48 8B 45 E8 48 8B 88 18 01 00 00 0F B6 1C 19 80 7D F8 00 0F 84 DC 00 00 00 48 8B 45 E0 83 A0 A8 03 00 00 FD E9 CC 00 00 00 33 C0 66 89 45 10 88 45 12 48 8B 45 E8 83 78 08 01 7E 28 8B F3 48 8D 55 E8 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 12 40 88 75 10 B9 02 00 00 00 88 5D 11 C6 45 12 00 EB 17 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 88 5D 10 C6 45 11 00 48 8B 55 E8 4C 8D 4D 10 33 C0 C7 44 24 40 01 00 00 00 66 89 45 20 41 B8 00 02 00 00 88 45 22 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 0F 84 41 FF FF FF 0F B6 5D 20 83 F8 01 0F 84 34 FF FF FF 0F B6 4D 21 C1 E3 08 0B D9 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 8B C3 49 8B 5B 18 49 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_23_17_0 {
	meta:
		name = "tolower"
		size = 42
		refs = "0006 __acrt_locale_changed_data 0010 _tolower_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 74 0B 33 D2 E8 ?? ?? ?? ?? 8B C8 EB 0B 8D 41 BF 83 F8 19 77 03 83 C1 20 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_23_18_0 {
	meta:
		name = "toupper"
		size = 42
		refs = "0006 __acrt_locale_changed_data 0010 _toupper_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 74 0B 33 D2 E8 ?? ?? ?? ?? 8B C8 EB 0B 8D 41 9F 83 F8 19 77 03 83 C1 E0 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "_cos_special"
		size = 18
		refs = "0009 ??_C@_03LALBNOCG@cos?$AA@ 000e _sincos_special"
	strings:
		$1 = { 41 B8 12 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_1_0 {
	meta:
		name = "_cosf_special"
		size = 18
		refs = "0009 ??_C@_04OBBKPIAC@cosf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 41 B8 12 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_2_0 {
	meta:
		name = "_sin_special"
		size = 18
		refs = "0009 ??_C@_03BLEJJJBH@sin?$AA@ 000e _sincos_special"
	strings:
		$1 = { 41 B8 1E 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_5_0 {
	meta:
		name = "_sinf_special"
		size = 18
		refs = "0009 ??_C@_04LAGPAAHP@sinf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 41 B8 1E 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_3_0 {
	meta:
		name = "_sincos_special"
		size = 162
		refs = "007f _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 4C 8B DA 48 8B 44 24 60 48 BA 00 00 00 00 00 00 F0 7F 48 8B C8 45 8B D0 48 23 CA 0F 28 C8 48 3B CA 75 6A 48 B9 FF FF FF FF FF FF 0F 00 48 85 C1 75 49 48 B8 00 00 00 00 00 00 F8 FF 41 B9 01 00 00 00 44 89 4C 24 40 0F 57 C0 F2 0F 11 44 24 38 4C 8B C0 F2 0F 11 4C 24 30 41 8B D2 C7 44 24 28 21 00 00 00 49 8B CB C7 44 24 20 08 00 00 00 48 89 44 24 60 E8 ?? ?? ?? ?? EB 12 48 B9 00 00 00 00 00 00 08 00 48 0B C1 48 89 44 24 60 F2 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_24_4_0 {
	meta:
		name = "_sincosf_special"
		size = 137
		refs = "0070 _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 48 83 64 24 78 00 0F 28 C8 F3 0F 11 4C 24 78 4C 8B DA 8B 4C 24 78 BA 00 00 80 7F 8B C1 45 8B D0 23 C2 3B C2 75 54 F7 C1 FF FF 7F 00 75 44 41 B9 01 00 00 00 C7 44 24 78 00 00 C0 FF 4C 8B 44 24 78 0F 57 C0 44 89 4C 24 40 41 8B D2 F3 0F 11 44 24 38 49 8B CB F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? EB 08 0F BA E9 16 89 4C 24 78 F3 0F 10 44 24 78 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_24_6_0 {
	meta:
		name = "_tan_special"
		size = 18
		refs = "0009 ??_C@_03IIINPABG@tan?$AA@ 000e _sincos_special"
	strings:
		$1 = { 41 B8 20 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_7_0 {
	meta:
		name = "_tanf_special"
		size = 18
		refs = "0009 ??_C@_04MHPLPEIA@tanf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 41 B8 20 00 00 00 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_31_0 {
	meta:
		name = "?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z"
		size = 22
	strings:
		$1 = { 48 89 4C 24 08 48 8B 41 08 48 89 01 48 8B 44 24 08 83 60 10 00 C3 }
	condition:
		$1
}

rule file_25_33_0 {
	meta:
		name = "?common_flush_all@@YAH_N@Z"
		size = 93
		refs = "0048 ??$?RV<lambda_886d6c58226a84441f68b9f2b8217b83>@@AEAV<lambda_ab61a845afdef5b7c387490eaf3616ee>@@V<lambda_f7f22ab5edc0698d5f6905b0d3f44752>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_886d6c58226a84441f68b9f2b8217b83>@@AEAV<lambda_ab61a845afdef5b7c387490eaf3616ee>@@$$QEAV<lambda_f7f22ab5edc0698d5f6905b0d3f44752>@@@Z"
	strings:
		$1 = { 88 4C 24 08 55 48 8B EC 48 83 EC 40 83 65 28 00 48 8D 45 28 83 65 20 00 4C 8D 4D E0 48 89 45 E8 4C 8D 45 E8 48 8D 45 10 48 89 45 F0 48 8D 55 E4 48 8D 45 20 48 89 45 F8 48 8D 4D 18 B8 08 00 00 00 89 45 E0 89 45 E4 E8 ?? ?? ?? ?? 80 7D 10 00 8B 45 20 0F 45 45 28 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_25_34_0 {
	meta:
		name = "?common_flush_all_should_try_to_flush_stream@@YA_NV__crt_stdio_stream@@QEAH@Z"
		size = 50
	strings:
		$1 = { 4C 8B C2 48 85 C9 75 03 32 C0 C3 8B 51 14 8B C2 C1 E8 0D A8 01 74 F1 8B C2 24 03 3C 02 75 05 F6 C2 C0 75 0B 0F BA E2 0B 72 05 41 FF 00 EB D9 B0 01 C3 }
	condition:
		$1
}

rule file_25_38_0 {
	meta:
		name = "?is_stream_flushable@@YA_NJ@Z"
		size = 18
	strings:
		$1 = { 8B C1 24 03 3C 02 74 03 32 C0 C3 F6 C1 C0 0F 95 C0 C3 }
	condition:
		$1
}

rule file_25_39_0 {
	meta:
		name = "?is_stream_flushable_or_commitable@@YA_NJ@Z"
		size = 25
	strings:
		$1 = { 8B C1 24 03 3C 02 75 08 F6 C1 C0 74 03 B0 01 C3 C1 E9 0B 80 E1 01 8A C1 C3 }
	condition:
		$1
}

rule file_25_44_0 {
	meta:
		name = "__acrt_stdio_flush_nolock"
		size = 122
		refs = "003a _fileno 0047 _write"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 8B 49 14 8B C1 24 03 3C 02 75 4B F6 C1 C0 74 46 8B 3B 2B 7B 08 83 63 10 00 48 8B 73 08 48 89 33 85 FF 7E 32 48 8B CB E8 ?? ?? ?? ?? 8B C8 44 8B C7 48 8B D6 E8 ?? ?? ?? ?? 3B F8 74 0A F0 83 4B 14 10 83 C8 FF EB 11 8B 43 14 C1 E8 02 A8 01 74 05 F0 83 63 14 FD 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_25_45_0 {
	meta:
		name = "_fflush_nolock"
		size = 75
		refs = "0014 ?common_flush_all@@YAH_N@Z 0019 __acrt_stdio_flush_nolock 0034 _fileno 003b _commit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 83 C8 FF EB 1F 8B 43 14 C1 E8 0B A8 01 74 13 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 DE 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_25_47_0 {
	meta:
		name = "fflush"
		size = 102
		refs = "000f ?common_flush_all@@YAH_N@Z 005d ??$?RV<lambda_c376a267cfb53b6959b3b692ec76b120>@@AEAV<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@V<lambda_572fbb9fa0ab338edf41edfd4b5fcc8d>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_c376a267cfb53b6959b3b692ec76b120>@@AEAV<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@$$QEAV<lambda_572fbb9fa0ab338edf41edfd4b5fcc8d>@@@Z"
	strings:
		$1 = { 48 83 EC 38 48 89 4C 24 48 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 4C 8B 51 14 8B C2 24 03 3C 02 75 05 F6 C2 C0 75 0A 0F BA E2 0B 72 04 33 C0 EB 32 48 8D 44 24 48 48 89 44 24 58 4C 8D 4C 24 50 48 8B 44 24 48 4C 8D 44 24 58 48 8D 54 24 20 48 89 44 24 50 48 8D 4C 24 40 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_26_0_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z"
		size = 22
		refs = "0003 __security_cookie"
		altNames = "??$__crt_fast_decode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z ??$__crt_fast_decode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_decode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z ??$__crt_fast_decode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_decode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8B D1 8B C8 48 33 C2 83 E1 3F 48 D3 C8 C3 }
	condition:
		$1
}

rule file_26_1_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AHPEAU_exception@@@Z@@YAP6AHPEAU_exception@@@ZQ6AH0@Z@Z"
		size = 30
		refs = "0003 __security_cookie"
		altNames = "??$__crt_fast_encode_pointer@P6AHPEA_WK_J@Z@@YAP6AHPEA_WK_J@ZQ6AH0K1@Z@Z ??$__crt_fast_encode_pointer@P6AHXZ@@YAP6AHXZQ6AHXZ@Z ??$__crt_fast_encode_pointer@P6AH_K@Z@@YAP6AH_K@ZQ6AH0@Z@Z ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_encode_pointer@P6AXPEAXK0@Z@@YAP6AXPEAXK0@ZQ6AX0K0@Z@Z ??$__crt_fast_encode_pointer@P6AXPEB_W00I_K@Z@@YAP6AXPEB_W00I_K@ZQ6AX000I1@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_encode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { 4C 8B 05 ?? ?? ?? ?? 48 8B C1 41 8B D0 B9 40 00 00 00 83 E2 3F 2B CA 48 D3 C8 49 33 C0 C3 }
	condition:
		$1
}

rule file_26_4_0 {
	meta:
		name = "?initialize@?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@QEAAXQ6AHPEAU_exception@@@Z@Z"
		size = 49
		altNames = "?initialize@?$dual_state_global@P6AH_K@Z@__crt_state_management@@QEAAXQ6AH_K@Z@Z ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QEAAXQ6AXH@Z@Z ?initialize@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAXQEAPEAD@Z ?initialize@?$dual_state_global@PEAPEA_W@__crt_state_management@@QEAAXQEAPEA_W@Z ?initialize@?$dual_state_global@PEAU__crt_locale_data@@@__crt_state_management@@QEAAXQEAU__crt_locale_data@@@Z ?initialize@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAXQEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 45 33 C0 48 8D 41 08 4C 8B C8 4C 2B C9 49 83 C1 07 49 C1 E9 03 48 3B C8 4D 0F 47 C8 4D 85 C9 74 0F 49 FF C0 48 89 11 48 8D 49 08 4D 3B C1 75 F1 C3 }
	condition:
		$1
}

rule file_26_6_0 {
	meta:
		name = "__acrt_has_user_matherr"
		size = 29
		refs = "0003 __security_cookie 000c ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 8B CA 48 33 15 ?? ?? ?? ?? 83 E1 3F 48 D3 CA 48 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule file_26_8_0 {
	meta:
		name = "__acrt_invoke_user_matherr"
		size = 46
		refs = "0003 __security_cookie 000f ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A 002a __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 4C 8B C1 8B CA 48 33 15 ?? ?? ?? ?? 83 E1 3F 48 D3 CA 48 85 D2 75 03 33 C0 C3 49 8B C8 48 8B C2 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_9_0 {
	meta:
		name = "__setusermatherr"
		size = 37
		refs = "0003 __security_cookie 0020 ?user_matherr@@3V?$dual_state_global@P6AHPEAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 4C 8B 05 ?? ?? ?? ?? 4C 8B C9 41 8B D0 B9 40 00 00 00 83 E2 3F 2B CA 49 D3 C9 4D 33 C8 4C 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_27_7_0 {
	meta:
		name = "?_isindst_nolock@@YAHQEAUtm@@@Z"
		size = 799
		refs = "0029 _get_daylight 0069 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0071 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 007d ?tz_api_used@@3HA 008a ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 00eb ?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z 011e ??$__crt_time_is_leap_year@H@@YA_NH@Z 012d __ImageBase 0136 _lpdays 013f _days 031a _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B F1 33 FF 48 8D 48 10 89 78 10 E8 ?? ?? ?? ?? 85 C0 0F 85 D5 02 00 00 39 BC 24 98 00 00 00 75 20 33 C0 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 8B 6E 14 41 BF 01 00 00 00 3B 2D ?? ?? ?? ?? 75 0C 3B 2D ?? ?? ?? ?? 0F 84 09 02 00 00 39 3D ?? ?? ?? ?? 0F 84 78 01 00 00 66 39 3D ?? ?? ?? ?? 75 64 0F B7 0D ?? ?? ?? ?? 44 8B C5 0F B7 15 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 0F B7 1D ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 33 C9 89 54 24 40 41 8B D7 44 89 54 24 38 89 7C 24 30 44 89 5C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? E9 86 00 00 00 44 0F B7 35 ?? ?? ?? ?? 8B CD 44 0F B7 3D ?? ?? ?? ?? 44 0F B7 25 ?? ?? ?? ?? 44 0F B7 2D ?? ?? ?? ?? 0F B7 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 8D 43 FF 48 63 C8 48 8D 05 ?? ?? ?? ?? 74 09 8B 94 88 ?? ?? ?? ?? EB 07 8B 94 88 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 03 C2 89 2D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 41 6B C5 3C 41 03 C4 6B C8 3C 41 03 CF 41 BF 01 00 00 00 69 C1 E8 03 00 00 41 03 C6 89 05 ?? ?? ?? ?? 66 39 3D ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 44 0F B7 05 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 41 8B CF 89 54 24 40 44 89 44 24 38 44 8B 46 14 75 23 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 89 7C 24 30 44 89 54 24 28 44 89 5C 24 20 E9 99 00 00 00 44 0F B7 15 ?? ?? ?? ?? 33 D2 44 89 54 24 30 89 7C 24 28 89 7C 24 20 E9 80 00 00 00 41 B9 03 00 00 00 45 8B F7 45 8D 61 FF 41 8D 59 08 41 8B C4 83 FD 6B 7D 12 45 8D 4C 24 02 41 8B C7 41 8D 5C 24 08 45 8D 74 24 03 89 7C 24 50 44 8B C5 89 7C 24 48 41 8B D7 89 7C 24 40 33 C9 44 89 64 24 38 89 7C 24 30 89 7C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 46 14 44 8B CB 89 7C 24 50 41 8B CF 89 7C 24 48 89 7C 24 40 44 89 64 24 38 89 7C 24 30 89 7C 24 28 44 89 74 24 20 41 8B D7 E8 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 44 8B 46 1C 44 3B C9 7D 24 45 3B C1 0F 8C 9B FD FF FF 44 3B C1 0F 8F 92 FD FF FF 45 3B C1 7E 25 44 3B C1 7D 20 41 8B C7 E9 82 FD FF FF 44 3B C1 7C F3 45 3B C1 7F EE 44 3B C1 7E 09 45 3B C1 0F 8C 68 FD FF FF 6B 4E 08 3C 03 4E 04 6B D1 3C 03 16 69 C2 E8 03 00 00 45 3B C1 75 11 3B 05 ?? ?? ?? ?? 40 0F 9D C7 8B C7 E9 42 FD FF FF 3B 05 ?? ?? ?? ?? 40 0F 9C C7 EB ED 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_8_0 {
	meta:
		name = "?_set_daylight@@YAXH@Z"
		size = 21
		refs = "0009 __daylight"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_9_0 {
	meta:
		name = "?_set_dstbias@@YAXJ@Z"
		size = 21
		refs = "0009 __dstbias"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_10_0 {
	meta:
		name = "?_set_timezone@@YAXJ@Z"
		size = 21
		refs = "0009 __timezone"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_11_0 {
	meta:
		name = "?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
		size = 517
		refs = "002d ??$__crt_time_is_leap_year@H@@YA_NH@Z 0034 __ImageBase 0049 _lpdays 0059 _days 016e ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 019b ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 01a6 _get_dstbias 0200 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 48 83 EC 30 83 60 08 00 8B E9 49 63 D9 41 8B F8 41 8B C8 83 FA 01 0F 85 EB 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 40 8A F0 84 C0 74 10 8D 53 FF 48 63 CA 45 8B 94 8B ?? ?? ?? ?? EB 0E 8D 43 FF 48 63 C8 45 8B 94 8B ?? ?? ?? ?? 44 8D 47 FF B8 1F 85 EB 51 8D 8F 2B 01 00 00 41 FF C2 F7 E9 B8 1F 85 EB 51 44 8B CA 41 F7 E8 41 8B C0 41 C1 F9 07 C1 FA 05 41 8B C9 C1 E9 1F 44 03 C9 8B CA C1 E9 1F 03 D1 69 CF 6D 01 00 00 44 2B CA 99 83 E2 03 81 C1 25 9C FF FF 44 8D 04 02 B8 93 24 49 92 41 C1 F8 02 45 03 C2 45 03 C1 44 03 C1 8B 4C 24 60 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 8B 54 24 68 44 2B C0 6B C1 07 41 2B C0 44 3B C2 7F 03 83 C0 F9 03 C2 44 03 D0 40 84 F6 74 0A 41 8B 94 9B ?? ?? ?? ?? EB 08 41 8B 94 9B ?? ?? ?? ?? 83 F9 05 75 38 44 3B D2 7E 33 41 83 EA 07 EB 2D E8 ?? ?? ?? ?? 84 C0 4C 8D 1D ?? ?? ?? ?? 8D 43 FF 48 63 C8 74 0A 45 8B 94 8B ?? ?? ?? ?? EB 08 45 8B 94 8B ?? ?? ?? ?? 44 03 54 24 70 6B 44 24 78 3C 03 84 24 80 00 00 00 6B C8 3C 03 8C 24 88 00 00 00 69 C1 E8 03 00 00 03 84 24 90 00 00 00 85 ED 75 28 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 48 8D 4C 24 40 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 41 69 44 24 40 E8 03 00 00 8B 0D ?? ?? ?? ?? 03 C8 B8 00 5C 26 05 89 0D ?? ?? ?? ?? 79 0A 03 C8 FF 0D ?? ?? ?? ?? EB 0C 3B C8 7C 0E 2B C8 FF 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 89 3D ?? ?? ?? ?? EB 8F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_14_0 {
	meta:
		name = "?get_tz_environment_variable@@YAPEADAEAY0BAA@D@Z"
		size = 135
		refs = "0010 ??_C@_02CLFPBFFP@TZ?$AA@ 0023 getenv_s 003f _malloc_base 0075 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? 48 8B D1 41 B8 00 01 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB 4C 83 F8 22 74 04 33 C0 EB 43 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 24 4C 8B 44 24 38 4C 8D 0D ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B FB 33 DB EB 02 33 FF 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_27_16_0 {
	meta:
		name = "?tzset_from_environment_nolock@@YAXPEAD@Z"
		size = 590
		refs = "0017 __tzname 002e _get_timezone 003f _get_daylight 004e ?last_tz@@3PEADEA 007e _free_base 0096 _malloc_base 00c9 strcpy_s 00e9 strncpy_s 0116 atol 01c4 __timezone 01ce __daylight 01f5 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 55 41 56 48 8B EC 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 45 33 F6 48 8D 4D 38 44 89 75 38 48 8B F0 44 89 75 40 E8 ?? ?? ?? ?? 85 C0 0F 85 FF 01 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 85 C0 0F 85 D9 01 00 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 26 4C 8B C1 48 8B C3 4C 2B C3 0F B6 10 46 0F B6 0C 00 41 2B D1 75 08 48 FF C0 45 85 C9 75 EB 85 D2 0F 84 57 01 00 00 E8 ?? ?? ?? ?? 48 83 CF FF 48 8B CF 48 FF C1 44 38 34 0B 75 F7 48 FF C1 E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 0F 84 1C 01 00 00 48 FF C7 44 38 34 3B 75 F7 48 8D 57 01 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 3A 01 00 00 48 8B 0E 44 8D 68 03 45 8B CD 8D 50 40 4C 8B C3 41 8B FD E8 ?? ?? ?? ?? 85 C0 0F 85 05 01 00 00 44 38 33 74 09 48 FF C3 48 83 EF 01 75 F2 80 3B 2D 40 0F 94 C7 40 84 FF 74 03 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 69 D0 10 0E 00 00 89 55 38 8A 03 3C 2B 74 06 2C 30 3C 09 77 05 48 FF C3 EB EF 80 3B 3A 75 4C 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 55 38 6B C8 3C 03 D1 89 55 38 EB 07 3C 39 7F 09 48 FF C3 8A 03 3C 30 7D F3 80 3B 3A 75 22 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 55 38 03 D0 89 55 38 EB 07 3C 39 7F 09 48 FF C3 8A 03 3C 30 7D F3 40 84 FF 74 05 F7 DA 89 55 38 44 38 33 41 8B C6 0F 95 C0 89 45 40 85 C0 74 1A 48 8B 4E 08 4D 8B CD 4C 8B C3 BA 40 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 09 EB 2C 48 8B 46 08 44 88 30 8B 5D 38 E8 ?? ?? ?? ?? 89 18 8B 5D 40 E8 ?? ?? ?? ?? 89 18 48 8B 5C 24 60 48 83 C4 30 41 5E 41 5D 5F 5E 5D C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_17_0 {
	meta:
		name = "?tzset_from_system_nolock@@YAXXZ"
		size = 468
		refs = "000d __tzname 0024 _get_timezone 0035 _get_daylight 0046 _get_dstbias 0055 ?last_tz@@3PEADEA 005a _free_base 0061 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 006e __imp_GetTimeZoneInformation 0096 ?tz_api_used@@3HA 00cf ___lc_codepage_func 0104 __imp_WideCharToMultiByte 0172 __timezone 017c __daylight 0186 __dstbias 01a5 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 48 8B EC 48 83 EC 48 E8 ?? ?? ?? ?? 33 F6 48 8D 4D 28 89 75 28 48 8B D8 89 75 30 89 75 38 E8 ?? ?? ?? ?? 85 C0 0F 85 8F 01 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 69 01 00 00 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 43 01 00 00 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 FF 0F 84 F3 00 00 00 6B 0D ?? ?? ?? ?? 3C 44 8D 46 01 66 39 35 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 89 4D 28 74 08 6B C2 3C 03 C8 89 4D 28 66 39 35 ?? ?? ?? ?? 74 18 8B 05 ?? ?? ?? ?? 85 C0 74 0E 2B C2 44 89 45 30 6B C0 3C 89 45 38 EB 06 89 75 30 89 75 38 E8 ?? ?? ?? ?? 48 8B 0B 4C 8D 05 ?? ?? ?? ?? 8B F8 41 83 C9 FF 48 8D 45 40 33 D2 48 89 44 24 38 48 89 74 24 30 C7 44 24 28 3F 00 00 00 48 89 4C 24 20 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 0E 39 75 40 75 09 48 8B 03 40 88 70 3F EB 06 48 8B 03 40 88 30 48 8D 45 40 41 83 C9 FF 48 89 44 24 38 4C 8D 05 ?? ?? ?? ?? 48 8B 43 08 33 D2 48 89 74 24 30 8B CF C7 44 24 28 3F 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0F 39 75 40 75 0A 48 8B 43 08 40 88 70 3F EB 07 48 8B 43 08 40 88 30 8B 5D 28 E8 ?? ?? ?? ?? 89 18 8B 5D 30 E8 ?? ?? ?? ?? 89 18 8B 5D 38 E8 ?? ?? ?? ?? 89 18 48 83 C4 48 5F 5E 5B 5D C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_18_0 {
	meta:
		name = "?tzset_nolock@@YAXXZ"
		size = 261
		refs = "0015 __security_cookie 002a ??_C@_02CLFPBFFP@TZ?$AA@ 0032 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 003e ?tz_api_used@@3HA 0049 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0053 getenv_s 0072 _malloc_base 0081 _free_base 00cd ?tzset_from_environment_nolock@@YAXPEAD@Z 00d4 ?tzset_from_system_nolock@@YAXXZ 00ec __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 01 00 00 83 C8 FF 4C 8D 0D ?? ?? ?? ?? 33 F6 89 05 ?? ?? ?? ?? 41 B8 00 01 00 00 89 35 ?? ?? ?? ?? 48 8D 54 24 30 89 05 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 48 8D 7C 24 30 EB 4E 83 F8 22 74 05 48 8B FE EB 44 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 09 33 C9 E8 ?? ?? ?? ?? EB E0 4C 8B 44 24 20 4C 8D 0D ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CF EB D7 33 C9 E8 ?? ?? ?? ?? 48 8D 44 24 30 48 8B DF 48 3B F8 48 0F 44 DE 48 85 FF 74 0F 40 38 37 74 0A 48 8B CF E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 8C 24 30 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_27_19_0 {
	meta:
		name = "__tzset"
		size = 60
		refs = "0006 ?first_time@?1??__tzset@@9@4JA 0012 __acrt_lock 0022 ?tzset_nolock@@YAXXZ 0033 __acrt_unlock"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? 85 C0 75 29 8D 48 06 E8 ?? ?? ?? ?? 90 8B 05 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_27_20_0 {
	meta:
		name = "__tzset$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "_isindst$fin$0 _tzset$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 06 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_21_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 49
		refs = "002c _invoke_watson"
	strings:
		$1 = { 85 C9 75 01 C3 53 48 83 EC 30 48 8B 44 24 68 4D 8B D1 44 8B 4C 24 60 4D 8B D8 48 8B DA 48 89 44 24 20 4D 8B C2 49 8B D3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_22_0 {
	meta:
		name = "_isindst"
		size = 48
		refs = "000f __acrt_lock 0018 ?_isindst_nolock@@YAHQEAUtm@@@Z 0024 __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_24_0 {
	meta:
		name = "_tzset"
		size = 36
		refs = "000a __acrt_lock 0010 ?tzset_nolock@@YAXXZ 001b __acrt_unlock"
	strings:
		$1 = { 48 83 EC 28 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 90 B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "_controlfp_s"
		size = 99
		refs = "0027 _control87 002e _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 41 0F BA F0 13 8B C2 41 23 C0 44 8B CA 48 8B D9 A9 E0 FC F0 FC 74 25 48 85 C9 74 0B 33 D2 33 C9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 1B 48 85 C9 41 8B D0 41 8B C9 74 09 E8 ?? ?? ?? ?? 89 03 EB 05 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_2_0 {
	meta:
		name = "??$common_localtime_s@J@@YAHQEAUtm@@QEBJ@Z"
		size = 730
		refs = "0017 _errno 0023 _invalid_parameter_noinfo 003d memset 0062 __tzset 0077 _get_daylight 0088 _get_dstbias 0099 _get_timezone 00c2 _gmtime32_s 00db _isindst 02a9 _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CE 81 3F 7F D2 FF 7F 7F EA E8 ?? ?? ?? ?? 83 65 38 00 48 8D 4D 38 83 65 F0 00 83 65 30 00 E8 ?? ?? ?? ?? 85 C0 0F 85 41 02 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 0F 85 1A 02 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 F3 01 00 00 8B 0F 8D 81 7F 0B FC FF 3D 7D E9 F7 7F 77 59 2B 4D 30 48 8D 55 20 89 4D 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 5B FF FF FF 39 45 38 0F 84 6D 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 5D 01 00 00 8B 45 F0 48 8D 55 20 29 45 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 28 FF FF FF C7 43 20 01 00 00 00 E9 37 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 09 FF FF FF 8B 3B 39 45 38 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 4D F0 03 4D 30 2B F9 C7 43 20 01 00 00 00 EB 03 2B 7D 30 41 B8 89 88 88 88 8B CF 41 8B C0 F7 EF 03 D7 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 3C 2B C8 89 0B 79 08 8D 41 3C 83 EF 3C 89 03 41 8B C0 F7 EF 44 8D 0C 17 41 C1 F9 05 41 8B C1 C1 E8 1F 44 03 C8 41 8B C0 44 03 4B 04 41 F7 E9 41 03 D1 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 3C 41 8B D1 2B D1 89 53 04 79 0A 8D 4A 3C 41 83 E9 3C 89 4B 04 41 8B C0 41 F7 E9 45 8D 04 11 41 B9 AB AA AA 2A 41 C1 F8 05 41 8B C0 C1 E8 1F 44 03 C0 41 8B C1 44 03 43 08 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 0C 52 41 8B D0 C1 E1 03 2B D1 89 53 08 79 0A 8D 4A 18 41 83 E8 18 89 4B 08 41 8B C1 41 F7 E8 44 8B C2 41 C1 F8 02 41 8B C0 C1 E8 1F 44 03 C0 45 85 C0 7E 30 8B 4B 18 B8 93 24 49 92 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 DE FD FF FF 79 F7 8B 4B 18 B8 93 24 49 92 44 01 43 0C 83 C1 07 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 8B 43 0C 89 4B 18 85 C0 7F C4 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_3_0 {
	meta:
		name = "??$common_localtime_s@_J@@YAHQEAUtm@@QEB_J@Z"
		size = 793
		refs = "0017 _errno 0023 _invalid_parameter_noinfo 003d memset 006a __tzset 007f _get_daylight 0090 _get_dstbias 00a1 _get_timezone 00d9 _gmtime64_s 00f2 _isindst 02e8 _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 48 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CD 48 B8 FF 2A 58 93 07 00 00 00 48 39 07 7F E3 E8 ?? ?? ?? ?? 83 65 30 00 48 8D 4D 30 83 65 38 00 83 65 20 00 E8 ?? ?? ?? ?? 85 C0 0F 85 78 02 00 00 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 51 02 00 00 48 8D 4D 20 E8 ?? ?? ?? ?? 85 C0 0F 85 2A 02 00 00 48 8B 0F 48 BA FD 41 50 93 07 00 00 00 48 8D 81 7F 0B FC FF 48 3B C2 77 60 48 63 45 20 48 8D 55 F0 48 2B C8 48 89 4D F0 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 44 FF FF FF 39 45 30 0F 84 95 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 85 01 00 00 48 63 45 38 48 8D 55 F0 48 29 45 F0 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 0F FF FF FF C7 43 20 01 00 00 00 E9 5D 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 F0 FE FF FF 48 63 3B 39 45 30 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 20 03 45 38 48 98 C7 43 20 01 00 00 00 EB 04 48 63 45 20 48 2B F8 49 B8 89 88 88 88 88 88 88 88 49 8B C0 8B CF 48 F7 EF 48 03 D7 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 6B C2 3C 2B C8 89 0B 79 09 8D 41 3C 48 83 EF 3C 89 03 49 8B C0 48 F7 EF 4C 8D 0C 17 49 C1 F9 05 49 8B C1 48 C1 E8 3F 4C 03 C8 48 63 43 04 4C 03 C8 49 8B C0 49 F7 E9 49 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 6B CA 3C 41 8B D1 2B D1 89 53 04 79 0A 8D 4A 3C 49 83 E9 3C 89 4B 04 49 8B C0 49 F7 E9 4D 8D 04 11 49 B9 AB AA AA AA AA AA AA 2A 49 C1 F8 05 49 8B C0 48 C1 E8 3F 4C 03 C0 48 63 43 08 4C 03 C0 49 8B C1 49 F7 E8 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 8D 0C 52 41 8B D0 C1 E1 03 2B D1 89 53 08 79 0A 8D 4A 18 49 83 E8 18 89 4B 08 49 8B C1 49 F7 E8 4C 8B C2 49 C1 F8 02 49 8B C0 48 C1 E8 3F 4C 03 C0 4D 85 C0 7E 30 8B 4B 18 B8 93 24 49 92 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 9F FD FF FF 79 F7 8B 4B 18 B8 93 24 49 92 44 01 43 0C 83 C1 07 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 8B 43 0C 89 4B 18 85 C0 7F C4 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "sqrt"
		size = 211
		refs = "0041 _handle_nan 005d ??_C@_04EIAKFFMI@sqrt?$AA@ 009a _handle_error"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 58 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 68 48 8B 54 24 68 48 8B C2 48 23 C1 48 3B C1 75 76 48 B8 FF FF FF FF FF FF 0F 00 48 85 D0 74 0C 48 8B CA 48 83 C4 58 E9 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 00 80 48 85 D0 74 4C F2 0F 10 4C 24 60 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 0F 57 C0 44 89 4C 24 40 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 41 8D 51 04 C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? EB 2E 48 B8 FF FF FF FF FF FF FF 7F 48 85 D0 0F 95 C1 48 0F BA E2 3F 0F 92 C0 84 C8 75 98 F2 0F 51 54 24 60 F2 0F 11 54 24 70 F2 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "??$common_wincmdln@D@@YAPEADXZ"
		size = 112
		refs = "000b __acrt_initialize_multibyte 0012 _acmdln 0019 ?empty_string@?1???$common_wincmdln@D@@YAPEADXZ@4PADA 0045 _ismbblead"
		altNames = "_get_narrow_winmain_command_line"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 85 C0 48 0F 45 D8 40 32 FF 8A 03 3C 20 7F 09 84 C0 74 31 40 84 FF 74 26 3C 22 75 07 40 84 FF 40 0F 94 C7 0F BE C8 E8 ?? ?? ?? ?? 85 C0 74 03 48 FF C3 48 FF C3 EB D2 3C 20 7F 09 48 FF C3 8A 03 84 C0 75 F3 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_31_1_0 {
	meta:
		name = "??$common_wincmdln@_W@@YAPEA_WXZ"
		size = 79
		refs = "0003 _wcmdln 000a ?empty_string@?1???$common_wincmdln@_W@@YAPEA_WXZ@4PA_WA"
		altNames = "_get_wide_winmain_command_line"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 33 D2 48 85 C0 48 0F 45 C8 8A C2 66 83 39 20 77 09 66 39 11 74 27 84 C0 74 1B 66 83 39 22 75 05 84 C0 0F 94 C0 48 83 C1 02 EB E0 66 83 F8 20 77 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8B C1 C3 }
	condition:
		$1
}

rule file_31_6_0 {
	meta:
		name = "?should_copy_another_character@@YA_ND@Z"
		size = 22
		refs = "0008 _ismbblead"
		altNames = "?is_lead_byte@@YA_ND@Z"
	strings:
		$1 = { 48 83 EC 28 0F BE C9 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_32_5_0 {
	meta:
		name = "_mbsnlen_l"
		size = 152
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 strnlen"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 3E 33 D2 33 C9 48 85 FF 74 2E 80 3B 00 74 29 0F B6 03 42 F6 44 00 19 04 74 10 48 FF C1 48 3B CF 73 19 48 FF C3 80 3B 00 74 0E 48 FF C2 48 FF C3 48 FF C1 48 3B CF 72 D2 48 3B CF 48 0F 43 D7 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "ceil"
		size = 194
		refs = "0047 _handle_nan 007f __real@3ff0000000000000"
	strings:
		$1 = { 45 33 C0 F2 0F 11 44 24 08 48 8B 54 24 08 48 B9 FF FF FF FF FF FF FF 7F 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 17 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 76 7E 48 8B CA E9 ?? ?? ?? ?? 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 2B 48 85 C0 74 62 4D 85 C0 74 17 48 B8 00 00 00 00 00 00 00 80 48 89 44 24 08 F2 0F 10 44 24 08 EB 46 F2 0F 10 05 ?? ?? ?? ?? EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 08 F2 0F 10 44 24 08 4D 85 C0 75 0D 48 3B C2 74 08 F2 0F 58 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_34_0_0 {
	meta:
		name = "??$common_show_message_box@D@@YAHQEBD0I@Z"
		size = 168
		refs = "001e __acrt_get_developer_information_policy 002b __imp_IsDebuggerPresent 003d __imp_OutputDebugStringA 0053 __acrt_can_show_message_box 005c __acrt_is_interactive 0074 __acrt_MessageBoxA 007b __acrt_get_parent_window"
		altNames = "__acrt_show_narrow_message_box"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8B F0 48 8B EA 48 8B D9 E8 ?? ?? ?? ?? 83 F8 02 40 0F 94 C7 FF 15 ?? ?? ?? ?? 85 C0 74 1A 48 85 DB 74 09 48 8B CB FF 15 ?? ?? ?? ?? 40 84 FF 74 3E B8 04 00 00 00 EB 46 40 84 FF 74 32 E8 ?? ?? ?? ?? 84 C0 74 29 E8 ?? ?? ?? ?? 84 C0 75 16 0F BA EE 15 33 C9 48 8B D3 4C 8B C5 44 8B CE E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 48 8B C8 EB E6 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C0 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_1_0 {
	meta:
		name = "??$common_show_message_box@_W@@YAHQEB_W0I@Z"
		size = 168
		refs = "001e __acrt_get_developer_information_policy 002b __imp_IsDebuggerPresent 003d __imp_OutputDebugStringW 0053 __acrt_can_show_message_box 005c __acrt_is_interactive 0074 __acrt_MessageBoxW 007b __acrt_get_parent_window"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8B F0 48 8B EA 48 8B D9 E8 ?? ?? ?? ?? 83 F8 02 40 0F 94 C7 FF 15 ?? ?? ?? ?? 85 C0 74 1A 48 85 DB 74 09 48 8B CB FF 15 ?? ?? ?? ?? 40 84 FF 74 3E B8 04 00 00 00 EB 46 40 84 FF 74 32 E8 ?? ?? ?? ?? 84 C0 74 29 E8 ?? ?? ?? ?? 84 C0 75 16 0F BA EE 15 33 C9 48 8B D3 4C 8B C5 44 8B CE E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 48 8B C8 EB E6 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C0 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_9_0 {
	meta:
		name = "__acrt_show_wide_message_box"
		size = 168
		refs = "001e __acrt_get_developer_information_policy 002b __imp_IsDebuggerPresent 003d __imp_OutputDebugStringW 0053 __acrt_can_show_message_box 005c __acrt_is_interactive 0074 __acrt_MessageBoxW 007b __acrt_get_parent_window"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8B F0 48 8B EA 48 8B D9 E8 ?? ?? ?? ?? 83 F8 02 40 0F 94 C7 FF 15 ?? ?? ?? ?? 85 C0 74 1A 48 85 DB 74 09 48 8B CB FF 15 ?? ?? ?? ?? 40 84 FF 74 3E B8 04 00 00 00 EB 46 40 84 FF 74 32 E8 ?? ?? ?? ?? 84 C0 74 29 E8 ?? ?? ?? ?? 84 C0 75 16 0F BA EE 15 33 C9 48 8B D3 4C 8B C5 44 8B CE E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 48 8B C8 EB E6 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C0 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_2_0 {
	meta:
		name = "??$message_box@$$TAEBQEBDAEBQEBDK@?$__crt_char_traits@D@@SAH$$QEA$$TAEBQEBD1$$QEAK@Z"
		size = 17
		refs = "000d __acrt_MessageBoxA"
		altNames = "??$message_box@PEAUHWND__@@AEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAUHWND__@@AEBQEBD1AEBI@Z"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_3_0 {
	meta:
		name = "??$message_box@$$TAEBQEB_WAEBQEB_WK@?$__crt_char_traits@_W@@SAH$$QEA$$TAEBQEB_W1$$QEAK@Z"
		size = 17
		refs = "000d __acrt_MessageBoxW"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_5_0 {
	meta:
		name = "??$message_box@PEAUHWND__@@AEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAUHWND__@@AEBQEB_W1AEBI@Z"
		size = 17
		refs = "000d __acrt_MessageBoxW"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_30_0 {
	meta:
		name = "??$ulltot_s@AEB_KAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEB_KAEBQEAD0$$QEAH@Z"
		size = 17
		refs = "000d _ui64toa_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_31_0 {
	meta:
		name = "??$ulltot_s@AEB_KAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEB_KAEBQEA_W0$$QEAH@Z"
		size = 17
		refs = "000d _ui64tow_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_4_0 {
	meta:
		name = "_mbsncat_s_l"
		size = 584
		refs = "005a _errno 0066 _invalid_parameter_noinfo 0099 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b5 strncat_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 FF 49 8B E9 49 8B D8 48 8B F2 48 8B F9 45 8B F7 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 3A 48 85 DB 75 35 44 88 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 54 24 30 48 8B D6 48 8B CF 45 39 7A 08 75 12 4C 8B CD 4C 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 6C 01 00 00 41 BC 01 00 00 00 44 38 39 74 08 49 03 CC 49 2B D4 75 F3 48 85 D2 75 12 44 88 3F E8 ?? ?? ?? ?? BB 16 00 00 00 E9 23 01 00 00 48 3B D6 73 37 4C 8D 49 FF 4D 8B C1 4C 3B CF 72 14 41 0F B6 00 42 F6 44 10 19 04 74 08 4D 2B C4 4C 3B C7 73 EC 41 8B C1 41 2B C0 41 84 C4 74 0C 49 8B C9 45 88 39 49 03 D4 45 8B F4 48 83 FD FF 75 16 48 2B CB 8A 03 88 04 19 49 03 DC 84 C0 74 65 49 2B D4 75 EF EB 5E 48 85 ED 74 56 0F B6 03 42 F6 44 10 19 04 74 23 48 FF C3 44 38 3B 74 38 48 83 FA 02 76 2D 88 01 49 03 CC 8A 03 49 03 DC 88 01 49 03 CC 48 83 EA 02 EB 11 88 01 49 03 DC 49 03 CC 84 C0 74 17 49 2B D4 74 12 49 2B EC 74 0D EB BA 49 8B D7 EB 06 44 88 39 45 8B F4 48 85 ED 75 03 44 88 39 48 85 D2 75 71 48 83 FD FF 75 55 45 85 F6 74 0F E8 ?? ?? ?? ?? 8D 5D 2B 89 18 4C 8B 54 24 30 49 3B F4 76 30 48 8D 56 FE 48 03 D7 48 8B CA 48 3B D7 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CC 48 3B CF 73 ED 8B C2 2B C1 41 84 C4 74 05 44 88 3A EB 05 44 88 7C 37 FF BB 50 00 00 00 EB 2C 44 88 3F E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 45 85 F6 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DF 44 38 7C 24 38 0F 84 33 FE FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 22 FE FF FF }
	condition:
		$1
}

rule file_36_1_0 {
	meta:
		name = "??$translate_text_mode_nolock@D@@YAHHQEAD_K@Z"
		size = 402
		refs = "0020 __pioinfo 00d0 __imp_ReadFile 0126 _lseeki64_nolock"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 63 E9 4C 8B F2 49 8B FD 48 8D 15 ?? ?? ?? ?? 83 E7 3F 4D 8B FD 49 C1 FF 06 48 C1 E7 06 4A 8B 04 FA 48 8B 4C 38 28 48 89 8C 24 80 00 00 00 4D 85 C0 74 0D 41 80 3E 0A 75 07 80 4C 38 38 04 EB 05 80 64 38 38 FB 4F 8D 24 06 49 8B F6 49 8B DE 4D 3B F4 0F 83 08 01 00 00 49 8D 6E 01 8A 06 3C 1A 0F 84 DF 00 00 00 3C 0D 74 10 88 03 48 FF C3 48 FF C6 48 FF C5 E9 C0 00 00 00 49 3B EC 73 1E 80 7D 00 0A 75 13 48 83 C6 02 C6 03 0A 48 83 C5 02 48 FF C3 E9 A2 00 00 00 C6 03 0D EB CF 48 83 64 24 20 00 4C 8D 4C 24 78 41 B8 01 00 00 00 48 8D 54 24 70 48 FF C6 48 FF C5 FF 15 ?? ?? ?? ?? 85 C0 74 62 83 7C 24 78 00 74 5B 48 8D 15 ?? ?? ?? ?? 4A 8B 04 FA F6 44 38 38 48 74 1B 8A 4C 24 70 80 F9 0A 75 05 C6 03 0A EB 45 C6 03 0D 4A 8B 04 FA 88 4C 38 3A EB 38 80 7C 24 70 0A 75 05 49 3B DE 74 E2 41 B8 01 00 00 00 48 83 CA FF 41 8B CD E8 ?? ?? ?? ?? 80 7C 24 70 0A 48 8D 15 ?? ?? ?? ?? 74 0F EB 07 48 8D 15 ?? ?? ?? ?? C6 03 0D 48 FF C3 48 8B 8C 24 80 00 00 00 49 3B F4 0F 82 19 FF FF FF EB 1B 4A 8B 0C FA 8A 44 39 38 A8 40 75 08 0C 02 88 44 39 38 EB 07 8A 0E 88 0B 48 FF C3 49 2B DE 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_36_2_0 {
	meta:
		name = "??$translate_text_mode_nolock@_W@@YAHHQEA_W_K@Z"
		size = 558
		refs = "0017 __pioinfo 00eb __imp_ReadFile 01a9 _lseeki64_nolock"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 4C 63 E9 4C 8D 15 ?? ?? ?? ?? 49 8B FD 4D 8B FD 49 C1 FF 06 83 E7 3F 48 C1 E7 06 4C 8B F2 41 B9 0A 00 00 00 4B 8B 04 FA 48 8B 4C 38 28 48 89 8C 24 98 00 00 00 4D 85 C0 74 0D 66 44 39 0A 75 07 80 4C 38 38 04 EB 05 80 64 38 38 FB 4E 8D 24 42 48 8B F2 48 8B DA 49 3B D4 0F 83 A3 01 00 00 48 8D 6A 02 BA 0D 00 00 00 0F B7 06 66 83 F8 1A 0F 84 6F 01 00 00 66 3B C2 74 14 66 89 03 48 83 C3 02 48 83 C6 02 48 83 C5 02 E9 A1 00 00 00 49 3B EC 73 21 66 44 39 4D 00 75 15 48 83 C6 04 66 44 89 0B 48 83 C5 04 48 83 C3 02 E9 80 00 00 00 66 89 13 EB C9 48 83 64 24 20 00 4C 8D 8C 24 90 00 00 00 41 B8 02 00 00 00 48 8D 94 24 80 00 00 00 48 83 C6 02 48 83 C5 02 FF 15 ?? ?? ?? ?? 85 C0 0F 84 E2 00 00 00 83 BC 24 90 00 00 00 00 0F 84 D4 00 00 00 4C 8D 15 ?? ?? ?? ?? 41 B9 0A 00 00 00 4B 8B 04 FA F6 44 38 38 48 74 6D 0F B7 84 24 80 00 00 00 66 41 3B C1 75 23 66 44 89 0B 48 83 C3 02 BA 0D 00 00 00 48 8B 8C 24 98 00 00 00 49 3B F4 0F 82 30 FF FF FF E9 C5 00 00 00 B9 0D 00 00 00 66 89 84 24 88 00 00 00 66 89 0B 48 83 C3 02 33 D2 4B 8B 0C FA 8A 84 14 88 00 00 00 48 03 CF 88 44 11 3A 48 FF C2 48 83 FA 02 7C E5 4B 8B 04 FA 44 88 4C 38 3C EB A9 66 44 39 8C 24 80 00 00 00 75 05 49 3B DE 74 91 48 C7 C2 FE FF FF FF 41 8B CD 44 8D 42 03 E8 ?? ?? ?? ?? 41 B9 0A 00 00 00 4C 8D 15 ?? ?? ?? ?? 66 44 39 8C 24 80 00 00 00 0F 84 6A FF FF FF 41 8D 51 03 66 89 13 48 83 C3 02 E9 5F FF FF FF BA 0D 00 00 00 4C 8D 15 ?? ?? ?? ?? 66 89 13 48 83 C3 02 44 8D 4A FD E9 43 FF FF FF 4B 8B 0C FA 8A 44 39 38 A8 40 75 08 0C 02 88 44 39 38 EB 0A 0F B7 0E 66 89 0B 48 83 C3 02 49 2B DE 48 D1 FB 48 8D 04 1B 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_36_5_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
		size = 52
		refs = "0014 _free_base"
		altNames = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QEAAAEAV0@$$QEAV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B DA 48 8B 09 E8 ?? ?? ?? ?? 48 83 27 00 48 8B 03 48 89 07 48 8B C7 48 83 23 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_8_0 {
	meta:
		name = "?store_lookahead@@YAXHD@Z"
		size = 35
		refs = "0006 __pioinfo"
	strings:
		$1 = { 4C 63 C1 48 8D 0D ?? ?? ?? ?? 49 8B C0 41 83 E0 3F 48 C1 F8 06 49 C1 E0 06 48 8B 04 C1 42 88 54 00 3A C3 }
	condition:
		$1
}

rule file_36_9_0 {
	meta:
		name = "?store_lookahead@@YAXH_W@Z"
		size = 67
		refs = "0006 __pioinfo"
	strings:
		$1 = { 4C 63 C1 4C 8D 15 ?? ?? ?? ?? 4D 8B C8 66 89 54 24 10 49 C1 F9 06 33 D2 41 83 E0 3F 49 C1 E0 06 4B 8B 0C CA 8A 44 14 10 49 03 C8 88 44 11 3A 48 FF C2 48 83 FA 02 7C E8 4B 8B 04 CA 42 C6 44 00 3C 0A C3 }
	condition:
		$1
}

rule file_36_10_0 {
	meta:
		name = "?translate_ansi_or_utf8_nolock@@YAHHQEAD_KQEA_W1@Z"
		size = 761
		refs = "001f __ImageBase 003e __pioinfo 00d9 __imp_ReadFile 0143 _lseeki64_nolock 01f7 _lookuptrailbytes 0210 _errno 02a6 __imp_MultiByteToWideChar 02b2 __imp_GetLastError 02b9 __acrt_errno_map_os_error"
	strings:
		$1 = { 4C 89 4C 24 20 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 49 8B E9 4C 8D 15 ?? ?? ?? ?? 4C 63 C9 4C 8B F2 49 8B F9 4D 8B F9 49 C1 FF 06 83 E7 3F 48 C1 E7 06 4B 8B 84 FA ?? ?? ?? ?? 4C 8B 6C 38 28 4D 85 C0 74 0C 80 3A 0A 75 07 80 4C 38 38 04 EB 05 80 64 38 38 FB 4E 8D 24 02 48 8B F2 48 8B DA 49 3B D4 0F 83 31 01 00 00 48 8D 6A 01 8A 06 3C 1A 0F 84 F4 00 00 00 3C 0D 74 10 88 03 48 FF C3 48 FF C6 48 FF C5 E9 D5 00 00 00 49 3B EC 73 1B 80 7D 00 0A 75 10 48 83 C6 02 48 83 C5 02 C6 03 0A E9 B7 00 00 00 C6 03 0D EB D2 48 83 64 24 20 00 4C 8D 8C 24 90 00 00 00 41 B8 01 00 00 00 48 8D 94 24 88 00 00 00 49 8B CD 48 FF C6 48 FF C5 FF 15 ?? ?? ?? ?? 85 C0 74 79 83 BC 24 90 00 00 00 00 74 6F 4C 8D 15 ?? ?? ?? ?? 4B 8B 84 FA ?? ?? ?? ?? F6 44 38 38 48 74 1D 8A 8C 24 88 00 00 00 80 F9 0A 74 98 C6 03 0D 4B 8B 84 FA ?? ?? ?? ?? 88 4C 38 3A EB 46 80 BC 24 88 00 00 00 0A 75 09 49 3B DE 0F 84 74 FF FF FF 8B 8C 24 80 00 00 00 41 B8 01 00 00 00 48 83 CA FF E8 ?? ?? ?? ?? 80 BC 24 88 00 00 00 0A 4C 8D 15 ?? ?? ?? ?? 74 0F EB 07 4C 8D 15 ?? ?? ?? ?? C6 03 0D 48 FF C3 49 3B F4 0F 82 04 FF FF FF EB 1F 4B 8B 8C FA ?? ?? ?? ?? 8A 44 39 38 A8 40 75 08 0C 02 88 44 39 38 EB 07 8A 06 88 03 48 FF C3 44 8B 8C 24 80 00 00 00 48 8B AC 24 98 00 00 00 41 2B DE 75 07 33 C0 E9 3B 01 00 00 4B 8B 8C FA ?? ?? ?? ?? 80 7C 39 39 00 75 07 8B C3 E9 25 01 00 00 48 63 C3 49 8D 5E FF 48 03 D8 F6 03 80 75 08 48 FF C3 E9 AA 00 00 00 BA 01 00 00 00 EB 0F 83 FA 04 77 18 49 3B DE 72 13 48 FF CB FF C2 0F B6 03 42 80 BC 10 ?? ?? ?? ?? 00 74 E3 44 0F B6 03 43 0F BE 84 10 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 C6 00 00 00 FF C0 3B C2 75 07 8B C2 48 03 D8 EB 55 F6 44 39 38 48 74 3B 48 FF C3 44 88 44 39 3A 83 FA 02 72 11 8A 03 48 FF C3 4B 8B 8C FA ?? ?? ?? ?? 88 44 39 3B 83 FA 03 75 11 8A 03 48 FF C3 4B 8B 8C FA ?? ?? ?? ?? 88 44 39 3C 8B C2 48 2B D8 EB 13 F7 DA 41 B8 01 00 00 00 48 63 D2 41 8B C9 E8 ?? ?? ?? ?? 8B 84 24 A0 00 00 00 41 2B DE 89 44 24 28 44 8B CB 4D 8B C6 48 89 6C 24 20 33 D2 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 8B D0 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 58 FF FF FF 48 8D 0D ?? ?? ?? ?? 4A 8B 8C F9 ?? ?? ?? ?? 80 64 39 3D FD 3B C3 0F 95 C0 24 01 02 C0 08 44 39 3D 8B C2 48 03 C0 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_36_11_0 {
	meta:
		name = "?translate_utf16_from_console_nolock@@YAHHQEA_W_K@Z"
		size = 148
		refs = "006a __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 4E 8D 14 42 4C 63 D9 4C 8B CA 4C 8B C2 48 8B C2 49 3B D2 73 6B 48 83 C2 02 BB 0A 00 00 00 41 0F B7 08 66 83 F9 1A 74 37 66 83 F9 0D 75 1B 49 3B D2 73 16 66 39 1A 75 11 49 83 C0 04 66 89 18 48 83 C2 04 48 83 C0 02 EB 0F 66 89 08 49 83 C0 02 48 83 C0 02 48 83 C2 02 4D 3B C2 72 C1 EB 21 49 8B D3 4C 8D 05 ?? ?? ?? ?? 83 E2 3F 49 8B CB 48 C1 F9 06 48 C1 E2 06 49 8B 0C C8 80 4C 11 38 02 48 8B 5C 24 08 49 2B C1 48 D1 F8 48 03 C0 C3 }
	condition:
		$1
}

rule file_36_12_0 {
	meta:
		name = "_read"
		size = 279
		refs = "0025 __doserrno 002d _errno 0046 _nhandle 005d __pioinfo 00a0 __acrt_lowio_lock_fh 00d8 _read_nolock 00e1 __acrt_lowio_unlock_fh 00fd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 41 54 41 55 41 56 41 57 48 83 EC 20 45 8B F8 4C 8B EA 48 63 F1 83 FE FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C5 00 00 00 85 C9 0F 88 A5 00 00 00 3B 35 ?? ?? ?? ?? 0F 83 99 00 00 00 4C 8B F6 4C 8B E6 49 C1 FC 06 48 8D 05 ?? ?? ?? ?? 41 83 E6 3F 49 C1 E6 06 4A 8B 04 E0 42 0F B6 4C 30 38 83 E1 01 74 71 33 C0 41 81 F8 FF FF FF 7F 0F 96 C0 85 C0 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 5F 8B CE E8 ?? ?? ?? ?? 83 CB FF 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 42 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 0F 45 8B C7 49 8B D5 8B CE E8 ?? ?? ?? ?? 8B D8 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5E C3 }
	condition:
		$1
}

rule file_36_13_0 {
	meta:
		name = "_read$fin$0"
		size = 23
		refs = "0012 __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_filelength@J@@YAJH@Z@4HA ?fin$0@?0???$common_filelength@_J@@YA_JH@Z@4HA ?fin$0@?0???$common_lseek@J@@YAJHJH@Z@4HA ?fin$0@?0???$common_lseek@_J@@YA_JH_JH@Z@4HA _locking$fin$0 _setmode$fin$0 _write$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 50 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_36_14_0 {
	meta:
		name = "_read_nolock"
		size = 1125
		refs = "0029 __doserrno 0032 _errno 004e _nhandle 0075 __pioinfo 0125 _invalid_parameter_noinfo 013f _malloc_base 0149 _free_base 0181 _lseeki64_nolock 0241 _isatty 0270 __imp_GetConsoleMode 029f __imp_ReadConsoleW 02a9 __imp_GetLastError 02b0 __acrt_errno_map_os_error 02f1 __imp_ReadFile 0350 ?translate_ansi_or_utf8_nolock@@YAHHQEAD_KQEA_W1@Z 03f0 ??$translate_text_mode_nolock@_W@@YAHHQEA_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 4C 63 E9 4C 8B CA 45 8B E0 41 83 FD FE 75 19 E8 ?? ?? ?? ?? 33 F6 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 09 04 00 00 33 F6 85 C9 0F 88 E8 03 00 00 44 3B 2D ?? ?? ?? ?? 0F 83 DB 03 00 00 49 8B ED 44 8D 46 01 83 E5 3F 4C 89 44 24 48 49 8B D5 48 C1 E5 06 48 C1 FA 06 4C 8D 1D ?? ?? ?? ?? 48 89 54 24 40 49 8B 04 D3 44 84 44 28 38 0F 84 A6 03 00 00 41 81 FC FF FF FF 7F 76 17 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 98 03 00 00 45 85 E4 0F 84 79 03 00 00 F6 44 28 38 02 0F 85 6E 03 00 00 4D 85 C9 74 D0 48 8B 4C 28 28 48 8B DE 44 0F BE 54 28 39 BF 04 00 00 00 48 89 4C 24 38 41 8B CA 44 88 94 24 A0 00 00 00 41 2B C8 74 1A 41 2B C8 75 0A 41 8B C4 F7 D0 41 84 C0 74 15 45 8B F4 4D 8B F9 E9 A0 00 00 00 41 8B C4 F7 D0 41 84 C0 75 1C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 86 01 00 00 45 8B F4 41 D1 EE 44 3B F7 44 0F 42 F7 41 8B CE E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 4C 8B FB 48 85 DB 75 1B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E9 3D 01 00 00 33 D2 41 8B CD 44 8D 42 01 E8 ?? ?? ?? ?? 48 8B 54 24 40 4C 8D 1D ?? ?? ?? ?? 44 8A 94 24 A0 00 00 00 41 B8 01 00 00 00 49 8B 0C D3 48 89 44 29 30 49 8B 04 D3 8B FE 4C 89 7C 24 50 41 B9 0A 00 00 00 F6 44 28 38 48 74 7D 8A 4C 28 3A 41 3A C9 74 74 45 85 F6 74 6F 41 88 0F 41 FF CE 49 8B 04 D3 4D 03 F8 41 8B F8 44 88 4C 28 3A 45 84 D2 74 55 49 8B 04 D3 8A 4C 28 3B 41 3A C9 74 48 45 85 F6 74 43 41 88 0F 41 8D 79 F8 49 8B 04 D3 4D 03 F8 41 FF CE 44 88 4C 28 3B 45 3A D0 75 28 49 8B 04 D3 8A 4C 28 3C 41 3A C9 74 1B 45 85 F6 74 16 41 88 0F 41 8D 79 F9 49 8B 04 D3 4D 03 F8 41 FF CE 44 88 4C 28 3C 41 8B CD E8 ?? ?? ?? ?? 85 C0 0F 84 85 00 00 00 48 8B 44 24 40 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 F6 44 28 38 80 74 6E 48 8B 4C 24 38 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 74 5A 80 BC 24 A0 00 00 00 02 75 55 48 8B 4C 24 38 4C 8D 8C 24 B8 00 00 00 41 D1 EE 49 8B D7 45 8B C6 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CF FF 48 8B CB E8 ?? ?? ?? ?? 8B C7 E9 87 01 00 00 8B 84 24 B8 00 00 00 8D 3C 47 EB 40 40 88 74 24 48 48 8B 4C 24 38 4C 8D 8C 24 B8 00 00 00 45 8B C6 48 89 74 24 20 49 8B D7 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 44 39 A4 24 B8 00 00 00 0F 87 EE 00 00 00 03 BC 24 B8 00 00 00 48 8B 54 24 40 4C 8D 1D ?? ?? ?? ?? 49 8B 04 D3 F6 44 28 38 80 74 8E 80 BC 24 A0 00 00 00 02 74 28 4C 8B 8C 24 A8 00 00 00 49 8B C4 48 D1 E8 49 8B D7 4C 63 C7 41 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 8B F8 E9 5C FF FF FF 48 8B 44 24 48 84 C0 74 7D 4C 8B 44 24 50 48 63 C7 49 8B C8 48 D1 E8 49 8B F8 4D 8D 14 40 4D 3B C2 73 56 49 8D 40 02 BE 0A 00 00 00 44 0F B7 09 66 41 83 F9 1A 74 39 66 41 83 F9 0D 75 1B 49 3B C2 73 16 66 39 30 75 11 48 83 C1 04 66 89 37 48 83 C0 04 48 83 C7 02 EB 10 66 44 89 0F 48 83 C1 02 48 83 C7 02 48 83 C0 02 49 3B CA 72 BE EB 09 49 8B 04 D3 80 4C 28 38 02 49 2B F8 48 D1 FF 03 FF E9 D6 FE FF FF 48 8B 54 24 50 41 8B CD 4C 63 C7 49 D1 E8 E8 ?? ?? ?? ?? E9 5B FF FF FF FF 15 ?? ?? ?? ?? 83 F8 05 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E9 95 FE FF FF 83 F8 6D 0F 85 85 FE FF FF 8B FE E9 88 FE FF FF 33 C0 EB 1A E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 9C 24 B0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "??$common_tcsncpy_s@D@@YAHQEAD_KQEBD1@Z"
		size = 193
		refs = "0039 _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 09 EB E8 4D 85 C0 75 1C 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 2B C1 48 8B D1 4D 8B DA 49 8B D9 49 83 F9 FF 75 15 41 8A 04 10 88 02 48 FF C2 84 C0 74 28 49 83 EB 01 75 ED EB 20 41 8A 04 10 88 02 48 FF C2 84 C0 74 0C 49 83 EB 01 74 06 48 83 EB 01 75 E7 48 85 DB 75 02 88 1A 4D 85 DB 0F 85 77 FF FF FF 49 83 F9 FF 75 0B 46 88 5C 11 FF 41 8D 43 50 EB 99 C6 01 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 81 }
	condition:
		$1
}

rule file_37_1_0 {
	meta:
		name = "strncpy_s"
		size = 210
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 D2 4C 8B DA 4D 85 C9 75 2C 48 85 C9 75 2C 48 85 D2 74 14 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 8B D3 41 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 48 85 C9 74 D9 48 85 D2 74 D4 4D 85 C9 75 05 44 88 11 EB DE 4D 85 C0 75 05 44 88 11 EB C0 4C 2B C1 48 8B D1 49 8B DB 49 8B F9 49 83 F9 FF 75 15 41 8A 04 10 88 02 48 FF C2 84 C0 74 29 48 83 EB 01 75 ED EB 21 41 8A 04 10 88 02 48 FF C2 84 C0 74 0C 48 83 EB 01 74 06 48 83 EF 01 75 E7 48 85 FF 75 03 44 88 12 48 85 DB 75 87 49 83 F9 FF 75 0E 46 88 54 19 FF 44 8D 53 50 E9 73 FF FF FF 44 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 57 FF FF FF }
	condition:
		$1
}

rule file_38_1_0 {
	meta:
		name = "wmemmove_s"
		size = 82
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0046 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3C 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4F 8D 04 09 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_1_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAA@XZ"
		size = 34
		refs = "0014 __imp_CloseHandle"
		altNames = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 FF 48 8B D9 74 0D 48 8B 09 FF 15 ?? ?? ?? ?? 48 83 0B FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_641_37_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAA@XZ"
		size = 34
		refs = "0014 __imp_FindClose"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 FF 48 8B D9 74 0D 48 8B 09 FF 15 ?? ?? ?? ?? 48 83 0B FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_641_58_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QEAAXXZ"
		size = 34
		refs = "0014 __imp_FindClose"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 FF 48 8B D9 74 0D 48 8B 09 FF 15 ?? ?? ?? ?? 48 83 0B FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_3_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPEAX@Z"
		size = 20
		refs = "0006 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_641_59_0 {
	meta:
		name = "?close@__crt_findfile_traits@@SA_NPEAX@Z"
		size = 20
		refs = "0006 __imp_FindClose"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_661_23_0 {
	meta:
		name = "?close@__crt_hmodule_traits@@SA_NPEAUHINSTANCE__@@@Z"
		size = 20
		refs = "0006 __imp_FreeLibrary"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_39_6_0 {
	meta:
		name = "_cwait"
		size = 182
		refs = "0032 __imp_WaitForSingleObject 0044 __imp_GetExitCodeProcess 005e __imp_GetLastError 0068 _errno 0073 __doserrno 0082 __acrt_errno_map_os_error 0092 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 CF FF 48 8B F2 48 8B D9 48 85 C9 74 02 89 39 48 8D 42 02 48 83 F8 01 76 6E 83 CA FF 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 22 48 8D 54 24 30 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 10 48 85 DB 74 06 8B 44 24 30 89 03 48 8B FE EB 31 FF 15 ?? ?? ?? ?? 83 F8 06 75 18 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 E8 ?? ?? ?? ?? C7 00 06 00 00 00 EB 07 8B C8 E8 ?? ?? ?? ?? 48 85 DB 74 02 89 3B 48 8B CE FF 15 ?? ?? ?? ?? EB 0B E8 ?? ?? ?? ?? C7 00 0A 00 00 00 48 8B 5C 24 38 48 8B C7 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_40_12_0 {
	meta:
		name = "??$common_strtod_l@MD@@YAMQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		size = 161
		refs = "001e _errno 0029 _invalid_parameter_noinfo 003b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0066 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAM@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 D2 74 03 48 89 0A 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 64 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 4C 8B C7 F3 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 C0 FE 83 F8 01 77 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 80 7C 24 48 00 F3 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_40_13_0 {
	meta:
		name = "??$common_strtod_l@M_W@@YAMQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
		size = 161
		refs = "001e _errno 0029 _invalid_parameter_noinfo 003b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0066 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAM@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 D2 74 03 48 89 0A 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 64 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 4C 8B C7 F3 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 C0 FE 83 F8 01 77 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 80 7C 24 48 00 F3 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_40_14_0 {
	meta:
		name = "??$common_strtod_l@ND@@YANQEBDQEAPEADQEAU__crt_locale_pointers@@@Z"
		size = 161
		refs = "001e _errno 0029 _invalid_parameter_noinfo 003b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0066 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAN@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 D2 74 03 48 89 0A 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 64 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 4C 8B C7 F2 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 C0 FE 83 F8 01 77 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 80 7C 24 48 00 F2 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_40_15_0 {
	meta:
		name = "??$common_strtod_l@N_W@@YANQEB_WQEAPEA_WQEAU__crt_locale_pointers@@@Z"
		size = 161
		refs = "001e _errno 0029 _invalid_parameter_noinfo 003b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0066 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QEAN@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B FA 48 8B D9 48 85 D2 74 03 48 89 0A 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 64 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 57 C0 48 8D 4C 24 20 4C 8B C7 F2 0F 11 44 24 60 48 8B D3 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 60 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 C0 FE 83 F8 01 77 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 80 7C 24 48 00 F2 0F 10 44 24 60 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "powf"
		size = 3782
		refs = "0012 __use_fma3_lib 0073 L__xexp_bits_xmantissa_bits 0098 L__1_by_2 00aa L__1023 00b5 __log_F_inv_qword 00ca L__1_by_3 00ea L__log2 00f1 L__log_256_table 0106 L__max_exp_arg 0114 L__min_exp_arg 0126 L__real_64_by_log2 0136 L__real_log2_by_64 014a L__1_by_6 0172 __two_to_jby64_table 0201 L__neg_zero 020e L__real_one 021f L__real_threshold 022d L__real_ca42 023d L__real_two 026a L__real_ca31 032e __flag_x_zero_z_inf 0337 _powf_special 050c __flag_x_nan 0583 __flag_y_nan 069a __flag_x_nan_y_nan 06ea __flag_z_zero 071f __flag_z_inf 074c __flag_x_neg_y_notint"
	strings:
		$1 = { 48 83 EC 68 66 0F 7F 74 24 20 66 0F 7F 7C 24 30 83 3D ?? ?? ?? ?? 00 0F 85 49 07 00 00 66 0F 62 C8 66 0F EF ED 66 0F 7E C8 66 0F 7E C1 44 8B C9 0F BA F0 1F 0F BA F1 1F 3D 00 00 80 7F 0F 83 CD 03 00 00 3D 00 00 80 3F 0F 8E 72 04 00 00 81 F9 00 00 80 7F 0F 83 F6 02 00 00 0F 5A C1 41 81 F9 00 00 88 3F 0F 8C 46 01 00 00 66 0F 70 D0 EE 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D1 48 C1 E9 2C 83 D1 00 8B C1 81 C9 00 FE 03 00 48 C1 E1 2C 66 48 0F 6E C9 66 0F EB 15 ?? ?? ?? ?? 66 0F 70 DA EE 66 0F 73 D3 34 66 0F FB 1D ?? ?? ?? ?? F3 0F E6 DB 48 8D 0D ?? ?? ?? ?? F2 0F 5C CA F2 0F 59 0C C1 66 0F 28 D1 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 59 CA F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 CA F2 0F 59 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 58 1C C1 F2 0F 5C D9 F2 0F 59 C3 66 0F 2E 05 ?? ?? ?? ?? 0F 87 00 06 00 00 66 0F 2E 05 ?? ?? ?? ?? 0F 86 C2 05 00 00 66 0F 28 D8 66 0F 59 1D ?? ?? ?? ?? F2 0F E6 E3 F3 0F E6 D4 F2 0F 59 15 ?? ?? ?? ?? 66 0F 7E E1 F2 0F 5C C2 66 0F 28 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 C1 48 C7 C0 3F 00 00 00 23 C1 48 8D 0D ?? ?? ?? ?? F2 0F 59 04 C1 F2 0F 58 04 C1 66 0F 72 E4 06 66 0F 73 F4 34 66 0F D4 E0 F2 0F 5A C4 0F 56 C5 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 41 83 F9 00 7F 4F 83 F9 00 0F 84 E1 00 00 00 25 00 00 80 7F 3D 00 00 00 4B 7F 3A 0F AE 5C 24 40 8B 54 24 40 81 CA 80 1F 00 00 89 54 24 50 0F AE 54 24 50 F3 0F 2D D1 F3 0F 2A D2 0F AE 54 24 40 0F 2E D1 0F 85 47 05 00 00 D1 DA 73 08 F3 0F 10 2D ?? ?? ?? ?? 66 0F 70 D8 EE F2 0F 5C 1D ?? ?? ?? ?? 66 48 0F 7E DA 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 83 41 FE FF FF 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 CB 66 0F 28 F3 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F1 66 0F 28 D6 F2 0F 59 F3 F2 0F 58 D2 66 0F 28 CA F2 0F 59 CA 66 0F 70 E1 44 66 0F 59 E7 F2 0F 59 D1 66 0F 58 25 ?? ?? ?? ?? F2 0F 59 C9 F2 0F 59 CA 66 0F 14 D1 66 0F 59 D4 66 0F 70 CA EE F2 0F 58 D1 F2 0F 5C D6 F2 0F 58 DA E9 6A FE FF FF 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B C0 66 0F 7E CA B8 00 00 00 00 41 BA 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D1 44 0F 4C D1 0F 4F D0 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 43 0F AE 5C 24 40 44 8B 44 24 40 41 81 C8 80 1F 00 00 44 89 44 24 50 0F AE 54 24 50 F3 44 0F 2D C1 F3 41 0F 2A D0 0F AE 54 24 40 0F 2E D1 0F 45 C8 75 11 41 D1 D8 0F 43 C8 73 09 41 8B C9 81 E1 00 00 00 80 0B CA 66 0F 6E C1 41 83 FA 00 74 10 44 8B 0D ?? ?? ?? ?? 66 0F 6F D0 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 40 00 83 F8 00 0F 84 47 02 00 00 66 0F 7E C1 66 0F 7E CA 81 F9 00 00 80 7F 74 17 81 F9 00 00 80 FF 74 1F E9 AA 02 00 00 66 66 0F 1F 84 00 00 00 00 00 83 FA 00 0F 8C 57 02 00 00 E9 72 02 00 00 66 90 44 8B C0 B8 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D0 0F 4F D1 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 38 0F AE 5C 24 40 44 8B 44 24 40 41 81 C8 80 1F 00 00 44 89 44 24 50 0F AE 54 24 50 F3 44 0F 2D C1 F3 41 0F 2A D0 0F AE 54 24 40 0F 2E D1 0F 45 C8 75 06 41 D1 D8 0F 43 C8 0B CA 66 0F 6E C1 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 00 0F 87 8A 00 00 00 81 F9 00 00 80 7F 0F 87 FE 01 00 00 81 F9 00 00 80 3F 0F 84 92 01 00 00 66 0F 7E C8 0F BA E0 1F 72 18 81 F9 00 00 80 3F 0F 82 9C 01 00 00 E9 B7 01 00 00 0F 1F 80 00 00 00 00 BA 01 00 00 00 B8 00 00 00 00 41 B8 00 00 80 7F 83 F9 00 0F 84 97 01 00 00 0F 45 D0 81 F9 00 00 80 3F 41 0F 42 C0 66 0F 6E C0 83 FA 00 74 10 66 0F 6F D0 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 81 F9 00 00 80 7F 0F 87 D4 01 00 00 41 81 F9 00 00 80 3F 0F 84 B7 00 00 00 E9 92 01 00 00 66 90 83 F8 00 74 6B 66 0F 7E CA 81 FA 00 00 80 3F 0F 85 79 FB FF FF 66 41 0F 7E C1 41 81 E1 FF FF FF 7F 41 81 F9 00 00 80 7F 77 11 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 7E C2 81 CA 00 00 40 00 66 0F 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 81 F9 00 00 80 7F 76 68 81 F9 00 00 C0 7F 73 60 8B D1 81 CA 00 00 40 00 66 0F 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 80 00 00 00 00 3D 00 00 C0 7F 73 29 BA 00 00 80 3F 66 0F 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 00 BA 00 00 80 3F 66 0F 6E C2 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 BA 00 00 80 3F 66 0F 6E C2 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 66 0F EF C0 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F 66 0F 6E C2 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 66 0F 7E C1 81 C9 00 00 40 00 66 0F 6E D1 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 44 00 00 66 0F 7E C8 0D 00 00 40 00 66 0F 6E D0 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 41 81 F9 00 00 C0 FF 74 2B 66 0F 7E C1 81 C9 00 00 40 00 66 0F 6E D1 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 0F 7E C8 0D 00 00 40 00 66 0F 6E D0 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 90 66 0F EF D2 0F 56 D5 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F 66 0F 6E D2 0F 56 D5 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 80 00 00 00 00 BA 00 00 C0 FF 66 0F 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 C5 F1 62 C8 C5 D1 EF ED C5 F9 7E C8 C5 F9 7E C1 44 8B C9 25 FF FF FF 7F 81 E1 FF FF FF 7F 3D 00 00 80 7F 0F 83 E1 03 00 00 3D 00 00 80 3F 0F 8E 76 04 00 00 81 F9 00 00 80 7F 0F 83 0A 03 00 00 C5 F8 5A C1 41 81 F9 00 00 88 3F 0F 8C 49 01 00 00 C5 F9 70 D0 EE C5 E9 DB 15 ?? ?? ?? ?? C4 E1 F9 7E D1 48 C1 E9 2C 83 D1 00 8B C1 81 C9 00 FE 03 00 48 C1 E1 2C C4 E1 F9 6E C9 C5 E9 EB 15 ?? ?? ?? ?? C5 F9 70 DA EE C5 E1 73 D3 34 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 DB 48 8D 0D ?? ?? ?? ?? C5 F3 5C CA C5 F3 59 0C C1 C5 F9 28 D1 C5 FB 10 25 ?? ?? ?? ?? C4 E2 F1 A9 25 ?? ?? ?? ?? C4 E2 F1 A9 25 ?? ?? ?? ?? C5 F3 59 CC C5 E3 59 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? C5 E3 58 1C C1 C5 E3 5C D9 C5 FB 59 C3 C5 F9 2E 05 ?? ?? ?? ?? 0F 87 15 06 00 00 C5 F9 2E 05 ?? ?? ?? ?? 0F 86 D7 05 00 00 C5 F9 59 1D ?? ?? ?? ?? C5 FB E6 E3 C5 FA E6 D4 C5 F9 7E E1 C4 E2 E9 BD 05 ?? ?? ?? ?? C5 F9 28 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F9 A9 1D ?? ?? ?? ?? C4 E2 F9 A9 1D ?? ?? ?? ?? C5 FB 59 C3 48 C7 C0 3F 00 00 00 23 C1 48 8D 0D ?? ?? ?? ?? C5 FB 10 1C C1 C4 E2 E1 A9 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 D9 72 E4 06 C5 D9 73 F4 34 C5 D9 D4 E0 C5 FB 5A C4 C5 F8 56 C5 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 84 00 00 00 00 00 41 83 F9 00 7F 53 83 F9 00 0F 84 E1 00 00 00 25 00 00 80 7F 3D 00 00 00 4B 7F 3E C5 F8 AE 5C 24 40 8B 54 24 40 81 CA 80 1F 00 00 89 54 24 50 C5 F8 AE 54 24 50 C5 FA 2D D1 C5 EA 2A D2 C5 F8 AE 54 24 40 C5 F8 2E D1 0F 85 53 05 00 00 D1 DA 73 08 C5 FA 10 2D ?? ?? ?? ?? C5 F9 70 D8 EE C5 E3 5C 1D ?? ?? ?? ?? C4 E1 F9 7E DA 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 83 3A FE FF FF C5 F9 70 ED 44 C5 F9 28 CB C5 D3 10 EB C5 F3 58 0D ?? ?? ?? ?? C5 D3 5E E9 C5 F9 28 D5 C5 D3 59 EB C5 EB 58 D2 C5 F9 28 CA C5 F3 59 CA C5 F9 70 E1 44 C5 D9 59 25 ?? ?? ?? ?? C5 EB 59 D1 C5 D9 58 25 ?? ?? ?? ?? C5 F3 59 C9 C5 F3 59 CA C5 E9 14 D1 C5 E9 59 D4 C5 F9 70 CA EE C5 F3 58 D2 C5 EB 5C D5 C5 F9 70 ED EE C5 E3 58 DA E9 10 F7 FF FF 66 90 44 8B C0 C5 F9 7E CA B8 00 00 00 00 41 BA 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D1 44 0F 4C D1 0F 4F D0 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 46 C5 F8 AE 5C 24 40 44 8B 44 24 40 41 81 C8 80 1F 00 00 44 89 44 24 50 C5 F8 AE 54 24 50 C5 7A 2D C1 C4 C1 6A 2A D0 C5 F8 AE 54 24 40 C5 F8 2E D1 0F 45 C8 75 11 41 D1 D8 0F 43 C8 73 09 41 8B C9 81 E1 00 00 00 80 0B CA C5 F9 6E C1 41 83 FA 00 0F 84 B9 F8 FF FF 44 8B 0D ?? ?? ?? ?? C5 F9 6F D0 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 83 F8 00 0F 84 27 02 00 00 C5 F9 7E C1 C5 F9 7E CA 81 F9 00 00 80 7F 74 17 81 F9 00 00 80 FF 74 1F E9 AA 02 00 00 66 66 0F 1F 84 00 00 00 00 00 83 FA 00 0F 8C 37 02 00 00 E9 52 02 00 00 66 90 44 8B C0 B8 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D0 0F 4F D1 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 3B C5 F8 AE 5C 24 40 44 8B 44 24 40 41 81 C8 80 1F 00 00 44 89 44 24 50 C5 F8 AE 54 24 50 C5 7A 2D C1 C4 C1 6A 2A D0 C5 F8 AE 54 24 40 C5 F8 2E D1 0F 45 C8 75 06 41 D1 D8 0F 43 C8 0B CA C5 F9 6E C1 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 77 6E 81 F9 00 00 80 7F 0F 87 02 02 00 00 81 F9 00 00 80 3F 0F 84 76 01 00 00 C5 F9 7E C8 0F BA E0 1F 72 1C 81 F9 00 00 80 3F 0F 82 80 01 00 00 E9 9B 01 00 00 66 66 66 0F 1F 84 00 00 00 00 00 B8 00 00 00 00 41 B8 00 00 80 7F 81 F9 00 00 80 3F 41 0F 42 C0 C5 F9 6E C0 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 81 F9 00 00 80 7F 0F 87 F4 01 00 00 41 81 F9 00 00 80 3F 0F 84 B7 00 00 00 C5 F9 6F C1 E9 AE 01 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 83 F8 00 74 5B C5 F9 7E CA 81 FA 00 00 80 3F 0F 85 75 FB FF FF 81 F9 00 00 80 7F 77 11 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 C5 F9 7E C2 81 CA 00 00 40 00 C5 F9 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 83 C4 68 C3 0F 1F 80 00 00 00 00 81 F9 00 00 80 7F 76 68 81 F9 00 00 C0 7F 73 60 8B D1 81 CA 00 00 40 00 C5 F9 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 0F 1F 80 00 00 00 00 3D 00 00 C0 7F 73 29 BA 00 00 80 3F C5 F9 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 0F 1F 00 BA 00 00 80 3F C5 F9 6E C2 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 BA 00 00 80 3F C5 F9 6E C2 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 C5 F9 EF C0 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F C5 F9 6E C2 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 C5 FA 58 C0 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 7E C1 81 C9 00 00 40 00 C5 F9 6E D1 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 0F 1F 44 00 00 C5 F9 7E C8 0D 00 00 40 00 C5 F9 6E D0 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 41 81 F9 00 00 C0 FF 74 2B C5 F9 7E C1 81 C9 00 00 40 00 C5 F9 6E D1 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 C5 F9 7E C8 0D 00 00 40 00 C5 F9 6E D0 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 90 C5 E9 EF D2 C5 E8 56 D5 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F C5 F9 6E D2 C5 E8 56 D5 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 66 0F 1F 44 00 00 BA 00 00 C0 FF C5 F9 6E D2 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "catanhf"
		size = 803
		refs = "0032 crealf 0040 cimagf 004e _fdtest 008b __real@bfc90fdb 00c7 _FZero_C 00ce __xmm@80000000800000008000000080000000 0111 __real@3fc90fdb 0166 __real@5e7fe80a 0173 __real@3f800000 01f8 _fperrraise 0205 _FInf_C 021b __real@40800000 0220 sqrtf 023d logf 0245 __real@40000000 0251 atan2f 0265 __real@3f000000 029e log1pf 02c3 __real@3e800000 02f2 _FCbuild"
	strings:
		$1 = { 48 8B C4 55 53 57 48 8D 68 A1 48 81 EC 90 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 48 89 4D D7 E8 ?? ?? ?? ?? 48 8B 4D D7 F3 0F 11 45 77 E8 ?? ?? ?? ?? 48 8D 4D 77 F3 0F 11 45 6F E8 ?? ?? ?? ?? 48 8D 4D 6F 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3D 66 3B C7 75 07 F3 0F 10 7D 77 EB 67 BB 01 00 00 00 66 3B C3 75 1A 0F 57 FF 0F 2F 7D 6F 0F 86 86 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 57 02 00 00 F3 0F 10 7D 77 0F 28 C7 E9 4A 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F3 0F 10 7D 6F EB E1 B8 00 80 00 00 66 85 45 79 74 11 F3 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F3 0F 10 45 6F E9 0A 02 00 00 66 3B FB 75 34 0F 57 FF 0F 2F 7D 77 76 0F F3 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 71 0F 85 7A FF FF FF F3 0F 10 05 ?? ?? ?? ?? E9 D1 01 00 00 F3 44 0F 10 45 6F B8 00 80 00 00 45 0F 28 D0 F3 44 0F 10 0D ?? ?? ?? ?? 66 85 45 71 74 04 45 0F 57 D1 F3 0F 10 55 77 45 0F 57 DB 44 0F 2F DA 76 0B 41 0F 57 D1 F3 0F 11 55 77 EB 0C 45 0F 57 C1 33 DB F3 44 0F 11 45 6F F3 0F 10 05 ?? ?? ?? ?? 0F 2F D0 76 36 F3 0F 10 05 ?? ?? ?? ?? 41 0F 28 C8 F3 0F 5E CA 0F 28 F8 F3 0F 5E FA F3 0F 59 C9 F3 0F 58 C8 F3 0F 5E F9 45 0F 2F D8 76 32 F3 0F 10 05 ?? ?? ?? ?? E9 38 01 00 00 44 0F 2F D0 76 2C F3 41 0F 5E D0 0F 28 FA F3 0F 59 D2 F3 41 0F 5E F8 F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E FA EB C8 F3 0F 10 05 ?? ?? ?? ?? E9 06 01 00 00 0F 2E 15 ?? ?? ?? ?? 0F 8A 8D 00 00 00 0F 85 87 00 00 00 45 0F 2E C3 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 45 6F F3 0F 10 3D ?? ?? ?? ?? E9 CF 00 00 00 41 0F 28 C0 F3 41 0F 59 C0 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C2 E8 ?? ?? ?? ?? 45 0F 2F D8 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C1 EB 6C F3 0F 10 35 ?? ?? ?? ?? F3 0F 5C F2 F3 45 0F 59 D2 F3 0F 59 15 ?? ?? ?? ?? 0F 28 CE F3 0F 59 CE F3 41 0F 58 CA F3 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 4D 77 0F 28 F8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 10 45 6F F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 3D ?? ?? ?? ?? F3 0F 59 CE F3 41 0F 5C CA E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F9 EB 04 41 0F 57 C1 0F 28 C8 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 49 8B E3 5F 5B 5D C3 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "__dcrt_lowio_initialize_console_input"
		size = 59
		refs = "000d ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 __dcrt_lowio_console_input_handle"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 48 8D 0D ?? ?? ?? ?? 83 64 24 28 00 41 B8 03 00 00 00 45 33 C9 44 89 44 24 20 BA 00 00 00 C0 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_44_1_0 {
	meta:
		name = "__dcrt_terminate_console_input"
		size = 32
		refs = "0007 __dcrt_lowio_console_input_handle 0017 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 8D 41 02 48 83 F8 01 76 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_197_1_0 {
	meta:
		name = "__dcrt_terminate_console_output"
		size = 32
		refs = "0007 __dcrt_lowio_console_output_handle 0017 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 8D 41 02 48 83 F8 01 76 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_45_4_0 {
	meta:
		name = "_towupper_l"
		size = 201
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005b iswctype 009f __acrt_LCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 A8 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 45 E8 4C 8B 90 38 01 00 00 4D 85 D2 75 13 0F B7 55 10 8D 42 9F 66 83 F8 19 77 6E 66 83 EA 20 EB 68 0F B7 4D 10 B8 00 01 00 00 66 3B C8 73 29 BA 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 55 10 EB 46 48 8B 45 E8 0F B7 55 10 48 8B 88 18 01 00 00 0F B6 14 11 EB 31 41 B9 01 00 00 00 48 8D 45 20 44 89 4C 24 28 4C 8D 45 10 BA 00 02 00 00 48 89 44 24 20 49 8B CA E8 ?? ?? ?? ?? 0F B7 55 10 85 C0 74 04 0F B7 55 20 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 0F B7 C2 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "__acrt_wcstok_s_novalidation"
		size = 141
	strings:
		$1 = { 33 C0 4D 8B D8 4C 8B D2 48 85 C9 75 30 49 8B 08 EB 2B 4D 8B C2 66 41 39 02 74 18 45 0F B7 0A 66 44 3B CA 74 0E 49 83 C0 02 45 0F B7 08 66 45 85 C9 75 EC 66 41 39 00 74 0C 48 83 C1 02 0F B7 11 66 85 D2 75 CD 4C 8B C9 EB 2A 49 8B D2 66 41 39 02 74 18 45 0F B7 02 66 44 3B 01 74 0E 48 83 C2 02 44 0F B7 02 66 45 85 C0 75 EC 66 39 02 75 0B 48 83 C1 02 66 39 01 75 D1 EB 07 66 89 01 48 83 C1 02 49 3B C9 49 89 0B 49 0F 45 C1 C3 }
	condition:
		$1
}

rule file_46_1_0 {
	meta:
		name = "wcstok_s"
		size = 56
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0034 __acrt_wcstok_s_novalidation"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 48 85 D2 74 E4 48 85 C9 75 05 49 39 08 74 DA 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_514_1_0 {
	meta:
		name = "strtok_s"
		size = 56
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0034 __acrt_strtok_s_novalidation"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 48 85 D2 74 E4 48 85 C9 75 05 49 39 08 74 DA 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_5_0 {
	meta:
		name = "_ismbclegal_l"
		size = 82
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B C3 C1 E8 08 0F B6 D0 F6 44 0A 19 04 74 11 0F B6 C3 F6 44 08 19 08 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_49_5_0 {
	meta:
		name = "_mbsicoll_l"
		size = 201
		refs = "0021 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 _errno 003b _invalid_parameter_noinfo 0056 _stricoll_l 0089 __acrt_CompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 40 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 48 8B 54 24 50 83 7A 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 4A 8B 42 04 48 8D 4C 24 48 48 8B 92 20 02 00 00 4C 8B CF 89 44 24 38 41 B8 01 10 00 00 83 C8 FF 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_50_2_0 {
	meta:
		name = "??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
		size = 323
		refs = "0024 _errno 002f _invalid_parameter_noinfo 003f ?is_valid_drive@@YAHI@Z 0048 __doserrno 0060 _getdrive 009e ??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z 00b6 __imp_GetFullPathNameA 00c2 __imp_GetLastError 00c9 __acrt_errno_map_os_error 00dc calloc 0101 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 48 83 EC 20 33 FF 41 8B E8 48 8B F2 8B D9 45 85 C0 79 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 F4 00 00 00 85 C9 74 21 E8 ?? ?? ?? ?? 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB CF E8 ?? ?? ?? ?? 8B D8 85 DB 74 15 80 C3 40 66 C7 44 24 41 3A 2E 88 5C 24 40 40 88 7C 24 43 EB 07 66 C7 44 24 40 2E 00 48 85 F6 74 1C 85 ED 7E 94 44 8B C5 40 88 3E 48 8B D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? E9 87 00 00 00 45 33 C9 48 8D 4C 24 40 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 8B F0 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 5C 3B E8 BA 01 00 00 00 0F 47 F5 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 24 44 8B C6 48 8D 4C 24 40 48 8B D0 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB DF 33 C9 E8 ?? ?? ?? ?? 48 8B FB 48 8B C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_3_0 {
	meta:
		name = "??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
		size = 339
		refs = "000f __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 0046 ?is_valid_drive@@YAHI@Z 004f __doserrno 0067 _getdrive 00a9 ??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z 00c1 __imp_GetFullPathNameW 00cd __imp_GetLastError 00d4 __acrt_errno_map_os_error 00e7 calloc 010c free 0142 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 33 FF 41 8B E8 48 8B F2 8B D9 45 85 C0 79 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 F8 00 00 00 85 C9 74 21 E8 ?? ?? ?? ?? 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB CF E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 66 83 C3 40 C7 44 24 22 3A 00 2E 00 66 89 5C 24 20 66 89 7C 24 26 EB 08 C7 44 24 20 2E 00 00 00 48 85 F6 74 1C 85 ED 7E 90 44 8B C5 66 89 3E 48 8B D6 48 8D 4C 24 20 E8 ?? ?? ?? ?? E9 87 00 00 00 45 33 C9 48 8D 4C 24 20 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 8B F0 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 5C 3B E8 BA 02 00 00 00 0F 47 F5 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 24 44 8B C6 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB DF 33 C9 E8 ?? ?? ?? ?? 48 8B FB 48 8B C7 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_50_4_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@D@@YAPEADQEADIHQEBDH@Z"
		size = 173
		refs = "0023 __imp_GetFullPathNameA 0031 __imp_GetLastError 0038 __acrt_errno_map_os_error 004d calloc 005a __doserrno 0065 _errno 007b ??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z 0091 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B DA 45 33 C9 33 D2 45 33 C0 48 8B E9 FF 15 ?? ?? ?? ?? 33 FF 8B F0 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 58 3B D8 BA 01 00 00 00 0F 47 F3 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 1C 44 8B C6 48 8B D0 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB 48 8B DF 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_5_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@_W@@YAPEA_WQEA_WIHQEBDH@Z"
		size = 173
		refs = "0023 __imp_GetFullPathNameW 0031 __imp_GetLastError 0038 __acrt_errno_map_os_error 004d calloc 005a __doserrno 0065 _errno 007b ??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z 0091 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B DA 45 33 C9 33 D2 45 33 C0 48 8B E9 FF 15 ?? ?? ?? ?? 33 FF 8B F0 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 58 3B D8 BA 02 00 00 00 0F 47 F3 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 1C 44 8B C6 48 8B D0 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB 48 8B DF 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_6_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@D@@YAPEADQEAD0I@Z"
		size = 105
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0033 __imp_GetFullPathNameA 004e __imp_GetLastError 0055 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B F8 48 8B DA 45 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 35 4C 8B C2 45 33 C9 8B D7 FF 15 ?? ?? ?? ?? 3B C7 72 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB DD 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB CA 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_7_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@_W@@YAPEA_WQEA_W0I@Z"
		size = 105
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0033 __imp_GetFullPathNameW 004e __imp_GetLastError 0055 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B F8 48 8B DA 45 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 35 4C 8B C2 45 33 C9 8B D7 FF 15 ?? ?? ?? ?? 3B C7 72 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB DD 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB CA 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_16_0 {
	meta:
		name = "?get_full_path_name@@YAIQEADQEBDI@Z"
		size = 24
		refs = "0014 __imp_GetFullPathNameA"
	strings:
		$1 = { 41 8B C0 4C 8B D2 4C 8B C1 8B D0 49 8B CA 45 33 C9 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_17_0 {
	meta:
		name = "?get_full_path_name@@YAIQEA_WQEB_WI@Z"
		size = 24
		refs = "0014 __imp_GetFullPathNameW"
	strings:
		$1 = { 41 8B C0 4C 8B D2 4C 8B C1 8B D0 49 8B CA 45 33 C9 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_18_0 {
	meta:
		name = "?is_valid_drive@@YAHI@Z"
		size = 128
		refs = "0009 __security_cookie 001b __doserrno 0026 _errno 0031 _invalid_parameter_noinfo 0061 __imp_GetDriveTypeW 0076 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 83 F9 1A 76 1F E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 34 33 DB 85 C9 75 05 8D 43 01 EB 29 66 83 C1 40 C7 44 24 22 3A 00 5C 00 66 89 4C 24 20 48 8D 4C 24 20 66 89 5C 24 26 FF 15 ?? ?? ?? ?? 83 F8 02 0F 93 C3 8B C3 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_50_21_0 {
	meta:
		name = "_getcwd"
		size = 39
		refs = "001e ??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 44 8B C2 48 83 64 24 20 00 48 8B D1 33 C9 41 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_23_0 {
	meta:
		name = "_wgetcwd"
		size = 39
		refs = "001e ??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 44 8B C2 48 83 64 24 20 00 48 8B D1 33 C9 41 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_22_0 {
	meta:
		name = "_getdcwd"
		size = 31
		refs = "0016 ??$common_getdcwd@D@@YAPEADHQEADHHQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 41 B9 01 00 00 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_156_32_0 {
	meta:
		name = "_dupenv_s"
		size = 31
		refs = "0016 ??$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 41 B9 01 00 00 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_156_34_0 {
	meta:
		name = "_wdupenv_s"
		size = 31
		refs = "0016 ??$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 41 B9 01 00 00 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_24_0 {
	meta:
		name = "_wgetdcwd"
		size = 31
		refs = "0016 ??$common_getdcwd@_W@@YAPEA_WHQEA_WHHQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 41 B9 01 00 00 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_51_6_0 {
	meta:
		name = "_access"
		size = 18
		refs = "0005 _access_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "_waccess"
		size = 18
		refs = "0005 _waccess_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_51_7_0 {
	meta:
		name = "_access_s"
		size = 77
		refs = "000e _waccess_s 0020 __acrt_copy_path_to_wide_string 0041 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 33 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0E 48 8B 4C 24 30 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_493_6_0 {
	meta:
		name = "_chmod"
		size = 77
		refs = "000e _wchmod 0020 __acrt_copy_path_to_wide_string 0041 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 33 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0E 48 8B 4C 24 30 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_0_0 {
	meta:
		name = "_dpoly"
		size = 28
		altNames = "_ldpoly"
	strings:
		$1 = { 0F 28 C8 F2 0F 10 02 EB 0C F2 0F 59 C1 48 83 C2 08 F2 0F 58 02 41 83 E8 01 79 EE C3 }
	condition:
		$1
}

rule file_52_1_0 {
	meta:
		name = "erfc"
		size = 633
		refs = "0022 _dtest 0049 __real@3fde861fbb24c00a 005c erf 0064 __real@3ff0000000000000 0078 __real@3ff85e353f7ced91 009d __real@bfe8000000000000 00a5 __real@3f2ae308ebe29ba9 00ac s00 00c5 __real@becfb31f5ac7b849 00cc c00 00f3 __real@bff4800000000000 00fb __real@3ee0332f18362059 0102 s01 011b __real@3f215bbcc2cdf4ec 0122 c01 0141 approx 0167 _fperrraise 01e9 _d_int 0207 exp 0223 __xmm@80000000000000008000000000000000 0230 _dexp 0255 __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 55 48 8B EC 48 83 EC 50 0F 29 70 E8 48 8D 4D 10 0F 29 78 D8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 0F BF C8 33 D2 85 C9 0F 84 28 02 00 00 83 E9 01 0F 84 06 02 00 00 83 F9 01 0F 84 F6 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 10 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 0F 28 C1 E9 EF 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B8 00 00 00 F2 0F 10 05 ?? ?? ?? ?? B8 07 00 00 00 66 0F 2F C2 76 56 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 F2 0F 59 C2 83 E8 01 F2 0F 58 01 79 EF F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 F2 0F 59 CA 83 E9 01 F2 0F 58 08 79 EF F2 0F 5E C1 E9 74 01 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 F2 0F 59 C2 83 E8 01 F2 0F 58 01 79 EF F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 F2 0F 59 CA 83 E9 01 F2 0F 58 08 79 EF EB A8 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F2 0F 10 01 66 0F 2F C2 77 21 FF C2 48 83 C1 30 48 63 C2 48 83 F8 06 72 E7 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 F0 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 63 C2 F2 0F 5E C2 48 8D 0C 40 48 03 C9 49 8B 44 C8 10 41 8B 54 C8 18 F2 41 0F 5C 44 C8 08 F2 0F 11 45 18 F2 44 0F 10 00 EB 0E F2 44 0F 59 C0 48 83 C0 08 F2 44 0F 58 00 83 EA 01 79 ED 49 8B 44 C8 20 41 8B 4C C8 28 F2 0F 10 38 EB 0C F2 0F 59 F8 48 83 C0 08 F2 0F 58 38 83 E9 01 79 EF BA 11 00 00 00 F2 0F 11 55 18 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 75 18 0F 28 CE 0F 28 C6 F2 0F 5C 45 10 F2 0F 58 4D 10 F2 0F 59 C1 E8 ?? ?? ?? ?? F2 44 0F 5E C7 48 8D 4D 18 45 33 C0 F2 0F 59 F6 F2 41 0F 59 C0 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 18 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 45 18 EB 28 F2 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 16 0F 84 1A FF FF FF F2 0F 10 05 ?? ?? ?? ?? EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_53_0_0 {
	meta:
		name = "llround"
		size = 97
		refs = "0010 _dtest 0027 round 002f __real@c3e0000000000000 003f __real@43e0000000000000 0056 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 41 FF C8 83 F8 01 76 30 F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 15 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 07 F2 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_312_0_0 {
	meta:
		name = "llroundl"
		size = 97
		refs = "0010 _ldtest 0027 roundl 002f __real@c3e0000000000000 003f __real@43e0000000000000 0056 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 41 FF C8 83 F8 01 76 30 F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 15 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 07 F2 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "nearbyintl"
		size = 44
		refs = "0010 _ldtest 0023 _ldrint"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 0F BF C8 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_343_0_0 {
	meta:
		name = "nearbyint"
		size = 44
		refs = "0010 _dtest 0023 _drint"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 0F BF C8 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "?dup_nolock@@YAHH@Z"
		size = 393
		refs = "0027 __pioinfo 0049 _alloc_osfhnd 005a _errno 0065 __doserrno 0078 __imp_GetCurrentProcess 0082 _get_osfhandle 00b7 __imp_DuplicateHandle 00c1 __imp_GetLastError 00c8 __acrt_errno_map_os_error 00e0 __acrt_lowio_set_os_handle 0169 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 63 D9 4C 8B F3 4C 8B FB 49 C1 FF 06 4C 8D 2D ?? ?? ?? ?? 41 83 E6 3F 49 C1 E6 06 4B 8B 44 FD 00 42 F6 44 30 38 01 75 08 83 C8 FF E9 27 01 00 00 E8 ?? ?? ?? ?? 48 63 F0 89 74 24 44 83 FE FF 75 15 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB D2 45 32 E4 44 88 64 24 40 FF 15 ?? ?? ?? ?? 48 8B F8 8B CB E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 48 8B C8 C7 44 24 30 02 00 00 00 C7 44 24 28 01 00 00 00 83 64 24 20 00 4C 8D 8C 24 88 00 00 00 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CE FF 89 74 24 44 EB 71 48 8B 94 24 88 00 00 00 8B CE E8 ?? ?? ?? ?? 4C 8B C6 48 8B D6 48 C1 FA 06 41 83 E0 3F 49 C1 E0 06 4B 8B 44 FD 00 42 0F B6 4C 30 38 83 E1 EF 49 8B 44 D5 00 41 88 4C 00 38 4B 8B 44 FD 00 49 8B 4C D5 00 42 8A 44 30 39 41 88 44 08 39 49 8B 54 D5 00 4B 8B 44 FD 00 42 8A 4C 30 3D 41 32 4C 10 3D 80 E1 01 41 30 4C 10 3D 41 B4 01 44 88 64 24 40 45 84 E4 75 1B 48 63 CE 48 8B C1 48 C1 F8 06 83 E1 3F 48 C1 E1 06 49 8B 44 C5 00 80 64 08 38 FE 8B CE E8 ?? ?? ?? ?? 8B C6 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_55_1_0 {
	meta:
		name = "?fin$0@?0??dup_nolock@@YAHH@Z@4HA"
		size = 65
		refs = "001d __pioinfo 0035 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 80 7D 40 00 75 22 48 63 4D 44 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 4D 44 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_55_2_0 {
	meta:
		name = "_dup"
		size = 214
		refs = "0020 __doserrno 0028 _errno 003d _nhandle 0050 __pioinfo 006c __acrt_lowio_lock_fh 0081 ?dup_nolock@@YAHH@Z 009f __acrt_lowio_unlock_fh 00bb _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 88 00 00 00 85 C9 78 6C 3B 1D ?? ?? ?? ?? 73 64 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 3D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 04 F7 0F B6 4C 30 38 83 E1 01 74 3E 8B CB E8 ?? ?? ?? ?? 83 CF FF 4B 8B 04 F7 F6 44 30 38 01 74 0B 8B CB E8 ?? ?? ?? ?? 8B F8 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_55_3_0 {
	meta:
		name = "_dup$fin$0"
		size = 23
		refs = "0012 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_56_7_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
		size = 549
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0097 __acrt_LCMapStringA 013a __chkstk 015d _malloc_base 01d7 strcpy_s 01fd _free_base 020b __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B F0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 B4 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 06 48 8B 90 38 01 00 00 48 85 D2 74 60 8B 40 0C 4C 8B CB C7 44 24 40 01 00 00 00 41 B8 00 01 00 00 89 44 24 38 49 8B CE 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF E8 ?? ?? ?? ?? 4C 63 F8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 49 01 00 00 8A 0B 8D 41 BF 3C 19 77 05 80 C1 20 88 0B 48 FF C3 80 3B 00 75 EA 33 C0 E9 2C 01 00 00 49 8B D7 49 3B F7 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 50 FF FF FF 49 8D 4F 10 48 3B D1 48 1B C0 48 85 C1 74 75 49 8D 4F 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 49 8D 47 10 77 3A 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 31 C7 07 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 5B 49 8B 16 4C 8B CB C7 44 24 40 01 00 00 00 41 B8 00 01 00 00 49 8B CE 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 44 89 7C 24 30 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_56_13_0 {
	meta:
		name = "_strlwr"
		size = 88
		refs = "000f __acrt_locale_changed_data 001b _errno 0026 _invalid_parameter_noinfo 004b _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 31 48 85 C9 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 24 8A 11 8D 42 BF 3C 19 77 05 80 C2 20 88 11 48 FF C1 44 38 01 75 EA EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_56_14_0 {
	meta:
		name = "_strlwr_l"
		size = 30
		refs = "0011 _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_654_14_0 {
	meta:
		name = "_strupr_l"
		size = 30
		refs = "0011 _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_453_14_0 {
	meta:
		name = "_wcslwr_l"
		size = 30
		refs = "0011 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_97_13_0 {
	meta:
		name = "_wcsupr_l"
		size = 30
		refs = "0011 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_56_16_0 {
	meta:
		name = "_strlwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 ?_strlwr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 28 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_654_16_0 {
	meta:
		name = "_strupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 ?_strupr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 28 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_453_16_0 {
	meta:
		name = "_wcslwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 ?_wcslwr_s_l_stat@@YAHPEA_W_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 28 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_97_15_0 {
	meta:
		name = "_wcsupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 ?_wcsupr_s_l_stat@@YAHQEA_W_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 28 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_1_0 {
	meta:
		name = "_lsearch_s"
		size = 184
		refs = "002b _errno 0036 _invalid_parameter_noinfo 0076 __guard_dispatch_icall_fptr 0090 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B F1 49 8B E8 48 8B DA 4C 8B F1 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5F 4D 85 C0 74 E7 48 85 D2 74 E2 4D 85 C9 74 DD 48 83 7C 24 50 00 74 D5 41 8B 38 48 0F AF FE 48 03 FA 48 3B D7 74 22 48 8B 4C 24 58 4C 8B C3 48 8B 44 24 50 49 8B D6 FF 15 ?? ?? ?? ?? 85 C0 74 1C 48 03 DE 48 3B DF 75 DE 4C 8B C6 49 8B D6 48 8B CF E8 ?? ?? ?? ?? FF 45 00 48 8B DF 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_58_5_0 {
	meta:
		name = "_mbsstr_l"
		size = 249
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 strstr 0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 4C 24 30 41 83 79 08 00 75 13 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 E9 9C 00 00 00 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 80 00 00 00 80 3F 00 74 7D 48 85 DB 74 E1 48 83 C8 FF 48 8B C8 48 FF C1 80 3C 0F 00 75 F7 4C 8B C3 4C 2B C1 48 FF C0 80 3C 03 00 75 F7 4C 03 C0 80 3B 00 74 4F 48 8B D3 48 2B D7 49 3B D8 77 44 80 3B 00 48 8B C7 74 14 8A 08 84 C9 74 38 38 0C 02 75 09 48 FF C0 80 3C 02 00 75 EC 80 38 00 74 25 0F B6 03 48 FF C2 48 FF C3 42 8A 4C 08 19 80 E1 04 74 0B 80 3B 00 74 0B 48 FF C3 48 FF C2 80 3B 00 75 B7 33 DB 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_59_0_0 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAP6AXXZXZ"
		size = 28
		refs = "0003 __security_cookie"
		altNames = "??$?B$$A6AHPEA_WK_J@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AHPEA_WK_J@ZXZ ??$?B$$A6AH_K@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AH_K@ZXZ ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXH@ZXZ ??$?B$$A6AXPEAXK0@Z@__crt_fast_encoded_nullptr_t@@QEBAP6AXPEAXK0@ZXZ ??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAPEAP6AXXZXZ ??$?BX@__crt_fast_encoded_nullptr_t@@QEBAPEAXXZ"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 33 C0 48 D3 C8 48 33 C2 C3 }
	condition:
		$1
}

rule file_59_36_0 {
	meta:
		name = "_execute_onexit_table"
		size = 58
		refs = "0031 ??$?RV<lambda_7777bce6b2f8c936911f934f8298dc43>@@AEAV<lambda_f03950bc5685219e0bcd2087efbe011e>@@V<lambda_3883c3dff614d5e0c5f61bb1ac94921c>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_7777bce6b2f8c936911f934f8298dc43>@@AEAV<lambda_f03950bc5685219e0bcd2087efbe011e>@@$$QEAV<lambda_3883c3dff614d5e0c5f61bb1ac94921c>@@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 48 83 EC 38 49 8D 43 08 49 89 43 E8 4D 8D 4B 18 B8 02 00 00 00 4D 8D 43 E8 49 8D 53 20 89 44 24 50 49 8D 4B 10 89 44 24 58 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_59_37_0 {
	meta:
		name = "_initialize_onexit_table"
		size = 63
		refs = "001b __security_cookie"
	strings:
		$1 = { 45 33 C9 4C 8B C1 48 85 C9 75 04 83 C8 FF C3 48 8B 41 10 48 39 01 75 24 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 49 D3 C9 4C 33 CA 4D 89 08 4D 89 48 08 4D 89 48 10 33 C0 C3 }
	condition:
		$1
}

rule file_59_38_0 {
	meta:
		name = "_register_onexit_function"
		size = 72
		refs = "003e ??$?RV<lambda_638799b9deba96c50f710eeac98168cd>@@AEAV<lambda_22ebabd17bc4fa466a2aca6d8deb888d>@@V<lambda_a6f7d7db0129f75315ebf26d50c089f1>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_638799b9deba96c50f710eeac98168cd>@@AEAV<lambda_22ebabd17bc4fa466a2aca6d8deb888d>@@$$QEAV<lambda_a6f7d7db0129f75315ebf26d50c089f1>@@@Z"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 55 48 8B EC 48 83 EC 40 48 8D 45 10 48 89 45 E8 4C 8D 4D 28 48 8D 45 18 48 89 45 F0 4C 8D 45 E8 B8 02 00 00 00 48 8D 55 E0 48 8D 4D 20 89 45 28 89 45 E0 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "scalblnl"
		size = 95
		refs = "001c _ldtest 002d _ldscale 004a _fperrraise"
		altNames = "scalbnl"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 29 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_356_0_0 {
	meta:
		name = "scalbln"
		size = 95
		refs = "001c _dtest 002d _dscale 004a _fperrraise"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 29 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "scalbn"
		size = 95
		refs = "001c _dtest 002d _dscale 004a _fperrraise"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 29 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "lround"
		size = 96
		refs = "0010 _dtest 0027 round 002f __real@c1e0000000000000 003f __real@41dfffffffc00000 0055 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 40 FF C8 83 F8 01 76 2F F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 14 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 06 F2 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_220_0_0 {
	meta:
		name = "lroundl"
		size = 96
		refs = "0010 _ldtest 0027 roundl 002f __real@c1e0000000000000 003f __real@41dfffffffc00000 0055 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 40 FF C8 83 F8 01 76 2F F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 14 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 06 F2 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "_dscale"
		size = 649
		refs = "006b _dnorm 008c _Inf_C 009e __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 BD FF 07 00 00 0F B7 49 06 8B F2 66 C1 E9 04 66 23 CD 66 3B CD 75 2E F6 43 06 0F 75 19 33 FF 66 39 7B 04 75 11 66 39 7B 02 75 0B 66 39 3B 75 06 44 8D 57 01 EB 06 41 BA 02 00 00 00 41 0F B7 C2 E9 10 02 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C F2 01 00 00 85 F6 7E 31 0F BF C1 2B E8 3B EE 7F 28 F2 0F 10 05 ?? ?? ?? ?? BD 00 80 00 00 66 85 6B 06 74 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 03 B8 01 00 00 00 E9 C0 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 1C 66 03 F1 B8 0F 80 00 00 66 21 43 06 66 C1 E6 04 66 09 73 06 83 C8 FF E9 99 01 00 00 0F B7 4B 06 44 8D 5E FF 44 0F B7 F1 44 03 DA 66 83 E1 0F BD 00 80 00 00 41 BF 10 00 00 00 66 44 23 F5 66 41 0B CF 41 8D 43 35 66 89 4B 06 83 F8 34 0F 87 54 01 00 00 45 8D 57 F1 0F B7 F7 66 41 83 FB F0 7F 59 0F B7 53 02 B8 F0 FF 00 00 66 41 2B C3 44 0F B7 C9 0F B7 4B 04 66 C1 E8 04 66 41 03 C2 44 0F B7 C0 41 0F B7 C0 66 C1 E0 04 66 44 03 D8 66 85 F6 8B C7 0F 95 C0 0F B7 F0 66 0B 33 66 89 13 0F B7 D1 41 0F B7 C9 44 8B CF 4D 2B C2 75 E0 66 89 7B 06 66 89 4B 04 66 89 53 02 66 41 F7 DB 0F 84 85 00 00 00 44 0F B7 03 8B C7 41 0F B7 D0 45 0F BF CB 45 2B F9 41 8B CF 66 D3 E2 41 0F B7 CB 66 85 F6 0F B7 F2 0F B7 53 02 0F 95 C0 66 41 D3 E8 66 0B F0 41 8B CF 0F B7 C2 66 D3 E0 41 0F B7 CB 66 44 0B C0 66 D3 EA 66 44 89 03 41 8B CF 44 0F B7 43 04 41 0F B7 C0 66 D3 E0 41 0F B7 CB 66 0B D0 66 41 D3 E8 66 89 53 02 41 8B CF 0F B7 53 06 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 06 66 44 89 43 04 66 44 09 73 06 0F B7 43 06 66 3B EE 72 07 75 26 44 84 13 74 21 66 44 01 13 75 1B 66 44 01 53 02 75 14 66 44 01 53 04 75 0D 66 41 03 C2 66 89 43 06 E9 95 FE FF FF 66 41 3B C6 0F 85 8B FE FF FF 66 39 7B 04 0F 85 81 FE FF FF 66 39 7B 02 0F 85 77 FE FF FF 66 39 3B 74 10 E9 6D FE FF FF 66 44 89 73 06 89 7B 02 66 89 3B 0F B7 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_63_1_0 {
	meta:
		name = "_fdscale"
		size = 470
		refs = "005c _fdnorm 007d _FInf_C 0091 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 BD FF 00 00 00 0F B7 49 02 8B F2 66 C1 E9 07 66 23 CD 66 3B CD 75 1E F6 43 02 7F 75 0E 33 FF 8D 47 01 66 39 3B 0F 84 74 01 00 00 B8 02 00 00 00 E9 6A 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C 4C 01 00 00 85 F6 7E 33 0F BF C1 2B E8 3B EE 7F 2A F3 0F 10 05 ?? ?? ?? ?? 41 BB 00 80 00 00 66 44 85 5B 02 74 07 0F 57 05 ?? ?? ?? ?? F3 0F 11 03 B8 01 00 00 00 E9 18 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 23 66 03 F1 B8 7F 80 00 00 66 21 43 02 B8 80 00 00 00 0F B7 CE 0F AF C8 66 09 4B 02 83 C8 FF E9 EA 00 00 00 0F B7 4B 02 44 8D 56 FF 0F B7 E9 44 03 D2 66 83 E1 7F B8 80 00 00 00 66 0B C8 41 BB 00 80 00 00 66 41 23 EB 66 89 4B 02 41 8D 42 18 83 F8 17 0F 87 AB 00 00 00 0F B7 F7 41 BE 10 00 00 00 66 41 83 FA F0 7F 0E 0F B7 33 66 45 03 D6 66 89 0B 66 89 7B 02 66 41 F7 DA 74 4A 44 0F B7 03 8B C7 41 0F B7 D0 45 0F BF CA 45 2B F1 41 8B CE 66 D3 E2 41 0F B7 CA 66 85 F6 0F B7 F2 0F B7 53 02 0F 95 C0 66 41 D3 E8 66 0B F0 41 8B CE 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 02 66 44 89 03 66 09 6B 02 B8 01 00 00 00 0F B7 4B 02 66 44 3B DE 72 06 75 15 84 03 74 11 66 01 03 75 0C 66 03 C8 66 89 4B 02 E9 2B FF FF FF 66 3B CD 0F 85 22 FF FF FF 66 39 3B 74 0C E9 18 FF FF FF 66 89 6B 02 66 89 3B 0F B7 C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_64_13_0 {
	meta:
		name = "?ctrlevent_capture@@YAHK@Z"
		size = 163
		refs = "0012 __acrt_lock 001a __security_cookie 002f ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0044 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0075 __acrt_unlock 008f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 8B C2 83 E0 3F 8B C8 85 DB 48 8B DA 75 15 4C 8D 05 ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? BF 02 00 00 00 EB 13 4C 8D 05 ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? BF 15 00 00 00 48 D3 CB 48 83 FB 02 72 12 B9 40 00 00 00 2B C8 33 C0 48 D3 C8 48 33 C2 49 89 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 04 33 C0 EB 16 48 83 FB 01 74 0B 8B CF 48 8B C3 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_64_14_0 {
	meta:
		name = "?fin$0@?0??ctrlevent_capture@@YAHK@Z@4HA"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "signal$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 03 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_64_16_0 {
	meta:
		name = "?get_global_action_nolock@@YAPEAP6AXH@ZH@Z"
		size = 60
		refs = "001f ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0027 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 002f ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0037 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 83 E9 02 74 2F 83 E9 04 74 12 83 E9 09 74 1D 83 E9 06 74 10 83 F9 01 74 03 33 C0 C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_64_18_0 {
	meta:
		name = "?siglookup@@YAPEAU__crt_signal_action_t@@HQEAU1@@Z"
		size = 37
		refs = "0003 __acrt_signal_action_table_count"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 C1 E0 04 48 03 C2 EB 09 39 4A 04 74 0C 48 83 C2 10 48 3B D0 75 F2 33 C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_64_19_0 {
	meta:
		name = "?signal_failed@@YAP6AXH@ZH@Z"
		size = 39
		refs = "0014 _errno"
	strings:
		$1 = { 48 83 EC 28 83 F9 11 77 0A B8 0A 20 03 00 0F A3 C8 72 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_21_0 {
	meta:
		name = "__acrt_get_sigabrt_handler"
		size = 46
		refs = "0025 ??$?RV<lambda_450d765d439847d4c735a33c368b5fc0>@@AEAV<lambda_44731a7d0e6d81c3e6aa82d741081786>@@V<lambda_601a2a7da3b7a96e9554ac7215c4b07c>@@@?$__crt_seh_guarded_call@P6AXH@Z@@QEAAP6AXH@Z$$QEAV<lambda_450d765d439847d4c735a33c368b5fc0>@@AEAV<lambda_44731a7d0e6d81c3e6aa82d741081786>@@$$QEAV<lambda_601a2a7da3b7a96e9554ac7215c4b07c>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 28 B8 03 00 00 00 4D 8D 4B 10 4D 8D 43 08 89 44 24 38 49 8D 53 18 89 44 24 40 49 8D 4B 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_22_0 {
	meta:
		name = "__acrt_initialize_signal_handlers"
		size = 29
		refs = "0003 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 000a ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0011 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0018 ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_64_23_0 {
	meta:
		name = "__fpecode"
		size = 18
		refs = "0005 __acrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_24_0 {
	meta:
		name = "__pxcptinfoptrs"
		size = 18
		refs = "0005 __acrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_25_0 {
	meta:
		name = "raise"
		size = 658
		refs = "0055 __acrt_getptd_noexit 006f __acrt_signal_action_table_count 0099 _errno 00a4 _invalid_parameter_noinfo 00db ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00e4 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00ed ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00f6 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 010e __acrt_lock 011b __security_cookie 0158 __acrt_unlock 0162 _exit 0193 __acrt_getptd 01b9 __acrt_signal_action_first_fpe_index 01c8 __acrt_signal_action_fpe_count 0240 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 8B C4 53 56 57 41 54 41 55 41 57 48 83 EC 48 8B D9 45 33 ED 44 21 68 18 40 B6 01 40 88 B4 24 80 00 00 00 83 F9 02 0F 84 8E 00 00 00 83 F9 04 74 22 83 F9 06 0F 84 80 00 00 00 83 F9 08 74 14 83 F9 0B 74 0F 83 F9 0F 74 71 8D 41 EB 83 F8 01 76 69 EB 44 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 75 08 83 C8 FF E9 1B 02 00 00 48 8B 08 48 8B 15 ?? ?? ?? ?? 48 C1 E2 04 48 03 D1 EB 09 39 59 04 74 0B 48 83 C1 10 48 3B CA 75 F2 33 C9 33 C0 48 85 C9 0F 95 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB B7 48 8D 79 08 40 32 F6 40 88 B4 24 80 00 00 00 EB 3F 83 E9 02 74 33 83 E9 04 74 13 83 E9 09 74 20 83 E9 06 74 12 83 F9 01 74 04 33 FF EB 22 48 8D 3D ?? ?? ?? ?? EB 19 48 8D 3D ?? ?? ?? ?? EB 10 48 8D 3D ?? ?? ?? ?? EB 07 48 8D 3D ?? ?? ?? ?? 48 83 A4 24 98 00 00 00 00 40 84 F6 74 0B B9 03 00 00 00 E8 ?? ?? ?? ?? 90 40 84 F6 74 17 48 8B 15 ?? ?? ?? ?? 8B CA 83 E1 3F 48 33 17 48 D3 CA 4C 8B E2 EB 03 4C 8B 27 49 83 FC 01 0F 94 C0 88 84 24 88 00 00 00 84 C0 0F 85 C0 00 00 00 4D 85 E4 75 19 40 84 F6 74 0A 41 8D 4C 24 03 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 41 BF 10 09 00 00 83 FB 0B 77 40 41 0F A3 DF 73 3A 49 8B 45 08 48 89 84 24 98 00 00 00 48 89 44 24 30 49 83 65 08 00 83 FB 08 75 56 E8 ?? ?? ?? ?? 8B 40 10 89 84 24 90 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? C7 40 10 8C 00 00 00 83 FB 08 75 32 48 8B 05 ?? ?? ?? ?? 48 C1 E0 04 49 03 45 00 48 8B 0D ?? ?? ?? ?? 48 C1 E1 04 48 03 C8 48 89 44 24 28 48 3B C1 74 31 48 83 60 08 00 48 83 C0 10 EB EB 48 8B 15 ?? ?? ?? ?? 8B C2 83 E0 3F B9 40 00 00 00 2B C8 33 C0 48 D3 C8 48 33 C2 48 89 07 EB 06 41 BF 10 09 00 00 40 84 F6 74 0A B9 03 00 00 00 E8 ?? ?? ?? ?? 80 BC 24 88 00 00 00 00 74 04 33 C0 EB 59 83 FB 08 75 19 E8 ?? ?? ?? ?? 8B 50 10 8B CB 49 8B C4 4C 8B 05 ?? ?? ?? ?? 41 FF D0 EB 0E 8B CB 49 8B C4 48 8B 15 ?? ?? ?? ?? FF D2 83 FB 0B 77 CB 41 0F A3 DF 73 C5 48 8B 84 24 98 00 00 00 49 89 45 08 83 FB 08 75 B4 E8 ?? ?? ?? ?? 8B 8C 24 90 00 00 00 89 48 10 EB A3 48 83 C4 48 41 5F 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_64_26_0 {
	meta:
		name = "raise$fin$0"
		size = 36
		refs = "0018 __acrt_unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 BD 80 00 00 00 00 74 0B B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_64_27_0 {
	meta:
		name = "signal"
		size = 489
		refs = "0049 __acrt_lock 005a ?console_ctrl_handler_installed@@3_NA 0069 ?ctrlevent_capture@@YAHK@Z 006f __imp_SetConsoleCtrlHandler 0081 __doserrno 008a __imp_GetLastError 0095 ?get_global_action_nolock@@YAPEAP6AXH@ZH@Z 00a1 __security_cookie 00d7 __acrt_unlock 0115 __acrt_getptd_noexit 0124 __acrt_exception_action_table 0130 __acrt_signal_action_table_size 0135 _malloc_base 014f memcpy 015c __acrt_signal_action_table_count 01c5 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 74 24 18 41 57 48 83 EC 30 4C 8B F2 8B F9 48 8D 42 FD 48 83 F8 01 0F 86 8D 01 00 00 83 F9 16 0F 87 CC 00 00 00 B8 44 80 60 00 0F A3 C8 0F 83 BE 00 00 00 32 DB 45 33 FF 41 8D 4F 03 E8 ?? ?? ?? ?? 90 83 FF 02 74 05 83 FF 15 75 3A 80 3D ?? ?? ?? ?? 00 75 31 BA 01 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 09 C6 05 ?? ?? ?? ?? 01 EB 12 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 B3 01 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 33 4C 8B 05 ?? ?? ?? ?? 41 8B D0 83 E2 3F 4D 8B F8 4C 33 38 8B CA 49 D3 CF 4C 89 7C 24 20 49 83 FE 02 74 10 B9 40 00 00 00 2B CA 49 D3 CE 4D 33 F0 4C 89 30 B9 03 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 16 83 FF 11 0F 87 DC 00 00 00 B8 0A 20 03 00 0F A3 F8 E9 CD 00 00 00 49 8B C7 E9 D6 00 00 00 83 F9 0B 0F 87 AF 00 00 00 B8 10 09 00 00 0F A3 C8 0F 83 A1 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 BE 4C 8D 3D ?? ?? ?? ?? 4C 39 38 75 26 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 9E 4C 8B 05 ?? ?? ?? ?? 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 0B 48 8B C1 4C 8B 05 ?? ?? ?? ?? 4D 03 C0 4A 8D 14 C1 48 3B CA 74 0E 39 78 04 74 0B 48 83 C0 10 48 3B C2 75 F2 33 C0 48 85 C0 0F 84 5A FF FF FF 48 8D 50 08 4C 8B 12 49 83 FE 02 74 1E 4E 8D 0C C1 49 3B C1 74 15 39 7A FC 75 10 4C 89 32 48 83 C2 10 48 8D 4A F8 49 3B C9 75 EB 49 8B C2 EB 1E 83 F9 11 77 0A B8 0A 20 03 00 0F A3 C8 72 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 5C 24 40 48 8B 7C 24 48 4C 8B 74 24 50 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_65_4_0 {
	meta:
		name = "_mbscpy_s_l"
		size = 310
		refs = "002b _errno 0037 _invalid_parameter_noinfo 0056 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 strcpy_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 49 8B F8 48 8B F2 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 26 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 48 8B CB 41 83 78 08 00 75 12 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 9F 00 00 00 8A 07 48 FF C7 88 01 48 FF C1 84 C0 74 06 48 83 EE 01 75 EC 48 85 F6 75 47 40 38 37 75 2C 48 8D 51 FF 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 00 19 04 74 08 48 FF C9 48 3B CB 73 ED 8B C2 2B C1 A8 01 74 05 C6 02 00 EB 45 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 3F 48 83 C1 FE 48 8B D1 48 3B CB 72 13 0F B6 02 42 F6 44 00 19 04 74 08 48 FF CA 48 3B D3 73 ED 8B C1 2B C2 A8 01 74 16 48 3B CB 72 11 C6 01 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 16 FF FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 05 FF FF FF }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "_ldlog"
		size = 451
		refs = "0018 _ldunscale 0057 _fperrraise 005f _LNan_C 006c __real@3fe6a09e667f3bcd 0090 __real@3ff0000000000000 00b9 __real@3fc2f8d8bf29def7 00c1 __real@3fc3991accfeb3f4 00cd __real@3fc7466fd968cb62 00d9 __real@3fcc71c4da12c9c6 00e5 __real@3fd24924948ae94a 00f1 __real@3fd9999999975ff7 00fd __real@3fe55555555555bc 011b __real@3fe62e42c0000000 0123 __real@3e7f7d1cf79abc9e 013a __real@3e5526e50e32a6ab 0145 __real@3e7427de7fbcc47c 014d __real@3fdbcb7b1526e50e 0155 __real@3fd3441300000000 0164 __real@3fdbcb7b00000000 0179 __real@3ff71547652b82fe 0184 __real@3e54ae0bf85ddf44 018c __real@3ff7154760000000 01b2 _LInf_C 01b9 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 7D 01 00 00 B8 00 80 00 00 83 E9 01 74 10 83 F9 01 75 14 F2 0F 10 44 24 30 E9 7C 01 00 00 66 85 44 24 36 75 09 EB EC 66 85 44 24 36 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 55 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4C 24 30 66 0F 2F C1 0F B7 44 24 40 76 07 F2 0F 58 C9 66 FF C8 98 0F 28 D1 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 66 0F 6E E0 F3 0F E6 E4 0F 28 DA F2 0F 5E D9 0F 28 C3 F2 0F 59 C3 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 0F 28 C2 F2 0F 5C C1 F2 0F 59 D8 85 DB 75 1D 0F 28 C4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D3 EB 6A 0F 28 CA 7E 3F F2 0F 59 0D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C CB 0F 28 D1 F2 0F 58 D0 EB 26 F2 0F 59 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C C3 0F 28 D0 F2 0F 58 D1 F2 0F 58 D4 0F 28 C2 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_468_0_0 {
	meta:
		name = "_dlog"
		size = 451
		refs = "0018 _dunscale 0057 _fperrraise 005f _Nan_C 006c __real@3fe6a09e667f3bcd 0090 __real@3ff0000000000000 00b9 __real@3fc2f8d8bf29def7 00c1 __real@3fc3991accfeb3f4 00cd __real@3fc7466fd968cb62 00d9 __real@3fcc71c4da12c9c6 00e5 __real@3fd24924948ae94a 00f1 __real@3fd9999999975ff7 00fd __real@3fe55555555555bc 011b __real@3fe62e42c0000000 0123 __real@3e7f7d1cf79abc9e 013a __real@3e5526e50e32a6ab 0145 __real@3e7427de7fbcc47c 014d __real@3fdbcb7b1526e50e 0155 __real@3fd3441300000000 0164 __real@3fdbcb7b00000000 0179 __real@3ff71547652b82fe 0184 __real@3e54ae0bf85ddf44 018c __real@3ff7154760000000 01b2 _Inf_C 01b9 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 7D 01 00 00 B8 00 80 00 00 83 E9 01 74 10 83 F9 01 75 14 F2 0F 10 44 24 30 E9 7C 01 00 00 66 85 44 24 36 75 09 EB EC 66 85 44 24 36 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 55 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4C 24 30 66 0F 2F C1 0F B7 44 24 40 76 07 F2 0F 58 C9 66 FF C8 98 0F 28 D1 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 66 0F 6E E0 F3 0F E6 E4 0F 28 DA F2 0F 5E D9 0F 28 C3 F2 0F 59 C3 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 0F 28 C2 F2 0F 5C C1 F2 0F 59 D8 85 DB 75 1D 0F 28 C4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D3 EB 6A 0F 28 CA 7E 3F F2 0F 59 0D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C CB 0F 28 D1 F2 0F 58 D0 EB 26 F2 0F 59 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C C3 0F 28 D0 F2 0F 58 D1 F2 0F 58 D4 0F 28 C2 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_66_1_0 {
	meta:
		name = "_ldlogpoly"
		size = 83
		refs = "0007 __real@3fc2f8d8bf29def7 000f __real@3fc3991accfeb3f4 001b __real@3fc7466fd968cb62 0027 __real@3fcc71c4da12c9c6 0033 __real@3fd24924948ae94a 003f __real@3fd9999999975ff7 004b __real@3fe55555555555bc"
		altNames = "_dlogpoly"
	strings:
		$1 = { 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? 0F 28 C1 C3 }
	condition:
		$1
}

rule file_67_1_0 {
	meta:
		name = "cprojf"
		size = 135
		refs = "000c crealf 001c cimagf 002c _fdtest 0061 _FZero_C 0068 __xmm@80000000800000008000000080000000 0075 _FInf_C"
	strings:
		$1 = { 40 53 48 83 EC 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 F3 0F 11 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 50 F3 0F 11 44 24 48 E8 ?? ?? ?? ?? 48 8D 4C 24 48 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 0E 66 83 F8 01 74 08 F2 0F 10 44 24 20 EB 2B B8 00 80 00 00 66 85 44 24 4A 74 11 F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F3 0F 10 05 ?? ?? ?? ?? 0F 14 C1 66 48 0F 7E C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_5_0 {
	meta:
		name = "_mbsnbicmp_l"
		size = 445
		refs = "0025 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0049 _strnicmp 005d _errno 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B FA 48 8B F1 49 8B D1 48 8D 48 D8 49 8B D8 E8 ?? ?? ?? ?? 33 ED 48 85 DB 0F 84 56 01 00 00 4C 8B 44 24 30 41 39 68 08 75 13 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? E9 43 01 00 00 48 85 F6 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 1F 01 00 00 41 B1 04 0F B6 0E 48 FF CB 48 FF C6 46 84 4C 01 19 74 5E 48 85 DB 75 18 0F B6 07 8B CD 46 84 4C 00 19 0F 85 EC 00 00 00 0F B7 D0 E9 D1 00 00 00 40 38 2E 75 05 0F B7 CD EB 52 0F B6 06 48 FF C6 66 C1 E1 08 66 0B C8 66 41 3B 48 0C 72 0E 66 41 3B 48 0E 77 07 66 41 03 48 10 EB 30 66 41 3B 48 12 72 29 66 41 3B 48 14 77 22 66 41 03 48 16 EB 1B 0F B7 C1 FF C0 48 98 42 F6 44 00 18 10 74 0C 0F B7 C1 42 0F B6 8C 00 19 01 00 00 0F B6 17 48 FF C7 46 84 4C 02 19 74 4D 48 85 DB 75 04 8B D5 EB 5F 48 FF CB 40 38 2F 75 05 0F B7 D5 EB 52 0F B6 07 48 FF C7 66 C1 E2 08 66 0B D0 66 41 3B 50 0C 72 0E 66 41 3B 50 0E 77 07 66 41 03 50 10 EB 30 66 41 3B 50 12 72 29 66 41 3B 50 14 77 22 66 41 03 50 16 EB 1B 0F B7 C2 FF C0 48 98 42 F6 44 00 18 10 74 0C 0F B7 C2 42 0F B6 94 00 19 01 00 00 66 3B D1 75 12 66 85 C9 74 09 48 85 DB 0F 85 EF FE FF FF 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_69_0_0 {
	meta:
		name = "_mbccpy"
		size = 30
		refs = "0015 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C0 4C 8B CA 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_69_1_0 {
	meta:
		name = "_mbccpy_l"
		size = 29
		refs = "0014 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B CA 45 33 C0 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_70_1_0 {
	meta:
		name = "memmove_s"
		size = 81
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0045 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3B 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 23 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4D 8B C1 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_71_1_0 {
	meta:
		name = "clogl"
		size = 592
		refs = "002f creall 0045 cimagl 0053 _ldtest 00b9 atan2 00e1 __xmm@80000000000000008000000000000000 0123 _fperrraise 012b _LInf_C 0147 __real@3feccccccccccccd 0159 __real@3fd999999999999a 0179 _ld_int 01c8 __real@3ff0000000000000 01dc log1pl 01e4 __real@3fe0000000000000 01f8 log 0229 _LCbuild"
	strings:
		$1 = { 40 55 53 56 57 48 8B EC 48 83 EC 68 0F 10 02 48 8B F9 48 8D 4D B8 0F 29 74 24 50 48 8B DA 0F 29 7C 24 40 F3 0F 7F 45 B8 44 0F 29 4C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 30 48 8D 4D B8 0F 10 03 F3 0F 7F 45 B8 E8 ?? ?? ?? ?? 48 8D 4D 30 F2 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F0 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FE 02 75 1B F2 0F 10 55 30 48 8D 4D B8 66 83 F8 01 0F 84 A1 01 00 00 0F 28 CA E9 A1 01 00 00 66 83 FB 02 75 1B F2 0F 10 55 28 48 8D 4D B8 66 83 FE 01 0F 84 80 01 00 00 0F 28 CA E9 80 01 00 00 F2 0F 10 75 30 F2 0F 10 7D 28 0F 28 CE 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 28 C8 66 83 FE 01 0F 84 4E 01 00 00 66 83 FB 01 0F 84 44 01 00 00 0F 57 C9 66 0F 2F CE 76 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 30 66 0F 2F CF 76 0C 0F 57 3D ?? ?? ?? ?? F2 0F 11 7D 28 66 0F 2F FE 76 13 0F 28 C6 F2 0F 11 7D 30 0F 28 F7 F2 0F 11 45 28 0F 28 F8 66 0F 2E F1 7A 28 75 26 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? 41 0F 28 D1 48 8D 4D B8 E9 E5 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 0F 82 9B 00 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 8D 00 00 00 BB 1A 00 00 00 F2 0F 11 75 40 8B D3 F2 0F 11 7D 38 48 8D 4D 40 E8 ?? ?? ?? ?? 8B D3 48 8D 4D 38 E8 ?? ?? ?? ?? F2 0F 10 5D 38 F2 0F 10 55 40 0F 28 C3 F2 0F 58 45 28 F2 0F 10 65 28 F2 0F 10 4D 30 F2 0F 5C E3 F2 0F 5C CA F2 0F 59 DB F2 0F 59 E0 0F 28 C2 F2 0F 58 45 30 F2 0F 59 D2 F2 0F 59 C8 F2 0F 5C 15 ?? ?? ?? ?? F2 0F 58 E1 F2 0F 58 D3 F2 0F 58 E2 0F 28 C4 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 C8 E9 46 FF FF FF 0F 28 C6 F2 0F 5E FE E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 FF 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C6 EB CF 0F 28 D0 48 8D 4D B8 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 4C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 68 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_72_2_0 {
	meta:
		name = "??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
		size = 162
		refs = "002b __acrt_lock 0031 _errno 0042 ??$common_tmpnam_nolock@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@@Z 0060 __acrt_getptd_noexit 0081 __acrt_unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 4D 8B F1 41 8B F8 48 8B F2 48 8B D9 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 44 8B 38 44 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B F0 33 FF 85 C0 74 0C 49 89 1E E8 ?? ?? ?? ?? 89 30 EB 21 48 85 DB 75 11 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 8D 78 48 48 8B 1F 49 89 1E E8 ?? ?? ?? ?? 44 89 38 B9 0C 00 00 00 E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_72_3_0 {
	meta:
		name = "?fin$0@?0???$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z@4HA"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0???$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z@4HA ?fin$0@?0??common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0C 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_4_0 {
	meta:
		name = "??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
		size = 162
		refs = "002b __acrt_lock 0031 _errno 0042 ??$common_tmpnam_nolock@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@@Z 0060 __acrt_getptd_noexit 0081 __acrt_unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 4D 8B F1 41 8B F8 48 8B F2 48 8B D9 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 44 8B 38 44 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B F0 33 FF 85 C0 74 0C 49 89 1E E8 ?? ?? ?? ?? 89 30 EB 21 48 85 DB 75 11 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 8D 78 50 48 8B 1F 49 89 1E E8 ?? ?? ?? ?? 44 89 38 B9 0C 00 00 00 E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_72_6_0 {
	meta:
		name = "??$common_tmpnam_nolock@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@@Z"
		size = 331
		refs = "0026 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 0044 ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0060 ??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z 006e _access_s 00aa strcpy_s 00b7 __acrt_getptd_noexit 00d8 _calloc_base 00e2 _free_base 0130 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 30 48 8B F1 41 8B F8 41 8B C8 48 8B EA E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 C9 00 00 00 80 38 00 41 BF 04 01 00 00 75 09 8B CF E8 ?? ?? ?? ?? EB 1E 48 8B C8 EB 0D B8 02 00 00 00 E9 AB 00 00 00 48 8B CB 49 8B D7 E8 ?? ?? ?? ?? 84 C0 74 E7 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 E3 48 85 F6 74 3B 85 FF 74 21 48 83 C8 FF 48 FF C0 80 3C 03 00 75 F7 48 3B C5 72 0F 48 85 ED 74 03 C6 06 00 B8 22 00 00 00 EB 64 4C 8B C3 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 6D 33 C0 EB 4E E8 ?? ?? ?? ?? 48 85 C0 74 3F 48 8D 78 48 48 85 FF 74 36 48 8B 0F 48 85 C9 75 1D 8D 51 01 49 8B CF E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 0F 48 85 C9 74 11 4C 8B C3 49 8B D7 E8 ?? ?? ?? ?? 85 C0 74 B5 EB 36 B8 0C 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_7_0 {
	meta:
		name = "??$common_tmpnam_nolock@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@@Z"
		size = 367
		refs = "0022 ?wide_tmpfile_buffer_pointers@@3PAPEA_WA 0048 _calloc_base 0053 _free_base 006d ??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0082 ??$generate_tmpfile_file_name@_W@@YA_NQEA_W_K@Z 0090 _waccess_s 00ce wcscpy_s 00db __acrt_getptd_noexit 0155 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 49 63 E8 4C 8D 25 ?? ?? ?? ?? 45 33 F6 48 8B FA 48 8B F1 41 BF 02 00 00 00 41 BD 04 01 00 00 4D 39 34 EC 75 16 41 8B D7 41 8B CD E8 ?? ?? ?? ?? 33 C9 49 89 04 EC E8 ?? ?? ?? ?? 49 8B 1C EC 48 85 DB 0F 84 BF 00 00 00 66 44 39 33 75 11 8B CD E8 ?? ?? ?? ?? EB 17 41 8B C7 E9 AD 00 00 00 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 E9 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 E3 48 85 F6 74 3D 85 ED 74 23 48 83 C8 FF 48 FF C0 66 44 39 34 43 75 F6 48 3B C7 72 10 48 85 FF 74 04 66 44 89 36 B8 22 00 00 00 EB 64 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 6F 33 C0 EB 4E E8 ?? ?? ?? ?? 48 85 C0 74 3F 48 8D 78 50 48 85 FF 74 36 48 8B 0F 48 85 C9 75 1D 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 0F 48 85 C9 74 11 4C 8B C3 49 8B D5 E8 ?? ?? ?? ?? 85 C0 74 B5 EB 37 B8 0C 00 00 00 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_8_0 {
	meta:
		name = "??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z"
		size = 153
		refs = "001b strrchr 0028 _invalid_parameter_noinfo 0059 strtoull 0077 _ui64toa_s 0094 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B FA 48 8B D9 BA 2E 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 17 E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 3B C3 72 E4 48 2B C3 48 3B F8 76 DC 33 D2 48 8D 71 01 48 8B CE 44 8D 42 24 E8 ?? ?? ?? ?? 48 83 C0 01 74 C9 48 2B DE 41 B9 24 00 00 00 48 8B D6 48 8B C8 4C 8D 04 1F E8 ?? ?? ?? ?? 85 C0 75 04 B0 01 EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_9_0 {
	meta:
		name = "??$generate_tmpfile_file_name@_W@@YA_NQEA_W_K@Z"
		size = 164
		refs = "001b wcsrchr 0028 _invalid_parameter_noinfo 005c wcstoull 0082 _ui64tow_s 009f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B FA 48 8B D9 BA 2E 00 00 00 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 17 E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 3B C3 72 E4 48 2B C3 48 D1 F8 48 3B F8 76 D9 49 8D 70 02 33 D2 48 8B CE 44 8D 42 24 E8 ?? ?? ?? ?? 48 83 C0 01 74 C6 4C 8B C6 41 B9 24 00 00 00 4C 2B C3 48 8B D6 49 D1 F8 48 8B C8 49 2B F8 4C 8B C7 E8 ?? ?? ?? ?? 85 C0 75 04 B0 01 EB A0 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_12_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z"
		size = 68
		refs = "0010 ?narrow_tmpfile_buffer_pointers@@3PAPEADA 0026 _calloc_base 0031 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 48 8D 3D ?? ?? ?? ?? 48 83 3C DF 00 75 1A BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 04 DF E8 ?? ?? ?? ?? 48 8B 04 DF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_72_13_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@_W@@YAPEA_WW4buffer_id@?A0x5b9a7937@@@Z"
		size = 68
		refs = "0010 ?wide_tmpfile_buffer_pointers@@3PAPEA_WA 0026 _calloc_base 0031 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 48 8D 3D ?? ?? ?? ?? 48 83 3C DF 00 75 1A BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 04 DF E8 ?? ?? ?? ?? 48 8B 04 DF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_72_14_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 196
		refs = "0012 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 0027 __acrt_GetTempPathA 005e __imp_GetCurrentProcessId 0075 _ui64toa_s 00bf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 8B F9 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 7E 48 8B D0 B9 04 01 00 00 E8 ?? ?? ?? ?? 8D 48 FF 81 F9 ED 00 00 00 77 63 8B D8 48 03 DE 85 FF 74 14 83 EF 01 74 0A 83 FF 01 75 10 C6 03 75 EB 08 C6 03 74 EB 03 C6 03 73 48 FF C3 48 2B F3 FF 15 ?? ?? ?? ?? 8B C8 41 B9 24 00 00 00 4C 8D 86 04 01 00 00 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 31 48 83 C9 FF 48 FF C1 80 3C 0B 00 75 F7 66 C7 04 0B 2E 30 B0 01 C6 44 0B 02 00 EB 05 C6 06 00 32 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_15_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 281
		refs = "001f ?wide_tmpfile_buffer_pointers@@3PAPEA_WA 0038 _calloc_base 0043 _free_base 005b __imp_GetTempPathW 00a4 __imp_GetCurrentProcessId 00b7 _ui64tow_s 0114 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 63 F9 48 8D 1D ?? ?? ?? ?? 45 33 F6 BD 04 01 00 00 4C 39 34 FB 75 16 41 8D 56 02 8B CD E8 ?? ?? ?? ?? 33 C9 48 89 04 FB E8 ?? ?? ?? ?? 48 8B 34 FB 48 85 F6 0F 84 93 00 00 00 48 8B D6 8B CD FF 15 ?? ?? ?? ?? 8D 48 FF 81 F9 ED 00 00 00 77 79 8B C0 48 8D 1C 46 85 FF 74 16 83 EF 01 74 0A 83 FF 01 75 18 8D 47 77 EB 0C B8 77 00 00 00 EB 05 B8 76 00 00 00 66 89 03 48 83 C3 02 48 8B C3 48 2B C6 48 D1 F8 48 2B E8 FF 15 ?? ?? ?? ?? 8B C8 41 B9 24 00 00 00 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 45 48 83 C8 FF 48 FF C0 66 44 39 34 43 75 F6 48 8D 04 43 C7 00 2E 00 30 00 48 83 C0 04 66 44 89 30 B0 01 EB 06 66 44 89 36 32 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_72_22_0 {
	meta:
		name = "??$tcslen@AEAPEAD@?$__crt_char_traits@D@@SA_KAEAPEAD@Z"
		size = 17
		altNames = "??$tcslen@AEAPEBD@?$__crt_char_traits@D@@SA_KAEAPEBD@Z ??$tcslen@AEBQEAD@?$__crt_char_traits@D@@SA_KAEBQEAD@Z ??$tcslen@AEBQEBD@?$__crt_char_traits@D@@SA_KAEBQEBD@Z ??$tcslen@PEAD@?$__crt_char_traits@D@@SA_K$$QEAPEAD@Z"
	strings:
		$1 = { 48 8B 11 48 83 C8 FF 48 FF C0 80 3C 02 00 75 F7 C3 }
	condition:
		$1
}

rule file_72_23_0 {
	meta:
		name = "??$tcslen@AEAPEA_W@?$__crt_char_traits@_W@@SA_KAEAPEA_W@Z"
		size = 18
		altNames = "??$tcslen@AEAPEB_W@?$__crt_char_traits@_W@@SA_KAEAPEB_W@Z ??$tcslen@AEBQEA_W@?$__crt_char_traits@_W@@SA_KAEBQEA_W@Z ??$tcslen@AEBQEB_W@?$__crt_char_traits@_W@@SA_KAEBQEB_W@Z ??$tcslen@PEA_W@?$__crt_char_traits@_W@@SA_K$$QEAPEA_W@Z"
	strings:
		$1 = { 48 8B 11 48 83 C8 FF 48 FF C0 66 83 3C 42 00 75 F6 C3 }
	condition:
		$1
}

rule file_72_32_0 {
	meta:
		name = "??$ulltot_s@KAEAPEAD_KH@?$__crt_char_traits@D@@SAH$$QEAKAEAPEAD$$QEA_K$$QEAH@Z"
		size = 16
		refs = "000c _ui64toa_s"
	strings:
		$1 = { 8B 09 45 8B 09 4D 8B 00 48 8B 12 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_33_0 {
	meta:
		name = "??$ulltot_s@KAEAPEA_W_KH@?$__crt_char_traits@_W@@SAH$$QEAKAEAPEA_W$$QEA_K$$QEAH@Z"
		size = 16
		refs = "000c _ui64tow_s"
	strings:
		$1 = { 8B 09 45 8B 09 4D 8B 00 48 8B 12 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_43_0 {
	meta:
		name = "?common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z"
		size = 109
		refs = "001c _errno 0028 _invalid_parameter_noinfo 003a __acrt_lock 0045 ?common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z 005c __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B FA 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 32 48 83 21 00 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 E8 ?? ?? ?? ?? 89 18 B9 0C 00 00 00 E8 ?? ?? ?? ?? EB CA 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_72_45_0 {
	meta:
		name = "?common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z"
		size = 387
		refs = "0021 ??$get_tmpfile_buffer_nolock@D@@YAPEADW4buffer_id@?A0x5b9a7937@@@Z 003d ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0058 ??$generate_tmpfile_file_name@D@@YA_NQEAD_K@Z 0064 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 007b _errno 00a8 _sopen_s 00f0 _strdup 0109 _close 012d _commode 015f ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0169 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 41 56 41 57 48 83 EC 40 44 8B F2 4C 8B F9 BB 01 00 00 00 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 08 8D 43 0B E9 3A 01 00 00 80 38 00 75 15 8B CB E8 ?? ?? ?? ?? 84 C0 75 19 B8 16 00 00 00 E9 20 01 00 00 BA 04 01 00 00 48 8B C8 E8 ?? ?? ?? ?? EB E3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 7C 24 30 00 75 0A B8 18 00 00 00 E9 F5 00 00 00 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 83 20 00 83 64 24 70 00 C7 44 24 20 80 01 00 00 45 8B CE 41 B8 42 85 00 00 48 8B D7 48 8D 4C 24 70 E8 ?? ?? ?? ?? 8B D8 89 44 24 78 83 F8 11 75 13 BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 02 EB C4 E8 ?? ?? ?? ?? 83 38 00 75 07 E8 ?? ?? ?? ?? 89 30 83 7C 24 70 FF 74 71 48 8B 5C 24 30 48 89 5C 24 38 48 8B CF E8 ?? ?? ?? ?? 48 89 43 28 48 8B 44 24 30 48 83 78 28 00 75 10 8B 4C 24 70 E8 ?? ?? ?? ?? BB 0C 00 00 00 EB 3F 83 60 10 00 48 8B 44 24 30 48 83 60 08 00 48 8B 44 24 30 48 83 20 00 8B 0D ?? ?? ?? ?? 83 C9 04 48 8B 44 24 30 F0 09 48 14 8B 4C 24 70 48 8B 44 24 30 89 48 18 48 8B 44 24 30 49 89 07 33 DB 48 8B 4C 24 30 83 79 18 FF 75 05 E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_72_46_0 {
	meta:
		name = "?fin$0@?0??common_tmpfile_nolock@@YAHQEAPEAU_iobuf@@H@Z@4HA"
		size = 41
		refs = "0014 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 001d _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 4D 30 83 79 18 FF 75 09 E8 ?? ?? ?? ?? 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_72_51_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPEAPEADD@Z"
		size = 23
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 48 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_52_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPEAPEA_W_W@Z"
		size = 23
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 50 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_62_0 {
	meta:
		name = "__acrt_stdio_free_tmpfile_name_buffers_nolock"
		size = 96
		refs = "0017 ?narrow_tmpfile_buffer_pointers@@3PAPEADA 0021 _free_base 0036 ?wide_tmpfile_buffer_pointers@@3PAPEA_WA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 BF 03 00 00 00 48 8D 1D ?? ?? ?? ?? 8B F7 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 8D 5B 08 48 83 EE 01 75 EA 48 8D 1D ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 8D 5B 08 48 83 EF 01 75 EA 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_72_64_0 {
	meta:
		name = "_wtmpnam"
		size = 38
		refs = "0018 ??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 64 24 38 00 4C 8D 4C 24 38 45 33 C0 BA 04 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_68_0 {
	meta:
		name = "tmpnam"
		size = 38
		refs = "0018 ??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 64 24 38 00 4C 8D 4C 24 38 45 33 C0 BA 04 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_65_0 {
	meta:
		name = "_wtmpnam_s"
		size = 53
		refs = "000a _errno 0015 _invalid_parameter_noinfo 002c ??$common_tmpnam@_W@@YAHQEA_W_KW4buffer_id@?A0x5b9a7937@@QEAPEA_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 10 4C 8D 4C 24 30 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_69_0 {
	meta:
		name = "tmpnam_s"
		size = 53
		refs = "000a _errno 0015 _invalid_parameter_noinfo 002c ??$common_tmpnam@D@@YAHQEAD_KW4buffer_id@?A0x5b9a7937@@QEAPEAD@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 10 4C 8D 4C 24 30 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_66_0 {
	meta:
		name = "tmpfile"
		size = 35
		refs = "0015 ?common_tmpfile@@YAHQEAPEAU_iobuf@@H@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 64 24 30 00 48 8D 4C 24 30 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_73_5_0 {
	meta:
		name = "_ismbchira_l"
		size = 77
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 75 12 8D 83 61 7D FF FF 83 F8 52 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_73_7_0 {
	meta:
		name = "_ismbckata_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 75 1A 8D 83 C0 7C FF FF 83 F8 56 77 0F 81 FB 7F 83 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_73_9_0 {
	meta:
		name = "_ismbcsymbol_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 75 1A 8D 83 BF 7E FF FF 83 F8 6B 77 0F 81 FB 7F 81 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_74_0_0 {
	meta:
		name = "raise_fpsw_flags"
		size = 49
		refs = "002d _set_statfp"
	strings:
		$1 = { 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_1_0 {
	meta:
		name = "scaleDouble_2"
		size = 72
	strings:
		$1 = { 8B C2 44 8B C2 99 0F 28 D0 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C0 48 03 CA 49 63 C0 48 C1 E1 34 48 03 C2 48 89 4C 24 08 F2 0F 10 44 24 08 F2 0F 59 C2 48 C1 E0 34 48 89 44 24 08 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_74_2_0 {
	meta:
		name = "splitexp"
		size = 295
		refs = "0008 __real@3fe0000000000000 0030 __real@0000000000000000 0048 __ImageBase 0063 ?two_to_jby32_lead_table@?1??splitexp@@9@9 006c ?two_to_jby32_trail_table@?1??splitexp@@9@9 00ce __real@3f56c1728d739765 00d6 __real@3f811115b7aa905e 00e2 __real@3fa5555555545d4e 00ee __real@3fc5555555548f7c"
	strings:
		$1 = { 48 83 EC 38 F2 0F 10 2D ?? ?? ?? ?? 0F 28 E0 0F 29 74 24 20 0F 28 F0 0F 29 7C 24 10 0F 28 F9 F2 0F 59 E2 44 0F 29 04 24 44 0F 28 C3 66 0F 2F 25 ?? ?? ?? ?? 76 06 F2 0F 58 E5 EB 04 F2 0F 5C E5 F2 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 83 E1 1F 48 63 C1 66 41 0F 6E C0 F3 0F E6 C0 F2 0F 10 9C C2 ?? ?? ?? ?? F2 0F 10 A4 C2 ?? ?? ?? ?? 41 8B C0 2B C1 F2 41 0F 59 C0 48 8B 4C 24 68 99 44 0F 28 04 24 83 E2 1F 03 C2 C1 F8 05 F2 0F 5C F0 89 01 48 8B 44 24 70 41 F7 D8 F2 0F 59 F1 66 41 0F 6E C8 F3 0F E6 C9 F2 0F 11 18 F2 0F 59 4C 24 60 48 8B 44 24 78 F2 0F 59 CF 0F 28 7C 24 10 0F 28 C1 F2 0F 58 C6 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 C0 F2 0F 58 D5 F2 0F 59 D0 0F 28 C4 F2 0F 58 C3 F2 0F 58 D1 F2 0F 58 D6 0F 28 74 24 20 F2 0F 59 D0 F2 0F 58 D4 F2 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_74_3_0 {
	meta:
		name = "tanh"
		size = 654
		refs = "0057 _set_statfp 0074 _handle_nan 0090 __xmm@80000000000000008000000000000000 0099 __real@4034000000000000 00a1 __real@3ff0000000000000 00ba __real@3feccccccccccccd 00d8 __real@3f2b68b3cecad284 00e0 __real@3e4e82d10d09af81 00e8 __real@bf2a387bfaf479c9 00f0 __real@3f94a3d4cc7a88a9 0104 __real@3fd86cd01c4ab94c 010c __real@3f920629b90302ae 011c __real@3fea4e925c00b304 0124 __real@3fd189b6e8007758 012e __real@3f26af77f334e750 0136 __real@3e48cc5a847e6cec 013e __real@bf25b483c69835dd 0146 __real@3f912335baec487f 015a __real@3fd44d1459bcc5f6 0162 __real@3f8defad6e212118 0172 __real@3fe5de431d442afd 017a __real@3fcd28597c5ae288 019c __real@3dcf473de6af278e 01ac __real@4000000000000000 01b7 __real@3f962e42fe000000 01bf __real@40471547652b82fe 01f2 splitexp"
	strings:
		$1 = { 48 83 EC 78 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 60 F2 0F 11 84 24 88 00 00 00 48 8B 8C 24 88 00 00 00 48 8B C1 0F 29 7C 24 50 48 23 C2 44 0F 29 44 24 40 48 BA 00 00 00 00 00 00 30 3E 44 0F 28 C0 48 3B C2 73 1C 48 85 C0 0F 84 28 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 41 0F 28 C0 E9 15 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 0A E8 ?? ?? ?? ?? E9 FC 01 00 00 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 08 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? 0F 87 BF 01 00 00 66 41 0F 2F F8 0F 82 E2 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 D0 F2 41 0F 59 D0 66 41 0F 2F C0 0F 28 CA 0F 28 C2 76 56 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? EB 54 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C2 F2 41 0F 59 C0 F2 0F 59 F8 F2 0F 5E F9 F2 41 0F 58 F8 E9 D2 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8D 84 24 98 00 00 00 F2 0F 10 35 ?? ?? ?? ?? 0F 28 CF F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 89 44 24 38 48 8D 84 24 90 00 00 00 48 89 44 24 30 48 8D 84 24 80 00 00 00 48 89 44 24 28 F2 0F 11 44 24 20 F2 44 0F 59 C6 41 0F 28 C0 E8 ?? ?? ?? ?? 44 8B 8C 24 80 00 00 00 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 88 00 00 00 F2 0F 10 94 24 88 00 00 00 48 C1 E0 34 48 89 84 24 88 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 10 8C 24 90 00 00 00 F2 0F 58 8C 24 98 00 00 00 F2 0F 59 CA F2 0F 59 C8 F2 0F 58 CF F2 0F 5E F1 F2 0F 5C FE 4D 85 D2 74 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 0F 28 74 24 60 0F 28 7C 24 50 44 0F 28 44 24 40 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_74_4_0 {
	meta:
		name = "val_with_flags"
		size = 74
		refs = "0039 _set_statfp"
		altNames = "valf_with_flags"
	strings:
		$1 = { 48 83 EC 38 33 C0 0F 29 74 24 20 F6 C2 01 0F 28 F0 8D 48 08 0F 45 C1 F6 C2 02 74 03 83 C8 10 F6 C2 04 74 03 83 C8 04 84 D1 74 03 83 C8 01 F6 C2 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_75_10_0 {
	meta:
		name = "__acrt_locale_free_monetary"
		size = 266
		refs = "0018 __acrt_lconv_c 001f _free_base"
	strings:
		$1 = { 48 85 C9 0F 84 00 01 00 00 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 20 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 28 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 30 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 38 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 40 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 48 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 68 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 70 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 78 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_75_11_0 {
	meta:
		name = "__acrt_locale_initialize_monetary"
		size = 1336
		refs = "0047 __acrt_lconv_c 005f _calloc_base 0069 _free_base 00f7 __acrt_GetLocaleInfoA 038d __acrt_locale_free_monetary"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 33 DB 48 89 4D F0 48 8B F1 44 8B FB 48 89 5D F8 48 39 99 40 01 00 00 75 18 48 39 99 48 01 00 00 75 0F 44 8B E3 4C 8D 35 ?? ?? ?? ?? E9 74 04 00 00 41 BD 01 00 00 00 BA 98 00 00 00 41 8B CD E8 ?? ?? ?? ?? 33 C9 4C 8B F0 E8 ?? ?? ?? ?? 4D 85 F6 75 08 41 8B C5 E9 A0 04 00 00 BF 04 00 00 00 49 8B CD 8B D7 E8 ?? ?? ?? ?? 33 C9 4C 8B E0 E8 ?? ?? ?? ?? 4D 85 E4 75 0A 49 8B CE E8 ?? ?? ?? ?? EB D0 48 39 9E 40 01 00 00 0F 84 52 03 00 00 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 33 C9 4C 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 75 0D 49 8B CE E8 ?? ?? ?? ?? 49 8B CC EB C5 48 8B BE 40 01 00 00 49 8D 46 18 4C 8B C7 48 89 44 24 20 41 B9 15 00 00 00 48 8D 4D F0 41 8B D5 E8 ?? ?? ?? ?? 49 8D 4E 20 41 B9 14 00 00 00 48 89 4C 24 20 4C 8B C7 48 8D 4D F0 41 8B D5 8B D8 E8 ?? ?? ?? ?? 49 8D 4E 28 41 B9 16 00 00 00 48 89 4C 24 20 4C 8B C7 48 8D 4D F0 41 8B D5 0B D8 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 30 41 B9 17 00 00 00 4C 8B C7 48 89 44 24 20 41 8B D5 E8 ?? ?? ?? ?? 41 B9 18 00 00 00 4D 8D 6E 38 4C 8B C7 4C 89 6C 24 20 48 8D 4D F0 0B D8 41 8D 51 E9 E8 ?? ?? ?? ?? 41 B9 50 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 46 40 48 89 44 24 20 41 8D 51 B1 E8 ?? ?? ?? ?? 41 B9 51 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 46 48 48 89 44 24 20 41 8D 51 B0 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 50 41 B9 1A 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 51 41 B9 19 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 52 41 B9 54 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 49 8D 46 53 41 B9 55 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 48 8D 4D F0 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 54 41 B9 56 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 55 41 B9 57 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 56 41 B9 52 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 0B D8 48 8D 4D F0 49 8D 46 57 41 B9 53 00 00 00 4C 8B C7 48 89 44 24 20 33 D2 E8 ?? ?? ?? ?? 41 B9 15 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 46 68 48 89 44 24 20 41 8D 51 ED E8 ?? ?? ?? ?? 41 B9 14 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 46 70 48 89 44 24 20 41 8D 51 EE E8 ?? ?? ?? ?? 41 B9 16 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 46 78 48 89 44 24 20 41 8D 51 EC E8 ?? ?? ?? ?? 41 B9 17 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 86 80 00 00 00 48 89 44 24 20 41 8D 51 EB E8 ?? ?? ?? ?? 41 B9 50 00 00 00 48 8D 4D F0 0B D8 4C 8B C7 49 8D 86 88 00 00 00 48 89 44 24 20 41 8D 51 B2 E8 ?? ?? ?? ?? 0B D8 49 8D 86 90 00 00 00 41 B9 51 00 00 00 48 89 44 24 20 4C 8B C7 48 8D 4D F0 41 8D 51 B1 E8 ?? ?? ?? ?? 0B C3 74 2A 49 8B CE E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 E9 67 01 00 00 49 8B 55 00 33 DB 38 1A 0F 84 A8 00 00 00 8A 0A 8D 41 D0 3C 09 77 17 80 E9 30 88 0A 41 BD 01 00 00 00 49 03 D5 38 1A 75 E5 E9 8E 00 00 00 80 F9 3B 75 E9 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 41 BD 01 00 00 00 EB D7 48 8D 05 ?? ?? ?? ?? BA 80 00 00 00 0F 10 00 41 0F 11 06 0F 10 48 10 41 0F 11 4E 10 0F 10 40 20 41 0F 11 46 20 0F 10 48 30 41 0F 11 4E 30 0F 10 40 40 41 0F 11 46 40 0F 10 48 50 41 0F 11 4E 50 0F 10 40 60 41 0F 11 46 60 0F 10 40 70 41 0F 11 44 16 F0 0F 10 0C 10 41 0F 11 0C 16 48 8B 44 10 10 49 89 44 16 10 EB 06 41 BD 01 00 00 00 48 8B 86 F8 00 00 00 48 8B 08 49 89 0E 48 8B 86 F8 00 00 00 48 8B 48 08 49 89 4E 08 48 8B 86 F8 00 00 00 48 8B 48 10 49 89 4E 10 48 8B 86 F8 00 00 00 48 8B 48 58 49 89 4E 58 48 8B 86 F8 00 00 00 48 8B 48 60 49 89 4E 60 45 89 2C 24 4D 85 FF 74 03 45 89 2F 48 8B 86 F0 00 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E E0 00 00 00 48 85 C9 74 24 83 C8 FF F0 0F C1 01 83 F8 01 75 18 48 8B 8E F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E E0 00 00 00 E8 ?? ?? ?? ?? 4C 89 BE F0 00 00 00 33 C0 4C 89 A6 E0 00 00 00 4C 89 B6 F8 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_75_12_0 {
	meta:
		name = "fix_grouping"
		size = 60
	strings:
		$1 = { 45 33 C9 48 8B D1 44 38 09 74 16 8A 0A 8D 41 D0 3C 09 77 0E 80 E9 30 88 0A 48 FF C2 44 38 0A 75 EA C3 80 F9 3B 75 F2 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 EB E0 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "imaxdiv"
		size = 29
	strings:
		$1 = { 4C 8B CA 48 8B C2 48 99 49 F7 F8 48 89 01 49 0F AF C0 4C 2B C8 48 8B C1 4C 89 49 08 C3 }
	condition:
		$1
}

rule file_77_4_0 {
	meta:
		name = "?capture_current_context@@YAXQEAU_CONTEXT@@@Z"
		size = 109
		refs = "000f __imp_RtlCaptureContext 0027 __imp_RtlLookupFunctionEntry 005e __imp_RtlVirtualUnwind"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B BB F8 00 00 00 48 8D 54 24 50 48 8B CF 45 33 C0 FF 15 ?? ?? ?? ?? 48 85 C0 74 32 48 83 64 24 38 00 48 8D 4C 24 58 48 8B 54 24 50 4C 8B C8 48 89 4C 24 30 4C 8B C7 48 8D 4C 24 60 48 89 4C 24 28 33 C9 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_77_8_0 {
	meta:
		name = "__acrt_call_reportfault"
		size = 347
		refs = "0020 __security_cookie 003b __crt_debugger_hook 004d memset 007b __imp_RtlCaptureContext 0093 __imp_RtlLookupFunctionEntry 00ce __imp_RtlVirtualUnwind 0107 __imp_IsDebuggerPresent 0111 __imp_SetUnhandledExceptionFilter 011c __imp_UnhandledExceptionFilter 013f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 10 FB FF FF 48 81 EC F0 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 04 00 00 41 8B F8 8B F2 8B D9 83 F9 FF 74 05 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 70 41 B8 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 41 B8 D0 04 00 00 E8 ?? ?? ?? ?? 48 8D 44 24 70 48 89 44 24 48 48 8D 4D 10 48 8D 45 10 48 89 44 24 50 FF 15 ?? ?? ?? ?? 4C 8B B5 08 01 00 00 48 8D 54 24 40 49 8B CE 45 33 C0 FF 15 ?? ?? ?? ?? 48 85 C0 74 36 48 83 64 24 38 00 48 8D 4C 24 58 48 8B 54 24 40 4C 8B C8 48 89 4C 24 30 4D 8B C6 48 8D 4C 24 60 48 89 4C 24 28 48 8D 4D 10 48 89 4C 24 20 33 C9 FF 15 ?? ?? ?? ?? 48 8B 85 08 05 00 00 48 89 85 08 01 00 00 48 8D 85 08 05 00 00 48 83 C0 08 89 74 24 70 48 89 85 A8 00 00 00 48 8B 85 08 05 00 00 48 89 45 80 89 7C 24 74 FF 15 ?? ?? ?? ?? 33 C9 8B F8 FF 15 ?? ?? ?? ?? 48 8D 4C 24 48 FF 15 ?? ?? ?? ?? 85 C0 75 10 85 FF 75 0C 83 FB FF 74 07 8B CB E8 ?? ?? ?? ?? 48 8B 8D E0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 05 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_77_10_0 {
	meta:
		name = "_get_invalid_parameter_handler"
		size = 23
		refs = "0003 __security_cookie 000c ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 8B C8 48 33 05 ?? ?? ?? ?? 83 E1 3F 48 D3 C8 C3 }
	condition:
		$1
}

rule file_77_11_0 {
	meta:
		name = "_get_thread_local_invalid_parameter_handler"
		size = 26
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 07 48 8B 80 B8 03 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_77_12_0 {
	meta:
		name = "_invalid_parameter"
		size = 174
		refs = "0021 __acrt_getptd_noexit 004e __guard_dispatch_icall_fptr 006a __security_cookie 007a ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A 00a9 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 48 85 C0 74 3D 48 8B 80 B8 03 00 00 48 85 C0 74 31 48 8B 54 24 60 44 8B CB 48 89 54 24 20 4C 8B C7 48 8B D6 48 8B CD FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 4C 8B 15 ?? ?? ?? ?? 44 8B CB 41 8B CA 4C 8B C7 4C 33 15 ?? ?? ?? ?? 83 E1 3F 49 D3 CA 48 8B D6 4D 85 D2 74 0F 48 8B 4C 24 60 49 8B C2 48 89 4C 24 20 EB AE 48 8B 44 24 60 48 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_77_13_0 {
	meta:
		name = "_invalid_parameter_noinfo"
		size = 30
		refs = "0015 _invalid_parameter"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_77_14_0 {
	meta:
		name = "_invalid_parameter_noinfo_noreturn"
		size = 47
		refs = "0015 _invalid_parameter 002a _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_77_15_0 {
	meta:
		name = "_invoke_watson"
		size = 70
		refs = "000a IsProcessorFeaturePresent 0029 __acrt_call_reportfault 002f __imp_GetCurrentProcess 0042 __imp_TerminateProcess"
	strings:
		$1 = { 48 83 EC 28 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 05 00 00 00 CD 29 41 B8 01 00 00 00 BA 17 04 00 C0 41 8D 48 01 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 BA 17 04 00 C0 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_16_0 {
	meta:
		name = "_set_invalid_parameter_handler"
		size = 52
		refs = "0003 __security_cookie 001b ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPEB_W00I_K@Z@__crt_state_management@@A"
	strings:
		$1 = { 4C 8B 05 ?? ?? ?? ?? 4C 8B C9 41 8B D0 B9 40 00 00 00 83 E2 3F 49 8B C0 48 33 05 ?? ?? ?? ?? 2B CA 49 D3 C9 8B CA 4D 33 C8 48 D3 C8 4C 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_77_17_0 {
	meta:
		name = "_set_thread_local_invalid_parameter_handler"
		size = 37
		refs = "000a __acrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B D0 48 8B 80 B8 03 00 00 48 89 9A B8 03 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "fmodf"
		size = 580
		refs = "00d0 __xmm@80000000000000008000000000000000 01f1 _handle_nanf 020a ??_C@_05OOAOEJGP@fmodf?$AA@ 023b _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 58 48 B8 FF FF FF FF FF FF FF 7F 0F 28 E1 0F 28 C8 0F 57 D2 F3 0F 5A D1 0F 57 DB F2 0F 11 54 24 70 4C 8B 44 24 70 F3 0F 5A DC 4D 8B C8 49 8B C8 4C 23 C8 48 C1 E9 34 F2 0F 11 5C 24 70 4C 8B 5C 24 70 4D 8B D3 49 8B D3 4C 23 D0 48 C1 EA 34 B8 FF 07 00 00 23 C8 23 D0 83 F9 01 0F 8C 42 01 00 00 81 F9 FE 07 00 00 0F 8F 3E 01 00 00 8D 42 FF 3D FD 07 00 00 0F 87 28 01 00 00 4D 3B CA 75 21 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 70 F2 0F 10 44 24 70 66 0F 5A C0 E9 95 01 00 00 4C 89 4C 24 70 F2 0F 10 54 24 70 4C 89 54 24 70 F2 0F 10 5C 24 70 4D 3B CA 73 1B 0F 57 C0 0F 2F C1 76 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 E9 5F 01 00 00 0F AE 5C 24 68 44 8B 44 24 68 3B CA 7E 76 2B CA B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 52 8D 04 C5 FF 03 00 00 48 63 C8 48 B8 00 00 00 00 00 00 70 3E 48 C1 E1 34 48 89 4C 24 70 F2 0F 10 44 24 70 F2 0F 59 C3 48 89 44 24 70 F2 0F 10 64 24 70 0F 28 D8 85 D2 7E 27 8B CA 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 59 DC F2 0F 5C D1 48 83 E9 01 75 DB 0F 28 C2 44 89 44 24 68 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 5C D1 F2 0F 11 54 24 70 0F AE 54 24 68 0F 57 C0 0F 2F 44 24 60 0F 28 C2 76 07 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 E9 93 00 00 00 81 F9 FE 07 00 00 7E 17 48 B8 FF FF FF FF FF FF 0F 00 4C 85 C0 74 3C F3 0F 11 4C 24 60 EB 1D 81 FA FE 07 00 00 7E 22 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 74 5D F3 0F 11 64 24 60 8B 4C 24 60 48 83 C4 58 E9 ?? ?? ?? ?? 83 F9 01 7D 05 83 FA 01 7D 40 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 64 24 38 41 B9 01 00 00 00 F3 0F 11 4C 24 30 41 B8 00 00 C0 FF C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 41 8D 51 15 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_79_0_0 {
	meta:
		name = "cabs"
		size = 66
		refs = "0020 cimag 002d creal 003e hypot"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 D8 F3 0F 7F 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "cabsl"
		size = 66
		refs = "0020 cimagl 002d creall 003e _hypot"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 D8 F3 0F 7F 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_1_0 {
	meta:
		name = "cargl"
		size = 66
		refs = "0020 creall 002d cimagl 003e atan2"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 D8 F3 0F 7F 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "cacosf"
		size = 706
		refs = "0034 crealf 0042 cimagf 0050 _fdtest 009a _FInf_C 00ac __real@3fc90fdb 00d7 __real@4016cbe4 00e1 __real@3f490fdb 00f4 __real@40490fdb 0109 __xmm@80000000800000008000000080000000 014f __real@3f800000 015f _FCbuild 0167 csqrtf 01d3 conjf 01e6 atan2f 01f1 __real@5e7fe80a 01fd __real@40000000 0259 asinhf 0261 __real@00000000 0271 logf"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 48 8D 68 A1 48 81 EC 90 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 48 89 4D E7 E8 ?? ?? ?? ?? 48 8B 4D E7 F3 0F 11 45 77 E8 ?? ?? ?? ?? 48 8D 4D 77 F3 0F 11 45 6F E8 ?? ?? ?? ?? 48 8D 4D 6F 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F3 0F 10 7D 77 66 3B C3 75 0A F3 0F 10 75 6F E9 0E 02 00 00 66 83 F8 01 75 37 E9 AB 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F3 0F 10 7D 6F F3 0F 10 35 ?? ?? ?? ?? E9 E5 01 00 00 66 85 DB 75 0A F3 0F 10 3D ?? ?? ?? ?? EB BE F3 0F 10 7D 6F 0F 28 F7 E9 C9 01 00 00 66 83 FB 01 75 5D 66 3B C3 75 1D 0F 57 C0 0F 2F 45 77 76 0A F3 0F 10 3D ?? ?? ?? ?? EB 1B F3 0F 10 3D ?? ?? ?? ?? EB 11 0F 57 FF 0F 2F 7D 77 76 08 F3 0F 10 3D ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? B8 00 80 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 57 F0 66 85 45 71 0F 84 6E 01 00 00 0F 57 F0 E9 66 01 00 00 66 83 F8 01 75 19 F3 0F 10 3D ?? ?? ?? ?? F3 0F 10 75 6F 0F 57 35 ?? ?? ?? ?? E9 47 01 00 00 F3 0F 10 45 77 F3 0F 10 4D 6F F3 0F 10 35 ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F3 0F 58 C6 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? F3 0F 5C 75 77 F3 0F 10 4D 6F 0F 57 0D ?? ?? ?? ?? 66 48 0F 6E F8 0F 28 C6 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 66 48 0F 7E F9 66 48 0F 6E F0 E8 ?? ?? ?? ?? 66 48 0F 7E F9 44 0F 28 D8 E8 ?? ?? ?? ?? 66 48 0F 7E F1 44 0F 28 D0 E8 ?? ?? ?? ?? 66 48 0F 7E F1 44 0F 28 C0 E8 ?? ?? ?? ?? 66 48 0F 7E F9 0F 28 F0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 F3 0F 10 05 ?? ?? ?? ?? 44 0F 2F D8 F3 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F3 41 0F 5E F3 EB 3D 44 0F 2F D0 45 0F 28 CA 76 07 F3 45 0F 5E C2 EB 13 44 0F 57 0D ?? ?? ?? ?? 44 0F 2F C8 76 15 F3 45 0F 5E C1 F3 45 0F 59 C3 F3 44 0F 58 C6 41 0F 28 F0 EB 13 45 0F 57 C9 F3 45 0F 59 C3 F3 41 0F 59 F2 F3 41 0F 58 F0 0F 28 C6 E8 ?? ?? ?? ?? 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1C 41 0F 28 C1 E8 ?? ?? ?? ?? 0F 2F 3D ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 0F 28 CE 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_81_1_0 {
	meta:
		name = "cproj"
		size = 186
		refs = "0023 creal 003c cimag 004c _dtest 0079 _Zero_C 0080 __xmm@80000000000000008000000000000000 008d _Inf_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 50 0F 10 02 48 8B F1 48 8B FA 48 8D 48 D8 F3 0F 7F 40 D8 E8 ?? ?? ?? ?? F2 0F 11 44 24 40 48 8D 4C 24 30 0F 10 07 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 40 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 06 66 83 F8 01 75 37 B8 00 80 00 00 66 85 44 24 26 74 11 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F2 0F 10 05 ?? ?? ?? ?? 48 8D 7C 24 30 66 0F 14 C1 66 0F 7F 44 24 30 0F 10 07 48 8B 5C 24 60 48 8B C6 F3 0F 7F 06 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_451_1_0 {
	meta:
		name = "cprojl"
		size = 186
		refs = "0023 creall 003c cimagl 004c _ldtest 0079 _LZero_C 0080 __xmm@80000000000000008000000000000000 008d _LInf_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 50 0F 10 02 48 8B F1 48 8B FA 48 8D 48 D8 F3 0F 7F 40 D8 E8 ?? ?? ?? ?? F2 0F 11 44 24 40 48 8D 4C 24 30 0F 10 07 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 40 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 06 66 83 F8 01 75 37 B8 00 80 00 00 66 85 44 24 26 74 11 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F2 0F 10 05 ?? ?? ?? ?? 48 8D 7C 24 30 66 0F 14 C1 66 0F 7F 44 24 30 0F 10 07 48 8B 5C 24 60 48 8B C6 F3 0F 7F 06 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "cexpf"
		size = 475
		refs = "0019 crealf 0027 cimagf 0035 _fdtest 00c8 _FZero_C 00cf __xmm@80000000800000008000000080000000 00de cosf 00f4 sinf 0107 _fperrraise 0114 _FNan_C 0198 _fdexp 01c6 _FCbuild"
	strings:
		$1 = { 40 55 53 48 8B EC 48 83 EC 58 0F 29 74 24 40 0F 29 7C 24 30 48 89 4D D0 E8 ?? ?? ?? ?? 48 8B 4D D0 F3 0F 11 45 C8 E8 ?? ?? ?? ?? 48 8D 4D C8 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1D F3 0F 10 7D C8 F3 0F 11 7D 28 66 85 C0 0F 85 0C 01 00 00 F3 0F 10 75 30 E9 05 01 00 00 B9 01 00 00 00 66 83 F8 02 75 28 66 3B D9 75 19 0F 57 FF 0F 2F 7D C8 0F 87 E0 00 00 00 F3 0F 10 7D C8 F3 0F 11 7D 28 EB CD F3 0F 10 7D 30 E9 CA 00 00 00 66 3B D9 0F 85 AF 00 00 00 0F 57 F6 0F 2F 75 C8 76 54 66 3B C1 75 26 0F 2F 75 30 0F 28 FE F3 0F 11 7D 28 0F 86 A9 00 00 00 F3 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 95 00 00 00 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F3 0F 10 45 30 F3 0F 59 FE F3 0F 11 7D 28 E8 ?? ?? ?? ?? F3 0F 59 C6 0F 28 F0 EB 6C 66 3B C1 75 19 E8 ?? ?? ?? ?? F3 0F 10 7D C8 F3 0F 10 35 ?? ?? ?? ?? F3 0F 11 7D 28 EB 4E 66 85 C0 0F 84 5D FF FF FF F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F3 0F 10 45 30 F3 0F 59 7D C8 F3 0F 11 7D 28 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 59 75 C8 EB 1A 66 3B C1 75 1C E8 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? F3 0F 11 7D 28 0F 28 F7 F3 0F 11 75 20 EB 4B F3 0F 10 45 C8 F3 0F 11 45 28 F3 0F 11 45 20 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 28 45 33 C0 E8 ?? ?? ?? ?? F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 20 45 33 C0 E8 ?? ?? ?? ?? F3 0F 10 7D 28 F3 0F 10 75 20 0F 28 CE 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 58 5B 5D C3 }
	condition:
		$1
}

rule file_83_0_0 {
	meta:
		name = "fmax"
		size = 110
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 17 66 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 36 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "fmaxl"
		size = 110
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 17 66 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 36 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "coshf"
		size = 657
		refs = "0008 __real@3ff0000000000000 0049 __real@3f800000 0059 __real@7e37e43c8800759c 0069 _set_statfp 008f _handle_nanf 00b5 __xmm@80000000000000008000000000000000 00bd __real@40565a9f84f82e63 00ce ??_C@_05NHNGJKPP@coshf?$AA@ 0101 _handle_errorf 010e __real@40420fd21b95825f 011c __real@3dcf473de6af278e 0129 __real@3f962e42fe000000 0156 __real@40471547652b82fe 015b splitexp 01a7 __ImageBase 01c4 __real@3d6b4125921ea08b 01d0 __real@3de611cb2bdcb7be 01dc __real@3e5ae6460fbe61c0 01e8 __real@3ec71de3a4e13e7d 01f4 __real@3f2a01a01a01ee80 0200 __real@3f811111111110fd 020c __real@3fc5555555555555 021b __real@3da9984b7f63fcd7 0227 __real@3e21ee56385b7b20 0230 ?sinh_lead@?1??coshf@@9@9 023c __real@3e927e5069f1cb55 0248 __real@3efa01a019079011 0254 __real@3f56c16c16c212e5 0260 __real@3fa5555555555502 026c __real@3fe0000000000000 027d ?cosh_lead@?1??coshf@@9@9"
	strings:
		$1 = { 48 83 EC 58 F2 0F 10 2D ?? ?? ?? ?? 48 BA FF FF FF FF FF FF FF 7F 0F 28 C8 0F 57 E4 F3 0F 5A E1 F2 0F 11 64 24 68 48 8B 4C 24 68 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 2F 48 85 C0 75 0D F3 0F 10 05 ?? ?? ?? ?? E9 3A 02 00 00 0F 28 C4 F2 0F 58 05 ?? ?? ?? ?? 66 0F 2F C5 76 4A B9 20 00 00 00 E8 ?? ?? ?? ?? EB D6 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 2F 76 13 F3 0F 11 4C 24 68 8B 4C 24 68 48 83 C4 58 E9 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C7 44 24 68 00 00 80 7F F3 0F 10 44 24 68 E9 DF 01 00 00 48 3B C1 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 47 C7 44 24 40 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 0F 57 C0 F3 0F 11 44 24 38 41 B8 00 00 80 7F F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 44 8D 4A F0 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? E9 82 01 00 00 66 0F 2F 25 ?? ?? ?? ?? 0F 82 81 00 00 00 F2 0F 10 15 ?? ?? ?? ?? 48 8D 44 24 78 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CD 48 89 44 24 38 0F 28 C4 48 8D 44 24 70 48 89 44 24 30 48 8D 44 24 60 48 89 44 24 28 F2 0F 11 54 24 20 F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 60 41 FF C9 49 63 C1 48 05 FF 03 00 00 44 89 4C 24 60 48 C1 E0 34 48 89 44 24 68 F2 0F 10 44 24 68 F2 0F 10 54 24 70 F2 0F 58 54 24 78 F2 0F 59 D0 E9 EC 00 00 00 F2 0F 2C C4 48 63 C8 66 0F 6E C0 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 59 CC 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 C5 F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 0F 57 C0 F2 0F 5A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_84_1_0 {
	meta:
		name = "infinityf_with_flags"
		size = 72
		refs = "0031 _set_statfp"
	strings:
		$1 = { 48 83 EC 28 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? C7 44 24 30 00 00 80 7F F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_84_3_0 {
	meta:
		name = "scaleDouble_1"
		size = 32
	strings:
		$1 = { 0F 28 C8 48 63 C2 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 08 F2 0F 10 44 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_85_5_0 {
	meta:
		name = "_mbsrchr_l"
		size = 185
		refs = "001f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 _errno 0034 _invalid_parameter_noinfo 004b strrchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B F2 48 8B D9 49 8B D0 48 8D 4C 24 20 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 59 4C 8B 44 24 30 41 39 78 08 75 0F 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 EB 3F 0F B6 13 8B CA 42 F6 44 02 19 04 74 25 48 FF C3 8A 13 84 D2 74 12 C1 E1 08 0F B6 C2 0B C8 3B F1 75 16 48 8D 7B FF EB 10 48 85 FF 75 0B 48 8B FB EB 06 3B F2 48 0F 44 FB 48 FF C3 84 D2 75 C1 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B C7 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_86_0_0 {
	meta:
		name = "??$common_time@J@@YAJQEAJ@Z"
		size = 57
		refs = "0019 ??$common_timespec_get@U_timespec32@@@@YAHQEAU_timespec32@@H@Z"
		altNames = "_time32"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B D9 48 8D 4C 24 30 48 89 44 24 30 8D 50 01 E8 ?? ?? ?? ?? 8B 54 24 30 83 C9 FF 83 F8 01 0F 45 D1 48 85 DB 74 02 89 13 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_86_1_0 {
	meta:
		name = "??$common_time@_J@@YA_JQEA_J@Z"
		size = 62
		refs = "0019 ??$common_timespec_get@U_timespec64@@@@YAHQEAU_timespec64@@H@Z"
		altNames = "_time64"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B D9 48 8D 4C 24 20 48 89 44 24 20 8D 50 01 E8 ?? ?? ?? ?? 48 8B 54 24 20 48 83 C9 FF 83 F8 01 48 0F 45 D1 48 85 DB 74 03 48 89 13 48 8B C2 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_86_2_0 {
	meta:
		name = "??$common_timespec_get@U_timespec32@@@@YAHQEAU_timespec32@@H@Z"
		size = 142
		refs = "000f _errno 001a _invalid_parameter_noinfo 0034 __acrt_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 66 83 FA 01 75 F7 33 C0 48 8D 4C 24 30 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8B 44 24 30 48 B9 00 80 C1 2A 21 4E 62 FE 4C 03 C1 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E8 49 03 D0 48 C1 FA 17 48 8B C2 48 C1 E8 3F 48 03 D0 48 81 FA 7F D2 FF 7F 7F AD 69 CA 80 96 98 00 B8 01 00 00 00 89 13 44 2B C1 41 6B C8 64 89 4B 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_86_3_0 {
	meta:
		name = "??$common_timespec_get@U_timespec64@@@@YAHQEAU_timespec64@@H@Z"
		size = 149
		refs = "000f _errno 001a _invalid_parameter_noinfo 0034 __acrt_GetSystemTimePreciseAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 6D 83 FA 01 75 F7 33 C0 48 8D 4C 24 30 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8B 44 24 30 48 B9 00 80 C1 2A 21 4E 62 FE 4C 03 C1 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E8 49 03 D0 48 C1 FA 17 48 8B C2 48 C1 E8 3F 48 03 D0 48 B8 FF 2A 58 93 07 00 00 00 48 3B D0 7F A7 69 CA 80 96 98 00 B8 01 00 00 00 48 89 13 44 2B C1 41 6B C8 64 89 4B 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_87_0_0 {
	meta:
		name = "normf"
		size = 54
		refs = "000f crealf 001c cimagf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? F3 0F 59 F6 F3 0F 59 C0 F3 0F 58 C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_88_9_0 {
	meta:
		name = "?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 115
	strings:
		$1 = { 48 89 54 24 10 4C 8B 42 08 49 83 C0 02 4C 39 02 73 1E 83 7A 10 00 74 06 B8 FF FF 00 00 C3 48 63 42 20 48 83 F8 02 72 F0 4C 89 02 48 8B 54 24 10 8B 42 14 48 83 02 FE C1 E8 0C A8 01 48 8B 02 74 0E 66 39 08 74 0C 48 83 C0 02 48 89 02 EB C9 66 89 08 48 8B 44 24 10 83 40 10 02 48 8B 44 24 10 F0 83 60 14 F7 48 8B 44 24 10 F0 83 48 14 01 0F B7 C1 C3 }
	condition:
		$1
}

rule file_88_10_0 {
	meta:
		name = "?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 347
		refs = "001d __security_cookie 0033 _fileno 005c __pioinfo 007f __badioinfo 00a8 wctomb_s 0144 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 48 89 54 24 10 55 57 41 56 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 0F B7 F1 66 89 4D E0 48 8B CA E8 ?? ?? ?? ?? 83 F8 FF 74 40 48 8B 4D 28 E8 ?? ?? ?? ?? 83 F8 FE 74 32 48 8B 5D 28 48 8B CB E8 ?? ?? ?? ?? 48 63 F8 4C 8D 35 ?? ?? ?? ?? 48 8B CB 48 C1 FF 06 E8 ?? ?? ?? ?? 49 8B 14 FE 83 E0 3F 48 C1 E0 06 48 03 D0 EB 07 48 8D 15 ?? ?? ?? ?? 8A 42 39 33 DB 33 C9 89 5D E8 88 5D EC 89 4D ED 84 C0 75 29 44 0F B7 CE 44 8D 43 05 48 8D 55 EC 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 74 0A B8 FF FF 00 00 E9 82 00 00 00 44 8B 45 E8 EB 14 8A 45 E1 41 B8 02 00 00 00 88 45 ED 44 89 45 E8 40 88 75 EC 48 8B 45 28 49 63 D0 4C 8B 48 08 4C 03 CA 4C 39 08 73 16 39 58 10 75 C4 44 3B 40 20 7F BE 4C 89 08 48 8B 45 28 44 8B 45 E8 41 8D 48 FF 48 63 D1 85 C9 78 1A 48 FF 08 48 8B 08 8A 44 15 EC 48 83 EA 01 88 01 48 8B 45 28 79 EA 44 8B 45 E8 44 01 40 10 48 8B 45 28 F0 83 60 14 F7 48 8B 45 28 F0 83 48 14 01 0F B7 45 E0 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_88_12_0 {
	meta:
		name = "_ungetwc_nolock"
		size = 327
		refs = "005c __acrt_stdio_allocate_buffer_nolock 006e _fileno 0092 __pioinfo 00b5 __badioinfo 00c6 ?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 BE FF FF 00 00 48 8B FA 0F B7 E9 66 3B CE 0F 84 FC 00 00 00 8B 42 14 8B 52 14 8B 4F 14 A8 01 75 17 C1 EA 02 F6 C2 01 0F 84 E3 00 00 00 D1 E9 F6 C1 01 0F 85 D8 00 00 00 48 83 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8B 47 14 C1 E8 0C A8 01 75 62 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 3B 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2E 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 4C 8D 35 ?? ?? ?? ?? 48 8B CF 48 C1 FB 06 E8 ?? ?? ?? ?? 49 8B 14 DE 83 E0 3F 48 C1 E0 06 48 03 D0 EB 07 48 8D 15 ?? ?? ?? ?? F6 42 38 80 74 0D 48 8B D7 0F B7 CD E8 ?? ?? ?? ?? EB 60 48 8B 47 08 48 8D 48 02 48 39 0F 73 13 83 7F 10 00 75 4A 48 63 47 20 48 83 F8 02 72 40 48 89 0F 8B 47 14 C1 E8 0C A8 01 48 8B 07 74 15 48 83 E8 02 48 89 07 66 39 28 74 13 48 83 C0 02 48 89 07 EB 1B 48 83 E8 02 48 89 07 66 89 28 83 47 10 02 F0 83 67 14 F7 F0 83 4F 14 01 0F B7 F5 0F B7 C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_88_13_0 {
	meta:
		name = "ungetwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _ungetwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_313_11_0 {
	meta:
		name = "fputwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _fputwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "logb"
		size = 109
		refs = "0015 _dunscale 0049 _Inf_C 0055 _fperrraise 0064 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2F 83 E9 01 74 20 83 F9 01 74 13 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 F3 0F E6 C0 EB 2B F2 0F 10 44 24 30 EB 23 F2 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_668_0_0 {
	meta:
		name = "logbl"
		size = 109
		refs = "0015 _ldunscale 0049 _LInf_C 0055 _fperrraise 0064 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2F 83 E9 01 74 20 83 F9 01 74 13 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 F3 0F E6 C0 EB 2B F2 0F 10 44 24 30 EB 23 F2 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_90_3_0 {
	meta:
		name = "??$common_assert@D@@YAXQEBD0IQEAX@Z"
		size = 128
		refs = "0026 _set_error_mode 0034 _query_app_type 005e ??$common_assert_to_message_box@D@@YAXQEBD0IQEAX@Z 006c ??$common_assert_to_stderr@D@@YAXQEBD0I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 49 8B E9 B9 03 00 00 00 41 8B D8 48 8B FA E8 ?? ?? ?? ?? 83 F8 01 74 33 85 C0 75 0A E8 ?? ?? ?? ?? 83 F8 01 74 34 4C 8B CD 44 8B C3 48 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_4_0 {
	meta:
		name = "??$common_assert@_W@@YAXQEB_W0IQEAX@Z"
		size = 128
		refs = "0026 _set_error_mode 0034 _query_app_type 005e ??$common_assert_to_message_box@_W@@YAXQEB_W0IQEAX@Z 006c ??$common_assert_to_stderr@_W@@YAXQEB_W0I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 49 8B E9 B9 03 00 00 00 41 8B D8 48 8B FA E8 ?? ?? ?? ?? 83 F8 01 74 33 85 C0 75 0A E8 ?? ?? ?? ?? 83 F8 01 74 34 4C 8B CD 44 8B C3 48 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_5_0 {
	meta:
		name = "??$common_assert_to_message_box@D@@YAXQEBD0IQEAX@Z"
		size = 196
		refs = "0012 __security_cookie 003b memset 0059 ??$common_assert_to_message_box_build_string@D@@YAXQEAD_KQEBD2IQEAX@Z 0066 ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 0070 __acrt_show_narrow_message_box 0092 __security_check_cookie 00aa abort 00b5 raise 00bf _exit"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 02 00 00 41 8B D8 48 8B F2 48 8B F9 33 D2 41 B8 40 02 00 00 48 8D 4C 24 30 49 8B E9 E8 ?? ?? ?? ?? 4C 8B CE 48 89 6C 24 28 4C 8B C7 89 5C 24 20 BA 40 02 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 41 B8 12 20 01 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 83 E8 03 74 36 83 E8 01 74 07 83 F8 01 74 03 EB 24 CC 48 8B 8C 24 70 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 80 02 00 00 5F 5E 5D C3 E8 ?? ?? ?? ?? CC B9 16 00 00 00 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_6_0 {
	meta:
		name = "??$common_assert_to_message_box@_W@@YAXQEB_W0IQEAX@Z"
		size = 196
		refs = "0012 __security_cookie 003b memset 0059 ??$common_assert_to_message_box_build_string@_W@@YAXQEA_W_KQEB_W2IQEAX@Z 0066 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0070 __acrt_show_wide_message_box 0092 __security_check_cookie 00aa abort 00b5 raise 00bf _exit"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 81 EC C0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 04 00 00 41 8B D8 48 8B F2 48 8B F9 33 D2 41 B8 80 04 00 00 48 8D 4C 24 30 49 8B E9 E8 ?? ?? ?? ?? 4C 8B CE 48 89 6C 24 28 4C 8B C7 89 5C 24 20 BA 40 02 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 41 B8 12 20 01 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 83 E8 03 74 36 83 E8 01 74 07 83 F8 01 74 03 EB 24 CC 48 8B 8C 24 B0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 04 00 00 48 81 C4 C0 04 00 00 5F 5E 5D C3 E8 ?? ?? ?? ?? CC B9 16 00 00 00 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_7_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@D@@YAXQEAD_KQEBD2IQEAX@Z"
		size = 1958
		refs = "001c __security_cookie 0034 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 0042 strcpy_s 0054 ??_C@_02PHMGELLB@?6?6?$AA@ 005f strcat_s 006e ??_C@_09KLGCKDOD@Program?3?5?$AA@ 0096 memset 00ae __imp_GetModuleHandleExW 00cb __imp_GetModuleFileNameA 00d6 ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 0125 _errno 0141 ??_C@_03KHICJKCI@?4?4?4?$AA@ 016a ??_C@_01EEMJAFIK@?6?$AA@ 0184 ??_C@_06IGPBOHMJ@File?3?5?$AA@ 0211 strncat_s 0375 ??_C@_06FIEBOLOH@Line?3?5?$AA@ 03bb _itoa_s 03e7 ??_C@_0N@MEECIJGN@Expression?3?5?$AA@ 0482 ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@ 04b2 ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@ 04d1 __security_check_cookie 04f9 _invoke_watson 0526 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 98 48 81 EC 68 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 50 4C 8B B5 D8 00 00 00 4D 8B E8 4C 8D 05 ?? ?? ?? ?? 49 8B F1 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 85 40 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 11 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 E2 06 00 00 41 BF 05 01 00 00 48 8D 4C 24 40 45 8B C7 33 D2 E8 ?? ?? ?? ?? 4C 8D 44 24 30 4C 89 64 24 30 49 8B D6 41 8D 4C 24 06 FF 15 ?? ?? ?? ?? 45 8B C7 48 8D 54 24 40 F7 D8 48 1B C9 48 23 4C 24 30 48 89 4C 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 1C 4C 8D 05 ?? ?? ?? ?? 41 8B D7 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 0F 85 FA 03 00 00 49 83 CE FF 48 8D 4C 24 40 49 8B D6 48 8D 44 24 40 48 FF C2 44 38 24 10 75 F7 48 8D 42 0B 48 83 F8 40 76 3E 48 8D 4C 14 0B 4C 8D 45 45 4C 2B C1 48 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 F1 03 00 00 49 83 F8 03 0F 82 D5 03 00 00 0F B7 05 ?? ?? ?? ?? 66 89 01 8A 05 ?? ?? ?? ?? 88 41 02 4C 8B C1 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EB 05 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 BC 05 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 8D 05 00 00 49 8B C6 48 FF C0 44 38 24 06 75 F7 48 83 C0 08 48 83 F8 40 0F 86 8D 01 00 00 4D 8B FE 49 FF C7 46 38 24 3E 75 F7 42 8A 44 3E FF 41 BC 01 00 00 00 3C 5C 74 1C 48 8D 4E FF 49 03 CF 3C 2F 74 11 4D 3B E7 73 0C 48 FF C9 49 FF C4 8A 01 3C 5C 75 EB 49 8B C7 49 2B C4 48 83 F8 26 76 65 49 83 FC 12 73 5B 41 B9 35 00 00 00 4C 8B C6 4D 2B CC 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 38 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 08 03 00 00 49 2B F4 48 8B D7 48 8B CB 4D 8D 04 37 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 04 01 00 00 E9 A5 02 00 00 48 83 F8 26 4C 8B C6 48 8B D7 48 8B CB 73 55 49 D1 EC 41 B9 35 00 00 00 4D 2B CC E8 ?? ?? ?? ?? 85 C0 0F 85 15 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 E5 02 00 00 49 2B F4 48 8B D7 48 8B CB 4D 8D 04 37 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 A0 00 00 00 E9 AE 02 00 00 41 B9 23 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 31 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 01 03 00 00 4C 8B C6 44 8D 48 08 4D 2B C4 48 8B D7 4D 03 C7 48 8B CB E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 85 C9 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 9A 02 00 00 4C 8D 46 F9 48 8B D7 4D 03 C7 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 1B E9 6A 02 00 00 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 BB 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 8C 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 5D 03 00 00 49 8B C6 48 FF C0 44 38 24 03 75 F7 49 8B CE 48 FF C1 44 38 24 0B 75 F7 48 8D 14 0B 4C 8B C7 8B 8D D0 00 00 00 4C 2B C0 41 B9 0A 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 0D 03 00 00 48 8D 35 ?? ?? ?? ?? 48 8B D7 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 DB 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 AC 02 00 00 49 8B C6 48 FF C0 44 38 24 03 75 F7 48 05 B0 00 00 00 49 FF C6 47 38 24 2E 75 F7 4C 03 F0 4D 8B C5 48 8B D7 48 8B CB 4C 3B F7 76 32 4C 8B CF 4C 2B C8 49 83 E9 03 E8 ?? ?? ?? ?? 85 C0 0F 85 EB 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 12 E9 BB 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 2C 02 00 00 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 01 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 D2 01 00 00 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 A7 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 78 01 00 00 48 8B 4D 50 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 68 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_8_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@_W@@YAXQEA_W_KQEB_W2IQEAX@Z"
		size = 2004
		refs = "001f __security_cookie 0042 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 004d wcscpy_s 005f ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 006a wcscat_s 0079 ??_C@_1BE@PHKBBGE@?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 009e memset 00b5 __imp_GetModuleHandleExW 00d7 __imp_GetModuleFileNameW 00e2 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 013e _errno 0159 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 0183 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 019d ??_C@_1O@HEMHKNDC@?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0237 wcsncat_s 039b ??_C@_1O@KCAFKHJE@?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 03e3 _itow_s 040f ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 04ac ??_C@_1OA@EGMLFBHJ@?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr?$AAo?$AAg@ 04dc ??_C@_1HK@POCJMFGK@?$AA?$CI?$AAP?$AAr?$AAe?$AAs?$AAs?$AA?5?$AAR?$AAe?$AAt?$AAr?$AAy?$AA?5?$AAt?$AAo?$AA?5?$AAd?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAa?$AAp?$AAp?$AAl?$AAi?$AAc@ 04fe __security_check_cookie 0526 _invoke_watson 0556 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 98 FE FF FF 48 81 EC 68 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 48 8B B5 D8 01 00 00 4D 8B F8 4C 89 44 24 38 4D 8B E1 4C 8D 05 ?? ?? ?? ?? 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 ED 85 C0 0F 85 63 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 34 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 05 07 00 00 33 D2 48 8D 4C 24 40 41 B8 0A 02 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 30 4C 89 6C 24 30 48 8B D6 41 8D 4D 06 FF 15 ?? ?? ?? ?? BE 05 01 00 00 48 8D 54 24 40 F7 D8 44 8B C6 48 1B C9 48 23 4C 24 30 48 89 4C 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 1B 4C 8D 05 ?? ?? ?? ?? 8B D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 0F 85 1C 04 00 00 49 83 CE FF 48 8D 4C 24 40 49 8B D6 48 8D 44 24 40 48 FF C2 66 44 39 2C 50 75 F6 48 8D 42 0B 48 83 F8 40 76 4B 48 8D 4C 54 D6 48 8B C1 48 8D 54 24 40 48 2B C2 48 D1 F8 48 2B F0 48 03 F6 48 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 08 04 00 00 48 83 FE 06 0F 82 E9 03 00 00 8B 05 ?? ?? ?? ?? 89 01 0F B7 05 ?? ?? ?? ?? 66 89 41 04 4C 8B C1 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 00 06 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 D1 05 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 A2 05 00 00 49 8B C6 48 FF C0 66 45 39 2C 44 75 F6 48 83 C0 08 48 83 F8 40 0F 86 93 01 00 00 49 8B F6 48 FF C6 66 45 39 2C 74 75 F6 41 0F B7 44 74 FE 41 BF 01 00 00 00 66 83 F8 5C 74 24 49 8D 4C 24 FE 48 8D 0C 71 66 83 F8 2F 74 15 4C 3B FE 73 10 48 83 E9 02 49 FF C7 0F B7 01 66 83 F8 5C 75 E5 4C 8B EE 4D 2B EF 49 83 FD 26 76 62 49 83 FF 12 73 58 41 B9 35 00 00 00 4D 8B C4 4D 2B CF 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 42 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 12 03 00 00 4F 8D 04 6C 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 ED 85 C0 0F 84 02 01 00 00 E9 AF 02 00 00 49 83 FD 26 4D 8B C4 48 8B D7 48 8B CB 73 55 49 D1 EF 41 B9 35 00 00 00 4D 2B CF E8 ?? ?? ?? ?? 45 33 ED 85 C0 0F 85 1E 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EF 02 00 00 49 2B F7 48 8B D7 48 8B CB 4D 8D 04 74 E8 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 E9 BB 02 00 00 41 B9 23 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 3C 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 0C 03 00 00 4F 8D 04 6C 48 8B D7 44 8D 48 08 48 8B CB E8 ?? ?? ?? ?? 45 33 ED 85 C0 0F 85 D9 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 AA 02 00 00 4D 8D 44 24 F2 48 8B D7 4D 8D 04 70 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 1C E9 78 02 00 00 4D 8B C4 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 0A E9 CC 02 00 00 4C 8B 7C 24 38 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 A9 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 7A 03 00 00 49 8B C6 48 FF C0 66 44 39 2C 43 75 F6 49 8B CE 48 FF C1 66 44 39 2C 4B 75 F6 48 8D 14 4B 4C 8B C7 8B 8D D0 01 00 00 4C 2B C0 41 B9 0A 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 28 03 00 00 48 8D 35 ?? ?? ?? ?? 48 8B D7 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 F6 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 C7 02 00 00 49 8B C6 48 FF C0 66 44 39 2C 43 75 F6 48 05 B0 00 00 00 49 FF C6 66 47 39 2C 77 75 F6 4C 03 F0 4D 8B C7 48 8B D7 48 8B CB 4C 3B F7 76 32 4C 8B CF 4C 2B C8 49 83 E9 03 E8 ?? ?? ?? ?? 85 C0 0F 85 04 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 12 E9 D4 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 45 02 00 00 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 1A 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EB 01 00 00 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 C0 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 91 01 00 00 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 68 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 4C 8B C6 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_9_0 {
	meta:
		name = "??$common_assert_to_stderr@D@@YAXQEBD0I@Z"
		size = 153
		refs = "0019 __acrt_iob_func 003f setvbuf 0046 ?get_assert_format@@YAPEBDD@Z 007d ??$ftprintf@PEAU_iobuf@@PEBDAEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@$$QEAPEBDAEBQEBD2AEBI@Z 008f fflush 0094 abort"
	strings:
		$1 = { 44 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 48 83 EC 48 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 48 14 F7 C1 C0 04 00 00 75 1B B9 02 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 8B C8 33 D2 45 8D 41 04 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? B9 02 00 00 00 48 89 44 24 68 E8 ?? ?? ?? ?? 48 89 44 24 30 4C 8D 4C 24 58 48 8D 44 24 60 4C 8D 44 24 50 48 89 44 24 20 48 8D 54 24 68 48 8D 4C 24 30 E8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_10_0 {
	meta:
		name = "??$common_assert_to_stderr@_W@@YAXQEB_W0I@Z"
		size = 335
		refs = "0019 __security_cookie 0046 __imp_GetStdHandle 005c __imp_GetFileType 006d ??_C@_1FE@LHBLIKM@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0@ 0084 swprintf 00bb __imp_WriteConsoleW 00c4 abort 00cf __acrt_iob_func 00f5 setvbuf 00fc ?get_assert_format@@YAPEB_W_W@Z 0133 ??$ftprintf@PEAU_iobuf@@PEB_WAEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAU_iobuf@@$$QEAPEB_WAEBQEB_W2AEBI@Z 0145 fflush"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8D AC 24 10 FC FF FF 48 81 EC F0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 03 00 00 48 8B F9 48 89 4C 24 48 B9 F4 FF FF FF 48 89 54 24 40 45 8B F0 44 89 44 24 38 48 8B F2 FF 15 ?? ?? ?? ?? 48 8B D8 48 8D 48 FF 48 83 F9 FD 77 72 48 8B C8 FF 15 ?? ?? ?? ?? 83 F8 02 75 64 44 89 74 24 28 4C 8D 05 ?? ?? ?? ?? 4C 8B CF 48 89 74 24 20 BA 40 02 00 00 48 8D 4C 24 60 E8 ?? ?? ?? ?? 33 FF 85 C0 78 3B 48 8D 4C 24 60 48 83 C8 FF 48 FF C0 66 39 3C 41 75 F7 4C 8D 4C 24 30 89 7C 24 30 44 8B C0 48 89 7C 24 20 48 8D 54 24 60 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 06 E8 ?? ?? ?? ?? CC B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 48 14 F7 C1 C0 04 00 00 75 1B B9 02 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 8B C8 33 D2 45 8D 41 04 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? B9 02 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 48 89 44 24 58 4C 8D 4C 24 40 48 8D 44 24 38 4C 8D 44 24 48 48 89 44 24 20 48 8D 54 24 50 48 8D 4C 24 58 E8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_11_0 {
	meta:
		name = "??$ftprintf@PEAU_iobuf@@PEBDAEBQEBDAEBQEBDAEBI@?$__crt_char_traits@D@@SAH$$QEAPEAU_iobuf@@$$QEAPEBDAEBQEBD2AEBI@Z"
		size = 30
		refs = "001a fprintf"
	strings:
		$1 = { 48 8B 44 24 28 4D 8B 09 4D 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_12_0 {
	meta:
		name = "??$ftprintf@PEAU_iobuf@@PEB_WAEBQEB_WAEBQEB_WAEBI@?$__crt_char_traits@_W@@SAH$$QEAPEAU_iobuf@@$$QEAPEB_WAEBQEB_W2AEBI@Z"
		size = 30
		refs = "001a fwprintf"
	strings:
		$1 = { 48 8B 44 24 28 4D 8B 09 4D 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_15_0 {
	meta:
		name = "??$itot_s@AEBIPEAD_KH@?$__crt_char_traits@D@@SAHAEBI$$QEAPEAD$$QEA_K$$QEAH@Z"
		size = 16
		refs = "000c _itoa_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_16_0 {
	meta:
		name = "??$itot_s@AEBIPEA_W_KH@?$__crt_char_traits@_W@@SAHAEBI$$QEAPEA_W$$QEA_K$$QEAH@Z"
		size = 16
		refs = "000c _itow_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_517_36_0 {
	meta:
		name = "??$ultot_s@AEAIAEBQEADAEB_KH@?$__crt_char_traits@D@@SAHAEAIAEBQEADAEB_K$$QEAH@Z"
		size = 16
		refs = "000c _ultoa_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_517_37_0 {
	meta:
		name = "??$ultot_s@AEAIAEBQEA_WAEB_KH@?$__crt_char_traits@_W@@SAHAEAIAEBQEA_WAEB_K$$QEAH@Z"
		size = 16
		refs = "000c _ultow_s"
	strings:
		$1 = { 45 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_35_0 {
	meta:
		name = "??$tcsncat_s@AEBQEADAEB_KAEAPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEAPEBD$$QEA_K@Z"
		size = 17
		refs = "000d strncat_s"
		altNames = "??$tcsncat_s@AEAPEADAEB_KAEBQEBD_K@?$__crt_char_traits@D@@SAHAEAPEADAEB_KAEBQEBD$$QEA_K@Z ??$tcsncat_s@AEBQEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_KAEBQEBD1@Z ??$tcsncat_s@AEBQEADAEB_KPEBD_K@?$__crt_char_traits@D@@SAHAEBQEADAEB_K$$QEAPEBD$$QEA_K@Z"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_12_2 {
	meta:
		name = "??$pack_command_line_and_environment@AEBQEBQEBDAEBQEBQEBDPEAPEADPEAPEAD@?$__crt_char_traits@D@@SAHAEBQEBQEBD0$$QEAPEAPEAD1@Z"
		size = 17
		refs = "000d __acrt_pack_narrow_command_line_and_environment"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_13_4 {
	meta:
		name = "??$pack_command_line_and_environment@AEBQEBQEB_WAEBQEBQEB_WPEAPEA_WPEAPEA_W@?$__crt_char_traits@_W@@SAHAEBQEBQEB_W0$$QEAPEAPEA_W1@Z"
		size = 17
		refs = "000d __acrt_pack_wide_command_line_and_environment"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_266_21_0 {
	meta:
		name = "??$tcsncat_s@AEAPEA_WAEB_KAEBQEB_W_K@?$__crt_char_traits@_W@@SAHAEAPEA_WAEB_KAEBQEB_W$$QEA_K@Z"
		size = 17
		refs = "000d wcsncat_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_38_4 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KAEAPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEAPEB_W$$QEA_K@Z"
		size = 17
		refs = "000d wcsncat_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_39_3 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_KAEBQEB_W1@Z"
		size = 17
		refs = "000d wcsncat_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_40_4 {
	meta:
		name = "??$tcsncat_s@AEBQEA_WAEB_KPEB_W_K@?$__crt_char_traits@_W@@SAHAEBQEA_WAEB_K$$QEAPEB_W$$QEA_K@Z"
		size = 17
		refs = "000d wcsncat_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_21_2 {
	meta:
		name = "??$tcsncpy_s@AEAPEAD_KAEAPEADAEB_K@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_K0AEB_K@Z"
		size = 17
		refs = "000d strncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_647_12_2 {
	meta:
		name = "??$tcsncpy_s@AEAPEAD_KAEAPEBDAEB_K@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_KAEAPEBDAEB_K@Z"
		size = 17
		refs = "000d strncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_22_4 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEA_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_K0AEB_K@Z"
		size = 17
		refs = "000d wcsncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_647_14_4 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEB_WAEB_K@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_KAEAPEB_WAEB_K@Z"
		size = 17
		refs = "000d wcsncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_23_2 {
	meta:
		name = "??$tcsncpy_s@PEADAEB_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEADAEB_KAEBQEBD1@Z"
		size = 17
		refs = "000d strncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_24_0 {
	meta:
		name = "??$tcsncpy_s@PEAD_KAEBQEBDAEB_K@?$__crt_char_traits@D@@SAH$$QEAPEAD$$QEA_KAEBQEBDAEB_K@Z"
		size = 17
		refs = "000d strncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_25_0 {
	meta:
		name = "??$tcsncpy_s@PEA_WAEB_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_WAEB_KAEBQEB_W1@Z"
		size = 17
		refs = "000d wcsncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_26_0 {
	meta:
		name = "??$tcsncpy_s@PEA_W_KAEBQEB_WAEB_K@?$__crt_char_traits@_W@@SAH$$QEAPEA_W$$QEA_KAEBQEB_WAEB_K@Z"
		size = 17
		refs = "000d wcsncpy_s"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_44_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXQEB_W0I@Z"
		size = 214
		refs = "0012 __security_cookie 0031 __imp_GetStdHandle 0047 __imp_GetFileType 0057 ??_C@_1FE@LHBLIKM@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0@ 006e swprintf 00a5 __imp_WriteConsoleW 00b9 __security_check_cookie 00d1 abort"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C0 04 00 00 48 8B F9 41 8B E8 B9 F4 FF FF FF 48 8B F2 FF 15 ?? ?? ?? ?? 48 8B D8 48 8D 48 FF 48 83 F9 FD 77 6B 48 8B C8 FF 15 ?? ?? ?? ?? 83 F8 02 75 5D 89 6C 24 28 4C 8D 05 ?? ?? ?? ?? 4C 8B CF 48 89 74 24 20 BA 40 02 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 FF 85 C0 78 35 48 8D 4C 24 40 48 83 C8 FF 48 FF C0 66 39 3C 41 75 F7 4C 8D 4C 24 30 89 7C 24 30 44 8B C0 48 89 7C 24 20 48 8D 54 24 40 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 75 23 48 8B 8C 24 C0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 05 00 00 48 81 C4 D0 04 00 00 5F 5E 5D C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_72_0 {
	meta:
		name = "?has_any_buffer@__crt_stdio_stream@@QEBA_NXZ"
		size = 16
	strings:
		$1 = { 48 8B 01 8B 48 14 F7 C1 C0 04 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_90_75_0 {
	meta:
		name = "_assert"
		size = 130
		refs = "0028 _set_error_mode 0036 _query_app_type 0060 ??$common_assert_to_message_box@D@@YAXQEBD0IQEAX@Z 006e ??$common_assert_to_stderr@D@@YAXQEBD0I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 6C 24 28 48 8B F1 B9 03 00 00 00 41 8B D8 48 8B FA E8 ?? ?? ?? ?? 83 F8 01 74 33 85 C0 75 0A E8 ?? ?? ?? ?? 83 F8 01 74 34 4C 8B CD 44 8B C3 48 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_80_0 {
	meta:
		name = "_wassert"
		size = 130
		refs = "0028 _set_error_mode 0036 _query_app_type 0060 ??$common_assert_to_message_box@_W@@YAXQEB_W0IQEAX@Z 006e ??$common_assert_to_stderr@_W@@YAXQEB_W0I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 6C 24 28 48 8B F1 B9 03 00 00 00 41 8B D8 48 8B FA E8 ?? ?? ?? ?? 83 F8 01 74 33 85 C0 75 0A E8 ?? ?? ?? ?? 83 F8 01 74 34 4C 8B CD 44 8B C3 48 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_77_0 {
	meta:
		name = "_vfprintf_l"
		size = 80
		refs = "0021 __local_stdio_printf_options 0037 __stdio_common_vfprintf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 4C 8B CF 48 89 5C 24 20 4C 8B C6 48 8B D5 48 8B 08 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_78_0 {
	meta:
		name = "_vfwprintf_l"
		size = 80
		refs = "0021 __local_stdio_printf_options 0037 __stdio_common_vfwprintf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 4C 8B CF 48 89 5C 24 20 4C 8B C6 48 8B D5 48 8B 08 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_79_0 {
	meta:
		name = "_vswprintf_c_l"
		size = 98
		refs = "0021 __local_stdio_printf_options 0041 __stdio_common_vswprintf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 4C 8B 54 24 60 4C 8B CF 4C 89 54 24 28 4C 8B C6 48 8B D5 48 89 5C 24 20 48 8B 08 E8 ?? ?? ?? ?? 48 8B 5C 24 40 83 C9 FF 48 8B 6C 24 48 85 C0 48 8B 74 24 50 0F 48 C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_81_0 {
	meta:
		name = "fprintf"
		size = 67
		refs = "0021 __local_stdio_printf_options 0037 __stdio_common_vfprintf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 53 56 57 48 83 EC 30 48 8B FA 48 8D 70 18 48 8B D9 E8 ?? ?? ?? ?? 45 33 C9 48 89 74 24 20 4C 8B C7 48 8B D3 48 8B 08 E8 ?? ?? ?? ?? 48 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_82_0 {
	meta:
		name = "fwprintf"
		size = 67
		refs = "0021 __local_stdio_printf_options 0037 __stdio_common_vfwprintf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 53 56 57 48 83 EC 30 48 8B FA 48 8D 70 18 48 8B D9 E8 ?? ?? ?? ?? 45 33 C9 48 89 74 24 20 4C 8B C7 48 8B D3 48 8B 08 E8 ?? ?? ?? ?? 48 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_84_0 {
	meta:
		name = "swprintf"
		size = 82
		refs = "0021 __local_stdio_printf_options 003d __stdio_common_vswprintf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 83 EC 38 49 8B F0 48 8D 6C 24 78 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 6C 24 28 4C 8B CE 48 83 64 24 20 00 4C 8B C3 48 8B D7 48 8B 08 E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_91_0_0 {
	meta:
		name = "fminf"
		size = 108
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 3F 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 27 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 77 13 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 32 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "_ldclass"
		size = 25
		refs = "0010 _ldtest"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "_dclass"
		size = 25
		refs = "0010 _dtest"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_92_1_0 {
	meta:
		name = "_ldpcomp"
		size = 99
		refs = "0017 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 36 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 27 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 76 05 8D 43 FF EB 12 B8 04 00 00 00 66 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_265_1_0 {
	meta:
		name = "_dpcomp"
		size = 99
		refs = "0017 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 36 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 27 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 76 05 8D 43 FF EB 12 B8 04 00 00 00 66 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_92_2_0 {
	meta:
		name = "_ldsign"
		size = 21
		altNames = "_dsign"
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 48 C1 E8 30 25 00 80 00 00 C3 }
	condition:
		$1
}

rule file_93_0_0 {
	meta:
		name = "_fdlog"
		size = 401
		refs = "0018 _fdunscale 0057 _fperrraise 005f _FNan_C 006c __real@3f3504f3 008f __real@3f800000 00b7 __real@3e990215 00bf __real@3eccae11 00cb __real@3f2aaac0 00e9 __real@3f317216 00f1 __real@33fbe8e8 0108 __real@32a93728 0113 __real@33a13ef4 011b __real@3ede5bd9 0123 __real@3e9a2098 0132 __real@3ede5bd8 0147 __real@3fb8aa3b 0152 __real@32a57060 0180 _FInf_C 0187 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 4B 01 00 00 B8 00 80 00 00 83 E9 01 74 10 83 F9 01 75 14 F3 0F 10 44 24 30 E9 4A 01 00 00 66 85 44 24 32 75 09 EB EC 66 85 44 24 32 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 23 01 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4C 24 30 0F 2F C1 0F B7 44 24 40 76 07 F3 0F 58 C9 66 FF C8 98 0F 28 D9 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 1D ?? ?? ?? ?? 66 0F 6E E8 0F 5B ED 0F 28 E3 F3 0F 5E E1 0F 28 C4 F3 0F 59 C4 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 0F 28 C3 F3 0F 5C C1 F3 0F 59 E0 85 DB 75 1D 0F 28 C5 F3 0F 59 2D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C E0 F3 0F 5C DC EB 6A 0F 28 CB 7E 3F F3 0F 59 0D ?? ?? ?? ?? 0F 28 C5 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 25 ?? ?? ?? ?? F3 0F 59 2D ?? ?? ?? ?? F3 0F 5C E0 0F 28 C3 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C CC 0F 28 D9 F3 0F 58 D8 EB 26 F3 0F 59 25 ?? ?? ?? ?? 0F 28 D3 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C D4 0F 28 DA F3 0F 58 D9 F3 0F 58 DD 0F 28 C3 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_93_1_0 {
	meta:
		name = "_fdlogpoly"
		size = 35
		refs = "0007 __real@3e990215 000f __real@3eccae11 001b __real@3f2aaac0"
	strings:
		$1 = { 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? 0F 28 C1 C3 }
	condition:
		$1
}

rule file_94_0_0 {
	meta:
		name = "__acrt_CompareStringW"
		size = 189
		refs = "0030 wcsnlen 0085 __acrt_CompareStringEx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 49 63 D9 49 8B F0 8B EA 4C 8B F1 45 85 C9 7E 0E 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 63 84 24 88 00 00 00 48 8B BC 24 80 00 00 00 85 C0 7E 0B 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 31 85 C0 74 2D 48 83 64 24 40 00 44 8B CB 48 83 64 24 38 00 4C 8B C6 48 83 64 24 30 00 8B D5 89 44 24 28 49 8B CE 48 89 7C 24 20 E8 ?? ?? ?? ?? EB 17 2B D8 B8 03 00 00 00 8D 48 FE 0F 48 C1 85 DB B9 02 00 00 00 0F 44 C1 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_95_10_0 {
	meta:
		name = "?__crt_get_2digit_year@@YAHH@Z"
		size = 35
	strings:
		$1 = { 44 8D 81 6C 07 00 00 B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B CA C1 E9 1F 03 D1 6B CA 64 44 2B C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_95_11_0 {
	meta:
		name = "?__crt_get_century@@YAHH@Z"
		size = 24
	strings:
		$1 = { 81 C1 6C 07 00 00 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 C2 C3 }
	condition:
		$1
}

rule file_95_12_0 {
	meta:
		name = "?compute_iso_week@@YAHHHH@Z"
		size = 100
		refs = "0017 ?compute_iso_week_internal@@YAHHHH@Z 0026 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F0 8B FA 8B D9 E8 ?? ?? ?? ?? 44 8B C8 85 C0 75 26 8D 4B FF E8 ?? ?? ?? ?? F6 D8 8D 4B FF 45 1B C0 2B FE 41 F7 D8 41 81 C0 6D 01 00 00 8D 57 07 E8 ?? ?? ?? ?? EB 0C 45 85 C9 B8 01 00 00 00 41 0F 4F C1 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_13_0 {
	meta:
		name = "?compute_iso_week_internal@@YAHHHH@Z"
		size = 242
		refs = "0057 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 44 8D 4A 06 8B F2 44 8B D1 B8 93 24 49 92 41 F7 E9 41 8B C8 41 8B D8 41 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 44 2B C8 B8 93 24 49 92 41 2B C9 83 C1 07 F7 E9 8D 3C 11 41 8B CA C1 FF 02 8B C7 C1 E8 1F 03 F8 E8 ?? ?? ?? ?? 44 0F B6 C0 2B F3 81 C6 73 01 00 00 B8 93 24 49 92 F7 EE B8 93 24 49 92 44 8B CB 03 D6 45 2B C8 C1 FA 02 8B CA C1 E9 1F 03 D1 6B CA 07 2B F1 41 8D 88 6D 01 00 00 03 CE F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 41 81 F9 6C 01 00 00 7C 05 83 F9 02 74 1C 41 81 F9 6B 01 00 00 7C 05 83 F9 03 74 0E 41 81 F9 6A 01 00 00 7C 0A 83 F9 04 75 05 83 C8 FF EB 0D 8D 4E FE 8B C7 83 F9 02 77 03 8D 47 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_14_0 {
	meta:
		name = "?compute_iso_year@@YAHHHH@Z"
		size = 35
		refs = "0009 ?compute_iso_week_internal@@YAHHHH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 75 05 8D 43 FF EB 07 8B C3 7F 03 8D 43 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_95_15_0 {
	meta:
		name = "?compute_week_of_year@@YAHHHH@Z"
		size = 68
	strings:
		$1 = { 44 8B CA 41 BA 93 24 49 92 44 2B C9 41 8B C2 41 83 C1 07 41 F7 E9 41 8B C2 41 03 D1 C1 FA 02 8B CA C1 E9 1F 03 D1 6B CA 07 44 2B C9 45 2B C1 41 83 C0 07 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 C2 C3 }
	condition:
		$1
}

rule file_95_17_0 {
	meta:
		name = "?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z"
		size = 3999
		refs = "0107 ?compute_iso_week_internal@@YAHHHH@Z 018e __lc_time_c 01c2 ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z 01cb _errno 01e1 ??_C@_13HOIJIPNN@?$AA?5?$AA?$AA@ 036c ?store_winword@@YA_NQEAU__crt_locale_pointers@@HQEBUtm@@QEAPEA_WQEA_KQEBU__crt_lc_time_data@@@Z 0426 _invalid_parameter_noinfo 0481 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 04f6 __tzset 0504 _get_timezone 051d _get_dstbias 0567 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 0589 ??_C@_13KJIIAINM@?$AA?$CL?$AA?$AA@ 05d1 ?store_number@@YAXHHQEAPEA_WQEA_K_W@Z 068d ??_C@_13KDLDGPGJ@?$AA?7?$AA?$AA@ 070e ??_C@_13EBCNDICG@?$AA?3?$AA?$AA@ 0a72 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 0c0d ??_C@_13EJFHHPOP@?$AA?$CF?$AA?$AA@ 0d10 ??$__crt_time_is_leap_year@H@@YA_NH@Z 0f19 __tzname 0f47 _mbstowcs_s_l 0f9a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 55 56 57 48 8B EC 48 83 EC 50 49 8B F0 49 8B F9 44 0F B7 C2 41 8B D0 41 83 F8 5A 0F 8E 55 08 00 00 41 B9 62 00 00 00 83 FA 6E 0F 8F 73 04 00 00 0F 84 3A 04 00 00 83 EA 61 0F 84 CB 03 00 00 83 EA 01 0F 84 7C 03 00 00 83 EA 01 0F 84 2C 01 00 00 83 EA 01 0F 84 FB 00 00 00 83 EA 01 0F 84 D5 00 00 00 83 EA 02 74 72 83 EA 01 75 08 45 8B C1 41 8B D1 EB B2 83 EA 02 74 2C 83 FA 03 0F 85 9D 03 00 00 8B 56 10 83 FA 0B 0F 87 81 03 00 00 8A 45 50 F6 D8 1A C9 F6 D1 80 E1 30 0F BE C1 8D 4A 01 E9 CD 00 00 00 8B 56 1C 81 FA 6D 01 00 00 0F 87 5B 03 00 00 8A 45 50 4C 8B 4D 40 F6 D8 1A C9 F6 D1 80 E1 30 0F BE C1 8D 4A 01 66 89 44 24 20 BA 03 00 00 00 E9 73 0A 00 00 8B 46 14 89 45 28 05 6C 07 00 00 3D 0F 27 00 00 0F 87 20 03 00 00 44 8B 46 1C 8B 56 18 8B 75 28 8B CE E8 ?? ?? ?? ?? 85 C0 75 04 FF CE EB 04 7F 02 FF C6 8D 8E 6C 07 00 00 B8 1F 85 EB 51 F7 E9 BE 30 00 00 00 C1 FA 05 8B C2 66 89 74 24 20 C1 E8 1F 03 D0 6B C2 64 2B C8 E9 0C 0A 00 00 8B 4E 0C 8D 41 FF 83 F8 1E 0F 87 C9 02 00 00 8A 45 50 F6 D8 1A D2 F6 D2 80 E2 20 EB 1B 8B 4E 0C 8D 41 FF 83 F8 1E 0F 87 AC 02 00 00 8A 45 50 F6 D8 1A D2 F6 D2 80 E2 30 0F BE C2 66 89 44 24 20 E9 C7 09 00 00 48 8B 45 48 4C 8D 0D ?? ?? ?? ?? 33 DB 49 3B C1 0F 85 B2 01 00 00 38 5D 50 0F 85 A9 01 00 00 88 5C 24 30 8D 53 61 48 89 44 24 28 4C 8B CF 48 8B 45 40 4C 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 50 02 00 00 48 8B 4D 40 4C 8D 05 ?? ?? ?? ?? 48 39 19 74 1F 45 0F B7 08 66 45 85 C9 74 15 48 8B 07 49 83 C0 02 66 44 89 08 48 83 07 02 48 83 29 01 75 E1 48 8B 45 48 BA 62 00 00 00 88 5C 24 30 4C 8B CF 48 89 44 24 28 4C 8B C6 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 74 97 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 48 8B 45 48 BA 65 00 00 00 88 5C 24 30 4C 8B CF 48 89 44 24 28 4C 8B C6 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 3A FF FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 48 8B 45 48 BA 54 00 00 00 88 5C 24 30 4C 8B CF 48 89 44 24 28 4C 8B C6 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 DD FE FF FF 48 8B 4D 40 48 39 19 74 26 48 8D 15 ?? ?? ?? ?? 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 BA 59 00 00 00 88 5C 24 30 48 8B 45 48 48 89 44 24 28 48 89 4C 24 20 48 8B 4D 20 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 2C 01 00 00 E9 7B FE FF FF 38 5D 50 8B D3 48 89 44 24 28 4C 8B CF 48 8B 45 40 0F 95 C2 4C 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 84 52 FE FF FF 48 8B 55 40 48 8D 0D ?? ?? ?? ?? 48 39 1A 74 1F 44 0F B7 01 66 45 85 C0 74 15 48 8B 07 48 83 C1 02 66 44 89 00 48 83 07 02 48 83 2A 01 75 E1 48 8B 45 48 48 8B 4D 20 48 89 44 24 28 48 89 54 24 20 BA 02 00 00 00 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? E9 74 FF FF FF 83 7E 10 0B 77 46 48 63 4E 10 33 DB 48 8B 45 48 48 8B 94 C8 D0 01 00 00 48 8B 4D 40 48 39 19 0F 84 83 00 00 00 44 0F B7 02 66 45 85 C0 74 79 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 EB 62 83 7E 18 06 76 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 8B 9C 24 80 00 00 00 48 83 C4 50 5F 5E 5D C3 48 63 4E 18 33 DB 48 8B 45 48 48 8B 94 C8 60 01 00 00 48 8B 4D 40 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 B0 01 EB B2 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 33 DB 48 39 19 74 EA 44 0F B7 02 66 45 85 C0 74 E0 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 EB C9 83 EA 70 0F 84 6F 03 00 00 83 EA 02 0F 84 05 02 00 00 83 EA 02 0F 84 BE 01 00 00 83 EA 01 0F 84 77 01 00 00 83 EA 02 0F 84 6E 01 00 00 83 EA 01 0F 84 44 01 00 00 83 EA 01 0F 84 F6 00 00 00 83 FA 01 0F 85 35 FF FF FF E8 ?? ?? ?? ?? 33 DB 48 8D 4D 28 89 5D 28 E8 ?? ?? ?? ?? 85 C0 0F 85 0A FF FF FF 39 5E 20 74 22 48 8D 4D F0 89 5D F0 E8 ?? ?? ?? ?? 85 C0 0F 85 F1 FE FF FF 44 8B 45 28 44 03 45 F0 44 89 45 28 EB 04 44 8B 45 28 41 BA 89 88 88 88 41 8B C0 99 8B C8 41 8B C2 33 CA 2B CA F7 E9 41 8B C2 44 8D 0C 11 41 C1 F9 05 41 8B C9 C1 E9 1F 44 03 C9 48 8D 0D ?? ?? ?? ?? 41 F7 E9 45 8D 14 11 41 C1 FA 05 41 8B C2 C1 E8 1F 44 03 D0 41 6B C2 3C 44 2B C8 48 8D 05 ?? ?? ?? ?? 45 85 C0 44 89 4D F0 4C 8B 4D 40 48 0F 48 C8 49 39 19 74 1C 0F B7 11 66 85 D2 74 14 48 8B 07 48 83 C1 02 66 89 10 48 83 07 02 49 83 29 01 75 E4 BE 30 00 00 00 4C 8B C7 41 8B CA 66 89 74 24 20 8D 56 D2 E8 ?? ?? ?? ?? 8B 4D F0 66 89 74 24 20 E9 70 05 00 00 8B 56 14 8D 82 6C 07 00 00 3D 0F 27 00 00 0F 87 24 FE FF FF 8A 45 50 F6 D8 B8 1F 85 EB 51 1A C9 F6 D1 80 E1 30 44 0F BE C1 8D 8A 6C 07 00 00 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 2B C8 E9 21 05 00 00 48 8B 45 48 33 DB 38 5D 50 8B D3 48 89 44 24 28 48 8B 45 40 0F 95 C2 48 89 44 24 20 E9 76 FD FF FF 8B 4E 18 83 F9 06 0F 87 C6 FD FF FF 85 C9 75 0C 66 41 83 F8 75 75 05 B9 07 00 00 00 8A 45 50 4C 8B 4D 40 F6 D8 1A D2 F6 D2 80 E2 30 0F BE C2 BA 01 00 00 00 66 89 44 24 20 E9 D1 04 00 00 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 33 DB 48 39 19 0F 84 DA FD FF FF 44 0F B7 02 66 45 85 C0 0F 84 CC FD FF FF 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 DD E9 B2 FD FF FF 4C 8B 45 48 4C 8D 0D ?? ?? ?? ?? 8A 45 50 4D 3B C1 88 44 24 30 4C 8B CF 4C 89 44 24 28 0F 85 2B 01 00 00 4C 8B 45 40 BA 49 00 00 00 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 C3 FA FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 8A 45 50 BA 4D 00 00 00 88 44 24 30 4C 8B CF 48 8B 45 48 4C 8B C6 48 89 44 24 28 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 63 FA FF FF 4C 8B 45 40 49 39 18 74 23 48 8D 0D ?? ?? ?? ?? 0F B7 11 66 85 D2 74 14 48 8B 07 48 83 C1 02 66 89 10 48 83 07 02 49 83 28 01 75 E4 8A 45 50 BA 53 00 00 00 48 8B 4D 20 4C 8B CF 88 44 24 30 48 8B 45 48 48 89 44 24 28 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 06 FA FF FF 4C 8B 45 40 48 8D 0D ?? ?? ?? ?? 49 39 18 74 1F 44 0F B7 09 66 45 85 C9 74 15 48 8B 07 48 83 C1 02 66 44 89 08 48 83 07 02 49 83 28 01 75 E1 BA 70 00 00 00 8A 45 50 88 44 24 30 48 8B 45 48 48 89 44 24 28 4C 89 44 24 20 E9 21 FB FF FF 48 8B 45 40 BA 58 00 00 00 48 89 44 24 20 E9 15 FB FF FF 83 7E 08 17 0F 87 EB FB FF FF 83 7E 08 0B 48 8B 45 48 7F 09 48 8B 88 90 02 00 00 EB 07 48 8B 88 98 02 00 00 48 8B 55 40 33 DB 48 39 1A 0F 84 1E FC FF FF 44 0F B7 01 66 45 85 C0 0F 84 10 FC FF FF 48 8B 07 48 83 C1 02 66 44 89 00 48 83 07 02 48 83 2A 01 75 DD E9 F6 FB FF FF 83 FA 5A 0F 84 84 06 00 00 83 FA 4D 0F 8F C3 03 00 00 0F 84 AC 03 00 00 83 EA 25 0F 84 65 03 00 00 83 EA 1C 0F 84 0B 03 00 00 83 EA 01 0F 84 B1 02 00 00 83 EA 01 0F 84 4F 02 00 00 83 EA 01 0F 84 76 01 00 00 83 EA 02 0F 84 A4 00 00 00 83 EA 01 74 4A 83 EA 01 74 3A 83 FA 01 0F 85 49 FB FF FF 8B 4E 08 83 F9 17 0F 87 2D FB FF FF B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 B8 0C 00 00 00 0F 44 C8 E9 5C F8 FF FF 8B 4E 08 83 F9 17 E9 4B F8 FF FF 8B 4E 14 89 4D 28 8D 81 6C 07 00 00 3D 0F 27 00 00 0F 87 E6 FA FF FF 44 8B 46 1C 8B 56 18 8B F1 E8 ?? ?? ?? ?? 85 C0 75 04 FF CE EB 04 7F 05 FF C6 89 75 28 8B 4D 28 BE 30 00 00 00 81 C1 6C 07 00 00 66 89 74 24 20 4C 8B 4D 40 BA 04 00 00 00 E9 E5 01 00 00 8A 45 50 BA 59 00 00 00 88 44 24 30 4C 8B C6 48 8B 45 48 48 89 44 24 28 48 8B 45 40 48 89 44 24 20 E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 28 F8 FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 8A 45 50 BA 6D 00 00 00 88 44 24 30 4C 8B CF 48 8B 45 48 4C 8B C6 48 89 44 24 28 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 C8 F7 FF FF 48 8B 4D 40 48 39 19 74 26 48 8D 15 ?? ?? ?? ?? 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 BA 64 00 00 00 E9 C4 00 00 00 8A 45 50 BA 6D 00 00 00 88 44 24 30 4C 8B C6 48 8B 45 48 48 89 44 24 28 48 8B 45 40 48 89 44 24 20 E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 5F F7 FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 8A 45 50 BA 64 00 00 00 88 44 24 30 4C 8B CF 48 8B 45 48 4C 8B C6 48 89 44 24 28 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 FF F6 FF FF 48 8B 4D 40 48 39 19 74 26 48 8D 15 ?? ?? ?? ?? 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 BA 79 00 00 00 8A 45 50 88 44 24 30 E9 1A F8 FF FF 8B 56 14 8D 82 6C 07 00 00 3D 0F 27 00 00 0F 87 FB F8 FF FF 8A 45 50 F6 D8 B8 1F 85 EB 51 1A C9 F6 D1 80 E1 30 44 0F BE C1 8D 8A 6C 07 00 00 F7 E9 8B CA C1 F9 05 8B C1 C1 E8 1F 03 C8 66 44 89 44 24 20 4C 8B 4D 40 BA 02 00 00 00 4C 8B C7 E8 ?? ?? ?? ?? E9 12 F9 FF FF 83 7E 10 0B 0F 87 AC F8 FF FF 48 63 4E 10 33 DB 48 8B 45 48 48 8B 94 C8 30 02 00 00 48 8B 4D 40 48 39 19 0F 84 E9 F8 FF FF 44 0F B7 02 66 45 85 C0 0F 84 DB F8 FF FF 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 83 29 01 75 DD E9 C1 F8 FF FF 83 7E 18 06 0F 87 5B F8 FF FF 48 63 4E 18 33 DB 48 8B 45 48 48 8B 94 C8 98 01 00 00 48 8B 4D 40 48 39 19 0F 84 98 F8 FF FF 44 0F B7 02 66 45 85 C0 0F 84 8A F8 FF FF 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 83 29 01 75 DD E9 70 F8 FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 33 DB 48 39 19 0F 84 5A F8 FF FF 44 0F B7 02 66 45 85 C0 0F 84 4C F8 FF FF 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 83 29 01 75 DD E9 32 F8 FF FF 8B 4E 04 83 F9 3B 0F 86 1E F5 FF FF E9 C5 F7 FF FF 83 EA 52 0F 84 49 02 00 00 83 EA 01 0F 84 36 02 00 00 83 EA 01 0F 84 67 01 00 00 83 EA 01 0F 84 E9 00 00 00 83 EA 01 74 66 83 EA 01 0F 84 DB 00 00 00 83 EA 01 74 3C 83 FA 01 0F 85 95 F7 FF FF 8B 56 14 8D 82 6C 07 00 00 3D 0F 27 00 00 0F 87 71 F7 FF FF 8A 45 50 F6 D8 1A C9 F6 D1 80 E1 30 0F BE C1 8D 8A 6C 07 00 00 66 89 44 24 20 E9 9C FC FF FF 48 8B 45 48 BA 02 00 00 00 48 89 44 24 28 48 8B 45 40 48 89 44 24 20 E9 DD F6 FF FF 8B 4E 1C 44 8B C1 8B 46 18 89 45 28 8B 46 14 8B 75 28 8B D6 89 4D F8 8B C8 89 45 F0 E8 ?? ?? ?? ?? 85 C0 75 31 8B 5D F0 8D 4B FF E8 ?? ?? ?? ?? F6 D8 8D 4B FF BA 07 00 00 00 45 1B C0 2B 75 F8 41 F7 D8 03 D6 41 81 C0 6D 01 00 00 E8 ?? ?? ?? ?? 44 8B D0 EB 0C 85 C0 41 BA 01 00 00 00 44 0F 4F D0 8A 45 50 F6 D8 1A C9 F6 D1 80 E1 30 0F BE C1 41 8B CA 66 89 44 24 20 E9 EC FD FF FF 8B 4E 18 83 F9 06 0F 87 AC F6 FF FF 33 DB 66 41 83 F8 57 75 0B 85 C9 75 05 8D 4B 06 EB 02 FF C9 44 8B 46 1C 41 81 F8 6D 01 00 00 0F 87 87 F6 FF FF 44 3B C1 7C 24 B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 8B DA 44 2B C0 44 3B C1 7C 02 FF C3 8A 45 50 8B CB F6 D8 1A D2 F6 D2 80 E2 30 0F BE C2 66 89 44 24 20 E9 77 FD FF FF 8A 45 50 BA 48 00 00 00 4C 8B 45 40 88 44 24 30 48 8B 45 48 48 89 44 24 28 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 C3 F3 FF FF 48 8B 4D 40 48 8D 15 ?? ?? ?? ?? 48 39 19 74 1F 44 0F B7 02 66 45 85 C0 74 15 48 8B 07 48 83 C2 02 66 44 89 00 48 83 07 02 48 83 29 01 75 E1 8A 45 50 BA 4D 00 00 00 88 44 24 30 4C 8B CF 48 8B 45 48 4C 8B C6 48 89 44 24 28 48 89 4C 24 20 48 8B 4D 20 E8 ?? ?? ?? ?? 84 C0 0F 84 63 F3 FF FF 4C 8B 45 40 49 39 18 74 23 48 8D 0D ?? ?? ?? ?? 0F B7 11 66 85 D2 74 14 48 8B 07 48 83 C1 02 66 89 10 48 83 07 02 49 83 28 01 75 E4 BA 53 00 00 00 E9 5B F9 FF FF 8B 0E 83 F9 3C E9 A3 FD FF FF 8A 45 50 BA 48 00 00 00 88 44 24 30 4C 8B C6 48 8B 45 48 48 89 44 24 28 48 8B 45 40 48 89 44 24 20 E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 F3 F2 FF FF 4C 8B 45 40 48 8D 0D ?? ?? ?? ?? 49 39 18 74 1C 0F B7 11 66 85 D2 74 14 48 8B 07 48 83 C1 02 66 89 10 48 83 07 02 49 83 28 01 75 E4 BA 4D 00 00 00 E9 EB F8 FF FF E8 ?? ?? ?? ?? 33 DB 48 89 5D F8 E8 ?? ?? ?? ?? 39 5E 20 8B CB 4C 8B 55 20 48 8B 75 40 0F 95 C1 48 8B 17 4C 89 54 24 28 48 83 4C 24 20 FF 4C 8B 0C C8 48 8D 4D F8 4C 8B 06 E8 ?? ?? ?? ?? 83 F8 16 74 3A 83 F8 22 74 35 83 F8 50 75 11 48 8B 06 48 03 C0 48 01 07 48 89 1E E9 0B F5 FF FF 48 8B 4D F8 B8 01 00 00 00 48 2B C1 48 01 06 48 8D 04 4D FE FF FF FF 48 01 07 E9 EC F4 FF FF 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_95_21_0 {
	meta:
		name = "?store_number@@YAXHHQEAPEA_WQEA_K_W@Z"
		size = 336
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 0F B7 74 24 28 33 ED 4D 8B D0 44 8B C1 66 85 F6 0F 85 96 00 00 00 49 8B 01 4D 8B 1A 48 83 F8 01 76 69 B8 67 66 66 66 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B C1 66 41 83 C0 30 66 45 89 03 49 83 C3 02 49 FF 09 44 8B C2 85 D2 7E 06 49 83 39 01 77 C0 49 8B 12 4D 8D 43 FE 4D 89 1A EB 16 0F B7 02 41 0F B7 08 66 41 89 00 49 83 E8 02 66 89 0A 48 83 C2 02 49 3B D0 72 E5 EB 0C 48 03 C0 4C 2B D8 4D 89 1A 49 89 29 48 8B 5C 24 08 48 8B 6C 24 10 48 8B 74 24 18 48 8B 7C 24 20 C3 48 63 C2 49 3B 01 73 E0 FF CA 8B DD 44 8D 5A 01 45 85 DB 74 6A 48 63 C2 48 8D 3C 00 45 85 C0 74 33 B8 67 66 66 66 41 0F B7 C8 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 66 03 D0 49 8B 02 66 03 D2 66 2B CA 66 83 C1 30 66 89 0C 07 EB 07 49 8B 02 66 89 34 07 B8 67 66 66 66 FF C3 41 F7 E8 48 83 EF 02 44 8B C2 41 C1 F8 02 41 8B C0 C1 E8 1F 44 03 C0 41 83 EB 01 75 9D 48 63 CB 48 8D 04 09 49 01 02 49 29 09 E9 5A FF FF FF }
	condition:
		$1
}

rule file_95_22_0 {
	meta:
		name = "?store_number_without_lead_zeroes@@YAXHQEAPEA_WQEA_K@Z"
		size = 136
	strings:
		$1 = { 49 8B 00 4C 8B D2 4C 8B 0A 44 8B D9 48 83 F8 01 76 68 B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 45 89 19 49 83 C1 02 49 FF 08 44 8B DA 85 D2 7E 06 49 83 38 01 77 C0 49 8B 12 4D 8D 41 FE 4D 89 0A EB 16 0F B7 02 41 0F B7 08 66 41 89 00 49 83 E8 02 66 89 0A 48 83 C2 02 49 3B D0 72 E5 C3 48 03 C0 4C 2B C8 4C 89 0A 49 83 20 00 C3 }
	condition:
		$1
}

rule file_95_23_0 {
	meta:
		name = "?store_string@@YAXPEB_WQEAPEA_WQEA_K@Z"
		size = 40
	strings:
		$1 = { 45 33 D2 4D 39 10 74 1F 44 0F B7 09 66 45 85 C9 74 15 48 8B 02 48 83 C1 02 66 44 89 08 48 83 02 02 49 83 28 01 75 E1 C3 }
	condition:
		$1
}

rule file_95_24_0 {
	meta:
		name = "?store_winword@@YA_NQEAU__crt_locale_pointers@@HQEBUtm@@QEAPEA_WQEA_KQEBU__crt_lc_time_data@@@Z"
		size = 1383
		refs = "001c __security_cookie 00eb __acrt_GetTimeFormatEx 0105 __acrt_GetDateFormatEx 0165 __chkstk 018c _malloc_base 022a _free_base 02c1 ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 02c9 _wcsicmp 032c ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 050c ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z 0540 __security_check_cookie 0559 _errno"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 40 48 89 5D 78 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 20 4C 8B BD 90 00 00 00 4D 8B D8 4C 8B AD 98 00 00 00 4D 8B E1 4C 89 45 00 4C 8B F1 45 33 C0 48 89 4D 08 85 D2 74 17 83 FA 01 74 09 49 8B BD B0 02 00 00 EB 10 49 8B BD A8 02 00 00 EB 07 49 8B BD A0 02 00 00 41 BA 01 00 00 00 45 39 95 58 01 00 00 0F 84 C5 01 00 00 41 0F B7 43 14 83 FA 02 B9 6C 07 00 00 66 44 89 45 1E 41 0F 94 C6 4C 8B CF 66 03 C1 33 D2 49 8B 8D B8 02 00 00 66 89 45 10 41 0F B7 43 10 66 41 03 C2 66 89 45 12 41 0F B7 43 0C 66 89 45 16 41 0F B7 43 08 66 89 45 18 41 0F B7 43 04 66 89 45 1A 41 0F B7 03 66 89 45 1C 45 84 F6 74 15 44 89 44 24 28 4C 89 44 24 20 4C 8D 45 10 E8 ?? ?? ?? ?? EB 18 4C 89 44 24 30 44 89 44 24 28 4C 89 44 24 20 4C 8D 45 10 E8 ?? ?? ?? ?? 45 33 C0 8B F0 85 C0 0F 84 1F 01 00 00 48 63 D0 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 7C 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 3E 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 0F 84 BB 00 00 00 C7 03 CC CC 00 00 EB 1F 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 45 33 C0 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 49 8B D8 48 85 DB 0F 84 82 00 00 00 49 8B 8D B8 02 00 00 33 D2 4C 8B CF 45 84 F6 74 14 89 74 24 28 4C 8D 45 10 48 89 5C 24 20 E8 ?? ?? ?? ?? EB 17 4C 89 44 24 30 4C 8D 45 10 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 8B D0 4C 8B C3 FF CA 45 33 C9 EB 1E 4D 39 0F 76 1D 41 0F B7 00 49 83 C0 02 49 8B 0C 24 66 89 01 49 83 04 24 02 49 FF 0F FF CA 85 D2 7F DE 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? B0 01 E9 03 03 00 00 4C 8B 75 08 41 BA 01 00 00 00 4C 8B 5D 00 44 0F B7 0F 66 45 85 C9 0F 84 E4 02 00 00 B8 64 00 00 00 4D 39 07 0F 84 D6 02 00 00 41 8A D8 41 8B C8 48 8B F7 48 83 C6 02 41 03 CA 4D 03 C2 66 44 39 0E 74 F0 41 0F B7 D1 3B D0 0F 8F 68 01 00 00 0F 84 2B 01 00 00 41 BB 27 00 00 00 41 3B D3 0F 84 B1 00 00 00 41 8D 43 1A 3B D0 74 1D 45 8D 43 21 41 3B D0 74 64 41 8D 43 26 3B D0 74 25 41 8D 43 3A 3B D0 0F 85 11 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 58 48 8D 77 0A EB 69 83 E9 01 74 25 83 E9 01 74 23 83 E9 01 74 11 83 F9 01 0F 85 E0 01 00 00 8D 41 41 E9 F9 01 00 00 B8 62 00 00 00 E9 EF 01 00 00 41 8A DA B8 6D 00 00 00 E9 E2 01 00 00 83 E9 01 74 0A 83 F9 01 74 08 E9 B2 01 00 00 41 8A DA 41 0F B7 C0 E9 C7 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 48 8D 77 06 B8 70 00 00 00 E9 A6 01 00 00 8B C1 25 01 00 00 80 7D 09 41 2B C2 83 C8 FE 41 03 C2 85 C0 75 0F 48 63 C1 48 8D 3C 47 45 33 C0 E9 AF 01 00 00 4A 8D 3C 47 45 33 C0 0F B7 0F 66 85 C9 0F 84 B3 01 00 00 4D 39 07 0F 84 93 01 00 00 48 83 C7 02 66 41 3B CB 0F 84 85 01 00 00 49 8B 04 24 66 89 08 49 83 04 24 02 49 FF 0F 0F B7 0F 66 85 C9 75 D2 E9 69 01 00 00 83 E9 01 74 25 83 E9 01 74 23 83 E9 01 74 11 83 F9 01 0F 85 02 01 00 00 8D 41 40 E9 1B 01 00 00 B8 61 00 00 00 E9 11 01 00 00 41 8A DA B8 64 00 00 00 E9 04 01 00 00 83 EA 68 0F 84 D0 00 00 00 83 EA 05 0F 84 B1 00 00 00 83 EA 06 0F 84 92 00 00 00 83 EA 01 74 29 83 FA 05 0F 85 BA 00 00 00 83 F9 02 74 11 83 F9 04 0F 85 AC 00 00 00 8D 42 54 E9 C5 00 00 00 B8 79 00 00 00 E9 BB 00 00 00 41 83 7B 08 0B 7F 09 49 8B 95 90 02 00 00 EB 07 49 8B 95 98 02 00 00 45 33 C0 41 3B CA 75 38 4D 39 07 76 33 49 8B 0C 24 0F B7 02 66 89 01 49 83 04 24 02 49 FF 0F E9 AB 00 00 00 4D 39 07 0F 86 A2 00 00 00 49 8B 04 24 48 83 C2 02 66 89 08 49 83 04 24 02 49 FF 0F 0F B7 0A 66 85 C9 75 DC E9 82 00 00 00 83 E9 01 74 07 83 F9 01 74 05 EB 2A 41 8A DA B8 53 00 00 00 EB 41 83 E9 01 74 07 83 F9 01 74 05 EB 14 41 8A DA B8 4D 00 00 00 EB 2B 83 E9 01 74 1E 83 F9 01 74 1C 49 8B 04 24 48 83 C7 02 66 44 89 08 49 83 04 24 02 49 FF 0F E9 7F FE FF FF 41 8A DA B8 49 00 00 00 4C 8B 45 00 4D 8B CC 88 5C 24 30 0F B7 D0 4C 89 6C 24 28 49 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 33 C0 84 C0 74 41 45 8D 50 01 48 8B FE 44 0F B7 0F B8 64 00 00 00 4C 8B 5D 00 66 45 85 C9 0F 85 21 FD FF FF 41 8A C2 48 8B 4D 20 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 78 48 8D 65 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 EB D1 }
	condition:
		$1
}

rule file_95_27_0 {
	meta:
		name = "_W_Getdays"
		size = 416
		refs = "0023 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0086 _malloc_base 00cf wcscpy_s 013e _free_base 0186 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 50 33 D2 48 8D 48 B8 E8 ?? ?? ?? ?? 48 8B 44 24 38 45 33 FF 41 8B F7 49 83 CC FF 4C 8B B0 20 01 00 00 45 8D 47 07 49 8D 96 60 01 00 00 48 8B 42 38 49 8B CC 48 FF C1 66 44 39 3C 48 75 F6 4C 8B 0A 49 8B C4 48 FF C0 66 45 39 3C 41 75 F6 48 03 C6 48 83 C2 08 48 8D 71 02 48 03 F0 49 83 E8 01 75 CB 48 8D 0C 75 02 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 08 49 8B FF E9 A1 00 00 00 48 8B D8 49 8B EF 49 81 C6 98 01 00 00 41 BD 3A 00 00 00 66 44 89 2B 48 8B D6 4D 8B 46 C8 48 83 C3 02 48 8B C3 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 B0 00 00 00 49 8B C4 48 FF C0 66 44 39 3C 43 75 F6 48 8D 1C 43 48 8B D6 66 44 89 2B 48 83 C3 02 4D 8B 06 48 8B C3 48 2B C7 48 8B CB 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 61 49 8B C4 48 FF C0 66 44 39 3C 43 75 F6 48 FF C5 48 8D 1C 43 49 83 C6 08 48 83 FD 07 0F 82 76 FF FF FF 66 44 89 3B 33 C9 E8 ?? ?? ?? ?? 44 38 7C 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_95_28_0 {
	meta:
		name = "_W_Getmonths"
		size = 416
		refs = "0023 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0086 _malloc_base 00cf wcscpy_s 013e _free_base 0186 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 50 33 D2 48 8D 48 B8 E8 ?? ?? ?? ?? 48 8B 44 24 38 45 33 FF 41 8B F7 49 83 CC FF 4C 8B B0 20 01 00 00 45 8D 47 0C 49 8D 96 D0 01 00 00 48 8B 42 60 49 8B CC 48 FF C1 66 44 39 3C 48 75 F6 4C 8B 0A 49 8B C4 48 FF C0 66 45 39 3C 41 75 F6 48 03 C6 48 83 C2 08 48 8D 71 02 48 03 F0 49 83 E8 01 75 CB 48 8D 0C 75 02 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 08 49 8B FF E9 A1 00 00 00 48 8B D8 49 8B EF 49 81 C6 30 02 00 00 41 BD 3A 00 00 00 66 44 89 2B 48 8B D6 4D 8B 46 A0 48 83 C3 02 48 8B C3 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 B0 00 00 00 49 8B C4 48 FF C0 66 44 39 3C 43 75 F6 48 8D 1C 43 48 8B D6 66 44 89 2B 48 83 C3 02 4D 8B 06 48 8B C3 48 2B C7 48 8B CB 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 61 49 8B C4 48 FF C0 66 44 39 3C 43 75 F6 48 FF C5 48 8D 1C 43 49 83 C6 08 48 83 FD 0C 0F 82 76 FF FF FF 66 44 89 3B 33 C9 E8 ?? ?? ?? ?? 44 38 7C 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_95_29_0 {
	meta:
		name = "_W_Gettnames"
		size = 2134
		refs = "0023 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0052 _malloc_base 006b memset 00b2 strcpy_s 036f wcscpy_s 0721 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 33 D2 48 8D 48 B8 E8 ?? ?? ?? ?? 48 8B 44 24 38 33 D2 48 89 94 24 80 00 00 00 BB C0 02 00 00 44 8B F2 44 8B E2 48 8B A8 20 01 00 00 41 83 FC 01 75 35 48 8B CB E8 ?? ?? ?? ?? 33 D2 4C 8B F0 48 85 C0 0F 84 AA 06 00 00 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 89 9C 24 80 00 00 00 BB C0 02 00 00 33 D2 EB 08 48 8B 84 24 80 00 00 00 4D 8B EE 4D 63 FC 4C 2B ED 48 8B F2 48 8B FD 49 83 FF 01 75 20 49 8D 0C 1E 48 8B D0 4A 89 0C 2F 48 2B D3 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 53 06 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 38 14 01 75 F8 48 FF C0 48 FF C6 48 03 D8 48 83 C7 08 48 8B 84 24 80 00 00 00 48 83 FE 07 72 B0 48 8B F2 48 8D 7D 38 49 83 FF 01 75 25 48 8B 94 24 80 00 00 00 49 8D 0C 1E 4A 89 0C 2F 48 2B D3 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 0A 06 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 38 14 01 75 F8 48 FF C3 48 FF C6 48 03 D8 48 83 C7 08 48 83 FE 07 72 B3 48 8B F2 48 8D 7D 70 49 83 FF 01 75 25 48 8B 94 24 80 00 00 00 49 8D 0C 1E 4A 89 0C 2F 48 2B D3 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 C9 05 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 38 14 01 75 F8 48 FF C3 48 FF C6 48 03 D8 48 83 C7 08 48 83 FE 0C 72 B3 48 8B F2 48 8D BD D0 00 00 00 49 83 FF 01 75 25 48 8B 94 24 80 00 00 00 49 8D 0C 1E 4A 89 0C 2F 48 2B D3 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 85 05 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 38 14 01 75 F8 48 FF C3 48 FF C6 48 03 D8 48 83 C7 08 48 83 FE 0C 72 B3 48 8B F2 48 8D BD 30 01 00 00 49 83 FF 01 75 25 48 8B 94 24 80 00 00 00 49 8D 0C 1E 4A 89 0C 2F 48 2B D3 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 41 05 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 38 14 01 75 F8 48 FF C3 48 FF C6 48 03 D8 48 83 C7 08 48 83 FE 02 72 B3 48 8B BC 24 80 00 00 00 41 83 FC 01 75 27 49 8D 0C 1E 48 8B D7 49 89 8E 40 01 00 00 48 2B D3 4C 8B 85 40 01 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 FD 04 00 00 48 8B 8D 40 01 00 00 48 83 CE FF 48 8B C6 48 FF C0 38 14 01 75 F8 48 FF C3 48 03 D8 41 83 FC 01 75 27 49 8D 0C 1E 48 8B D7 49 89 8E 48 01 00 00 48 2B D3 4C 8B 85 48 01 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 C7 04 00 00 48 8B 8D 48 01 00 00 48 8B C6 48 FF C0 38 14 01 75 F8 48 FF C3 48 03 D8 41 83 FC 01 75 27 49 8D 0C 1E 48 8B D7 49 89 8E 50 01 00 00 48 2B D3 4C 8B 85 50 01 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 95 04 00 00 48 8B 8D 50 01 00 00 48 8B C6 48 FF C0 38 14 01 75 F8 48 FF C3 48 03 D8 41 83 FC 01 75 14 8B 85 58 01 00 00 41 89 86 58 01 00 00 41 89 96 5C 01 00 00 48 8B F2 48 8D BD 60 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2E 48 8B 94 24 80 00 00 00 48 8B C3 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 4A 89 0C 2F 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 2E 04 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 FF C6 48 83 C3 02 48 83 C7 08 48 83 FE 07 72 A2 48 8B F2 48 8D BD 98 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2E 48 8B 94 24 80 00 00 00 48 8B C3 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 4A 89 0C 2F 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 D4 03 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 FF C6 48 83 C3 02 48 83 C7 08 48 83 FE 07 72 A2 48 8B F2 48 8D BD D0 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2E 48 8B 94 24 80 00 00 00 48 8B C3 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 4A 89 0C 2F 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 7A 03 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 FF C6 48 83 C3 02 48 83 C7 08 48 83 FE 0C 72 A2 48 8B F2 48 8D BD 30 02 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2E 48 8B 94 24 80 00 00 00 48 8B C3 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 4A 89 0C 2F 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 20 03 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 FF C6 48 83 C3 02 48 83 C7 08 48 83 FE 0C 72 A2 48 8B F2 48 8D BD 90 02 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2E 48 8B 94 24 80 00 00 00 48 8B C3 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 4A 89 0C 2F 4C 8B 07 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 C6 02 00 00 48 8B 0F 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 FF C6 48 83 C3 02 48 83 C7 08 48 83 FE 02 72 A2 EB 03 48 FF C3 F6 C3 01 75 F8 48 8B BC 24 80 00 00 00 41 83 FC 01 75 30 48 8B C3 48 8B D7 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 49 89 8E A0 02 00 00 4C 8B 85 A0 02 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 6C 02 00 00 48 8B 8D A0 02 00 00 48 83 CE FF 48 8B C6 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 30 48 8B C3 48 8B D7 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 49 89 8E A8 02 00 00 4C 8B 85 A8 02 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 20 02 00 00 48 8B 8D A8 02 00 00 48 8B C6 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 30 48 8B C3 48 8B D7 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 49 89 8E B0 02 00 00 4C 8B 85 B0 02 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 D8 01 00 00 48 8B 8D B0 02 00 00 48 8B C6 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 30 48 8B C3 48 8B D7 48 D1 E8 48 2B D3 48 D1 EA 49 8D 0C 46 49 89 8E B8 02 00 00 4C 8B 85 B8 02 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 90 01 00 00 48 8B 8D B8 02 00 00 48 8B C6 48 FF C0 66 39 14 41 75 F7 48 8D 1C 43 41 FF C4 48 83 C3 02 41 83 FC 02 0F 8C 6D F9 FF FF 38 54 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 4C 8D 5C 24 50 49 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 4C 8B F2 EB C8 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_95_30_0 {
	meta:
		name = "_Wcsftime"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_19_0 {
	meta:
		name = "_Strftime"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_346_8_0 {
	meta:
		name = "mbstowcs_s"
		size = 30
		refs = "0015 _mbstowcs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_9_0 {
	meta:
		name = "wcstombs_s"
		size = 30
		refs = "0015 _wcstombs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_95_31_0 {
	meta:
		name = "_Wcsftime_l"
		size = 420
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0061 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0110 ?expand_time@@YA_NPEAU__crt_locale_pointers@@_WPEBUtm@@PEAPEA_WPEA_KPEBU__crt_lc_time_data@@_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 45 33 ED 4D 8B E1 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 3C 01 00 00 48 85 D2 74 E4 66 44 89 29 48 85 DB 74 DB 48 8B 55 58 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 75 50 4D 85 F6 75 0B 48 8B 45 E0 4C 8B B0 20 01 00 00 48 8B CE 48 8B C7 48 89 4D D0 45 8A FD 48 89 45 30 48 85 FF 0F 84 B1 00 00 00 0F B7 13 85 D2 0F 84 8F 00 00 00 83 FA 25 74 20 66 89 11 48 83 C3 02 48 8B 4D D0 48 8B 45 30 48 83 C1 02 48 FF C8 48 89 4D D0 48 89 45 30 EB 61 4D 85 E4 0F 84 93 00 00 00 48 83 C3 02 41 8A C5 66 83 3B 23 75 06 B0 01 48 83 C3 02 66 83 3B 45 74 06 66 83 3B 4F 75 04 48 83 C3 02 0F B7 13 4C 8D 4D D0 88 44 24 30 48 8D 4D E0 48 8D 45 30 4C 89 74 24 28 4D 8B C4 48 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 48 8B 45 30 74 20 48 8B 4D D0 48 83 C3 02 48 85 C0 0F 85 66 FF FF FF 48 85 C0 74 12 66 44 89 29 48 2B 7D 30 EB 36 48 85 C0 74 03 41 B7 01 66 44 89 2E 45 84 FF 75 12 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 49 8B FD 44 38 6D F0 74 0B 48 8B 4D D8 83 A1 A8 03 00 00 FD 48 8B C7 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_95_35_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 61
		refs = "0038 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 4D 8B D1 85 C9 74 09 3B CA 74 0C 41 3B C8 74 07 8B C1 48 83 C4 38 C3 48 8B 44 24 78 49 8B CA 44 8B 4C 24 70 4C 8B 44 24 68 48 8B 54 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_95_36_0 {
	meta:
		name = "_wcsftime_l"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_23_0 {
	meta:
		name = "_strftime_l"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_95_37_0 {
	meta:
		name = "wcsftime"
		size = 26
		refs = "0011 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_24_0 {
	meta:
		name = "strftime"
		size = 26
		refs = "0011 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_96_6_0 {
	meta:
		name = "_mkdir"
		size = 73
		refs = "000c _wmkdir 001e __acrt_copy_path_to_wide_string 003d _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 31 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0C 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_150_6_0 {
	meta:
		name = "_rmdir"
		size = 73
		refs = "000c _wrmdir 001e __acrt_copy_path_to_wide_string 003d _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 31 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0C 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_605_7_0 {
	meta:
		name = "remove"
		size = 73
		refs = "000c _wremove 001e __acrt_copy_path_to_wide_string 003d _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 31 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0C 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_97_6_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHQEA_W_KQEAU__crt_locale_pointers@@@Z"
		size = 532
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 008a __acrt_LCMapStringW 0138 __chkstk 015b _malloc_base 01c2 wcscpy_s 01e8 _free_base 01f6 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 E4 4D 8B F8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 98 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 23 EB DA 49 8B 07 48 8B 88 38 01 00 00 48 85 C9 74 51 44 89 64 24 28 41 83 C9 FF 4C 8B C3 4C 89 64 24 20 BA 00 02 00 00 E8 ?? ?? ?? ?? 4C 63 F0 85 C0 75 3C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 41 01 00 00 0F B7 0B 8D 41 9F 66 83 F8 19 77 07 66 83 E9 20 66 89 0B 48 83 C3 02 66 44 39 23 75 E3 33 C0 E9 1D 01 00 00 49 8B D6 49 3B F6 73 13 66 44 89 23 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5C FF FF FF 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 75 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 3A 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 32 C7 07 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FC 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 47 49 8B 0F 41 83 C9 FF 44 89 74 24 28 4C 8B C3 BA 00 02 00 00 48 89 7C 24 20 48 8B 89 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_97_12_0 {
	meta:
		name = "_wcsupr"
		size = 95
		refs = "000f __acrt_locale_changed_data 001b _errno 0026 _invalid_parameter_noinfo 0052 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 38 48 85 C9 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2B 0F B7 11 8D 42 9F 66 83 F8 19 77 07 66 83 EA 20 66 89 11 48 83 C1 02 66 44 39 01 75 E3 EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_98_4_0 {
	meta:
		name = "_wcsicoll"
		size = 132
		refs = "000d __acrt_locale_changed_data 001c _errno 0027 _invalid_parameter_noinfo 0080 _wcsicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B CA 44 39 05 ?? ?? ?? ?? 4C 8B D1 75 65 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 43 0F B7 14 0A 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 09 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C1 02 66 85 D2 74 05 66 3B D1 74 CF 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_488_4_0 {
	meta:
		name = "_wcsicmp"
		size = 132
		refs = "000d __acrt_locale_changed_data 001c _errno 0027 _invalid_parameter_noinfo 0080 _wcsicmp_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B CA 44 39 05 ?? ?? ?? ?? 4C 8B D1 75 65 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 43 0F B7 14 0A 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 09 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C1 02 66 85 D2 74 05 66 3B D1 74 CF 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_5_0 {
	meta:
		name = "_wcsicoll_l"
		size = 230
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002f _errno 003a _invalid_parameter_noinfo 00a4 __acrt_CompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 33 F6 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 77 48 8B 44 24 38 48 8B 88 30 01 00 00 48 85 C9 75 3C 48 2B FB 0F B7 0C 1F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 0F B7 13 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 48 83 C3 02 66 85 C9 74 05 66 3B CA 74 D1 0F B7 C2 0F B7 D1 2B D0 EB 34 41 83 C9 FF 4C 8B C7 44 89 4C 24 28 BA 01 10 00 00 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 BA FF FF FF 7F EB 03 8D 50 FE 40 38 74 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B 5C 24 60 8B C2 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "_calloc_base"
		size = 117
		refs = "0032 _query_new_mode 003e _callnewh 0049 __acrt_heap 0057 __imp_HeapAlloc 0063 _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 48 85 C9 74 0E 33 D2 48 8D 42 E0 48 F7 F3 49 3B C0 72 43 49 0F AF D8 B8 01 00 00 00 48 85 DB 48 0F 44 D8 EB 15 E8 ?? ?? ?? ?? 85 C0 74 28 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 1C 48 8B 0D ?? ?? ?? ?? 4C 8B C3 BA 08 00 00 00 FF 15 ?? ?? ?? ?? 48 85 C0 74 D1 EB 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "__acrt_initialize_locks"
		size = 72
		refs = "000b ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0020 __acrt_InitializeCriticalSectionEx 002a ?__acrt_locks_initialized@@3IA 003c __acrt_uninitialize_locks"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0C 9B 48 8D 0C CA BA A0 0F 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 FF 05 ?? ?? ?? ?? FF C3 83 FB 0E 72 D3 B0 01 EB 09 33 C9 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_100_1_0 {
	meta:
		name = "__acrt_lock"
		size = 25
		refs = "000a ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0015 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 63 C1 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_3_0 {
	meta:
		name = "__acrt_unlock"
		size = 25
		refs = "000a ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0015 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 C1 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_2_0 {
	meta:
		name = "__acrt_uninitialize_locks"
		size = 55
		refs = "0008 ?__acrt_locks_initialized@@3IA 0011 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0021 __imp_DeleteCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 1D ?? ?? ?? ?? EB 1D 48 8D 05 ?? ?? ?? ?? FF CB 48 8D 0C 9B 48 8D 0C C8 FF 15 ?? ?? ?? ?? FF 0D ?? ?? ?? ?? 85 DB 75 DF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "_add_exp"
		size = 78
	strings:
		$1 = { F2 0F 11 44 24 08 B8 FF 07 00 00 48 8B 4C 24 08 48 C1 E9 30 66 C1 E9 04 66 23 C8 F2 0F 11 44 24 20 48 8B 44 24 20 66 03 CA F2 0F 11 44 24 18 BA 0F 80 00 00 48 C1 E8 30 66 23 C2 66 C1 E1 04 66 0B C8 66 89 4C 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_101_1_0 {
	meta:
		name = "_decomp"
		size = 308
	strings:
		$1 = { 0F 28 C8 F2 0F 11 44 24 08 0F 57 C0 4C 8B D2 66 0F 2E C8 7A 09 75 07 33 C9 E9 12 01 00 00 48 8B 44 24 08 B9 F0 7F 00 00 4C 8B C0 49 C1 E8 30 66 44 85 C1 0F 85 AD 00 00 00 8B 54 24 08 48 C1 E8 20 A9 FF FF 0F 00 75 08 85 D2 0F 84 96 00 00 00 45 33 C9 B9 03 FC FF FF 66 0F 2F C1 41 0F 97 C1 41 F6 C0 10 75 24 8B 44 24 0C 03 C0 89 44 24 0C 85 D2 79 07 83 C8 01 89 44 24 0C 03 D2 FF C9 F6 44 24 0E 10 74 E4 89 54 24 08 0F B7 44 24 0E BA EF FF 00 00 66 23 C2 66 89 44 24 0E 45 85 C9 74 0D BA 00 80 00 00 66 0B C2 66 89 44 24 0E F2 0F 10 44 24 08 BA EF BF 00 00 F2 0F 11 44 24 10 48 8B 44 24 10 48 C1 E8 30 66 23 C2 F2 0F 11 44 24 08 BA E0 3F 00 00 66 0B C2 66 89 44 24 0E F2 0F 10 44 24 08 EB 4A BA EF BF 00 00 F2 0F 11 4C 24 10 B9 FF 07 00 00 F2 0F 11 4C 24 18 48 8B 44 24 18 48 C1 E8 30 66 23 C2 BA E0 3F 00 00 66 0B C2 66 89 44 24 16 0F B7 44 24 0E F2 0F 10 44 24 10 66 C1 E8 04 66 23 C1 0F BF C8 81 E9 FE 03 00 00 41 89 0A C3 }
	condition:
		$1
}

rule file_101_2_0 {
	meta:
		name = "_get_exp"
		size = 37
	strings:
		$1 = { B9 FF 07 00 00 F2 0F 11 44 24 08 48 8B 44 24 08 48 C1 E8 30 66 C1 E8 04 66 23 C1 B9 FE 03 00 00 66 2B C1 98 C3 }
	condition:
		$1
}

rule file_101_3_0 {
	meta:
		name = "_set_bexp"
		size = 48
	strings:
		$1 = { F2 0F 11 44 24 08 B9 0F 80 00 00 48 8B 44 24 08 48 C1 E8 30 F2 0F 11 44 24 18 66 23 C1 66 C1 E2 04 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_101_4_0 {
	meta:
		name = "_set_exp"
		size = 56
	strings:
		$1 = { F2 0F 11 44 24 08 B9 0F 80 00 00 48 8B 44 24 08 48 C1 E8 30 66 23 C1 F2 0F 11 44 24 18 B9 FE 03 00 00 66 03 D1 66 C1 E2 04 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_101_5_0 {
	meta:
		name = "_sptype"
		size = 116
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 48 8B C8 48 C1 E9 20 81 F9 00 00 F0 7F 75 0A 85 C0 75 06 B8 01 00 00 00 C3 81 F9 00 00 F0 FF 75 0A 85 C0 75 06 B8 02 00 00 00 C3 41 B8 F8 7F 00 00 48 8B D0 48 C1 EA 30 66 41 23 D0 66 41 3B D0 75 06 B8 03 00 00 00 C3 41 B8 F0 7F 00 00 66 41 3B D0 75 12 F7 C1 FF FF 07 00 75 04 85 C0 74 06 B8 04 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "_cputws"
		size = 220
		refs = "001e __doserrno 0025 _errno 0030 _invalid_parameter_noinfo 003f __dcrt_lowio_console_output_handle 004a __dcrt_lowio_initialize_console_output 006e __acrt_lock 00a1 __imp_WriteConsoleW 00ca __acrt_unlock"
	strings:
		$1 = { 40 53 56 57 41 54 41 56 48 83 EC 30 48 8B F1 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 94 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 F8 FE 75 0C E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 F8 FF 74 D9 48 83 CF FF 48 FF C7 66 39 1C 7E 75 F7 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 41 BC FF 7F 00 00 48 85 FF 7E 46 44 8B F7 49 3B FC 45 0F 47 F4 48 89 5C 24 20 4C 8D 4C 24 68 45 8B C6 48 8B D6 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 16 41 8B C6 4A 8D 34 76 48 89 74 24 60 48 2B F8 48 89 7C 24 70 EB B5 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 41 5E 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_102_1_0 {
	meta:
		name = "_cputws$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "_cgetws_s$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 09 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "conjf"
		size = 60
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 30 0F 14 C8 66 48 0F 7E C8 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_105_0_0 {
	meta:
		name = "llroundf"
		size = 95
		refs = "0010 _fdtest 0027 roundf 002e __real@df000000 003e __real@5f000000 0054 _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 3F FF C8 83 F8 01 76 2E F3 0F 10 44 24 30 E8 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 11 44 24 30 72 14 F3 0F 10 0D ?? ?? ?? ?? 0F 2F C8 72 07 F3 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "tanf"
		size = 1651
		refs = "0006 __use_fma3_lib 0018 L_inf_mask_32 0039 L_piby4 0046 L_mask_3f2 004f L_mask_3e4 005d L_near_one_f 0065 L_two_to_32 0084 L_point_333 00b0 L_tanf 00fd L_large_x_sse2 010b L_sign_mask 0113 L_twobypi 011f L_point_five 012f L_int_three 013f L_piby2_1 014b L_piby2_1tail 016b __L_2_by_pi_bits 02c2 L_piby2_lead 0323 L_n_one 0333 L_signbit 035a _tanf_special 042c L_large_x_fma3 05ea L_int_one"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 0F 85 5F 03 00 00 66 0F 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 31 03 00 00 F3 0F 5A E8 66 49 0F 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F B2 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 54 4C 3B 0D ?? ?? ?? ?? 7D 1B F3 0F 10 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? 48 83 C4 38 C3 66 90 66 0F 28 D5 F2 0F 59 D2 66 0F 28 C2 F2 0F 59 C5 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C5 E9 BF 02 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 28 C5 66 0F 28 C8 F2 0F 59 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E DA F2 0F 59 C8 F2 0F 59 CB F2 0F 58 C1 E9 5B 02 00 00 66 49 0F 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 65 66 0F 28 C8 66 0F 54 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? 66 0F E6 E2 F3 0F E6 CC 66 0F 54 25 ?? ?? ?? ?? 66 0F 28 D0 66 0F 28 D9 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D1 F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 C2 F2 0F 5C C3 F2 0F 5C D0 66 0F 28 CA F2 0F 5C CB E9 5E 01 00 00 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1B 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 66 0F 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 F2 0F 59 05 ?? ?? ?? ?? 66 0F 7E E0 83 E0 01 66 0F 28 C8 F2 0F 59 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E DA F2 0F 59 C8 F2 0F 59 CB F2 0F 58 C1 83 F8 01 75 11 66 48 0F 6E 1D ?? ?? ?? ?? F2 0F 5E D8 F2 0F 10 C3 66 0F 54 2D ?? ?? ?? ?? 66 0F 57 C5 F2 0F 5A C0 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 5A C0 48 83 C4 38 C3 E8 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 E2 02 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F 82 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 34 4C 3B 0D ?? ?? ?? ?? 7D 15 C5 FA 59 0D ?? ?? ?? ?? C5 F2 58 0D ?? ?? ?? ?? 48 83 C4 38 C3 C5 D3 59 D5 C5 EB 59 C5 C4 E2 D1 99 05 ?? ?? ?? ?? E9 81 02 00 00 C5 D3 10 C5 C5 FB 59 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 E3 5E DA C5 F3 59 C8 C4 E2 F1 B9 C3 E9 3C 02 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 59 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB E9 5B 01 00 00 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 C5 F9 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 18 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 0F 1F 44 00 00 48 83 D0 00 48 83 E0 03 C5 F9 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E C2 C5 FB 59 05 ?? ?? ?? ?? C5 D9 54 15 ?? ?? ?? ?? C5 F9 7E D0 C5 FB 59 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 E3 5E DA C5 F3 59 C8 C4 E2 F1 B9 C3 83 F8 01 75 0D C4 E1 F9 6E 1D ?? ?? ?? ?? C5 E3 5E C0 C5 D1 54 2D ?? ?? ?? ?? C5 F9 57 C5 C5 FB 5A C0 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 5A C0 48 83 C4 38 C3 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "fmin"
		size = 110
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 14 66 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 36 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_565_0_0 {
	meta:
		name = "fminl"
		size = 110
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 14 66 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 36 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_109_4_0 {
	meta:
		name = "_strnicoll"
		size = 21
		refs = "0002 __acrt_locale_changed_data 0009 _strnicmp 0011 _strnicoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_5_0 {
	meta:
		name = "_strnicoll_l"
		size = 256
		refs = "0025 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 _errno 004b _invalid_parameter_noinfo 0092 _strnicmp_l 00bd __acrt_CompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B F2 48 8B E9 49 8B D1 48 8D 48 D8 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 07 33 DB E9 A0 00 00 00 48 85 ED 74 05 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 7F BB FF FF FF 7F 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 63 48 8B 44 24 48 48 8B 90 30 01 00 00 48 85 D2 75 17 4C 8D 4C 24 48 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 3B 8B 40 14 48 8D 4C 24 48 89 44 24 38 4C 8B CD 89 7C 24 30 41 B8 01 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "_fdpow"
		size = 1569
		refs = "003a __security_cookie 006b _fdunscale 007a _fd_int 00c2 __real@3f000000 00d3 __real@bf000000 00df __real@3f800000 0111 _fperrraise 0119 _FNan_C 0134 __xmm@80000000800000008000000080000000 015d __real@3f3504f3 016a __real@40000000 01a1 _fdlogpoly 01b3 __real@3f317218 01f7 __real@c7000000 0212 __real@c1400000 021c __real@41400000 0229 __real@c2200000 0233 __real@42200000 0286 __real@47000000 029f _fdxp_setw 02c5 _fdxp_addx 02ea log2e 02fa _fdxp_mulh 035b _fdxp_addh 0418 _fdxp_getw 044c _fdexp 046b _FInf_C 0516 __security_check_cookie 056e _FZero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 A0 78 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 C7 44 0F 28 C9 F3 0F 11 44 24 20 48 8D 54 24 20 F3 44 0F 11 4C 24 38 48 8D 4C 24 28 F3 44 0F 11 4C 24 30 4D 8B E0 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 30 0F B7 F8 E8 ?? ?? ?? ?? 45 33 FF 0F B7 F0 4D 85 E4 74 05 66 45 89 3C 24 45 0F 57 C0 66 85 F6 75 08 45 0F 2E C8 7A 02 74 3C 0F B7 44 24 28 41 BE 01 00 00 00 F3 0F 10 4C 24 20 66 85 FF 0F 89 E7 03 00 00 66 41 3B C6 75 29 0F 2E 0D ?? ?? ?? ?? 7A 02 74 11 66 41 3B F6 75 18 0F 2E 0D ?? ?? ?? ?? 7A 0F 75 0D F3 0F 10 05 ?? ?? ?? ?? E9 26 04 00 00 66 44 3B FF 0F 8E AE 03 00 00 66 44 3B FE 0F 8C A4 03 00 00 BB 00 80 00 00 66 85 5C 24 22 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 EC 03 00 00 83 CF FF 41 0F 2F C8 76 06 45 0F B7 EF EB 28 0F 57 0D ?? ?? ?? ?? 48 8D 4C 24 30 8B D7 F3 0F 11 4C 24 20 E8 ?? ?? ?? ?? F3 0F 10 4C 24 20 44 0F B7 E8 0F B7 44 24 28 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 76 10 F3 0F 59 0D ?? ?? ?? ?? 66 03 C7 66 89 44 24 28 0F 28 C1 F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? 0F 28 F8 F3 0F 11 44 24 20 F3 0F 5E F9 0F 28 F7 F3 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F3 0F 10 64 24 20 44 0F 28 E0 F3 0F 10 2D ?? ?? ?? ?? 0F 28 DC 0F BF 44 24 28 41 0F 28 C9 F3 44 0F 59 E6 66 0F 6E D0 F3 44 0F 5C E4 0F 5B D2 F3 44 0F 59 E7 F3 41 0F 58 DC 0F 28 C3 F3 0F 5E C5 F3 0F 58 C2 F3 0F 59 C8 F3 0F 11 44 24 30 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 F3 0F 11 4C 24 2C 76 09 45 0F B7 F7 E9 4B 02 00 00 0F 2F 0D ?? ?? ?? ?? 72 6B F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 72 5E 44 0F 2F 0D ?? ?? ?? ?? 76 54 F3 0F 10 05 ?? ?? ?? ?? 41 0F 2F C1 76 46 44 0F 2F C1 76 0A F3 0F 5C 0D ?? ?? ?? ?? EB 08 F3 0F 58 0D ?? ?? ?? ?? F3 41 0F 59 D1 F3 44 0F 2C C1 F3 41 0F 59 D9 66 41 0F 6E C0 0F 5B C0 F3 0F 5C D0 F3 0F 59 D5 F3 0F 58 DA F3 0F 11 5C 24 2C E9 AE 01 00 00 0F 2F 0D ?? ?? ?? ?? 0F 87 CA 01 00 00 BF 04 00 00 00 48 8D 4D 97 8B D7 0F 28 D4 E8 ?? ?? ?? ?? 8D 5F FE 41 0F 28 D4 8B D3 48 8D 4C 24 38 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 44 24 38 8B D7 48 8D 4D 97 E8 ?? ?? ?? ?? F3 0F 10 55 97 41 0F 2E D0 7A 13 75 11 41 0F 28 D0 48 8D 4D A7 8B D7 E8 ?? ?? ?? ?? EB 61 0F 10 05 ?? ?? ?? ?? 8B D7 48 8D 4D A7 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 45 8B FE 48 8D 75 9B F3 0F 10 16 41 0F 2E D0 7A 02 74 34 0F 10 05 ?? ?? ?? ?? 8B D7 48 8D 4D B7 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 45 B7 8B D7 48 8D 4D A7 E8 ?? ?? ?? ?? 45 03 FE 48 03 F7 44 3B FF 7C C0 45 33 FF 0F BF 44 24 28 48 8D 4D A7 8B D7 66 0F 6E D0 0F 5B D2 E8 ?? ?? ?? ?? 41 0F 28 D1 48 8D 4D 97 8B D3 E8 ?? ?? ?? ?? 0F 28 45 A7 48 8D 4D 87 F3 0F 10 55 97 8B D7 66 0F 7F 45 87 E8 ?? ?? ?? ?? F3 0F 10 55 9B 41 0F 2E D0 7A 02 74 26 0F 28 45 A7 48 8D 4D B7 8B D7 66 0F 7F 45 B7 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 45 B7 8B D7 48 8D 4D 87 E8 ?? ?? ?? ?? F3 0F 10 4D 87 41 0F 2E C8 F3 0F 11 4C 24 20 7A 02 74 20 F3 0F 10 55 8B 41 0F 2E D0 7A 02 74 13 F3 0F 10 45 8F F3 0F 58 C2 F3 0F 58 C1 F3 0F 11 44 24 20 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? F3 0F 10 54 24 20 48 8D 4D 87 0F 57 15 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D7 48 8D 4D 87 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 44 0F 2C 44 24 20 F3 0F 11 44 24 2C 4D 85 E4 74 08 66 45 89 04 24 45 8B C7 F3 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 2C E8 ?? ?? ?? ?? F3 0F 10 4C 24 2C 44 0F B7 F0 41 0F BF CE 85 C9 74 1A 83 F9 01 75 2A F3 0F 10 05 ?? ?? ?? ?? B9 08 00 00 00 F3 0F 11 44 24 2C EB 0A 83 64 24 2C 00 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 4C 24 2C 66 45 85 ED 74 13 0F 57 0D ?? ?? ?? ?? EB 0A BB 02 00 00 00 66 3B FB 75 05 0F 28 C1 EB 5F 66 3B F3 75 06 41 0F 28 C1 EB 54 BB 00 80 00 00 66 41 3B FE 0F 85 B6 00 00 00 66 85 5C 24 22 75 15 66 85 5D 81 75 09 F3 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 29 66 85 5D 81 75 63 66 85 F6 75 16 83 CA FF 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 0F 88 07 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 48 8B 4D C7 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 63 B0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 8C 83 CA FF 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 0F 89 76 FF FF FF F3 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 60 FF FF FF 66 41 3B F6 75 22 66 85 5D 81 75 0E 66 85 C0 0F 8E 4B FF FF FF E9 3D FF FF FF 66 85 C0 0F 8F 3D FF FF FF E9 2F FF FF FF 66 85 5D 81 75 2C 66 85 F6 0F 85 29 FF FF FF 83 CA FF 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 0F 89 13 FF FF FF 66 85 5C 24 22 0F 84 08 FF FF FF EB 90 B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 1A FF FF FF 83 CA FF 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 0F 89 04 FF FF FF 66 85 5C 24 22 0F 84 F9 FE FF FF F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 ED FE FF FF }
	condition:
		$1
}

rule file_111_1_0 {
	meta:
		name = "_fdtgamma"
		size = 379
		refs = "0018 __real@41f80000 001f stirling 002c __real@bf000000 0039 __real@3f000000 004f __real@3f800000 0066 __real@bf800000 0097 __real@3fc00000 00b1 __real@40200000 00c6 __real@c0000000 0104 _fdunscale 0119 __real@3d11e52b 0124 __real@3c590091 012c __real@3e452ca6 0134 __real@3c1aa374 0144 __real@3c9153c0 014c __real@3edbc710 015c __real@3f8314b3 0164 __real@3eddacfc"
	strings:
		$1 = { 40 53 48 83 EC 30 0F 29 74 24 20 48 8B C2 F3 0F 10 31 48 8B D9 0F 2F 35 ?? ?? ?? ?? 72 0A E8 ?? ?? ?? ?? E9 48 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 3A F3 0F 10 0D ?? ?? ?? ?? 0F 28 C6 0F 2F F1 F3 0F 11 44 24 40 77 17 F3 0F 58 35 ?? ?? ?? ?? 0F 2F F1 F3 0F 59 C6 76 EF F3 0F 11 44 24 40 F3 0F 58 35 ?? ?? ?? ?? E9 8C 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 17 0F 28 C6 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 C6 F3 0F 11 44 24 40 EB 68 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 0D 0F 28 C6 F3 0F 58 35 ?? ?? ?? ?? EB 1D F3 0F 10 0D ?? ?? ?? ?? 0F 2F CE F3 0F 10 05 ?? ?? ?? ?? 76 0F F3 0F 58 35 ?? ?? ?? ?? 33 C9 66 89 0A EB 3D 0F 2F F1 F3 0F 11 44 24 40 76 17 F3 0F 58 35 ?? ?? ?? ?? 0F 2F F1 F3 0F 5E C6 77 EF F3 0F 11 44 24 40 F3 0F 58 35 ?? ?? ?? ?? 48 8D 54 24 40 48 8B C8 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 F3 0F 11 03 0F 28 CE F3 0F 59 0D ?? ?? ?? ?? 0F 28 C6 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 CE F3 0F 59 C6 F3 0F 58 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 CE F3 0F 59 C6 F3 0F 58 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E C1 F3 0F 59 C6 0F 28 74 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_111_2_0 {
	meta:
		name = "stirling"
		size = 214
		refs = "0038 __real@3f000000 003d _fdpow 0045 __real@3f800000 0064 approx0 006c __real@3cc5aaec 0074 _fdpoly 0094 __xmm@80000000800000008000000080000000 00a1 expf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 4C 8B C2 0F 29 78 D8 48 8B DA 44 0F 29 40 C8 48 8B F9 44 0F 29 48 B8 F3 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F3 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? 44 0F 28 C0 0F B7 03 41 B8 01 00 00 00 F3 41 0F 5E F1 66 F7 D8 66 89 03 48 8B 15 ?? ?? ?? ?? F3 0F 5C 35 ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 41 B8 07 00 00 00 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F3 0F 5E F8 41 0F 28 C1 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 44 0F 28 4C 24 20 F3 41 0F 59 C0 44 0F 28 44 24 30 F3 0F 5E F8 0F 57 C0 F3 0F 11 3F 0F 28 7C 24 40 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_111_3_0 {
	meta:
		name = "tgammaf"
		size = 581
		refs = "001f _fd_int 0057 _fperrraise 005f _FNan_C 007d _FInf_C 0093 __xmm@80000000800000008000000080000000 00a5 __real@c2180000 00c4 _fdgamma_big 00f4 __real@3f800000 010e __real@bf800000 0132 __real@40490fdb 0139 _fdsin 0172 _fdtgamma 019a _fdscale 01c6 __real@42180000"
	strings:
		$1 = { F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 33 D2 F3 0F 11 45 28 48 8D 4D 28 0F 29 74 24 30 E8 ?? ?? ?? ?? F3 0F 10 55 10 0F 57 F6 0F BF C8 85 C9 74 36 83 E9 01 74 0F 83 F9 01 75 65 F3 0F 10 45 10 E9 F4 01 00 00 B8 00 80 00 00 66 85 45 12 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 D2 01 00 00 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 12 0F 84 AA 01 00 00 0F 57 05 ?? ?? ?? ?? E9 9E 01 00 00 0F 2F F2 77 B0 F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 7A 01 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? 0F 57 C6 0F 2F C2 0F 86 E6 00 00 00 0F 28 C2 F3 0F 11 55 20 F3 0F 5C 55 28 0F 57 C6 48 8D 4D 20 F3 0F 5C 05 ?? ?? ?? ?? 83 CA FF F3 0F 11 55 28 F3 0F 11 45 E0 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4D 10 F3 0F 5C 4D 20 0F 2F C1 F3 0F 10 45 28 76 08 0F 57 C6 F3 0F 11 45 28 F3 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F3 0F 10 4D 10 48 8D 55 18 F3 0F 59 C1 48 8D 4D E0 0F 57 CE F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 10 05 ?? ?? ?? ?? 0F 57 CE F3 0F 5E C1 F3 0F 11 45 20 E8 ?? ?? ?? ?? F3 0F 10 4D 20 48 8D 4D 20 F3 0F 58 05 ?? ?? ?? ?? 0F BF 55 18 F3 0F 5E C8 F3 0F 59 4D E0 F3 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 45 20 EB 78 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 72 59 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F3 0F 11 45 28 F7 DA F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E 45 10 F3 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 10 83 F9 01 0F 85 2A FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 14 FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_112_0_0 {
	meta:
		name = "CountryEnumProc"
		size = 236
		refs = "001a __security_cookie 002d __acrt_getptd 0044 LcidFromHexString 006f __imp_GetLocaleInfoW 008d _wcsicmp 0098 __rglangidNotDefault 00cf __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B E8 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 A0 03 00 00 E8 ?? ?? ?? ?? 8B 8D B4 00 00 00 4C 8D 44 24 20 F7 D9 41 B9 78 00 00 00 8B C8 8B F0 1B D2 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 33 DB 85 C0 75 07 89 1F 8D 43 01 EB 43 48 8B 8D A0 00 00 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 24 48 8D 0D ?? ?? ?? ?? 66 3B 31 74 18 FF C3 48 83 C1 02 48 63 C3 48 83 F8 0A 72 EC 83 0F 04 89 77 08 89 77 04 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_112_1_0 {
	meta:
		name = "GetLcidFromCountry"
		size = 95
		refs = "000e __acrt_getptd 0032 CountryEnumProc 0049 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 CA FF 4C 8B C0 33 FF 48 8B 80 A0 00 00 00 48 FF C2 66 39 3C 50 75 F7 48 83 FA 03 48 8D 0D ?? ?? ?? ?? 8B C7 BA 01 00 00 00 0F 94 C0 41 89 80 B4 00 00 00 FF 15 ?? ?? ?? ?? F6 03 04 75 02 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_112_2_0 {
	meta:
		name = "GetLcidFromDefault"
		size = 33
		refs = "0011 __imp_GetUserDefaultLCID"
	strings:
		$1 = { 40 53 48 83 EC 20 81 09 04 01 00 00 48 8B D9 FF 15 ?? ?? ?? ?? 89 43 08 89 43 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_112_3_0 {
	meta:
		name = "GetLcidFromLangCountry"
		size = 205
		refs = "000e __acrt_getptd 0095 LangCountryEnumProc 00a0 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 49 83 C8 FF 4D 8B C8 33 FF 48 8D 90 98 00 00 00 48 8B 02 49 FF C1 66 42 39 3C 48 75 F6 8B C7 49 83 F9 03 0F 94 C0 89 42 18 48 8B 42 08 49 FF C0 66 42 39 3C 40 75 F6 49 83 F8 03 8B C7 41 B8 02 00 00 00 0F 94 C0 89 42 1C 89 7B 04 39 7A 18 75 2B 48 8B 0A 44 8B D7 44 0F B7 09 49 03 C8 41 8D 41 BF 66 83 F8 19 76 0C 66 41 83 E9 61 66 41 83 F9 19 77 05 41 FF C2 EB DE 45 8B C2 44 89 42 14 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? 8B 0B F6 C1 07 0F 95 C2 0F BA E1 09 0F 92 C0 22 D0 0F BA E1 08 0F 92 C0 84 D0 75 02 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_112_4_0 {
	meta:
		name = "GetLcidFromLanguage"
		size = 152
		refs = "000e __acrt_getptd 007c LanguageEnumProc 0082 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 49 83 C8 FF 4C 8B D0 33 FF 48 8B 90 98 00 00 00 49 FF C0 66 42 39 3C 42 75 F6 8B C7 49 83 F8 03 B9 02 00 00 00 0F 94 C0 41 89 82 B0 00 00 00 85 C0 75 28 44 8B CF 44 0F B7 02 48 03 D1 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B C9 41 89 8A AC 00 00 00 BA 01 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? F6 03 04 75 02 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_112_5_0 {
	meta:
		name = "GetPrimaryLen"
		size = 38
	strings:
		$1 = { 45 33 C0 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 05 41 FF C0 EB E1 41 8B C0 C3 }
	condition:
		$1
}

rule file_112_6_0 {
	meta:
		name = "LangCountryEnumProc"
		size = 580
		refs = "0019 __security_cookie 002c __acrt_getptd 0047 LcidFromHexString 006f __imp_GetLocaleInfoW 0091 _wcsicmp 00fd _wcsnicmp 0132 __rglangidNotDefault 01fc TestDefaultLanguage 0227 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D B0 98 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 A0 03 00 00 E8 ?? ?? ?? ?? 8B 4E 1C 4C 8D 44 24 20 F7 D9 41 B9 78 00 00 00 8B C8 8B D8 1B D2 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 45 33 FF 85 C0 75 0D 44 89 3F B8 01 00 00 00 E9 94 01 00 00 48 8B 4E 08 48 8D 54 24 20 E8 ?? ?? ?? ?? 49 83 CE FF 85 C0 0F 85 B2 00 00 00 8B 46 18 45 8D 4E 79 F7 D8 4C 8D 44 24 20 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 B1 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 0B 81 0F 04 03 00 00 89 5F 04 EB 6B F6 07 02 75 69 44 39 7E 14 74 35 4C 63 46 14 48 8D 54 24 20 48 8B 0E E8 ?? ?? ?? ?? 85 C0 75 20 83 0F 02 49 8B C6 89 5F 08 48 8B 0E 48 FF C0 66 44 39 3C 41 75 F6 3B 46 14 75 33 89 5F 04 EB 2E 8B 0F F6 C1 01 75 27 45 8B C7 48 8D 15 ?? ?? ?? ?? 66 3B 1A 74 18 41 FF C0 48 83 C2 02 49 63 C0 48 83 F8 0A 72 EB 83 C9 01 89 0F 89 5F 08 8B 07 B9 00 03 00 00 23 C1 3B C1 0F 84 AD 00 00 00 8B 46 18 4C 8D 44 24 20 F7 D8 41 B9 78 00 00 00 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 E8 FE FF FF 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 34 0F BA 2F 09 8B 07 44 39 7E 18 74 08 0F BA E8 08 89 07 EB 51 44 39 7E 14 74 F2 48 8B 0E 49 FF C6 66 46 39 3C 71 75 F6 44 3B 76 14 75 DF BA 01 00 00 00 EB 1F 44 39 7E 18 75 34 44 39 7E 14 74 2E 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 1D 33 D2 4C 8B C7 8B CB E8 ?? ?? ?? ?? 85 C0 74 0D 0F BA 2F 08 44 39 7F 04 75 03 89 5F 04 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_112_7_0 {
	meta:
		name = "LanguageEnumProc"
		size = 252
		refs = "0015 __security_cookie 0028 __acrt_getptd 0043 LcidFromHexString 006b __imp_GetLocaleInfoW 0085 _wcsicmp 00bc TestDefaultLanguage 00e3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D B0 98 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 A0 03 00 00 E8 ?? ?? ?? ?? 8B 4E 18 4C 8D 44 24 20 F7 D9 41 B9 78 00 00 00 8B C8 8B D8 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 09 21 07 B8 01 00 00 00 EB 5B 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 0A 39 46 18 75 32 8D 50 01 EB 1F 83 7E 18 00 75 30 83 7E 14 00 74 2A 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 19 33 D2 4C 8B C7 8B CB E8 ?? ?? ?? ?? 85 C0 74 09 83 0F 04 89 5F 04 89 5F 08 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_112_8_0 {
	meta:
		name = "LcidFromHexString"
		size = 78
	strings:
		$1 = { 0F B7 11 45 33 D2 45 8B C2 4C 8B C9 EB 37 8D 42 9F 4D 8D 49 02 66 83 F8 05 77 07 B8 D9 FF 00 00 EB 0E 8D 42 BF 66 83 F8 05 77 08 B8 F9 FF 00 00 66 03 D0 41 C1 E0 04 0F B7 CA 41 83 C0 D0 41 0F B7 11 44 03 C1 66 85 D2 75 C4 41 8B C0 C3 }
	condition:
		$1
}

rule file_112_9_0 {
	meta:
		name = "ProcessCodePage"
		size = 174
		refs = "0024 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0029 wcscmp 0034 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 0057 __imp_GetLocaleInfoW 0069 _wtol 009a __imp_GetACP"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 74 53 66 39 31 74 4E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3E 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 21 8B 4F 08 44 8D 4E 02 4C 8D 44 24 30 BA 0B 00 00 20 FF 15 ?? ?? ?? ?? 85 C0 74 2D 8B 44 24 30 EB 39 48 8B CB E8 ?? ?? ?? ?? EB 2F 8B 4F 08 4C 8D 44 24 30 41 B9 02 00 00 00 BA 04 10 00 20 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0E 8B 44 24 30 85 C0 75 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_112_10_0 {
	meta:
		name = "TestDefaultCountry"
		size = 40
		refs = "0006 __rglangidNotDefault"
	strings:
		$1 = { 45 33 C9 4C 8D 05 ?? ?? ?? ?? 41 8D 41 01 66 41 3B 08 74 11 44 03 C8 49 83 C0 02 49 63 D1 48 83 FA 0A 72 EA C3 33 C0 C3 }
	condition:
		$1
}

rule file_112_11_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 171
		refs = "0014 __acrt_getptd 0039 __imp_GetLocaleInfoW"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 8B F2 8B D9 E8 ?? ?? ?? ?? 8B CB 4C 8D 44 24 30 81 E1 FF 03 00 00 41 B9 02 00 00 00 0F BA E9 0A BA 01 00 00 20 48 8B F8 FF 15 ?? ?? ?? ?? 45 33 D2 85 C0 75 04 33 C0 EB 53 3B 5C 24 30 74 48 85 F6 74 44 4C 8B 8F 98 00 00 00 45 8B C2 41 0F B7 11 49 8D 49 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 0C 0F B7 11 41 FF C0 48 83 C1 02 EB E1 48 83 C8 FF 48 FF C0 66 45 39 14 41 75 F6 44 3B C0 74 AE B8 01 00 00 00 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_112_12_0 {
	meta:
		name = "TranslateName"
		size = 137
		refs = "0041 _wcsicmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 4D 8B F0 8B DA 48 8B E9 85 D2 78 30 49 8B 0E 8D 04 1E 99 2B C2 D1 F8 48 63 F8 48 8B D7 48 03 D2 48 8B 54 D5 00 E8 ?? ?? ?? ?? 85 C0 74 2B 79 05 8D 5F FF EB 03 8D 77 01 3B F3 7E D0 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B C7 48 C1 E0 04 48 83 C0 08 48 03 C5 49 89 06 B0 01 EB D0 }
	condition:
		$1
}

rule file_112_13_0 {
	meta:
		name = "__acrt_get_qualified_locale_downlevel"
		size = 653
		refs = "0015 __security_cookie 002a __acrt_getptd 0072 __acrt_rg_country_count 0079 __acrt_rg_country 0083 TranslateName 00b0 GetLcidFromLangCountry 00bb GetLcidFromLanguage 00cb __acrt_rg_language_count 00db __acrt_rg_language 0145 CountryEnumProc 0159 __imp_EnumSystemLocalesW 0172 __imp_GetUserDefaultLCID 019b ProcessCodePage 01bd __imp_IsValidCodePage 01d3 __imp_IsValidLocale 01fc __acrt_LCIDToLocaleName 022f __imp_GetLocaleInfoW 0265 _itow_s 027a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 49 8B F8 4C 8B FA 4C 8B F1 E8 ?? ?? ?? ?? 48 8B F0 33 C0 48 89 45 E0 89 45 E8 E8 ?? ?? ?? ?? 48 8D 4D E0 45 33 E4 48 8D 9E A0 00 00 00 48 89 88 A0 03 00 00 49 8D 86 80 00 00 00 4C 89 B6 98 00 00 00 48 89 03 48 85 C0 74 1D 66 44 39 20 74 17 8B 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF CA 4C 8B C3 E8 ?? ?? ?? ?? 44 89 65 E0 48 8B 86 98 00 00 00 48 85 C0 74 79 66 44 39 20 74 73 48 8B 03 48 85 C0 74 11 66 44 39 20 74 0B 48 8D 4D E0 E8 ?? ?? ?? ?? EB 09 48 8D 4D E0 E8 ?? ?? ?? ?? 44 39 65 E0 0F 85 BD 00 00 00 8B 15 ?? ?? ?? ?? 4C 8D 86 98 00 00 00 FF CA 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 48 8B 03 48 85 C0 74 11 66 44 39 20 74 0B 48 8D 4D E0 E8 ?? ?? ?? ?? EB 77 48 8D 4D E0 E8 ?? ?? ?? ?? EB 6C 48 8B 03 48 85 C0 74 51 66 44 39 20 74 4B E8 ?? ?? ?? ?? 48 8B D0 48 83 C9 FF 48 8B 80 A0 00 00 00 48 FF C1 66 44 39 24 48 75 F6 48 83 F9 03 41 8B C4 48 8D 0D ?? ?? ?? ?? 0F 94 C0 89 82 B4 00 00 00 BA 01 00 00 00 FF 15 ?? ?? ?? ?? F6 45 E0 04 75 19 44 89 65 E0 EB 13 C7 45 E0 04 01 00 00 FF 15 ?? ?? ?? ?? 89 45 E8 89 45 E4 44 39 65 E0 0F 84 EA 00 00 00 49 8D 86 00 01 00 00 49 F7 DE 48 8D 55 E0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 0F 84 C7 00 00 00 8D 88 18 02 FF FF 83 F9 01 0F 86 B8 00 00 00 0F B7 C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A7 00 00 00 8B 4D E4 BA 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 91 00 00 00 4D 85 FF 74 03 41 89 1F 8B 4D E4 48 8D 96 F0 02 00 00 45 33 C9 41 8D 71 55 44 8B C6 E8 ?? ?? ?? ?? 48 85 FF 74 64 8B 4D E4 48 8D 97 20 01 00 00 45 33 C9 44 8B C6 E8 ?? ?? ?? ?? 8B 4D E4 BE 40 00 00 00 44 8B CE 4C 8B C7 BA 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 39 8B 4D E8 4C 8D 87 80 00 00 00 44 8B CE BA 02 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 1D 48 8D 97 00 01 00 00 8B CB 44 8D 4E CA 44 8D 46 D0 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_113_1_0 {
	meta:
		name = "_waccess_s"
		size = 170
		refs = "0009 __security_cookie 001d __doserrno 0025 _errno 0031 _invalid_parameter_noinfo 004a __imp_GetFileAttributesExW 0054 __imp_GetLastError 005b __acrt_errno_map_os_error 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B DA 48 85 C9 75 1D E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 5E F7 C2 F9 FF FF FF 75 DB 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 EB 2F F6 44 24 20 10 75 26 F6 44 24 20 01 74 1F D1 EB F6 C3 01 74 18 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB CA 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_114_1_0 {
	meta:
		name = "catanhl"
		size = 857
		refs = "0044 creall 005a cimagl 0068 _ldtest 00a6 __real@bff921fb54442d18 00e2 _LZero_C 00e9 __xmm@80000000000000008000000000000000 012d __real@3ff921fb54442d18 0183 __real@5fcffb3abd82527b 0191 __real@3ff0000000000000 021b _fperrraise 0228 _LInf_C 023e __real@4010000000000000 0243 sqrt 0260 log 0268 __real@4000000000000000 0274 atan2 0289 __real@3fe0000000000000 02c2 log1pl 02e7 __real@3fd0000000000000 031a _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC 90 00 00 00 0F 10 02 48 8B F1 48 8D 4D D7 0F 29 70 D8 48 8B DA 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D D7 0F 10 03 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3E 66 3B C7 75 07 F2 0F 10 7D 6F EB 68 BB 01 00 00 00 66 3B C3 75 1B 0F 57 FF 66 0F 2F 7D 67 0F 86 87 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 60 02 00 00 F2 0F 10 7D 6F 0F 28 C7 E9 53 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F2 0F 10 7D 67 EB E1 B8 00 80 00 00 66 85 45 75 74 11 F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F2 0F 10 45 67 E9 13 02 00 00 66 3B FB 75 35 0F 57 FF 66 0F 2F 7D 6F 76 0F F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D 0F 85 79 FF FF FF F2 0F 10 05 ?? ?? ?? ?? E9 D9 01 00 00 F2 44 0F 10 45 67 B8 00 80 00 00 45 0F 28 D0 F2 44 0F 10 0D ?? ?? ?? ?? 66 85 45 6D 74 04 45 0F 57 D1 F2 0F 10 55 6F 45 0F 57 DB 66 44 0F 2F DA 76 0B 41 0F 57 D1 F2 0F 11 55 6F EB 0C 45 0F 57 C1 33 DB F2 44 0F 11 45 67 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 76 38 F2 0F 10 3D ?? ?? ?? ?? 41 0F 28 C8 F2 0F 5E CA F2 0F 5E FA F2 0F 59 C9 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F9 66 45 0F 2F D8 76 33 F2 0F 10 05 ?? ?? ?? ?? E9 3C 01 00 00 66 44 0F 2F D0 76 2C F2 41 0F 5E D0 0F 28 FA F2 0F 59 D2 F2 41 0F 5E F8 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E FA EB C6 F2 0F 10 05 ?? ?? ?? ?? E9 09 01 00 00 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 8F 00 00 00 0F 85 89 00 00 00 66 45 0F 2E C3 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 67 F2 0F 10 3D ?? ?? ?? ?? E9 D0 00 00 00 41 0F 28 C0 F2 41 0F 59 C0 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C2 E8 ?? ?? ?? ?? 66 45 0F 2F D8 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C1 EB 6C F2 0F 10 35 ?? ?? ?? ?? F2 0F 5C F2 F2 45 0F 59 D2 F2 0F 59 15 ?? ?? ?? ?? 0F 28 CE F2 0F 59 CE F2 41 0F 58 CA F2 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 4D 6F 0F 28 F8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 45 67 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 CE F2 41 0F 5C CA E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F9 EB 04 41 0F 57 C1 0F 28 D0 48 8D 4D D7 0F 28 CF E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 41 0F 28 73 F0 0F 10 00 48 8B C6 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_689_0_0 {
	meta:
		name = "catanh"
		size = 857
		refs = "0044 creal 005a cimag 0068 _dtest 00a6 __real@bff921fb54442d18 00e2 _Zero_C 00e9 __xmm@80000000000000008000000000000000 012d __real@3ff921fb54442d18 0183 __real@5fcffb3abd82527b 0191 __real@3ff0000000000000 021b _fperrraise 0228 _Inf_C 023e __real@4010000000000000 0243 sqrt 0260 log 0268 __real@4000000000000000 0274 atan2 0289 __real@3fe0000000000000 02c2 log1p 02e7 __real@3fd0000000000000 031a _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC 90 00 00 00 0F 10 02 48 8B F1 48 8D 4D D7 0F 29 70 D8 48 8B DA 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D D7 0F 10 03 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3E 66 3B C7 75 07 F2 0F 10 7D 6F EB 68 BB 01 00 00 00 66 3B C3 75 1B 0F 57 FF 66 0F 2F 7D 67 0F 86 87 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 60 02 00 00 F2 0F 10 7D 6F 0F 28 C7 E9 53 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F2 0F 10 7D 67 EB E1 B8 00 80 00 00 66 85 45 75 74 11 F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F2 0F 10 45 67 E9 13 02 00 00 66 3B FB 75 35 0F 57 FF 66 0F 2F 7D 6F 76 0F F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D 0F 85 79 FF FF FF F2 0F 10 05 ?? ?? ?? ?? E9 D9 01 00 00 F2 44 0F 10 45 67 B8 00 80 00 00 45 0F 28 D0 F2 44 0F 10 0D ?? ?? ?? ?? 66 85 45 6D 74 04 45 0F 57 D1 F2 0F 10 55 6F 45 0F 57 DB 66 44 0F 2F DA 76 0B 41 0F 57 D1 F2 0F 11 55 6F EB 0C 45 0F 57 C1 33 DB F2 44 0F 11 45 67 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 76 38 F2 0F 10 3D ?? ?? ?? ?? 41 0F 28 C8 F2 0F 5E CA F2 0F 5E FA F2 0F 59 C9 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F9 66 45 0F 2F D8 76 33 F2 0F 10 05 ?? ?? ?? ?? E9 3C 01 00 00 66 44 0F 2F D0 76 2C F2 41 0F 5E D0 0F 28 FA F2 0F 59 D2 F2 41 0F 5E F8 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E FA EB C6 F2 0F 10 05 ?? ?? ?? ?? E9 09 01 00 00 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 8F 00 00 00 0F 85 89 00 00 00 66 45 0F 2E C3 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 67 F2 0F 10 3D ?? ?? ?? ?? E9 D0 00 00 00 41 0F 28 C0 F2 41 0F 59 C0 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C2 E8 ?? ?? ?? ?? 66 45 0F 2F D8 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C1 EB 6C F2 0F 10 35 ?? ?? ?? ?? F2 0F 5C F2 F2 45 0F 59 D2 F2 0F 59 15 ?? ?? ?? ?? 0F 28 CE F2 0F 59 CE F2 41 0F 58 CA F2 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 4D 6F 0F 28 F8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 45 67 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 CE F2 41 0F 5C CA E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F9 EB 04 41 0F 57 C1 0F 28 D0 48 8D 4D D7 0F 28 CF E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 41 0F 28 73 F0 0F 10 00 48 8B C6 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_115_0_0 {
	meta:
		name = "trunc"
		size = 33
		refs = "0012 _d_int"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "truncl"
		size = 33
		refs = "0012 _ld_int"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "fsetpos"
		size = 53
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0031 _fseeki64"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 48 85 D2 74 E3 48 8B 12 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_0_0 {
	meta:
		name = "_getwch"
		size = 44
		refs = "000c __acrt_lock 0012 _getwch_nolock 001f __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_117_4_0 {
	meta:
		name = "_getwche"
		size = 44
		refs = "000c __acrt_lock 0012 _getwche_nolock 001f __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_117_2_0 {
	meta:
		name = "_getwch_nolock"
		size = 286
		refs = "0018 __security_cookie 002c ?wchbuf@@3GA 0044 __dcrt_lowio_console_input_handle 004f __dcrt_lowio_initialize_console_input 0077 __imp_GetConsoleMode 0082 __imp_SetConsoleMode 009f __imp_ReadConsoleInputW 00d0 _getextendedkeycode 0104 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 BB FF FF 00 00 0F B7 05 ?? ?? ?? ?? 66 3B C3 74 0C 66 89 1D ?? ?? ?? ?? E9 BA 00 00 00 48 8B 3D ?? ?? ?? ?? 48 83 FF FE 75 0C E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 83 FF FF 75 08 0F B7 C3 E9 93 00 00 00 48 89 7C 24 28 48 8D 54 24 20 48 8B CF FF 15 ?? ?? ?? ?? 33 D2 48 8B CF FF 15 ?? ?? ?? ?? 90 33 F6 44 8D 76 01 4C 8D 4C 24 24 45 8B C6 48 8D 54 24 30 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 40 39 74 24 24 74 3A 66 44 39 74 24 30 75 44 39 74 24 34 74 3E 0F B7 44 24 3E 66 85 C0 74 05 0F B7 D8 EB 1D 48 8D 4C 24 34 E8 ?? ?? ?? ?? 48 85 C0 74 20 0F B6 48 01 66 89 0D ?? ?? ?? ?? 0F B6 18 8B 54 24 20 48 8B CF FF 15 ?? ?? ?? ?? E9 67 FF FF FF EB 92 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_117_3_0 {
	meta:
		name = "_getwch_nolock$fin$0"
		size = 30
		refs = "0012 __imp_SetConsoleMode"
		altNames = "_getch_nolock$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 55 20 48 8B 4D 28 FF 15 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_117_6_0 {
	meta:
		name = "_getwche_nolock"
		size = 84
		refs = "000d ?wchbuf@@3GA 0025 _getwch_nolock 003a _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B7 05 ?? ?? ?? ?? BF FF FF 00 00 66 3B C7 74 09 66 89 3D ?? ?? ?? ?? EB 25 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C7 75 05 0F B7 C7 EB 13 0F B7 CB E8 ?? ?? ?? ?? 66 3B C7 0F B7 C7 74 03 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_117_7_0 {
	meta:
		name = "_ungetwch"
		size = 50
		refs = "000f __acrt_lock 0018 _ungetwch_nolock 0025 __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 0F B7 CB E8 ?? ?? ?? ?? 0F B7 D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_117_9_0 {
	meta:
		name = "_ungetwch_nolock"
		size = 38
		refs = "000d ?wchbuf@@3GA"
	strings:
		$1 = { B8 FF FF 00 00 66 3B C8 74 1B 66 39 05 ?? ?? ?? ?? 75 12 B8 FF 00 00 00 66 23 C8 66 89 0D ?? ?? ?? ?? 0F B7 C1 C3 }
	condition:
		$1
}

rule file_118_0_0 {
	meta:
		name = "asinhf"
		size = 209
		refs = "001b _fdtest 0046 __xmm@80000000800000008000000080000000 005e __real@40000000 0066 _FEps_C 0080 __real@3f800000 0085 sqrtf 009e log1pf 00a9 logf 00b1 __real@3f317218"
	strings:
		$1 = { 48 8B C4 F3 0F 11 40 08 53 48 83 EC 40 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F3 0F 10 44 24 50 E9 8E 00 00 00 F3 44 0F 10 44 24 50 0F 57 C0 41 0F 2F C0 76 16 44 0F 57 05 ?? ?? ?? ?? BB 01 00 00 00 F3 44 0F 11 44 24 50 EB 02 33 DB F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 05 ?? ?? ?? ?? 41 0F 2F C0 76 34 41 0F 28 F8 F3 41 0F 59 F8 0F 28 C7 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E F8 F3 41 0F 58 F8 0F 28 C7 E8 ?? ?? ?? ?? EB 11 41 0F 28 C0 E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "??$convert_to_fos_high_precision@N@@YAXNIQEAHQEAD_K@Z"
		size = 4487
		refs = "001f __security_cookie 00a8 log10 00ad ceil 0477 memset 04cc memcpy 05ca _errno 05d5 _invalid_parameter_noinfo 05f6 __ImageBase 062c ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0670 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 09f8 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0f81 memcpy_s 0f92 ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 116f __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 48 F9 FF FF 48 81 EC B8 07 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 06 00 00 48 8B 85 20 07 00 00 41 BF 01 00 00 00 48 89 44 24 58 4C 89 44 24 50 89 54 24 38 F2 0F 11 44 24 48 48 8B 54 24 48 4C 8B C2 4C 89 4C 24 40 49 C1 E8 34 41 B9 FF 07 00 00 4D 85 C1 0F 94 C1 8A C1 F6 D8 48 B8 00 00 00 00 00 00 10 00 48 1B FF 48 F7 D7 48 23 F8 48 B8 FF FF FF FF FF FF 0F 00 48 23 D0 48 03 FA F6 D9 1B C0 45 23 C1 F7 D8 41 03 C7 41 8D 98 CC FB FF FF 03 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 2C C8 89 7C 24 64 45 8D 6F 72 8D 81 01 00 00 80 83 E0 FE F7 D8 45 1B E4 48 C1 EF 20 44 23 E1 89 7C 24 68 8B C7 44 89 64 24 20 F7 D8 1B D2 45 33 F6 F7 DA 41 03 D7 89 54 24 60 85 DB 0F 88 A0 02 00 00 33 C0 C7 85 08 03 00 00 00 00 10 00 89 85 04 03 00 00 8D 70 02 89 B5 00 03 00 00 3B D6 0F 85 4A 01 00 00 45 8B C6 41 8B C8 8B 44 8C 64 39 84 8D 04 03 00 00 0F 85 33 01 00 00 45 03 C7 44 3B C6 75 E4 44 8D 5B 02 44 89 74 24 28 49 8B DF 45 8B CB 41 83 E3 1F 41 C1 E9 05 41 B8 20 00 00 00 41 8B F0 41 2B F3 8B CE 48 D3 E3 41 2B DF 0F BD C7 44 8B FB 41 F7 D7 74 04 FF C0 EB 03 41 8B C6 44 2B C0 41 8D 41 02 45 3B D8 40 0F 97 C7 41 3B C5 41 0F 97 C0 41 3B C5 75 07 B1 01 40 84 FF 75 03 41 8A CE 41 83 CD FF 45 84 C0 0F 85 8B 00 00 00 84 C9 0F 85 83 00 00 00 41 BE 72 00 00 00 41 3B C6 44 0F 42 F0 45 8B D6 45 3B F5 74 50 45 3B D1 72 4B 41 8B C2 41 2B C1 8D 48 FF 3B C2 73 07 44 8B 44 84 64 EB 03 45 33 C0 3B CA 73 06 8B 54 8C 64 EB 02 33 D2 41 23 D7 41 8B C2 8B CE 44 23 C3 D3 EA 45 03 D5 41 8B CB 41 D3 E0 41 0B D0 89 54 84 64 45 3B D5 74 06 8B 54 24 60 EB B0 33 C9 45 85 C9 74 0C 83 64 8C 64 00 FF C1 41 3B C9 75 F4 40 84 FF 41 8D 46 01 44 0F 45 F0 83 A5 08 03 00 00 00 41 BF 01 00 00 00 44 89 BD 30 01 00 00 44 89 74 24 60 C7 85 00 03 00 00 01 00 00 00 C7 85 34 01 00 00 04 00 00 00 E9 7E 03 00 00 44 8D 5B 01 44 89 74 24 28 45 8B CB 8D 42 FF 41 83 E3 1F 41 C1 E9 05 41 B8 20 00 00 00 49 8B DF 41 8B F8 41 2B FB 8B CF 48 D3 E3 41 2B DF 8B C8 0F BD 44 84 64 44 8B E3 41 F7 D4 74 04 FF C0 EB 03 41 8B C6 44 2B C0 42 8D 04 0A 45 3B D8 41 0F 97 C7 41 3B C5 41 0F 97 C0 41 3B C5 75 07 B1 01 45 84 FF 75 03 41 8A CE 41 83 CD FF 45 84 C0 0F 85 8B 00 00 00 84 C9 0F 85 83 00 00 00 41 BE 72 00 00 00 41 3B C6 44 0F 42 F0 45 8B D6 45 3B F5 74 50 45 3B D1 72 4B 41 8B C2 41 2B C1 8D 48 FF 3B C2 73 07 44 8B 44 84 64 EB 03 45 33 C0 3B CA 73 06 8B 54 8C 64 EB 02 33 D2 41 23 D4 41 8B C2 8B CF 44 23 C3 D3 EA 45 03 D5 41 8B CB 41 D3 E0 41 0B D0 89 54 84 64 45 3B D5 74 06 8B 54 24 60 EB B0 33 C9 45 85 C9 74 0C 83 64 8C 64 00 FF C1 41 3B C9 75 F4 45 84 FF 41 8D 46 01 44 0F 45 F0 83 A5 08 03 00 00 00 41 BF 01 00 00 00 44 8B 64 24 20 44 89 BD 30 01 00 00 44 89 74 24 60 C7 85 00 03 00 00 01 00 00 00 89 B5 34 01 00 00 E9 4B 02 00 00 81 FB 02 FC FF FF 0F 84 34 01 00 00 33 C0 C7 85 08 03 00 00 00 00 10 00 89 85 04 03 00 00 8D 70 02 89 B5 00 03 00 00 3B D6 0F 85 11 01 00 00 45 8B C6 41 8B C8 8B 44 8C 64 39 84 8D 04 03 00 00 0F 85 FA 00 00 00 45 03 C7 44 3B C6 75 E4 0F BD C7 44 89 74 24 28 74 04 FF C0 EB 03 41 8B C6 41 B8 20 00 00 00 8B CE 44 2B C0 44 3B C6 41 0F 92 C2 41 83 CD FF 44 8D 41 FF 3B CA 73 09 8B C1 44 8B 4C 84 64 EB 03 45 8B CE 44 3B C2 73 07 42 8B 54 84 64 EB 03 41 8B D6 41 8B C1 C1 EA 1E C1 E0 02 33 D0 8B C1 41 03 CD 89 54 84 64 41 3B CD 74 06 8B 54 24 60 EB BE 41 F6 DA 48 8D 8D 04 03 00 00 45 1B F6 33 D2 41 F7 DE 44 03 F6 2B F3 8B FE 44 89 74 24 60 C1 EF 05 8B DF 48 C1 E3 02 4C 8B C3 E8 ?? ?? ?? ?? 83 E6 1F 41 8B C7 40 8A CE 44 8D 7F 01 D3 E0 89 84 1D 04 03 00 00 45 8B C7 49 C1 E0 02 44 89 BD 00 03 00 00 44 89 BD 30 01 00 00 4D 85 C0 0F 84 31 01 00 00 BB CC 01 00 00 48 8D 8D 34 01 00 00 4C 3B C3 0F 87 FB 00 00 00 48 8D 95 04 03 00 00 E8 ?? ?? ?? ?? E9 04 01 00 00 8D 42 FF 44 89 74 24 28 8B C8 0F BD 44 84 64 74 04 FF C0 EB 03 41 8B C6 41 B8 20 00 00 00 44 2B C0 45 3B C7 41 0F 92 C2 41 3B D5 0F 97 C1 41 3B D5 75 08 41 8A C7 45 84 D2 75 03 41 8A C6 41 83 CD FF 84 C9 75 63 84 C0 75 5F 41 BE 72 00 00 00 41 3B D6 44 0F 42 F2 41 8B CE 45 3B F5 74 3F 44 8D 41 FF 3B CA 73 09 8B C1 44 8B 4C 84 64 EB 03 45 33 C9 44 3B C2 73 07 42 8B 54 84 64 EB 02 33 D2 C1 EA 1F 43 8D 04 09 33 D0 8B C1 41 03 CD 89 54 84 64 41 3B CD 74 06 8B 54 24 60 EB C1 45 84 D2 41 8D 46 01 44 0F 45 F0 41 8B FF 44 89 74 24 60 2B FB 48 8D 8D 04 03 00 00 8B F7 33 D2 C1 EE 05 8B DE 48 C1 E3 02 4C 8B C3 E8 ?? ?? ?? ?? 83 E7 1F 41 8B C7 40 8A CF 44 8D 7E 01 D3 E0 89 84 1D 04 03 00 00 E9 D2 FE FF FF 4C 8B C3 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 30 01 00 00 B8 CD CC CC CC 45 85 E4 0F 88 A8 04 00 00 41 F7 E4 8B C2 48 8D 15 ?? ?? ?? ?? C1 E8 03 89 44 24 34 44 8B E0 89 44 24 24 85 C0 0F 84 CF 03 00 00 B8 26 00 00 00 45 8B EC 44 3B E0 44 0F 47 E8 44 89 6C 24 30 41 8D 45 FF 0F B6 8C 82 ?? ?? ?? ?? 0F B6 B4 82 ?? ?? ?? ?? 8B D9 8B F8 33 D2 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D 04 03 00 00 89 85 00 03 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D 04 03 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 44 8B 9D 00 03 00 00 41 83 FB 01 0F 87 A2 00 00 00 8B 85 04 03 00 00 85 C0 75 0F 45 33 FF 44 89 BD 30 01 00 00 E9 08 03 00 00 83 F8 01 0F 84 FF 02 00 00 45 85 FF 0F 84 F6 02 00 00 45 33 C0 4C 8B D0 45 33 C9 42 8B 8C 8D 34 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 34 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 45 85 C0 74 34 83 BD 30 01 00 00 73 73 1A 8B 85 30 01 00 00 44 89 84 85 34 01 00 00 44 8B BD 30 01 00 00 41 FF C7 EB 88 45 33 FF 44 89 BD 30 01 00 00 32 C0 E9 8D 02 00 00 44 8B BD 30 01 00 00 E9 7F 02 00 00 41 83 FF 01 0F 87 AD 00 00 00 8B 9D 34 01 00 00 4D 8B C3 49 C1 E0 02 45 8B FB 44 89 9D 30 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 34 01 00 00 4C 3B C0 77 0E 48 8D 95 04 03 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 30 01 00 00 85 DB 0F 84 FA FE FF FF 83 FB 01 0F 84 08 02 00 00 45 85 FF 0F 84 FF 01 00 00 45 33 C0 4C 8B D3 45 33 C9 42 8B 8C 8D 34 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 34 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 E9 04 FF FF FF 45 3B DF 48 8D 8D 34 01 00 00 45 8B E7 4C 8D AD 04 03 00 00 0F 92 C0 48 8D 95 34 01 00 00 84 C0 4C 0F 44 E9 45 0F 45 E3 45 0F 45 DF 48 8D 8D 04 03 00 00 48 0F 44 D1 45 33 FF 45 33 D2 48 89 54 24 28 44 89 BD D0 04 00 00 45 85 E4 0F 84 19 01 00 00 43 8B 74 95 00 41 8B C2 85 F6 75 21 45 3B D7 0F 85 F8 00 00 00 42 21 B4 95 D4 04 00 00 45 8D 7A 01 44 89 BD D0 04 00 00 E9 E0 00 00 00 33 DB 45 8B CA 45 85 DB 0F 84 C3 00 00 00 41 8B FA F7 DF 41 83 F9 73 74 66 45 3B CF 75 1A 41 8B C1 8D 4F 01 83 A4 85 D4 04 00 00 00 43 8D 04 11 03 C8 89 8D D0 04 00 00 41 8D 04 39 45 8B C1 8B 14 82 41 FF C1 8B C3 48 0F AF D6 48 03 D0 42 8B 84 85 D4 04 00 00 48 03 D0 41 8D 04 39 48 8B DA 42 89 94 85 D4 04 00 00 44 8B BD D0 04 00 00 48 C1 EB 20 41 3B C3 74 07 48 8B 54 24 28 EB 94 85 DB 74 4E 41 83 F9 73 0F 84 6C 01 00 00 45 3B CF 75 15 41 8B C1 83 A4 85 D4 04 00 00 00 41 8D 41 01 89 85 D0 04 00 00 41 8B C9 41 FF C1 8B D3 8B 84 8D D4 04 00 00 48 03 D0 89 94 8D D4 04 00 00 44 8B BD D0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 41 83 F9 73 0F 84 1E 01 00 00 48 8B 54 24 28 41 FF C2 45 3B D4 0F 85 E7 FE FF FF 45 8B C7 49 C1 E0 02 44 89 BD 30 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 34 01 00 00 4C 3B C0 77 0E 48 8D 95 D4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 30 01 00 00 44 8B 64 24 24 44 8B 6C 24 30 B0 01 84 C0 0F 84 A6 00 00 00 45 2B E5 48 8D 15 ?? ?? ?? ?? 44 89 64 24 24 0F 85 35 FC FF FF 8B 44 24 34 8B 7C 24 20 8D 04 80 03 C0 8B CF 2B C8 0F 84 1F 05 00 00 8D 41 FF 8B 84 82 ?? ?? ?? ?? 85 C0 74 7B 83 F8 01 0F 84 08 05 00 00 45 85 FF 0F 84 FF 04 00 00 45 33 C0 44 8B D0 45 33 C9 42 8B 8C 8D 34 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 34 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 45 85 C0 74 41 83 BD 30 01 00 00 73 73 29 8B 85 30 01 00 00 44 89 84 85 34 01 00 00 44 8B BD 30 01 00 00 41 FF C7 EB 12 45 33 FF 44 89 BD 30 01 00 00 E9 92 04 00 00 45 33 FF 44 89 BD 30 01 00 00 E9 87 04 00 00 44 8B BD 30 01 00 00 E9 7B 04 00 00 41 8B CC F7 D9 F7 E1 89 4C 24 30 8B C2 48 8D 15 ?? ?? ?? ?? C1 E8 03 89 44 24 28 44 8B E0 89 44 24 24 85 C0 0F 84 A6 03 00 00 B8 26 00 00 00 45 8B EC 44 3B E0 44 0F 47 E8 44 89 6C 24 34 41 8D 45 FF 0F B6 8C 82 ?? ?? ?? ?? 0F B6 B4 82 ?? ?? ?? ?? 8B D9 8B F8 33 D2 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D 04 03 00 00 89 85 00 03 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D 04 03 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 44 8B 9D 00 03 00 00 41 83 FB 01 0F 87 8D 00 00 00 8B 85 04 03 00 00 85 C0 75 0D 45 33 F6 44 89 74 24 60 E9 DD 02 00 00 83 F8 01 0F 84 D4 02 00 00 45 85 F6 0F 84 CB 02 00 00 45 33 C0 4C 8B D0 45 33 C9 42 8B 4C 8C 64 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8C 64 49 C1 E8 20 41 FF C1 45 3B CE 75 DD 45 85 C0 74 29 83 7C 24 60 73 73 13 8B 44 24 60 44 89 44 84 64 44 8B 74 24 60 41 FF C6 EB 99 45 33 F6 44 89 74 24 60 32 C0 E9 73 02 00 00 44 8B 74 24 60 E9 67 02 00 00 41 83 FE 01 0F 87 9F 00 00 00 8B 5C 24 64 4D 8B C3 49 C1 E0 02 45 8B F3 44 89 5C 24 60 4D 85 C0 74 3C B8 CC 01 00 00 48 8D 4C 24 64 4C 3B C0 77 0E 48 8D 95 04 03 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B 74 24 60 85 DB 0F 84 17 FF FF FF 83 FB 01 0F 84 F8 01 00 00 45 85 F6 0F 84 EF 01 00 00 45 33 C0 4C 8B D3 45 33 C9 42 8B 4C 8C 64 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8C 64 49 C1 E8 20 41 FF C1 45 3B CE 75 DD E9 1F FF FF FF 45 3B DE 48 8D 4C 24 64 45 8B E6 4C 8D AD 04 03 00 00 0F 92 C0 48 8D 54 24 64 84 C0 4C 0F 44 E9 45 0F 45 E3 45 0F 45 DE 48 8D 8D 04 03 00 00 48 0F 44 D1 45 33 F6 45 33 D2 48 89 54 24 48 44 89 B5 D0 04 00 00 45 85 E4 0F 84 19 01 00 00 43 8B 74 95 00 41 8B C2 85 F6 75 21 45 3B D6 0F 85 F8 00 00 00 42 21 B4 95 D4 04 00 00 45 8D 72 01 44 89 B5 D0 04 00 00 E9 E0 00 00 00 33 DB 45 8B CA 45 85 DB 0F 84 C3 00 00 00 41 8B FA F7 DF 41 83 F9 73 74 66 45 3B CE 75 1A 41 8B C1 8D 4F 01 83 A4 85 D4 04 00 00 00 43 8D 04 11 03 C8 89 8D D0 04 00 00 41 8D 04 39 45 8B C1 8B 14 82 41 FF C1 8B C3 48 0F AF D6 48 03 D0 42 8B 84 85 D4 04 00 00 48 03 D0 41 8D 04 39 48 8B DA 42 89 94 85 D4 04 00 00 44 8B B5 D0 04 00 00 48 C1 EB 20 41 3B C3 74 07 48 8B 54 24 48 EB 94 85 DB 74 4E 41 83 F9 73 0F 84 5A 01 00 00 45 3B CE 75 15 41 8B C1 83 A4 85 D4 04 00 00 00 41 8D 41 01 89 85 D0 04 00 00 41 8B C9 41 FF C1 8B D3 8B 84 8D D4 04 00 00 48 03 D0 89 94 8D D4 04 00 00 44 8B B5 D0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 41 83 F9 73 0F 84 0C 01 00 00 48 8B 54 24 48 41 FF C2 45 3B D4 0F 85 E7 FE FF FF 45 8B C6 49 C1 E0 02 44 89 74 24 60 4D 85 C0 74 3C B8 CC 01 00 00 48 8D 4C 24 64 4C 3B C0 77 0E 48 8D 95 D4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B 74 24 60 44 8B 64 24 24 44 8B 6C 24 34 B0 01 84 C0 0F 84 9A 00 00 00 45 2B E5 48 8D 15 ?? ?? ?? ?? 44 89 64 24 24 0F 85 62 FC FF FF 8B 4C 24 30 8B 44 24 28 8D 04 80 03 C0 2B C8 0F 84 9A 00 00 00 8D 41 FF 8B 84 82 ?? ?? ?? ?? 85 C0 74 62 83 F8 01 0F 84 83 00 00 00 45 85 F6 74 7E 45 33 C0 44 8B D0 45 33 C9 42 8B 4C 8C 64 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8C 64 49 C1 E8 20 41 FF C1 45 3B CE 75 DD 45 85 C0 74 48 83 7C 24 60 73 8B 7C 24 20 73 2E 8B 44 24 60 44 89 44 84 64 44 8B 74 24 60 41 FF C6 44 89 74 24 60 EB 2E 48 8B 74 24 40 83 64 24 60 00 48 8B DE 8B 7C 24 20 E9 8C 00 00 00 48 8B 74 24 40 83 64 24 60 00 48 8B DE EB 7D 44 8B 74 24 60 8B 7C 24 20 48 8B 74 24 40 48 8B DE 45 85 F6 74 67 45 33 C0 45 33 C9 42 8B 44 8C 64 48 8D 0C 80 41 8B C0 4C 8D 04 48 46 89 44 8C 64 41 FF C1 49 C1 E8 20 45 3B CE 75 DF 45 85 C0 74 3B 83 7C 24 60 73 73 0F 8B 44 24 60 44 89 44 84 64 FF 44 24 60 EB 25 83 A5 00 03 00 00 00 4C 8D 85 04 03 00 00 83 64 24 60 00 48 8D 4C 24 64 45 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? 48 8D 95 30 01 00 00 48 8D 4C 24 60 E8 ?? ?? ?? ?? 83 F8 0A 0F 85 8E 00 00 00 FF C7 C6 06 31 48 8D 5E 01 45 85 FF 0F 84 8C 00 00 00 45 33 C0 45 33 C9 42 8B 84 8D 34 01 00 00 48 8D 0C 80 41 8B C0 4C 8D 04 48 46 89 84 8D 34 01 00 00 41 FF C1 49 C1 E8 20 45 3B CF 75 D9 45 85 C0 74 5A 83 BD 30 01 00 00 73 73 16 8B 85 30 01 00 00 44 89 84 85 34 01 00 00 FF 85 30 01 00 00 }
	condition:
		$1
}

rule file_119_3_0 {
	meta:
		name = "??0scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ"
		size = 50
		refs = "000a fegetenv 0021 feholdexcept"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B 03 83 E0 1F 3C 1F 75 06 C6 43 08 00 EB 0C 48 8B CB E8 ?? ?? ?? ?? C6 43 08 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_119_4_0 {
	meta:
		name = "??1scoped_fp_state_reset@?A0x71ca7cfb@@QEAA@XZ"
		size = 20
		refs = "000b fesetenv"
	strings:
		$1 = { 48 83 EC 28 80 79 08 00 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_119_6_0 {
	meta:
		name = "??8__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 62
	strings:
		$1 = { 44 8B 01 4C 8B CA 4C 8B D1 44 3B 02 74 03 32 C0 C3 33 C0 45 85 C0 74 23 0F 1F 84 00 00 00 00 00 48 8D 14 85 00 00 00 00 42 8B 4C 0A 04 42 39 4C 12 04 75 DA FF C0 41 3B C0 75 E5 B0 01 C3 }
	condition:
		$1
}

rule file_119_7_0 {
	meta:
		name = "??9__crt_strtox@@YA_NAEBUbig_integer@0@0@Z"
		size = 70
	strings:
		$1 = { 44 8B 02 45 33 DB 4C 8B CA 4C 8B D1 44 3B 01 74 08 32 C0 84 C0 0F 94 C0 C3 41 8B C3 45 85 C0 74 1D 8B C8 48 8D 14 8D 00 00 00 00 42 8B 4C 12 04 42 39 4C 0A 04 75 DA FF C0 41 3B C0 75 E3 B0 01 84 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule file_119_8_0 {
	meta:
		name = "?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z"
		size = 101
	strings:
		$1 = { 48 8B 11 B9 FF 07 00 00 48 8B C2 48 C1 E8 34 48 23 C1 48 3B C1 74 03 33 C0 C3 48 B9 FF FF FF FF FF FF 0F 00 48 8B C2 48 23 C1 75 06 B8 01 00 00 00 C3 48 B9 00 00 00 00 00 00 00 80 48 85 D1 74 15 48 B9 00 00 00 00 00 00 08 00 48 3B C1 75 06 B8 04 00 00 00 C3 48 C1 EA 33 F7 D2 83 E2 01 83 CA 02 8B C2 C3 }
	condition:
		$1
}

rule file_119_16_0 {
	meta:
		name = "?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z"
		size = 103
		refs = "0031 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 8B F2 8B FA 4C 8B F1 C1 EE 05 48 83 C1 04 33 D2 48 8D 1C B5 00 00 00 00 4C 8B C3 E8 ?? ?? ?? ?? 83 E7 1F B8 01 00 00 00 40 0F B6 CF 48 8B 7C 24 40 D3 E0 42 89 44 33 04 8D 46 01 48 8B 5C 24 30 48 8B 74 24 38 41 89 06 49 8B C6 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_119_23_0 {
	meta:
		name = "__acrt_fltout"
		size = 4893
		refs = "001f __security_cookie 004a fegetenv 006c feholdexcept 00c8 ??_C@_01GBGANLPD@0?$AA@ 00d5 strcpy_s 00ec ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z 018b log10 0190 ceil 054a memset 059f memcpy 069a _errno 06a5 _invalid_parameter_noinfo 06c8 __ImageBase 06fe ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0742 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 0acd ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAEAUbig_integer@2@I@Z@4QBIB 1019 memcpy_s 1029 ?divide@__crt_strtox@@YA_KAEAUbig_integer@1@AEBU21@@Z 120a ??_C@_05PHHOCPM@1?$CDIND?$AA@ 1229 ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 1248 ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 1267 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 1288 fesetenv 1297 __security_check_cookie 12c0 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 28 F9 FF FF 48 81 EC D8 07 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 06 00 00 48 89 4C 24 30 4D 8B E9 48 8D 4C 24 60 4C 89 4C 24 50 4D 8B F0 4C 89 44 24 70 8B F2 E8 ?? ?? ?? ?? 8B 44 24 60 41 BF 01 00 00 00 83 E0 1F 3C 1F 75 07 C6 44 24 68 00 EB 0F 48 8D 4C 24 60 E8 ?? ?? ?? ?? 44 88 7C 24 68 48 8B 5C 24 30 48 B9 00 00 00 00 00 00 00 80 48 8B C3 4D 89 6E 08 48 23 C1 BF 20 00 00 00 48 F7 D8 49 BC FF FF FF FF FF FF 0F 00 48 B8 00 00 00 00 00 00 F0 7F 1B C9 83 E1 0D 03 CF 41 89 0E 48 85 D8 75 2D 49 85 DC 75 28 48 8B 95 40 07 00 00 4C 8D 05 ?? ?? ?? ?? 41 83 66 04 00 49 8B CD E8 ?? ?? ?? ?? 85 C0 0F 84 9A 11 00 00 E9 C9 11 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 74 04 45 89 7E 04 41 2B C7 0F 84 5C 11 00 00 41 2B C7 0F 84 34 11 00 00 41 2B C7 0F 84 0C 11 00 00 41 3B C7 0F 84 E4 10 00 00 48 B8 FF FF FF FF FF FF FF 7F 41 B9 FF 07 00 00 48 23 D8 FF C6 48 89 5C 24 30 F2 0F 10 44 24 30 F2 0F 11 44 24 58 48 8B 54 24 58 4C 8B C2 89 74 24 48 49 C1 E8 34 4D 85 C1 0F 94 C1 8A C1 F6 D8 48 B8 00 00 00 00 00 00 10 00 4D 1B F6 49 23 D4 49 F7 D6 4C 23 F0 4C 03 F2 F6 D9 1B C0 45 23 C1 F7 D8 41 03 C7 41 8D 98 CC FB FF FF 03 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 2C C8 44 89 75 84 8D 81 01 00 00 80 83 E0 FE F7 D8 1B C0 49 C1 EE 20 23 C1 44 89 75 88 89 44 24 38 41 8B C6 F7 D8 1B D2 45 33 D2 F7 DA 41 03 D7 89 55 80 85 DB 0F 88 A1 02 00 00 33 C0 C7 85 28 03 00 00 00 00 10 00 89 85 24 03 00 00 8D 70 02 89 B5 20 03 00 00 3B D6 0F 85 46 01 00 00 45 8B C2 41 8B C8 8B 44 8D 84 39 84 8D 24 03 00 00 0F 85 2F 01 00 00 45 03 C7 44 3B C6 75 E4 44 8D 5B 02 44 89 54 24 30 49 8B DF 45 8B C3 41 83 E3 1F 41 C1 E8 05 8B F7 41 2B F3 8B CE 48 D3 E3 41 2B DF 41 0F BD C6 44 8B FB 41 F7 D7 74 04 FF C0 EB 03 41 8B C2 2B F8 41 8D 40 02 44 3B DF 40 0F 97 C7 83 F8 73 41 0F 97 C1 83 F8 73 75 07 B1 01 40 84 FF 75 03 41 8A CA 41 83 CC FF 45 84 C9 0F 85 8C 00 00 00 84 C9 0F 85 84 00 00 00 41 BE 72 00 00 00 41 3B C6 44 0F 42 F0 45 8B D6 45 3B F4 74 4F 45 3B D0 72 4A 41 8B C2 41 2B C0 8D 48 FF 3B C2 73 07 44 8B 4C 85 84 EB 03 45 33 C9 3B CA 73 06 8B 54 8D 84 EB 02 33 D2 41 23 D7 41 8B C2 8B CE 44 23 CB D3 EA 45 03 D4 41 8B CB 41 D3 E1 41 0B D1 89 54 85 84 45 3B D4 74 05 8B 55 80 EB B1 33 C9 45 85 C0 74 0C 83 64 8D 84 00 FF C1 41 3B C8 75 F4 40 84 FF 41 8D 46 01 44 0F 45 F0 EB 03 45 33 F6 83 A5 28 03 00 00 00 41 BF 01 00 00 00 44 89 BD 50 01 00 00 44 89 75 80 C7 85 20 03 00 00 01 00 00 00 C7 85 54 01 00 00 04 00 00 00 E9 76 03 00 00 44 8D 5B 01 44 89 54 24 30 45 8B CB 8D 42 FF 41 83 E3 1F 41 C1 E9 05 44 8B FF BB 01 00 00 00 45 2B FB 41 8B CF 48 D3 E3 FF CB 8B C8 0F BD 44 85 84 44 8B E3 41 F7 D4 74 04 FF C0 EB 03 41 8B C2 2B F8 42 8D 04 0A 44 3B DF 40 0F 97 C7 83 F8 73 41 0F 97 C0 83 F8 73 75 07 B1 01 40 84 FF 75 03 41 8A CA 45 84 C0 0F 85 9C 00 00 00 84 C9 0F 85 94 00 00 00 41 BE 72 00 00 00 41 3B C6 44 0F 42 F0 45 8B D6 41 83 FE FF 74 54 45 3B D1 72 4F 41 8B C2 41 2B C1 8D 48 FF 3B C2 73 07 44 8B 44 85 84 EB 03 45 33 C0 3B CA 73 06 8B 54 8D 84 EB 02 33 D2 44 23 C3 41 8B C2 41 8B CB 41 23 D4 41 D3 E0 41 8B CF D3 EA 44 0B C2 44 89 44 85 84 83 C8 FF 44 03 D0 44 3B D0 74 05 8B 55 80 EB AC 45 33 D2 41 8B CA 45 85 C9 74 0E 8B C1 FF C1 44 89 54 85 84 41 3B C9 75 F2 40 84 FF 41 8D 46 01 44 0F 45 F0 44 89 75 80 EB 07 45 8B F2 44 89 55 80 41 BF 01 00 00 00 44 89 95 28 03 00 00 44 89 BD 50 01 00 00 C7 85 20 03 00 00 01 00 00 00 89 B5 54 01 00 00 E9 3E 02 00 00 81 FB 02 FC FF FF 0F 84 2A 01 00 00 33 C0 C7 85 28 03 00 00 00 00 10 00 89 85 24 03 00 00 8D 70 02 89 B5 20 03 00 00 3B D6 0F 85 07 01 00 00 45 8B C2 41 8B C8 8B 44 8D 84 39 84 8D 24 03 00 00 0F 85 F0 00 00 00 45 03 C7 44 3B C6 75 E4 41 0F BD C6 44 89 54 24 30 74 04 FF C0 EB 03 41 8B C2 2B F8 8B CE 3B FE 41 0F 92 C2 41 83 CC FF 44 8D 41 FF 3B CA 73 09 8B C1 44 8B 4C 85 84 EB 03 45 33 C9 44 3B C2 73 07 42 8B 54 85 84 EB 02 33 D2 41 8B C1 C1 EA 1E C1 E0 02 33 D0 8B C1 41 03 CC 89 54 85 84 41 3B CC 74 05 8B 55 80 EB C0 41 F6 DA 48 8D 8D 24 03 00 00 45 1B F6 33 D2 41 F7 DE 44 03 F6 2B F3 8B FE 44 89 75 80 C1 EF 05 8B DF 48 C1 E3 02 4C 8B C3 E8 ?? ?? ?? ?? 83 E6 1F 41 8B C7 40 8A CE 44 8D 7F 01 D3 E0 89 84 1D 24 03 00 00 45 8B C7 49 C1 E0 02 44 89 BD 20 03 00 00 44 89 BD 50 01 00 00 4D 85 C0 0F 84 2E 01 00 00 BB CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C3 0F 87 F8 00 00 00 48 8D 95 24 03 00 00 E8 ?? ?? ?? ?? E9 01 01 00 00 8D 42 FF 44 89 54 24 30 8B C8 0F BD 44 85 84 74 04 FF C0 EB 03 41 8B C2 2B F8 41 3B FF 41 0F 92 C2 83 FA 73 0F 97 C1 83 FA 73 75 0A 45 84 D2 74 05 41 8A C7 EB 02 32 C0 41 83 CC FF 84 C9 75 64 84 C0 75 60 41 BE 72 00 00 00 41 3B D6 44 0F 42 F2 41 8B CE 45 3B F4 74 3E 44 8D 41 FF 3B CA 73 09 8B C1 44 8B 4C 85 84 EB 03 45 33 C9 44 3B C2 73 07 42 8B 54 85 84 EB 02 33 D2 C1 EA 1F 43 8D 04 09 33 D0 8B C1 41 03 CC 89 54 85 84 41 3B CC 74 05 8B 55 80 EB C2 45 84 D2 41 8D 46 01 44 0F 45 F0 EB 03 45 33 F6 41 8B FF 44 89 75 80 2B FB 48 8D 8D 24 03 00 00 8B F7 33 D2 C1 EE 05 8B DE 48 C1 E3 02 4C 8B C3 E8 ?? ?? ?? ?? 83 E7 1F 41 8B C7 40 8A CF 44 8D 7E 01 D3 E0 89 84 1D 24 03 00 00 E9 D5 FE FF FF 4C 8B C3 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 8B 4C 24 38 B8 CD CC CC CC 85 C9 0F 88 B3 04 00 00 F7 E1 8B C2 48 8D 15 ?? ?? ?? ?? C1 E8 03 89 44 24 44 44 8B E0 89 44 24 3C 85 C0 0F 84 D8 03 00 00 B8 26 00 00 00 45 8B EC 44 3B E0 44 0F 47 E8 44 89 6C 24 40 41 8D 45 FF 0F B6 8C 82 ?? ?? ?? ?? 0F B6 B4 82 ?? ?? ?? ?? 8B D9 8B F8 33 D2 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D 24 03 00 00 89 85 20 03 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D 24 03 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 44 8B 9D 20 03 00 00 41 83 FB 01 0F 87 A2 00 00 00 8B 85 24 03 00 00 85 C0 75 0F 45 33 FF 44 89 BD 50 01 00 00 E9 08 03 00 00 83 F8 01 0F 84 FF 02 00 00 45 85 FF 0F 84 F6 02 00 00 45 33 C0 4C 8B D0 45 33 C9 42 8B 8C 8D 54 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 54 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 45 85 C0 74 34 83 BD 50 01 00 00 73 73 1A 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 EB 88 45 33 FF 44 89 BD 50 01 00 00 32 C0 E9 8D 02 00 00 44 8B BD 50 01 00 00 E9 7F 02 00 00 41 83 FF 01 0F 87 AD 00 00 00 8B 9D 54 01 00 00 4D 8B C3 49 C1 E0 02 45 8B FB 44 89 9D 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 24 03 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 85 DB 0F 84 FA FE FF FF 83 FB 01 0F 84 08 02 00 00 45 85 FF 0F 84 FF 01 00 00 45 33 C0 4C 8B D3 45 33 C9 42 8B 8C 8D 54 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 54 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 E9 04 FF FF FF 45 3B DF 48 8D 8D 54 01 00 00 45 8B E7 4C 8D AD 24 03 00 00 0F 92 C0 48 8D 95 54 01 00 00 84 C0 4C 0F 44 E9 45 0F 45 E3 45 0F 45 DF 48 8D 8D 24 03 00 00 48 0F 44 D1 45 33 FF 45 33 D2 48 89 54 24 30 44 89 BD F0 04 00 00 45 85 E4 0F 84 19 01 00 00 43 8B 74 95 00 41 8B C2 85 F6 75 21 45 3B D7 0F 85 F8 00 00 00 42 21 B4 95 F4 04 00 00 45 8D 7A 01 44 89 BD F0 04 00 00 E9 E0 00 00 00 33 DB 45 8B CA 45 85 DB 0F 84 C3 00 00 00 41 8B FA F7 DF 41 83 F9 73 74 66 45 3B CF 75 1A 41 8B C1 8D 4F 01 83 A4 85 F4 04 00 00 00 43 8D 04 11 03 C8 89 8D F0 04 00 00 41 8D 04 39 45 8B C1 8B 14 82 41 FF C1 8B C3 48 0F AF D6 48 03 D0 42 8B 84 85 F4 04 00 00 48 03 D0 41 8D 04 39 48 8B DA 42 89 94 85 F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EB 20 41 3B C3 74 07 48 8B 54 24 30 EB 94 85 DB 74 4E 41 83 F9 73 0F 84 73 01 00 00 45 3B CF 75 15 41 8B C1 83 A4 85 F4 04 00 00 00 41 8D 41 01 89 85 F0 04 00 00 41 8B C9 41 FF C1 8B D3 8B 84 8D F4 04 00 00 48 03 D0 89 94 8D F4 04 00 00 44 8B BD F0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 41 83 F9 73 0F 84 25 01 00 00 48 8B 54 24 30 41 FF C2 45 3B D4 0F 85 E7 FE FF FF 45 8B C7 49 C1 E0 02 44 89 BD 50 01 00 00 4D 85 C0 74 40 B8 CC 01 00 00 48 8D 8D 54 01 00 00 4C 3B C0 77 0E 48 8D 95 F4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B BD 50 01 00 00 44 8B 64 24 3C 44 8B 6C 24 40 B0 01 84 C0 0F 84 AD 00 00 00 45 2B E5 48 8D 15 ?? ?? ?? ?? 44 89 64 24 3C 0F 85 35 FC FF FF 8B 44 24 44 4C 8B 6C 24 50 8B 4C 24 38 8D 04 80 03 C0 2B C8 0F 84 EC 04 00 00 8D 41 FF 8B 84 82 ?? ?? ?? ?? 85 C0 0F 84 80 00 00 00 83 F8 01 0F 84 D1 04 00 00 45 85 FF 0F 84 C8 04 00 00 45 33 C0 44 8B D0 45 33 C9 42 8B 8C 8D 54 01 00 00 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 8C 8D 54 01 00 00 49 C1 E8 20 41 FF C1 45 3B CF 75 D7 45 85 C0 74 46 83 BD 50 01 00 00 73 73 2E 8B 85 50 01 00 00 44 89 84 85 54 01 00 00 44 8B BD 50 01 00 00 41 FF C7 EB 17 4C 8B 6C 24 50 45 33 FF 44 89 BD 50 01 00 00 E9 5A 04 00 00 45 33 FF 44 89 BD 50 01 00 00 E9 4B 04 00 00 44 8B BD 50 01 00 00 E9 3F 04 00 00 F7 D9 F7 E1 89 4C 24 40 8B C2 48 8D 15 ?? ?? ?? ?? C1 E8 03 89 44 24 30 44 8B E0 89 44 24 3C 85 C0 0F 84 99 03 00 00 B8 26 00 00 00 45 8B EC 44 3B E0 44 0F 47 E8 44 89 6C 24 44 41 8D 45 FF 0F B6 8C 82 ?? ?? ?? ?? 0F B6 B4 82 ?? ?? ?? ?? 8B D9 8B F8 33 D2 48 C1 E3 02 4C 8B C3 8D 04 0E 48 8D 8D 24 03 00 00 89 85 20 03 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 C1 E6 02 0F B7 84 B9 ?? ?? ?? ?? 48 8D 91 ?? ?? ?? ?? 48 8D 8D 24 03 00 00 4C 8B C6 48 03 CB 48 8D 14 82 E8 ?? ?? ?? ?? 8B BD 20 03 00 00 83 FF 01 0F 87 87 00 00 00 8B 85 24 03 00 00 85 C0 75 0C 45 33 F6 44 89 75 80 E9 CE 02 00 00 83 F8 01 0F 84 C5 02 00 00 45 85 F6 0F 84 BC 02 00 00 45 33 C0 4C 8B D0 45 33 C9 42 8B 4C 8D 84 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8D 84 49 C1 E8 20 41 FF C1 45 3B CE 75 DD 45 85 C0 74 25 83 7D 80 73 73 11 8B 45 80 44 89 44 85 84 44 8B 75 80 41 FF C6 EB 9D 45 33 F6 44 89 75 80 32 C0 E9 68 02 00 00 44 8B 75 80 E9 5D 02 00 00 41 83 FE 01 0F 87 9A 00 00 00 8B 5D 84 4C 8B C7 49 C1 E0 02 44 8B F7 89 7D 80 4D 85 C0 74 3A B8 CC 01 00 00 48 8D 4D 84 4C 3B C0 77 0E 48 8D 95 24 03 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B 75 80 85 DB 0F 84 22 FF FF FF 83 FB 01 0F 84 F3 01 00 00 45 85 F6 0F 84 EA 01 00 00 45 33 C0 4C 8B D3 45 33 C9 42 8B 4C 8D 84 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8D 84 49 C1 E8 20 41 FF C1 45 3B CE 75 DD E9 29 FF FF FF 41 3B FE 48 8D 4D 84 45 8B E6 4C 8D AD 24 03 00 00 0F 92 C0 48 8D 55 84 84 C0 4C 0F 44 E9 44 0F 45 E7 41 0F 45 FE 48 8D 8D 24 03 00 00 48 0F 44 D1 45 33 F6 45 33 D2 48 89 54 24 58 44 89 B5 F0 04 00 00 45 85 E4 0F 84 19 01 00 00 43 8B 74 95 00 41 8B C2 85 F6 75 21 45 3B D6 0F 85 F8 00 00 00 42 21 B4 95 F4 04 00 00 45 8D 72 01 44 89 B5 F0 04 00 00 E9 E0 00 00 00 33 DB 45 8B CA 85 FF 0F 84 C4 00 00 00 45 8B DA 41 F7 DB 41 83 F9 73 74 66 45 3B CE 75 1B 41 8B C1 41 8D 49 01 83 A4 85 F4 04 00 00 00 43 8D 04 1A 03 C8 89 8D F0 04 00 00 43 8D 04 0B 45 8B C1 8B 14 82 41 FF C1 48 0F AF D6 42 8B 84 85 F4 04 00 00 48 03 D0 8B C3 48 03 D0 43 8D 04 0B 48 8B DA 42 89 94 85 F4 04 00 00 44 8B B5 F0 04 00 00 48 C1 EB 20 3B C7 74 07 48 8B 54 24 58 EB 94 85 DB 74 4E 41 83 F9 73 0F 84 4C 01 00 00 45 3B CE 75 15 41 8B C1 83 A4 85 F4 04 00 00 00 41 8D 41 01 89 85 F0 04 00 00 41 8B C9 41 FF C1 8B C3 8B 94 8D F4 04 00 00 48 03 D0 89 94 8D F4 04 00 00 44 8B B5 F0 04 00 00 48 C1 EA 20 8B DA 85 D2 75 B2 41 83 F9 73 0F 84 FE 00 00 00 48 8B 54 24 58 41 FF C2 45 3B D4 0F 85 E7 FE FF FF 45 8B C6 49 C1 E0 02 44 89 75 80 4D 85 C0 74 3A B8 CC 01 00 00 48 8D 4D 84 4C 3B C0 77 0E 48 8D 95 F4 04 00 00 E8 ?? ?? ?? ?? EB 1A 4C 8B C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 8B 75 80 44 8B 64 24 3C 44 8B 6C 24 44 B0 01 84 C0 0F 84 8F 00 00 00 45 2B E5 48 8D 15 ?? ?? ?? ?? 44 89 64 24 3C 0F 85 74 FC FF FF 8B 4C 24 40 8B 44 24 30 4C 8B 6C 24 50 8D 04 80 03 C0 2B C8 74 76 8D 41 FF 8B 84 82 ?? ?? ?? ?? 85 C0 74 5B 83 F8 01 74 63 45 85 F6 74 5E 45 33 C0 44 8B D0 45 33 C9 42 8B 4C 8D 84 41 8B C0 49 0F AF CA 48 03 C8 4C 8B C1 42 89 4C 8D 84 49 C1 E8 20 41 FF C1 45 3B CE 75 DD 45 85 C0 74 29 83 7D 80 73 73 1A 8B 45 80 44 89 44 85 84 44 8B 75 80 41 FF C6 44 89 75 80 EB 12 4C 8B 6C 24 50 83 65 80 00 49 8B DD EB 6E 44 8B 75 80 49 8B DD 45 85 F6 74 62 45 33 C0 45 33 C9 42 8B 44 8D 84 48 8D 0C 80 41 8B C0 4C 8D 04 48 46 89 44 8D 84 41 FF C1 49 C1 E8 20 45 3B CE 75 DF 45 85 C0 74 36 83 7D 80 73 73 0D 8B 45 80 44 89 44 85 84 FF 45 80 EB 23 83 A5 20 03 00 00 }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "__acrt_errno_from_os_error"
		size = 69
		refs = "0005 ?errtable@@3QBUerrentry@?A0x31fdb9ec@@B"
	strings:
		$1 = { 33 C0 4C 8D 0D ?? ?? ?? ?? 49 8B D1 44 8D 40 08 3B 0A 74 2B FF C0 49 03 D0 83 F8 2C 72 F2 8D 41 ED 83 F8 11 77 06 B8 0D 00 00 00 C3 81 C1 44 FF FF FF B8 16 00 00 00 83 F9 0E 41 0F 46 C0 C3 41 8B 44 C1 04 C3 }
	condition:
		$1
}

rule file_120_1_0 {
	meta:
		name = "__acrt_errno_map_os_error"
		size = 78
		refs = "000d __acrt_getptd_noexit 0019 ?doserrno_no_memory@@3KA 002d ?errno_no_memory@@3HA 003d __acrt_errno_from_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 24 89 38 E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 85 C0 74 04 48 8D 58 20 8B CF E8 ?? ?? ?? ?? 89 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_2_0 {
	meta:
		name = "__doserrno"
		size = 32
		refs = "0005 __acrt_getptd_noexit 0011 ?doserrno_no_memory@@3KA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 24 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_120_3_0 {
	meta:
		name = "_errno"
		size = 32
		refs = "0005 __acrt_getptd_noexit 0011 ?errno_no_memory@@3HA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_120_4_0 {
	meta:
		name = "_get_doserrno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 __acrt_getptd_noexit 0025 ?doserrno_no_memory@@3KA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 24 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_5_0 {
	meta:
		name = "_get_errno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 __acrt_getptd_noexit 0025 ?errno_no_memory@@3HA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 20 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_6_0 {
	meta:
		name = "_set_doserrno"
		size = 58
		refs = "0009 __acrt_getptd_noexit 0026 ?doserrno_no_memory@@3KA"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 24 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_7_0 {
	meta:
		name = "_set_errno"
		size = 58
		refs = "0009 __acrt_getptd_noexit 0026 ?errno_no_memory@@3HA"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 20 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "modf"
		size = 223
		refs = "00d2 __real@8000000000000000"
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 4C 8B 44 24 08 0F 28 C8 49 8B C0 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B C1 72 35 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 02 48 3B C1 76 09 F2 0F 58 C9 E9 92 00 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 C3 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 1E 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 F2 0F 11 02 EB 4C 49 8B C0 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 49 23 C0 48 89 44 24 08 F2 0F 10 54 24 08 66 0F 2E C2 F2 0F 11 12 7A 14 75 12 0F 57 C0 66 0F 2F C1 76 09 F2 0F 10 05 ?? ?? ?? ?? C3 F2 0F 5C CA 0F 28 C1 C3 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "wmemcpy"
		size = 26
		refs = "000d memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 4D 03 C0 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_123_1_0 {
	meta:
		name = "wmemcpy_s"
		size = 122
		refs = "001b _errno 0027 _invalid_parameter_noinfo 0041 memcpy"
	strings:
		$1 = { 40 57 48 83 EC 20 4D 8B D0 45 33 C0 4D 85 C9 75 04 33 C0 EB 5F 48 85 C9 75 15 E8 ?? ?? ?? ?? BF 16 00 00 00 89 38 E8 ?? ?? ?? ?? 8B C7 EB 45 4D 85 D2 74 13 49 3B D1 72 0E 4F 8D 04 09 49 8B D2 E8 ?? ?? ?? ?? EB CA 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 4D 85 D2 74 BC 49 3B D1 73 0C E8 ?? ?? ?? ?? BF 22 00 00 00 EB B5 B8 16 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_123_2_0 {
	meta:
		name = "wmemset"
		size = 34
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 4D 85 C0 74 0C 48 8B F9 0F B7 C2 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_log10_special"
		size = 32
		refs = "0007 ??_C@_05HGHHAHAP@log10?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_124_1_0 {
	meta:
		name = "_log10f_special"
		size = 32
		refs = "0007 ??_C@_06KDGOKGLH@log10f?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_124_2_0 {
	meta:
		name = "_log_special"
		size = 32
		refs = "0007 ??_C@_03MGHMBJCF@log?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_124_4_0 {
	meta:
		name = "_logf_special"
		size = 32
		refs = "0007 ??_C@_04HIGFGEHP@logf?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_124_3_0 {
	meta:
		name = "_log_special_common"
		size = 150
		refs = "0085 _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 28 F1 41 8B D1 0F 28 D8 41 83 E8 01 74 2A 41 83 F8 01 75 69 44 89 40 D8 0F 57 D2 F2 0F 11 50 D0 45 8B C8 F2 0F 11 40 C8 C7 40 C0 21 00 00 00 C7 40 B8 08 00 00 00 EB 2D C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 02 00 00 00 F2 0F 11 5C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 8B 8C 24 90 00 00 00 F2 0F 11 4C 24 78 4C 8B 44 24 78 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_124_5_0 {
	meta:
		name = "_logf_special_common"
		size = 156
		refs = "008b _handle_errorf"
	strings:
		$1 = { 48 8B C4 48 83 EC 78 0F 29 70 E8 0F 28 F1 41 8B D1 0F 28 D0 41 83 E8 01 74 2A 41 83 F8 01 75 6F 44 89 40 C8 0F 57 C9 F3 0F 11 48 C0 45 8B C8 F3 0F 11 50 B8 C7 40 B0 21 00 00 00 C7 40 A8 08 00 00 00 EB 2D C7 44 24 40 01 00 00 00 0F 57 C0 F3 0F 11 44 24 38 41 B9 02 00 00 00 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 83 64 24 50 00 48 8B 8C 24 A0 00 00 00 F3 0F 11 74 24 50 4C 8B 44 24 50 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "atanhf"
		size = 186
		refs = "0011 _fdtest 003a __xmm@80000000800000008000000080000000 004e __real@3f800000 0058 _fperrraise 0060 _FNan_C 007b _FInf_C 0097 __real@40000000 00a0 log1pf 00a8 __real@3f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8A 00 00 00 F3 0F 10 4C 24 30 0F 57 C0 0F 2F C1 B9 01 00 00 00 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F3 0F 11 4C 24 30 EB 02 33 DB F3 0F 10 15 ?? ?? ?? ?? 0F 2F CA 76 0F E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 4E 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F3 0F 5C D1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5E C2 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? EB D1 F3 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "strcmp"
		size = 103
	strings:
		$1 = { 48 2B D1 F6 C1 07 74 14 0F B6 01 3A 04 11 75 4F 48 FF C1 84 C0 74 45 F6 C1 07 75 EC 49 BB 80 80 80 80 80 80 80 80 49 BA FF FE FE FE FE FE FE FE 67 8D 04 11 25 FF 0F 00 00 3D F8 0F 00 00 77 C8 48 8B 01 48 3B 04 11 75 BF 4D 8D 0C 02 48 F7 D0 48 83 C1 08 49 23 C1 49 85 C3 74 D4 33 C0 C3 48 1B C0 48 83 C8 01 C3 }
	condition:
		$1
}

rule file_127_4_0 {
	meta:
		name = "??$common_capture_argv@D@@YAPEAPEADQEAPEADQEBD0_K@Z"
		size = 401
		refs = "0066 _calloc_base 0071 _free_base 00a1 memcpy 00b4 _recalloc_base 0100 memset 010a _errno 0178 _invalid_parameter_noinfo 018c _invoke_watson"
		altNames = "??$common_capture_argv@_W@@YAPEAPEA_WQEAPEADQEB_WQEAPEA_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 FF 49 8B E9 8B DF 44 8B E7 4D 8B F8 4C 8B EA 48 8B C1 49 8B F0 4D 8B F1 4D 3B E6 0F 82 94 00 00 00 48 B8 FF FF FF FF FF FF FF 7F 4C 3B F0 0F 83 DC 00 00 00 4D 03 F6 49 3B F7 75 4A BA 08 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? 33 C9 48 8B DE E8 ?? ?? ?? ?? 48 85 F6 0F 84 A9 00 00 00 48 85 ED 74 44 4D 85 FF 74 65 4C 3B F5 72 60 4C 8B C5 49 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 2A 41 B8 08 00 00 00 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 5D 33 C9 E8 ?? ?? ?? ?? 33 C9 48 8B DE E8 ?? ?? ?? ?? 48 8B 44 24 60 4E 89 2C E6 49 FF C4 4D 85 ED 74 5C 48 83 00 08 48 8B 00 4C 8B 68 F8 48 8B 44 24 60 E9 42 FF FF FF 4D 8B C6 33 D2 48 8B CE E8 ?? ?? ?? ?? 4D 85 FF 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 61 4C 3B F5 73 61 EB 4F E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 06 48 8B DF 48 8B FE 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B C7 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_6_0 {
	meta:
		name = "??$common_pack_argv_and_envp@D@@YAHQEBQEBD0QEAPEAD1@Z"
		size = 332
		refs = "0065 _calloc_base 0075 __acrt_errno_map_os_error 007a _errno 00a3 strcpy_s 00d8 _free_base 00ec ??$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z 0147 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 DB 4C 8B F1 4C 8B D9 8B F3 48 8B 09 44 8B D3 48 83 CD FF 4D 8B E1 4D 8B E8 EB 18 48 8B C5 48 FF C0 38 1C 01 75 F8 49 FF C2 4C 03 D0 49 83 C3 08 49 8B 0B 48 85 C9 75 E3 8D 41 01 4C 3B D0 44 8B F8 8B D0 4D 0F 47 FA 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 1A 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E9 85 00 00 00 48 8B F0 49 39 1E 74 42 4D 8B 06 48 8B D7 48 2B D6 48 8B CE 49 03 D7 E8 ?? ?? ?? ?? 85 C0 0F 85 88 00 00 00 49 8B 0E 48 8B C5 48 FF C0 38 1C 01 75 F8 48 03 F0 49 83 C6 08 C6 06 20 48 FF C6 49 39 1E 75 C4 88 5E FF 48 8B F7 33 C9 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 8D 54 24 70 48 89 5C 24 70 E8 ?? ?? ?? ?? 85 C0 74 07 48 8B 5C 24 70 EB 12 48 8B 44 24 70 48 8B F3 49 89 7D 00 8B EB 49 89 04 24 48 8B CB E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 8B C5 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_7_0 {
	meta:
		name = "??$common_pack_argv_and_envp@_W@@YAHQEBQEB_W0QEAPEA_W1@Z"
		size = 347
		refs = "0065 _calloc_base 0075 __acrt_errno_map_os_error 007a _errno 00a9 wcscpy_s 00e7 _free_base 00fb ??$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z 0156 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 DB 4C 8B F1 4C 8B D1 8B F3 48 8B 09 44 8B DB 48 83 CD FF 4D 8B E1 4D 8B E8 EB 19 48 8B C5 48 FF C0 66 39 1C 41 75 F7 49 FF C3 4C 03 D8 49 83 C2 08 49 8B 0A 48 85 C9 75 E2 44 8D 79 01 4D 3B DF 8D 51 02 4D 0F 47 FB 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 1A 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E9 94 00 00 00 48 8B F0 49 39 1E 74 51 4D 8B 06 48 8B C6 48 2B C7 49 8B D7 48 D1 F8 48 8B CE 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 91 00 00 00 49 8B 0E 48 8B C5 48 FF C0 66 39 1C 41 75 F7 48 8D 34 46 49 83 C6 08 B8 20 00 00 00 66 89 06 48 83 C6 02 49 39 1E 75 B6 66 89 5E FE 48 8B F7 33 C9 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 8D 54 24 70 48 89 5C 24 70 E8 ?? ?? ?? ?? 85 C0 74 07 48 8B 5C 24 70 EB 12 48 8B 44 24 70 48 8B F3 49 89 7D 00 8B EB 49 89 04 24 48 8B CB E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 8B C5 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_8_0 {
	meta:
		name = "??$construct_command_line@D@@YAHQEBQEBDQEAPEAD@Z"
		size = 259
		refs = "005e _calloc_base 006e __acrt_errno_map_os_error 0073 _errno 009b strcpy_s 00cf _free_base 00fe _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 33 FF 4C 8B F1 48 89 3A 4C 8B C9 48 8B 09 4C 8B FA 44 8B C7 EB 1A 48 83 C8 FF 48 FF C0 40 38 3C 01 75 F7 49 FF C0 4C 03 C0 49 83 C1 08 49 8B 09 48 85 C9 75 E1 8D 69 01 4C 3B C5 8D 51 01 49 0F 47 E8 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 7B 0C 89 38 EB 4E 48 8B F0 49 39 3E 75 05 49 89 07 EB 41 4D 8B 06 48 8B D3 48 2B D6 48 8B CE 48 03 D5 E8 ?? ?? ?? ?? 85 C0 75 4B 49 8B 0E 48 83 C8 FF 48 FF C0 40 38 3C 01 75 F7 48 03 F0 49 83 C6 08 C6 06 20 48 FF C6 49 39 3E 75 C6 40 88 7E FF 49 89 1F 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 50 8B C7 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_9_0 {
	meta:
		name = "??$construct_command_line@_W@@YAHQEBQEB_WQEAPEA_W@Z"
		size = 272
		refs = "005e _calloc_base 006e __acrt_errno_map_os_error 0073 _errno 00a1 wcscpy_s 00dc _free_base 010b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 33 FF 4C 8B F1 48 89 3A 4C 8B C9 48 8B 09 4C 8B FA 44 8B C7 EB 1A 48 83 C8 FF 48 FF C0 66 39 3C 41 75 F7 49 FF C0 4C 03 C0 49 83 C1 08 49 8B 09 48 85 C9 75 E1 8D 69 01 4C 3B C5 8D 51 02 49 0F 47 E8 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 7B 0C 89 38 EB 5B 48 8B F0 49 39 3E 75 05 49 89 07 EB 4E 4D 8B 06 48 8B C6 48 2B C3 48 8B D5 48 D1 F8 48 8B CE 48 2B D0 E8 ?? ?? ?? ?? 85 C0 75 52 49 8B 0E 48 83 C8 FF 48 FF C0 66 39 3C 41 75 F7 48 8D 34 46 49 83 C6 08 B8 20 00 00 00 66 89 06 48 83 C6 02 49 39 3E 75 B9 66 89 7E FE 49 89 1F 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 50 8B C7 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_10_0 {
	meta:
		name = "??$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z"
		size = 816
		refs = "001a __security_cookie 0063 _dupenv_s 0079 _errno 00d8 __dcrt_get_narrow_environment_from_os 0169 _strnicmp 0197 _calloc_base 01a7 __acrt_errno_map_os_error 01d2 memcpy 01ec strcpy_s 023e ?equal_sign@?BD@???$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z@4QBDB 0249 strcat_s 028b _free_base 02aa __security_check_cookie 02d7 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 DB 48 89 55 D8 48 89 1A 4C 8B F9 48 85 C9 75 07 33 C0 E9 65 02 00 00 4C 8D 45 E0 C7 45 E0 53 79 73 74 33 D2 C7 45 E4 65 6D 52 6F 48 8D 4D C8 66 C7 45 E8 6F 74 88 5D EA 48 89 5D C8 E8 ?? ?? ?? ?? 85 C0 74 19 BB 16 00 00 00 3B C3 0F 84 4E 02 00 00 E8 ?? ?? ?? ?? 8B 18 E9 13 02 00 00 48 8B 45 C8 49 83 CE FF 48 85 C0 74 10 49 8B CE 48 FF C1 38 1C 08 75 F8 48 FF C1 EB 03 48 8B CB 49 8B 07 48 8D 71 0B 48 89 75 D0 41 BD 02 00 00 00 49 8B D7 EB 18 49 8B CE 48 FF C1 38 1C 08 75 F8 49 FF C5 4C 03 E9 48 83 C2 08 48 8B 02 48 85 C0 75 E3 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 08 8D 58 16 E9 A3 01 00 00 B1 3D 4C 8B E0 38 08 74 18 49 8B C6 48 FF C0 41 38 1C 04 75 F7 49 FF C4 4C 03 E0 41 38 0C 24 75 E8 4D 8B F4 41 38 0C 24 75 2D 41 38 5E 01 74 27 41 80 7E 02 3A 75 20 41 38 4E 03 75 1A 48 83 C8 FF 48 FF C0 41 38 5C 06 04 75 F6 49 83 C6 05 4C 03 F0 41 38 0E 74 D3 4D 2B F4 49 8B DF 49 83 3F 00 74 2C 48 8D 45 E0 49 83 C8 FF 49 FF C0 42 80 3C 00 00 75 F6 48 8B 0B 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 4B 48 83 C3 08 48 83 3B 00 75 D4 32 C9 4B 8D 04 2E 88 4D C0 84 C9 4C 8D 2C 30 BA 01 00 00 00 4C 0F 45 E8 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1D 8D 48 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 0C 00 00 00 89 18 E9 CC 00 00 00 B1 01 EB BD 48 8B F0 4D 85 F6 74 15 4D 8B C6 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 4D 2B EE 4A 8D 34 33 45 33 E4 EB 33 4D 8B 07 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 F9 00 00 00 49 8B 0F 48 83 C8 FF 48 FF C0 44 38 24 01 75 F7 48 FF C0 48 03 F0 4C 2B E8 49 83 C7 08 4D 39 27 75 C8 44 38 65 C0 75 50 4C 8B 75 D0 4C 8D 45 E0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 E0 00 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 4C 8B 45 C8 4D 85 C0 74 0F 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 6F 49 03 F6 48 3B F3 75 06 44 88 26 48 FF C6 48 8B 45 D8 44 88 26 48 89 18 41 8B DC 33 C9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4D C8 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_11_0 {
	meta:
		name = "??$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z"
		size = 859
		refs = "001a __security_cookie 0073 _wdupenv_s 0089 _errno 00ea __dcrt_get_wide_environment_from_os 018d _wcsnicmp 01be _calloc_base 01ce __acrt_errno_map_os_error 01f9 memcpy 0212 wcscpy_s 0266 ?equal_sign@?BD@???$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z@4QB_WB 0271 wcscat_s 02b7 _free_base 02d6 __security_check_cookie 0302 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 33 DB 48 89 55 D8 48 89 1A 4C 8B F9 48 85 C9 75 07 33 C0 E9 91 02 00 00 4C 8D 45 E0 C7 45 E0 53 00 79 00 33 D2 C7 45 E4 73 00 74 00 48 8D 4D C8 C7 45 E8 65 00 6D 00 C7 45 EC 52 00 6F 00 C7 45 F0 6F 00 74 00 66 89 5D F4 48 89 5D C8 E8 ?? ?? ?? ?? 85 C0 74 19 BB 16 00 00 00 3B C3 0F 84 6A 02 00 00 E8 ?? ?? ?? ?? 8B 18 E9 2F 02 00 00 48 8B 45 C8 49 83 CE FF 48 85 C0 74 11 49 8B CE 48 FF C1 66 39 1C 48 75 F7 48 FF C1 EB 03 48 8B CB 49 8B 07 48 8D 71 0B 48 89 75 D0 41 BD 02 00 00 00 49 8B D7 EB 19 49 8B CE 48 FF C1 66 39 1C 48 75 F7 49 FF C5 4C 03 E9 48 83 C2 08 48 8B 02 48 85 C0 75 E2 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 08 8D 58 16 E9 BD 01 00 00 66 B9 3D 00 4C 8B E0 66 39 08 74 1C 49 8B C6 48 FF C0 66 41 39 1C 44 75 F6 4D 8D 24 44 49 83 C4 02 66 41 39 0C 24 75 E4 4D 8B F4 66 41 39 0C 24 75 33 66 41 39 5E 02 74 2C 66 41 83 7E 04 3A 75 24 66 41 39 4E 06 75 1D 48 83 C8 FF 48 FF C0 66 41 39 5C 46 08 75 F5 4D 8D 34 46 49 83 C6 0A 66 41 39 0E 74 CD 4D 2B F4 33 C9 49 D1 FE 49 8B DF 49 39 0F 74 31 48 8D 45 E0 49 83 C8 FF 49 FF C0 66 42 39 0C 40 75 F6 48 8B 0B 48 8D 55 E0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 0B 48 83 C3 08 48 39 0B 75 D3 EB 02 B1 01 4B 8D 04 2E 88 4D C0 84 C9 4C 8D 2C 30 BA 02 00 00 00 4C 0F 45 E8 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 19 8D 48 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 0C 00 00 00 89 18 E9 D1 00 00 00 48 8B F3 4D 85 F6 74 18 4B 8D 34 36 49 8B D4 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? 48 03 F3 4D 2B EE 45 33 E4 EB 35 4D 8B 07 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 FE 00 00 00 49 8B 0F 48 83 C8 FF 48 FF C0 66 44 39 24 41 75 F6 48 FF C0 4C 2B E8 49 83 C7 08 48 8D 34 46 4D 39 27 75 C6 44 38 65 C0 75 51 4C 8B 75 D0 4C 8D 45 E0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 E3 00 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B4 00 00 00 4C 8B 45 C8 4D 85 C0 74 0F 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 72 4A 8D 34 76 48 3B F3 75 08 66 44 89 26 48 83 C6 02 48 8B 45 D8 66 44 89 26 48 89 18 41 8B DC 33 C9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4D C8 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 D2 45 33 C9 45 33 C0 48 89 54 24 20 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_68_0 {
	meta:
		name = "?attach@?$__crt_unique_heap_ptr@PEADU__crt_internal_free_policy@@@@QEAAXQEAPEAD@Z"
		size = 38
		refs = "0014 _free_base"
		altNames = "?attach@?$__crt_unique_heap_ptr@PEA_WU__crt_internal_free_policy@@@@QEAAXQEAPEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B FA 48 8B 09 E8 ?? ?? ?? ?? 48 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_127_86_0 {
	meta:
		name = "__acrt_capture_narrow_argv"
		size = 420
		refs = "0066 _calloc_base 0071 _free_base 00a1 memcpy 00b4 _recalloc_base 0100 memset 010a _errno 018b _invalid_parameter_noinfo 019f _invoke_watson"
		altNames = "__acrt_capture_wide_argv"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 FF 49 8B E9 8B DF 44 8B E7 4D 8B F8 4C 8B EA 48 8B C1 49 8B F0 4D 8B F1 4D 3B E6 0F 82 94 00 00 00 48 B8 FF FF FF FF FF FF FF 7F 4C 3B F0 0F 83 EB 00 00 00 4D 03 F6 49 3B F7 75 4A BA 08 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? 33 C9 48 8B DE E8 ?? ?? ?? ?? 48 85 F6 0F 84 95 00 00 00 48 85 ED 74 44 4D 85 FF 74 65 4C 3B F5 72 60 4C 8B C5 49 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 2A 41 B8 08 00 00 00 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 6C 33 C9 E8 ?? ?? ?? ?? 33 C9 48 8B DE E8 ?? ?? ?? ?? 48 8B 44 24 60 4E 89 2C E6 49 FF C4 4D 85 ED 74 73 48 83 00 08 48 8B 00 4C 8B 68 F8 48 8B 44 24 60 E9 42 FF FF FF 4D 8B C6 33 D2 48 8B CE E8 ?? ?? ?? ?? 4D 85 FF 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 74 4C 3B F5 73 74 EB 62 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 EB 22 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 0A 33 C9 E8 ?? ?? ?? ?? 48 8B FE 48 8B 5C 24 68 48 8B C7 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_88_0 {
	meta:
		name = "__acrt_pack_narrow_command_line_and_environment"
		size = 353
		refs = "0067 _calloc_base 0077 __acrt_errno_map_os_error 007c _errno 0089 _free_base 00b2 strcpy_s 00f9 ??$construct_environment_block@D@@YAHQEBQEBDQEAPEAD@Z 015c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 D2 4C 8B F1 4C 8B D9 48 83 CF FF 48 8B 09 4D 8B F9 4D 8B E0 4C 8B EA EB 19 48 8B C7 48 FF C0 80 3C 01 00 75 F7 49 FF C2 4C 03 D0 49 83 C3 08 49 8B 0B 48 85 C9 75 E2 8D 41 01 4C 3B D0 8B E8 8B D0 49 0F 47 EA 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 26 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? E9 96 00 00 00 49 83 3E 00 48 8B F0 74 41 4D 8B 06 48 8B D3 48 2B D6 48 8B CE 48 03 D5 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 8E 00 00 00 49 8B 0E 48 8B C7 48 FF C0 38 14 01 75 F8 48 03 F0 49 83 C6 08 C6 06 20 48 FF C6 49 39 16 75 C2 88 56 FF 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 60 00 48 8D 54 24 60 49 8B CD E8 ?? ?? ?? ?? 85 C0 74 12 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E9 7C FF FF FF 48 8B 44 24 60 33 C9 49 89 1C 24 49 89 07 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 FF 48 8B 5C 24 68 8B C7 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_127_89_0 {
	meta:
		name = "__acrt_pack_wide_command_line_and_environment"
		size = 370
		refs = "0068 _calloc_base 0078 __acrt_errno_map_os_error 007d _errno 008a _free_base 00b9 wcscpy_s 010a ??$construct_environment_block@_W@@YAHQEBQEB_WQEAPEA_W@Z 016d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 F6 4C 8B F1 4C 8B D9 44 8B D6 48 8B 09 48 83 CF FF 4D 8B F9 4D 8B E0 4C 8B EA EB 19 48 8B C7 48 FF C0 66 39 34 41 75 F7 49 FF C2 4C 03 D0 49 83 C3 08 49 8B 0B 48 85 C9 75 E2 8D 69 01 4C 3B D5 8D 51 02 49 0F 47 EA 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 26 8D 48 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? E9 A6 00 00 00 49 83 3E 00 48 8B F0 74 50 4D 8B 06 48 8B C6 48 2B C3 48 8B D5 48 D1 F8 48 8B CE 48 2B D0 E8 ?? ?? ?? ?? 33 D2 85 C0 0F 85 98 00 00 00 49 8B 0E 48 8B C7 48 FF C0 66 39 14 41 75 F7 48 8D 34 46 49 83 C6 08 B8 20 00 00 00 66 89 06 48 83 C6 02 49 39 16 75 B4 66 89 56 FE 33 C9 E8 ?? ?? ?? ?? 33 F6 48 8D 54 24 60 49 8B CD 48 89 74 24 60 E8 ?? ?? ?? ?? 85 C0 74 12 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E9 6C FF FF FF 48 8B 44 24 60 33 C9 49 89 1C 24 49 89 07 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B FE 48 8B 5C 24 68 8B C7 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 48 89 54 24 20 45 33 C0 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "nexttowardf"
		size = 311
		refs = "0022 _fdtest 003d _ldtest 00e8 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F3 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F B7 D8 BF 80 7F 00 00 66 83 F8 02 0F 84 DA 00 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 55 18 66 83 F8 02 0F 84 B9 00 00 00 F3 0F 10 4D 10 0F 5A C1 66 0F 2E C2 7A 06 0F 84 A5 00 00 00 B9 01 00 00 00 66 3B D9 75 1B 0F B7 45 12 B9 7F FF 00 00 66 23 C1 B9 7F 7F 00 00 66 0B C1 B9 FF FF 00 00 EB 17 33 D2 0F 5A C1 66 85 DB 75 17 66 0F 2F D0 B8 00 80 00 00 66 0F 47 C2 66 89 45 12 66 89 4D 10 EB 68 66 0F 2F D0 0F 57 DB 76 05 0F 2F CB 77 0E 0F 5A C1 66 0F 2F C2 76 2D 0F 2F D9 76 28 66 01 4D 10 75 46 0F B7 45 12 66 03 C1 0F B7 C8 0F BA F1 0F 66 89 45 12 3B CF 75 30 B9 08 00 00 00 E8 ?? ?? ?? ?? EB 24 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 0F 66 01 4D 12 EB 09 66 0F 5A C2 F3 0F 11 45 10 66 85 7D 12 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_130_0_0 {
	meta:
		name = "__p___mb_cur_max"
		size = 48
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C0 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "norm"
		size = 78
		refs = "001d creal 0033 cimag"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 10 01 48 8B D9 48 8D 4C 24 20 0F 29 74 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? F2 0F 59 F6 F2 0F 59 C0 F2 0F 58 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_491_0_0 {
	meta:
		name = "norml"
		size = 78
		refs = "001d creall 0033 cimagl"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 10 01 48 8B D9 48 8D 4C 24 20 0F 29 74 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? F2 0F 59 F6 F2 0F 59 C0 F2 0F 58 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_132_1_0 {
	meta:
		name = "?should_write_error_to_console@@YA_NXZ"
		size = 43
		refs = "000a _set_error_mode 001d ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { 48 83 EC 28 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 75 04 B0 01 EB 0F 85 C0 75 09 83 3D ?? ?? ?? ?? 01 74 EF 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_132_2_0 {
	meta:
		name = "?write_string_to_console@@YAXQEB_W@Z"
		size = 168
		refs = "000c __security_cookie 0025 __imp_GetStdHandle 008b __imp_WriteFile 009b __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B D9 B9 F4 FF FF FF FF 15 ?? ?? ?? ?? 4C 8B D0 48 8D 50 FF 48 83 FA FD 77 59 4C 8D 4C 24 40 45 33 C0 48 8D 54 24 40 8A 0B 48 8D 84 24 34 02 00 00 88 0A 48 FF C2 48 3B D0 74 0C 0F B7 03 48 83 C3 02 66 85 C0 75 E0 41 2B D1 44 88 84 24 33 02 00 00 44 89 44 24 30 4C 8D 4C 24 30 4C 89 44 24 20 49 8B CA 44 8D 42 FF 48 8D 54 24 40 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 50 02 00 00 5B C3 }
	condition:
		$1
}

rule file_132_3_0 {
	meta:
		name = "__acrt_report_runtime_error"
		size = 443
		refs = "0021 _set_error_mode 0036 ?__acrt_app_type@@3W4_crt_app_type@@A 004a ?outmsg@?9??__acrt_report_runtime_error@@9@4PA_WA 0054 ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 005c wcscpy_s 0083 __imp_GetModuleFileNameW 0092 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 00d4 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 00e8 wcsncpy_s 00f3 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 00fe wcscat_s 0125 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 012d __acrt_show_wide_message_box 0137 ?write_string_to_console@@YAXQEB_W@Z 0164 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 48 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 0F 84 05 01 00 00 33 F6 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 F2 00 00 00 41 BF 14 03 00 00 48 8D 2D ?? ?? ?? ?? 41 8B D7 4C 8D 05 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 3E 01 00 00 4C 8D 35 ?? ?? ?? ?? 66 89 35 ?? ?? ?? ?? 49 8B D6 41 B8 04 01 00 00 FF 15 ?? ?? ?? ?? 41 8D 7F E7 85 C0 75 19 4C 8D 05 ?? ?? ?? ?? 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 AC 00 00 00 48 83 C9 FF 48 FF C1 66 41 39 34 4E 75 F6 48 8D 41 01 48 83 F8 3C 76 30 48 8D 0C 4D BC FF FF FF 41 B9 03 00 00 00 48 03 CD 4C 8D 05 ?? ?? ?? ?? 48 8B C1 49 2B C6 48 D1 F8 48 2B F8 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 79 4C 8D 05 ?? ?? ?? ?? 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 89 00 00 00 4C 8B C3 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 62 41 B8 10 20 01 00 48 8D 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_133_0_0 {
	meta:
		name = "_fdxp_addh"
		size = 836
		refs = "003c _fdunscale 004f _fdtest 007c _fperrraise 0084 _FNan_C 01fb _fd_int 0208 _fdscale"
	strings:
		$1 = { F3 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 33 F6 F3 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 F2 85 D2 0F 84 F8 02 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 3B F0 7D 67 66 83 F8 02 74 53 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 46 66 83 F8 02 0F 84 C9 02 00 00 0F B7 47 02 B9 00 80 00 00 66 33 45 5A 66 85 C1 0F 84 B3 02 00 00 8D 4E 01 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 07 41 83 FE 01 0F 8E 95 02 00 00 89 77 04 E9 8D 02 00 00 F3 0F 10 45 58 F3 0F 11 07 E9 7F 02 00 00 66 85 C0 0F 89 76 02 00 00 41 BD 00 01 00 00 8B DE 4D 8B FE 45 85 F6 0F 8E 62 02 00 00 4C 8D 67 FC 0F 57 F6 F3 0F 10 04 B7 48 8D 55 D8 48 8D 4D 50 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 39 02 00 00 66 85 C0 0F 84 16 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F3 0F 10 4D 58 2B C8 83 F9 F4 7F 5A 0F 2E CE 7A 02 74 53 8B CB 48 8B C6 FF C1 48 FF C0 49 3B C7 7D 0C F3 0F 10 04 87 0F 2E C6 7A EC 75 EA 41 8D 46 FF 3B C8 7D 04 FF C1 EB 07 41 3B CE 75 02 FF C9 48 63 D1 48 3B F2 7D 0F 8B 44 97 FC 89 04 97 48 FF CA 48 3B D6 7F F1 83 65 58 00 F3 0F 11 0C B7 E9 9B 01 00 00 B8 0C 00 00 00 3B C8 7C 11 0F 2E CE 7A 02 74 0A 44 8B EA FF C3 E9 7A 01 00 00 F3 0F 58 0C B7 0F 2E CE F3 0F 11 0C B7 7A 38 75 36 48 8B C6 48 FF C0 49 3B C7 7D 12 F3 0F 10 04 87 0F 2E C6 F3 0F 11 44 87 FC 7A E8 75 E6 42 83 64 BF FC 00 F3 0F 10 04 B7 0F 2E C6 0F 28 C8 7A 06 0F 84 5F 01 00 00 48 8D 55 58 F3 0F 11 4D 58 48 8D 4D 48 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D F4 3B CA 0F 8D 90 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 0C E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F3 0F 10 04 B7 F3 0F 5C 45 58 0F 2E C6 F3 0F 11 04 B7 7A 25 75 23 48 8B C6 48 FF C0 49 3B C7 7D 12 F3 0F 10 04 87 0F 2E C6 F3 0F 11 44 87 FC 7A E8 75 E6 42 83 64 BF FC 00 48 FF CE 49 83 EC 04 83 EB 01 75 0B 41 BD 00 01 00 00 E9 AA 00 00 00 F3 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F3 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 88 00 00 00 44 8D 7B 01 45 3B FE 0F 84 A0 00 00 00 F3 0F 10 04 B7 48 8D 4D 50 48 63 C3 F3 0F 11 45 58 48 8D 1C 87 48 8B D3 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 58 F3 0F 10 0C B7 44 0F BF 6D 50 F3 0F 5C C1 0F 2E C6 F3 0F 11 45 58 7A 09 75 07 F3 0F 11 4D 60 EB 05 F3 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DF 4D 8B FE 48 FF C6 49 83 C4 04 41 3B DE 0F 8C C1 FD FF FF EB 1A F3 0F 10 45 58 48 63 C3 FF C3 F3 0F 11 04 87 41 3B DE 7D 06 48 63 C3 89 0C 87 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_133_1_0 {
	meta:
		name = "_fdxp_addx"
		size = 110
		refs = "0033 __real@00000000 0042 _fdxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 24 F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C DC 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_133_2_0 {
	meta:
		name = "_fdxp_getw"
		size = 78
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 3C F3 0F 10 11 0F 57 C0 0F 2E D0 7A 02 74 2E 83 FA 01 7E 0C F3 0F 10 49 04 0F 2E C8 7A 02 74 1D 83 FA 02 75 09 F3 0F 58 51 04 0F 28 C2 C3 F3 0F 10 41 08 F3 0F 58 41 04 F3 0F 58 C2 C3 F3 0F 10 01 C3 }
	condition:
		$1
}

rule file_133_3_0 {
	meta:
		name = "_fdxp_invx"
		size = 329
		refs = "0035 _fdtest 005a _FInf_C 0084 memcpy 008c __real@bf800000 0096 _fdxp_mulh 00ac __real@3f800000 00ba _fdxp_setw 00e1 _fdxp_mulx 00f3 _fdxp_addh 0118 _fdxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EE 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 29 8D 75 01 66 3B C6 75 07 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 E9 BB 00 00 00 F3 0F 10 33 4C 8B F7 49 C1 E6 02 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F3 0F 58 73 04 F3 0F 10 15 ?? ?? ?? ?? 8B D7 F3 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_133_4_0 {
	meta:
		name = "_fdxp_ldexpx"
		size = 119
		refs = "0035 ldexp 0043 __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 32 48 8B F9 F3 0F 10 07 41 8B D6 0F 5A C0 E8 ?? ?? ?? ?? 0F 57 C9 F2 0F 5A C8 0F 2E 0D ?? ?? ?? ?? F3 0F 11 0F 7A 02 74 0A FF C3 48 83 C7 04 3B DD 7C D1 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_133_5_0 {
	meta:
		name = "_fdxp_movx"
		size = 36
		refs = "0017 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 48 8B D9 4C 63 C2 48 8B D0 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_133_6_0 {
	meta:
		name = "_fdxp_mulh"
		size = 481
		refs = "0024 __security_cookie 0050 _fdtest 006b _fperrraise 012b _fdunscale 0139 _fd_int 0146 _fdscale 0156 _fdxp_addh 01bb __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 74 24 60 0F 29 7C 24 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F3 0F 59 01 48 8D 4D C0 F3 0F 11 45 C0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 C0 F3 0F 11 07 66 44 3B E6 0F 8D 2E 01 00 00 44 3B FB 0F 8E 25 01 00 00 44 89 67 04 E9 1C 01 00 00 44 89 27 BB 01 00 00 00 41 8B C4 89 45 B8 44 8B F3 4D 8B EC 45 85 FF 0F 8E FF 00 00 00 4C 8D 65 C0 8B F3 4C 2B E7 0F 57 F6 48 83 FE 04 7D 4A 42 8D 14 30 4A 8D 04 2E 48 8D 0C 87 41 3B D7 7D 2C F3 0F 10 01 0F 2E C6 7A 02 74 21 83 21 00 44 03 F3 F3 0F 59 C7 03 D3 48 03 F3 F3 41 0F 11 04 0C 48 83 C1 04 48 83 FE 04 7C D1 EB 0D 83 64 B5 C0 00 BE 08 00 00 00 44 8B F6 F3 0F 10 45 C0 0F 2E C6 7A 06 0F 84 93 00 00 00 48 8D 55 B0 F3 0F 11 45 B0 48 8D 4D B4 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 0F BF 55 B4 48 8D 4D B0 E8 ?? ?? ?? ?? F3 0F 10 55 B0 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F3 0F 10 55 C0 41 8B D7 F3 0F 5C 55 B0 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1B F3 0F 10 44 85 C0 0F 2E C6 F3 0F 11 44 85 BC 7A 02 74 08 48 03 C3 48 3B C6 7C E5 8B 45 B8 4C 03 EB 03 C3 49 83 EC 04 44 2B F3 89 45 B8 48 2B F3 4D 3B EF 0F 8C 0D FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_133_7_0 {
	meta:
		name = "_fdxp_mulx"
		size = 254
		refs = "0041 __real@00000000 005d _fdxp_mulh 007d memcpy 00d2 _fdxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 AE 00 00 00 45 85 C9 0F 84 A5 00 00 00 F3 41 0F 10 10 0F 2E 15 ?? ?? ?? ?? 7A 02 74 11 F3 41 0F 10 40 04 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7B 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 8B CC 49 C1 E7 02 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? F3 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 42 F3 42 0F 10 04 B3 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? F3 42 0F 10 14 B3 8B D7 49 8B CD E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B9 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_133_8_0 {
	meta:
		name = "_fdxp_setw"
		size = 175
		refs = "0035 _fdunscale 005d _fd_int 006c _fdscale"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 20 57 48 83 EC 30 0F 29 70 E8 33 F6 0F 28 F2 8B FA F3 0F 11 70 18 48 8B D9 85 D2 7E 70 83 FA 01 74 67 48 8D 50 18 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 74 4F 66 3B F0 7D 0F F3 0F 10 44 24 50 F3 0F 11 03 89 73 04 EB 45 BA 0C 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 48 48 8D 4C 24 50 E8 ?? ?? ?? ?? F3 0F 10 44 24 50 F3 0F 11 03 F3 0F 5C F0 F3 0F 11 73 04 83 FF 02 7E 0F 89 73 08 EB 0A F3 0F 10 74 24 50 F3 0F 11 33 48 8B 74 24 58 48 8B C3 48 8B 5C 24 40 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_133_9_0 {
	meta:
		name = "_fdxp_sqrtx"
		size = 349
		refs = "0031 _fdtest 006b sqrtf 0073 __real@3f800000 0081 _fdxp_setw 009a memcpy 00a2 __real@bf000000 00ac _fdxp_mulh 00c1 _fdxp_mulx 00de __real@3fc00000 00e8 _fdxp_addh 012b _fperrraise 0133 _FNan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0B 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E DF 00 00 00 F3 0F 10 0B 0F 2F C1 0F 87 D7 00 00 00 4C 8B F7 49 C1 E6 02 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F3 0F 58 4B 04 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 F3 0F 5E D0 48 8B CE E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_133_10_0 {
	meta:
		name = "_fdxp_subx"
		size = 117
		refs = "0033 __real@00000000 003e __xmm@80000000800000008000000080000000 0049 _fdxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2B F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C D5 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_133_11_0 {
	meta:
		name = "fmaf"
		size = 688
		refs = "0024 __security_cookie 0036 __fma3_is_available 0098 _fdunscale 016d _fdscale 017d _fdxp_setw 01af _fdxp_mulh 01ee _fdxp_addx 0277 _fperrraise 027f _FNan_C 028b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 A1 48 81 EC B0 00 00 00 0F 29 70 C8 0F 29 78 B8 44 0F 29 40 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 33 F6 0F 28 FA 39 35 ?? ?? ?? ?? 0F 28 F1 44 0F 28 C0 F3 0F 11 75 C7 F3 44 0F 11 45 AF F3 0F 11 7D D7 74 2C F3 0F 11 7D D7 F3 0F 10 45 D7 0F 28 D8 F3 0F 11 75 C7 F3 0F 10 4D C7 F3 44 0F 11 45 AF F3 0F 10 45 AF C4 E2 71 A9 C3 E9 04 02 00 00 48 8D 55 BF F3 44 0F 11 45 BF 48 8D 4D BB F3 0F 11 75 CF F3 0F 11 7D A7 E8 ?? ?? ?? ?? 41 BE 02 00 00 00 0F B7 D8 66 41 3B C6 75 09 41 0F 28 C0 E9 CF 01 00 00 48 8D 55 CF 48 8D 4D B7 E8 ?? ?? ?? ?? 0F B7 F8 66 41 3B C6 75 08 0F 28 C6 E9 B1 01 00 00 48 8D 55 A7 48 8D 4D AB E8 ?? ?? ?? ?? 66 41 3B C6 75 08 0F 28 C7 E9 96 01 00 00 B9 01 00 00 00 66 3B D9 0F 84 48 01 00 00 66 3B F9 0F 84 3F 01 00 00 66 3B C1 74 DC 66 85 DB 0F 84 56 01 00 00 66 85 FF 0F 84 4D 01 00 00 66 85 C0 0F 84 44 01 00 00 0F BF 45 BB BA 00 80 00 00 0F B7 4D AB 0F BF 5D B7 03 D8 0F B7 45 B1 66 33 45 C9 66 2B CB 66 33 45 D9 66 89 4D AB 66 85 C2 0F 84 15 01 00 00 41 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 03 01 00 00 0F BF D1 48 8D 4D A7 E8 ?? ?? ?? ?? F3 0F 10 55 BF 48 8D 4D E7 8B D7 E8 ?? ?? ?? ?? F3 0F 10 55 CF 48 8D 4D D7 41 8B D6 E8 ?? ?? ?? ?? F3 0F 10 55 A7 48 8D 4D C7 41 8B D6 E8 ?? ?? ?? ?? F3 0F 10 55 D7 48 8D 4D E7 8B D7 E8 ?? ?? ?? ?? F3 0F 10 7D DB 0F 57 F6 0F 2E FE 7A 02 74 30 F3 0F 10 55 BF 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? 0F 28 D7 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 45 D7 8B D7 48 8D 4D E7 E8 ?? ?? ?? ?? 45 8B CE 4C 8D 45 C7 8B D7 48 8D 4D E7 E8 ?? ?? ?? ?? F3 0F 10 4D E7 0F 2E CE 7A 02 74 1C F3 0F 10 55 EB 0F 2E D6 7A 02 74 10 F3 0F 10 45 EF F3 0F 58 C2 F3 0F 58 C1 0F 28 C8 8B D3 F3 0F 11 4D A7 48 8D 4D A7 E8 ?? ?? ?? ?? F3 0F 10 45 A7 EB 40 66 85 DB 74 2E 66 85 FF 74 29 66 3B C1 75 16 0F B7 45 B1 BA 00 80 00 00 66 33 45 C9 66 33 45 D9 66 85 C2 75 0E F3 41 0F 59 F0 F3 0F 58 F7 E9 54 FE FF FF E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_133_12_0 {
	meta:
		name = "intrinsic_fma"
		size = 48
	strings:
		$1 = { 48 8B C4 F3 0F 11 40 08 F3 0F 11 48 10 F3 0F 10 40 10 F3 0F 11 50 18 0F 28 D0 F3 0F 10 48 18 0F 28 D9 F3 0F 10 48 08 0F 28 C1 C4 E2 69 A9 C3 C3 }
	condition:
		$1
}

rule file_134_0_0 {
	meta:
		name = "clog10"
		size = 81
		refs = "001d clog 0025 __real@3fdbcb7b1526e50e 003d _Cmulcr"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 10 02 48 8B D9 48 8D 54 24 20 48 8D 4C 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 40 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_678_0_0 {
	meta:
		name = "clog10l"
		size = 81
		refs = "001d clogl 0025 __real@3fdbcb7b1526e50e 003d _LCmulcr"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 10 02 48 8B D9 48 8D 54 24 20 48 8D 4C 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 40 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_135_3_0 {
	meta:
		name = "??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
		size = 374
		refs = "002c _errno 0038 _invalid_parameter_noinfo 0044 __acrt_initialize_multibyte 004b ?program_name@?1???$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z@4PADA 005c __imp_GetModuleFileNameA 0063 _acmdln 006a _pgmptr 0099 ??$parse_command_line@D@@YAXPEADPEAPEAD0PEA_K2@Z 00af __acrt_allocate_buffer_for_argv 00f0 __argc 00fa __argv 0111 __acrt_expand_narrow_argv_wildcards 0153 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8B EC 48 83 EC 30 33 FF 44 8B F1 85 C9 75 07 33 C0 E9 42 01 00 00 8D 41 FF 83 F8 01 76 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 22 01 00 00 E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 41 B8 04 01 00 00 48 8B D3 33 C9 FF 15 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 F6 74 05 40 38 3E 75 03 48 8B F3 48 8D 45 48 48 89 7D 40 4C 8D 4D 40 48 89 44 24 20 45 33 C0 48 89 7D 48 33 D2 48 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 40 41 B8 01 00 00 00 48 8B 55 48 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0C E8 ?? ?? ?? ?? 8D 7B 0C 89 38 EB 3A 4E 8D 04 F8 48 8B D3 48 8D 45 48 48 8B CE 4C 8D 4D 40 48 89 44 24 20 E8 ?? ?? ?? ?? 41 83 FE 01 75 1C 8B 45 40 FF C8 89 05 ?? ?? ?? ?? 48 8B C3 48 89 05 ?? ?? ?? ?? 48 8B DF 8B F7 EB 56 48 8D 55 38 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B F0 85 C0 74 06 48 8B 4D 38 EB 31 48 8B 55 38 48 8B CF 48 8B C2 48 39 3A 74 0C 48 8D 40 08 48 FF C1 48 39 38 75 F4 89 0D ?? ?? ?? ?? 8B F7 48 8B CF 48 89 15 ?? ?? ?? ?? 48 89 4D 38 E8 ?? ?? ?? ?? 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_135_4_0 {
	meta:
		name = "??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
		size = 369
		refs = "002c _errno 0038 _invalid_parameter_noinfo 0046 ?program_name@?1???$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z@4PA_WA 0057 __imp_GetModuleFileNameW 005e _wcmdln 0065 _wpgmptr 0094 ??$parse_command_line@_W@@YAXPEA_WPEAPEA_W0PEA_K2@Z 00aa __acrt_allocate_buffer_for_argv 00eb __argc 00f5 __wargv 010c __acrt_expand_wide_argv_wildcards 014e _free_base"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8B EC 48 83 EC 30 33 FF 44 8B F1 85 C9 75 07 33 C0 E9 3D 01 00 00 8D 41 FF 83 F8 01 76 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 1D 01 00 00 48 8D 1D ?? ?? ?? ?? 41 B8 04 01 00 00 48 8B D3 33 C9 FF 15 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 F6 74 05 66 39 3E 75 03 48 8B F3 48 8D 45 48 48 89 7D 40 4C 8D 4D 40 48 89 44 24 20 45 33 C0 48 89 7D 48 33 D2 48 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 40 41 B8 02 00 00 00 48 8B 55 48 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0C E8 ?? ?? ?? ?? 8D 7B 0C 89 38 EB 3A 4E 8D 04 F8 48 8B D3 48 8D 45 48 48 8B CE 4C 8D 4D 40 48 89 44 24 20 E8 ?? ?? ?? ?? 41 83 FE 01 75 1C 8B 45 40 FF C8 89 05 ?? ?? ?? ?? 48 8B C3 48 89 05 ?? ?? ?? ?? 48 8B DF 8B F7 EB 56 48 8D 55 38 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B F0 85 C0 74 06 48 8B 4D 38 EB 31 48 8B 55 38 48 8B CF 48 8B C2 48 39 3A 74 0C 48 8D 40 08 48 FF C1 48 39 38 75 F4 89 0D ?? ?? ?? ?? 8B F7 48 8B CF 48 89 15 ?? ?? ?? ?? 48 89 4D 38 E8 ?? ?? ?? ?? 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_135_7_0 {
	meta:
		name = "??$parse_command_line@D@@YAXPEADPEAPEAD0PEA_K2@Z"
		size = 444
		refs = "0074 _ismbblead"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4C 8B 7C 24 60 4D 8B E1 49 8B F8 4C 8B F2 48 8B D9 49 83 27 00 49 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 49 83 C6 08 40 32 ED 80 3B 22 75 0F 40 84 ED 40 B6 22 40 0F 94 C5 48 FF C3 EB 37 49 FF 07 48 85 FF 74 07 8A 03 88 07 48 FF C7 0F BE 33 48 FF C3 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 49 FF 07 48 85 FF 74 07 8A 03 88 07 48 FF C7 48 FF C3 40 84 F6 74 1C 40 84 ED 75 B0 40 80 FE 20 74 06 40 80 FE 09 75 A4 48 85 FF 74 09 C6 47 FF 00 EB 03 48 FF CB 40 32 F6 80 3B 00 0F 84 D2 00 00 00 80 3B 20 74 05 80 3B 09 75 05 48 FF C3 EB F1 80 3B 00 0F 84 BA 00 00 00 4D 85 F6 74 07 49 89 3E 49 83 C6 08 49 FF 04 24 BA 01 00 00 00 33 C0 EB 05 48 FF C3 FF C0 80 3B 5C 74 F6 80 3B 22 75 31 84 C2 75 19 40 84 F6 74 0B 80 7B 01 22 75 05 48 FF C3 EB 09 33 D2 40 84 F6 40 0F 94 C6 D1 E8 EB 10 FF C8 48 85 FF 74 06 C6 07 5C 48 FF C7 49 FF 07 85 C0 75 EC 8A 03 84 C0 74 44 40 84 F6 75 08 3C 20 74 3B 3C 09 74 37 85 D2 74 2B 48 85 FF 74 05 88 07 48 FF C7 0F BE 0B E8 ?? ?? ?? ?? 85 C0 74 12 49 FF 07 48 FF C3 48 85 FF 74 07 8A 03 88 07 48 FF C7 49 FF 07 48 FF C3 E9 69 FF FF FF 48 85 FF 74 06 C6 07 00 48 FF C7 49 FF 07 E9 25 FF FF FF 4D 85 F6 74 04 49 83 26 00 49 FF 04 24 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_135_8_0 {
	meta:
		name = "??$parse_command_line@_W@@YAXPEA_WPEAPEA_W0PEA_K2@Z"
		size = 406
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 57 4C 8B 54 24 30 33 F6 49 8B D9 49 89 32 49 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 48 83 C2 08 44 8A CE 41 BC 22 00 00 00 66 44 39 21 75 11 45 84 C9 41 0F B7 C4 41 0F 94 C1 48 83 C1 02 EB 1F 49 FF 02 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 0F B7 01 48 83 C1 02 66 85 C0 74 1D 45 84 C9 75 C5 66 83 F8 20 74 06 66 83 F8 09 75 B9 4D 85 C0 74 0B 66 41 89 70 FE EB 04 48 83 E9 02 40 8A FE 41 BF 5C 00 00 00 66 39 31 0F 84 CD 00 00 00 66 83 39 20 74 06 66 83 39 09 75 06 48 83 C1 02 EB EE 66 39 31 0F 84 B2 00 00 00 48 85 D2 74 07 4C 89 02 48 83 C2 08 48 FF 03 41 BB 01 00 00 00 8B C6 EB 06 48 83 C1 02 FF C0 66 44 39 39 74 F4 66 44 39 21 75 37 41 84 C3 75 1C 40 84 FF 74 0D 66 44 39 61 02 75 06 48 83 C1 02 EB 0A 40 84 FF 44 8B DE 40 0F 94 C7 D1 E8 EB 12 FF C8 4D 85 C0 74 08 66 45 89 38 49 83 C0 02 49 FF 02 85 C0 75 EA 0F B7 01 66 85 C0 74 2F 40 84 FF 75 0C 66 83 F8 20 74 24 66 83 F8 09 74 1E 45 85 DB 74 10 4D 85 C0 74 08 66 41 89 00 49 83 C0 02 49 FF 02 48 83 C1 02 E9 72 FF FF FF 4D 85 C0 74 08 66 41 89 30 49 83 C0 02 49 FF 02 E9 2A FF FF FF 48 85 D2 74 03 48 89 32 48 FF 03 48 8B 5C 24 10 48 8B 74 24 18 48 8B 7C 24 20 4C 8B 64 24 28 41 5F C3 }
	condition:
		$1
}

rule file_135_44_0 {
	meta:
		name = "__acrt_allocate_buffer_for_argv"
		size = 97
		refs = "004a _calloc_base 0054 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 B8 FF FF FF FF FF FF FF 1F 4C 8B CA 4C 8B D1 48 3B C8 72 04 33 C0 EB 3C 48 83 C9 FF 33 D2 48 8B C1 49 F7 F0 4C 3B C8 73 EB 49 C1 E2 03 4D 0F AF C8 49 2B CA 49 3B C9 76 DB 4B 8D 0C 11 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_135_45_0 {
	meta:
		name = "_configure_narrow_argv"
		size = 391
		refs = "0029 _errno 0033 _invalid_parameter_noinfo 003f __acrt_initialize_multibyte 0046 ?program_name@?1???$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z@4PADA 0057 __imp_GetModuleFileNameA 005e _acmdln 0065 _pgmptr 0094 ??$parse_command_line@D@@YAXPEADPEAPEAD0PEA_K2@Z 00aa __acrt_allocate_buffer_for_argv 00c5 _free_base 00f8 __argv 00fe __argc 0112 __acrt_expand_narrow_argv_wildcards"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8B EC 48 83 EC 30 33 FF 44 8B F1 85 C9 0F 84 54 01 00 00 8D 41 FF 83 F8 01 76 16 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B FB E9 36 01 00 00 E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 41 B8 04 01 00 00 48 8B D3 33 C9 FF 15 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 F6 74 05 40 38 3E 75 03 48 8B F3 48 8D 45 48 48 89 7D 40 4C 8D 4D 40 48 89 44 24 20 45 33 C0 48 89 7D 48 33 D2 48 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 40 41 B8 01 00 00 00 48 8B 55 48 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? BB 0C 00 00 00 33 C9 89 18 E8 ?? ?? ?? ?? E9 69 FF FF FF 4E 8D 04 F8 48 8B D3 48 8D 45 48 48 8B CE 4C 8D 4D 40 48 89 44 24 20 E8 ?? ?? ?? ?? 41 83 FE 01 75 16 8B 45 40 FF C8 48 89 1D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 33 C9 EB 69 48 8D 55 38 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B F0 85 C0 74 19 48 8B 4D 38 E8 ?? ?? ?? ?? 48 8B CB 48 89 7D 38 E8 ?? ?? ?? ?? 8B FE EB 3F 48 8B 55 38 48 8B CF 48 8B C2 48 39 3A 74 0C 48 8D 40 08 48 FF C1 48 39 38 75 F4 89 0D ?? ?? ?? ?? 33 C9 48 89 7D 38 48 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 89 7D 38 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_135_46_0 {
	meta:
		name = "_configure_wide_argv"
		size = 386
		refs = "0029 _errno 0033 _invalid_parameter_noinfo 0041 ?program_name@?1???$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z@4PA_WA 0052 __imp_GetModuleFileNameW 0059 _wcmdln 0060 _wpgmptr 008f ??$parse_command_line@_W@@YAXPEA_WPEAPEA_W0PEA_K2@Z 00a5 __acrt_allocate_buffer_for_argv 00c0 _free_base 00f3 __wargv 00f9 __argc 010d __acrt_expand_wide_argv_wildcards"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8B EC 48 83 EC 30 33 FF 44 8B F1 85 C9 0F 84 4F 01 00 00 8D 41 FF 83 F8 01 76 16 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B FB E9 31 01 00 00 48 8D 1D ?? ?? ?? ?? 41 B8 04 01 00 00 48 8B D3 33 C9 FF 15 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 F6 74 05 66 39 3E 75 03 48 8B F3 48 8D 45 48 48 89 7D 40 4C 8D 4D 40 48 89 44 24 20 45 33 C0 48 89 7D 48 33 D2 48 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 40 41 B8 02 00 00 00 48 8B 55 48 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? BB 0C 00 00 00 33 C9 89 18 E8 ?? ?? ?? ?? E9 6E FF FF FF 4E 8D 04 F8 48 8B D3 48 8D 45 48 48 8B CE 4C 8D 4D 40 48 89 44 24 20 E8 ?? ?? ?? ?? 41 83 FE 01 75 16 8B 45 40 FF C8 48 89 1D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 33 C9 EB 69 48 8D 55 38 48 89 7D 38 48 8B CB E8 ?? ?? ?? ?? 8B F0 85 C0 74 19 48 8B 4D 38 E8 ?? ?? ?? ?? 48 8B CB 48 89 7D 38 E8 ?? ?? ?? ?? 8B FE EB 3F 48 8B 55 38 48 8B CF 48 8B C2 48 39 3A 74 0C 48 8D 40 08 48 FF C1 48 39 38 75 F4 89 0D ?? ?? ?? ?? 33 C9 48 89 7D 38 48 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 89 7D 38 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_136_5_0 {
	meta:
		name = "_mbsicmp_l"
		size = 520
		refs = "0027 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0039 _errno 0044 _invalid_parameter_noinfo 0062 _stricmp_l 00c9 __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 54 41 55 41 56 48 8B EC 48 83 EC 70 48 8B F2 48 8B F9 49 8B D0 48 8D 4D E0 E8 ?? ?? ?? ?? 45 33 F6 48 85 FF 74 05 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 83 01 00 00 48 8B 4D F0 44 39 71 08 75 14 4C 8D 45 E8 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 73 01 00 00 41 BC 02 00 00 00 41 BD 00 01 00 00 0F B6 1F 48 FF C7 F6 44 0B 19 04 74 7B 44 38 37 75 08 41 8B DE E9 87 00 00 00 8B 41 04 4C 8D 4F FF 48 8B 91 20 02 00 00 41 B8 00 02 00 00 C7 44 24 40 01 00 00 00 48 8D 4D E8 89 44 24 38 48 8D 45 30 44 89 64 24 30 48 89 44 24 28 44 89 64 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 5D 30 EB 1E 41 3B C4 0F 85 E4 00 00 00 0F B6 55 30 0F B6 45 31 41 0F B7 CD 0F AF D1 66 03 D0 0F B7 DA 48 8B 4D F0 48 FF C7 EB 19 0F B7 C3 FF C0 48 98 F6 44 08 18 10 74 0B 0F B7 C3 0F B6 9C 08 19 01 00 00 0F B6 16 48 FF C6 F6 44 0A 19 04 74 74 44 38 36 75 08 41 8B D6 E9 80 00 00 00 8B 41 04 4C 8D 4E FF 48 8B 91 20 02 00 00 41 B8 00 02 00 00 C7 44 24 40 01 00 00 00 48 8D 4D E8 89 44 24 38 48 8D 45 30 44 89 64 24 30 48 89 44 24 28 44 89 64 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 55 30 EB 17 41 3B C4 75 47 0F B6 55 30 0F B6 45 31 41 0F B7 CD 0F AF D1 66 03 D0 48 8B 4D F0 48 FF C6 EB 19 0F B7 C2 FF C0 48 98 F6 44 08 18 10 74 0B 0F B7 C2 0F B6 94 08 19 01 00 00 66 3B D3 75 20 66 85 DB 0F 85 B7 FE FF FF 41 8B C6 EB 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 07 1B C0 41 23 C4 FF C8 44 38 75 F8 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "expm1"
		size = 289
		refs = "0010 _dtest 003b __real@bfe62e42fefa39ef 0049 __real@3fd9f323ecbf984c 005b __real@3f43d31708605728 0066 __real@3ec5ca73dff66ede 0071 __real@3ef26c937b07e563 0079 __real@3f1da2e7e515ea71 008d __real@3f51de97c5b063b2 0095 __real@3f83945deb77150f 00a5 __real@3f9c8391e0c43166 00ad __real@3fb5d013b98b14b0 00bd __real@3fa41a22f5c5081f 00c5 __real@3fdb0d4f9f784ed1 00d5 __real@3fed9093fe30efd3 00f2 exp 00fa __real@3ff0000000000000 0110 __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 F7 00 00 00 83 E9 01 0F 84 D8 00 00 00 83 F9 01 0F 84 E5 00 00 00 F2 0F 10 64 24 30 66 0F 2F 25 ?? ?? ?? ?? 0F 86 A9 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 86 97 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 F2 0F 59 DC 0F 28 C3 EB 2E 0F 28 C4 E8 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_602_1_0 {
	meta:
		name = "expm1l"
		size = 289
		refs = "0010 _ldtest 003b __real@bfe62e42fefa39ef 0049 __real@3fd9f323ecbf984c 005b __real@3f43d31708605728 0066 __real@3ec5ca73dff66ede 0071 __real@3ef26c937b07e563 0079 __real@3f1da2e7e515ea71 008d __real@3f51de97c5b063b2 0095 __real@3f83945deb77150f 00a5 __real@3f9c8391e0c43166 00ad __real@3fb5d013b98b14b0 00bd __real@3fa41a22f5c5081f 00c5 __real@3fdb0d4f9f784ed1 00d5 __real@3fed9093fe30efd3 00f2 exp 00fa __real@3ff0000000000000 0110 __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 F7 00 00 00 83 E9 01 0F 84 D8 00 00 00 83 F9 01 0F 84 E5 00 00 00 F2 0F 10 64 24 30 66 0F 2F 25 ?? ?? ?? ?? 0F 86 A9 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 86 97 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 F2 0F 59 DC 0F 28 C3 EB 2E 0F 28 C4 E8 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "??$common_tcsncat_s@D@@YAHQEAD_KQEBD1@Z"
		size = 219
		refs = "0037 _errno 0043 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B DA 4C 8B D1 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 21 4D 85 C0 75 1C 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 49 8B D9 80 39 00 74 09 48 FF C1 48 83 EA 01 75 F2 48 85 D2 75 05 41 88 12 EB CC 49 83 F9 FF 75 18 4C 2B C1 41 8A 04 08 88 01 48 FF C1 84 C0 74 2F 48 83 EA 01 75 ED EB 27 4D 85 C9 74 1B 41 8A 00 49 FF C0 88 01 48 FF C1 84 C0 74 0C 48 83 EA 01 74 06 48 83 EB 01 75 E5 48 85 DB 75 02 88 19 48 85 D2 0F 85 63 FF FF FF 49 83 F9 FF 75 0A 43 88 54 1A FF 8D 42 50 EB 81 41 C6 02 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 65 FF FF FF }
	condition:
		$1
}

rule file_139_1_0 {
	meta:
		name = "strncat_s"
		size = 237
		refs = "0023 _errno 002f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 D2 48 8B DA 4C 8B D9 4D 85 C9 75 2C 48 85 C9 75 2C 48 85 D2 74 14 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 8B D3 41 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 48 85 C9 74 D9 48 85 D2 74 D4 4D 85 C9 74 0A 4D 85 C0 75 05 44 88 11 EB C5 49 8B F9 44 38 11 74 09 48 FF C1 48 83 EA 01 75 F2 48 85 D2 75 05 45 88 13 EB AA 49 83 F9 FF 75 18 4C 2B C1 41 8A 04 08 88 01 48 FF C1 84 C0 74 30 48 83 EA 01 75 ED EB 28 4D 85 C9 74 1B 41 8A 00 49 FF C0 88 01 48 FF C1 84 C0 74 0C 48 83 EA 01 74 06 48 83 EF 01 75 E5 48 85 FF 75 03 44 88 11 48 85 D2 0F 85 6F FF FF FF 49 83 F9 FF 75 0E 45 88 54 1B FF 44 8D 52 50 E9 5B FF FF FF 45 88 13 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 3F FF FF FF }
	condition:
		$1
}

rule file_140_5_0 {
	meta:
		name = "_mbscspn_l"
		size = 217
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0030 strcspn 0044 _errno 004f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 7F 48 85 DB 74 05 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 61 80 3B 00 48 8B D3 74 56 80 3F 00 48 8B CF 74 2E 0F B6 01 42 F6 44 00 19 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 80 39 00 75 D2 80 39 00 75 1B 0F B6 02 42 F6 44 00 19 04 74 08 48 FF C2 80 3A 00 74 08 48 FF C2 80 3A 00 75 AA 48 2B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_141_4_0 {
	meta:
		name = "_mblen_l"
		size = 230
		refs = "0039 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0046 _isleadbyte_l 0085 __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B F2 48 8B F9 48 85 C9 0F 84 B6 00 00 00 80 39 00 0F 84 AD 00 00 00 48 85 D2 0F 84 A4 00 00 00 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 38 E8 ?? ?? ?? ?? 85 C0 BB 01 00 00 00 48 8B 44 24 38 74 3F 44 8B 48 08 44 3B CB 7E 59 48 81 FE FF FF FF 7F 77 50 41 3B F1 7C 4B 83 64 24 28 00 8D 53 08 8B 48 0C 4C 8B C7 48 83 64 24 20 00 FF 15 ?? ?? ?? ?? 85 C0 74 2D 48 8B 44 24 38 8B 58 08 EB 26 83 64 24 28 00 44 8B CB 8B 48 0C 4C 8B C7 48 83 64 24 20 00 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 03 83 CB FF 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 8B C3 EB 02 33 C0 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_141_5_0 {
	meta:
		name = "mblen"
		size = 26
		refs = "0002 __acrt_locale_changed_data 000c __acrt_initial_locale_pointers 0016 _mblen_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 05 ?? ?? ?? ?? EB 03 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_142_0_0 {
	meta:
		name = "ceilf"
		size = 141
		refs = "002a _handle_nanf 0052 __real@3f800000"
	strings:
		$1 = { 45 33 C0 F3 0F 11 44 24 08 8B 54 24 08 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 0E 3D 00 00 80 7F 76 65 8B CA E9 ?? ?? ?? ?? 3D 00 00 80 3F 73 23 85 C0 74 53 45 85 C0 74 10 C7 44 24 08 00 00 00 80 F3 0F 10 44 24 08 EB 3E F3 0F 10 05 ?? ?? ?? ?? EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 08 F3 0F 10 44 24 08 45 85 C0 75 0C 3B D0 74 08 F3 0F 58 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_143_1_0 {
	meta:
		name = "_unloaddll"
		size = 32
		refs = "0006 __imp_FreeLibrary 0015 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "feholdexcept"
		size = 80
		refs = "0019 fegetenv 003b fesetenv 0044 _clearfp"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 38 00 48 8B D9 83 64 24 3C 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 22 48 8B 44 24 38 48 8D 4C 24 38 83 4C 24 38 1F 48 89 03 E8 ?? ?? ?? ?? 85 C0 75 DE E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "cexpl"
		size = 529
		refs = "0028 creall 003e cimagl 004c _ldtest 00e2 _LZero_C 00e9 __xmm@80000000000000008000000000000000 00f8 cos 010e sin 0129 _fperrraise 0136 _LNan_C 01bf _ldexp 01f1 _LCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA F3 0F 7F 45 D0 0F 29 7C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 38 48 8D 4D D0 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1D F2 0F 10 7D 38 F2 0F 11 7D 28 66 85 C0 0F 85 1C 01 00 00 F2 0F 10 75 30 E9 F4 00 00 00 B9 01 00 00 00 66 83 F8 02 75 29 66 3B D9 75 1A 0F 57 FF 66 0F 2F 7D 38 0F 87 EF 00 00 00 F2 0F 10 7D 38 F2 0F 11 7D 28 EB CC F2 0F 10 7D 30 E9 D9 00 00 00 66 3B D9 0F 85 BE 00 00 00 0F 57 F6 66 0F 2F 75 38 76 5D 66 3B C1 75 27 66 0F 2F 75 30 F2 0F 11 75 28 0F 28 FE 0F 86 95 00 00 00 F2 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 81 00 00 00 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 30 F2 0F 59 FE F2 0F 11 7D 28 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 20 0F 28 F0 E9 C3 00 00 00 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 7D 38 F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 7D 28 EB 32 66 85 C0 0F 84 53 FF FF FF F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 30 F2 0F 59 7D 38 F2 0F 11 7D 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 75 38 F2 0F 11 75 20 EB 6C 66 3B C1 75 1C E8 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 7D 28 F2 0F 11 7D 20 0F 28 F7 EB 4B F2 0F 10 45 38 F2 0F 11 45 28 F2 0F 11 45 20 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 28 45 33 C0 E8 ?? ?? ?? ?? F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 20 45 33 C0 E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 10 75 20 0F 28 D6 48 8D 4D D0 0F 28 CF E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_321_0_0 {
	meta:
		name = "cexp"
		size = 529
		refs = "0028 creal 003e cimag 004c _dtest 00e2 _Zero_C 00e9 __xmm@80000000000000008000000000000000 00f8 cos 010e sin 0129 _fperrraise 0136 _Nan_C 01bf _dexp 01f1 _Cbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA F3 0F 7F 45 D0 0F 29 7C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 38 48 8D 4D D0 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1D F2 0F 10 7D 38 F2 0F 11 7D 28 66 85 C0 0F 85 1C 01 00 00 F2 0F 10 75 30 E9 F4 00 00 00 B9 01 00 00 00 66 83 F8 02 75 29 66 3B D9 75 1A 0F 57 FF 66 0F 2F 7D 38 0F 87 EF 00 00 00 F2 0F 10 7D 38 F2 0F 11 7D 28 EB CC F2 0F 10 7D 30 E9 D9 00 00 00 66 3B D9 0F 85 BE 00 00 00 0F 57 F6 66 0F 2F 75 38 76 5D 66 3B C1 75 27 66 0F 2F 75 30 F2 0F 11 75 28 0F 28 FE 0F 86 95 00 00 00 F2 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 81 00 00 00 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 30 F2 0F 59 FE F2 0F 11 7D 28 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 20 0F 28 F0 E9 C3 00 00 00 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 7D 38 F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 7D 28 EB 32 66 85 C0 0F 84 53 FF FF FF F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 30 F2 0F 59 7D 38 F2 0F 11 7D 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 75 38 F2 0F 11 75 20 EB 6C 66 3B C1 75 1C E8 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 7D 28 F2 0F 11 7D 20 0F 28 F7 EB 4B F2 0F 10 45 38 F2 0F 11 45 28 F2 0F 11 45 20 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 28 45 33 C0 E8 ?? ?? ?? ?? F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D 20 45 33 C0 E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 10 75 20 0F 28 D6 48 8D 4D D0 0F 28 CF E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "lrintf"
		size = 120
		refs = "0015 _fdtest 002c nearbyintf 0042 _fperrraise 0049 __real@cf000000 0053 __real@4f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 4E FF C8 83 F8 01 76 3D F3 0F 10 44 24 40 E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 13 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 72 06 F3 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "setbuf"
		size = 28
		refs = "0018 setvbuf"
	strings:
		$1 = { 48 85 D2 75 09 45 33 C9 44 8D 42 04 EB 09 41 B9 00 02 00 00 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "asinf"
		size = 565
		refs = "0052 _handle_nanf 0062 __real@3f800000 006e __real@3fc90fdb 0077 __real@bf800000 0083 __real@bfc90fdb 008d _set_statfp 00a2 ??_C@_05ECHIKDO@asinf?$AA@ 00d2 _handle_errorf 00e3 __xmm@80000000800000008000000080000000 0103 __real@3f000000 013b __real@bc5b3fe1 0146 __real@3b81ce6b 0152 __real@3f8d6fa5 015e __real@3d678bdd 016a __real@3e3c94dc 0176 __real@3f561f0d 019e __real@40000000 01d6 __real@33a22168 01f3 __real@3f490fda"
	strings:
		$1 = { 48 83 EC 68 83 64 24 70 00 0F 57 C9 0F 29 74 24 50 0F 28 F0 F3 0F 11 B4 24 80 00 00 00 8B 94 24 80 00 00 00 8B C2 44 8B C2 C1 E8 17 41 81 E0 00 00 00 80 0F B6 C8 8B C2 0F BA F0 1F 83 E9 7F 3D 00 00 80 7F 76 10 8B CA 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 83 F9 F2 7C 2C 85 C9 78 7C 0F 2E 35 ?? ?? ?? ?? 7A 0C 75 0A F3 0F 10 35 ?? ?? ?? ?? EB 13 0F 2E 35 ?? ?? ?? ?? 7A 1C 75 1A F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 92 01 00 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? 44 89 4C 24 40 41 B8 00 00 C0 FF F3 0F 11 4C 24 38 F3 0F 11 74 24 30 C7 44 24 28 21 00 00 00 41 8D 51 0D C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? E9 50 01 00 00 45 85 C0 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D6 F3 0F 59 15 ?? ?? ?? ?? F3 0F 11 54 24 78 F3 0F 51 4C 24 78 F3 0F 11 4C 24 70 F3 0F 10 5C 24 70 0F 28 F3 EB 13 F3 0F 10 5C 24 70 0F 28 D6 F3 0F 59 D6 F3 0F 11 54 24 78 F3 0F 10 0D ?? ?? ?? ?? 0F 28 C2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C C8 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 CA F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C C2 F3 0F 5E C8 85 C0 0F 84 8A 00 00 00 F3 0F 11 9C 24 80 00 00 00 8B 84 24 80 00 00 00 F3 0F 10 1D ?? ?? ?? ?? 25 00 00 FF FF 89 84 24 80 00 00 00 F3 0F 10 A4 24 80 00 00 00 F3 0F 10 6C 24 70 0F 28 C4 F3 0F 10 54 24 78 F3 0F 59 C4 F3 0F 59 EB F3 0F 5C D0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 E9 0F 28 CC F3 0F 58 4C 24 70 F3 0F 59 E3 F3 0F 5E D1 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C C2 F3 0F 5C E8 0F 28 C1 F3 0F 5C C4 F3 0F 5C E8 F3 0F 5C CD EB 08 F3 0F 59 CE F3 0F 58 CE 45 85 C0 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_149_0_0 {
	meta:
		name = "atanh"
		size = 189
		refs = "0011 _dtest 003b __xmm@80000000000000008000000000000000 004f __real@3ff0000000000000 005a _fperrraise 0062 _Nan_C 007e _Inf_C 009a __real@4000000000000000 00a3 log1p 00ab __real@3fe0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8D 00 00 00 F2 0F 10 4C 24 30 0F 57 C0 66 0F 2F C1 B9 01 00 00 00 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F2 0F 11 4C 24 30 EB 02 33 DB F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F CA 76 0F E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 4F 66 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F2 0F 5C D1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? EB D1 F2 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "atanhl"
		size = 189
		refs = "0011 _ldtest 003b __xmm@80000000000000008000000000000000 004f __real@3ff0000000000000 005a _fperrraise 0062 _LNan_C 007e _LInf_C 009a __real@4000000000000000 00a3 log1pl 00ab __real@3fe0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8D 00 00 00 F2 0F 10 4C 24 30 0F 57 C0 66 0F 2F C1 B9 01 00 00 00 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F2 0F 11 4C 24 30 EB 02 33 DB F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F CA 76 0F E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 4F 66 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F2 0F 5C D1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? EB D1 F2 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "ctanh"
		size = 436
		refs = "0033 creal 0049 cimag 0057 _dtest 007f _Zero_C 0086 __xmm@80000000000000008000000000000000 009a __real@bff0000000000000 00a7 __real@3ff0000000000000 00d2 __real@0000000000000000 00f3 _Nan_C 0105 tan 0112 sinh 0140 _Inf_C 016d sqrt 0185 _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8B EC 48 83 EC 60 0F 10 02 48 8B F9 48 8D 4D C0 0F 29 70 E8 48 8B DA 0F 29 78 D8 F3 0F 7F 45 C0 44 0F 29 40 C8 E8 ?? ?? ?? ?? F2 0F 11 45 18 48 8D 4D C0 0F 10 03 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D 18 F2 0F 11 45 10 E8 ?? ?? ?? ?? 48 8D 4D 10 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 43 B8 00 80 00 00 0F 57 C0 66 85 45 16 74 11 F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? EB 03 0F 28 D0 66 0F 2F 45 18 76 0D F2 0F 10 0D ?? ?? ?? ?? E9 DD 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 D0 00 00 00 66 83 F8 02 75 0D F2 0F 10 55 10 0F 28 CA E9 BD 00 00 00 66 83 FB 02 75 20 F2 0F 10 55 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 05 F2 0F 10 55 18 F2 0F 10 4D 18 E9 97 00 00 00 66 83 F8 01 75 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 81 00 00 00 F2 0F 10 45 10 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 18 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F7 F2 0F 59 F7 F2 0F 58 F1 F2 0F 59 F0 44 0F 28 C6 F2 44 0F 59 C0 F2 44 0F 58 C1 66 44 0F 2E 05 ?? ?? ?? ?? 7A 19 75 17 0F 57 D2 66 0F 2F D0 76 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 FA EB 1E F2 0F 59 C0 F2 41 0F 5E F8 F2 0F 58 C1 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 41 0F 5E C0 0F 28 C8 0F 28 D7 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 74 24 50 4C 8D 5C 24 60 49 8B 5B 20 0F 28 7C 24 40 0F 10 00 48 8B C7 45 0F 28 43 D0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "ctanhl"
		size = 436
		refs = "0033 creall 0049 cimagl 0057 _ldtest 007f _LZero_C 0086 __xmm@80000000000000008000000000000000 009a __real@bff0000000000000 00a7 __real@3ff0000000000000 00d2 __real@0000000000000000 00f3 _LNan_C 0105 tan 0112 sinh 0140 _LInf_C 016d sqrt 0185 _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8B EC 48 83 EC 60 0F 10 02 48 8B F9 48 8D 4D C0 0F 29 70 E8 48 8B DA 0F 29 78 D8 F3 0F 7F 45 C0 44 0F 29 40 C8 E8 ?? ?? ?? ?? F2 0F 11 45 18 48 8D 4D C0 0F 10 03 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D 18 F2 0F 11 45 10 E8 ?? ?? ?? ?? 48 8D 4D 10 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 43 B8 00 80 00 00 0F 57 C0 66 85 45 16 74 11 F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? EB 03 0F 28 D0 66 0F 2F 45 18 76 0D F2 0F 10 0D ?? ?? ?? ?? E9 DD 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 D0 00 00 00 66 83 F8 02 75 0D F2 0F 10 55 10 0F 28 CA E9 BD 00 00 00 66 83 FB 02 75 20 F2 0F 10 55 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 05 F2 0F 10 55 18 F2 0F 10 4D 18 E9 97 00 00 00 66 83 F8 01 75 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 81 00 00 00 F2 0F 10 45 10 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 18 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F7 F2 0F 59 F7 F2 0F 58 F1 F2 0F 59 F0 44 0F 28 C6 F2 44 0F 59 C0 F2 44 0F 58 C1 66 44 0F 2E 05 ?? ?? ?? ?? 7A 19 75 17 0F 57 D2 66 0F 2F D0 76 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 FA EB 1E F2 0F 59 C0 F2 41 0F 5E F8 F2 0F 58 C1 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 41 0F 5E C0 0F 28 C8 0F 28 D7 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 74 24 50 4C 8D 5C 24 60 49 8B 5B 20 0F 28 7C 24 40 0F 10 00 48 8B C7 45 0F 28 43 D0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_154_5_0 {
	meta:
		name = "_mbsnccnt_l"
		size = 152
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 FF 75 19 48 85 DB 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 3C 33 D2 48 85 DB 74 35 48 8B 4C 24 30 48 FF CB 80 3F 00 74 28 0F B6 07 F6 44 08 19 04 74 13 48 8B C3 48 FF CB 48 85 C0 74 13 48 FF C7 80 3F 00 74 0B 48 FF C2 48 FF C7 48 85 DB 75 D0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "lldiv"
		size = 19
	strings:
		$1 = { 48 8B C2 48 99 49 F7 F8 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "??$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
		size = 257
		refs = "0028 __acrt_lock 003c _errno 0048 _invalid_parameter_noinfo 0069 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 008d calloc 00b3 strcpy_s 00c9 __acrt_unlock 00e1 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F8 48 8B F2 4C 8B F9 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 FF 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 75 49 89 1F 48 85 F6 74 03 48 89 1E 8B C3 48 85 FF 0F 95 C0 85 C0 74 D6 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 4E 48 83 CF FF 48 FF C7 38 1C 38 75 F8 BA 01 00 00 00 48 03 FA 48 8B CF E8 ?? ?? ?? ?? 49 89 07 48 85 C0 75 10 E8 ?? ?? ?? ?? B9 0C 00 00 00 89 08 8B D9 EB 1A 4D 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 F6 74 03 48 89 3E B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_156_1_0 {
	meta:
		name = "?fin$0@?0???$common_dupenv_s@D@@YAHQEAPEADQEA_KQEBDH2H@Z@4HA"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0???$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z@4HA ?fin$0@?0???$common_getenv_s@D@@YAHQEA_KQEAD_KQEBD@Z@4HA ?fin$0@?0???$common_getenv_s@_W@@YAHQEA_KQEA_W_KQEB_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0B 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_2_0 {
	meta:
		name = "??$common_dupenv_s@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
		size = 258
		refs = "0028 __acrt_lock 003c _errno 0048 _invalid_parameter_noinfo 0069 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 008e calloc 00b4 wcscpy_s 00ca __acrt_unlock 00e2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F8 48 8B F2 4C 8B F9 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 FF 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 76 49 89 1F 48 85 F6 74 03 48 89 1E 8B C3 48 85 FF 0F 95 C0 85 C0 74 D6 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 4F 48 83 CF FF 48 FF C7 66 39 1C 78 75 F7 48 FF C7 BA 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 89 07 48 85 C0 75 10 E8 ?? ?? ?? ?? B9 0C 00 00 00 89 08 8B D9 EB 1A 4D 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 F6 74 03 48 89 3E B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_156_4_0 {
	meta:
		name = "??$common_dupenv_s_nolock@D@@YAHQEAPEADQEA_KQEBDH2H@Z"
		size = 214
		refs = "0021 _errno 002d _invalid_parameter_noinfo 005f ??$common_getenv_nolock@D@@YAPEADQEBD@Z 0088 calloc 00ae strcpy_s 00d1 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 30 48 8B FA 4C 8B F1 48 85 C9 75 29 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 48 83 21 00 48 85 D2 74 04 48 83 22 00 4D 85 C0 74 C5 49 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB C4 48 83 CB FF 48 FF C3 80 3C 18 00 75 F7 BA 01 00 00 00 48 03 DA 48 8B CB E8 ?? ?? ?? ?? 49 89 06 48 85 C0 75 10 E8 ?? ?? ?? ?? B9 0C 00 00 00 89 08 8B C1 EB 8F 4C 8B C6 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 FF 74 B0 48 89 1F EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_5_0 {
	meta:
		name = "??$common_dupenv_s_nolock@_W@@YAHQEAPEA_WQEA_KQEB_WHQEBDH@Z"
		size = 222
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 0068 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 0091 calloc 00b7 wcscpy_s 00d9 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 33 ED 48 8B FA 4C 8B F1 48 85 C9 75 2E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 48 89 29 48 85 D2 74 03 48 89 2A 4D 85 C0 74 C2 49 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB C1 48 83 CB FF 48 FF C3 66 39 2C 58 75 F7 48 FF C3 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 49 89 06 48 85 C0 75 10 E8 ?? ?? ?? ?? B9 0C 00 00 00 89 08 8B C1 EB 8C 4C 8B C6 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 FF 74 B0 48 89 1F EB AB 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_6_0 {
	meta:
		name = "??$common_getenv@D@@YAPEADQEBD@Z"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f strnlen 0048 __acrt_lock 0051 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 005e __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 0B 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_156_8_0 {
	meta:
		name = "??$common_getenv@_W@@YAPEA_WQEB_W@Z"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f wcsnlen 0048 __acrt_lock 0051 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 005e __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 0B 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_156_7_0 {
	meta:
		name = "?fin$0@?0???$common_getenv@D@@YAPEADQEBD@Z@4HA"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0???$common_getenv@_W@@YAPEA_WQEB_W@Z@4HA ?fin$0@?0???$common_putenv@D@@YAHQEBD0@Z@4HA ?fin$0@?0???$common_putenv@_W@@YAHQEB_W0@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0B 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_10_0 {
	meta:
		name = "??$common_getenv_nolock@D@@YAPEADQEBD@Z"
		size = 136
		refs = "0013 __dcrt_get_or_create_narrow_environment_nolock 0059 _strnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 57 48 85 F6 74 52 48 83 CF FF 48 FF C7 80 3C 3E 00 75 F7 48 83 38 00 74 3F 48 8B 0B 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 48 3B C7 76 15 80 3C 39 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0A 48 83 C3 08 48 83 3B 00 EB CA 48 8B 03 48 FF C0 48 03 C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_156_11_0 {
	meta:
		name = "??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z"
		size = 149
		refs = "0018 __dcrt_get_or_create_wide_environment_nolock 0060 _wcsnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 ED 48 8B D8 48 85 C0 74 58 48 85 F6 74 53 48 83 CF FF 48 FF C7 66 39 2C 7E 75 F7 48 39 28 74 41 48 8B 0B 48 83 C8 FF 48 FF C0 66 39 2C 41 75 F7 48 3B C7 76 16 66 83 3C 79 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 09 48 83 C3 08 48 39 2B EB CA 48 8B 03 48 8D 04 78 48 83 C0 02 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_156_12_0 {
	meta:
		name = "??$common_getenv_s@D@@YAHQEA_KQEAD_KQEBD@Z"
		size = 253
		refs = "002b __acrt_lock 003f _errno 004b _invalid_parameter_noinfo 0080 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 00b7 strcpy_s 00c5 __acrt_unlock 00dd _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 4D 8B F9 49 8B F0 48 8B FA 4C 8B F1 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6E 49 89 1E 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C9 48 85 FF 74 02 88 1F 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 33 48 83 C8 FF 48 FF C0 41 38 1C 00 75 F7 48 FF C0 49 89 06 48 85 F6 74 1B 48 3B C6 76 07 BB 22 00 00 00 EB 0F 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_156_14_0 {
	meta:
		name = "??$common_getenv_s@_W@@YAHQEA_KQEA_W_KQEB_W@Z"
		size = 255
		refs = "002b __acrt_lock 003f _errno 004b _invalid_parameter_noinfo 0081 ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 00b9 wcscpy_s 00c7 __acrt_unlock 00df _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 4D 8B F9 49 8B F0 48 8B FA 4C 8B F1 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 70 49 89 1E 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C9 48 85 FF 74 03 66 89 1F 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 34 48 83 C8 FF 48 FF C0 66 41 39 1C 40 75 F6 48 FF C0 49 89 06 48 85 F6 74 1B 48 3B C6 76 07 BB 22 00 00 00 EB 0F 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_156_16_0 {
	meta:
		name = "??$common_getenv_s_nolock@D@@YAHQEA_KQEAD_KQEBD@Z"
		size = 187
		refs = "001e _errno 002a _invalid_parameter_noinfo 0061 ??$common_getenv_nolock@D@@YAPEADQEBD@Z 009d strcpy_s 00b6 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 23 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 07 48 85 DB 75 07 EB CD 48 85 DB 75 C8 48 85 D2 74 03 C6 02 00 49 8B C9 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 04 33 C0 EB BF 48 83 C8 FF 48 FF C0 41 80 3C 00 00 75 F6 48 FF C0 48 89 06 48 85 DB 74 E3 48 3B C3 76 07 B8 22 00 00 00 EB 9A 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C8 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_17_0 {
	meta:
		name = "??$common_getenv_s_nolock@_W@@YAHQEA_KQEA_W_KQEB_W@Z"
		size = 197
		refs = "0025 _errno 0031 _invalid_parameter_noinfo 006c ??$common_getenv_nolock@_W@@YAPEA_WQEB_W@Z 00a8 wcscpy_s 00c0 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 89 29 48 85 D2 74 07 48 85 DB 75 07 EB C9 48 85 DB 75 C4 48 85 D2 74 03 66 89 2A 49 8B C9 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 04 33 C0 EB BB 48 83 C8 FF 48 FF C0 66 41 39 2C 40 75 F6 48 FF C0 48 89 06 48 85 DB 74 E3 48 3B C3 76 07 B8 22 00 00 00 EB 96 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C8 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_158_20_0 {
	meta:
		name = "??$common_vfscanf@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_082dd7c0feb7dbdaf245f261e54a6583>@@AEAV<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@V<lambda_c640b76c0755ae85b317b35c67c61e6b>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_082dd7c0feb7dbdaf245f261e54a6583>@@AEAV<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@$$QEAV<lambda_c640b76c0755ae85b317b35c67c61e6b>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 28 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_158_21_0 {
	meta:
		name = "??$common_vfscanf@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_1c23a5dd5e46d7c5fbe45428cfdcd388>@@AEAV<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@V<lambda_13a597834fd3cef18bd4341e137232db>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_1c23a5dd5e46d7c5fbe45428cfdcd388>@@AEAV<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@$$QEAV<lambda_13a597834fd3cef18bd4341e137232db>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 28 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_158_22_0 {
	meta:
		name = "??$common_vsscanf@D@@YAH_KQEBD01QEAU__crt_locale_pointers@@QEAD@Z"
		size = 303
		refs = "001b __security_cookie 0038 _errno 0043 _invalid_parameter_noinfo 005b strnlen 006c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b5 memset 00f5 ?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0114 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8D 6C 24 F0 48 81 EC 10 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 45 33 FF 49 8B F1 48 8B FA 4C 8B F1 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 BD 00 00 00 4D 85 C9 74 E3 49 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 60 48 8D 4C 24 38 48 8B D8 E8 ?? ?? ?? ?? 48 8D 04 1F 48 89 7C 24 20 33 D2 48 89 44 24 28 0F 10 44 24 20 48 89 7C 24 30 48 8D 4D B4 F2 0F 10 4C 24 30 44 8D 42 20 4C 89 74 24 60 0F 11 44 24 68 4C 89 75 80 F2 0F 11 4C 24 78 48 89 75 88 44 89 7D 90 E8 ?? ?? ?? ?? 48 8D 44 24 40 44 89 7D 94 48 89 45 D8 48 8D 4C 24 60 48 8B 45 68 48 89 45 E0 66 44 89 7D 98 44 88 7D 9A 4C 89 7D A0 44 89 7D A8 44 88 7D AC 44 89 7D B0 4C 89 7D E8 4C 89 7D F0 E8 ?? ?? ?? ?? 44 38 7C 24 50 74 0C 48 8B 4C 24 38 83 A1 A8 03 00 00 FD 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_23_0 {
	meta:
		name = "??$common_vsscanf@_W@@YAH_KQEB_W01QEAU__crt_locale_pointers@@QEAD@Z"
		size = 281
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0054 wcsnlen 0064 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00d6 ?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 00e1 _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 45 33 FF 49 8B F1 48 8B FA 4C 8B F1 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B4 00 00 00 4D 85 C9 74 E3 49 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 77 48 8D 4D 17 48 8B D8 E8 ?? ?? ?? ?? 48 8D 04 5F 48 89 7C 24 20 48 89 44 24 28 48 8D 4D 97 0F 10 44 24 20 48 8D 45 1F 48 89 7D 87 F2 0F 10 4D 87 48 89 45 F7 48 8B 45 7F 48 89 45 FF 4C 89 75 97 0F 11 45 9F 4C 89 75 B7 F2 0F 11 4D AF 48 89 75 BF 4C 89 7D C7 4C 89 7D EF 44 89 7D CF 44 88 7D D3 4C 89 7D D7 44 89 7D DF 44 88 7D E3 44 89 7D E7 4C 89 7D 07 4C 89 7D 0F E8 ?? ?? ?? ?? 48 8B 4D EF 8B D8 E8 ?? ?? ?? ?? 4C 89 7D EF 44 38 7D 2F 74 0B 48 8B 4D 17 83 A1 A8 03 00 00 FD 8B C3 4C 8D 9C 24 E0 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_158_38_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 55
	strings:
		$1 = { F6 C1 04 74 03 B0 01 C3 F6 C1 01 74 27 83 E1 02 74 0F 48 B8 00 00 00 00 00 00 00 80 48 3B D0 77 E4 85 C9 75 0F 48 B8 FF FF FF FF FF FF FF 7F 48 3B D0 77 D1 32 C0 C3 }
	condition:
		$1
}

rule file_158_41_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z"
		size = 29
		altNames = "??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z"
	strings:
		$1 = { 48 83 61 10 00 48 89 11 4C 89 41 08 4C 89 49 18 4D 85 C9 74 04 41 C6 01 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_158_45_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_686_30_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_686_31_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_686_32_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_686_33_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_46_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_47_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_48_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_49_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_50_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_51_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAM@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_52_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z"
		size = 166
		refs = "0010 __security_cookie 002b _errno 0036 _invalid_parameter_noinfo 005f ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z 006e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAN@Z 0091 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 03 00 00 49 8B F8 48 8B DA 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 0A 48 83 7B 10 00 75 03 C6 00 00 B8 01 00 00 00 EB 31 48 85 C9 74 D1 4C 8D 44 24 20 E8 ?? ?? ?? ?? 4C 8B C7 48 8D 54 24 20 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 0A 48 83 7B 10 00 75 03 C6 01 00 48 8B 8C 24 30 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 03 00 00 48 81 C4 40 03 00 00 5F C3 }
	condition:
		$1
}

rule file_158_53_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2116
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 006f _getc_nolock 00a2 _isctype_l 00b8 __pctype_func 021f _ungetc_nolock 0817 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0828 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 32 33 FF 4D 8B E0 48 8B DA 4C 8B F9 48 85 F6 74 06 48 39 7A 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 DD 07 00 00 4C 8B 6A 10 4C 89 6D F0 49 8D 45 01 48 89 42 10 48 39 7A 08 74 06 48 3B 42 08 77 15 48 8B 0E E8 ?? ?? ?? ?? 8B D0 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A D7 88 55 48 0F B6 F2 4D 85 FF 74 29 49 8B 07 83 78 08 01 7E 11 4D 8B C7 BA 08 00 00 00 8B CE E8 ?? ?? ?? ?? EB 1B 48 8B 00 48 63 CE 0F B7 04 48 83 E0 08 EB 0F E8 ?? ?? ?? ?? 0F B7 04 70 83 E0 08 8A 55 48 85 C0 74 34 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A D0 88 45 48 EB 88 80 FA 2D 49 8D 8C 24 08 03 00 00 48 89 4D F8 0F 94 C0 88 01 8D 42 D5 A8 FD 75 32 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A D0 88 45 48 8D 42 B7 A8 DF 0F 84 C7 06 00 00 8D 42 B2 A8 DF 0F 84 AB 06 00 00 40 88 7D 58 44 8A F7 80 FA 30 0F 85 B8 00 00 00 4C 8B 73 10 49 8D 46 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 65 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 50 48 FF 46 08 83 C0 A8 A8 DF 75 40 48 FF 43 10 48 8B 43 10 C6 45 58 01 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 4C 89 75 F0 8A D0 44 8A 75 58 88 45 48 EB 43 8A 55 48 EB 06 8A 55 48 40 8A CF 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 21 8D 41 01 3C 01 76 1A 48 8B 03 0F BE C9 83 F9 FF 74 0F 48 FF 48 08 48 8B 10 E8 ?? ?? ?? ?? 8A 55 48 44 8A F7 89 7D E0 49 8D 44 24 08 48 89 45 E8 48 8B C8 44 8B C7 44 8A E7 80 FA 30 75 43 41 B4 01 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1F 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 46 08 8A D0 88 45 48 3C 30 75 08 EB CD 40 8A D7 88 55 48 48 8B 4D E8 44 8B C7 4C 8B 6D F8 41 8A C6 F6 D8 45 1B F6 41 83 E6 06 41 83 C6 09 8D 42 D0 3C 09 77 08 0F BE C2 83 E8 30 EB 21 8D 42 9F 3C 19 77 08 0F BE C2 83 E8 57 EB 12 8D 42 BF 3C 19 77 08 0F BE C2 83 E8 37 EB 03 83 C8 FF 41 3B C6 77 57 41 B4 01 49 3B CD 74 09 88 01 48 FF C1 48 89 4D E8 48 FF 43 10 41 FF C0 48 8B 43 10 44 89 45 E0 48 39 7B 08 74 06 48 3B 43 08 77 1E 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 48 8B 4D E8 44 8B 45 E0 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A D0 88 45 48 E9 74 FF FF FF 49 8B 07 4C 8B 6D F0 48 8B 88 F8 00 00 00 48 8B 01 3A 10 0F 85 09 01 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 48 8B 4D 50 8A D0 4C 8B 7D E8 48 83 C1 08 88 45 48 4C 3B F9 75 43 3C 30 75 3F 41 B4 01 48 FF 43 10 FF 4D E0 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1F 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 46 08 8A D0 88 45 48 3C 30 75 08 EB CA 40 8A D7 88 55 48 4C 8B 6D F8 8D 42 D0 3C 09 77 08 0F BE C2 83 E8 30 EB 21 8D 42 9F 3C 19 77 08 0F BE C2 83 E8 57 EB 12 8D 42 BF 3C 19 77 08 0F BE C2 83 E8 37 EB 03 83 C8 FF 41 3B C6 77 42 41 B4 01 4D 3B FD 74 06 41 88 07 49 FF C7 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A D0 88 45 48 EB 89 4C 8B 6D F0 4C 89 7D E8 48 FF 4B 10 48 8B 43 10 45 84 E4 75 4C 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 42 01 3C 01 76 17 0F BE CA 48 8B 13 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 4C 3B 6B 10 74 0C 48 8B 43 18 40 88 38 E9 B4 FB FF FF F6 5D 58 1B C0 83 E0 FB 83 C0 07 E9 8B 03 00 00 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 42 01 3C 01 76 17 0F BE CA 48 8B 13 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 4C 8B 6B 10 49 8D 45 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 18 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A CF 88 4D 48 40 8A C7 80 F9 45 74 14 80 F9 50 74 0A 80 F9 65 74 0A 80 F9 70 75 0C 8A 45 58 EB 07 40 38 7D 58 0F 94 C0 44 8B F7 84 C0 0F 84 21 02 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 3C 2D 88 45 48 8A C8 41 0F 94 C4 2C 2B A8 FD 75 32 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A C8 88 45 48 44 8A FF 80 F9 30 75 3C 41 B7 01 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1F 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 46 08 8A C8 88 45 48 3C 30 75 08 EB CD 40 8A CF 88 4D 48 8D 41 D0 3C 09 77 08 0F BE D1 83 EA 30 EB 21 8D 41 9F 3C 19 77 08 0F BE D1 83 EA 57 EB 12 8D 41 BF 3C 19 77 08 0F BE D1 83 EA 37 EB 03 83 CA FF 83 FA 0A 73 4E 43 8D 04 B6 41 B7 01 44 8D 34 42 41 81 FE 50 14 00 00 7F 34 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A C8 88 45 48 EB 83 41 BE 51 14 00 00 8D 41 D0 3C 09 77 08 0F BE C1 83 E8 30 EB 21 8D 41 9F 3C 19 77 08 0F BE C1 83 E8 57 EB 12 8D 41 BF 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 34 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A C8 88 45 48 EB 97 45 84 E4 74 03 41 F7 DE 45 84 FF 75 74 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B 43 10 40 88 7D 48 4C 3B E8 0F 85 66 FD FF FF 48 FF C0 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 03 40 8A C7 8A C8 88 45 48 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 4C 8B 55 50 48 8B 55 E8 4D 8D 42 08 49 3B D0 74 72 48 8D 42 FF 40 38 38 75 08 48 8B D0 49 3B C0 75 EF 49 3B D0 74 5C 41 81 FE 50 14 00 00 7E 07 B8 09 00 00 00 EB 73 41 BB B0 EB FF FF 45 3B F3 7D 07 B8 08 00 00 00 EB 61 44 8A 4D 58 41 8A C1 F6 D8 1B C9 83 E1 03 FF C1 0F AF 4D E0 44 03 F1 41 81 FE 50 14 00 00 7F C7 45 3B F3 7C D4 41 2B D0 45 89 32 45 84 C9 41 89 52 04 40 0F 95 C7 8B C7 EB 27 B8 02 00 00 00 EB 20 4D 8B C5 48 8D 4D 48 48 8B D3 E8 ?? ?? ?? ?? EB 0F 4D 8B C5 48 8D 4D 48 48 8B D3 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_54_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 4615
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0079 _getwc_nolock 009d iswctype 027c _ungetwc_nolock 11e1 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 11f2 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 58 48 8B 3A 45 33 F6 4D 8B E0 48 8B DA 48 85 FF 74 06 4C 39 72 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 A8 11 00 00 BE 01 00 00 00 4C 8B 6A 10 4C 89 6D D8 49 8D 45 01 48 89 42 10 4C 39 72 08 74 0C 48 3B 42 08 76 06 41 0F B7 C6 EB 1B 48 8B 0F E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 48 01 77 08 EB 03 41 8B C6 BA 08 00 00 00 66 89 45 CC 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4F 41 BF FF FF 00 00 48 01 73 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 1A 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 66 41 3B C7 74 06 48 01 77 08 EB 03 41 8B C6 BA 08 00 00 00 66 89 45 CC 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 B7 44 0F B7 45 CC 49 8D 8C 24 08 03 00 00 66 41 83 F8 2D 48 89 4D E8 0F 94 C0 88 01 41 8D 40 D5 B9 FD FF 00 00 66 85 C1 75 41 48 01 73 10 48 8B 43 10 4C 39 73 08 74 0B 48 3B 43 08 76 05 45 8B C6 EB 23 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0A 48 01 77 08 44 0F B7 C0 EB 04 45 0F B7 C6 66 44 89 45 CC 41 8D 40 B7 B9 DF FF 00 00 66 85 C1 0F 84 77 10 00 00 41 8D 40 B2 66 85 C1 0F 84 59 10 00 00 B8 30 00 00 00 44 88 75 50 45 8A E6 66 44 3B C0 0F 85 F2 00 00 00 48 8B 73 10 48 8D 46 01 48 89 43 10 4C 39 73 08 74 0F 48 3B 43 08 76 09 41 0F B7 CE E9 92 00 00 00 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 72 41 B9 01 00 00 00 8D 41 A8 4C 01 4F 08 BA DF FF 00 00 66 85 C2 75 54 4C 01 4B 10 45 8A E1 48 8B 43 10 44 88 4D 50 4C 39 73 08 74 0C 48 3B 43 08 76 06 45 0F B7 C6 EB 28 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 44 0F B7 C0 B8 FF FF 00 00 66 44 3B C0 74 0B BA 01 00 00 00 48 01 57 08 EB 03 45 8B C6 66 44 89 45 CC 48 89 75 D8 EB 4E 44 0F B7 45 CC EB 0E 44 0F B7 45 CC 41 8B CE 41 B9 01 00 00 00 48 FF 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 25 0F B7 C1 BA FD FF 00 00 66 41 2B C1 66 3B C2 77 14 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 44 0F B7 45 CC 48 8B 45 58 41 BA 30 00 00 00 48 83 C0 08 41 8B D6 48 89 45 E0 48 8B C8 89 55 D0 41 8A F6 45 8D 4A D1 66 45 3B C2 75 5A 41 8A F1 4C 01 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 33 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 41 B9 01 00 00 00 B9 FF FF 00 00 45 8D 51 2F 66 3B C1 74 14 4C 01 4F 08 44 0F B7 C0 66 89 45 CC 66 41 3B C2 75 0B EB B9 45 0F B7 C6 66 44 89 75 CC 48 8B 4D E0 41 8B D6 4C 8B 6D E8 41 8A C4 F6 D8 C7 45 60 6A 06 00 00 BF 60 06 00 00 41 BB 10 FF 00 00 45 1B E4 41 BF FF FF 00 00 41 83 E4 06 41 83 C4 09 B8 F0 06 00 00 66 45 3B C2 0F 82 90 02 00 00 66 41 83 F8 3A 73 0C 41 0F B7 C0 41 2B C2 E9 78 02 00 00 66 45 3B C3 0F 83 57 02 00 00 66 44 3B C7 0F 82 69 02 00 00 66 44 3B 45 60 73 0B 41 0F B7 C0 2B C7 E9 52 02 00 00 66 44 3B C0 0F 82 4D 02 00 00 B8 FA 06 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D F0 06 00 00 E9 2F 02 00 00 B8 66 09 00 00 66 44 3B C0 0F 82 25 02 00 00 B8 70 09 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 66 09 00 00 E9 07 02 00 00 B8 E6 09 00 00 66 44 3B C0 0F 82 FD 01 00 00 B8 F0 09 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D E6 09 00 00 E9 DF 01 00 00 B8 66 0A 00 00 66 44 3B C0 0F 82 D5 01 00 00 B8 70 0A 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 66 0A 00 00 E9 B7 01 00 00 B8 E6 0A 00 00 66 44 3B C0 0F 82 AD 01 00 00 B8 F0 0A 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D E6 0A 00 00 E9 8F 01 00 00 B8 66 0B 00 00 66 44 3B C0 0F 82 85 01 00 00 B8 70 0B 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 66 0B 00 00 E9 67 01 00 00 B8 66 0C 00 00 66 44 3B C0 0F 82 5D 01 00 00 B8 70 0C 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 66 0C 00 00 E9 3F 01 00 00 B8 E6 0C 00 00 66 44 3B C0 0F 82 35 01 00 00 B8 F0 0C 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D E6 0C 00 00 E9 17 01 00 00 B8 66 0D 00 00 66 44 3B C0 0F 82 0D 01 00 00 B8 70 0D 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 66 0D 00 00 E9 EF 00 00 00 B8 50 0E 00 00 66 44 3B C0 0F 82 E5 00 00 00 B8 5A 0E 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D 50 0E 00 00 E9 C7 00 00 00 B8 D0 0E 00 00 66 44 3B C0 0F 82 BD 00 00 00 B8 DA 0E 00 00 66 44 3B C0 73 0E 41 0F B7 C0 2D D0 0E 00 00 E9 9F 00 00 00 B8 20 0F 00 00 66 44 3B C0 0F 82 95 00 00 00 B8 2A 0F 00 00 66 44 3B C0 73 0B 41 0F B7 C0 2D 20 0F 00 00 EB 7A B8 40 10 00 00 66 44 3B C0 72 74 B8 4A 10 00 00 66 44 3B C0 73 0B 41 0F B7 C0 2D 40 10 00 00 EB 59 B8 E0 17 00 00 66 44 3B C0 72 53 B8 EA 17 00 00 66 44 3B C0 73 0B 41 0F B7 C0 2D E0 17 00 00 EB 38 B8 10 18 00 00 66 44 3B C0 72 32 B8 1A 18 00 00 66 44 3B C0 73 27 41 0F B7 C0 2D 10 18 00 00 EB 17 B8 1A FF 00 00 66 44 3B C0 73 09 41 0F B7 C0 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 2D 41 8D 40 BF 66 83 F8 19 76 0F 41 8D 40 9F 66 83 F8 19 76 05 83 C8 FF EB 14 41 8D 40 9F 66 83 F8 19 41 0F B7 C0 77 03 83 E8 20 83 C0 C9 41 3B C4 77 75 41 8A F1 49 3B CD 74 09 88 01 49 03 C9 48 89 4D E0 4C 01 4B 10 41 03 D1 48 8B 43 10 89 55 D0 4C 39 73 08 74 0C 48 3B 43 08 76 06 45 0F B7 C6 EB 3A 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 48 8B 4D E0 41 B9 01 00 00 00 8B 55 D0 44 0F B7 C0 41 BB 10 FF 00 00 45 8D 51 2F 66 41 3B C7 74 06 4C 01 4F 08 EB 03 45 8B C6 BF 60 06 00 00 66 44 89 45 CC E9 BA FC FF FF 4C 8B 7D 48 4C 8B 6D D8 49 8B 07 48 8B 88 F8 00 00 00 48 8B 01 0F BE 08 41 0F B7 C0 3B C1 0F 85 2A 03 00 00 4C 01 4B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 28 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 41 B9 01 00 00 00 B9 FF FF 00 00 45 8D 51 2F 66 3B C1 74 06 4C 01 4F 08 EB 03 41 8B C6 48 8B 55 58 44 0F B7 C0 4C 8B 7D E0 66 89 45 CC 48 8D 4A 08 4C 3B F9 75 5C 66 41 3B C2 75 56 41 8A F1 4C 01 4B 10 44 29 4D D0 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 32 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 1D 41 B9 01 00 00 00 44 0F B7 C0 4C 01 4F 08 66 89 45 CC 41 8D 49 2F 66 3B C1 75 0B EB B6 66 44 89 75 CC 45 0F B7 C6 4C 8B 6D E8 B9 30 00 00 00 66 44 3B C1 0F 82 C7 01 00 00 66 41 83 F8 3A 73 0B 41 0F B7 C0 2B C1 E9 B0 01 00 00 B9 10 FF 00 00 66 44 3B C1 0F 83 8F 01 00 00 B9 60 06 00 00 66 44 3B C1 0F 82 97 01 00 00 8D 41 0A 66 44 3B C0 72 CE B9 F0 06 00 00 66 44 3B C1 0F 82 7F 01 00 00 8D 41 0A 66 44 3B C0 72 B6 B9 66 09 00 00 66 44 3B C1 0F 82 67 01 00 00 8D 41 0A 66 44 3B C0 72 9E 8D 48 76 66 44 3B C1 0F 82 51 01 00 00 8D 41 0A 66 44 3B C0 72 88 8D 48 76 66 44 3B C1 0F 82 3B 01 00 00 8D 41 0A 66 44 3B C0 0F 82 6E FF FF FF 8D 48 76 66 44 3B C1 0F 82 21 01 00 00 8D 41 0A 66 44 3B C0 0F 82 54 FF FF FF 8D 48 76 66 44 3B C1 0F 82 07 01 00 00 8D 41 0A 66 44 3B C0 0F 82 3A FF FF FF B9 66 0C 00 00 66 44 3B C1 0F 82 EB 00 00 00 8D 41 0A 66 44 3B C0 0F 82 1E FF FF FF 8D 48 76 66 44 3B C1 0F 82 D1 00 00 00 8D 41 0A 66 44 3B C0 0F 82 04 FF FF FF 8D 48 76 66 44 3B C1 0F 82 B7 00 00 00 8D 41 0A 66 44 3B C0 0F 82 EA FE FF FF B9 50 0E 00 00 66 44 3B C1 0F 82 9B 00 00 00 8D 41 0A 66 44 3B C0 0F 82 CE FE FF FF 8D 48 76 66 44 3B C1 0F 82 81 00 00 00 8D 41 0A 66 44 3B C0 0F 82 B4 FE FF FF 8D 48 46 66 44 3B C1 72 6B 8D 41 0A 66 44 3B C0 0F 82 9E FE FF FF B9 40 10 00 00 66 44 3B C1 72 53 8D 41 0A 66 44 3B C0 0F 82 86 FE FF FF B9 E0 17 00 00 66 44 3B C1 72 3B 8D 41 0A 66 44 3B C0 0F 82 6E FE FF FF 8D 48 26 66 44 3B C1 72 25 8D 41 0A 66 44 3B C0 73 1C E9 57 FE FF FF B8 1A FF 00 00 66 44 3B C0 0F 82 48 FE FF FF 83 C8 FF 83 F8 FF 75 2D 41 8D 40 BF 66 83 F8 19 76 0F 41 8D 40 9F 66 83 F8 19 76 05 83 C8 FF EB 14 41 8D 40 9F 66 83 F8 19 41 0F B7 C0 77 03 83 E8 20 83 C0 C9 41 3B C4 77 5F B9 01 00 00 00 40 8A F1 4D 3B FD 74 06 41 88 07 4C 03 F9 48 01 4B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 45 0F B7 C6 EB 28 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 44 0F B7 C0 B8 FF FF 00 00 66 44 3B C0 74 0B BA 01 00 00 00 48 01 57 08 EB 03 45 8B C6 66 44 89 45 CC E9 99 FD FF FF 4C 8B 6D D8 4C 89 7D E0 48 FF 4B 10 48 8B 43 10 40 84 F6 75 4F 4C 39 73 08 74 06 48 3B 43 08 77 21 41 8D 40 FF B9 FD FF 00 00 66 3B C1 77 13 48 8B 13 41 0F B7 C8 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 4C 3B 6B 10 74 0C 48 8B 43 18 44 88 30 E9 31 F6 FF FF F6 5D 50 1B C0 83 E0 FB 83 C0 07 E9 D3 07 00 00 4C 39 73 08 74 06 48 3B 43 08 77 2D 41 0F B7 C0 41 BF 01 00 00 00 66 41 2B C7 B9 FD FF 00 00 66 3B C1 77 1B 48 8B 13 41 0F B7 C8 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? EB 06 41 BF 01 00 00 00 4C 8B 6B 10 4C 89 6D E8 49 8D 45 01 48 89 43 10 4C 39 73 08 74 12 48 3B 43 08 76 0C 41 0F B7 CE 41 BC FF FF 00 00 EB 23 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 41 BC FF FF 00 00 0F B7 C8 66 41 3B C4 74 06 4C 01 7F 08 EB 03 41 8B CE 0F B7 C1 41 8A D6 66 89 4D CC 83 F8 45 74 14 83 F8 50 74 0A 83 F8 65 74 0A 83 F8 70 75 0C 8A 55 50 EB 07 44 38 75 50 0F 94 C2 44 89 75 D8 41 8B F6 84 D2 0F 84 29 06 00 00 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 1A 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 66 41 3B C4 74 06 4C 01 7F 08 EB 03 41 8B C6 66 83 F8 2D 66 89 45 CC 0F B7 C8 BA FD FF 00 00 41 0F 94 C4 66 83 E8 2B 44 88 65 C8 66 85 C2 75 3F 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 CE EB 21 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 06 4C 01 7F 08 EB 03 41 8B CE 66 89 4D CC 41 B9 30 00 00 00 44 88 75 60 45 8D 41 D1 66 41 3B C9 75 56 44 88 45 60 4C 01 43 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 32 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 41 B8 01 00 00 00 B9 FF FF 00 00 45 8D 48 2F 66 3B C1 74 13 4C 01 47 08 0F B7 C8 66 89 45 CC 66 41 3B C1 75 0A EB BA 41 0F B7 CE 66 89 4D CC 66 41 3B C9 0F 82 A2 01 00 00 66 83 F9 3A 73 0B 0F B7 D1 41 2B D1 E9 8C 01 00 00 B8 10 FF 00 00 66 3B C8 0F 83 6D 01 00 00 B8 60 06 00 00 66 3B C8 0F 82 75 01 00 00 8D 50 0A 66 3B CA 73 0A 0F B7 D1 2B D0 E9 5E 01 00 00 B8 F0 06 00 00 66 3B C8 0F 82 55 01 00 00 8D 50 0A 66 3B CA 72 E0 B8 66 09 00 00 66 3B C8 0F 82 3F 01 00 00 8D 50 0A 66 3B CA 72 CA 8D 42 76 66 3B C8 0F 82 2B 01 00 00 8D 50 0A 66 3B CA 72 B6 8D 42 76 66 3B C8 0F 82 17 01 00 00 8D 50 0A 66 3B CA 72 A2 8D 42 76 66 3B C8 0F 82 03 01 00 00 8D 50 0A 66 3B CA 72 8E 8D 42 76 66 3B C8 0F 82 EF 00 00 00 8D 50 0A 66 3B CA 0F 82 76 FF FF FF B8 66 0C 00 00 66 3B C8 0F 82 D5 00 00 00 8D 50 0A 66 3B CA 0F 82 5C FF FF FF 8D 42 76 66 3B C8 0F 82 BD 00 00 00 8D 50 0A 66 3B CA 0F 82 44 FF FF FF 8D 42 76 66 3B C8 0F 82 A5 00 00 00 8D 50 0A 66 3B CA 0F 82 2C FF FF FF B8 50 0E 00 00 66 3B C8 0F 82 8B 00 00 00 8D 50 0A 66 3B CA 0F 82 12 FF FF FF 8D 42 76 66 3B C8 72 77 8D 50 0A 66 3B CA 0F 82 FE FE FF FF 8D 42 46 66 3B C8 72 63 8D 50 0A 66 3B CA 0F 82 EA FE FF FF B8 40 10 00 00 66 3B C8 72 4D 8D 50 0A 66 3B CA 0F 82 D4 FE FF FF B8 E0 17 00 00 66 3B C8 72 37 8D 50 0A 66 3B CA 0F 82 BE FE FF FF 8D 42 26 66 3B C8 72 23 8D 50 0A 66 3B CA 73 1B E9 A9 FE FF FF BA 1A FF 00 00 66 3B CA 0F 82 9B FE FF FF 83 CA FF 83 FA FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 CA FF EB 12 8D 41 9F 0F B7 D1 66 83 F8 19 77 03 83 EA 20 83 C2 C9 83 FA 0A 73 68 8D 04 B6 44 88 45 60 8D 34 42 89 75 D8 81 FE 50 14 00 00 7F 4B 4C 01 43 10 48 8B 43 10 4C 39 73 08 74 0A 48 3B 43 08 0F 87 F1 FD FF FF 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 0F B7 C8 41 B8 01 00 00 00 B8 FF FF 00 00 45 8D 48 2F 66 3B C8 74 09 4C 01 47 08 E9 CA FD FF FF 41 8B CE E9 C2 FD FF FF BE 51 14 00 00 89 75 D8 BE F0 06 00 00 41 BD FF FF 00 00 41 BC 10 FF 00 00 41 BF 60 06 00 00 66 41 3B C9 0F 82 AC 01 00 00 66 83 F9 3A 73 0B 0F B7 C1 41 2B C1 E9 96 01 00 00 66 41 3B CC 0F 83 77 01 00 00 66 41 3B CF 0F 82 87 01 00 00 B8 6A 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C7 E9 6D 01 00 00 66 3B CE 0F 82 69 01 00 00 B8 FA 06 00 00 66 3B C8 73 0A 0F B7 C1 2B C6 E9 50 01 00 00 BA 66 09 00 00 66 3B CA 0F 82 47 01 00 00 8D 42 0A 66 3B C8 73 0A 0F B7 C1 2B C2 E9 30 01 00 00 BA E6 09 00 00 66 3B CA 0F 82 27 01 00 00 8D 42 0A 66 3B C8 72 E0 8D 50 76 66 3B CA 0F 82 13 01 00 00 8D 42 0A 66 3B C8 72 CC 8D 50 76 66 3B CA 0F 82 FF 00 00 00 8D 42 0A 66 3B C8 72 B8 8D 50 76 66 3B CA 0F 82 EB 00 00 00 8D 42 0A 66 3B C8 72 A4 BA 66 0C 00 00 66 3B CA 0F 82 D5 00 00 00 8D 42 0A 66 3B C8 72 8E 8D 50 76 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 0F 82 76 FF FF FF 8D 50 76 66 3B CA 0F 82 A9 00 00 00 8D 42 0A 66 3B C8 0F 82 5E FF FF FF BA 50 0E 00 00 66 3B CA 0F 82 8F 00 00 00 8D 42 0A 66 3B C8 0F 82 44 FF FF FF 8D 50 76 66 3B CA 72 7B 8D 42 0A 66 3B C8 0F 82 30 FF FF FF 8D 50 46 66 3B CA 72 67 8D 42 0A 66 3B C8 0F 82 1C FF FF FF BA 40 10 00 00 66 3B CA 72 51 8D 42 0A 66 3B C8 0F 82 06 FF FF FF BA E0 17 00 00 66 3B CA 72 3B 8D 42 0A 66 3B C8 0F 82 F0 FE FF FF 8D 50 26 66 3B CA 72 27 8D 42 0A 66 3B C8 73 1F E9 DB FE FF FF B8 1A FF 00 00 66 3B C8 73 08 0F B7 C1 41 2B C4 EB 03 83 C8 FF 83 F8 FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 }
	condition:
		$1
}

rule file_158_55_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2054
		refs = "0033 _errno 003e _invalid_parameter_noinfo 00a2 _isctype_l 00b5 __pctype_func 07db ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 07ed ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B DA 33 FF 48 8B 12 4D 8B E0 4C 8B F1 48 85 D2 74 06 48 39 7B 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 A5 07 00 00 4C 8B 7B 10 49 8D 47 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 19 48 8B 42 10 48 3B 42 08 74 0F 0F B6 30 48 FF C0 48 89 42 10 83 FE FF 75 03 40 8A F7 40 88 74 24 68 40 0F B6 EE 4D 85 F6 74 26 49 8B 06 83 78 08 01 7E 11 4D 8B C6 BA 08 00 00 00 8B CD E8 ?? ?? ?? ?? EB 1B 48 8B 00 48 63 CD 0F B7 04 48 EB 0C E8 ?? ?? ?? ?? 48 8B C8 0F B7 04 68 83 E0 08 85 C0 74 2D 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 A2 48 8B 0B 48 8B 41 10 48 3B 41 08 74 95 0F B6 30 48 FF C0 48 89 41 10 EB 84 40 80 FE 2D 4D 8D 94 24 08 03 00 00 0F 94 C0 41 88 02 8D 46 D5 A8 FD 75 38 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 0B 48 8B 41 10 48 3B 41 08 74 0F 0F B6 30 48 FF C0 48 89 41 10 83 FE FF 75 03 40 8A F7 40 88 74 24 68 8D 46 B7 41 B1 DF 41 84 C1 0F 84 8D 06 00 00 8D 46 B2 41 84 C1 0F 84 6F 06 00 00 44 8A EF 40 80 FE 30 0F 85 A8 00 00 00 4C 8B 43 10 49 8D 40 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 5F 48 8B 13 48 8B 42 10 48 3B 42 08 74 52 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 74 43 8D 41 A8 41 84 C1 75 3E 48 FF 43 10 41 B5 01 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 0B 48 8B 41 10 48 3B 41 08 74 0F 0F B6 30 48 FF C0 48 89 41 10 83 FE FF 75 03 40 8A F7 4D 8B F8 EB 31 40 8A CF 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A FE C1 80 F9 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 49 83 C4 08 44 8B DF 49 8B EC 44 8A CF 40 80 FE 30 75 40 41 B1 01 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 26 48 8B 13 48 8B 42 10 48 3B 42 08 74 19 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 74 0A 40 8A F1 80 F9 30 75 05 EB C6 40 8A F7 41 8A C5 F6 D8 45 1B C0 41 83 E0 06 41 83 C0 09 8D 46 D0 3C 09 77 09 40 0F BE C6 83 E8 30 EB 23 8D 46 9F 3C 19 77 09 40 0F BE C6 83 E8 57 EB 13 8D 46 BF 3C 19 77 09 40 0F BE C6 83 E8 37 EB 03 83 C8 FF 41 3B C0 77 46 41 B1 01 49 3B EA 74 06 88 45 00 48 FF C5 48 FF 43 10 41 FF C3 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 0B 48 8B 41 10 48 3B 41 08 74 0F 0F B6 30 48 FF C0 48 89 41 10 83 FE FF 75 87 40 8A F7 EB 82 49 8B 06 41 BE 01 00 00 00 44 89 5C 24 68 48 8B 88 F8 00 00 00 48 8B 01 40 3A 30 0F 85 00 01 00 00 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 75 03 40 8A CF 40 8A F1 49 3B EC 75 4D 80 F9 30 75 48 45 8A CE 4C 01 73 10 45 2B DE 48 8B 43 10 44 89 5C 24 68 48 39 7B 08 74 06 48 3B 43 08 77 26 48 8B 13 48 8B 42 10 48 3B 42 08 74 19 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 74 0A 40 8A F1 80 F9 30 75 05 EB BE 40 8A F7 8D 46 D0 3C 09 77 09 40 0F BE C6 83 E8 30 EB 23 8D 46 9F 3C 19 77 09 40 0F BE C6 83 E8 57 EB 13 8D 46 BF 3C 19 77 09 40 0F BE C6 83 E8 37 EB 03 83 C8 FF 41 3B C0 77 40 45 8A CE 49 3B EA 74 06 88 45 00 49 03 EE 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 A3 48 8B 0B 48 8B 41 10 48 3B 41 08 74 96 0F B6 30 48 FF C0 48 89 41 10 83 FE FF 75 8A EB 85 45 84 C9 75 51 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 41 02 F6 41 3A F6 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 4C 3B 7B 10 74 0C 48 8B 43 18 40 88 38 E9 E5 FB FF FF 41 F6 DD 1B C0 83 E0 FB 83 C0 07 E9 84 03 00 00 49 83 CF FF 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 41 02 F6 41 3A F6 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 4C 8B 5B 10 49 8D 43 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 41 3B CF 75 03 40 8A CF 40 8A C7 80 F9 45 74 14 80 F9 50 74 0A 80 F9 65 74 0A 80 F9 70 75 0B 41 8A C5 EB 06 45 84 ED 0F 94 C0 44 8B C7 BE 50 14 00 00 84 C0 0F 84 20 02 00 00 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 0B 48 8B 41 10 48 3B 41 08 74 0F 0F B6 10 48 FF C0 48 89 41 10 41 3B D7 75 03 40 8A D7 80 FA 2D 8A CA 41 0F 94 C2 80 EA 2B F6 C2 FD 75 33 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 41 3B CF 75 03 40 8A CF 44 8A CF 80 F9 30 75 3F 45 8A CE 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 25 48 8B 0B 48 8B 41 10 48 3B 41 08 74 18 0F B6 10 48 FF C0 48 89 41 10 41 3B D7 74 09 8A CA 80 FA 30 75 05 EB C7 40 8A CF 8D 41 D0 3C 09 77 08 0F BE D1 83 EA 30 EB 21 8D 41 9F 3C 19 77 08 0F BE D1 83 EA 57 EB 12 8D 41 BF 3C 19 77 08 0F BE D1 83 EA 37 EB 03 83 CA FF 83 FA 0A 73 48 43 8D 04 80 45 8A CE 44 8D 04 42 44 3B C6 7F 32 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 A4 48 8B 13 48 8B 42 10 48 3B 42 08 74 97 0F B6 08 48 FF C0 48 89 42 10 41 3B CF 75 8B EB 86 41 B8 51 14 00 00 8D 41 D0 3C 09 77 08 0F BE C1 83 E8 30 EB 21 8D 41 9F 3C 19 77 08 0F BE C1 83 E8 57 EB 12 8D 41 BF 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 35 4C 01 73 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 41 3B CF 75 9B 40 8A CF EB 96 45 84 D2 74 03 41 F7 D8 45 84 C9 75 6E 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 41 02 CE 41 3A CE 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 48 8B 43 10 4C 3B D8 0F 85 5A FD FF FF 48 FF C0 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 41 3B CF 75 03 40 8A CF 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 41 02 CE 41 3A CE 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 49 3B EC 74 6B 48 8D 45 FF 40 38 38 75 08 48 8B E8 49 3B C4 75 EF 49 3B EC 74 55 44 3B C6 7E 07 B8 09 00 00 00 EB 72 BA B0 EB FF FF 44 3B C2 7D 07 B8 08 00 00 00 EB 61 41 8A C5 F6 D8 1B C9 83 E1 03 41 03 CE 0F AF 4C 24 68 44 03 C1 44 3B C6 7F CE 44 3B C2 7C DA 48 8B 44 24 70 41 2B EC 45 84 ED 40 0F 95 C7 44 89 00 89 68 04 8B C7 EB 29 B8 02 00 00 00 EB 22 4D 8B C7 48 8D 4C 24 68 48 8B D3 E8 ?? ?? ?? ?? EB 10 4D 8B C7 48 8D 4C 24 68 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_56_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 4528
		refs = "0031 _errno 003c _invalid_parameter_noinfo 00a4 iswctype 1186 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 119b ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 58 48 8B FA 33 F6 48 8B 12 4D 8B F8 48 85 D2 74 06 48 39 77 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 55 11 00 00 41 BC FF FF 00 00 48 8B 6F 10 48 89 6C 24 28 48 8D 45 01 48 89 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 DE EB 1D 48 8B 42 10 48 3B 42 08 74 11 0F B7 18 48 83 C0 02 48 89 42 10 66 41 3B DC 75 02 8B DE 41 BD 08 00 00 00 66 89 9C 24 A8 00 00 00 41 8B D5 0F B7 CB E8 ?? ?? ?? ?? 45 8D 5D F9 85 C0 74 5F 45 8B FB 4C 01 7F 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 CE EB 20 48 8B 17 48 8B 42 10 48 3B 42 08 74 11 0F B7 08 48 83 C0 02 48 89 42 10 66 41 3B CC 75 02 8B CE 41 8B D5 66 89 8C 24 A8 00 00 00 0F B7 D9 E8 ?? ?? ?? ?? 85 C0 75 B0 4C 8B BC 24 B0 00 00 00 44 8D 58 01 66 83 FB 2D 4D 8D 97 08 03 00 00 B9 FD FF 00 00 0F 94 C0 41 88 02 8D 43 D5 66 85 C1 75 41 4C 01 5F 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 DE EB 20 48 8B 0F 48 8B 41 10 48 3B 41 08 74 11 0F B7 18 48 83 C0 02 48 89 41 10 66 41 3B DC 75 02 8B DE 66 89 9C 24 A8 00 00 00 8D 43 B7 41 B9 DF FF 00 00 66 41 85 C1 0F 84 0B 10 00 00 8D 43 B2 66 41 85 C1 0F 84 E9 0F 00 00 BA 30 00 00 00 40 88 B4 24 A8 00 00 00 44 8A EE 66 3B DA 0F 85 C7 00 00 00 4C 8B 47 10 49 8D 40 01 48 89 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 CE EB 74 48 8B 17 48 8B 42 10 48 3B 42 08 74 65 0F B7 08 48 83 C0 02 48 89 42 10 66 41 3B CC 74 54 8D 41 A8 66 41 85 C1 75 4D 4C 01 5F 10 45 8A EB 48 8B 47 10 44 88 9C 24 A8 00 00 00 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 DE EB 20 48 8B 0F 48 8B 41 10 48 3B 41 08 74 11 0F B7 18 48 83 C0 02 48 89 41 10 66 41 3B DC 75 02 8B DE 4C 89 44 24 28 EB 38 8B CE 48 FF 4F 10 48 8B 47 10 48 39 77 08 74 06 48 3B 47 08 77 22 66 41 2B CB B8 FD FF 00 00 66 3B C8 77 14 48 8B 0F 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 4D 8D 67 08 B9 30 00 00 00 66 3B D9 4C 89 64 24 40 B9 01 00 00 00 4C 89 64 24 38 4D 8B FC 44 8B DE 44 8A C6 75 55 44 8A C1 41 B9 FF FF 00 00 48 01 4F 10 48 8B 47 10 48 39 77 08 74 06 48 3B 47 08 77 35 48 8B 0F 48 8B 41 10 48 3B 41 08 74 23 0F B7 10 48 83 C0 02 48 89 41 10 66 41 3B D1 74 12 B8 30 00 00 00 0F B7 DA 8D 48 D1 66 3B D0 75 0A EB BC B9 01 00 00 00 0F B7 DE 41 8A C5 C7 84 24 B8 00 00 00 6A 06 00 00 F6 D8 C7 44 24 30 FA 06 00 00 BD 60 06 00 00 41 BE 10 FF 00 00 45 1B C9 41 BD F0 06 00 00 41 83 E1 06 BA 30 00 00 00 41 83 C1 09 41 BC FF FF 00 00 B8 66 09 00 00 66 3B DA 0F 82 56 02 00 00 66 83 FB 3A 73 0A 0F B7 C3 2B C2 E9 41 02 00 00 66 41 3B DE 0F 83 22 02 00 00 66 3B DD 0F 82 33 02 00 00 66 3B 9C 24 B8 00 00 00 73 0A 0F B7 C3 2B C5 E9 1A 02 00 00 66 41 3B DD 0F 82 15 02 00 00 66 3B 5C 24 30 73 0B 0F B7 C3 41 2B C5 E9 FE 01 00 00 66 3B D8 0F 82 FA 01 00 00 B8 70 09 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 09 00 00 E9 DE 01 00 00 B8 E6 09 00 00 66 3B D8 0F 82 D5 01 00 00 B8 F0 09 00 00 66 3B D8 73 0D 0F B7 C3 2D E6 09 00 00 E9 B9 01 00 00 B8 66 0A 00 00 66 3B D8 0F 82 B0 01 00 00 B8 70 0A 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 0A 00 00 E9 94 01 00 00 B8 E6 0A 00 00 66 3B D8 0F 82 8B 01 00 00 B8 F0 0A 00 00 66 3B D8 73 0D 0F B7 C3 2D E6 0A 00 00 E9 6F 01 00 00 B8 66 0B 00 00 66 3B D8 0F 82 66 01 00 00 B8 70 0B 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 0B 00 00 E9 4A 01 00 00 B8 66 0C 00 00 66 3B D8 0F 82 41 01 00 00 B8 70 0C 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 0C 00 00 E9 25 01 00 00 B8 E6 0C 00 00 66 3B D8 0F 82 1C 01 00 00 B8 F0 0C 00 00 66 3B D8 73 0D 0F B7 C3 2D E6 0C 00 00 E9 00 01 00 00 B8 66 0D 00 00 66 3B D8 0F 82 F7 00 00 00 B8 70 0D 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 0D 00 00 E9 DB 00 00 00 B8 50 0E 00 00 66 3B D8 0F 82 D2 00 00 00 B8 5A 0E 00 00 66 3B D8 73 0D 0F B7 C3 2D 50 0E 00 00 E9 B6 00 00 00 B8 D0 0E 00 00 66 3B D8 0F 82 AD 00 00 00 B8 DA 0E 00 00 66 3B D8 73 0D 0F B7 C3 2D D0 0E 00 00 E9 91 00 00 00 B8 20 0F 00 00 66 3B D8 0F 82 88 00 00 00 B8 2A 0F 00 00 66 3B D8 73 0A 0F B7 C3 2D 20 0F 00 00 EB 6F B8 40 10 00 00 66 3B D8 72 6A B8 4A 10 00 00 66 3B D8 73 0A 0F B7 C3 2D 40 10 00 00 EB 51 B8 E0 17 00 00 66 3B D8 72 4C B8 EA 17 00 00 66 3B D8 73 0A 0F B7 C3 2D E0 17 00 00 EB 33 B8 10 18 00 00 66 3B D8 72 2E B8 1A 18 00 00 66 3B D8 73 24 0F B7 C3 2D 10 18 00 00 EB 15 B8 1A FF 00 00 66 3B D8 73 08 0F B7 C3 41 2B C6 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 41 3B C1 77 57 44 8A C1 4D 3B FA 74 06 41 88 07 4C 03 F9 48 01 4F 10 44 03 D9 48 8B 47 10 48 39 77 08 74 0E 48 3B 47 08 76 08 0F B7 DE E9 41 FD FF FF 48 8B 0F 48 8B 41 10 48 3B 41 08 74 11 0F B7 18 48 83 C0 02 48 89 41 10 66 41 3B DC 75 02 8B DE B9 01 00 00 00 E9 17 FD FF FF 4C 8B B4 24 A0 00 00 00 48 8B 6C 24 28 4C 8B 64 24 40 44 8A AC 24 A8 00 00 00 49 8B 06 41 BE 01 00 00 00 44 89 5C 24 30 4C 89 7C 24 38 48 8B 88 F8 00 00 00 48 8B 01 0F BE 08 0F B7 C3 3B C1 0F 85 02 03 00 00 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 CE EB 29 48 8B 17 48 8B 42 10 48 3B 42 08 74 15 0F B7 08 48 83 C0 02 48 89 42 10 B8 FF FF 00 00 66 3B C8 75 02 8B CE BA 30 00 00 00 0F B7 D9 4D 3B FC 75 58 66 3B CA 75 53 45 8A C6 4C 01 77 10 45 2B DE 48 8B 47 10 44 89 5C 24 30 48 39 77 08 74 06 48 3B 47 08 77 31 48 8B 0F 48 8B 41 10 48 3B 41 08 74 24 0F B7 10 48 83 C0 02 48 89 41 10 B8 FF FF 00 00 66 3B D0 74 0F B8 30 00 00 00 0F B7 DA 66 3B D0 75 0A EB B3 0F B7 DE B8 30 00 00 00 BD 10 FF 00 00 41 BC FF FF 00 00 41 BD 60 06 00 00 66 3B D8 0F 82 AB 01 00 00 66 83 FB 3A 73 0F B9 30 00 00 00 0F B7 C3 2B C1 E9 91 01 00 00 66 3B DD 0F 83 74 01 00 00 66 41 3B DD 0F 82 83 01 00 00 B8 6A 06 00 00 66 3B D8 73 0B 0F B7 C3 41 2B C5 E9 69 01 00 00 B9 F0 06 00 00 66 3B D9 0F 82 60 01 00 00 8D 41 0A 66 3B D8 72 B8 B9 66 09 00 00 66 3B D9 0F 82 4A 01 00 00 8D 41 0A 66 3B D8 72 A2 8D 48 76 66 3B D9 0F 82 36 01 00 00 8D 41 0A 66 3B D8 72 8E 8D 48 76 66 3B D9 0F 82 22 01 00 00 8D 41 0A 66 3B D8 0F 82 76 FF FF FF 8D 48 76 66 3B D9 0F 82 0A 01 00 00 8D 41 0A 66 3B D8 0F 82 5E FF FF FF 8D 48 76 66 3B D9 0F 82 F2 00 00 00 8D 41 0A 66 3B D8 0F 82 46 FF FF FF B9 66 0C 00 00 66 3B D9 0F 82 D8 00 00 00 8D 41 0A 66 3B D8 0F 82 2C FF FF FF 8D 48 76 66 3B D9 0F 82 C0 00 00 00 8D 41 0A 66 3B D8 0F 82 14 FF FF FF 8D 48 76 66 3B D9 0F 82 A8 00 00 00 8D 41 0A 66 3B D8 0F 82 FC FE FF FF B9 50 0E 00 00 66 3B D9 0F 82 8E 00 00 00 8D 41 0A 66 3B D8 0F 82 E2 FE FF FF 8D 48 76 66 3B D9 72 7A 8D 41 0A 66 3B D8 0F 82 CE FE FF FF 8D 48 46 66 3B D9 72 66 8D 41 0A 66 3B D8 0F 82 BA FE FF FF B9 40 10 00 00 66 3B D9 72 50 8D 41 0A 66 3B D8 0F 82 A4 FE FF FF B9 E0 17 00 00 66 3B D9 72 3A 8D 41 0A 66 3B D8 0F 82 8E FE FF FF 8D 48 26 66 3B D9 72 26 8D 41 0A 66 3B D8 73 1E E9 79 FE FF FF B8 1A FF 00 00 66 3B D8 73 07 0F B7 C3 2B C5 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 41 3B C1 77 51 45 8A C6 4D 3B FA 74 06 41 88 07 4D 03 FE 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 DE EB 20 48 8B 0F 48 8B 41 10 48 3B 41 08 74 11 0F B7 18 48 83 C0 02 48 89 41 10 66 41 3B DC 75 02 8B DE B8 30 00 00 00 E9 CD FD FF FF 48 8B 6C 24 28 4C 8B 64 24 40 44 8A AC 24 A8 00 00 00 4C 89 7C 24 38 48 FF 4F 10 48 8B 47 10 45 84 C0 75 50 48 39 77 08 74 06 48 3B 47 08 77 22 66 41 2B DE B8 FD FF 00 00 66 3B D8 77 14 48 8B 0F 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 48 3B 6F 10 74 0C 48 8B 47 18 40 88 30 E9 9B F6 FF FF 41 F6 DD 1B C0 83 E0 FB 83 C0 07 E9 EA 07 00 00 48 39 77 08 74 06 48 3B 47 08 77 26 66 41 2B DE 41 B9 FD FF 00 00 66 41 3B D9 77 1C 48 8B 0F 48 8B 41 10 48 3B 01 74 10 48 83 C0 FE 48 89 41 10 EB 06 41 B9 FD FF 00 00 4C 8B 5F 10 4C 89 5C 24 48 49 8D 43 01 48 89 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 CE EB 24 48 8B 17 48 8B 42 10 48 3B 42 08 74 15 0F B7 08 48 83 C0 02 48 89 42 10 B8 FF FF 00 00 66 3B C8 75 02 8B CE 0F B7 C1 40 8A D6 83 F8 45 74 14 83 F8 50 74 0A 83 F8 65 74 0A 83 F8 70 75 0B 41 8A D5 EB 06 45 84 ED 0F 94 C2 89 74 24 28 44 8B C6 BB 50 14 00 00 84 D2 0F 84 5A 06 00 00 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 D6 EB 24 48 8B 0F 48 8B 41 10 48 3B 41 08 74 15 0F B7 10 48 83 C0 02 48 89 41 10 B8 FF FF 00 00 66 3B D0 75 02 8B D6 66 83 FA 2D 0F B7 CA 41 0F 94 C2 66 83 EA 2B 44 88 54 24 20 66 41 85 D1 75 3D 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0B 48 3B 47 08 76 05 0F B7 CE EB 24 48 8B 17 48 8B 42 10 48 3B 42 08 74 15 0F B7 08 48 83 C0 02 48 89 42 10 B8 FF FF 00 00 66 3B C8 75 02 8B CE BD 30 00 00 00 40 88 B4 24 B8 00 00 00 66 3B CD 75 4E 44 88 B4 24 B8 00 00 00 4C 01 77 10 48 8B 47 10 48 39 77 08 74 06 48 3B 47 08 77 2C 48 8B 0F 48 8B 41 10 48 3B 41 08 74 1F 0F B7 10 48 83 C0 02 48 89 41 10 B8 FF FF 00 00 66 3B D0 74 0A 0F B7 CA 66 3B D5 75 05 EB C0 0F B7 CE 66 3B CD 0F 82 A1 01 00 00 66 83 F9 3A 73 0A 0F B7 D1 2B D5 E9 8C 01 00 00 B8 10 FF 00 00 66 3B C8 0F 83 6D 01 00 00 B8 60 06 00 00 66 3B C8 0F 82 75 01 00 00 8D 50 0A 66 3B CA 73 0A 0F B7 D1 2B D0 E9 5E 01 00 00 B8 F0 06 00 00 66 3B C8 0F 82 55 01 00 00 8D 50 0A 66 3B CA 72 E0 B8 66 09 00 00 66 3B C8 0F 82 3F 01 00 00 8D 50 0A 66 3B CA 72 CA 8D 42 76 66 3B C8 0F 82 2B 01 00 00 8D 50 0A 66 3B CA 72 B6 8D 42 76 66 3B C8 0F 82 17 01 00 00 8D 50 0A 66 3B CA 72 A2 8D 42 76 66 3B C8 0F 82 03 01 00 00 8D 50 0A 66 3B CA 72 8E 8D 42 76 66 3B C8 0F 82 EF 00 00 00 8D 50 0A 66 3B CA 0F 82 76 FF FF FF B8 66 0C 00 00 66 3B C8 0F 82 D5 00 00 00 8D 50 0A 66 3B CA 0F 82 5C FF FF FF 8D 42 76 66 3B C8 0F 82 BD 00 00 00 8D 50 0A 66 3B CA 0F 82 44 FF FF FF 8D 42 76 66 3B C8 0F 82 A5 00 00 00 8D 50 0A 66 3B CA 0F 82 2C FF FF FF B8 50 0E 00 00 66 3B C8 0F 82 8B 00 00 00 8D 50 0A 66 3B CA 0F 82 12 FF FF FF 8D 42 76 66 3B C8 72 77 8D 50 0A 66 3B CA 0F 82 FE FE FF FF 8D 42 46 66 3B C8 72 63 8D 50 0A 66 3B CA 0F 82 EA FE FF FF B8 40 10 00 00 66 3B C8 72 4D 8D 50 0A 66 3B CA 0F 82 D4 FE FF FF B8 E0 17 00 00 66 3B C8 72 37 8D 50 0A 66 3B CA 0F 82 BE FE FF FF 8D 42 26 66 3B C8 72 23 8D 50 0A 66 3B CA 73 1B E9 A9 FE FF FF BA 1A FF 00 00 66 3B CA 0F 82 9B FE FF FF 83 CA FF 83 FA FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 CA FF EB 12 8D 41 9F 0F B7 D1 66 83 F8 19 77 03 83 EA 20 83 C2 C9 83 FA 0A 73 6A 43 8D 04 80 44 88 B4 24 B8 00 00 00 44 8D 04 42 44 89 44 24 28 44 3B C3 7F 45 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0A 48 3B 47 08 0F 87 F3 FD FF FF 48 8B 17 48 8B 42 10 48 3B 42 08 74 19 0F B7 08 48 83 C0 02 48 89 42 10 B8 FF FF 00 00 66 3B C8 0F 85 D0 FD FF FF 8B CE E9 C9 FD FF FF 41 B8 51 14 00 00 44 89 44 24 28 BB FF FF 00 00 41 BC 10 FF 00 00 41 BD 60 06 00 00 41 BB F0 06 00 00 41 BA 66 09 00 00 41 B9 E6 09 00 00 41 B8 66 0A 00 00 41 BF E6 0A 00 00 66 3B CD 0F 82 C3 01 00 00 66 83 F9 3A 73 0A 0F B7 C1 2B C5 E9 AE 01 00 00 66 41 3B CC 0F 83 8F 01 00 00 66 41 3B CD 0F 82 9F 01 00 00 B8 6A 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C5 E9 85 01 00 00 66 41 3B CB 0F 82 80 01 00 00 B8 FA 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C3 E9 66 01 00 00 66 41 3B CA 0F 82 61 01 00 00 B8 70 09 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C2 E9 47 01 00 00 66 41 3B C9 0F 82 42 01 00 00 B8 F0 09 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C1 E9 28 01 00 00 66 41 3B C8 0F 82 23 01 00 00 B8 70 0A 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C0 E9 09 01 00 00 66 41 3B CF 0F 82 04 01 00 00 B8 F0 0A 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C7 E9 EA 00 00 00 BA 66 0B 00 00 66 3B CA 0F 82 E1 00 00 00 8D 42 0A 66 3B C8 73 0A 0F B7 C1 2B C2 E9 CA 00 00 00 BA 66 0C 00 00 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 72 E0 8D 50 76 66 3B CA 0F 82 AD 00 00 00 8D 42 0A 66 3B C8 72 CC 8D 50 76 66 3B CA 0F 82 99 00 00 00 8D 42 0A 66 3B C8 72 B8 BA 50 0E 00 00 66 3B CA 0F 82 83 00 00 00 8D 42 0A 66 3B C8 72 A2 8D 50 76 66 3B CA 72 73 8D 42 0A 66 3B C8 72 92 8D 50 46 66 3B CA 72 63 8D 42 0A 66 3B C8 72 82 BA 40 10 00 00 66 3B CA 72 51 8D 42 0A 66 3B C8 0F 82 6C FF FF FF BA E0 17 00 00 66 3B CA 72 3B 8D 42 0A 66 3B C8 0F 82 56 FF FF FF 8D 50 26 66 3B CA 72 27 8D 42 0A 66 3B C8 73 1F E9 41 FF FF FF B8 1A FF 00 00 66 3B C8 73 08 0F B7 C1 41 2B C4 EB 03 83 C8 FF 83 F8 FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 41 9F 66 83 F8 19 0F B7 C1 77 03 83 E8 20 83 C0 C9 83 F8 0A 73 44 4C 01 77 10 48 8B 47 10 48 39 77 08 74 0E 48 3B 47 08 76 08 0F B7 CE E9 EA FD FF FF 48 8B 17 48 8B 42 10 48 3B 42 08 74 14 0F B7 08 48 83 C0 02 48 89 42 10 66 3B CB 0F }
	condition:
		$1
}

rule file_158_57_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 595
		refs = "001d __ImageBase 0033 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003d ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0062 _getc_nolock 00be _ungetc_nolock 014f ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0159 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 FF 4C 8D 3D ?? ?? ?? ?? 8B F7 49 8B E8 48 8B DA 4C 8B F1 41 8A 06 42 3A 84 3E ?? ?? ?? ?? 74 0E 42 3A 84 3E ?? ?? ?? ?? 0F 85 A9 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 26 4C 8B 3B 49 8B 0F E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 0D 49 FF 47 08 4C 8D 3D ?? ?? ?? ?? EB 0A 4C 8D 3D ?? ?? ?? ?? 40 8A CF 48 FF C6 41 88 0E 48 83 FE 03 75 9C 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B 6B 10 48 8D 45 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 65 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 55 48 FF 46 08 EB 52 41 8A 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 41 88 3E 48 3B 6B 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 A4 00 00 00 40 8A C7 41 88 06 48 8B F7 41 8A 06 42 3A 84 3E ?? ?? ?? ?? 74 0E 42 3A 84 3E ?? ?? ?? ?? 0F 85 99 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 26 4C 8B 3B 49 8B 0F E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 0D 49 FF 47 08 4C 8D 3D ?? ?? ?? ?? EB 0A 4C 8D 3D ?? ?? ?? ?? 40 8A CF 48 FF C6 41 88 0E 48 83 FE 05 75 9C 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 41 8A 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 41 88 3E 48 3B 6B 10 74 09 48 8B 43 18 40 88 38 EB 03 40 B7 01 40 F6 DF 1B C0 83 E0 FC 83 C0 07 EB 90 }
	condition:
		$1
}

rule file_158_58_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 534
		refs = "0010 __ImageBase 0024 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002e ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00e9 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00f3 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 45 33 C9 48 8D 35 ?? ?? ?? ?? 45 8B D1 49 8B D8 4C 8B D9 41 8A 03 41 3A 84 32 ?? ?? ?? ?? 74 0E 41 3A 84 32 ?? ?? ?? ?? 0F 85 42 01 00 00 48 FF 42 10 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1C 4C 8B 02 49 8B 40 10 49 3B 40 08 74 0F 0F B6 08 48 FF C0 49 89 40 10 83 F9 FF 75 03 41 8A C9 49 FF C2 41 88 0B 49 83 FA 03 75 A6 48 FF 4A 10 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1A FE C1 80 F9 01 76 13 48 8B 0A 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 48 8B 5A 10 48 8D 43 01 48 89 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1C 4C 8B 02 49 8B 40 10 49 3B 40 08 74 0F 0F B6 08 48 FF C0 49 89 40 10 83 F9 FF 75 03 41 8A C9 41 88 0B 4D 8B C1 41 8A 03 41 3A 84 30 ?? ?? ?? ?? 74 0E 41 3A 84 30 ?? ?? ?? ?? 0F 85 C4 00 00 00 48 FF 42 10 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1C 4C 8B 12 49 8B 42 10 49 3B 42 08 74 0F 0F B6 08 48 FF C0 49 89 42 10 83 F9 FF 75 03 41 8A C9 49 FF C0 41 88 0B 49 83 F8 05 75 A6 48 FF 4A 10 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1A FE C1 80 F9 01 76 13 4C 8B 02 49 8B 48 10 49 3B 08 74 07 48 FF C9 49 89 48 10 B8 03 00 00 00 48 8B 5C 24 08 48 8B 74 24 10 C3 41 8A 03 48 FF 4A 10 48 8B 4A 10 4C 39 4A 08 74 06 48 3B 4A 08 77 19 FE C0 3C 01 76 13 48 8B 0A 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 45 88 0B 48 3B 5A 10 74 07 48 8B 42 18 44 88 08 B8 07 00 00 00 EB AE 41 8A 03 48 FF 4A 10 48 8B 4A 10 4C 39 4A 08 74 06 48 3B 4A 08 77 19 FE C0 3C 01 76 13 48 8B 0A 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 45 88 0B 48 3B 5A 10 74 09 48 8B 42 18 44 88 08 EB 03 41 B1 01 41 F6 D9 1B C0 83 E0 FC 83 C0 07 E9 59 FF FF FF }
	condition:
		$1
}

rule file_158_59_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 654
		refs = "0039 __ImageBase 0041 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 004b ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0075 _getwc_nolock 00d5 _ungetwc_nolock 017d ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0188 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B E0 48 8B DA 4C 8B F1 8B F7 BD FF FF 00 00 44 8D 7F 01 41 0F B7 06 48 8D 0D ?? ?? ?? ?? 66 3B 84 0E ?? ?? ?? ?? 74 0E 66 3B 84 0E ?? ?? ?? ?? 0F 85 A1 00 00 00 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 29 4C 8B 3B 49 8B 0F E8 ?? ?? ?? ?? 0F B7 C8 66 3B C5 74 0E B8 01 00 00 00 49 01 47 08 44 8B F8 EB 08 8B CF 41 BF 01 00 00 00 48 83 C6 02 66 41 89 0E 48 83 FE 06 75 8D 48 FF 4B 10 BD FD FF 00 00 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 0F B7 C1 66 41 2B C7 66 3B C5 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 4C 8B 6B 10 49 8D 45 01 48 89 43 10 48 39 7B 08 74 5E 48 3B 43 08 76 58 0F B7 C7 EB 70 41 0F B7 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 20 0F B7 C1 BD FD FF 00 00 66 41 2B C7 66 3B C5 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 66 41 89 3E 4C 3B 63 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 D2 00 00 00 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 4C 01 7E 08 EB 02 8B C7 66 41 89 06 4C 8D 25 ?? ?? ?? ?? 48 8B F7 41 0F B7 06 66 42 3B 84 26 ?? ?? ?? ?? 74 0F 66 42 3B 84 26 ?? ?? ?? ?? 0F 85 A6 00 00 00 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 2E 4C 8B 3B 49 8B 0F E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 0E B8 01 00 00 00 49 01 47 08 44 8B F8 EB 08 8B CF 41 BF 01 00 00 00 48 83 C6 02 66 41 89 0E 48 83 FE 0A 75 8D 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 0F B7 C1 66 41 2B C7 66 3B C5 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 41 0F B7 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 0F B7 C1 66 41 2B C7 66 3B C5 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 66 41 89 3E 4C 3B 6B 10 74 09 48 8B 43 18 40 88 38 EB 03 41 8A FF 40 F6 DF 1B C0 83 E0 FC 83 C0 07 EB 8D }
	condition:
		$1
}

rule file_158_60_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 626
		refs = "001b __ImageBase 003b ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0046 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0171 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 017c ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 45 33 C9 48 8D 2D ?? ?? ?? ?? 49 8B F8 4C 8B D9 45 8B D1 41 BE FF FF 00 00 41 8D 71 01 41 0F B7 03 66 41 3B 84 2A ?? ?? ?? ?? 74 0F 66 41 3B 84 2A ?? ?? ?? ?? 0F 85 9C 00 00 00 48 01 72 10 48 8B 42 10 4C 39 4A 08 74 0C 48 3B 42 08 76 06 41 0F B7 C9 EB 21 4C 8B 02 49 8B 40 10 49 3B 40 08 74 11 0F B7 08 48 83 C0 02 49 89 40 10 66 41 3B CE 75 03 41 8B C9 49 83 C2 02 66 41 89 0B 49 83 FA 06 75 99 48 FF 4A 10 BB FD FF 00 00 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1C 66 2B CE 66 3B CB 77 14 48 8B 0A 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 48 8B 7A 10 48 8D 47 01 48 89 42 10 4C 39 4A 08 74 60 48 3B 42 08 76 5A 41 0F B7 C9 EB 75 41 0F B7 03 48 FF 4A 10 48 8B 4A 10 4C 39 4A 08 74 06 48 3B 4A 08 77 21 66 2B C6 BB FD FF 00 00 66 3B C3 77 14 48 8B 0A 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 66 45 89 0B 48 3B 7A 10 74 07 48 8B 42 18 44 88 08 B8 07 00 00 00 E9 C4 00 00 00 4C 8B 02 49 8B 40 10 49 3B 40 08 74 11 0F B7 08 48 83 C0 02 49 89 40 10 66 41 3B CE 75 03 41 8B C9 66 41 89 0B 4D 8B C1 41 0F B7 03 66 41 3B 84 28 ?? ?? ?? ?? 74 0F 66 41 3B 84 28 ?? ?? ?? ?? 0F 85 95 00 00 00 48 01 72 10 48 8B 42 10 4C 39 4A 08 74 0C 48 3B 42 08 76 06 41 0F B7 C9 EB 21 4C 8B 12 49 8B 42 10 49 3B 42 08 74 11 0F B7 08 48 83 C0 02 49 89 42 10 66 41 3B CE 75 03 41 8B C9 49 83 C0 02 66 41 89 0B 49 83 F8 0A 75 99 48 FF 4A 10 48 8B 42 10 4C 39 4A 08 74 06 48 3B 42 08 77 1C 66 2B CE 66 3B CB 77 14 48 8B 0A 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 B8 03 00 00 00 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 5E C3 41 0F B7 03 48 FF 4A 10 48 8B 4A 10 4C 39 4A 08 74 06 48 3B 4A 08 77 1C 66 2B C6 66 3B C3 77 14 48 8B 0A 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 66 45 89 0B 48 3B 7A 10 74 09 48 8B 42 18 44 88 08 EB 03 44 8A CE 41 F6 D9 1B C0 83 E0 FC 83 C0 07 EB 92 }
	condition:
		$1
}

rule file_158_61_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 629
		refs = "0027 __ImageBase 003d ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0047 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 006d _getc_nolock 00ba _ungetc_nolock 00f7 ??R<lambda_156378f40168adef48d7ddfcff3a1264>@@QEBA_NXZ 015c ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 01aa ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 4D 89 43 18 57 41 55 41 56 48 83 EC 40 49 8D 43 18 49 89 53 C8 49 89 43 D8 4C 8D 2D ?? ?? ?? ?? 48 8B DA 49 89 4B D0 48 8B F9 33 F6 8A 07 42 3A 84 2E ?? ?? ?? ?? 74 0E 42 3A 84 2E ?? ?? ?? ?? 0F 85 A0 00 00 00 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 18 4C 8B 33 49 8B 0E E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 06 49 FF 46 08 EB 02 32 C9 48 FF C6 88 0F 48 83 FE 03 75 AC 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 44 24 70 48 FF C0 48 83 7B 08 00 48 89 43 10 74 06 48 3B 43 08 77 2A 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 1A 48 FF 46 08 EB 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5C 01 00 00 32 C0 88 07 3C 28 74 19 48 8D 4C 24 20 E8 ?? ?? ?? ?? F6 D8 1B C0 83 E0 FD 83 C0 07 E9 3B 01 00 00 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 02 32 C0 48 8B D3 88 07 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 3F 8A 0F 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 BE 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 3C 8A 0F 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1E 8D 41 01 3C 01 76 17 48 8B 13 0F BE C9 83 F9 FF 74 0C 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 06 00 00 00 EB 73 41 B6 29 44 38 37 74 66 80 3F 00 74 58 0F BE 0F 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 EE FE FF FF 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 16 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 02 32 C0 88 07 41 3A C6 75 A3 44 38 37 0F 85 B1 FE FF FF B8 04 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 41 5E 41 5D 5F C3 }
	condition:
		$1
}

rule file_158_62_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 761
		refs = "0019 __ImageBase 002e ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 01c8 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0210 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 4C 8D 15 ?? ?? ?? ?? 48 8B DA 4D 8B C8 8B D7 48 8B F1 8A 06 42 3A 84 12 ?? ?? ?? ?? 74 0E 42 3A 84 12 ?? ?? ?? ?? 0F 85 EE 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 4C 8B 03 49 8B 40 10 49 3B 40 08 74 0F 0F B6 08 48 FF C0 49 89 40 10 83 F9 FF 75 03 40 8A CF 48 FF C2 88 0E 48 83 FA 03 75 A8 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A FE C1 80 F9 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 48 8B 6B 10 48 8D 45 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 75 03 40 8A CF 88 0E 80 F9 28 0F 84 9C 00 00 00 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A FE C1 80 F9 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 40 88 3E 48 3B 6B 10 74 52 48 8B 43 18 40 88 38 EB 4C 8A 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 19 FE C0 3C 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 40 88 3E 4C 3B 4B 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 48 01 00 00 40 B7 01 40 F6 DF 1B C0 83 E0 FD 83 C0 07 E9 35 01 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 75 03 40 8A CF 88 0E 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 39 8A 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 19 FE C0 3C 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 B8 05 00 00 00 E9 B8 00 00 00 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 36 8A 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 19 FE C0 3C 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 B8 06 00 00 00 EB 73 41 B0 29 44 38 06 74 66 40 38 3E 74 5A 0F BE 0E 8D 41 D0 83 F8 09 76 15 8D 41 9F 83 F8 19 76 0D 8D 41 BF 83 F8 19 76 05 83 F9 5F 75 5B 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 48 8B 13 48 8B 42 10 48 3B 42 08 74 0F 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 75 03 40 8A CF 88 0E 41 3A C8 75 A1 8A 06 41 3A C0 75 1C B8 04 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 8A 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 0A 48 3B 4B 08 0F 87 2E FE FF FF FE C0 3C 01 E9 10 FE FF FF }
	condition:
		$1
}

rule file_158_63_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 692
		refs = "003b __ImageBase 0053 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 005e ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0088 _getwc_nolock 00dc _ungetwc_nolock 010a ??R<lambda_6c6d19daa7c7d45df7f17119b7c25976>@@QEBA_NXZ 018f ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 01db ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 4D 89 43 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 ED 49 89 53 B8 49 8D 43 18 49 89 4B C0 48 8B DA 49 89 43 C8 48 8B F9 4C 8D 25 ?? ?? ?? ?? 44 8D 7D 01 8B F5 41 BD FF FF 00 00 0F B7 07 66 42 3B 84 26 ?? ?? ?? ?? 74 0F 66 42 3B 84 26 ?? ?? ?? ?? 0F 85 9C 00 00 00 4C 01 7B 10 48 8B 43 10 48 39 6B 08 74 0B 48 3B 43 08 76 05 0F B7 CD EB 1C 4C 8B 33 49 8B 0E E8 ?? ?? ?? ?? 0F B7 C8 66 41 3B C5 74 06 4D 01 7E 08 EB 02 8B CD 48 83 C6 02 66 89 0F 48 83 FE 06 75 A1 48 FF 4B 10 41 BE FD FF 00 00 48 8B 43 10 48 39 6B 08 74 06 48 3B 43 08 77 1C 0F B7 C1 66 41 2B C7 66 41 3B C6 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 84 24 80 00 00 00 48 FF C0 48 89 43 10 48 39 6B 08 74 1F 48 3B 43 08 76 19 0F B7 C5 EB 2D 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 7E 01 00 00 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 66 41 3B C5 74 06 4C 01 7E 08 EB 02 8B C5 66 89 07 66 83 F8 28 74 19 48 8D 4C 24 20 E8 ?? ?? ?? ?? F6 D8 1B C0 83 E0 FD 83 C0 07 E9 43 01 00 00 4C 01 7B 10 48 8B 43 10 48 39 6B 08 74 0B 48 3B 43 08 76 05 0F B7 C5 EB 19 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 66 41 3B C5 74 06 4C 01 7E 08 EB 02 8B C5 48 8B D3 66 89 07 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 3D 0F B7 0F 48 FF 4B 10 48 8B 43 10 48 39 6B 08 74 06 48 3B 43 08 77 1C 0F B7 C1 66 41 2B C7 66 41 3B C6 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C2 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 3A 0F B7 0F 48 FF 4B 10 48 8B 43 10 48 39 6B 08 74 06 48 3B 43 08 77 1C 0F B7 D1 66 41 2B D7 66 41 3B D6 77 0F 48 8B 13 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 06 00 00 00 EB 79 66 83 3F 29 74 6E 66 39 2F 74 5F 0F B7 0F 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 EE FE FF FF 4C 01 7B 10 48 8B 43 10 48 39 6B 08 74 0B 48 3B 43 08 76 05 0F B7 C5 EB 19 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 66 41 3B C5 74 06 4C 01 7E 08 EB 02 8B C5 66 89 07 66 83 F8 29 75 9C 66 83 3F 29 0F 85 A9 FE FF FF B8 04 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_64_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 855
		refs = "0022 __ImageBase 0043 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 004e ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0206 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0253 ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 FF 4C 8D 15 ?? ?? ?? ?? 48 8B DA 4D 8B C8 48 8B F1 8B D7 41 BC FF FF 00 00 44 8D 7F 01 0F B7 06 66 42 3B 84 12 ?? ?? ?? ?? 74 0F 66 42 3B 84 12 ?? ?? ?? ?? 0F 85 99 00 00 00 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 20 4C 8B 03 49 8B 40 10 49 3B 40 08 74 11 0F B7 08 48 83 C0 02 49 89 40 10 66 41 3B CC 75 02 8B CF 48 83 C2 02 66 89 0E 48 83 FA 06 75 9D 48 FF 4B 10 BD FD FF 00 00 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1D 66 41 2B CF 66 3B CD 77 14 48 8B 0B 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 4C 8B 73 10 49 8D 46 01 48 89 43 10 48 39 7B 08 74 5E 48 3B 43 08 76 58 0F B7 CF EB 73 0F B7 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 22 66 41 2B C7 BD FD FF 00 00 66 3B C5 77 14 48 8B 0B 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 66 89 3E 4C 3B 4B 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 CD 01 00 00 48 8B 13 48 8B 42 10 48 3B 42 08 74 11 0F B7 08 48 83 C0 02 48 89 42 10 66 41 3B CC 75 02 8B CF 66 89 0E 66 83 F9 28 74 56 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1D 66 41 2B CF 66 3B CD 77 14 48 8B 0B 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 66 89 3E 4C 3B 73 10 74 09 48 8B 43 18 40 88 38 EB 03 41 8A FF 40 F6 DF 1B C0 83 E0 FD 83 C0 07 E9 4E 01 00 00 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 20 48 8B 13 48 8B 42 10 48 3B 42 08 74 11 0F B7 08 48 83 C0 02 48 89 42 10 66 41 3B CC 75 02 8B CF 66 89 0E 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 3E 0F B7 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 1D 66 41 2B C7 66 3B C5 77 14 48 8B 0B 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 B8 05 00 00 00 E9 C5 00 00 00 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 3B 0F B7 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1D 66 41 2B CF 66 3B CD 77 14 48 8B 13 48 8B 4A 10 48 3B 0A 74 08 48 83 C1 FE 48 89 4A 10 B8 06 00 00 00 EB 7B 66 83 3E 29 74 70 66 39 3E 74 62 0F B7 0E 8D 41 D0 83 F8 09 76 15 8D 41 9F 83 F8 19 76 0D 8D 41 BF 83 F8 19 76 05 83 F9 5F 75 6F 4C 01 7B 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 20 48 8B 13 48 8B 42 10 48 3B 42 08 74 11 0F B7 08 48 83 C0 02 48 89 42 10 66 41 3B CC 75 02 8B CF 66 89 0E 66 83 F9 29 75 99 0F B7 06 66 83 F8 29 75 27 B8 04 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 0F B7 06 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 0A 48 3B 4B 08 0F 87 53 FE FF FF 66 41 2B C7 66 3B C5 E9 31 FE FF FF }
	condition:
		$1
}

rule file_158_65_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 147
		refs = "001d __ImageBase 002f ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0059 _getc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 48 8D 2D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F9 41 8A 07 3A 84 2F ?? ?? ?? ?? 74 09 3A 84 2F ?? ?? ?? ?? 75 3A 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 06 48 3B 46 08 77 16 4C 8B 36 49 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 49 FF 46 08 EB 02 8A C3 48 FF C7 41 88 07 48 83 FF 04 75 B3 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_158_66_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 119
		refs = "000b __ImageBase 001c ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0026 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 48 89 5C 24 08 45 33 C0 48 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D9 41 8A 03 41 3A 84 19 ?? ?? ?? ?? 74 0A 41 3A 84 19 ?? ?? ?? ?? 75 42 48 FF 42 10 48 8B 42 10 4C 39 42 08 74 06 48 3B 42 08 77 1C 4C 8B 12 49 8B 42 10 49 3B 42 08 74 0F 0F B6 08 48 FF C0 49 89 42 10 83 F9 FF 75 03 41 8A C8 49 FF C1 41 88 0B 49 83 F9 04 75 AA 41 B0 01 48 8B 5C 24 08 41 8A C0 C3 }
	condition:
		$1
}

rule file_158_67_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 162
		refs = "001d __ImageBase 0031 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003b ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0061 _getwc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 48 8D 2D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F9 41 0F B7 07 66 3B 84 2F ?? ?? ?? ?? 74 0A 66 3B 84 2F ?? ?? ?? ?? 75 46 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 0B 48 3B 46 08 76 05 0F B7 C3 EB 1D 4C 8B 36 49 8B 0E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 49 FF 46 08 EB 02 8B C3 48 83 C7 02 66 41 89 07 48 83 FF 08 75 A4 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_158_68_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 136
		refs = "000b __ImageBase 001e ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0029 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 48 89 5C 24 08 45 33 C0 48 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D9 41 0F B7 03 66 41 3B 84 19 ?? ?? ?? ?? 74 0B 66 41 3B 84 19 ?? ?? ?? ?? 75 50 48 FF 42 10 48 8B 42 10 4C 39 42 08 74 0C 48 3B 42 08 76 06 41 0F B7 C8 EB 25 4C 8B 12 49 8B 42 10 49 3B 42 08 74 15 0F B7 08 48 83 C0 02 49 89 42 10 B8 FF FF 00 00 66 3B C8 75 03 41 8B C8 49 83 C1 02 66 41 89 0B 49 83 F9 08 75 99 41 B0 01 48 8B 5C 24 08 41 8A C0 C3 }
	condition:
		$1
}

rule file_158_69_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 147
		refs = "001d __ImageBase 002f ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0059 _getc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 48 8D 2D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F9 41 8A 07 3A 84 2F ?? ?? ?? ?? 74 09 3A 84 2F ?? ?? ?? ?? 75 3A 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 06 48 3B 46 08 77 16 4C 8B 36 49 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 49 FF 46 08 EB 02 8A C3 48 FF C7 41 88 07 48 83 FF 05 75 B3 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_158_70_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 119
		refs = "000b __ImageBase 001c ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0026 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 48 89 5C 24 08 45 33 C0 48 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D9 41 8A 03 41 3A 84 19 ?? ?? ?? ?? 74 0A 41 3A 84 19 ?? ?? ?? ?? 75 42 48 FF 42 10 48 8B 42 10 4C 39 42 08 74 06 48 3B 42 08 77 1C 4C 8B 12 49 8B 42 10 49 3B 42 08 74 0F 0F B6 08 48 FF C0 49 89 42 10 83 F9 FF 75 03 41 8A C8 49 FF C1 41 88 0B 49 83 F9 05 75 AA 41 B0 01 48 8B 5C 24 08 41 8A C0 C3 }
	condition:
		$1
}

rule file_158_71_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 162
		refs = "001d __ImageBase 0031 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003b ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0061 _getwc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 48 8D 2D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F9 41 0F B7 07 66 3B 84 2F ?? ?? ?? ?? 74 0A 66 3B 84 2F ?? ?? ?? ?? 75 46 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 0B 48 3B 46 08 76 05 0F B7 C3 EB 1D 4C 8B 36 49 8B 0E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 49 FF 46 08 EB 02 8B C3 48 83 C7 02 66 41 89 07 48 83 FF 0A 75 A4 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_158_72_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 136
		refs = "000b __ImageBase 001e ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0029 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 48 89 5C 24 08 45 33 C0 48 8D 1D ?? ?? ?? ?? 45 8B C8 4C 8B D9 41 0F B7 03 66 41 3B 84 19 ?? ?? ?? ?? 74 0B 66 41 3B 84 19 ?? ?? ?? ?? 75 50 48 FF 42 10 48 8B 42 10 4C 39 42 08 74 0C 48 3B 42 08 76 06 41 0F B7 C8 EB 25 4C 8B 12 49 8B 42 10 49 3B 42 08 74 15 0F B7 08 48 83 C0 02 49 89 42 10 B8 FF FF 00 00 66 3B C8 75 03 41 8B C8 49 83 C1 02 66 41 89 0B 49 83 F9 0A 75 99 41 B0 01 48 8B 5C 24 08 41 8A C0 C3 }
	condition:
		$1
}

rule file_158_75_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1181
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 0075 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009b _getc_nolock 00cb _isctype_l 027b _ungetc_nolock 03ce ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 E4 45 8A F9 45 8B E8 48 8B DA 4C 39 22 74 06 4C 39 62 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 09 4C 39 63 10 75 03 44 88 20 33 C0 E9 20 04 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 45 D0 48 FF C0 48 89 43 10 4C 39 63 08 74 06 48 3B 43 08 77 18 48 8B 33 48 8B 0E E8 ?? ?? ?? ?? 8B F8 83 F8 FF 74 06 48 FF 46 08 EB 03 41 8A FC 41 BE 08 00 00 00 48 8B 45 E0 40 0F B6 CF 83 78 08 01 7E 0E 4C 8D 45 E0 41 8B D6 E8 ?? ?? ?? ?? EB 11 48 8B 45 E0 48 8B D1 48 8B 08 0F B7 04 51 41 23 C6 85 C0 74 32 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 0B 48 3B 43 08 76 05 41 8A FC EB B6 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 83 F8 FF 74 EB 48 FF 47 08 40 8A F8 EB 9D 45 84 FF 41 8B F4 40 0F 95 C6 40 80 FF 2D 75 05 83 CE 02 EB 06 40 80 FF 2B 75 30 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 06 48 3B 43 08 77 19 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 83 F8 FF 74 09 48 FF 47 08 40 8A F8 EB 03 41 8A FC 4D 8B F4 41 F7 C5 EF FF FF FF 0F 85 0C 01 00 00 8D 47 D0 3C 09 77 09 40 0F BE C7 83 C0 D0 EB 23 8D 47 9F 3C 19 77 09 40 0F BE C7 83 C0 A9 EB 13 8D 47 BF 3C 19 77 09 40 0F BE C7 83 C0 C9 EB 03 83 C8 FF 85 C0 74 18 41 B9 08 00 00 00 45 85 ED 0F 85 CC 00 00 00 45 8D 69 02 E9 C3 00 00 00 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 06 48 3B 43 08 77 67 4C 8B 3B 49 8B 0F E8 ?? ?? ?? ?? 8B D0 83 F8 FF 74 55 49 FF 47 08 8D 48 A8 F6 C1 DF 75 4C 45 85 ED B8 10 00 00 00 44 0F 44 E8 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 0B 48 3B 43 08 76 05 41 8A FC EB 66 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 41 B9 08 00 00 00 83 F8 FF 74 09 48 FF 47 08 40 8A F8 EB 4D 41 8A FC EB 48 41 8A D4 45 85 ED 41 B9 08 00 00 00 45 0F 44 E9 48 FF 4B 10 48 8B 43 10 4C 39 63 08 74 06 48 3B 43 08 77 24 8D 42 01 3C 01 76 1D 0F BE CA 48 8B 13 83 F9 FF 74 12 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 41 B9 08 00 00 00 4D 63 E5 33 D2 48 83 C8 FF 49 F7 F4 48 89 55 38 4C 8B F8 8D 4F D0 80 F9 09 77 0A 44 0F BE C7 41 83 C0 D0 EB 26 8D 47 9F 3C 19 77 0A 44 0F BE C7 41 83 C0 A9 EB 15 8D 47 BF 3C 19 77 0A 44 0F BE C7 41 83 C0 C9 EB 04 41 83 C8 FF 41 83 F8 FF 74 71 45 3B C5 73 6C 41 0B F1 4D 3B F7 72 0F 75 08 41 8B C0 48 3B C2 76 05 83 CE 04 EB 0D 49 8B CC 49 0F AF CE 45 8B F0 4C 03 F1 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 0E 48 3B 43 08 76 08 40 32 FF E9 7C FF FF FF 48 8B 3B 48 8B 0F E8 ?? ?? ?? ?? 83 F8 FF 74 16 48 FF 47 08 40 8A F8 48 8B 55 38 41 B9 08 00 00 00 E9 56 FF FF FF 40 32 FF EB EC 49 83 CC FF 45 33 FF 4C 01 63 10 48 8B 43 10 4C 39 7B 08 74 06 48 3B 43 08 77 1F 8D 47 01 3C 01 76 18 48 8B 13 40 0F BE CF 41 3B CC 74 0C 4C 01 62 08 48 8B 12 E8 ?? ?? ?? ?? 40 F6 C6 08 75 41 48 8B 45 D0 48 3B 43 10 74 07 48 8B 43 18 44 88 38 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 0F 84 A2 FC FF FF 4C 39 7B 10 0F 85 98 FC FF FF 44 88 38 E9 90 FC FF FF 49 8B D6 8B CE E8 ?? ?? ?? ?? 84 C0 74 7A E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C6 01 75 05 4D 8B F4 EB 6D 40 F6 C6 02 74 2F 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 7B 10 75 03 44 88 38 48 B8 00 00 00 00 00 00 00 80 EB 5E 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 7B 10 75 03 44 88 38 48 B8 FF FF FF FF FF FF FF 7F EB 2F 40 F6 C6 02 74 03 49 F7 DE 44 38 7D F0 74 0B 48 8B 4D D8 83 A1 A8 03 00 00 FD 48 8B 4B 18 48 85 C9 74 09 4C 39 7B 10 75 03 44 88 39 49 8B C6 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_158_76_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 2424
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 0079 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b1 _getwc_nolock 0110 iswctype 0571 _ungetwc_nolock 0885 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 45 33 F6 41 8A E9 45 8B E8 48 8B FA 4C 39 32 74 06 4C 39 72 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 18 48 85 C0 74 09 4C 39 77 10 75 03 44 88 30 33 C0 E9 F8 08 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 10 4D 8B E6 48 89 84 24 A0 00 00 00 BE 01 00 00 00 48 FF C0 41 BF FF FF 00 00 48 89 47 10 4C 39 77 08 74 06 48 3B 47 08 77 59 48 8B 37 48 8B 0E E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C7 74 0D B8 01 00 00 00 48 01 46 08 8B F0 EB 3C 41 8B DE BE 01 00 00 00 EB 32 48 01 77 10 48 8B 47 10 4C 39 77 08 74 06 48 3B 47 08 77 1A 48 8B 1F 48 8B 0B E8 ?? ?? ?? ?? 66 41 3B C7 74 09 48 01 73 08 0F B7 D8 EB 04 41 0F B7 DE BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 BD 40 84 ED 45 8B FE 41 0F 95 C7 66 83 FB 2D 75 06 41 83 CF 02 EB 06 66 83 FB 2B 75 20 48 01 77 10 48 8B 47 10 4C 39 77 08 0F 84 21 01 00 00 48 3B 47 08 0F 86 17 01 00 00 41 0F B7 DE BD FF FF 00 00 C7 84 24 E8 00 00 00 70 0A 00 00 B8 66 0A 00 00 C7 44 24 20 E6 0A 00 00 B9 30 00 00 00 C7 44 24 24 F0 0A 00 00 BA 10 FF 00 00 C7 44 24 28 66 0B 00 00 41 B8 60 06 00 00 C7 44 24 2C 70 0B 00 00 44 8D 58 80 C7 44 24 30 66 0C 00 00 41 B9 F0 06 00 00 C7 44 24 34 70 0C 00 00 41 BA 66 09 00 00 C7 44 24 38 E6 0C 00 00 C7 44 24 3C F0 0C 00 00 C7 44 24 40 66 0D 00 00 C7 44 24 44 70 0D 00 00 C7 44 24 48 50 0E 00 00 C7 44 24 4C 5A 0E 00 00 C7 44 24 50 D0 0E 00 00 C7 44 24 54 DA 0E 00 00 C7 44 24 58 20 0F 00 00 C7 44 24 5C 2A 0F 00 00 C7 44 24 60 40 10 00 00 C7 44 24 64 4A 10 00 00 C7 44 24 68 E0 17 00 00 C7 44 24 6C EA 17 00 00 C7 44 24 70 10 18 00 00 C7 44 24 74 1A 18 00 00 C7 44 24 78 1A FF 00 00 41 F7 C5 EF FF FF FF 0F 85 27 03 00 00 66 3B D9 0F 82 EA 01 00 00 66 83 FB 3A 73 34 0F B7 C3 2B C1 E9 D5 01 00 00 48 8B 1F 48 8B 0B E8 ?? ?? ?? ?? BD FF FF 00 00 66 3B C5 74 0C 48 01 73 08 0F B7 D8 E9 D1 FE FF FF 41 0F B7 DE E9 C8 FE FF FF 66 3B DA 0F 83 91 01 00 00 66 41 3B D8 0F 82 9D 01 00 00 B9 6A 06 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C0 E9 83 01 00 00 66 41 3B D9 0F 82 7E 01 00 00 B9 FA 06 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C1 E9 64 01 00 00 66 41 3B DA 0F 82 5F 01 00 00 B9 70 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C2 E9 45 01 00 00 66 41 3B DB 0F 82 40 01 00 00 B9 F0 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C3 E9 26 01 00 00 66 3B D8 0F 82 22 01 00 00 66 3B 9C 24 E8 00 00 00 73 0D 0F B7 C3 2D 66 0A 00 00 E9 06 01 00 00 8B 4C 24 20 66 3B D9 0F 82 FE 00 00 00 66 3B 5C 24 24 0F 82 0F FF FF FF 8B 4C 24 28 66 3B D9 0F 82 E6 00 00 00 66 3B 5C 24 2C 0F 82 F7 FE FF FF 8B 4C 24 30 66 3B D9 0F 82 CE 00 00 00 66 3B 5C 24 34 0F 82 DF FE FF FF 8B 4C 24 38 66 3B D9 0F 82 B6 00 00 00 66 3B 5C 24 3C 0F 82 C7 FE FF FF 8B 4C 24 40 66 3B D9 0F 82 9E 00 00 00 66 3B 5C 24 44 0F 82 AF FE FF FF 8B 4C 24 48 66 3B D9 0F 82 86 00 00 00 66 3B 5C 24 4C 0F 82 97 FE FF FF 8B 4C 24 50 66 3B D9 72 72 66 3B 5C 24 54 0F 82 83 FE FF FF 8B 4C 24 58 66 3B D9 72 5E 66 3B 5C 24 5C 0F 82 6F FE FF FF 8B 4C 24 60 66 3B D9 72 4A 66 3B 5C 24 64 0F 82 5B FE FF FF 8B 4C 24 68 66 3B D9 72 36 66 3B 5C 24 6C 0F 82 47 FE FF FF 8B 4C 24 70 66 3B D9 72 22 66 3B 5C 24 74 73 1B E9 32 FE FF FF 66 3B 5C 24 78 73 07 0F B7 C3 2B C2 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 85 C0 74 1C 41 B9 01 00 00 00 45 8D 51 07 45 85 ED 0F 85 00 01 00 00 45 8D 69 09 E9 F7 00 00 00 48 01 77 10 48 8B 47 10 4C 39 77 08 74 0F 48 3B 47 08 76 09 41 0F B7 CE E9 8C 00 00 00 48 8B 37 48 8B 0E E8 ?? ?? ?? ?? 0F B7 C8 66 3B C5 74 6C 41 B9 01 00 00 00 8D 41 A8 4C 01 4E 08 BA DF FF 00 00 66 85 C2 75 5F 45 85 ED 41 8D 41 0F 44 0F 44 E8 4C 01 4F 10 48 8B 47 10 4C 39 77 08 74 13 48 3B 47 08 76 0D 41 0F B7 DE 45 8D 51 07 E9 84 00 00 00 48 8B 1F 48 8B 0B E8 ?? ?? ?? ?? 41 B9 01 00 00 00 45 8D 51 07 66 3B C5 74 09 4C 01 4B 08 0F B7 D8 EB 61 41 0F B7 DE EB 5B 41 8B CE BE 01 00 00 00 EB 03 49 8B F1 45 85 ED 41 BA 08 00 00 00 45 0F 44 EA 48 FF 4F 10 48 8B 47 10 4C 39 77 08 74 06 48 3B 47 08 77 27 0F B7 C1 41 BB FD FF 00 00 66 2B C6 66 41 3B C3 77 15 48 8B 17 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 41 BA 08 00 00 00 41 B9 01 00 00 00 33 D2 49 63 ED 48 83 C8 FF 48 F7 F5 33 C9 4C 8B F2 48 8B F0 B8 30 00 00 00 66 3B D8 0F 82 9A 01 00 00 66 83 FB 3A 73 0C 44 0F B7 C3 44 2B C0 E9 82 01 00 00 B8 10 FF 00 00 66 3B D8 0F 83 65 01 00 00 B8 60 06 00 00 66 3B D8 0F 82 6C 01 00 00 8D 50 0A 66 3B DA 72 D0 B8 F0 06 00 00 66 3B D8 0F 82 56 01 00 00 8D 50 0A 66 3B DA 72 BA B8 66 09 00 00 66 3B D8 0F 82 40 01 00 00 8D 50 0A 66 3B DA 72 A4 8D 42 76 66 3B D8 0F 82 2C 01 00 00 8D 50 0A 66 3B DA 72 90 8D 42 76 66 3B D8 0F 82 18 01 00 00 66 3B 9C 24 E8 00 00 00 0F 82 76 FF FF FF 8B 44 24 20 66 3B D8 0F 82 FD 00 00 00 66 3B 5C 24 24 0F 82 5E FF FF FF 8B 44 24 28 66 3B D8 0F 82 E5 00 00 00 66 3B 5C 24 2C 0F 82 46 FF FF FF 8B 44 24 30 66 3B D8 0F 82 CD 00 00 00 66 3B 5C 24 34 0F 82 2E FF FF FF 8B 44 24 38 66 3B D8 0F 82 B5 00 00 00 66 3B 5C 24 3C 0F 82 16 FF FF FF 8B 44 24 40 66 3B D8 0F 82 9D 00 00 00 66 3B 5C 24 44 0F 82 FE FE FF FF 8B 44 24 48 66 3B D8 0F 82 85 00 00 00 66 3B 5C 24 4C 0F 82 E6 FE FF FF 8B 44 24 50 66 3B D8 72 71 66 3B 5C 24 54 0F 82 D2 FE FF FF 8B 44 24 58 66 3B D8 72 5D 66 3B 5C 24 5C 0F 82 BE FE FF FF 8B 44 24 60 66 3B D8 72 49 66 3B 5C 24 64 0F 82 AA FE FF FF 8B 44 24 68 66 3B D8 72 35 66 3B 5C 24 6C 0F 82 96 FE FF FF 8B 44 24 70 66 3B D8 72 21 66 3B 5C 24 74 73 1A E9 81 FE FF FF 66 3B 5C 24 78 0F 82 76 FE FF FF 41 83 C8 FF 41 83 F8 FF 75 2D 8D 43 BF 66 83 F8 19 76 0F 8D 43 9F 66 83 F8 19 76 06 41 83 C8 FF EB 15 8D 43 9F 44 0F B7 C3 66 83 F8 19 77 04 41 83 E8 20 41 83 C0 C9 41 83 F8 FF 74 7E 45 3B C5 73 79 45 0B FA 4C 3B E6 72 10 75 08 41 8B C0 49 3B C6 76 06 41 83 CF 04 EB 0F 48 8B CD 49 0F AF CC 45 8B E0 4C 03 E1 33 C9 4C 01 4F 10 48 8B 47 10 48 39 4F 08 74 0E 48 3B 47 08 76 08 0F B7 D9 E9 DD FD FF FF 48 8B 1F 48 8B 0B E8 ?? ?? ?? ?? B9 FF FF 00 00 41 B9 01 00 00 00 66 3B C1 74 14 4C 01 4B 08 0F B7 D8 33 C9 41 BA 08 00 00 00 E9 AE FD FF FF 33 C9 0F B7 D9 EB EE 48 FF 4F 10 33 F6 48 8B 47 10 48 39 77 08 74 06 48 3B 47 08 77 23 0F B7 C3 B9 FD FF 00 00 66 41 2B C1 66 3B C1 77 12 48 8B 17 0F B7 CB 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? B8 08 00 00 00 44 84 F8 75 4D 48 8B 84 24 A0 00 00 00 48 3B 47 10 74 07 48 8B 47 18 40 88 30 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 0F 84 EC F7 FF FF 48 39 77 10 0F 85 E2 F7 FF FF 40 88 30 E9 DA F7 FF FF 49 8B D4 41 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 01 00 00 00 44 84 F8 75 06 49 83 CC FF EB 7D 41 F6 C7 02 74 37 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 48 39 77 10 75 03 40 88 30 48 B8 00 00 00 00 00 00 00 80 EB 6E 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 48 39 77 10 75 03 40 88 30 48 B8 FF FF FF FF FF FF FF 7F EB 37 41 F6 C7 02 74 03 49 F7 DC 40 38 B4 24 98 00 00 00 74 0F 48 8B 8C 24 80 00 00 00 83 A1 A8 03 00 00 FD 48 8B 4F 18 48 85 C9 74 09 48 39 77 10 75 03 40 88 31 49 8B C4 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_77_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1169
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0074 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00d2 _isctype_l 03c1 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 33 F6 45 8A E1 45 8B F8 48 8B DA 48 39 32 74 06 48 39 72 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 09 48 39 73 10 75 03 40 88 30 33 C0 E9 15 04 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B F6 4C 8B 6B 10 4C 89 6D 38 49 8D 45 01 48 89 43 10 48 39 73 08 74 06 48 3B 43 08 77 1C 48 8B 0B 48 8B 41 10 48 3B 41 08 74 0F 0F B6 38 48 FF C0 48 89 41 10 83 FF FF 75 03 40 8A FE 41 BD 08 00 00 00 48 8B 45 E8 40 0F B6 CF 83 78 08 01 7E 0E 4C 8D 45 E8 41 8B D5 E8 ?? ?? ?? ?? EB 11 48 8B 45 E8 48 8B D1 48 8B 08 0F B7 04 51 41 23 C5 85 C0 74 37 48 FF 43 10 48 8B 43 10 48 39 73 08 74 0B 48 3B 43 08 76 05 40 8A FE EB B6 48 8B 0B 48 8B 41 10 48 3B 41 08 74 EE 0F B6 38 48 FF C0 48 89 41 10 83 FF FF 74 DF EB 98 45 84 E4 40 0F 95 C6 40 80 FF 2D 75 05 83 CE 02 EB 06 40 80 FF 2B 75 3A 48 FF 43 10 45 33 E4 48 8B 43 10 4C 39 63 08 74 0B 48 3B 43 08 76 05 41 8A FC EB 21 48 8B 0B 48 8B 41 10 48 3B 41 08 74 EE 0F B6 38 48 FF C0 48 89 41 10 83 FF FF 75 05 EB DD 45 33 E4 41 B3 19 41 F7 C7 EF FF FF FF 0F 85 02 01 00 00 8D 47 D0 3C 09 77 09 40 0F BE C7 83 C0 D0 EB 25 8D 47 9F 41 3A C3 77 09 40 0F BE C7 83 C0 A9 EB 14 8D 47 BF 41 3A C3 77 09 40 0F BE C7 83 C0 C9 EB 03 83 C8 FF 85 C0 74 14 45 85 FF 0F 85 C0 00 00 00 41 BF 0A 00 00 00 E9 B5 00 00 00 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 06 48 3B 43 08 77 66 48 8B 13 48 8B 42 10 48 3B 42 08 74 59 0F B6 08 48 FF C0 48 89 42 10 83 F9 FF 74 4A 8D 41 A8 A8 DF 75 46 45 85 FF B8 10 00 00 00 44 0F 44 F8 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 0B 48 3B 43 08 76 05 41 8A FC EB 59 48 8B 0B 48 8B 41 10 48 3B 41 08 74 EE 0F B6 38 48 FF C0 48 89 41 10 83 FF FF 75 3D EB DD 41 8A CC 45 85 FF 41 8B C5 44 0F 44 F8 48 FF 4B 10 48 8B 43 10 4C 39 63 08 74 06 48 3B 43 08 77 1A FE C1 80 F9 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 4D 63 D7 33 D2 48 83 C8 FF 49 F7 F2 4C 8B C8 8D 4F D0 80 F9 09 77 0A 44 0F BE C7 41 83 C0 D0 EB 28 8D 47 9F 41 3A C3 77 0A 44 0F BE C7 41 83 C0 A9 EB 16 8D 47 BF 41 3A C3 77 0A 44 0F BE C7 41 83 C0 C9 EB 04 41 83 C8 FF 41 83 F8 FF 74 66 45 3B C7 73 61 41 0B F5 4D 3B F1 72 0F 75 08 41 8B C0 48 3B C2 76 05 83 CE 04 EB 0D 49 8B CA 49 0F AF CE 45 8B F0 4C 03 F1 48 FF 43 10 48 8B 43 10 4C 39 63 08 74 0E 48 3B 43 08 76 08 41 8A FC E9 7B FF FF FF 48 8B 0B 48 8B 41 10 48 3B 41 08 74 EB 0F B6 38 48 FF C0 48 89 41 10 83 FF FF 74 DC E9 5A FF FF FF 48 FF 4B 10 48 8B 43 10 4C 8B 6D 38 4C 39 63 08 74 06 48 3B 43 08 77 1C 40 FE C7 40 80 FF 01 76 13 48 8B 0B 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 B8 08 00 00 00 40 84 F0 75 3D 4C 3B 6B 10 74 07 48 8B 43 18 44 88 20 44 38 65 F8 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 0F 84 AE FC FF FF 4C 39 63 10 0F 85 A4 FC FF FF 44 88 20 E9 9C FC FF FF 49 8B D6 8B CE E8 ?? ?? ?? ?? 84 C0 74 7B E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C6 01 75 06 49 83 CE FF EB 6D 40 F6 C6 02 74 2F 44 38 65 F8 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 63 10 75 03 44 88 20 48 B8 00 00 00 00 00 00 00 80 EB 5E 44 38 65 F8 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 63 10 75 03 44 88 20 48 B8 FF FF FF FF FF FF FF 7F EB 2F 40 F6 C6 02 74 03 49 F7 DE 44 38 65 F8 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 48 8B 4B 18 48 85 C9 74 09 4C 39 63 10 75 03 44 88 21 49 8B C6 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_158_78_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 2379
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 0079 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00d4 iswctype 085d ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 45 33 E4 41 8A F1 45 8B F8 48 8B FA 4C 39 22 74 06 4C 39 62 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 18 48 85 C0 74 09 4C 39 67 10 75 03 44 88 20 33 C0 E9 CB 08 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 4D 8B F4 4C 8B 6F 10 BD FF FF 00 00 4C 89 AC 24 80 00 00 00 49 8D 45 01 48 89 47 10 4C 39 67 08 74 0C 48 3B 47 08 76 06 41 0F B7 DC EB 20 48 8B 0F 48 8B 41 10 48 3B 41 08 74 10 0F B7 18 48 83 C0 02 48 89 41 10 66 3B DD 75 03 41 8B DC BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 74 4F 41 BD 01 00 00 00 4C 01 6F 10 48 8B 47 10 4C 39 67 08 74 06 48 3B 47 08 77 20 48 8B 0F 48 8B 41 10 48 3B 41 08 74 13 0F B7 10 48 83 C0 02 48 89 41 10 0F B7 DA 66 3B D5 75 04 41 0F B7 DC BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 B7 40 84 F6 41 8B EC 40 0F 95 C5 66 83 FB 2D 75 05 83 CD 02 EB 06 66 83 FB 2B 75 46 BE 01 00 00 00 48 01 77 10 48 8B 47 10 4C 39 67 08 74 0C 48 3B 47 08 76 06 41 0F B7 DC EB 2C 48 8B 0F 48 8B 41 10 48 3B 41 08 74 ED 0F B7 10 48 83 C0 02 48 89 41 10 B8 FF FF 00 00 66 3B D0 74 D8 0F B7 DA EB 05 BE 01 00 00 00 C7 84 24 E8 00 00 00 70 0A 00 00 B8 66 0A 00 00 C7 44 24 20 E6 0A 00 00 B9 30 00 00 00 C7 44 24 24 F0 0A 00 00 BA 60 06 00 00 C7 44 24 28 66 0B 00 00 41 B8 10 FF 00 00 C7 44 24 2C 70 0B 00 00 44 8D 58 80 C7 44 24 30 66 0C 00 00 41 B9 F0 06 00 00 C7 44 24 34 70 0C 00 00 41 BA 66 09 00 00 C7 44 24 38 E6 0C 00 00 C7 44 24 3C F0 0C 00 00 C7 44 24 40 66 0D 00 00 C7 44 24 44 70 0D 00 00 C7 44 24 48 50 0E 00 00 C7 44 24 4C 5A 0E 00 00 C7 44 24 50 D0 0E 00 00 C7 44 24 54 DA 0E 00 00 C7 44 24 58 20 0F 00 00 C7 44 24 5C 2A 0F 00 00 C7 44 24 60 40 10 00 00 C7 44 24 64 4A 10 00 00 C7 44 24 68 E0 17 00 00 C7 44 24 6C EA 17 00 00 C7 44 24 70 10 18 00 00 C7 44 24 74 1A 18 00 00 C7 44 24 78 1A FF 00 00 41 F7 C7 EF FF FF FF 0F 85 E7 02 00 00 66 3B D9 0F 82 C0 01 00 00 66 83 FB 3A 73 0A 0F B7 C3 2B C1 E9 AB 01 00 00 66 41 3B D8 0F 83 8F 01 00 00 66 3B DA 0F 82 9D 01 00 00 B9 6A 06 00 00 66 3B D9 73 0A 0F B7 C3 2B C2 E9 84 01 00 00 66 41 3B D9 0F 82 7F 01 00 00 B9 FA 06 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C1 E9 65 01 00 00 66 41 3B DA 0F 82 60 01 00 00 B9 70 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C2 E9 46 01 00 00 66 41 3B DB 0F 82 41 01 00 00 B9 F0 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C3 E9 27 01 00 00 66 3B D8 0F 82 23 01 00 00 66 3B 9C 24 E8 00 00 00 73 0D 0F B7 C3 2D 66 0A 00 00 E9 07 01 00 00 8B 4C 24 20 66 3B D9 0F 82 FF 00 00 00 66 3B 5C 24 24 0F 82 3A FF FF FF 8B 4C 24 28 66 3B D9 0F 82 E7 00 00 00 66 3B 5C 24 2C 0F 82 22 FF FF FF 8B 4C 24 30 66 3B D9 0F 82 CF 00 00 00 66 3B 5C 24 34 0F 82 0A FF FF FF 8B 4C 24 38 66 3B D9 0F 82 B7 00 00 00 66 3B 5C 24 3C 0F 82 F2 FE FF FF 8B 4C 24 40 66 3B D9 0F 82 9F 00 00 00 66 3B 5C 24 44 0F 82 DA FE FF FF 8B 4C 24 48 66 3B D9 0F 82 87 00 00 00 66 3B 5C 24 4C 0F 82 C2 FE FF FF 8B 4C 24 50 66 3B D9 72 73 66 3B 5C 24 54 0F 82 AE FE FF FF 8B 4C 24 58 66 3B D9 72 5F 66 3B 5C 24 5C 0F 82 9A FE FF FF 8B 4C 24 60 66 3B D9 72 4B 66 3B 5C 24 64 0F 82 86 FE FF FF 8B 4C 24 68 66 3B D9 72 37 66 3B 5C 24 6C 0F 82 72 FE FF FF 8B 4C 24 70 66 3B D9 72 23 66 3B 5C 24 74 73 1C E9 5D FE FF FF 66 3B 5C 24 78 73 08 0F B7 C3 41 2B C0 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 85 C0 74 14 45 85 FF 0F 85 E8 00 00 00 41 BF 0A 00 00 00 E9 DD 00 00 00 48 01 77 10 48 8B 47 10 4C 39 67 08 74 0C 48 3B 47 08 76 06 41 0F B7 CC EB 7C 48 8B 17 48 8B 42 10 48 3B 42 08 74 6C 0F B7 08 41 B8 FF FF 00 00 48 83 C0 02 48 89 42 10 66 41 3B C8 74 55 8D 41 A8 41 8D 50 E0 66 85 C2 75 4C 45 85 FF B8 10 00 00 00 44 0F 44 F8 48 01 77 10 48 8B 47 10 4C 39 67 08 74 0C 48 3B 47 08 76 06 41 0F B7 DC EB 67 48 8B 0F 48 8B 41 10 48 3B 41 08 74 ED 0F B7 10 48 83 C0 02 48 89 41 10 66 41 3B D0 74 DC 0F B7 DA EB 44 41 8B CC 45 85 FF B8 08 00 00 00 44 0F 44 F8 48 FF 4F 10 48 8B 47 10 4C 39 67 08 74 06 48 3B 47 08 77 21 66 2B CE B8 FD FF 00 00 66 3B C8 77 14 48 8B 0F 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 41 B8 10 FF 00 00 33 D2 4D 63 D7 48 83 C8 FF 49 F7 F2 4C 8B DA 4C 8B C8 BA 08 00 00 00 44 8D 6A 28 66 41 3B DD 0F 82 A3 01 00 00 66 83 FB 3A 73 0C 44 0F B7 C3 45 2B C5 E9 8B 01 00 00 66 41 3B D8 0F 83 69 01 00 00 B8 60 06 00 00 66 3B D8 0F 82 79 01 00 00 8D 48 0A 66 3B D9 73 0C 44 0F B7 C3 44 2B C0 E9 5F 01 00 00 B8 F0 06 00 00 66 3B D8 0F 82 57 01 00 00 8D 48 0A 66 3B D9 72 DE B8 66 09 00 00 66 3B D8 0F 82 41 01 00 00 8D 48 0A 66 3B D9 72 C8 8D 41 76 66 3B D8 0F 82 2D 01 00 00 8D 48 0A 66 3B D9 72 B4 8D 41 76 66 3B D8 0F 82 19 01 00 00 66 3B 9C 24 E8 00 00 00 72 9E 8B 44 24 20 66 3B D8 0F 82 02 01 00 00 66 3B 5C 24 24 72 8A 8B 44 24 28 66 3B D8 0F 82 EE 00 00 00 66 3B 5C 24 2C 0F 82 72 FF FF FF 8B 44 24 30 66 3B D8 0F 82 D6 00 00 00 66 3B 5C 24 34 0F 82 5A FF FF FF 8B 44 24 38 66 3B D8 0F 82 BE 00 00 00 66 3B 5C 24 3C 0F 82 42 FF FF FF 8B 44 24 40 66 3B D8 0F 82 A6 00 00 00 66 3B 5C 24 44 0F 82 2A FF FF FF 8B 44 24 48 66 3B D8 0F 82 8E 00 00 00 66 3B 5C 24 4C 0F 82 12 FF FF FF 8B 44 24 50 66 3B D8 72 7A 66 3B 5C 24 54 0F 82 FE FE FF FF 8B 44 24 58 66 3B D8 72 66 66 3B 5C 24 5C 0F 82 EA FE FF FF 8B 44 24 60 66 3B D8 72 52 66 3B 5C 24 64 0F 82 D6 FE FF FF 8B 44 24 68 66 3B D8 72 3E 66 3B 5C 24 6C 0F 82 C2 FE FF FF 8B 44 24 70 66 3B D8 72 2A 66 3B 5C 24 74 73 23 E9 AD FE FF FF 66 3B 5C 24 78 73 0D 44 0F B7 C3 41 81 E8 10 FF 00 00 EB 04 41 83 C8 FF 41 83 F8 FF 75 2D 8D 43 BF 66 83 F8 19 76 0F 8D 43 9F 66 83 F8 19 76 06 41 83 C8 FF EB 15 8D 43 9F 44 0F B7 C3 66 83 F8 19 77 04 41 83 E8 20 41 83 C0 C9 41 83 F8 FF 74 7E 45 3B C7 73 79 0B EA 4D 3B F1 72 0F 75 08 41 8B C0 49 3B C3 76 05 83 CD 04 EB 0D 49 8B CA 49 0F AF CE 45 8B F0 4C 03 F1 48 01 77 10 48 8B 47 10 4C 39 67 08 74 0C 48 3B 47 08 76 06 41 0F B7 DC EB 2A 48 8B 0F 48 8B 41 10 48 3B 41 08 74 ED 0F B7 10 48 83 C0 02 48 89 41 10 B8 FF FF 00 00 66 3B D0 74 13 0F B7 DA BA 08 00 00 00 41 B8 10 FF 00 00 E9 A9 FD FF FF BA 08 00 00 00 EB BE 48 FF 4F 10 48 8B 47 10 4C 8B AC 24 80 00 00 00 4C 39 67 08 74 06 48 3B 47 08 77 21 66 2B DE B8 FD FF 00 00 66 3B D8 77 14 48 8B 0F 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 40 84 EA 75 2F 4C 3B 6F 10 74 07 48 8B 47 18 44 88 20 44 38 A4 24 A0 00 00 00 0F 84 03 F8 FF FF 48 8B 84 24 88 00 00 00 83 A0 A8 03 00 00 FD E9 EF F7 FF FF 49 8B D6 8B CD E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 84 EE 75 06 49 83 CE FF EB 7D 40 F6 C5 02 74 37 44 38 A4 24 A0 00 00 00 74 0F 48 8B 84 24 88 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 4C 39 67 10 75 03 44 88 20 48 B8 00 00 00 00 00 00 00 80 EB 6E 44 38 A4 24 A0 00 00 00 74 0F 48 8B 84 24 88 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 4C 39 67 10 75 03 44 88 20 48 B8 FF FF FF FF FF FF FF 7F EB 37 40 F6 C5 02 74 03 49 F7 DE 44 38 A4 24 A0 00 00 00 74 0F 48 8B 8C 24 88 00 00 00 83 A1 A8 03 00 00 FD 48 8B 4F 18 48 85 C9 74 09 4C 39 67 10 75 03 44 88 21 49 8B C6 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_79_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 169
		refs = "0064 _getc_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F9 4D 8B E0 48 8B DA 48 8B E9 4D 85 C0 74 56 48 8B 7C 24 60 48 2B EA 4C 8B F2 49 F7 DE 41 8A 07 3A 04 2B 74 04 3A 03 75 5D 48 FF 47 10 48 83 7F 08 00 48 8B 47 10 74 06 48 3B 47 08 77 16 48 8B 37 48 8B 0E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 46 08 EB 02 32 C0 48 FF C3 41 88 07 49 8D 04 1E 49 3B C4 75 B8 B0 01 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 32 C0 EB DD }
	condition:
		$1
}

rule file_158_80_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 134
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4D 8B D9 49 8B F8 4C 8B D1 4D 85 C0 74 5D 4C 8B 4C 24 28 4C 2B D2 48 8B DA 48 F7 DB 41 8A 03 41 3A 04 12 74 04 3A 02 75 4F 49 FF 41 10 49 83 79 08 00 49 8B 41 10 74 06 49 3B 41 08 77 1C 4D 8B 01 49 8B 40 10 49 3B 40 08 74 0F 0F B6 08 48 FF C0 49 89 40 10 83 F9 FF 75 02 32 C9 48 FF C2 41 88 0B 48 8D 04 13 48 3B C7 75 B1 B0 01 48 8B 5C 24 08 48 8B 7C 24 10 C3 32 C0 EB F1 }
	condition:
		$1
}

rule file_158_81_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 181
		refs = "006b _getwc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 ED 4D 8B F9 4D 8B E0 48 8B DA 48 8B E9 41 8B F5 4D 85 C0 74 5F 48 8B 7C 24 70 48 2B EA 41 0F B7 07 66 3B 04 2B 74 05 66 3B 03 75 67 48 FF 47 10 48 8B 47 10 4C 39 6F 08 74 0C 48 3B 47 08 76 06 41 0F B7 C5 EB 1E 4C 8B 37 49 8B 0E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 49 FF 46 08 EB 03 41 8B C5 48 FF C6 66 41 89 07 48 83 C3 02 49 3B F4 75 A9 B0 01 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 32 C0 EB DF }
	condition:
		$1
}

rule file_158_82_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 155
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 33 F6 49 8B D9 49 8B F8 4C 8B D9 44 8B D6 4D 85 C0 74 63 4C 8B 4C 24 28 4C 2B DA 0F B7 03 66 41 3B 04 13 74 05 66 3B 02 75 5E 49 FF 41 10 49 8B 41 10 49 39 71 08 74 0B 49 3B 41 08 76 05 0F B7 CE EB 24 4D 8B 01 49 8B 40 10 49 3B 40 08 74 15 0F B7 08 48 83 C0 02 49 89 40 10 B8 FF FF 00 00 66 3B C8 75 02 8B CE 49 FF C2 66 89 0B 48 83 C2 02 4C 3B D7 75 A5 B0 01 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 32 C0 EB EC }
	condition:
		$1
}

rule file_158_83_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 159
		refs = "002e ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 38 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 70 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 48 83 F8 01 74 43 40 38 7B 32 74 04 B0 01 EB 3B 48 83 43 78 08 48 8B 43 78 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 10 48 FF 83 80 00 00 00 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_84_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 165
		refs = "002e ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 0072 _errno 007d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 40 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 78 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 4E 83 F8 01 74 49 40 38 7B 3A 74 04 B0 01 EB 41 48 83 83 80 00 00 00 08 48 8B 83 80 00 00 00 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 10 48 FF 83 88 00 00 00 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_85_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 156
		refs = "002e ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 38 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 58 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 45 83 F8 01 74 40 40 38 7B 34 74 04 B0 01 EB 38 48 83 43 60 08 48 8B 43 60 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 FF 43 68 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_86_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 156
		refs = "002e ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 40 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 60 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 45 83 F8 01 74 40 40 38 7B 3C 74 04 B0 01 EB 38 48 83 43 68 08 48 8B 43 68 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 FF 43 70 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_87_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 161
		refs = "002e ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 38 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 70 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 4A 83 F8 01 74 45 40 38 7B 32 74 04 B0 01 EB 3D 48 83 43 78 08 48 8B 43 78 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 12 48 8B 44 24 58 40 B7 01 48 FF 83 80 00 00 00 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_88_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 167
		refs = "002e ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 0072 _errno 007d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 40 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 78 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 50 83 F8 01 74 4B 40 38 7B 3A 74 04 B0 01 EB 43 48 83 83 80 00 00 00 08 48 8B 83 80 00 00 00 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 12 48 8B 44 24 58 40 B7 01 48 FF 83 88 00 00 00 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_89_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 158
		refs = "002e ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 38 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 58 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 47 83 F8 01 74 42 40 38 7B 34 74 04 B0 01 EB 3A 48 83 43 60 08 48 8B 43 60 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0F 48 8B 44 24 58 40 B7 01 48 FF 43 68 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_90_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 158
		refs = "002e ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 40 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 60 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 47 83 F8 01 74 42 40 38 7B 3C 74 04 B0 01 EB 3A 48 83 43 68 08 48 8B 43 68 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0F 48 8B 44 24 58 40 B7 01 48 FF 43 70 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_91_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 432
		refs = "003d _errno 0048 _invalid_parameter_noinfo 0078 _getc_nolock 015a _ungetc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 F6 44 8B F2 48 8B D9 40 38 71 32 75 3B 48 83 41 78 08 48 8B 41 78 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 40 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 78 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 27 F6 01 04 74 15 48 8B 49 08 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 10 C6 06 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B7 4C 8B 69 38 4C 8B E6 4C 8B FF 85 D2 74 0A 48 83 FF FF 74 04 4C 8D 7F FF 33 ED 4D 85 ED 74 09 49 3B ED 0F 84 A1 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 44 8B C0 83 F8 FF 74 7A 48 FF 43 10 41 8B CE 45 85 F6 74 42 83 E9 01 74 2E 83 F9 07 75 64 41 0F B6 C0 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 41 0F B6 C0 48 C1 E8 03 D3 E2 84 54 18 4C EB 0D 41 8D 40 F7 83 F8 04 76 32 41 83 F8 20 74 2C 80 7B 32 00 75 0F 4D 85 FF 74 12 45 88 04 24 49 FF C4 49 FF CF 48 FF C5 E9 76 FF FF FF 48 83 FF FF 0F 84 45 FF FF FF E9 3D FF FF FF 41 83 F8 FF 74 10 48 FF 4B 10 41 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 48 85 ED 0F 84 E5 FE FF FF 45 85 F6 75 0E 49 3B ED 74 09 F6 03 04 0F 84 D2 FE FF FF 80 7B 32 00 75 11 45 85 F6 74 05 41 C6 04 24 00 48 FF 83 80 00 00 00 B0 01 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_92_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 454
		refs = "0040 _errno 004b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 33 DB 8B FA 4C 8B C1 44 38 59 3A 75 45 48 83 81 80 00 00 00 08 48 8B 81 80 00 00 00 4C 8B 58 F8 4D 85 DB 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 55 01 00 00 F6 01 01 74 11 48 83 C0 08 48 89 81 80 00 00 00 44 8B 48 F8 EB 04 49 83 C9 FF 4D 85 C9 75 27 F6 01 04 74 15 48 8B 41 18 48 3B 41 10 74 07 48 FF C0 48 89 41 18 41 C6 03 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B3 48 8B 69 40 4D 8B F3 49 8B F1 85 D2 74 0A 49 83 F9 FF 74 04 49 8D 71 FF 33 DB 48 85 ED 74 09 48 3B DD 0F 84 B3 00 00 00 49 8B 40 18 49 3B 40 10 0F 84 84 00 00 00 44 0F B6 10 48 FF C0 49 89 40 18 41 83 FA FF 74 77 8B CF 85 FF 74 41 83 E9 01 74 2D 83 F9 07 75 67 41 8B C2 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 49 8B C2 D3 E2 48 C1 E8 03 42 84 54 00 54 EB 0D 41 8D 42 F7 83 F8 04 76 36 41 83 FA 20 74 30 41 80 78 3A 00 75 0E 48 85 F6 74 11 45 88 16 49 FF C6 48 FF CE 48 FF C3 E9 6F FF FF FF 49 83 F9 FF 0F 84 3E FF FF FF E9 35 FF FF FF 41 83 CA FF 49 8B 40 18 49 3B 40 08 74 13 49 3B 40 10 75 06 41 83 FA FF 74 07 48 FF C8 49 89 40 18 48 85 DB 0F 84 CF FE FF FF 85 FF 75 0F 48 3B DD 74 0A 41 F6 00 04 0F 84 BC FE FF FF 41 80 78 3A 00 75 0F 85 FF 74 04 41 C6 06 00 49 FF 80 88 00 00 00 B0 01 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_158_93_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 499
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0070 _getwc_nolock 0112 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z 0158 ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z 019a _ungetwc_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 F6 44 8B E2 48 8B D9 40 38 71 34 75 3B 48 83 41 60 08 48 8B 41 60 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 90 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 60 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 2E F6 01 04 74 1C 48 8B 49 08 E8 ?? ?? ?? ?? 41 BD FF FF 00 00 66 41 3B C5 74 04 48 FF 43 10 C6 06 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B0 48 8B 41 38 48 8B EF 48 89 84 24 80 00 00 00 48 89 74 24 30 48 89 BC 24 98 00 00 00 85 D2 74 12 48 83 FF FF 74 0C 48 8D 6F FF 48 89 AC 24 98 00 00 00 45 33 FF 41 BD FF FF 00 00 48 85 C0 74 09 4C 3B F8 0F 84 C9 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 44 0F B7 F0 66 41 3B C5 0F 84 93 00 00 00 48 FF 43 10 41 8B CC 45 85 E4 74 2B 83 E9 01 74 15 83 F9 07 75 7D 48 8D 4B 50 0F B7 D0 E8 ?? ?? ?? ?? 84 C0 EB 0F 41 8D 46 F7 66 83 F8 04 76 63 66 41 83 FE 20 74 5C 80 7B 34 00 75 37 48 85 ED 74 42 48 8D 84 24 98 00 00 00 66 44 89 74 24 28 4C 8D 4C 24 30 48 89 44 24 20 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 3E 48 8B AC 24 98 00 00 00 48 8B 84 24 80 00 00 00 49 FF C7 E9 57 FF FF FF 48 83 FF FF 0F 84 05 FF FF FF E9 FD FE FF FF 66 45 3B F5 74 11 48 FF 4B 10 41 0F B7 CE 48 8B 53 08 E8 ?? ?? ?? ?? 48 8B 84 24 80 00 00 00 4D 85 FF 0F 84 95 FE FF FF 45 85 E4 75 0E 4C 3B F8 74 09 F6 03 04 0F 84 82 FE FF FF 80 7B 34 00 75 11 45 85 E4 74 08 48 8B 44 24 30 C6 00 00 48 FF 43 68 B0 01 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_94_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 480
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0106 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z 0149 ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 F6 44 8B E2 48 8B D9 40 38 71 3C 75 3B 48 83 41 68 08 48 8B 41 68 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 80 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 68 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 27 F6 01 04 74 15 48 8B 41 18 48 3B 41 10 74 08 48 83 C0 02 48 89 41 18 C6 06 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B7 4C 8B 69 40 4C 8B F7 48 89 B4 24 88 00 00 00 48 89 7C 24 70 85 D2 74 0F 48 83 FF FF 74 09 4C 8D 77 FF 4C 89 74 24 70 45 33 FF B9 FF FF 00 00 4D 85 ED 74 09 4D 3B FD 0F 84 C9 00 00 00 48 8B 43 18 48 3B 43 10 0F 84 95 00 00 00 0F B7 28 48 83 C0 02 48 89 43 18 66 3B E9 0F 84 8A 00 00 00 41 8B CC 45 85 E4 74 29 83 E9 01 74 15 83 F9 07 75 73 48 8D 4B 58 0F B7 D5 E8 ?? ?? ?? ?? 84 C0 EB 0D 8D 45 F7 66 83 F8 04 76 5A 66 83 FD 20 74 54 80 7B 3C 00 75 33 4D 85 F6 74 36 48 8D 44 24 70 66 89 6C 24 28 4C 8D 8C 24 88 00 00 00 48 89 44 24 20 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 42 4C 8B 74 24 70 49 FF C7 E9 59 FF FF FF 48 83 FF FF 0F 84 18 FF FF FF E9 10 FF FF FF 8B E9 EB 05 B9 FF FF 00 00 48 8B 43 18 48 3B 43 08 74 13 48 3B 43 10 75 05 66 3B E9 74 08 48 83 C0 FE 48 89 43 18 4D 85 FF 0F 84 A8 FE FF FF 45 85 E4 75 0E 4D 3B FD 74 09 F6 03 04 0F 84 95 FE FF FF 80 7B 3C 00 75 14 45 85 E4 74 0B 48 8B 84 24 88 00 00 00 C6 00 00 48 FF 43 70 B0 01 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_95_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 488
		refs = "0039 _errno 0044 _invalid_parameter_noinfo 0074 _getc_nolock 015d ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z 0193 _ungetc_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 44 8B FA 48 8B D9 41 8B F5 44 38 69 32 75 3B 48 83 41 78 08 48 8B 41 78 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 84 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 78 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 28 F6 01 04 74 16 48 8B 49 08 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 10 66 44 89 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B6 4C 8B 61 38 48 8B EF 48 89 B4 24 88 00 00 00 48 89 7C 24 70 85 D2 74 0F 48 83 FF FF 74 09 48 8D 6F FF 48 89 6C 24 70 4D 8B F5 4D 85 E4 74 09 4D 3B F4 0F 84 CD 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 44 8B C0 83 F8 FF 0F 84 A2 00 00 00 48 FF 43 10 41 8B CF 45 85 FF 74 46 83 E9 01 74 32 83 F9 07 0F 85 88 00 00 00 41 0F B6 C0 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 41 0F B6 C0 48 C1 E8 03 D3 E2 84 54 18 4C EB 0D 41 8D 40 F7 83 F8 04 76 56 41 83 F8 20 74 50 44 38 6B 32 75 33 48 85 ED 74 36 44 88 44 24 28 48 8D 44 24 70 4C 8B C7 48 89 44 24 20 4C 8D 8C 24 88 00 00 00 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 32 48 8B 6C 24 70 49 FF C6 E9 4A FF FF FF 48 83 FF FF 0F 84 09 FF FF FF E9 00 FF FF FF 41 83 F8 FF 74 10 48 FF 4B 10 41 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 4D 85 F6 0F 84 A8 FE FF FF 45 85 FF 75 0E 4D 3B F4 74 09 F6 03 04 0F 84 95 FE FF FF 44 38 6B 32 75 18 45 85 FF 74 0C 48 8B 84 24 88 00 00 00 66 44 89 28 48 FF 83 80 00 00 00 B0 01 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_96_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 510
		refs = "0041 _errno 004c _invalid_parameter_noinfo 0169 ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 30 45 33 E4 44 8B F2 48 8B D9 41 8B F4 44 38 61 3A 75 44 48 83 81 80 00 00 00 08 48 8B 81 80 00 00 00 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 90 01 00 00 F6 01 01 74 10 48 83 C0 08 48 89 81 80 00 00 00 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 27 F6 01 04 74 15 48 8B 41 18 48 3B 41 10 74 07 48 FF C0 48 89 41 18 66 44 89 26 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B4 4C 8B 79 40 4C 8B CF 48 89 74 24 78 48 89 7C 24 60 85 D2 74 0F 48 83 FF FF 74 09 4C 8D 4F FF 4C 89 4C 24 60 49 8B EC 4D 85 FF 74 09 49 3B EF 0F 84 DD 00 00 00 48 8B 43 18 48 3B 43 10 0F 84 AE 00 00 00 44 0F B6 00 48 FF C0 48 89 43 18 41 83 F8 FF 0F 84 9D 00 00 00 41 8B CE 45 85 F6 74 44 83 E9 01 74 30 83 F9 07 0F 85 87 00 00 00 41 8B C0 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 49 8B C0 D3 E2 48 C1 E8 03 84 54 18 54 EB 0D 41 8D 40 F7 83 F8 04 76 57 41 83 F8 20 74 51 44 38 63 3A 75 30 4D 85 C9 74 33 44 88 44 24 28 48 8D 44 24 60 4C 8B C7 48 89 44 24 20 4C 8D 4C 24 78 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 3D 4C 8B 4C 24 60 48 FF C5 E9 45 FF FF FF 48 83 FF FF 0F 84 07 FF FF FF E9 FE FE FF FF 41 83 C8 FF 48 8B 43 18 48 3B 43 08 74 13 48 3B 43 10 75 06 41 83 F8 FF 74 07 48 FF C8 48 89 43 18 48 85 ED 0F 84 99 FE FF FF 45 85 F6 75 0E 49 3B EF 74 09 F6 03 04 0F 84 86 FE FF FF 44 38 63 3A 75 15 45 85 F6 74 09 48 8B 44 24 78 66 44 89 20 48 FF 83 88 00 00 00 B0 01 48 8B 5C 24 68 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_158_97_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 454
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0071 _getwc_nolock 0103 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z 0172 _ungetwc_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 44 8B FA 48 8B D9 33 D2 8B F2 38 51 34 75 3B 48 83 41 60 08 48 8B 41 60 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 65 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 60 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 30 F6 01 04 74 1E 48 8B 49 08 E8 ?? ?? ?? ?? 41 BD FF FF 00 00 66 41 3B C5 74 04 48 FF 43 10 33 C0 66 89 06 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB AE 48 8B 49 38 48 8B C6 48 89 4C 24 78 4C 8B E7 48 89 44 24 60 45 85 FF 74 0A 48 83 FF FF 74 04 4C 8D 67 FF 4C 8B F2 41 BD FF FF 00 00 48 85 C9 74 09 4C 3B F1 0F 84 B1 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 33 D2 0F B7 E8 66 41 3B C5 74 7B 48 FF 43 10 41 8B CF 45 85 FF 74 2B 83 E9 01 74 17 83 F9 07 75 65 48 8D 4B 50 0F B7 D0 E8 ?? ?? ?? ?? 33 D2 84 C0 EB 0D 8D 45 F7 66 83 F8 04 76 4A 66 83 FD 20 74 44 38 53 34 75 1B 4D 85 E4 74 28 48 8B 44 24 60 66 89 28 48 83 C0 02 48 89 44 24 60 49 FF CC EB 05 48 8B 44 24 60 48 8B 4C 24 78 49 FF C6 E9 75 FF FF FF 48 83 FF FF 0F 84 32 FF FF FF 66 89 16 E9 2A FF FF FF 66 41 3B ED 74 12 48 8B 53 08 0F B7 CD 48 FF 4B 10 E8 ?? ?? ?? ?? 33 D2 48 8B 4C 24 78 48 8B 44 24 60 4D 85 F6 0F 84 BA FE FF FF 45 85 FF 75 0E 4C 3B F1 74 09 F6 03 04 0F 84 A7 FE FF FF 38 53 34 75 0C 45 85 FF 74 03 66 89 10 48 FF 43 68 B0 01 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_98_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 447
		refs = "003e _errno 0049 _invalid_parameter_noinfo 00fe ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 44 8B FA 48 8B D9 33 D2 8B F2 38 51 3C 75 3B 48 83 41 68 08 48 8B 41 68 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4E 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 68 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 27 F6 01 04 74 15 48 8B 41 18 48 3B 41 10 74 08 48 83 C0 02 48 89 41 18 66 89 16 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B7 48 8B 41 40 4C 8B EE 48 89 44 24 50 4C 8B E7 45 85 FF 74 0A 48 83 FF FF 74 04 4C 8D 67 FF 4C 8B F2 B9 FF FF 00 00 48 85 C0 74 09 4C 3B F0 0F 84 A7 00 00 00 48 8B 43 18 48 3B 43 10 74 72 0F B7 28 48 83 C0 02 48 89 43 18 66 3B E9 74 6B 41 8B CF 45 85 FF 74 2B 83 E9 01 74 17 83 F9 07 75 54 48 8D 4B 58 0F B7 D5 E8 ?? ?? ?? ?? 33 D2 84 C0 EB 0D 8D 45 F7 66 83 F8 04 76 39 66 83 FD 20 74 33 38 53 3C 75 11 4D 85 E4 74 16 66 41 89 6D 00 49 83 C5 02 49 FF CC 48 8B 44 24 50 49 FF C6 EB 80 48 83 FF FF 0F 84 48 FF FF FF E9 40 FF FF FF 8B E9 EB 05 B9 FF FF 00 00 48 8B 43 18 48 3B 43 08 74 13 48 3B 43 10 75 05 66 3B E9 74 08 48 83 C0 FE 48 89 43 18 48 8B 44 24 50 4D 85 F6 0F 84 D3 FE FF FF 45 85 FF 75 0E 4C 3B F0 74 09 F6 03 04 0F 84 C0 FE FF FF 38 53 3C 75 0E 45 85 FF 74 05 66 41 89 55 00 48 FF 43 70 B0 01 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_107_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 130
		refs = "001e _getc_nolock 0049 _isctype_l 005c __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B F9 48 8B 0F E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 42 48 FF 47 08 0F B6 EB 48 85 F6 74 26 48 8B 06 83 78 08 01 7E 11 4C 8B C6 BA 08 00 00 00 8B CD E8 ?? ?? ?? ?? EB 18 48 8B 00 48 63 CD 0F B7 04 48 EB 09 E8 ?? ?? ?? ?? 0F B7 04 68 83 E0 08 85 C0 75 AF 48 8B 6C 24 38 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_108_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 69
		refs = "0011 _getwc_nolock 002f iswctype"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0F E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 15 48 FF 47 08 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 D6 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_109_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 138
		refs = "004c _isctype_l 005f __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B F9 48 8B 47 10 48 3B 47 08 74 4C 0F B6 18 48 FF C0 48 89 47 10 83 FB FF 74 40 48 85 F6 74 26 48 8B 06 83 78 08 01 7E 11 4C 8B C6 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? EB 18 48 8B 00 48 63 CB 0F B7 04 48 EB 09 E8 ?? ?? ?? ?? 0F B7 04 58 83 E0 08 85 C0 74 05 EB AA 83 CB FF 48 8B 6C 24 38 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_110_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 89
		refs = "003a iswctype"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 BE FF FF 00 00 48 8B 47 10 48 3B 47 08 74 23 0F B7 18 48 83 C0 02 48 89 47 10 66 3B DE 74 15 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 74 04 EB D3 8B DE 48 8B 74 24 38 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_117_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 61
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 78 08 48 8B 41 78 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0E 48 FF 81 80 00 00 00 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_118_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 67
		refs = "001d _errno 0028 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 81 80 00 00 00 08 48 8B 81 80 00 00 00 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0E 48 FF 81 88 00 00 00 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_119_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 58
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 60 08 48 8B 41 60 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0B 48 FF 41 68 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_120_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 58
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 68 08 48 8B 41 68 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0B 48 FF 41 70 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_121_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 62
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 78 08 48 8B 41 78 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0F 48 FF 81 80 00 00 00 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_122_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 68
		refs = "001d _errno 0028 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 81 80 00 00 00 08 48 8B 81 80 00 00 00 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0F 48 FF 81 88 00 00 00 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_123_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 59
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 60 08 48 8B 41 60 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0C 48 FF 41 68 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_124_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 59
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 68 08 48 8B 41 68 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0C 48 FF 41 70 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_144_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QEAA@_KQEBE@Z"
		size = 74
		refs = "001f memset"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 10 00 48 8B D9 48 89 11 33 D2 4C 89 41 08 48 83 C1 34 44 8D 42 20 E8 ?? ?? ?? ?? 83 63 14 00 48 8B C3 66 83 63 18 00 48 83 63 20 00 83 63 28 00 83 63 30 00 C6 43 1A 00 C6 43 2C 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_145_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QEAA@_KQEB_W@Z"
		size = 40
	strings:
		$1 = { 33 C0 48 89 11 48 89 41 10 4C 89 41 08 48 89 41 38 89 41 18 88 41 1C 48 89 41 20 89 41 28 88 41 2C 89 41 30 48 8B C1 C3 }
	condition:
		$1
}

rule file_158_150_0 {
	meta:
		name = "??0?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$stream_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 120
		refs = "002b memset"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 89 01 48 8B D9 0F 10 02 33 D2 F3 0F 7F 41 08 83 61 28 00 4C 89 41 18 44 8D 42 20 4C 89 49 20 48 83 C1 4C E8 ?? ?? ?? ?? 83 63 2C 00 66 83 63 30 00 48 83 63 38 00 83 63 40 00 83 63 48 00 48 8B 44 24 50 C6 43 32 00 C6 43 44 00 48 83 A3 80 00 00 00 00 48 83 A3 88 00 00 00 00 48 89 43 70 48 8B 44 24 58 48 89 43 78 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_151_0 {
	meta:
		name = "??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 132
		refs = "0034 memset"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 89 01 48 8B D9 0F 10 02 0F 11 41 08 F2 0F 10 4A 10 33 D2 F2 0F 11 49 18 83 61 30 00 4C 89 41 20 4C 89 49 28 44 8D 42 20 48 83 C1 54 E8 ?? ?? ?? ?? 83 63 34 00 66 83 63 38 00 48 83 63 40 00 83 63 48 00 83 63 50 00 48 8B 44 24 50 C6 43 3A 00 C6 43 4C 00 48 83 A3 88 00 00 00 00 48 83 A3 90 00 00 00 00 48 89 43 78 48 8B 44 24 58 48 89 83 80 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_152_0 {
	meta:
		name = "??0?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$stream_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 78
	strings:
		$1 = { 48 8B 44 24 28 4C 89 01 0F 10 02 33 D2 F3 0F 7F 41 08 4C 89 41 18 4C 89 49 20 48 89 51 28 48 89 51 50 89 51 30 88 51 34 48 89 51 38 89 51 40 88 51 44 89 51 48 48 89 41 58 48 8B 44 24 30 48 89 41 60 48 8B C1 48 89 51 68 48 89 51 70 C3 }
	condition:
		$1
}

rule file_158_153_0 {
	meta:
		name = "??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$string_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 87
	strings:
		$1 = { 48 8B 44 24 28 4C 89 01 0F 10 02 0F 11 41 08 F2 0F 10 4A 10 33 D2 F2 0F 11 49 18 4C 89 41 20 4C 89 49 28 48 89 51 30 48 89 51 58 89 51 38 88 51 3C 48 89 51 40 89 51 48 88 51 4C 89 51 50 48 89 41 60 48 8B 44 24 30 48 89 41 68 48 8B C1 48 89 51 70 48 89 51 78 C3 }
	condition:
		$1
}

rule file_158_154_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QEAA@XZ"
		size = 29
		refs = "0010 memset"
		altNames = "??0?$scanset_storage@$00@__crt_stdio_input@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 44 8D 42 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_160_0 {
	meta:
		name = "??0?$string_input_adapter@D@__crt_stdio_input@@QEAA@QEBD_K@Z"
		size = 19
	strings:
		$1 = { 4A 8D 04 02 48 89 11 48 89 41 08 48 8B C1 48 89 51 10 C3 }
	condition:
		$1
}

rule file_158_161_0 {
	meta:
		name = "??0?$string_input_adapter@_W@__crt_stdio_input@@QEAA@QEB_W_K@Z"
		size = 19
	strings:
		$1 = { 4A 8D 04 42 48 89 11 48 89 41 08 48 8B C1 48 89 51 10 C3 }
	condition:
		$1
}

rule file_158_169_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QEAA@XZ"
		size = 29
		refs = "000e _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 38 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_170_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
		size = 20
		altNames = "??1?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA@XZ"
	strings:
		$1 = { 48 8B 41 18 48 85 C0 74 0A 48 83 79 10 00 75 03 C6 00 00 C3 }
	condition:
		$1
}

rule file_158_174_0 {
	meta:
		name = "??1?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 29
		refs = "000e _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 50 E8 ?? ?? ?? ?? 48 83 63 50 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_175_0 {
	meta:
		name = "??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 29
		refs = "000e _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 58 E8 ?? ?? ?? ?? 48 83 63 58 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_207_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ"
		size = 464
		refs = "0050 isspace 00c9 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 00d9 ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ 00ff ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ 011e ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA 0173 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 39 71 10 74 07 32 C0 E9 A0 01 00 00 48 8B 41 08 89 71 14 66 89 71 18 40 88 71 1A 48 89 71 20 89 71 28 40 88 71 2C 89 71 30 40 38 30 75 0A BF 01 00 00 00 89 79 14 EB CD 0F B6 08 E8 ?? ?? ?? ?? 85 C0 74 33 48 8B 43 08 C7 43 14 02 00 00 00 0F B6 08 E8 ?? ?? ?? ?? BF 01 00 00 00 EB 10 48 01 7B 08 48 8B 4B 08 0F B6 09 E8 ?? ?? ?? ?? 85 C0 75 EC E9 32 01 00 00 48 8B 4B 08 B2 25 38 11 0F 85 B6 00 00 00 48 8D 41 01 38 10 0F 84 AA 00 00 00 C7 43 14 04 00 00 00 BF 01 00 00 00 48 89 43 08 80 38 2A 75 0B 48 FF C0 40 88 7B 1A 48 89 43 08 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 44 FF FF FF 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 8A 01 3C 77 75 0A 48 8D 41 01 48 89 43 08 EB 06 2C 43 A8 EF 75 04 40 88 7B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 0E FF FF FF 48 63 43 30 48 8D 0C 40 48 63 43 28 48 8D 14 88 48 8D 05 ?? ?? ?? ?? 40 38 34 02 0F 85 91 00 00 00 48 C7 43 10 16 00 00 00 66 89 73 18 40 88 73 1A 48 89 73 20 89 73 28 40 88 73 2C 89 73 30 E9 CA FE FF FF C7 43 14 03 00 00 00 BF 01 00 00 00 8A 01 88 43 18 48 8B C6 38 11 0F 94 C0 48 03 C7 48 03 C1 48 89 43 08 E8 ?? ?? ?? ?? 0F B6 4B 18 BA 00 80 00 00 66 85 14 48 74 37 48 8B 43 08 8A 08 84 C9 75 23 48 C7 43 10 2A 00 00 00 40 8A FE 66 89 73 18 40 88 73 1A 48 89 73 20 89 73 28 40 88 73 2C 89 73 30 EB 0A 48 FF C0 88 4B 19 48 89 43 08 40 8A C7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_208_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 392
		refs = "004c iswctype 00b9 ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 00c9 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ 010f ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ 012e ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 39 79 10 74 07 32 C0 E9 62 01 00 00 48 8B 41 08 48 89 79 14 40 88 79 1C 48 89 79 20 89 79 28 40 88 79 2C 89 79 30 66 39 38 75 09 C7 41 14 01 00 00 00 EB D1 0F B7 08 BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 28 C7 43 14 02 00 00 00 EB 05 48 83 43 08 02 48 8B 43 08 BA 08 00 00 00 0F B7 08 E8 ?? ?? ?? ?? 85 C0 75 E6 E9 FF 00 00 00 48 8B 4B 08 66 83 39 25 0F 85 D0 00 00 00 48 8D 41 02 66 83 38 25 0F 84 C2 00 00 00 C7 43 14 04 00 00 00 48 89 43 08 66 83 38 2A 75 0C 48 83 C0 02 C6 43 1C 01 48 89 43 08 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 4F FF FF FF 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 0F B7 01 66 83 F8 77 75 0A 48 8D 41 02 48 89 43 08 EB 23 66 83 E8 43 B9 EF FF 00 00 66 85 C1 74 0E 83 7B 28 0B 74 0F 8A 03 D0 E8 24 01 EB 03 40 8A C7 84 C0 74 04 C6 43 2C 01 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 F9 FE FF FF 48 63 43 30 48 8D 0C 40 48 63 43 28 48 8D 14 88 48 8D 05 ?? ?? ?? ?? 40 38 3C 02 75 43 48 C7 43 10 16 00 00 00 89 7B 18 40 88 7B 1C 48 89 7B 20 89 7B 28 40 88 7B 2C 89 7B 30 E9 BA FE FF FF C7 43 14 03 00 00 00 0F B7 01 66 89 43 18 66 83 39 25 40 0F 94 C7 48 FF C7 48 8D 04 79 48 89 43 08 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_226_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QEBAPEAEXZ"
		size = 69
		refs = "001e _calloc_base 0029 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 39 00 48 8B F9 75 24 BA 01 00 00 00 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1F E8 ?? ?? ?? ?? 48 8B 07 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_233_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 57
		refs = "0022 _getc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 FF 41 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 16 48 8B 19 48 8B 0B E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 43 08 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_234_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 73
		refs = "0027 _getwc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 FF 41 10 33 FF 48 8B 51 10 48 39 79 08 74 06 48 3B 51 08 77 1B 48 8B 19 48 8B 0B E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 48 FF 43 08 EB 03 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_235_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 52
	strings:
		$1 = { 48 FF 41 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 1C 48 8B 11 48 8B 4A 10 48 3B 4A 08 74 0F 0F B6 01 48 FF C1 48 89 4A 10 83 F8 FF 75 02 32 C0 C3 }
	condition:
		$1
}

rule file_158_236_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 62
	strings:
		$1 = { 48 FF 41 10 45 33 C0 48 8B 51 10 4C 39 41 08 74 06 48 3B 51 08 77 22 48 8B 11 48 8B 4A 10 48 3B 4A 08 74 15 0F B7 01 48 83 C1 02 48 89 4A 10 B9 FF FF 00 00 66 3B C1 75 04 41 0F B7 C0 C3 }
	condition:
		$1
}

rule file_158_237_0 {
	meta:
		name = "?get@?$stream_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 32
		refs = "000d _getc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_238_0 {
	meta:
		name = "?get@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 37
		refs = "000d _getwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 04 48 FF 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_239_0 {
	meta:
		name = "?get@?$string_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 28
	strings:
		$1 = { 48 8B D1 48 8B 49 10 48 3B 4A 08 75 04 83 C8 FF C3 0F B6 01 48 FF C1 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_158_240_0 {
	meta:
		name = "?get@?$string_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 31
	strings:
		$1 = { 48 8B D1 48 8B 49 10 48 3B 4A 08 75 06 B8 FF FF 00 00 C3 0F B7 01 48 83 C1 02 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_158_242_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 45
	strings:
		$1 = { 33 D2 48 8D 41 20 4C 8B C0 4C 2B C1 48 3B C8 4C 0F 47 C2 4D 85 C0 74 14 48 8B D1 48 F7 DA F6 11 48 FF C1 48 8D 04 0A 49 3B C0 75 F2 C3 }
	condition:
		$1
}

rule file_158_243_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 123
		refs = "0022 _calloc_base 002d _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B F9 48 39 31 75 22 8D 56 01 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1F E8 ?? ?? ?? ?? 48 8B 0F 48 8D 81 00 20 00 00 4C 8B C0 4C 2B C1 48 3B C8 4C 0F 47 C6 4D 85 C0 74 14 48 8B D1 48 F7 DA F6 11 48 FF C1 48 8D 04 0A 49 3B C0 75 F2 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_244_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 91
	strings:
		$1 = { 4C 8B C9 41 83 F8 FF 75 03 32 C0 C3 85 D2 74 45 83 EA 01 74 2F 83 FA 07 75 EF 41 0F B6 C0 BA 01 00 00 00 25 07 00 00 80 7D 07 2B C2 83 C8 F8 03 C2 8A C8 41 0F B6 C0 48 C1 E8 03 D2 E2 42 84 54 08 4C EB 0D 41 8D 40 F7 83 F8 04 76 BC 41 83 F8 20 0F 95 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_158_245_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 91
	strings:
		$1 = { 4C 8B C9 41 83 F8 FF 75 03 32 C0 C3 85 D2 74 45 83 EA 01 74 2F 83 FA 07 75 EF 41 0F B6 C0 BA 01 00 00 00 25 07 00 00 80 7D 07 2B C2 83 C8 F8 03 C2 8A C8 41 0F B6 C0 48 C1 E8 03 D2 E2 42 84 54 08 54 EB 0D 41 8D 40 F7 83 F8 04 76 BC 41 83 F8 20 0F 95 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_158_246_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 77
		refs = "002a ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 44 3B C0 75 04 32 C0 EB 35 85 D2 74 2F 83 EA 01 74 16 83 FA 07 75 EE 48 83 C1 50 41 0F B7 D0 E8 ?? ?? ?? ?? 84 C0 EB 0F 41 8D 40 F7 66 83 F8 04 76 D3 66 41 83 F8 20 0F 95 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_247_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 77
		refs = "002a ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 44 3B C0 75 04 32 C0 EB 35 85 D2 74 2F 83 EA 01 74 16 83 FA 07 75 EE 48 83 C1 58 41 0F B7 D0 E8 ?? ?? ?? ?? 84 C0 EB 0F 41 8D 40 F7 66 83 F8 04 76 D3 66 41 83 F8 20 0F 95 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_250_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 30
		refs = "0013 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 48 63 C1 48 8D 0C 40 48 63 C2 48 8D 14 88 33 C0 48 8D 0D ?? ?? ?? ?? 38 04 0A 0F 95 C0 C3 }
	condition:
		$1
}

rule file_158_255_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QEAA_NXZ"
		size = 81
		refs = "0022 _calloc_base 002d _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B F1 48 39 39 75 22 8D 57 01 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1E E8 ?? ?? ?? ?? 48 39 3E 48 8B 5C 24 30 48 8B 74 24 38 0F 95 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_259_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
		size = 153
		altNames = "?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 8B 41 30 45 33 C0 85 C0 78 1C 83 F8 01 7E 7B 41 8D 50 08 83 F8 06 7E 25 83 F8 07 74 0C 3B C2 74 69 83 F8 09 74 17 33 C0 C3 8B 41 28 85 C0 74 51 83 F8 03 74 51 3B C2 49 0F 45 D0 EB 49 8B 49 28 83 F9 05 7F 2D 74 3F 85 C9 74 36 83 E9 01 74 1B 83 E9 01 74 0F 83 E9 01 74 27 83 F9 01 74 27 49 8B D0 EB 22 BA 02 00 00 00 EB 1B BA 01 00 00 00 EB 14 83 E9 06 74 0F 83 E9 01 74 0A 83 E9 02 EB D7 BA 04 00 00 00 48 8B C2 C3 8A 41 2C F6 D8 48 1B C0 48 F7 D8 48 FF C0 C3 }
	condition:
		$1
}

rule file_158_280_0 {
	meta:
		name = "?process@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 220
		refs = "001c _errno 0027 _invalid_parameter_noinfo 002e ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 005b ?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0068 ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ 0085 _getc_nolock 00a8 _ungetc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 09 E8 ?? ?? ?? ?? 84 C0 75 09 48 83 C8 FF E9 8D 00 00 00 48 83 7B 20 00 75 1D E8 ?? ?? ?? ?? 48 83 CF FF C7 00 16 00 00 00 EB 6A 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 18 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 BB 88 00 00 00 00 8B B3 80 00 00 00 75 2C 48 8B 4B 08 E8 ?? ?? ?? ?? 48 83 CF FF 3B C7 74 06 48 FF 43 10 EB 02 8B F7 3B C7 74 0F 48 01 7B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? F6 03 01 74 19 8B 5B 28 85 DB 74 12 E8 ?? ?? ?? ?? 8B FE 89 18 E8 ?? ?? ?? ?? 8B C7 EB 02 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_281_0 {
	meta:
		name = "?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 238
		refs = "0022 _errno 002d _invalid_parameter_noinfo 005d ?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 006a ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 18 48 8B D9 48 85 C0 74 06 48 3B 41 10 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 A5 00 00 00 48 83 79 28 00 75 13 E8 ?? ?? ?? ?? 83 CF FF C7 00 16 00 00 00 E9 80 00 00 00 48 83 C1 20 EB 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 20 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 BB 90 00 00 00 00 8B B3 88 00 00 00 75 3C 48 8B 43 18 83 CF FF 48 3B 43 10 75 04 8B CF EB 0E 0F B6 08 48 FF C0 48 89 43 18 3B CF 75 02 8B F7 48 8B 43 18 48 3B 43 08 74 11 48 3B 43 10 75 04 3B CF 74 07 48 FF C8 48 89 43 18 F6 03 01 74 19 8B 5B 30 85 DB 74 12 E8 ?? ?? ?? ?? 8B FE 89 18 E8 ?? ?? ?? ?? 8B C7 EB 02 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_282_0 {
	meta:
		name = "?process@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 215
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0054 ?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0061 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ 0078 _getwc_nolock 00a3 _ungetwc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 79 08 00 48 8B D9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 95 00 00 00 48 83 79 20 00 75 11 E8 ?? ?? ?? ?? 48 83 CF FF C7 00 16 00 00 00 EB 72 48 83 C1 18 EB 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 18 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 7B 70 00 8B 73 68 75 34 48 8B 4B 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 48 83 CF FF 66 3B C1 74 06 48 FF 43 10 EB 02 8B F7 66 3B C1 74 10 48 01 7B 10 0F B7 C8 48 8B 53 08 E8 ?? ?? ?? ?? F6 03 01 74 19 8B 5B 28 85 DB 74 12 E8 ?? ?? ?? ?? 8B FE 89 18 E8 ?? ?? ?? ?? 8B C7 EB 02 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_283_0 {
	meta:
		name = "?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 229
		refs = "001d _errno 0028 _invalid_parameter_noinfo 0058 ?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0065 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 18 48 8B D9 48 85 C0 74 06 48 3B 41 10 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 A6 00 00 00 48 83 79 28 00 75 13 E8 ?? ?? ?? ?? 83 CF FF C7 00 16 00 00 00 E9 85 00 00 00 48 83 C1 20 EB 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 20 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 7B 78 00 8B 7B 70 75 49 48 8B 43 18 48 3B 43 10 75 0A B8 FF FF 00 00 0F B7 D0 EB 15 0F B7 10 48 83 C0 02 48 89 43 18 B8 FF FF 00 00 66 3B D0 75 03 83 CF FF 48 8B 4B 18 48 3B 4B 08 74 13 48 3B 4B 10 75 05 66 3B D0 74 08 48 8D 41 FE 48 89 43 18 F6 03 01 74 13 8B 5B 30 85 DB 74 0C E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_284_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 21
		refs = "0011 ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 32 00 74 03 B0 01 C3 48 8B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_285_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 25
		refs = "0015 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 3A 00 74 03 B0 01 C3 48 8B 51 18 45 33 C0 48 2B 51 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_286_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 21
		refs = "0011 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 34 00 74 03 B0 01 C3 48 8B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_287_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 28
		refs = "0018 ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 3C 00 74 03 B0 01 C3 48 8B 51 18 45 33 C0 48 2B 51 08 48 D1 FA E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_288_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 285
		refs = "0057 ?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 0065 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 007e ??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 008d ??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00cd ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 00ff ?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 010e ?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 48 48 8B D9 83 FA 05 0F 8F 87 00 00 00 74 7E 33 FF 85 D2 74 3F 83 EA 01 74 2B 83 EA 01 74 22 83 EA 01 74 0D 83 FA 01 75 7F 8D 57 08 E9 CD 00 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 C0 00 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 EB 79 BA 0A 00 00 00 EB 6A 83 EA 06 74 60 83 EA 01 74 54 83 EA 01 74 24 83 FA 01 74 04 32 C0 EB 5A 33 FF 40 38 79 32 74 05 8D 47 01 EB 4D 48 8B 51 10 45 33 C0 E8 ?? ?? ?? ?? EB 3F 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 13 48 83 E8 01 74 04 33 FF EB A8 45 33 C0 41 8D 50 08 EB 85 45 33 C0 41 8D 50 08 EB 8B E8 ?? ?? ?? ?? EB 0D BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_289_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 289
		refs = "0057 ?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 0065 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 007e ??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 008d ??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00d1 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 0103 ?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0112 ?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 50 48 8B D9 83 FA 05 0F 8F 87 00 00 00 74 7E 33 FF 85 D2 74 3F 83 EA 01 74 2B 83 EA 01 74 22 83 EA 01 74 0D 83 FA 01 75 7F 8D 57 08 E9 D1 00 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 C4 00 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B6 00 00 00 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 EB 7D BA 0A 00 00 00 EB 6E 83 EA 06 74 64 83 EA 01 74 58 83 EA 01 74 28 83 FA 01 74 04 32 C0 EB 5E 33 FF 40 38 79 3A 74 05 8D 47 01 EB 51 48 8B 51 18 45 33 C0 48 2B 51 08 E8 ?? ?? ?? ?? EB 3F 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 13 48 83 E8 01 74 04 33 FF EB A4 45 33 C0 41 8D 50 08 EB 81 45 33 C0 41 8D 50 08 EB 87 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_290_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 285
		refs = "0057 ?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 0065 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 007e ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 008d ??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00cd ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 00ff ?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 010e ?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 48 48 8B D9 83 FA 05 0F 8F 87 00 00 00 74 7E 33 FF 85 D2 74 3F 83 EA 01 74 2B 83 EA 01 74 22 83 EA 01 74 0D 83 FA 01 75 7F 8D 57 08 E9 CD 00 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 C0 00 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 EB 79 BA 0A 00 00 00 EB 6A 83 EA 06 74 60 83 EA 01 74 54 83 EA 01 74 24 83 FA 01 74 04 32 C0 EB 5A 33 FF 40 38 79 34 74 05 8D 47 01 EB 4D 48 8B 51 10 45 33 C0 E8 ?? ?? ?? ?? EB 3F 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 13 48 83 E8 01 74 04 33 FF EB A8 45 33 C0 41 8D 50 08 EB 85 45 33 C0 41 8D 50 08 EB 8B E8 ?? ?? ?? ?? EB 0D BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_291_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 309
		refs = "005f ?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 006d ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0086 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0095 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00df ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 0117 ?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0126 ?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 50 48 8B D9 83 FA 05 0F 8F 92 00 00 00 0F 84 85 00 00 00 33 FF 85 D2 74 43 83 EA 01 74 2F 83 EA 01 74 26 83 EA 01 74 11 83 FA 01 0F 85 82 00 00 00 8D 57 08 E9 DD 00 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 D0 00 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 C2 00 00 00 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 E9 86 00 00 00 BA 0A 00 00 00 EB 77 83 EA 06 74 6D 83 EA 01 74 61 83 EA 01 74 2B 83 FA 01 74 04 32 C0 EB 67 33 FF 40 38 79 3C 74 05 8D 47 01 EB 5A 48 8B 51 18 45 33 C0 48 2B 51 08 48 D1 FA E8 ?? ?? ?? ?? EB 45 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 16 48 83 E8 01 74 04 33 FF EB 9E 45 33 C0 41 8D 50 08 E9 78 FF FF FF 45 33 C0 41 8D 50 08 E9 7B FF FF FF E8 ?? ?? ?? ?? EB 0D BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_292_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 100
		refs = "0016 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 002a _ungetc_nolock 0033 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 004b ??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0055 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 70 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 48 8D 4B 18 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_293_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 110
		refs = "0016 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 003d ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0055 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 005f ??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 78 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 8B C8 48 8B 43 18 48 3B 43 08 74 12 48 3B 43 10 75 05 83 F9 FF 74 07 48 FF C8 48 89 43 18 48 8D 4B 20 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_294_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 106
		refs = "0016 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0030 _ungetwc_nolock 0039 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0051 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 005b ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 58 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 10 48 FF 4B 10 0F B7 C8 48 8B 53 08 E8 ?? ?? ?? ?? 48 8D 4B 18 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_295_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 117
		refs = "0016 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0044 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 005c ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0066 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 60 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 0F B7 C8 48 8B 43 18 48 3B 43 08 74 18 48 3B 43 10 75 0A BA FF FF 00 00 66 3B CA 74 08 48 83 C0 FE 48 89 43 18 48 8D 4B 20 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_296_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 164
		refs = "0028 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 003b _ungetc_nolock 0056 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0068 ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 008b ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 70 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? 83 F8 FF 74 0E 48 FF 4F 08 8B C8 48 8B 17 E8 ?? ?? ?? ?? 4C 8B 43 38 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 70 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 32 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_297_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 174
		refs = "0028 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0060 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QEAV?$string_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0072 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0095 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 78 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? 8B C8 48 8B 47 10 48 3B 07 74 12 48 3B 47 08 75 05 83 F9 FF 74 07 48 FF C8 48 89 47 10 4C 8B 43 40 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 78 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 3A 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_298_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 170
		refs = "0028 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0041 _ungetwc_nolock 005c ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 006e ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0091 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 58 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0F 48 FF 4F 08 0F B7 C8 48 8B 17 E8 ?? ?? ?? ?? 4C 8B 43 38 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 58 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 34 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_299_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 181
		refs = "0028 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0067 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$string_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 0079 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 009c ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 60 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? 0F B7 C8 48 8B 47 10 48 3B 07 74 18 48 3B 47 08 75 0A BA FF FF 00 00 66 3B CA 74 08 48 83 C0 FE 48 89 47 10 4C 8B 43 40 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 60 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 3C 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_158_300_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 73
		refs = "000e _getc_nolock 002e _ungetc_nolock 0045 ?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? 83 F8 FF 74 1B 48 FF 43 10 0F B6 53 30 3B C2 74 17 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 8A D0 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_301_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 58
		refs = "0036 ?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { 48 8B 41 18 48 3B 41 10 74 28 0F B6 10 48 FF C0 48 89 41 18 83 FA FF 74 19 0F B6 41 38 3B D0 74 14 48 8B 41 18 48 3B 41 08 74 07 48 FF C8 48 89 41 18 32 C0 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_302_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 66
		refs = "000e _getwc_nolock 0032 _ungetwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 1A 48 FF 43 10 66 3B 43 30 74 18 48 FF 4B 10 0F B7 C8 48 8B 53 08 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 B0 01 EB F6 }
	condition:
		$1
}

rule file_158_303_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 61
	strings:
		$1 = { 48 8B 41 18 48 3B 41 10 74 2D 0F B7 10 48 83 C0 02 48 89 41 18 B8 FF FF 00 00 66 3B D0 74 18 66 3B 51 38 74 15 48 8B 41 18 48 3B 41 08 74 08 48 83 C0 FE 48 89 41 18 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_158_304_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 117
		refs = "0011 __pctype_func 0025 _getc_nolock 004a _ungetc_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B6 FA 48 8B D9 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 48 48 8B 4B 08 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 10 0F B6 4B 31 3B C1 74 2E 83 F8 FF 74 0F 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 40 0F BE CF 83 F9 FF 74 0D 48 FF 4B 10 48 8B 53 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_305_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 139
		refs = "0011 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B6 FA 48 8B D9 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 5E 48 8B 43 18 48 3B 43 10 75 05 83 C9 FF EB 0A 0F B6 08 48 FF C0 48 89 43 18 0F B6 43 39 3B C8 74 3D 48 8B 43 18 48 3B 43 08 74 12 48 3B 43 10 75 05 83 F9 FF 74 07 48 FF C8 48 89 43 18 48 8B 43 18 48 3B 43 08 74 13 48 3B 43 10 75 06 40 80 FF FF 74 07 48 FF C8 48 89 43 18 32 C0 EB 02 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_308_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 161
		refs = "0023 ?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 003f _getc_nolock 005f _ungetc_nolock 006d ?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z 007c ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 2C 83 E9 02 74 5E 83 E9 01 74 20 83 F9 01 75 44 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 07 48 FF 83 88 00 00 00 8A C1 EB 5C 48 8B 4B 08 E8 ?? ?? ?? ?? 83 F8 FF 74 1B 48 FF 43 10 0F B6 4B 30 3B C1 74 13 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 32 C0 EB 2F 8A D0 48 8B CB E8 ?? ?? ?? ?? EB 23 48 8B 53 70 48 8D 4B 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_309_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 180
		refs = "0023 ?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0076 ?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z 0085 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 34 83 E9 02 74 67 83 E9 01 74 20 83 F9 01 75 4D 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 07 48 FF 83 90 00 00 00 8A C1 EB 6F 48 8B 43 18 48 3B 43 10 74 28 0F B6 08 48 FF C0 48 89 43 18 83 F9 FF 74 19 0F B6 43 38 3B C8 74 15 48 8B 43 18 48 3B 43 08 74 07 48 FF C8 48 89 43 18 32 C0 EB 39 8A D1 48 8B CB E8 ?? ?? ?? ?? EB 2D 48 8B 53 78 48 8D 4B 08 E8 ?? ?? ?? ?? 8B C8 48 8B 43 18 48 3B 43 08 74 12 48 3B 43 10 75 05 83 F9 FF 74 07 48 FF C8 48 89 43 18 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_310_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 169
		refs = "0023 ?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0041 _getwc_nolock 006a _ungetwc_nolock 007b ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 2C 83 E9 02 74 5D 83 E9 01 74 22 83 F9 01 75 4F 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 09 B8 01 00 00 00 48 01 43 70 8A C1 EB 62 48 8B 4B 08 E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 1C B8 01 00 00 00 48 01 43 10 66 3B 4B 30 74 3D 48 FF 4B 10 48 8B 53 08 E8 ?? ?? ?? ?? 32 C0 EB 2C 48 8B 53 58 48 8D 4B 08 E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 0D 48 FF 4B 10 48 8B 53 08 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_311_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 181
		refs = "0023 ?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 007c ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 34 83 E9 02 74 5E 83 E9 01 74 22 83 F9 01 75 50 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 09 B8 01 00 00 00 48 01 43 78 8A C1 EB 6E 48 8B 43 18 48 3B 43 10 74 29 0F B7 10 B9 FF FF 00 00 48 83 C0 02 48 89 43 18 66 3B D1 74 14 66 3B 53 38 74 44 48 3B 43 08 74 08 48 83 C0 FE 48 89 43 18 32 C0 EB 37 48 8B 53 60 48 8D 4B 08 E8 ?? ?? ?? ?? 0F B7 D0 48 8B 43 18 48 3B 43 08 74 18 48 3B 43 10 75 0A B9 FF FF 00 00 66 3B D1 74 08 48 83 C0 FE 48 89 43 18 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_312_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 127
		refs = "0022 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0036 _ungetc_nolock 003f ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 005c ??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 006b ??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B D9 83 FA 01 75 21 48 8B 51 70 48 83 C1 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 48 FF 4B 10 8B C8 48 8B 53 08 E8 ?? ?? ?? ?? 48 8D 4B 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_313_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 137
		refs = "0022 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0049 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0066 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0075 ??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 83 FA 01 75 2B 48 8B 51 78 48 83 C1 08 E8 ?? ?? ?? ?? 8B C8 48 8B 43 18 48 3B 43 08 74 12 48 3B 43 10 75 05 83 F9 FF 74 07 48 FF C8 48 89 43 18 48 8D 4B 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_314_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 133
		refs = "0022 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 003c _ungetwc_nolock 0045 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 0062 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0071 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B D9 83 FA 01 75 27 48 8B 51 58 48 83 C1 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 10 48 FF 4B 10 0F B7 C8 48 8B 53 08 E8 ?? ?? ?? ?? 48 8D 4B 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_315_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 144
		refs = "0022 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0050 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 006d ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 007c ??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 83 FA 01 75 32 48 8B 51 60 48 83 C1 08 E8 ?? ?? ?? ?? 0F B7 C8 48 8B 43 18 48 3B 43 08 74 18 48 3B 43 10 75 0A BA FF FF 00 00 66 3B CA 74 08 48 83 C0 FE 48 89 43 18 48 8D 4B 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_316_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 49
		refs = "0012 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$stream_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0025 _ungetc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 70 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 0E 48 FF 4B 08 8B C8 48 8B 13 E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_317_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 59
		refs = "0012 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$string_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 78 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 8B C8 48 8B 43 10 48 3B 03 74 12 48 3B 43 08 75 05 83 F9 FF 74 07 48 FF C8 48 89 43 10 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_318_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 55
		refs = "0012 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$stream_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 002b _ungetwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 58 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0F 48 FF 4B 08 0F B7 C8 48 8B 13 E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_319_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 66
		refs = "0012 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$string_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 60 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 48 8B 43 10 48 3B 03 74 18 48 3B 43 08 75 0A BA FF FF 00 00 66 3B CA 74 08 48 83 C0 FE 48 89 43 10 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_322_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QEAAXXZ"
		size = 25
		refs = "0010 memset"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 33 D2 44 8D 42 20 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_323_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
		size = 87
		refs = "001e _calloc_base 0029 _free_base 0048 memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 39 00 48 8B F9 75 24 BA 01 00 00 00 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1F E8 ?? ?? ?? ?? 48 8B 0F 48 85 C9 74 0D 33 D2 41 B8 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_324_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 26
	strings:
		$1 = { 33 C0 89 41 14 66 89 41 18 88 41 1A 48 89 41 20 89 41 28 88 41 2C 89 41 30 C3 }
	condition:
		$1
}

rule file_158_325_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 23
	strings:
		$1 = { 33 C0 48 89 41 14 88 41 1C 48 89 41 20 89 41 28 88 41 2C 89 41 30 C3 }
	condition:
		$1
}

rule file_158_326_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AEAAXH@Z"
		size = 29
	strings:
		$1 = { 33 C0 89 51 10 89 41 14 66 89 41 18 88 41 1A 48 89 41 20 89 41 28 88 41 2C 89 41 30 C3 }
	condition:
		$1
}

rule file_158_327_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AEAAXH@Z"
		size = 26
	strings:
		$1 = { 33 C0 89 51 10 48 89 41 14 88 41 1C 48 89 41 20 89 41 28 88 41 2C 89 41 30 C3 }
	condition:
		$1
}

rule file_158_328_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
		size = 19
		altNames = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_N_K@Z"
	strings:
		$1 = { 48 3B 51 10 74 0A 48 8B 41 18 C6 00 00 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_158_337_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 444
		refs = "00ff ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 4C 8B 41 08 48 8B D1 41 0F B6 00 83 F8 64 0F 8F FB 00 00 00 0F 84 E9 00 00 00 83 F8 53 7F 4E 0F 84 30 01 00 00 83 F8 41 0F 84 7C 01 00 00 83 F8 43 74 56 83 F8 44 7E 12 83 F8 47 0F 8E 69 01 00 00 83 F8 49 0F 84 57 01 00 00 33 C0 48 C7 41 10 16 00 00 00 66 89 41 18 88 41 1A 48 89 41 20 89 41 28 88 41 2C 89 41 30 E9 4E 01 00 00 83 F8 58 0F 84 CD 00 00 00 83 F8 5B 74 51 83 F8 61 0F 84 26 01 00 00 83 F8 63 75 C1 33 C0 48 39 41 20 75 08 48 C7 41 20 01 00 00 00 44 8B 49 28 41 83 F9 02 75 03 88 41 2C 41 8D 49 FD F7 C1 FA FF FF FF 75 0A 41 83 F9 07 74 04 C6 42 2C 01 49 8D 48 01 89 42 30 48 89 4A 08 E9 ED 00 00 00 8B 49 28 83 F9 02 75 05 33 C0 88 42 2C 8D 41 FD A9 FA FF FF FF 75 09 83 F9 07 74 04 C6 42 2C 01 49 8D 40 01 C7 42 30 08 00 00 00 48 8B CA 48 89 42 08 E9 ?? ?? ?? ?? C7 41 30 03 00 00 00 E9 A2 00 00 00 83 F8 67 0F 8E 92 00 00 00 83 F8 69 0F 84 80 00 00 00 83 F8 6E 74 72 83 F8 6F 74 64 83 F8 70 74 56 83 F8 73 74 20 83 F8 75 74 12 83 F8 78 0F 85 07 FF FF FF C7 41 30 06 00 00 00 EB 65 C7 41 30 05 00 00 00 EB 5C 8B 49 28 83 F9 02 75 05 33 C0 88 42 2C 8D 41 FD A9 FA FF FF FF 75 09 83 F9 07 74 04 C6 42 2C 01 49 8D 40 01 C7 42 30 01 00 00 00 48 89 42 08 EB 33 C7 41 28 0A 00 00 00 EB B4 C7 41 30 04 00 00 00 EB 19 C7 41 30 09 00 00 00 EB 10 C7 41 30 02 00 00 00 EB 07 C7 41 30 07 00 00 00 49 8D 40 01 48 89 41 08 B0 01 C3 }
	condition:
		$1
}

rule file_158_338_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 443
		refs = "00fe ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 4C 8B 41 08 48 8B D1 41 0F B7 00 83 F8 64 0F 8F FA 00 00 00 0F 84 E8 00 00 00 83 F8 53 7F 4D 0F 84 2F 01 00 00 83 F8 41 0F 84 7B 01 00 00 83 F8 43 74 55 83 F8 44 7E 12 83 F8 47 0F 8E 68 01 00 00 83 F8 49 0F 84 56 01 00 00 33 C0 48 C7 41 10 16 00 00 00 89 41 18 88 41 1C 48 89 41 20 89 41 28 88 41 2C 89 41 30 E9 4E 01 00 00 83 F8 58 0F 84 CD 00 00 00 83 F8 5B 74 51 83 F8 61 0F 84 26 01 00 00 83 F8 63 75 C2 33 C0 48 39 41 20 75 08 48 C7 41 20 01 00 00 00 44 8B 49 28 41 83 F9 02 75 03 88 41 2C 41 8D 49 FD F7 C1 FA FF FF FF 75 0A 41 83 F9 07 74 04 C6 42 2C 01 49 8D 48 02 89 42 30 48 89 4A 08 E9 ED 00 00 00 8B 49 28 83 F9 02 75 05 33 C0 88 42 2C 8D 41 FD A9 FA FF FF FF 75 09 83 F9 07 74 04 C6 42 2C 01 49 8D 40 02 C7 42 30 08 00 00 00 48 8B CA 48 89 42 08 E9 ?? ?? ?? ?? C7 41 30 03 00 00 00 E9 A2 00 00 00 83 F8 67 0F 8E 92 00 00 00 83 F8 69 0F 84 80 00 00 00 83 F8 6E 74 72 83 F8 6F 74 64 83 F8 70 74 56 83 F8 73 74 20 83 F8 75 74 12 83 F8 78 0F 85 08 FF FF FF C7 41 30 06 00 00 00 EB 65 C7 41 30 05 00 00 00 EB 5C 8B 49 28 83 F9 02 75 05 33 C0 88 42 2C 8D 41 FD A9 FA FF FF FF 75 09 83 F9 07 74 04 C6 42 2C 01 49 8D 40 02 C7 42 30 01 00 00 00 48 89 42 08 EB 33 C7 41 28 0A 00 00 00 EB B4 C7 41 30 04 00 00 00 EB 19 C7 41 30 09 00 00 00 EB 10 C7 41 30 02 00 00 00 EB 07 C7 41 30 07 00 00 00 49 8D 40 02 48 89 41 08 B0 01 C3 }
	condition:
		$1
}

rule file_158_339_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 08 80 38 2A 75 0B 48 FF C0 C6 41 1A 01 48 89 41 08 C3 }
	condition:
		$1
}

rule file_158_340_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 23
	strings:
		$1 = { 48 8B 41 08 66 83 38 2A 75 0C 48 83 C0 02 C6 41 1C 01 48 89 41 08 C3 }
	condition:
		$1
}

rule file_158_341_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 166
		refs = "005b strtoull"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 8A 01 2C 30 3C 09 77 08 0F BE 01 83 C0 D0 EB 23 8A 01 2C 61 3C 19 77 08 0F BE 01 83 C0 A9 EB 13 8A 01 2C 41 3C 19 77 08 0F BE 01 83 C0 C9 EB 03 83 C8 FF 83 F8 09 76 04 B0 01 EB 57 48 83 64 24 30 00 48 8D 54 24 30 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 15 48 8B 4C 24 30 48 3B 4B 08 74 0A 48 89 43 20 48 89 4B 08 EB CC 83 63 14 00 66 83 63 18 00 48 83 63 20 00 83 63 28 00 83 63 30 00 32 C0 C6 43 1A 00 C6 43 2C 00 C7 43 10 16 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_342_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 597
		refs = "020d wcstoull"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 BA 30 00 00 00 48 8B 49 08 66 39 11 0F 82 9F 01 00 00 66 83 39 3A 73 0A 0F B7 01 2B C2 E9 8A 01 00 00 BA 10 FF 00 00 66 39 11 0F 83 6B 01 00 00 BA 60 06 00 00 66 39 11 0F 82 73 01 00 00 8D 42 0A 66 39 01 72 D2 BA F0 06 00 00 66 39 11 0F 82 5D 01 00 00 8D 42 0A 66 39 01 72 BC BA 66 09 00 00 66 39 11 0F 82 47 01 00 00 8D 42 0A 66 39 01 72 A6 8D 50 76 66 39 11 0F 82 33 01 00 00 8D 42 0A 66 39 01 72 92 8D 50 76 66 39 11 0F 82 1F 01 00 00 8D 42 0A 66 39 01 0F 82 7A FF FF FF 8D 50 76 66 39 11 0F 82 07 01 00 00 8D 42 0A 66 39 01 0F 82 62 FF FF FF 8D 50 76 66 39 11 0F 82 EF 00 00 00 8D 42 0A 66 39 01 0F 82 4A FF FF FF BA 66 0C 00 00 66 39 11 0F 82 D5 00 00 00 8D 42 0A 66 39 01 0F 82 30 FF FF FF 8D 50 76 66 39 11 0F 82 BD 00 00 00 8D 42 0A 66 39 01 0F 82 18 FF FF FF 8D 50 76 66 39 11 0F 82 A5 00 00 00 8D 42 0A 66 39 01 0F 82 00 FF FF FF BA 50 0E 00 00 66 39 11 0F 82 8B 00 00 00 8D 42 0A 66 39 01 0F 82 E6 FE FF FF 8D 50 76 66 39 11 72 77 8D 42 0A 66 39 01 0F 82 D2 FE FF FF 8D 50 46 66 39 11 72 63 8D 42 0A 66 39 01 0F 82 BE FE FF FF BA 40 10 00 00 66 39 11 72 4D 8D 42 0A 66 39 01 0F 82 A8 FE FF FF BA E0 17 00 00 66 39 11 72 37 8D 42 0A 66 39 01 0F 82 92 FE FF FF 8D 50 26 66 39 11 72 23 8D 42 0A 66 39 01 73 1B E9 7D FE FF FF B8 1A FF 00 00 66 39 01 0F 82 6F FE FF FF 83 C8 FF 83 F8 FF 75 35 0F B7 01 66 83 E8 41 66 83 F8 19 76 12 0F B7 01 66 83 E8 61 66 83 F8 19 76 05 83 C8 FF EB 16 0F B7 01 66 83 E8 61 66 83 F8 19 0F B7 01 77 03 83 E8 20 83 C0 C9 83 F8 09 76 04 B0 01 EB 4E 33 FF 48 8D 54 24 30 48 89 7C 24 30 44 8D 47 0A E8 ?? ?? ?? ?? 48 85 C0 74 15 48 8B 4C 24 30 48 3B 4B 08 74 0A 48 89 43 20 48 89 4B 08 EB CD 48 C7 43 10 16 00 00 00 32 C0 89 7B 18 40 88 7B 1C 48 89 7B 20 89 7B 28 40 88 7B 2C 89 7B 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_343_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 300
	strings:
		$1 = { 48 8B 41 08 80 38 49 0F 84 C4 00 00 00 80 38 4C 0F 84 AC 00 00 00 80 38 54 0F 84 94 00 00 00 80 38 68 74 6A 80 38 6A 74 56 80 38 6C 74 2C 80 38 74 74 18 80 38 7A 0F 85 EF 00 00 00 48 FF C0 C7 41 28 06 00 00 00 48 89 41 08 C3 48 FF C0 C7 41 28 07 00 00 00 48 89 41 08 C3 48 8D 50 01 80 3A 6C 75 10 48 83 C0 02 C7 41 28 04 00 00 00 48 89 41 08 C3 48 89 51 08 C7 41 28 03 00 00 00 C3 48 FF C0 C7 41 28 05 00 00 00 48 89 41 08 C3 48 8D 50 01 80 3A 68 75 10 48 83 C0 02 C7 41 28 01 00 00 00 48 89 41 08 C3 48 89 51 08 C7 41 28 02 00 00 00 C3 48 FF C0 C7 41 28 0B 00 00 00 48 89 41 08 C3 48 FF C0 C7 41 28 08 00 00 00 48 89 41 08 C3 4C 8D 40 01 41 8A 10 80 FA 33 75 16 80 78 02 32 75 10 48 83 C0 03 C7 41 28 09 00 00 00 48 89 41 08 C3 80 FA 36 75 10 80 78 02 34 75 0A 48 83 C0 03 48 89 41 08 EB 1C 80 EA 58 80 FA 20 77 1B 48 B8 01 10 82 20 01 00 00 00 48 0F A3 D0 73 0B 4C 89 41 08 C7 41 28 0A 00 00 00 C3 }
	condition:
		$1
}

rule file_158_344_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 329
	strings:
		$1 = { 48 8B 41 08 0F B7 10 83 FA 49 0F 84 D7 00 00 00 83 FA 4C 0F 84 BE 00 00 00 83 FA 54 0F 84 A5 00 00 00 41 B8 68 00 00 00 41 3B D0 74 74 83 FA 6A 74 5F 41 B8 6C 00 00 00 41 3B D0 74 2E 83 FA 74 74 19 83 FA 7A 0F 85 FD 00 00 00 48 83 C0 02 C7 41 28 06 00 00 00 48 89 41 08 C3 48 83 C0 02 C7 41 28 07 00 00 00 48 89 41 08 C3 48 8D 50 02 66 44 39 02 75 10 48 83 C0 04 C7 41 28 04 00 00 00 48 89 41 08 C3 48 89 51 08 C7 41 28 03 00 00 00 C3 48 83 C0 02 C7 41 28 05 00 00 00 48 89 41 08 C3 48 8D 50 02 66 44 39 02 75 10 48 83 C0 04 C7 41 28 01 00 00 00 48 89 41 08 C3 48 89 51 08 C7 41 28 02 00 00 00 C3 48 83 C0 02 C7 41 28 0B 00 00 00 48 89 41 08 C3 48 83 C0 02 C7 41 28 08 00 00 00 48 89 41 08 C3 4C 8D 40 02 41 0F B7 10 66 83 FA 33 75 17 66 83 78 04 32 75 10 48 83 C0 06 C7 41 28 09 00 00 00 48 89 41 08 C3 66 83 FA 36 75 11 66 83 78 04 34 75 0A 48 83 C0 06 48 89 41 08 EB 1E 66 83 EA 58 66 83 FA 20 77 1B 48 B8 01 10 82 20 01 00 00 00 48 0F A3 D0 73 0B 4C 89 41 08 C7 41 28 0A 00 00 00 C3 }
	condition:
		$1
}

rule file_158_345_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AEAA_ND@Z"
		size = 91
		refs = "000a __pctype_func"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 0F B6 53 18 B9 00 80 00 00 66 85 0C 50 74 36 48 8B 43 08 33 D2 8A 08 84 C9 75 20 48 C7 43 10 2A 00 00 00 32 C0 66 89 53 18 88 53 1A 48 89 53 20 89 53 28 88 53 2C 89 53 30 EB 0C 48 FF C0 88 4B 19 48 89 43 08 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_158_347_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 31
	strings:
		$1 = { 48 8B 51 08 8A 02 3C 77 75 0A 48 8D 42 01 48 89 41 08 EB 06 2C 43 A8 EF 75 04 C6 41 2C 01 C3 }
	condition:
		$1
}

rule file_158_348_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
		size = 62
	strings:
		$1 = { 48 8B 51 08 0F B7 02 66 83 F8 77 75 0A 48 8D 42 02 48 89 41 08 EB 22 66 83 E8 43 BA EF FF 00 00 66 85 C2 74 0E 83 79 28 0B 74 0E 8A 01 D0 E8 24 01 EB 02 32 C0 84 C0 74 04 C6 41 2C 01 C3 }
	condition:
		$1
}

rule file_158_349_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AEAA_NXZ"
		size = 404
		refs = "004c memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 34 33 F6 48 8B D9 48 85 FF 75 25 48 C7 41 10 0C 00 00 00 66 89 71 18 40 88 71 1A 48 89 71 20 89 71 28 40 88 71 2C 89 71 30 32 C0 E9 42 01 00 00 33 D2 48 8B CF 44 8D 42 20 E8 ?? ?? ?? ?? 48 8B 43 08 80 38 5E 41 0F 94 C3 45 84 DB 74 07 48 FF C0 48 89 43 08 48 8B 43 08 80 38 5D 75 0B 48 FF C0 48 89 43 08 80 4B 3F 20 4C 8B 53 08 41 80 3A 5D 0F 84 9A 00 00 00 48 8B 43 08 40 38 30 0F 84 8D 00 00 00 80 38 2D 75 4F 49 3B C2 74 4A 80 78 01 5D 74 44 8A 48 FF 8A 50 01 3A CA 76 06 8A C1 8A CA 8A D0 FE C2 EB 2A 44 0F B6 C1 49 C1 E8 03 0F B6 C1 45 0F B6 4C 18 34 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 41 0F AB C1 45 88 4C 18 34 FE C1 3A CA 75 D2 EB 28 0F B6 10 0F B6 08 48 C1 EA 03 44 0F B6 44 1A 34 81 E1 07 00 00 80 7D 07 FF C9 83 C9 F8 FF C1 41 0F AB C8 44 88 44 1A 34 48 FF 43 08 48 8B 43 08 80 38 5D 0F 85 66 FF FF FF 48 8B 43 08 40 38 30 75 23 48 C7 43 10 16 00 00 00 66 89 73 18 40 88 73 1A 48 89 73 20 89 73 28 40 88 73 2C 89 73 30 E9 EC FE FF FF 45 84 DB 74 2A 48 8D 47 20 48 8B D0 48 2B D7 48 3B F8 48 0F 47 D6 48 85 D2 74 14 4C 8B C7 49 F7 D8 F6 17 48 FF C7 49 8D 0C 38 48 3B CA 75 F2 48 FF 43 08 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_350_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AEAA_NXZ"
		size = 476
		refs = "003a _calloc_base 0045 _free_base 00b6 memset 00f7 ?set@?$scanset_buffer@_W@__crt_stdio_input@@QEAAX_W@Z 01b1 ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8D 71 38 45 33 E4 48 8B F9 B8 01 00 00 00 BD 00 20 00 00 4C 39 26 75 73 8B D0 8B CD E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1E E8 ?? ?? ?? ?? 4C 39 26 75 27 48 C7 47 10 0C 00 00 00 44 89 67 18 44 88 67 1C 32 C0 4C 89 67 20 44 89 67 28 44 88 67 2C 44 89 67 30 E9 40 01 00 00 B8 01 00 00 00 4C 39 26 75 1F 8B D0 48 8B CD E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1E E8 ?? ?? ?? ?? 48 8B 0E 48 85 C9 74 0A 4C 8B C5 33 D2 E8 ?? ?? ?? ?? 48 8B 47 08 66 83 38 5E 41 0F 94 C6 44 88 74 24 50 45 84 F6 74 08 48 83 C0 02 48 89 47 08 48 8B 47 08 41 BD 5D 00 00 00 66 44 39 28 75 13 48 83 C0 02 41 8B D5 48 8B CE 48 89 47 08 E8 ?? ?? ?? ?? 4C 8B 7F 08 66 45 39 2F 0F 84 84 00 00 00 41 BE 01 00 00 00 48 8B 47 08 66 44 39 20 74 6F 66 83 38 2D 75 4F 49 3B C7 74 4A 66 44 39 68 02 74 43 0F B7 58 FE 0F B7 68 02 66 3B DD 76 09 0F B7 C3 0F B7 DD 0F B7 E8 66 41 03 EE 66 3B DD 74 2F 41 BC 01 00 00 00 0F B7 D3 48 8B CE E8 ?? ?? ?? ?? 66 41 03 DC 66 3B DD 75 EC 45 33 E4 45 8D 74 24 01 EB 0B 0F B7 10 48 8B CE E8 ?? ?? ?? ?? 48 83 47 08 02 48 8B 47 08 66 44 39 28 75 87 44 8A 74 24 50 48 8B 47 08 66 44 39 20 75 11 83 67 18 00 48 C7 47 10 16 00 00 00 E9 BC FE FF FF 45 84 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 48 83 47 08 02 B8 01 00 00 00 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_158_357_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QEAAXE@Z"
		size = 39
	strings:
		$1 = { 44 0F B6 CA 49 C1 E9 03 0F B6 C2 45 0F B6 04 09 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 41 0F AB C0 45 88 04 09 C3 }
	condition:
		$1
}

rule file_158_358_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QEAAX_W@Z"
		size = 118
		refs = "0026 _calloc_base 0031 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 39 00 0F B7 F2 48 8B F9 75 24 BA 01 00 00 00 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1F E8 ?? ?? ?? ?? 4C 8B 07 0F B7 D6 48 C1 EA 03 0F B7 C6 42 0F B6 0C 02 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 48 8B 5C 24 30 0F AB C1 48 8B 74 24 38 42 88 0C 02 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_359_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AEAAXXZ"
		size = 32
		altNames = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AEAAXXZ"
	strings:
		$1 = { 8B 51 28 83 FA 02 75 04 C6 41 2C 00 8D 42 FD A9 FA FF FF FF 75 09 83 FA 07 74 04 C6 41 2C 01 C3 }
	condition:
		$1
}

rule file_158_363_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AEAA_N_W@Z"
		size = 35
	strings:
		$1 = { 66 83 EA 43 B8 EF FF 00 00 66 85 D0 74 12 83 79 28 0B 75 03 B0 01 C3 8B 01 48 D1 E8 83 E0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_158_369_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QEBA_NE@Z"
		size = 48
	strings:
		$1 = { 0F B6 C2 4C 8B C9 41 B8 01 00 00 00 25 07 00 00 80 7D 09 41 2B C0 83 C8 F8 41 03 C0 8A C8 0F B6 C2 48 C1 E8 03 41 D3 E0 46 84 04 08 0F 95 C0 C3 }
	condition:
		$1
}

rule file_158_370_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
		size = 145
		refs = "0034 _calloc_base 003f _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 44 0F B7 F2 48 8B F1 BF 01 00 00 00 48 39 29 75 21 8B D7 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 89 1E E8 ?? ?? ?? ?? 41 0F B7 CE 81 E1 07 00 00 80 7D 07 2B CF 83 C9 F8 03 CF 48 8B 5C 24 30 48 8B 6C 24 38 D3 E7 48 8B 0E 48 8B 74 24 40 41 0F B7 D6 48 C1 EA 03 8A 14 0A 40 84 FA 48 8B 7C 24 48 0F 95 C0 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_158_371_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 26
	strings:
		$1 = { 33 D2 85 C9 74 0E 8D 42 08 83 F9 03 74 0B 3B C8 0F 45 C2 C3 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_158_372_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YA_KW4length_modifier@1@@Z"
		size = 73
	strings:
		$1 = { 83 F9 05 7F 32 74 18 85 C9 74 1A 83 E9 01 74 21 83 E9 01 74 16 83 E9 01 74 0B 83 F9 01 75 27 B8 08 00 00 00 C3 B8 04 00 00 00 C3 B8 02 00 00 00 C3 B8 01 00 00 00 C3 83 E9 06 74 E3 83 E9 01 74 DE 83 E9 02 EB D2 33 C0 C3 }
	condition:
		$1
}

rule file_158_373_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 62
		refs = "0035 _ungetc_nolock"
	strings:
		$1 = { 48 83 EC 28 48 FF 49 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 20 8D 42 01 3C 01 76 19 0F BE C2 48 8B 11 83 F8 FF 74 0E 48 FF 4A 08 8B C8 48 8B 12 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_374_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 67
		refs = "003a _ungetwc_nolock"
	strings:
		$1 = { 48 83 EC 28 48 FF 49 10 44 0F B7 C2 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 21 41 8D 40 FF BA FD FF 00 00 66 3B C2 77 13 48 8B 11 41 0F B7 C8 48 FF 4A 08 48 8B 12 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_375_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 48
	strings:
		$1 = { 48 FF 49 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 1A FE C2 80 FA 01 76 13 48 8B 09 48 8B 41 10 48 3B 01 74 07 48 FF C8 48 89 41 10 C3 }
	condition:
		$1
}

rule file_158_376_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 55
	strings:
		$1 = { 48 FF 49 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 21 66 FF CA B8 FD FF 00 00 66 3B D0 77 14 48 8B 09 48 8B 41 10 48 3B 01 74 08 48 83 C0 FE 48 89 41 10 C3 }
	condition:
		$1
}

rule file_158_377_0 {
	meta:
		name = "?unget@?$stream_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 30
		refs = "0015 _ungetc_nolock"
	strings:
		$1 = { 48 83 EC 28 8B C2 83 FA FF 74 0E 48 FF 49 08 48 8B 11 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_378_0 {
	meta:
		name = "?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 37
		refs = "001c _ungetwc_nolock"
	strings:
		$1 = { 48 83 EC 28 0F B7 C2 BA FF FF 00 00 66 3B C2 74 0F 48 FF 49 08 48 8B 11 0F B7 C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_379_0 {
	meta:
		name = "?unget@?$string_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 28
	strings:
		$1 = { 48 8B 41 10 48 3B 01 74 12 48 3B 41 08 75 05 83 FA FF 74 07 48 FF C8 48 89 41 10 C3 }
	condition:
		$1
}

rule file_158_380_0 {
	meta:
		name = "?unget@?$string_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 36
	strings:
		$1 = { 48 8B 41 10 48 3B 01 74 1A 48 3B 41 08 75 0C 41 B8 FF FF 00 00 66 41 3B D0 74 08 48 83 C0 FE 48 89 41 10 C3 }
	condition:
		$1
}

rule file_158_382_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QEBA_NXZ"
		size = 38
		refs = "000c _errno 0017 _invalid_parameter_noinfo"
		altNames = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QEBA_NXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 79 08 00 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_384_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
		size = 44
		refs = "000b _errno 0016 _invalid_parameter_noinfo"
		altNames = "?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEBA_NXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 39 00 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 09 48 83 79 18 00 74 E5 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_388_0 {
	meta:
		name = "?validate@?$stream_input_adapter@D@__crt_stdio_input@@QEBA_NXZ"
		size = 44
		refs = "000d _errno 0018 _invalid_parameter_noinfo 0028 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z"
		altNames = "?validate@?$stream_output_adapter@D@__crt_stdio_output@@QEBA_NXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_390_0 {
	meta:
		name = "?validate@?$string_input_adapter@D@__crt_stdio_input@@QEAA_NXZ"
		size = 46
		refs = "000e _errno 0019 _invalid_parameter_noinfo"
		altNames = "?validate@?$string_input_adapter@_W@__crt_stdio_input@@QEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 10 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 08 48 3B 41 08 77 E6 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_392_0 {
	meta:
		name = "?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z"
		size = 140
		refs = "000f _fileno 0019 __badioinfo 0020 __pioinfo 0072 _errno 007d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8B 41 14 C1 E8 0C A8 01 75 77 E8 ?? ?? ?? ?? 4C 63 C0 48 8D 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 41 8D 40 02 83 F8 01 76 17 49 8B D0 49 8B C0 83 E2 3F 48 C1 F8 06 48 C1 E2 06 49 03 14 C1 EB 03 48 8B D1 80 7A 39 00 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 83 E1 3F 48 C1 F8 06 48 C1 E1 06 49 03 0C C1 F6 41 3D 01 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_158_397_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z"
		size = 23
		altNames = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_KD@Z"
	strings:
		$1 = { 49 8B 09 8A 44 24 30 88 01 B0 01 48 8B 4C 24 28 49 FF 01 48 FF 09 C3 }
	condition:
		$1
}

rule file_158_398_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 149
		refs = "0024 __pctype_func 0038 _getc_nolock 0069 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 0F B6 7C 24 58 49 8B F1 40 88 78 30 48 8B D9 C6 40 31 00 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 16 48 8B 4B 08 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 10 88 44 24 59 4C 8B 4B 70 48 8D 54 24 58 B9 3F 00 00 00 66 89 4C 24 30 49 8B 09 4C 63 41 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 0E B0 01 48 8B 5C 24 38 40 0F BE D7 66 89 11 48 83 06 02 48 8B 4C 24 50 48 8B 74 24 40 48 FF 09 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_400_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 156
		refs = "0024 __pctype_func 0070 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 0F B6 7C 24 58 49 8B F1 40 88 78 30 48 8B D9 C6 40 31 00 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 1D 48 8B 43 18 48 3B 43 10 75 05 83 C9 FF EB 0A 0F B6 08 48 FF C0 48 89 43 18 88 4C 24 59 4C 8B 4B 78 48 8D 54 24 58 B8 3F 00 00 00 48 8D 4C 24 30 66 89 44 24 30 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 48 8B 06 48 8B 5C 24 38 40 0F BE CF 66 89 08 48 8B 44 24 50 48 83 06 02 48 8B 74 24 40 48 FF 08 B0 01 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_401_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
		size = 170
		refs = "0034 wctomb_s 00a5 _invoke_watson"
		altNames = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 30 83 60 18 00 48 8D 48 18 49 8B D9 44 0F B7 4C 24 68 48 8B F2 48 8B 13 49 83 F8 FF 75 2D 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 0C 83 F8 16 74 53 83 F8 22 75 3C EB 4C 48 63 4C 24 50 48 8B 44 24 60 48 01 0B 48 29 08 EB 28 48 8B 7C 24 60 4C 8B 07 E8 ?? ?? ?? ?? 83 F8 22 75 07 C6 06 00 32 C0 EB 11 48 63 44 24 50 85 C0 7E 06 48 01 03 48 29 07 B0 01 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_158_402_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z"
		size = 26
		altNames = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_K_W@Z"
	strings:
		$1 = { 49 8B 09 0F B7 44 24 30 66 89 01 48 8B 44 24 28 49 83 01 02 48 FF 08 B0 01 C3 }
	condition:
		$1
}

rule file_158_405_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 126
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0044 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 41 78 08 48 8B FA 48 8B 41 78 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 40 45 84 C0 74 07 48 FF 81 80 00 00 00 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 CF 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_406_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 132
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 004a ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 81 80 00 00 00 08 48 8B FA 48 8B 81 80 00 00 00 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 40 45 84 C0 74 07 48 FF 81 88 00 00 00 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 CF 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_407_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 123
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0041 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 41 60 08 48 8B FA 48 8B 41 60 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 3D 45 84 C0 74 04 48 FF 41 68 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 D2 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_408_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 123
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0041 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 41 68 08 48 8B FA 48 8B 41 68 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 3D 45 84 C0 74 04 48 FF 41 70 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 D2 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_411_0 {
	meta:
		name = "__stdio_common_vfscanf"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_082dd7c0feb7dbdaf245f261e54a6583>@@AEAV<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@V<lambda_c640b76c0755ae85b317b35c67c61e6b>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_082dd7c0feb7dbdaf245f261e54a6583>@@AEAV<lambda_f3caf1ecae5fe01a9a1a6239afa44510>@@$$QEAV<lambda_c640b76c0755ae85b317b35c67c61e6b>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 10 4C 89 45 28 48 89 55 18 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_158_412_0 {
	meta:
		name = "__stdio_common_vfwscanf"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_1c23a5dd5e46d7c5fbe45428cfdcd388>@@AEAV<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@V<lambda_13a597834fd3cef18bd4341e137232db>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_1c23a5dd5e46d7c5fbe45428cfdcd388>@@AEAV<lambda_ad9c22e73f4850e44729a5f831ae9ec1>@@$$QEAV<lambda_13a597834fd3cef18bd4341e137232db>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 10 4C 89 45 28 48 89 55 18 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_158_413_0 {
	meta:
		name = "__stdio_common_vsscanf"
		size = 303
		refs = "001b __security_cookie 0038 _errno 0043 _invalid_parameter_noinfo 005b strnlen 006c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b5 memset 00f5 ?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 0114 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 8D 6C 24 F0 48 81 EC 10 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 45 33 FF 49 8B F1 48 8B FA 4C 8B F1 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 BD 00 00 00 4D 85 C9 74 E3 49 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 60 48 8D 4C 24 38 48 8B D8 E8 ?? ?? ?? ?? 48 8D 04 3B 48 89 7C 24 20 33 D2 48 89 44 24 28 0F 10 44 24 20 48 89 7C 24 30 48 8D 4D B4 F2 0F 10 4C 24 30 44 8D 42 20 4C 89 74 24 60 0F 11 44 24 68 4C 89 75 80 F2 0F 11 4C 24 78 48 89 75 88 44 89 7D 90 E8 ?? ?? ?? ?? 48 8D 44 24 40 44 89 7D 94 48 89 45 D8 48 8D 4C 24 60 48 8B 45 68 48 89 45 E0 66 44 89 7D 98 44 88 7D 9A 4C 89 7D A0 44 89 7D A8 44 88 7D AC 44 89 7D B0 4C 89 7D E8 4C 89 7D F0 E8 ?? ?? ?? ?? 44 38 7C 24 50 74 0C 48 8B 4C 24 38 83 A1 A8 03 00 00 FD 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_158_414_0 {
	meta:
		name = "__stdio_common_vswscanf"
		size = 281
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0054 wcsnlen 0064 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00d6 ?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 00e1 _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 45 33 FF 49 8B F1 48 8B FA 4C 8B F1 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF E9 B2 00 00 00 4D 85 C9 74 E3 49 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 77 48 8D 4D 17 48 8B D8 E8 ?? ?? ?? ?? 48 8D 04 5F 48 89 7C 24 20 48 89 44 24 28 48 8D 4D 97 0F 10 44 24 20 48 8D 45 1F 48 89 7D 87 F2 0F 10 4D 87 48 89 45 F7 48 8B 45 7F 48 89 45 FF 4C 89 75 97 0F 11 45 9F 4C 89 75 B7 F2 0F 11 4D AF 48 89 75 BF 4C 89 7D C7 4C 89 7D EF 44 89 7D CF 44 88 7D D3 4C 89 7D D7 44 89 7D DF 44 88 7D E3 44 89 7D E7 4C 89 7D 07 4C 89 7D 0F E8 ?? ?? ?? ?? 48 8B 4D EF 8B D8 E8 ?? ?? ?? ?? 4C 89 7D EF 44 38 7D 2F 74 0B 48 8B 4D 17 83 A1 A8 03 00 00 FD 4C 8D 9C 24 E0 00 00 00 8B C3 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "_umask"
		size = 34
		refs = "0015 _umask_s"
	strings:
		$1 = { 48 83 EC 28 83 64 24 30 00 48 8D 54 24 30 81 E1 80 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_159_1_0 {
	meta:
		name = "_umask_s"
		size = 61
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _umaskval"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 18 8B 05 ?? ?? ?? ?? 89 02 F7 C1 7F FE FF FF 75 D9 89 0D ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_161_4_0 {
	meta:
		name = "__dcrt_multibyte_check_type"
		size = 145
		refs = "0062 __acrt_GetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 50 4C 8B D2 33 DB 41 8A F9 41 0F B7 F0 8B D1 49 8B 42 08 39 58 08 75 04 33 C0 EB 57 8B 48 04 4C 8D 44 24 68 8B C2 88 54 24 69 C1 E8 08 88 44 24 68 33 C0 89 44 24 40 8D 50 01 89 54 24 30 48 8D 44 24 40 89 4C 24 28 44 8D 4A 01 49 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 BC 66 39 5C 24 42 75 B5 66 85 74 24 40 0F 95 C1 40 3A CF 0F 94 C3 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_161_6_0 {
	meta:
		name = "_ismbcalnum_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005b __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 2D 48 8B 44 24 28 BA 01 00 00 00 44 0F B6 C3 48 8B 08 B8 07 01 00 00 66 42 85 04 41 75 2A 48 8B 44 24 30 41 84 54 00 19 75 1E 33 D2 EB 1A 41 B8 07 01 00 00 48 8D 54 24 28 41 B9 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "_ldxp_addh"
		size = 850
		refs = "003c _ldunscale 004f _ldtest 007c _fperrraise 0084 _LNan_C 0205 _ld_int 0212 _ldscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 33 F6 F2 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 F2 85 D2 0F 84 06 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 3B F0 7D 68 66 83 F8 02 74 54 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 47 66 83 F8 02 0F 84 D7 02 00 00 0F B7 47 06 B9 00 80 00 00 66 33 45 5E 66 85 C1 0F 84 C1 02 00 00 8D 4E 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 41 83 FE 01 0F 8E A3 02 00 00 48 89 77 08 E9 9A 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 8C 02 00 00 66 85 C0 0F 89 83 02 00 00 41 BD 00 08 00 00 8B DE 4D 8B FE 45 85 F6 0F 8E 6F 02 00 00 4C 8D 67 F8 0F 57 F6 F2 0F 10 04 F7 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 46 02 00 00 66 85 C0 0F 84 22 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F2 0F 10 4D 58 2B C8 83 F9 E6 7F 5F 66 0F 2E CE 7A 02 74 57 8B CB 48 8B C6 FF C1 48 FF C0 49 3B C7 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 41 8D 46 FF 3B C8 7D 04 FF C1 EB 07 41 3B CE 75 02 FF C9 48 63 D1 48 3B F2 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 48 3B D6 7F EF F2 0F 11 0C F7 F2 0F 11 75 58 E9 A2 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B EA FF C3 E9 80 01 00 00 F2 0F 58 0C F7 66 0F 2E CE F2 0F 11 0C F7 7A 3A 75 38 48 8B C6 48 FF C0 49 3B C7 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 F2 0F 10 04 F7 66 0F 2E C6 0F 28 C8 7A 06 0F 84 63 01 00 00 48 8D 55 58 F2 0F 11 4D 58 48 8D 4D 48 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D E6 3B CA 0F 8D 92 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 0F 10 04 F7 F2 0F 5C 45 58 66 0F 2E C6 F2 0F 11 04 F7 7A 26 75 24 48 8B C6 48 FF C0 49 3B C7 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 48 FF CE 49 83 EC 08 83 EB 01 75 0B 41 BD 00 08 00 00 E9 AB 00 00 00 F2 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F2 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 89 00 00 00 44 8D 7B 01 45 3B FE 0F 84 A2 00 00 00 F2 0F 10 04 F7 48 8D 4D 50 48 63 C3 F2 0F 11 45 58 48 8D 1C C7 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 58 F2 0F 10 0C F7 44 0F BF 6D 50 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D 60 EB 05 F2 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DF 4D 8B FE 48 FF C6 49 83 C4 08 41 3B DE 0F 8C B5 FD FF FF EB 1B F2 0F 10 45 58 48 63 C3 FF C3 F2 0F 11 04 C7 41 3B DE 7D 07 48 63 C3 48 89 0C C7 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "_dxp_addh"
		size = 850
		refs = "003c _dunscale 004f _dtest 007c _fperrraise 0084 _Nan_C 0205 _d_int 0212 _dscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 33 F6 F2 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 F2 85 D2 0F 84 06 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 3B F0 7D 68 66 83 F8 02 74 54 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 47 66 83 F8 02 0F 84 D7 02 00 00 0F B7 47 06 B9 00 80 00 00 66 33 45 5E 66 85 C1 0F 84 C1 02 00 00 8D 4E 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 41 83 FE 01 0F 8E A3 02 00 00 48 89 77 08 E9 9A 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 8C 02 00 00 66 85 C0 0F 89 83 02 00 00 41 BD 00 08 00 00 8B DE 4D 8B FE 45 85 F6 0F 8E 6F 02 00 00 4C 8D 67 F8 0F 57 F6 F2 0F 10 04 F7 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 46 02 00 00 66 85 C0 0F 84 22 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F2 0F 10 4D 58 2B C8 83 F9 E6 7F 5F 66 0F 2E CE 7A 02 74 57 8B CB 48 8B C6 FF C1 48 FF C0 49 3B C7 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 41 8D 46 FF 3B C8 7D 04 FF C1 EB 07 41 3B CE 75 02 FF C9 48 63 D1 48 3B F2 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 48 3B D6 7F EF F2 0F 11 0C F7 F2 0F 11 75 58 E9 A2 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B EA FF C3 E9 80 01 00 00 F2 0F 58 0C F7 66 0F 2E CE F2 0F 11 0C F7 7A 3A 75 38 48 8B C6 48 FF C0 49 3B C7 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 F2 0F 10 04 F7 66 0F 2E C6 0F 28 C8 7A 06 0F 84 63 01 00 00 48 8D 55 58 F2 0F 11 4D 58 48 8D 4D 48 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D E6 3B CA 0F 8D 92 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 0F 10 04 F7 F2 0F 5C 45 58 66 0F 2E C6 F2 0F 11 04 F7 7A 26 75 24 48 8B C6 48 FF C0 49 3B C7 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 48 FF CE 49 83 EC 08 83 EB 01 75 0B 41 BD 00 08 00 00 E9 AB 00 00 00 F2 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F2 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 89 00 00 00 44 8D 7B 01 45 3B FE 0F 84 A2 00 00 00 F2 0F 10 04 F7 48 8D 4D 50 48 63 C3 F2 0F 11 45 58 48 8D 1C C7 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 58 F2 0F 10 0C F7 44 0F BF 6D 50 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D 60 EB 05 F2 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DF 4D 8B FE 48 FF C6 49 83 C4 08 41 3B DE 0F 8C B5 FD FF FF EB 1B F2 0F 10 45 58 48 63 C3 FF C3 F2 0F 11 04 C7 41 3B DE 7D 07 48 63 C3 48 89 0C C7 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_162_1_0 {
	meta:
		name = "_ldxp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _ldxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_229_1_0 {
	meta:
		name = "_dxp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _dxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_162_2_0 {
	meta:
		name = "_ldxp_getw"
		size = 80
		altNames = "_dxp_getw"
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 3E F2 0F 10 11 0F 57 C0 66 0F 2E D0 7A 02 74 2F 83 FA 01 7E 0D F2 0F 10 49 08 66 0F 2E C8 7A 02 74 1D 83 FA 02 75 09 F2 0F 58 51 08 0F 28 C2 C3 F2 0F 10 41 10 F2 0F 58 41 08 F2 0F 58 C2 C3 F2 0F 10 01 C3 }
	condition:
		$1
}

rule file_162_3_0 {
	meta:
		name = "_ldxp_invx"
		size = 330
		refs = "0035 _ldtest 005b _LInf_C 0085 memcpy 008d __real@bff0000000000000 0097 _ldxp_mulh 00ad __real@3ff0000000000000 00bb _ldxp_setw 00e2 _ldxp_mulx 00f4 _ldxp_addh 0119 _ldxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 49 C1 E6 03 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_229_3_0 {
	meta:
		name = "_dxp_invx"
		size = 330
		refs = "0035 _dtest 005b _Inf_C 0085 memcpy 008d __real@bff0000000000000 0097 _dxp_mulh 00ad __real@3ff0000000000000 00bb _dxp_setw 00e2 _dxp_mulx 00f4 _dxp_addh 0119 _dxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 49 C1 E6 03 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_162_4_0 {
	meta:
		name = "_ldxp_ldexpx"
		size = 110
		refs = "0032 ldexp 003a __real@0000000000000000"
		altNames = "_dxp_ldexpx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 29 48 8B F9 F2 0F 10 07 41 8B D6 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 07 7A 02 74 0A FF C3 48 83 C7 08 3B DD 7C DA 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_162_5_0 {
	meta:
		name = "_ldxp_movx"
		size = 36
		refs = "0017 memcpy"
		altNames = "_dxp_movx"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 48 8B D9 4C 63 C2 48 8B D0 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_162_6_0 {
	meta:
		name = "_ldxp_mulh"
		size = 492
		refs = "0027 __security_cookie 0053 _ldtest 006e _fperrraise 0132 _ldunscale 0140 _ld_int 014d _ldscale 015d _ldxp_addh 01c3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D B0 F2 0F 11 45 B0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 B0 F2 0F 11 07 66 44 3B E6 0F 8D 33 01 00 00 44 3B FB 0F 8E 2A 01 00 00 4C 89 67 08 E9 21 01 00 00 4C 89 27 BB 01 00 00 00 41 8B C4 89 45 A4 44 8B F3 4D 8B EC 45 85 FF 0F 8E 04 01 00 00 4C 8D 65 B0 8B F3 4C 2B E7 0F 57 F6 48 83 FE 04 7D 4D 42 8D 14 30 4A 8D 04 2E 48 8D 0C C7 41 3B D7 7D 2E F2 0F 10 01 66 0F 2E C6 7A 02 74 22 48 83 21 00 44 03 F3 F2 0F 59 C7 03 D3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 48 83 FE 04 7C CF EB 0E 48 83 64 F5 B0 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 B0 66 0F 2E C6 7A 06 0F 84 94 00 00 00 48 8D 55 A8 F2 0F 11 45 A8 48 8D 4D A0 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 0F BF 55 A0 48 8D 4D A8 E8 ?? ?? ?? ?? F2 0F 10 55 A8 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 55 B0 41 8B D7 F2 0F 5C 55 A8 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1C F2 0F 10 44 C5 B0 66 0F 2E C6 F2 0F 11 44 C5 A8 7A 02 74 08 48 03 C3 48 3B C6 7C E4 8B 45 A4 4C 03 EB 03 C3 49 83 EC 08 44 2B F3 89 45 A4 48 2B F3 4D 3B EF 0F 8C 08 FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_229_6_0 {
	meta:
		name = "_dxp_mulh"
		size = 492
		refs = "0027 __security_cookie 0053 _dtest 006e _fperrraise 0132 _dunscale 0140 _d_int 014d _dscale 015d _dxp_addh 01c3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D B0 F2 0F 11 45 B0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 B0 F2 0F 11 07 66 44 3B E6 0F 8D 33 01 00 00 44 3B FB 0F 8E 2A 01 00 00 4C 89 67 08 E9 21 01 00 00 4C 89 27 BB 01 00 00 00 41 8B C4 89 45 A4 44 8B F3 4D 8B EC 45 85 FF 0F 8E 04 01 00 00 4C 8D 65 B0 8B F3 4C 2B E7 0F 57 F6 48 83 FE 04 7D 4D 42 8D 14 30 4A 8D 04 2E 48 8D 0C C7 41 3B D7 7D 2E F2 0F 10 01 66 0F 2E C6 7A 02 74 22 48 83 21 00 44 03 F3 F2 0F 59 C7 03 D3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 48 83 FE 04 7C CF EB 0E 48 83 64 F5 B0 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 B0 66 0F 2E C6 7A 06 0F 84 94 00 00 00 48 8D 55 A8 F2 0F 11 45 A8 48 8D 4D A0 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 0F BF 55 A0 48 8D 4D A8 E8 ?? ?? ?? ?? F2 0F 10 55 A8 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 55 B0 41 8B D7 F2 0F 5C 55 A8 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1C F2 0F 10 44 C5 B0 66 0F 2E C6 F2 0F 11 44 C5 A8 7A 02 74 08 48 03 C3 48 3B C6 7C E4 8B 45 A4 4C 03 EB 03 C3 49 83 EC 08 44 2B F3 89 45 A4 48 2B F3 4D 3B EF 0F 8C 08 FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_162_7_0 {
	meta:
		name = "_ldxp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _ldxp_mulh 007f memcpy 00d5 _ldxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 8B CC 49 C1 E7 03 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? F2 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? F2 42 0F 10 14 F3 8B D7 49 8B CD E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_229_7_0 {
	meta:
		name = "_dxp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _dxp_mulh 007f memcpy 00d5 _dxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 8B CC 49 C1 E7 03 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? F2 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? F2 42 0F 10 14 F3 8B D7 49 8B CD E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_162_8_0 {
	meta:
		name = "_ldxp_setw"
		size = 273
		refs = "003b _ldunscale 006b _ld_int 007a _ldscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 F2 0F 11 03 48 89 6B 08 E9 9C 00 00 00 BA 1A 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 73 08 F2 0F 11 03 F2 0F 5C F0 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8B D6 48 8D 4C 24 58 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_229_8_0 {
	meta:
		name = "_dxp_setw"
		size = 273
		refs = "003b _dunscale 006b _d_int 007a _dscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 F2 0F 11 03 48 89 6B 08 E9 9C 00 00 00 BA 1A 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 73 08 F2 0F 11 03 F2 0F 5C F0 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8B D6 48 8D 4C 24 58 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_162_9_0 {
	meta:
		name = "_ldxp_sqrtx"
		size = 351
		refs = "0031 _ldtest 006c sqrt 0074 __real@3ff0000000000000 0082 _ldxp_setw 009b memcpy 00a3 __real@bfe0000000000000 00ad _ldxp_mulh 00c2 _ldxp_mulx 00df __real@3ff8000000000000 00e9 _ldxp_addh 012d _fperrraise 0135 _LNan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D0 48 8B CE E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_229_9_0 {
	meta:
		name = "_dxp_sqrtx"
		size = 351
		refs = "0031 _dtest 006c sqrt 0074 __real@3ff0000000000000 0082 _dxp_setw 009b memcpy 00a3 __real@bfe0000000000000 00ad _dxp_mulh 00c2 _dxp_mulx 00df __real@3ff8000000000000 00e9 _dxp_addh 012d _fperrraise 0135 _Nan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D0 48 8B CE E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_162_10_0 {
	meta:
		name = "_ldxp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _ldxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_229_10_0 {
	meta:
		name = "_dxp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _dxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_162_11_0 {
	meta:
		name = "fmal"
		size = 677
		refs = "0024 __security_cookie 0039 __fma3_is_available 009a _ldunscale 0177 _ldscale 0187 _ldxp_setw 01ba _ldxp_mulh 01c7 __real@0000000000000000 01fd _ldxp_addx 021a _ldxp_getw 026c _fperrraise 0274 _LNan_C 0280 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 A1 48 81 EC F0 00 00 00 0F 29 70 C8 0F 29 78 B8 44 0F 29 40 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 33 F6 F2 0F 11 44 24 38 39 35 ?? ?? ?? ?? 0F 28 FA F2 0F 11 4D 9F 0F 28 F1 F2 0F 11 55 87 44 0F 28 C0 74 2D F2 0F 11 44 24 38 F2 0F 11 55 87 F2 0F 10 45 87 0F 28 D8 F2 0F 11 4D 9F F2 0F 10 44 24 38 F2 0F 10 4D 9F C4 E2 F1 A9 C3 E9 F8 01 00 00 48 8D 55 97 F2 0F 11 45 97 48 8D 4C 24 28 F2 0F 11 4D AF F2 0F 11 54 24 30 E8 ?? ?? ?? ?? 41 BE 02 00 00 00 0F B7 D8 66 41 3B C6 75 09 41 0F 28 C0 E9 C2 01 00 00 48 8D 55 AF 48 8D 4C 24 24 E8 ?? ?? ?? ?? 0F B7 F8 66 41 3B C6 75 08 0F 28 C6 E9 A3 01 00 00 48 8D 54 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 66 41 3B C6 75 08 0F 28 C7 E9 86 01 00 00 B9 01 00 00 00 66 3B D9 0F 84 38 01 00 00 66 3B F9 0F 84 2F 01 00 00 66 3B C1 74 DC 66 85 DB 0F 84 46 01 00 00 66 85 FF 0F 84 3D 01 00 00 66 85 C0 0F 84 34 01 00 00 0F BF 44 24 28 BA 00 80 00 00 0F B7 4C 24 20 0F BF 5C 24 24 03 D8 0F B7 45 85 66 33 45 A5 66 2B CB 66 33 45 8D 66 89 4C 24 20 66 85 C2 0F 84 01 01 00 00 41 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 EF 00 00 00 0F BF D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 55 97 48 8D 4D B7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 55 AF 48 8D 4D 87 41 8B D6 E8 ?? ?? ?? ?? F2 0F 10 54 24 30 48 8D 4D 9F 41 8B D6 E8 ?? ?? ?? ?? F2 0F 10 55 87 48 8D 4D B7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 45 8F 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 32 F2 0F 10 55 97 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 55 8F 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 45 D7 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 45 8B CE 4C 8D 45 9F 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 8B D3 F2 0F 11 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 EB 40 66 85 DB 74 2E 66 85 FF 74 29 66 3B C1 75 16 0F B7 45 85 BA 00 80 00 00 66 33 45 A5 66 33 45 8D 66 85 C2 75 0E F2 41 0F 59 F0 F2 0F 58 F7 E9 62 FE FF FF E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_229_11_0 {
	meta:
		name = "fma"
		size = 677
		refs = "0024 __security_cookie 0039 __fma3_is_available 009a _dunscale 0177 _dscale 0187 _dxp_setw 01ba _dxp_mulh 01c7 __real@0000000000000000 01fd _dxp_addx 021a _dxp_getw 026c _fperrraise 0274 _Nan_C 0280 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 A1 48 81 EC F0 00 00 00 0F 29 70 C8 0F 29 78 B8 44 0F 29 40 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 33 F6 F2 0F 11 44 24 38 39 35 ?? ?? ?? ?? 0F 28 FA F2 0F 11 4D 9F 0F 28 F1 F2 0F 11 55 87 44 0F 28 C0 74 2D F2 0F 11 44 24 38 F2 0F 11 55 87 F2 0F 10 45 87 0F 28 D8 F2 0F 11 4D 9F F2 0F 10 44 24 38 F2 0F 10 4D 9F C4 E2 F1 A9 C3 E9 F8 01 00 00 48 8D 55 97 F2 0F 11 45 97 48 8D 4C 24 28 F2 0F 11 4D AF F2 0F 11 54 24 30 E8 ?? ?? ?? ?? 41 BE 02 00 00 00 0F B7 D8 66 41 3B C6 75 09 41 0F 28 C0 E9 C2 01 00 00 48 8D 55 AF 48 8D 4C 24 24 E8 ?? ?? ?? ?? 0F B7 F8 66 41 3B C6 75 08 0F 28 C6 E9 A3 01 00 00 48 8D 54 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 66 41 3B C6 75 08 0F 28 C7 E9 86 01 00 00 B9 01 00 00 00 66 3B D9 0F 84 38 01 00 00 66 3B F9 0F 84 2F 01 00 00 66 3B C1 74 DC 66 85 DB 0F 84 46 01 00 00 66 85 FF 0F 84 3D 01 00 00 66 85 C0 0F 84 34 01 00 00 0F BF 44 24 28 BA 00 80 00 00 0F B7 4C 24 20 0F BF 5C 24 24 03 D8 0F B7 45 85 66 33 45 A5 66 2B CB 66 33 45 8D 66 89 4C 24 20 66 85 C2 0F 84 01 01 00 00 41 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 EF 00 00 00 0F BF D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 55 97 48 8D 4D B7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 55 AF 48 8D 4D 87 41 8B D6 E8 ?? ?? ?? ?? F2 0F 10 54 24 30 48 8D 4D 9F 41 8B D6 E8 ?? ?? ?? ?? F2 0F 10 55 87 48 8D 4D B7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 45 8F 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 32 F2 0F 10 55 97 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? F2 0F 10 55 8F 48 8D 4D D7 8B D7 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 45 D7 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 45 8B CE 4C 8D 45 9F 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 8B D3 F2 0F 11 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 EB 40 66 85 DB 74 2E 66 85 FF 74 29 66 3B C1 75 16 0F B7 45 85 BA 00 80 00 00 66 33 45 A5 66 33 45 8D 66 85 C2 75 0E F2 41 0F 59 F0 F2 0F 58 F7 E9 62 FE FF FF E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_162_12_0 {
	meta:
		name = "intrinsic_fma"
		size = 48
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 F2 0F 11 48 10 F2 0F 10 40 10 F2 0F 11 50 18 0F 28 D0 F2 0F 10 48 18 0F 28 D9 F2 0F 10 48 08 0F 28 C1 C4 E2 E9 A9 C3 C3 }
	condition:
		$1
}

rule file_163_4_0 {
	meta:
		name = "_wcsnicoll"
		size = 147
		refs = "000d __acrt_locale_changed_data 001c _errno 0027 _invalid_parameter_noinfo 008f _wcsnicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 4C 8B D2 44 39 0D ?? ?? ?? ?? 4C 8B D9 75 74 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 4C 2B DA 43 0F B7 14 13 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 0A 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C2 02 49 83 E8 01 74 0A 66 85 D2 74 05 66 3B D1 74 C9 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_5_0 {
	meta:
		name = "_wcsnicoll_l"
		size = 305
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 007c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00e9 __acrt_CompareStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 33 ED 49 8B F0 48 8B FA 4C 8B F1 4D 85 C0 75 07 33 C0 E9 E6 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 C7 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 A1 00 00 00 49 8B D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 8B 88 30 01 00 00 48 85 C9 75 43 4C 2B F7 41 0F B7 0C 3E 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 0F B7 17 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 48 83 C7 02 48 83 EE 01 74 0A 66 85 C9 74 05 66 3B CA 74 CA 0F B7 C2 0F B7 D9 2B D8 EB 2D 89 74 24 28 44 8B CE 4D 8B C6 48 89 7C 24 20 BA 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 40 38 6C 24 48 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_164_0_0 {
	meta:
		name = "_copysign"
		size = 55
	strings:
		$1 = { F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 00 80 48 8B 4C 24 08 F2 0F 11 4C 24 08 48 8B 44 24 08 48 33 C1 48 85 C2 74 0E 48 33 CA 48 89 4C 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_165_0_0 {
	meta:
		name = "_Hypot"
		size = 490
		refs = "002b _dunscale 008c __xmm@80000000000000008000000000000000 011b _dscale 0161 __real@3ff0000000000000 0166 sqrt 0185 __real@4000000000000000 01a1 __real@3ff6a09e667f3bcd 01ad __real@3eec713e5d623e2b 01be __real@4003504816f0068e 01d4 _Inf_C"
	strings:
		$1 = { 48 8B C4 F2 0F 11 48 10 F2 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 0F B7 D8 48 8D 4D 38 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 84 01 00 00 66 83 F8 01 0F 84 7A 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F2 0F 10 45 20 E9 6C 01 00 00 66 41 3B C0 75 0A F2 0F 10 45 28 E9 5C 01 00 00 F2 0F 10 4D 20 0F 57 C0 66 0F 2F C1 F2 0F 10 1D ?? ?? ?? ?? 76 08 0F 57 CB F2 0F 11 4D 20 F2 0F 10 55 28 66 0F 2F C2 76 08 0F 57 D3 F2 0F 11 55 28 66 0F 2E D0 7A 14 75 12 66 0F 2E C8 7A 06 0F 84 17 01 00 00 0F B7 4D 30 EB 35 66 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0D 66 3B CA 7C 08 75 1E 66 0F 2F D1 76 18 0F B7 C1 F2 0F 11 55 20 66 89 45 38 0F B7 CA F2 0F 11 4D 28 66 89 55 30 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F2 0F 10 7D 20 F2 0F 5C 7D 28 66 0F 2E 7D 20 7A 06 0F 84 86 00 00 00 66 0F 2F 7D 28 76 2D F2 0F 10 75 20 F2 0F 5E 75 28 0F 28 C6 F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 58 C6 F2 0F 5E F8 EB 4D F2 0F 5E 7D 28 0F 28 F7 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F7 0F 28 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 F7 F2 0F 10 7D 28 F2 0F 58 35 ?? ?? ?? ?? F2 0F 5E FE F2 0F 58 7D 20 0F 28 C7 EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "_LHypot"
		size = 490
		refs = "002b _ldunscale 008c __xmm@80000000000000008000000000000000 011b _ldscale 0161 __real@3ff0000000000000 0166 sqrt 0185 __real@4000000000000000 01a1 __real@3ff6a09e667f3bcd 01ad __real@3eec713e5d623e2b 01be __real@4003504816f0068e 01d4 _LInf_C"
	strings:
		$1 = { 48 8B C4 F2 0F 11 48 10 F2 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 0F B7 D8 48 8D 4D 38 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 84 01 00 00 66 83 F8 01 0F 84 7A 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F2 0F 10 45 20 E9 6C 01 00 00 66 41 3B C0 75 0A F2 0F 10 45 28 E9 5C 01 00 00 F2 0F 10 4D 20 0F 57 C0 66 0F 2F C1 F2 0F 10 1D ?? ?? ?? ?? 76 08 0F 57 CB F2 0F 11 4D 20 F2 0F 10 55 28 66 0F 2F C2 76 08 0F 57 D3 F2 0F 11 55 28 66 0F 2E D0 7A 14 75 12 66 0F 2E C8 7A 06 0F 84 17 01 00 00 0F B7 4D 30 EB 35 66 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0D 66 3B CA 7C 08 75 1E 66 0F 2F D1 76 18 0F B7 C1 F2 0F 11 55 20 66 89 45 38 0F B7 CA F2 0F 11 4D 28 66 89 55 30 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F2 0F 10 7D 20 F2 0F 5C 7D 28 66 0F 2E 7D 20 7A 06 0F 84 86 00 00 00 66 0F 2F 7D 28 76 2D F2 0F 10 75 20 F2 0F 5E 75 28 0F 28 C6 F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 58 C6 F2 0F 5E F8 EB 4D F2 0F 5E 7D 28 0F 28 F7 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F7 0F 28 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 F7 F2 0F 10 7D 28 F2 0F 58 35 ?? ?? ?? ?? F2 0F 5E FE F2 0F 58 7D 20 0F 28 C7 EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_165_1_0 {
	meta:
		name = "csqrt"
		size = 489
		refs = "0026 creal 003c cimag 004a _dtest 0089 _Hypot 00b1 __xmm@7fffffffffffffff7fffffffffffffff 00b8 ldexp 00c6 __real@4000000000000000 00d9 sqrt 0127 __xmm@80000000000000008000000000000000 018c _Inf_C 01b0 _Zero_C 01cb _Cbuild"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? F2 0F 11 45 40 48 8D 4D E0 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 38 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 0F B7 F0 66 41 3B C6 75 0A F2 0F 10 55 38 E9 57 01 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 66 41 3B C6 0F 84 E1 00 00 00 F2 0F 10 4D 38 4C 8D 45 30 F2 0F 10 45 40 E8 ?? ?? ?? ?? 8B 5D 30 0F 28 F0 85 DB 75 10 0F 28 D0 F2 0F 59 55 38 0F 28 C8 E9 1F 01 00 00 F2 0F 10 45 40 8B D3 0F 54 05 ?? ?? ?? ?? F7 DA E8 ?? ?? ?? ?? 8B C3 F2 0F 58 C6 F2 0F 10 35 ?? ?? ?? ?? 99 2B C2 D1 F8 8B D8 F2 0F 59 C6 41 2B DE E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 40 0F 28 D8 0F 57 C0 66 0F 2F C8 72 18 F2 0F 10 55 38 0F 28 CB F2 0F 59 CE F2 0F 5E D1 0F 28 CB E9 B9 00 00 00 F2 0F 10 4D 38 B8 00 80 00 00 66 85 45 3E 74 1E 0F 28 D3 F2 0F 59 DE 0F 57 15 ?? ?? ?? ?? F2 0F 5E CB 0F 57 0D ?? ?? ?? ?? E9 8B 00 00 00 66 0F 2E C8 7A 0A 75 08 0F 28 D3 E9 54 FF FF FF 0F 28 C3 0F 28 D3 F2 0F 59 C6 F2 0F 5E C8 EB 6B 0F 57 C0 66 83 FE 02 75 18 66 0F 2F 45 40 76 0C F2 0F 10 55 40 F2 0F 10 4D 38 EB 4F 0F 10 03 EB 56 66 0F 2F 45 40 B8 00 80 00 00 76 1E F2 0F 10 15 ?? ?? ?? ?? 66 85 45 3E 0F 84 05 FF FF FF 0F 57 15 ?? ?? ?? ?? E9 F9 FE FF FF 66 85 45 3E 74 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 D0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 30 48 8B C7 F3 0F 7F 07 48 83 C4 40 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_166_1_0 {
	meta:
		name = "__acrt_initialize_heap"
		size = 28
		refs = "0006 __imp_GetProcessHeap 0010 __acrt_heap"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 48 89 05 ?? ?? ?? ?? 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_167_1_0 {
	meta:
		name = "bsearch"
		size = 248
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0090 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 20 4C 8B E9 4D 8B F1 33 C9 49 8B F0 48 8B EA 48 85 D2 75 19 4D 85 C0 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 6D 4D 85 C9 74 E7 48 39 4C 24 60 74 E0 49 8D 58 FF 49 0F AF DE 48 03 DA 48 3B D3 77 4B 4C 8B FE 49 D1 EF 74 68 48 8B 44 24 60 40 F6 C6 01 49 8D 77 FF 49 8B CD 49 0F 45 F7 48 8B FE 49 0F AF FE 48 03 FD 48 8B D7 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 19 79 08 48 8B DF 49 2B DE EB 07 4A 8D 2C 37 49 8B F7 48 3B EB 76 B5 48 8B F9 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 48 85 F6 74 D6 48 8B 44 24 60 48 8B D5 49 8B CD FF 15 ?? ?? ?? ?? 33 C9 48 8B FD 85 C0 48 0F 45 F9 EB BB }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "_fdpoly"
		size = 28
	strings:
		$1 = { 0F 28 C8 F3 0F 10 02 EB 0C 48 83 C2 04 F3 0F 59 C1 F3 0F 58 02 41 83 E8 01 79 EE C3 }
	condition:
		$1
}

rule file_168_1_0 {
	meta:
		name = "erfcf"
		size = 618
		refs = "0022 _fdtest 0049 __real@3ef430fe 005b erff 0063 __real@3f800000 0077 __real@3fc2f1aa 009c __real@bf400000 00a4 __real@3ca92ef9 00ab s00 00c4 __real@3d56d16c 00cb c00 00ed __real@bfa40000 00f5 __real@3c8c2154 00fc s01 0115 __real@3d370146 011c c01 0136 approx 015b _fperrraise 01da _fd_int 01f8 expf 0214 __xmm@80000000800000008000000080000000 0221 _fdexp 0246 __real@40000000"
	strings:
		$1 = { 48 8B C4 F3 0F 11 40 08 55 48 8B EC 48 83 EC 50 0F 29 70 E8 48 8D 4D 10 0F 29 78 D8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 0F BF C8 33 D2 85 C9 0F 84 19 02 00 00 83 E9 01 0F 84 F7 01 00 00 83 F9 01 0F 84 E7 01 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 55 10 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 5C C8 0F 28 C1 E9 E1 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 0F 86 AF 00 00 00 F3 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 0F 2F C2 8B D0 76 51 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 F3 0F 59 C2 83 EA 01 F3 0F 58 01 79 EF F3 0F 10 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 F3 0F 59 CA 83 E8 01 F3 0F 58 09 79 EF F3 0F 5E C1 E9 6B 01 00 00 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 F3 0F 59 C2 83 EA 01 F3 0F 58 01 79 EF F3 0F 10 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 F3 0F 59 CA 83 E8 01 F3 0F 58 09 79 EF EB AD 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F3 0F 10 01 0F 2F C2 77 21 FF C2 48 83 C1 28 48 63 C2 48 83 F8 08 72 E8 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 ED 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 48 63 C2 F3 0F 5E C2 48 8D 14 80 49 8B 44 D0 08 41 8B 4C D0 10 F3 41 0F 5C 44 D0 04 F3 0F 11 45 18 F3 44 0F 10 00 EB 0E 48 83 C0 04 F3 44 0F 59 C0 F3 44 0F 58 00 83 E9 01 79 ED 49 8B 44 D0 18 41 8B 4C D0 20 F3 0F 10 38 EB 0C 48 83 C0 04 F3 0F 59 F8 F3 0F 58 38 83 E9 01 79 EF BA 08 00 00 00 F3 0F 11 55 18 48 8D 4D 18 E8 ?? ?? ?? ?? F3 0F 10 75 18 0F 28 C6 0F 28 CE F3 0F 5C 45 10 F3 0F 58 4D 10 F3 0F 59 C1 E8 ?? ?? ?? ?? F3 44 0F 5E C7 48 8D 4D 18 45 33 C0 F3 0F 59 F6 F3 41 0F 59 C0 0F 57 35 ?? ?? ?? ?? F3 0F 11 75 18 0F 28 C8 E8 ?? ?? ?? ?? F3 0F 10 45 18 EB 28 F3 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 12 0F 84 1D FF FF FF F3 0F 10 05 ?? ?? ?? ?? EB 08 F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_169_1_0 {
	meta:
		name = "??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
		size = 425
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0093 __acrt_stdio_allocate_buffer_nolock 00aa _fileno 00bd _read 0124 __pioinfo 0147 __badioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 48 8B EC 48 83 EC 20 48 85 C9 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 8B 41 14 C1 E8 0D A8 01 74 DE 48 8B 45 10 8B 48 14 C1 E9 0C F6 C1 01 75 CF 48 8B 45 10 8B 48 14 48 8B 45 10 D1 E9 F6 C1 01 74 07 F0 83 48 14 10 EB B6 F0 83 48 14 01 48 8B 45 10 8B 48 14 F7 C1 C0 04 00 00 75 09 48 8B 4D 10 E8 ?? ?? ?? ?? 48 8B 45 10 48 8B 48 08 48 89 08 48 8B 5D 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 10 8B C8 44 8B 42 20 48 8B 52 08 E8 ?? ?? ?? ?? 89 43 10 48 8B 45 10 8B 50 10 8D 4A 01 83 F9 01 77 1B F7 DA 1B C9 83 E1 08 83 C1 08 F0 09 48 14 48 8B 45 10 83 60 10 00 E9 42 FF FF FF 8B 48 14 F6 C1 06 75 67 48 8B 4D 10 E8 ?? ?? ?? ?? 83 F8 FF 74 40 48 8B 4D 10 E8 ?? ?? ?? ?? 83 F8 FE 74 32 48 8B 5D 10 48 8B CB E8 ?? ?? ?? ?? 48 63 F8 48 8D 35 ?? ?? ?? ?? 48 8B CB 48 C1 FF 06 E8 ?? ?? ?? ?? 48 8B 14 FE 83 E0 3F 48 C1 E0 06 48 03 D0 EB 07 48 8D 15 ?? ?? ?? ?? 8A 42 38 24 82 3C 82 75 09 48 8B 45 10 F0 83 48 14 20 48 8B 45 10 81 78 20 00 02 00 00 75 29 8B 48 14 C1 E9 06 F6 C1 01 74 1A 48 8B 45 10 8B 48 14 C1 E9 08 F6 C1 01 75 0B 48 8B 45 10 C7 40 20 00 10 00 00 48 8B 45 10 FF 48 10 48 8B 08 0F B6 11 48 FF C1 48 89 08 8B C2 E9 8A FE FF FF }
	condition:
		$1
}

rule file_169_2_0 {
	meta:
		name = "??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
		size = 485
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 009d __acrt_stdio_allocate_buffer_nolock 00cb _fileno 00de _read 0145 __pioinfo 0168 __badioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 41 56 41 57 48 8B EC 48 83 EC 20 48 85 C9 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 8B 41 14 C1 E8 0D A8 01 74 D8 48 8B 45 20 8B 48 14 C1 E9 0C F6 C1 01 75 C9 48 8B 45 20 8B 48 14 48 8B 45 20 D1 E9 F6 C1 01 74 07 F0 83 48 14 10 EB B0 F0 83 48 14 01 48 8B 45 20 8B 48 14 F7 C1 C0 04 00 00 75 09 48 8B 4D 20 E8 ?? ?? ?? ?? 48 8B 45 20 83 78 10 01 75 0B 48 8B 08 40 B6 01 44 8A 31 EB 06 40 32 F6 45 32 F6 48 8B 48 08 48 89 08 48 8B 5D 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 20 8B C8 44 8B 42 20 48 8B 52 08 E8 ?? ?? ?? ?? 89 43 10 48 8B 45 20 8B 50 10 8D 4A 01 83 F9 02 77 1B F7 DA 1B C9 83 E1 08 83 C1 08 F0 09 48 14 48 8B 45 20 83 60 10 00 E9 25 FF FF FF 8B 48 14 F6 C1 06 75 67 48 8B 4D 20 E8 ?? ?? ?? ?? 83 F8 FF 74 40 48 8B 4D 20 E8 ?? ?? ?? ?? 83 F8 FE 74 32 48 8B 5D 20 48 8B CB E8 ?? ?? ?? ?? 48 63 F8 4C 8D 3D ?? ?? ?? ?? 48 8B CB 48 C1 FF 06 E8 ?? ?? ?? ?? 49 8B 14 FF 83 E0 3F 48 C1 E0 06 48 03 D0 EB 07 48 8D 15 ?? ?? ?? ?? 8A 42 38 24 82 3C 82 75 09 48 8B 45 20 F0 83 48 14 20 48 8B 45 20 81 78 20 00 02 00 00 75 29 8B 48 14 C1 E9 06 F6 C1 01 74 1A 48 8B 45 20 8B 48 14 C1 E9 08 F6 C1 01 75 0B 48 8B 45 20 C7 40 20 00 10 00 00 48 8B 45 20 48 8B 08 40 84 F6 74 16 0F B6 11 FF 48 10 66 C1 E2 08 41 0F B6 CE 66 0B D1 48 FF 00 EB 0B 0F B7 11 83 40 10 FE 48 83 00 02 0F B7 C2 E9 54 FE FF FF }
	condition:
		$1
}

rule file_169_6_0 {
	meta:
		name = "?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z"
		size = 34
	strings:
		$1 = { 83 79 10 01 75 10 48 8B 01 C6 44 24 18 01 8A 08 88 4C 24 19 EB 06 66 83 64 24 18 00 0F B7 44 24 18 C3 }
	condition:
		$1
}

rule file_169_18_0 {
	meta:
		name = "?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
		size = 25
	strings:
		$1 = { 48 89 4C 24 08 FF 49 10 48 8B 4C 24 08 48 8B 11 8A 02 48 FF C2 48 89 11 C3 }
	condition:
		$1
}

rule file_169_19_0 {
	meta:
		name = "?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
		size = 55
	strings:
		$1 = { 48 89 4C 24 08 48 8B 01 84 D2 74 1A 0F B6 00 FF 49 10 48 8B 4C 24 08 66 C1 E0 08 66 C1 EA 08 66 0B C2 48 FF 01 C3 0F B7 00 83 41 10 FE 48 8B 4C 24 08 48 83 01 02 C3 }
	condition:
		$1
}

rule file_170_4_0 {
	meta:
		name = "_gcvt"
		size = 44
		refs = "0017 _gcvt_s"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B CA 0F 28 D0 48 83 CA FF 49 8B C8 49 8B D8 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_170_5_0 {
	meta:
		name = "_gcvt_s"
		size = 420
		refs = "001b __security_cookie 003e _errno 004a _invalid_parameter_noinfo 0076 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b8 __acrt_fltout 0121 __acrt_fp_format 0190 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 48 8D AC 24 98 FD FF FF 48 81 EC 68 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 02 00 00 F2 0F 11 54 24 50 48 8B F2 49 63 F9 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 30 01 00 00 48 85 D2 74 E3 C6 01 00 48 3B FA 72 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB D9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B 44 24 70 4C 8D 8D F0 00 00 00 41 BC 5E 01 00 00 4C 8D 44 24 58 41 8B D4 4C 89 64 24 20 48 8B 88 F8 00 00 00 48 8B 01 48 8B 4C 24 50 44 8A 30 33 C0 48 89 44 24 58 48 89 44 24 60 E8 ?? ?? ?? ?? 8B 54 24 5C 8D 4A FF 83 F9 FF 7C 26 8D 47 FF 3B C8 7F 1F 2B FA 48 83 64 24 40 00 48 C7 44 24 38 10 00 00 00 89 7C 24 30 C7 44 24 28 66 00 00 00 EB 1E 48 83 64 24 40 00 8D 47 FF 48 C7 44 24 38 10 00 00 00 89 44 24 30 C7 44 24 28 65 00 00 00 4C 8D 4D 90 4C 89 64 24 20 4C 8B C6 48 8D 4C 24 50 48 8B D3 E8 ?? ?? ?? ?? 8B F8 85 C0 74 11 E8 ?? ?? ?? ?? 89 38 EB 3D 41 3A C6 74 09 48 FF C3 8A 03 84 C0 75 F2 80 3B 00 74 28 EB 04 3C 65 74 09 48 FF C3 8A 03 84 C0 75 F3 48 8B CB 48 FF CB 80 3B 30 74 F8 8A 01 48 FF C3 48 FF C1 88 03 84 C0 75 F2 33 FF 80 7D 80 00 74 0C 48 8B 4C 24 68 83 A1 A8 03 00 00 FD 8B C7 48 8B 8D 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 68 03 00 00 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_172_2_0 {
	meta:
		name = "??$common_searchenv_s@D@@YAHQEBD0QEAD_K@Z"
		size = 925
		refs = "0017 __security_cookie 003f _errno 004a _invalid_parameter_noinfo 0081 _access_s 009c _fullpath 00cb _dupenv_s 0130 _calloc_base 013a _free_base 019a __acrt_getpath 027e strcpy_s 0346 __security_check_cookie 036e _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 33 F6 4C 89 4C 24 50 4D 8B F9 4D 8B F0 48 8B EA 4C 8B E9 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 E2 02 00 00 4D 85 C9 74 E1 48 85 C9 75 05 41 88 30 EB D7 40 38 31 75 08 41 88 30 E9 B8 02 00 00 E8 ?? ?? ?? ?? 33 D2 49 8B CD 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 29 4D 8B C7 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 0F 41 88 36 E8 ?? ?? ?? ?? 8B 00 E9 86 02 00 00 33 C0 E9 7F 02 00 00 4C 8B C5 48 89 74 24 30 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 4D 02 00 00 E9 7D 02 00 00 48 8B 5C 24 30 48 85 DB 0F 84 3A 02 00 00 48 83 C8 FF 4C 8B E0 49 FF C4 43 38 34 2C 75 F7 48 C7 44 24 38 08 01 00 00 48 8D 6C 24 60 4D 3B E7 72 43 48 FF C0 40 38 34 03 75 F7 48 83 C0 02 BA 01 00 00 00 49 03 C4 48 8B C8 48 89 44 24 38 E8 ?? ?? ?? ?? 33 C9 48 8B E8 E8 ?? ?? ?? ?? 48 85 ED 75 12 41 88 36 E8 ?? ?? ?? ?? 8D 75 0C 89 30 E9 C8 01 00 00 48 8D 44 24 60 48 8B FD 48 3B E8 48 0F 44 FE E8 ?? ?? ?? ?? 8B 00 89 44 24 40 48 8B 44 24 30 41 BF 22 00 00 00 48 89 44 24 48 48 85 C0 0F 84 7C 01 00 00 4C 8B 44 24 38 48 8B D5 4D 2B C4 48 8B C8 49 FF C8 E8 ?? ?? ?? ?? 48 89 44 24 30 48 85 C0 0F 85 89 00 00 00 48 8D 44 24 60 48 3B E8 0F 85 35 01 00 00 E8 ?? ?? ?? ?? 44 39 38 75 63 4C 8B 7C 24 48 48 83 C8 FF 48 FF C0 41 38 34 07 75 F7 48 83 C0 02 BA 01 00 00 00 49 03 C4 48 8B C8 48 89 44 24 38 E8 ?? ?? ?? ?? 48 8B CF 48 8B E8 E8 ?? ?? ?? ?? 33 C9 48 8B FD E8 ?? ?? ?? ?? 48 85 ED 0F 84 AF 00 00 00 4C 8B 44 24 38 48 8B D5 4D 2B C4 49 8B CF E8 ?? ?? ?? ?? 48 89 44 24 30 EB 05 48 8B 44 24 30 48 85 C0 0F 84 BA 00 00 00 40 38 75 00 0F 84 B0 00 00 00 49 83 CF FF 49 FF C7 41 38 34 2F 75 F7 49 8D 0C 2F 8A 41 FF 2C 2F 3C 2D 77 10 48 BA 01 08 00 00 00 20 00 00 48 0F A3 C2 72 09 C6 01 5C 48 FF C1 49 FF C7 48 8B 54 24 38 4D 8B C5 49 2B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 FE 00 00 00 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 D3 FE FF FF 49 8D 47 01 4C 8B 7C 24 50 49 03 C4 49 3B C7 76 20 41 88 36 E8 ?? ?? ?? ?? B9 22 00 00 00 EB 55 41 88 36 E8 ?? ?? ?? ?? BE 0C 00 00 00 89 30 EB 33 E8 ?? ?? ?? ?? 8B 4C 24 40 4C 8B C5 49 8B D7 89 08 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 2B E9 84 00 00 00 41 88 36 E8 ?? ?? ?? ?? B9 02 00 00 00 8B F1 89 08 8B CE EB 0F 41 88 36 E8 ?? ?? ?? ?? B9 02 00 00 00 89 08 8B F1 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C6 EB 11 41 88 36 E8 ?? ?? ?? ?? B9 02 00 00 00 89 08 8B C1 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_172_3_0 {
	meta:
		name = "??$common_searchenv_s@_W@@YAHQEB_W0QEA_W_K@Z"
		size = 946
		refs = "0017 __security_cookie 0044 _errno 004f _invalid_parameter_noinfo 0088 _waccess_s 00a3 _wfullpath 00d3 _wdupenv_s 013c _calloc_base 0146 _free_base 01a8 __acrt_wgetpath 0297 wcscpy_s 035b __security_check_cookie 0383 _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 02 00 00 33 F6 4C 89 4C 24 58 48 89 4C 24 50 4D 8B E1 4D 8B F0 4C 8B FA 48 8B E9 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 F2 02 00 00 4D 85 C9 74 E1 48 85 C9 75 06 66 41 89 30 EB D6 66 39 31 75 09 66 41 89 30 E9 C6 02 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B CD 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 2A 4D 8B C4 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 10 66 41 89 36 E8 ?? ?? ?? ?? 8B 00 E9 93 02 00 00 33 C0 E9 8C 02 00 00 4D 8B C7 48 89 74 24 30 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 59 02 00 00 E9 8A 02 00 00 48 8B 5C 24 30 48 85 DB 0F 84 46 02 00 00 48 83 C8 FF 4C 8B E8 49 FF C5 66 42 39 74 6D 00 75 F5 48 C7 44 24 38 08 01 00 00 4C 8D 7C 24 60 BD 02 00 00 00 4D 3B EC 72 42 48 FF C0 66 39 34 43 75 F7 48 03 C5 48 8B D5 49 03 C5 48 8B C8 48 89 44 24 38 E8 ?? ?? ?? ?? 33 C9 4C 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 75 14 66 41 89 36 E8 ?? ?? ?? ?? 41 8D 77 0C 89 30 E9 CE 01 00 00 48 8D 44 24 60 49 8B FF 4C 3B F8 48 0F 44 FE E8 ?? ?? ?? ?? 8B 00 89 44 24 40 48 8B 44 24 30 41 BC 22 00 00 00 48 89 44 24 48 48 85 C0 0F 84 86 01 00 00 4C 8B 44 24 38 49 8B D7 4D 2B C5 48 8B C8 49 FF C8 E8 ?? ?? ?? ?? 48 89 44 24 30 48 85 C0 0F 85 87 00 00 00 48 8D 44 24 60 4C 3B F8 0F 85 41 01 00 00 E8 ?? ?? ?? ?? 44 39 20 75 61 4C 8B 64 24 48 48 83 C8 FF 48 FF C0 66 41 39 34 44 75 F6 48 03 C5 48 8B D5 49 03 C5 48 8B C8 48 89 44 24 38 E8 ?? ?? ?? ?? 48 8B CF 4C 8B F8 E8 ?? ?? ?? ?? 33 C9 49 8B FF E8 ?? ?? ?? ?? 4D 85 FF 0F 84 BF 00 00 00 4C 8B 44 24 38 49 8B D7 4D 2B C5 49 8B CC E8 ?? ?? ?? ?? 48 89 44 24 30 EB 05 48 8B 44 24 30 48 85 C0 0F 84 C8 00 00 00 66 41 39 37 0F 84 BE 00 00 00 49 83 CC FF 49 FF C4 66 43 39 34 67 75 F6 4B 8D 0C 67 0F B7 41 FE 66 83 E8 2F 66 83 F8 2D 77 10 48 BA 01 08 00 00 00 20 00 00 48 0F A3 C2 72 0E B8 5C 00 00 00 66 89 01 48 03 CD 49 FF C4 48 8B 54 24 38 4C 8B 44 24 50 49 2B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 FA 00 00 00 33 D2 49 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 C8 FE FF FF 48 8B 6C 24 58 49 8D 45 01 49 03 C4 48 3B C5 76 24 66 41 89 36 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 EB 40 66 41 89 36 E8 ?? ?? ?? ?? BE 0C 00 00 00 89 30 EB 2C E8 ?? ?? ?? ?? 8B 4C 24 40 4D 8B C7 48 8B D5 89 08 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 22 EB 7F 66 41 89 36 E8 ?? ?? ?? ?? 8B F5 89 28 8B CE 8B F1 EB 0D 66 41 89 36 E8 ?? ?? ?? ?? 8B F5 89 28 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C6 EB 12 66 41 89 36 E8 ?? ?? ?? ?? BD 02 00 00 00 89 28 8B C5 48 8B 8C 24 70 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "cosf"
		size = 1279
		refs = "0006 __use_fma3_lib 0068 L_one_half 0088 L_large_x_sse2 009a L_2bypi 00bd L_piby2_1 00c9 L_piby2_1tail 00ed L_piby2_2 00fa L_piby2_2tail 015d L_one_sixth 0184 L_real_one 01cb __remainder_piby2d2f_forAsm 0201 __Lsinfarray 0254 __Lcosfarray 02ca _cosf_special 02e7 L_inf_mask_32 0308 L_piby2 0315 L_two_to_neg_7 031e L_two_to_neg_13 0328 L_two_to_32_float 0330 L_one_float 03c8 L_large_x_fma3 03d2 L_sign_mask 03f4 L__int_three 043f __remainder_piby2_fma3_bdl 0451 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 68 83 3D ?? ?? ?? ?? 00 0F 85 CF 02 00 00 66 0F 57 D2 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 9C 02 00 00 F3 0F 5A C0 66 48 0F 7E C2 4C 8B D2 49 0F BA F2 3F 41 B8 01 00 00 00 66 0F 28 C8 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 7F 29 66 0F 28 D0 F2 0F 59 D2 33 C0 49 8B D2 F2 0F 10 2D ?? ?? ?? ?? E9 7F 01 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 2E 01 00 00 66 0F 28 D0 F2 0F 10 1D ?? ?? ?? ?? 66 0F 28 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 48 81 F9 F2 03 00 00 0F 8D AD 00 00 00 48 81 F9 DE 03 00 00 7E 54 66 0F 28 D0 F2 0F 59 D0 44 23 C0 74 27 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 32 01 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 0B 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 85 FB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EE 00 00 00 66 66 0F 1F 84 00 00 00 00 00 48 89 54 24 20 4C 89 54 24 30 E8 ?? ?? ?? ?? 48 8B 54 24 20 4C 8B 54 24 30 41 B8 01 00 00 00 66 0F 28 C8 F2 0F 10 2D ?? ?? ?? ?? EB 03 0F 1F 00 66 0F 28 D0 F2 0F 59 D0 44 23 C0 74 53 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 D8 F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 EB 5D 66 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C1 83 C0 01 83 E0 02 74 14 66 0F 57 D2 F2 0F 5C D0 66 0F 28 C2 0F 1F 84 00 00 00 00 00 F2 0F 5A C0 48 83 C4 68 C3 E8 ?? ?? ?? ?? 48 83 C4 68 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 FE 01 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F AE 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 45 4C 3B 0D ?? ?? ?? ?? 7D 1C C5 FA 58 0D ?? ?? ?? ?? C5 F9 6E 05 ?? ?? ?? ?? 48 83 C4 68 C3 0F 1F 80 00 00 00 00 C5 D3 59 05 ?? ?? ?? ?? C4 E2 D1 AD 05 ?? ?? ?? ?? C5 FB 5A C0 48 83 C4 68 C3 66 0F 1F 44 00 00 F2 0F 10 C5 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 0D ?? ?? ?? ?? C5 EB 5C D1 C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 C5 FB 5A C0 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 62 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB C4 E1 F9 7E E0 EB 2C 0F 1F 80 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 12 E8 ?? ?? ?? ?? EB 10 66 66 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 73 34 C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 EB 4A 66 90 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 0D ?? ?? ?? ?? C5 EB 5C D1 C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 48 83 C0 01 48 D1 E8 48 C1 E0 3F C4 E1 F9 6E D8 C5 F9 57 C3 C5 FB 5A C0 48 83 C4 68 C3 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_174_4_0 {
	meta:
		name = "_mbsnset_s_l"
		size = 546
		refs = "006c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0088 _strnset_s 01b3 _errno 01bf _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 E4 41 8B E8 49 8B F1 48 8B DA 4C 8B F1 45 8B FC 41 8B FC 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 AB 01 00 00 33 C0 E9 B7 01 00 00 48 85 C9 0F 84 9B 01 00 00 48 85 D2 0F 84 92 01 00 00 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 30 44 8B C5 49 8B CE 44 39 62 08 75 12 4C 8B CE 48 8B D3 E8 ?? ?? ?? ?? 8B D8 E9 48 01 00 00 41 C1 E8 08 41 BA 01 00 00 00 45 84 C0 0F 84 87 00 00 00 40 84 ED 0F 84 89 00 00 00 41 0F B6 C0 F6 44 10 19 04 74 7E 45 38 26 0F 84 AE 00 00 00 48 85 F6 0F 84 AA 00 00 00 49 2B DA 0F 84 9C 00 00 00 4C 8D 49 01 45 38 21 74 44 85 FF 74 05 41 8B FC EB 0B 0F B6 01 0F B6 7C 10 19 83 E7 04 44 88 01 49 8B C9 49 2B DA 74 74 85 FF 74 05 41 8B FC EB 0C 41 0F B6 01 0F B6 7C 10 19 83 E7 04 49 03 CA 41 88 29 49 2B F2 44 38 21 75 A3 EB 4F 44 88 21 49 03 DA 45 8B FA EB 44 40 0F B6 C5 F6 44 10 19 04 74 08 45 88 26 E9 8A 00 00 00 45 38 26 74 2C 48 85 F6 74 2C 49 2B DA 74 22 85 FF 74 05 41 8B FC EB 0B 0F B6 01 0F B6 7C 10 19 83 E7 04 40 88 29 49 2B F2 49 03 CA 44 38 21 75 D4 48 85 F6 75 34 85 FF 74 2B 44 38 21 74 2B 49 2B DA 74 21 45 8B FA 44 38 61 01 75 08 44 88 21 49 03 DA EB 10 C6 01 20 48 FF C1 EB 08 49 2B DA 74 08 49 03 CA 44 38 21 75 F3 48 85 DB 75 16 45 88 26 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 45 85 FF 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DC 44 38 64 24 38 74 1F 48 8B 4C 24 20 83 A1 A8 03 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_175_4_0 {
	meta:
		name = "??$capture_argv@PEAPEADAEBQEBDPEAPEADH@?$__crt_char_traits@D@@SAPEAPEAD$$QEAPEAPEADAEBQEBD0$$QEAH@Z"
		size = 17
		refs = "000d __acrt_capture_narrow_argv"
	strings:
		$1 = { 4D 63 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_5_0 {
	meta:
		name = "??$capture_argv@PEAPEADAEBQEB_WPEAPEA_WH@?$__crt_char_traits@_W@@SAPEAPEA_W$$QEAPEAPEADAEBQEB_W$$QEAPEAPEA_W$$QEAH@Z"
		size = 17
		refs = "000d __acrt_capture_wide_argv"
	strings:
		$1 = { 4D 63 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_647_13_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEAD_KAEAPEBDH@?$__crt_char_traits@D@@SAHAEAPEAD$$QEA_KAEAPEBD$$QEAH@Z"
		size = 17
		refs = "000d strncpy_s"
	strings:
		$1 = { 4D 63 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_647_15_0 {
	meta:
		name = "??$tcsncpy_s@AEAPEA_W_KAEAPEB_WH@?$__crt_char_traits@_W@@SAHAEAPEA_W$$QEA_KAEAPEB_W$$QEAH@Z"
		size = 17
		refs = "000d wcsncpy_s"
	strings:
		$1 = { 4D 63 09 4D 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_6_0 {
	meta:
		name = "??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
		size = 242
		refs = "0011 __security_cookie 0041 _errno 004c _invalid_parameter_noinfo 0079 __acrt_capture_narrow_argv 00c2 _spawnvpe 00cd _free_base 00e0 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B 84 24 90 02 00 00 33 FF 48 89 44 24 20 4D 8B D1 49 8B F0 44 8B F2 40 8A E9 4D 85 C0 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7E 41 38 38 74 E5 4D 85 C9 74 E0 41 38 39 74 DB 41 B9 40 00 00 00 4C 8D 44 24 30 49 8B D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BE 48 8B D8 48 8D 44 24 30 4C 3B C0 48 0F 44 DF 40 84 ED 74 12 48 8B 44 24 20 48 83 C0 08 48 89 44 24 20 48 8B 78 F8 4C 8B CF 48 8B D6 41 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_648_6_0 {
	meta:
		name = "??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
		size = 242
		refs = "0011 __security_cookie 0041 _errno 004c _invalid_parameter_noinfo 0079 __acrt_capture_narrow_argv 00c2 _spawnve 00cd _free_base 00e0 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B 84 24 90 02 00 00 33 FF 48 89 44 24 20 4D 8B D1 49 8B F0 44 8B F2 40 8A E9 4D 85 C0 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7E 41 38 38 74 E5 4D 85 C9 74 E0 41 38 39 74 DB 41 B9 40 00 00 00 4C 8D 44 24 30 49 8B D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BE 48 8B D8 48 8D 44 24 30 4C 3B C0 48 0F 44 DF 40 84 ED 74 12 48 8B 44 24 20 48 83 C0 08 48 89 44 24 20 48 8B 78 F8 4C 8B CF 48 8B D6 41 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_175_7_0 {
	meta:
		name = "??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
		size = 247
		refs = "0011 __security_cookie 0041 _errno 004c _invalid_parameter_noinfo 007e __acrt_capture_wide_argv 00c7 _wspawnvpe 00d2 _free_base 00e5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B 84 24 90 02 00 00 33 FF 48 89 44 24 20 4D 8B D1 49 8B F0 44 8B F2 40 8A E9 4D 85 C0 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 80 00 00 00 66 41 39 38 74 E1 4D 85 C9 74 DC 66 41 39 39 74 D6 41 B9 40 00 00 00 4C 8D 44 24 30 49 8B D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B9 48 8B D8 48 8D 44 24 30 4C 3B C0 48 0F 44 DF 40 84 ED 74 12 48 8B 44 24 20 48 83 C0 08 48 89 44 24 20 48 8B 78 F8 4C 8B CF 48 8B D6 41 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_648_7_0 {
	meta:
		name = "??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
		size = 247
		refs = "0011 __security_cookie 0041 _errno 004c _invalid_parameter_noinfo 007e __acrt_capture_wide_argv 00c7 _wspawnve 00d2 _free_base 00e5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B 84 24 90 02 00 00 33 FF 48 89 44 24 20 4D 8B D1 49 8B F0 44 8B F2 40 8A E9 4D 85 C0 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 80 00 00 00 66 41 39 38 74 E1 4D 85 C9 74 DC 66 41 39 39 74 D6 41 B9 40 00 00 00 4C 8D 44 24 30 49 8B D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B9 48 8B D8 48 8D 44 24 30 4C 3B C0 48 0F 44 DF 40 84 ED 74 12 48 8B 44 24 20 48 83 C0 08 48 89 44 24 20 48 8B 78 F8 4C 8B CF 48 8B D6 41 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_175_8_0 {
	meta:
		name = "??$tspawnvpe@AEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@Z"
		size = 16
		refs = "000c _spawnvpe"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_24_3 {
	meta:
		name = "??$tspawnve@AEBHAEAPEADAEBQEBQEBDAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEAPEADAEBQEBQEBD2@Z"
		size = 16
		refs = "000c _spawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_25_3 {
	meta:
		name = "??$tspawnve@AEBHAEAPEA_WAEBQEBQEB_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEAPEA_WAEBQEBQEB_W2@Z"
		size = 16
		refs = "000c _wspawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_648_8_4 {
	meta:
		name = "??$tspawnve@AEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEAPEADAEBQEBQEBD@Z"
		size = 16
		refs = "000c _spawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_26_2 {
	meta:
		name = "??$tspawnve@AEBHAEBQEBDAEBQEBQEBDAEBQEBQEBD@?$__crt_char_traits@D@@SA_JAEBHAEBQEBDAEBQEBQEBD2@Z"
		size = 16
		refs = "000c _spawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_648_9_2 {
	meta:
		name = "??$tspawnve@AEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@Z"
		size = 16
		refs = "000c _wspawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_27_4 {
	meta:
		name = "??$tspawnve@AEBHAEBQEB_WAEBQEBQEB_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEBQEB_W2@Z"
		size = 16
		refs = "000c _wspawnve"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_9_4 {
	meta:
		name = "??$tspawnvpe@AEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@?$__crt_char_traits@_W@@SA_JAEBHAEBQEB_WAEBQEAPEA_WAEBQEBQEB_W@Z"
		size = 16
		refs = "000c _wspawnvpe"
	strings:
		$1 = { 4D 8B 09 4D 8B 00 48 8B 12 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_16_0 {
	meta:
		name = "_execlp"
		size = 50
		refs = "0029 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_16_0 {
	meta:
		name = "_execl"
		size = 50
		refs = "0029 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_20_0 {
	meta:
		name = "_wexecl"
		size = 50
		refs = "0029 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_20_0 {
	meta:
		name = "_wexeclp"
		size = 50
		refs = "0029 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_17_0 {
	meta:
		name = "_execlpe"
		size = 50
		refs = "0029 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_17_0 {
	meta:
		name = "_execle"
		size = 50
		refs = "0029 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_21_0 {
	meta:
		name = "_wexecle"
		size = 50
		refs = "0029 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_21_0 {
	meta:
		name = "_wexeclpe"
		size = 50
		refs = "0029 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 18 4C 8B CA 4C 8B C1 49 89 43 E8 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_18_0 {
	meta:
		name = "_spawnlp"
		size = 43
		refs = "0022 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_18_0 {
	meta:
		name = "_spawnl"
		size = 43
		refs = "0022 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_22_0 {
	meta:
		name = "_wspawnl"
		size = 43
		refs = "0022 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_22_0 {
	meta:
		name = "_wspawnlp"
		size = 43
		refs = "0022 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_19_0 {
	meta:
		name = "_spawnlpe"
		size = 43
		refs = "0022 ??$common_spawnlp@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_19_0 {
	meta:
		name = "_spawnle"
		size = 43
		refs = "0022 ??$common_spawnl@D@@YA_J_NHQEBD1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_648_23_0 {
	meta:
		name = "_wspawnle"
		size = 43
		refs = "0022 ??$common_spawnl@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_175_23_0 {
	meta:
		name = "_wspawnlpe"
		size = 43
		refs = "0022 ??$common_spawnlp@_W@@YA_J_NHQEB_W1PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 49 89 43 E8 8B D1 B1 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "strncmp"
		size = 125
	strings:
		$1 = { 48 2B D1 4D 85 C0 74 6A F7 C1 07 00 00 00 74 1D 0F B6 01 3A 04 11 75 5D 48 FF C1 49 FF C8 74 52 84 C0 74 4E 48 F7 C1 07 00 00 00 75 E3 49 BB 80 80 80 80 80 80 80 80 49 BA FF FE FE FE FE FE FE FE 8D 04 11 25 FF 0F 00 00 3D F8 0F 00 00 77 C0 48 8B 01 48 3B 04 11 75 B7 48 83 C1 08 49 83 E8 08 76 0F 4E 8D 0C 10 48 F7 D0 49 23 C1 49 85 C3 74 CF 33 C0 C3 48 1B C0 48 83 C8 01 C3 }
	condition:
		$1
}

rule file_178_5_0 {
	meta:
		name = "_mbsnicmp_l"
		size = 401
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 004c _strnicmp 0060 _errno 006b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 33 ED 49 8B F0 48 8B FA 48 8B D9 4D 85 C0 75 07 33 C0 E9 51 01 00 00 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 30 39 6A 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 14 01 00 00 48 85 DB 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 F0 00 00 00 0F B6 0B 48 FF CE 48 FF C3 F6 44 11 19 04 74 3A 40 38 2B 75 04 8B CD EB 4A 0F B6 03 48 FF C3 66 C1 E1 08 66 0B C8 66 3B 4A 0C 72 0C 66 3B 4A 0E 77 06 66 03 4A 10 EB 2B 66 3B 4A 12 72 25 66 3B 4A 14 77 1F 66 03 4A 16 EB 19 0F B7 C1 FF C0 48 98 F6 44 10 18 10 74 0B 0F B7 C1 0F B6 8C 10 19 01 00 00 44 0F B6 07 48 FF C7 41 F6 44 10 19 04 74 43 40 38 2F 75 05 44 8B C5 EB 55 0F B6 07 48 FF C7 66 41 C1 E0 08 66 44 0B C0 66 44 3B 42 0C 72 0E 66 44 3B 42 0E 77 07 66 44 03 42 10 EB 31 66 44 3B 42 12 72 2A 66 44 3B 42 14 77 23 66 44 03 42 16 EB 1C 41 0F B7 C0 FF C0 48 98 F6 44 10 18 10 74 0D 41 0F B7 C0 44 0F B6 84 10 19 01 00 00 66 44 3B C1 75 12 66 85 C9 74 09 48 85 F6 0F 85 1B FF FF FF 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "_realloc_base"
		size = 130
		refs = "0019 _malloc_base 0025 _free_base 003a _query_new_mode 0046 _callnewh 0057 __acrt_heap 005f __imp_HeapReAlloc 006b _errno"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 48 85 C9 75 0A 48 8B CA E8 ?? ?? ?? ?? EB 58 48 85 D2 75 07 E8 ?? ?? ?? ?? EB 4A 48 83 FA E0 77 39 4C 8B CA 4C 8B C1 EB 1B E8 ?? ?? ?? ?? 85 C0 74 28 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 1C 4C 8B CB 4C 8B C7 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 85 C0 74 D1 EB 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "_strset"
		size = 16
	strings:
		$1 = { 48 8B C1 EB 05 88 11 48 FF C1 80 39 00 75 F6 C3 }
	condition:
		$1
}

rule file_182_7_0 {
	meta:
		name = "__acrt_initialize_stdio"
		size = 287
		refs = "001b _nstream 0045 _calloc_base 004e __piob 0053 _free_base 0095 _iob 00ad __acrt_InitializeCriticalSectionEx 00bb __pioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB BF 03 00 00 00 85 C0 75 07 B8 00 02 00 00 EB 05 3B C7 0F 4C C7 48 63 C8 BA 08 00 00 00 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 2F BA 08 00 00 00 89 3D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 05 83 C8 FF EB 75 4C 8B F3 48 8D 35 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 48 8D 4D 30 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 83 E1 3F 48 C1 E1 06 49 89 2C 06 48 8B C3 48 C1 F8 06 48 8B 04 C2 48 8B 4C 08 28 48 83 C1 02 48 83 F9 02 77 06 C7 06 FE FF FF FF 48 FF C3 48 83 C5 58 49 83 C6 08 48 83 C6 58 48 83 EF 01 75 9E 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_182_8_0 {
	meta:
		name = "__acrt_iob_func"
		size = 17
		refs = "0005 _iob"
	strings:
		$1 = { 8B C1 48 8D 0D ?? ?? ?? ?? 48 6B C0 58 48 03 C1 C3 }
	condition:
		$1
}

rule file_182_9_0 {
	meta:
		name = "__acrt_uninitialize_stdio"
		size = 91
		refs = "0007 _flushall 000c _fcloseall 0015 __piob 001e __acrt_stdio_free_buffer_nolock 0033 __imp_DeleteCriticalSection 0049 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 48 8B 0D ?? ?? ?? ?? 48 8B 0C 0B E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 0C 03 48 83 C1 30 FF 15 ?? ?? ?? ?? 48 83 C3 08 48 83 FB 18 75 D1 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_182_10_0 {
	meta:
		name = "_get_stream_buffer_pointers"
		size = 71
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 22 48 85 D2 74 07 48 8D 41 08 48 89 02 4D 85 C0 74 03 49 89 08 4D 85 C9 74 07 48 8D 41 10 49 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_183_7_0 {
	meta:
		name = "??0__acrt_stdio_temporary_buffering_guard@@QEAA@QEAU_iobuf@@@Z"
		size = 32
		refs = "0010 __acrt_stdio_begin_temporary_buffering_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 88 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_183_22_0 {
	meta:
		name = "_fwrite_nolock"
		size = 407
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 00d1 memcpy 00f9 __acrt_stdio_flush_nolock 0125 _fileno 0132 _write 0169 __acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B F1 4D 8B E8 4C 8B F2 4C 8B F9 48 85 D2 74 1A 4D 85 C0 74 15 4D 85 C9 75 2F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 85 C9 74 CC 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C0 77 BE 41 8B 41 14 A9 C0 04 00 00 74 06 45 8B 61 20 EB 06 41 BC 00 10 00 00 49 8B FE 49 0F AF FD 48 8B EF 48 85 FF 0F 84 EC 00 00 00 B9 FE FF FF FF 8B 46 14 A8 C0 74 37 48 63 46 10 85 C0 74 2F 0F 88 8F 00 00 00 48 8B 0E 48 3B E8 48 8B D8 49 8B D7 48 0F 42 DD 4C 8B C3 E8 ?? ?? ?? ?? 29 5E 10 48 2B EB 48 01 1E 4C 03 FB E9 A1 00 00 00 41 8B DC 48 3B EB 72 73 8B 46 14 A8 C0 74 11 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 50 B9 FE FF FF FF 48 8B C5 45 85 E4 74 0B 33 D2 48 F7 F3 48 8B C5 48 2B C2 48 3B C1 8B D9 48 8B CE 0F 42 D8 E8 ?? ?? ?? ?? 8B C8 44 8B C3 49 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B C8 3B C3 0F 47 CB 48 2B E9 4C 03 F9 3B C3 73 3B F0 83 4E 14 10 48 2B FD 33 D2 48 8B C7 49 F7 F6 E9 E8 FE FF FF 41 0F BE 0F 48 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 DF 49 FF C7 48 FF CD 83 7E 20 00 41 BC 01 00 00 00 44 0F 4F 66 20 48 85 ED E9 0E FF FF FF 49 8B C5 E9 B2 FE FF FF }
	condition:
		$1
}

rule file_183_23_0 {
	meta:
		name = "fwrite"
		size = 129
		refs = "002b _errno 0036 _invalid_parameter_noinfo 007b ??$?RV<lambda_bdbcead8b570fa3d5ec6d9679862a6e5>@@AEAV<lambda_96f4279ff90247a4c5c5d9824f56f8c1>@@V<lambda_4606be27f17b5e5579e09050fab91818>@@@?$__crt_seh_guarded_call@_K@@QEAA_K$$QEAV<lambda_bdbcead8b570fa3d5ec6d9679862a6e5>@@AEAV<lambda_96f4279ff90247a4c5c5d9824f56f8c1>@@$$QEAV<lambda_4606be27f17b5e5579e09050fab91818>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 74 1A 4D 85 C0 74 15 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 60 5D C3 48 8D 45 28 4C 89 4D C8 48 89 45 D8 4C 8D 45 D8 48 8D 45 10 4C 89 4D D0 48 89 45 E0 4C 8D 4D C8 48 8D 45 18 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 8D 4D C0 48 89 45 F0 E8 ?? ?? ?? ?? EB BB }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "_swab"
		size = 89
		refs = "000d _errno 001c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 4C 8B C9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 48 85 D2 74 E7 45 85 C0 78 E2 41 83 F8 01 7E 24 41 83 C0 FE 41 D1 E8 41 FF C0 41 8A 41 01 41 8A 09 4D 8D 49 02 88 02 88 4A 01 48 8D 52 02 49 83 E8 01 75 E6 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "_fpieee_flt"
		size = 27
		refs = "0017 _fpieee_flt_simd"
	strings:
		$1 = { 8D 81 72 FF FF 3F 83 F8 03 76 0B 81 F9 93 00 00 C0 74 03 33 C0 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "_mbsnbcpy_s"
		size = 20
		refs = "000b _mbsnbcpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_478_14_0 {
	meta:
		name = "_aligned_recalloc"
		size = 20
		refs = "000b _aligned_offset_recalloc_base"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_478_15_3 {
	meta:
		name = "_aligned_recalloc_base"
		size = 20
		refs = "000b _aligned_offset_recalloc_base"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_646_0_3 {
	meta:
		name = "_mbccpy_s"
		size = 20
		refs = "000b _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_653_0_3 {
	meta:
		name = "_mbsnbcat_s"
		size = 20
		refs = "000b _mbsnbcat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_309_0_2 {
	meta:
		name = "_mbsnbset_s"
		size = 20
		refs = "000b _mbsnbset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_574_0_2 {
	meta:
		name = "_mbsncat_s"
		size = 20
		refs = "000b _mbsncat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_363_0_4 {
	meta:
		name = "_mbsncpy_s"
		size = 20
		refs = "000b _mbsncpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_415_0_3 {
	meta:
		name = "_mbsnset_s"
		size = 20
		refs = "000b _mbsnset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_675_7_3 {
	meta:
		name = "wctomb_s"
		size = 20
		refs = "000b _wctomb_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "??$common_getpath@D@@YAPEADQEBDQEAD_K@Z"
		size = 172
		refs = "000d _errno"
	strings:
		$1 = { 48 83 EC 28 45 33 DB 48 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 89 00 00 00 4D 85 C0 74 03 44 88 1A 49 83 F8 01 76 E0 EB 03 48 FF C1 80 39 3B 74 F8 4D 8D 48 FF 4C 8B D1 4C 03 CA 8A 01 84 C0 74 4F 3C 3B 74 48 48 FF C1 3C 22 75 27 8A 01 84 C0 74 3E 3C 22 74 13 88 02 48 FF C1 48 FF C2 49 3B D1 74 1A 8A 01 84 C0 75 E9 44 38 19 74 22 48 FF C1 EB C8 88 02 48 FF C2 49 3B D1 75 BE 44 88 1A E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 85 48 FF C1 80 39 3B 74 F8 49 3B CA 44 88 1A 49 0F 44 CB 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_187_1_0 {
	meta:
		name = "??$common_getpath@_W@@YAPEA_WQEB_WQEA_W_K@Z"
		size = 215
		refs = "000f _errno"
	strings:
		$1 = { 40 57 48 83 EC 20 45 33 DB 48 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 B1 00 00 00 4D 85 C0 74 04 66 44 89 1A 49 83 F8 01 76 DF EB 04 48 83 C1 02 66 83 39 3B 74 F6 0F B7 01 4D 8D 48 FF 4E 8D 0C 4A 4C 8B D1 66 85 C0 74 6F BF 22 00 00 00 66 83 F8 3B 74 60 48 83 C1 02 66 3B C7 75 31 0F B7 01 66 85 C0 74 53 66 3B C7 74 18 66 89 02 48 83 C1 02 48 83 C2 02 49 3B D1 74 2A 0F B7 01 66 85 C0 75 E3 66 44 39 19 74 30 48 83 C1 02 EB 0C 66 89 02 48 83 C2 02 49 3B D1 74 0A 0F B7 01 66 85 C0 74 16 EB AA 66 44 89 1A E8 ?? ?? ?? ?? 89 38 E9 60 FF FF FF 48 83 C1 02 66 83 39 3B 74 F6 49 3B CA 66 44 89 1A 49 0F 44 CB 48 8B C1 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_187_2_0 {
	meta:
		name = "__acrt_getpath"
		size = 175
		refs = "000e _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 D2 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 89 00 00 00 4D 85 C0 74 02 88 1A 49 83 F8 01 76 E3 41 B3 3B EB 03 48 FF C1 44 38 19 74 F8 4D 8D 48 FF 4C 8B D1 4C 03 CA 8A 01 84 C0 74 4E 41 3A C3 74 46 48 FF C1 3C 22 75 26 8A 01 84 C0 74 3C 3C 22 74 13 88 02 48 FF C1 48 FF C2 49 3B D1 74 19 8A 01 84 C0 75 E9 38 19 74 21 48 FF C1 EB C8 88 02 48 FF C2 49 3B D1 75 BE 88 1A E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 14 48 FF C1 44 38 19 74 F8 49 3B CA 88 1A 48 0F 44 CB 48 8B D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_187_3_0 {
	meta:
		name = "__acrt_wgetpath"
		size = 222
		refs = "0012 _errno"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 85 D2 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 AF 00 00 00 4D 85 C0 74 03 66 89 1A 49 83 F8 01 76 E2 66 41 BB 3B 00 EB 04 48 83 C1 02 66 44 39 19 74 F6 0F B7 01 4D 8D 48 FF 4E 8D 0C 4A 4C 8B D1 66 85 C0 74 6A BF 22 00 00 00 66 41 3B C3 74 5B 48 83 C1 02 66 3B C7 75 30 0F B7 01 66 85 C0 74 4E 66 3B C7 74 18 66 89 02 48 83 C1 02 48 83 C2 02 49 3B D1 74 29 0F B7 01 66 85 C0 75 E3 66 39 19 74 2C 48 83 C1 02 EB 0C 66 89 02 48 83 C2 02 49 3B D1 74 0A 0F B7 01 66 85 C0 74 12 EB AB 66 89 1A E8 ?? ?? ?? ?? 89 38 EB 17 48 83 C1 02 66 44 39 19 74 F6 49 3B CA 66 89 1A 48 0F 44 CB 48 8B D9 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_188_3_0 {
	meta:
		name = "?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z"
		size = 818
		refs = "001d __security_cookie 0052 _errno 005d _invalid_parameter_noinfo 0072 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 012f __imp_WideCharToMultiByte 01a5 __imp_GetLastError 0313 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 45 33 E4 49 8B F0 44 89 65 C0 4C 8B F2 4C 8B F9 41 8B DC 48 85 C9 74 0C 4D 85 C0 75 07 33 C0 E9 BF 02 00 00 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 A1 02 00 00 49 8B D1 48 8D 4D C8 E8 ?? ?? ?? ?? 4D 85 FF 0F 84 E5 01 00 00 48 8B 4D D0 4C 39 A1 38 01 00 00 75 47 48 85 F6 0F 84 5F 02 00 00 B9 FF 00 00 00 66 41 39 0E 77 25 41 8A 06 41 88 04 1F 41 0F B7 06 49 83 C6 02 66 85 C0 0F 84 3C 02 00 00 48 FF C3 48 3B DE 72 DA E9 2F 02 00 00 E8 ?? ?? ?? ?? 48 83 CB FF E9 1B 02 00 00 83 79 08 01 75 7A 48 85 F6 74 2D 49 8B C6 48 8B D6 66 44 39 20 74 0A 48 83 C0 02 48 83 EA 01 75 F0 48 85 D2 74 12 66 44 39 20 75 0C 48 8B F0 49 2B F6 48 D1 FE 48 FF C6 8B 49 0C 48 8D 45 C0 48 89 44 24 38 44 8B CE 4C 89 64 24 30 4D 8B C6 89 74 24 28 33 D2 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 D8 85 C0 74 8B 44 39 65 C0 75 85 45 38 64 1F FF 0F 85 A9 01 00 00 48 FF CB E9 A1 01 00 00 8B 49 0C 48 8D 45 C0 48 89 44 24 38 48 83 CB FF 4C 89 64 24 30 44 8B CB 89 74 24 28 4D 8B C6 33 D2 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 13 44 39 65 C0 0F 85 59 01 00 00 48 8D 5F FF E9 5B 01 00 00 44 39 65 C0 0F 85 46 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 37 01 00 00 48 85 F6 0F 84 3C 01 00 00 44 8D 68 8B 48 8B 4D D0 48 8D 55 C0 48 89 54 24 38 41 B9 01 00 00 00 4C 89 64 24 30 4D 8B C6 8B 41 08 41 3B C5 8B 49 0C 41 0F 4F C5 33 D2 89 44 24 28 48 8D 45 E8 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 E5 00 00 00 44 39 65 C0 0F 85 DB 00 00 00 85 C0 0F 88 D3 00 00 00 48 63 D0 49 3B D5 0F 87 C7 00 00 00 48 8D 04 3A 48 3B C6 0F 87 C8 00 00 00 49 8B CC 48 85 D2 7E 1B 8A 44 0D E8 41 88 04 3F 84 C0 0F 84 B0 00 00 00 48 FF C1 48 FF C7 48 3B CA 7C E5 49 83 C6 02 48 3B FE 0F 83 98 00 00 00 E9 5B FF FF FF 48 8B 45 D0 4C 39 A0 38 01 00 00 75 39 41 0F B7 06 49 8B FC 66 85 C0 74 7A B9 FF 00 00 00 66 3B C1 77 12 49 83 C6 02 48 FF C7 41 0F B7 06 66 85 C0 75 EB EB 5E E8 ?? ?? ?? ?? 48 83 CF FF C7 00 2A 00 00 00 EB 4D 48 8D 4D C0 48 83 CB FF 48 89 4C 24 38 44 8B CB 8B 48 0C 4D 8B C6 4C 89 64 24 30 33 D2 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 0B 44 39 65 C0 75 05 48 FF CF EB 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B FB 44 38 65 E0 74 0B 48 8B 4D C8 83 A1 A8 03 00 00 FD 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_188_4_0 {
	meta:
		name = "?wcsncnt@@YA_KPEB_W_K@Z"
		size = 55
	strings:
		$1 = { 45 33 C9 48 8B C1 4C 8B C2 48 85 D2 74 25 66 44 39 08 74 0A 48 83 C0 02 49 83 E8 01 75 F0 4D 85 C0 74 10 66 44 39 08 75 0A 48 2B C1 48 D1 F8 48 FF C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_188_7_0 {
	meta:
		name = "_wcstombs_s_l"
		size = 236
		refs = "005f ?_wcstombs_l_helper@@YA_KPEADPEB_W_KPEAU__crt_locale_pointers@@@Z 0072 _errno 008c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 45 33 F6 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 D2 74 51 4D 85 C0 74 51 48 85 D2 74 03 44 88 32 48 85 C9 74 03 4C 21 31 4C 8B 44 24 50 4C 3B C7 4C 0F 47 C7 49 81 F8 FF FF FF 7F 77 2C 4C 8B 4C 24 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 2B 48 85 DB 74 03 44 88 33 E8 ?? ?? ?? ?? 8B 00 EB 5C 4D 85 C0 74 AF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 42 48 FF C0 48 85 DB 74 2F 48 3B C7 76 25 48 83 7C 24 50 FF 74 14 44 88 33 48 3B F8 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CC 48 8B C7 41 BE 50 00 00 00 C6 44 18 FF 00 48 85 F6 74 03 48 89 06 41 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_189_0_0 {
	meta:
		name = "nearbyintf"
		size = 44
		refs = "0010 _fdtest 0023 _fdrint"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 0F BF C8 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_190_17_0 {
	meta:
		name = "puts"
		size = 260
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0031 __acrt_iob_func 0048 _fileno 0052 __badioinfo 0059 __pioinfo 00fa ??$?RV<lambda_047e091329b3cc2dd92c1150cfbc4be8>@@AEAV<lambda_3126a0d026c48c72336a1719c85146ae>@@V<lambda_8e8daf2dfdb49c56842017fc8f5e8e6a>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_047e091329b3cc2dd92c1150cfbc4be8>@@AEAV<lambda_3126a0d026c48c72336a1719c85146ae>@@$$QEAV<lambda_8e8daf2dfdb49c56842017fc8f5e8e6a>@@@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 48 8B EC 48 83 EC 50 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 D3 00 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 89 45 20 8B 48 14 C1 E9 0C F6 C1 01 75 6C 48 8B C8 E8 ?? ?? ?? ?? 4C 63 C8 48 8D 15 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? 41 8D 49 02 83 F9 01 76 18 4D 8B C1 49 8B C9 41 83 E0 3F 48 C1 F9 06 49 C1 E0 06 4D 03 04 CA EB 03 4C 8B C2 41 80 78 39 00 75 8A 41 8D 41 02 83 F8 01 76 15 49 8B D1 49 8B C1 83 E2 3F 48 C1 F8 06 48 C1 E2 06 49 03 14 C2 F6 42 3D 01 0F 85 62 FF FF FF 48 8B 4D 10 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 48 89 45 28 4C 8D 4D D0 48 8D 45 20 48 89 45 E0 4C 8D 45 E0 48 8D 45 10 48 89 45 E8 48 8D 55 D8 48 8D 45 28 48 89 45 F0 48 8D 4D 18 48 8B 45 20 48 89 45 D0 48 89 45 D8 E8 ?? ?? ?? ?? 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "_mbsninc"
		size = 35
		refs = "0014 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B D9 48 85 C9 74 0D 45 33 C0 E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_191_1_0 {
	meta:
		name = "_mbsninc_l"
		size = 34
		refs = "0013 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 04 33 C0 EB 0A E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_192_1_0 {
	meta:
		name = "wctrans"
		size = 103
		refs = "0008 ?tab@@3QBUwctab@@B"
		altNames = "wctype"
	strings:
		$1 = { 48 89 5C 24 08 48 8B 05 ?? ?? ?? ?? 45 33 DB 4C 8B D1 41 8B D3 48 85 C0 74 36 48 8D 1D ?? ?? ?? ?? 4D 8B CA 4C 2B C8 0F B6 08 46 0F B6 04 08 41 2B C8 75 08 48 FF C0 45 85 C0 75 EB 85 C9 74 1A FF C2 8B C2 48 03 C0 48 8B 04 C3 48 85 C0 75 D1 41 0F B7 C3 48 8B 5C 24 08 C3 8B C2 48 C1 E0 04 0F B7 44 18 08 EB ED }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "_finitef"
		size = 23
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F0 1F 2D 00 00 80 7F C1 E8 1F C3 }
	condition:
		$1
}

rule file_194_0_0 {
	meta:
		name = "??$common_tcsset_s@D@@YAHQEAD_KD@Z"
		size = 80
		refs = "0033 _errno 003e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 26 48 85 D2 74 21 48 8B C1 44 38 09 74 11 48 83 EA 01 74 0B 44 88 00 48 FF C0 44 38 08 75 EF 48 85 D2 75 1D 44 88 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_194_1_0 {
	meta:
		name = "_strset_s"
		size = 73
		refs = "0031 _errno 003d _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 C9 74 23 48 85 D2 74 1E 48 8B C1 38 19 74 10 48 83 EA 01 74 0A 44 88 00 48 FF C0 38 18 75 F0 48 85 D2 75 13 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_195_1_0 {
	meta:
		name = "_mbctokata_l"
		size = 41
		refs = "0009 _ismbchira_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 10 81 C3 A1 00 00 00 81 FB 7F 83 00 00 72 02 FF C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_196_5_0 {
	meta:
		name = "_ismbslead_l"
		size = 148
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0037 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 60 48 85 D2 74 E7 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 83 79 08 00 74 2E 48 3B DF 77 29 80 3B 00 74 24 0F B6 03 F6 44 08 19 04 74 10 48 8B C3 48 FF C3 48 3B C7 74 0A 80 3B 00 74 0A 48 FF C3 EB D7 83 C8 FF EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "__dcrt_lowio_initialize_console_output"
		size = 59
		refs = "000d ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 __dcrt_lowio_console_output_handle"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 48 8D 0D ?? ?? ?? ?? 83 64 24 28 00 41 B8 03 00 00 00 45 33 C9 44 89 44 24 20 BA 00 00 00 40 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_198_0_0 {
	meta:
		name = "_wchmod"
		size = 155
		refs = "000d __security_cookie 0024 __doserrno 002b _errno 0036 _invalid_parameter_noinfo 0048 __imp_GetFileAttributesExW 0052 __imp_GetLastError 0059 __acrt_errno_map_os_error 0079 __imp_SetFileAttributesW 008c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B FA 48 8B D9 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 44 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB DB 8B 54 24 20 40 84 FF 79 05 83 E2 FE EB 03 83 CA 01 48 8B CB 89 54 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 CF 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_199_14_0 {
	meta:
		name = "??$common_fstat@U_stat32@@@@YAHHQEAU_stat32@@@Z"
		size = 241
		refs = "001b __doserrno 0022 _errno 003c memset 0079 _nhandle 0085 __pioinfo 00c9 ??$?RV<lambda_96b0dce3ad2a93c5c9ed548730f377b6>@@AEAV<lambda_400f06e00cd32245fa85628833e911d2>@@V<lambda_da1c5379cfd7439e775ba9665cd8bf87>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_96b0dce3ad2a93c5c9ed548730f377b6>@@AEAV<lambda_400f06e00cd32245fa85628833e911d2>@@$$QEAV<lambda_da1c5379cfd7439e775ba9665cd8bf87>@@@Z 00e3 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 48 8B EC 48 83 EC 68 48 8B DA 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B1 00 00 00 33 D2 48 8D 4D D0 44 8D 42 24 E8 ?? ?? ?? ?? 0F 10 45 D0 8B 45 F0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 48 63 55 18 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 18 89 55 30 48 89 45 C0 4C 8D 4D 30 48 8D 45 20 89 55 B8 4C 8D 45 C0 48 89 45 C8 48 8D 55 B8 48 8D 4D 28 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 68 5B 5D C3 }
	condition:
		$1
}

rule file_199_15_0 {
	meta:
		name = "??$common_fstat@U_stat32i64@@@@YAHHQEAU_stat32i64@@@Z"
		size = 243
		refs = "001b __doserrno 0022 _errno 003c memset 007b _nhandle 0087 __pioinfo 00cb ??$?RV<lambda_a59c9183952f290e1f88b0789726fa45>@@AEAV<lambda_6fd52f3c2fb1c47a481b23175379f22a>@@V<lambda_4a930275767fc0415fefcffa3cf2c69f>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_a59c9183952f290e1f88b0789726fa45>@@AEAV<lambda_6fd52f3c2fb1c47a481b23175379f22a>@@$$QEAV<lambda_4a930275767fc0415fefcffa3cf2c69f>@@@Z 00e5 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 48 8B EC 48 83 EC 78 48 8B DA 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B3 00 00 00 33 D2 48 8D 4D C0 44 8D 42 30 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 0F 11 43 20 48 63 55 18 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 18 89 55 30 48 89 45 B0 4C 8D 4D 30 48 8D 45 20 89 55 A8 4C 8D 45 B0 48 89 45 B8 48 8D 55 A8 48 8D 4D 28 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_17_0 {
	meta:
		name = "??$common_fstat@U_stat64i32@@@@YAHHQEAU_stat64i32@@@Z"
		size = 243
		refs = "001b __doserrno 0022 _errno 003c memset 007b _nhandle 0087 __pioinfo 00cb ??$?RV<lambda_3a04bfe258a31910a526c90b4d849d20>@@AEAV<lambda_1b3ad63c02abf531fe15530b52bade31>@@V<lambda_1755787d260f86bf828f8bf7552b2658>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_3a04bfe258a31910a526c90b4d849d20>@@AEAV<lambda_1b3ad63c02abf531fe15530b52bade31>@@$$QEAV<lambda_1755787d260f86bf828f8bf7552b2658>@@@Z 00e5 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 48 8B EC 48 83 EC 78 48 8B DA 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B3 00 00 00 33 D2 48 8D 4D C0 44 8D 42 30 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 0F 11 43 20 48 63 55 18 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 18 89 55 30 48 89 45 B0 4C 8D 4D 30 48 8D 45 20 89 55 A8 4C 8D 45 B0 48 89 45 B8 48 8D 55 A8 48 8D 4D 28 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_16_0 {
	meta:
		name = "??$common_fstat@U_stat64@@@@YAHHQEAU_stat64@@@Z"
		size = 253
		refs = "001b __doserrno 0022 _errno 003c memset 0085 _nhandle 0091 __pioinfo 00d5 ??$?RV<lambda_d6a03b27cb314eb65d447ab85fffcbf2>@@AEAV<lambda_3e61fc1153d2eec3991e8733eecb5419>@@V<lambda_8d9723598c44aced2bc47669cc68e4e1>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_d6a03b27cb314eb65d447ab85fffcbf2>@@AEAV<lambda_3e61fc1153d2eec3991e8733eecb5419>@@$$QEAV<lambda_8d9723598c44aced2bc47669cc68e4e1>@@@Z 00ef _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 48 8B EC 48 83 EC 78 48 8B DA 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 BD 00 00 00 33 D2 48 8D 4D C0 44 8D 42 38 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 F2 0F 10 4D F0 0F 11 43 20 F2 0F 11 4B 30 48 63 55 18 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 18 89 55 30 48 89 45 B0 4C 8D 4D 30 48 8D 45 20 89 55 A8 4C 8D 45 B0 48 89 45 B8 48 8D 55 A8 48 8D 4D 28 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_18_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQEBDQEAU_stat32@@@Z"
		size = 79
		refs = "000f ??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z 0021 __acrt_copy_path_to_wide_string 0043 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 34 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0F 48 8B 4C 24 30 48 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_20_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQEBDQEAU_stat32i64@@@Z"
		size = 79
		refs = "000f ??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z 0021 __acrt_copy_path_to_wide_string 0043 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 34 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0F 48 8B 4C 24 30 48 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_22_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQEBDQEAU_stat64@@@Z"
		size = 79
		refs = "000f ??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z 0021 __acrt_copy_path_to_wide_string 0043 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 34 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0F 48 8B 4C 24 30 48 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_24_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQEBDQEAU_stat64i32@@@Z"
		size = 79
		refs = "000f ??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z 0021 __acrt_copy_path_to_wide_string 0043 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 34 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0F 48 8B 4C 24 30 48 8B D3 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_19_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z"
		size = 391
		refs = "0027 __doserrno 002e _errno 0039 _invalid_parameter_noinfo 0055 memset 0098 __imp_CreateFileW 00b2 ??$common_stat_handle_file_opened@U_stat32@@@@YA_NQEB_WHQEAXAEAU_stat32@@@Z 00eb __imp_CloseHandle 010b ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0119 __acrt_errno_map_os_error 0128 ?convert_to_stat_mode@@YAGHQEB_W@Z 0146 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0178 __loctotime32_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 33 F6 48 8B FA 4C 8B F1 48 85 D2 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 AC 00 00 00 41 BF 24 00 00 00 48 8D 4D D0 45 8B C7 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 0F 10 45 D0 0F 10 4D E0 0F 11 07 0F 11 4F 10 89 47 20 4D 85 F6 74 B3 48 89 74 24 30 41 8D 57 5C C7 44 24 28 00 00 00 02 45 8D 47 E3 45 33 C9 C7 44 24 20 03 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 49 8B CE 48 83 F8 FF 74 62 4C 8B CF 4C 8B C0 83 CA FF E8 ?? ?? ?? ?? 84 C0 75 26 4D 8B C7 48 8D 4D D0 33 D2 E8 ?? ?? ?? ?? 0F 10 45 D0 8B 45 F0 83 CE FF 0F 10 4D E0 0F 11 07 0F 11 4F 10 89 47 20 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C6 4C 8D 5C 24 70 49 8B 5B 30 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 E8 ?? ?? ?? ?? 84 C0 75 0C B9 02 00 00 00 E8 ?? ?? ?? ?? EB 9B 49 8B D6 B9 10 00 00 00 E8 ?? ?? ?? ?? 41 BC 01 00 00 00 66 89 47 06 48 8D 55 38 66 44 89 67 08 49 8B CE 89 75 38 E8 ?? ?? ?? ?? 84 C0 0F 84 68 FF FF FF 83 4C 24 30 FF 45 33 C9 8B 45 38 45 8B C4 FF C8 89 74 24 28 41 8B D4 89 47 10 B9 BC 07 00 00 89 07 89 74 24 20 E8 ?? ?? ?? ?? 89 47 1C 89 47 18 E9 56 FF FF FF }
	condition:
		$1
}

rule file_199_21_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z"
		size = 398
		refs = "0027 __doserrno 002e _errno 0039 _invalid_parameter_noinfo 0055 memset 009a __imp_CreateFileW 00b4 ??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQEB_WHQEAXAEAU_stat32i64@@@Z 00ef __imp_CloseHandle 010f ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 011d __acrt_errno_map_os_error 012c ?convert_to_stat_mode@@YAGHQEB_W@Z 014a ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 017c __loctotime32_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 33 F6 48 8B FA 4C 8B F1 48 85 D2 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B0 00 00 00 41 BF 30 00 00 00 48 8D 4D D0 45 8B C7 33 D2 E8 ?? ?? ?? ?? 0F 10 45 D0 0F 10 4D E0 0F 11 07 0F 10 45 F0 0F 11 4F 10 0F 11 47 20 4D 85 F6 74 B1 48 89 74 24 30 41 8D 57 50 C7 44 24 28 00 00 00 02 45 8D 47 D7 45 33 C9 C7 44 24 20 03 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 49 8B CE 48 83 F8 FF 74 64 4C 8B CF 4C 8B C0 83 CA FF E8 ?? ?? ?? ?? 84 C0 75 28 4D 8B C7 48 8D 4D D0 33 D2 E8 ?? ?? ?? ?? 0F 10 45 D0 83 CE FF 0F 10 4D E0 0F 11 07 0F 10 45 F0 0F 11 4F 10 0F 11 47 20 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C6 4C 8D 5C 24 70 49 8B 5B 30 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 E8 ?? ?? ?? ?? 84 C0 75 0C B9 02 00 00 00 E8 ?? ?? ?? ?? EB 99 49 8B D6 B9 10 00 00 00 E8 ?? ?? ?? ?? 41 BC 01 00 00 00 66 89 47 06 48 8D 55 38 66 44 89 67 08 49 8B CE 89 75 38 E8 ?? ?? ?? ?? 84 C0 0F 84 66 FF FF FF 83 4C 24 30 FF 45 33 C9 8B 45 38 45 8B C4 FF C8 89 74 24 28 41 8B D4 89 47 10 B9 BC 07 00 00 89 07 89 74 24 20 E8 ?? ?? ?? ?? 89 47 24 89 47 20 89 47 28 E9 56 FF FF FF }
	condition:
		$1
}

rule file_199_23_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z"
		size = 427
		refs = "002a __doserrno 0031 _errno 003c _invalid_parameter_noinfo 0058 memset 00a7 __imp_CreateFileW 00c1 ??$common_stat_handle_file_opened@U_stat64@@@@YA_NQEB_WHQEAXAEAU_stat64@@@Z 0106 __imp_CloseHandle 0129 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0137 __acrt_errno_map_os_error 0146 ?convert_to_stat_mode@@YAGHQEB_W@Z 0164 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0196 __loctotime64_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 33 F6 48 8B FA 4C 8B F1 48 85 D2 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C4 00 00 00 41 BF 38 00 00 00 48 8D 4D C0 45 8B C7 33 D2 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 07 0F 10 45 E0 0F 11 4F 10 F2 0F 10 4D F0 0F 11 47 20 F2 0F 11 4F 30 4D 85 F6 74 A7 48 89 74 24 30 41 8D 57 48 C7 44 24 28 00 00 00 02 45 8D 47 CF 45 33 C9 C7 44 24 20 03 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 49 8B CE 48 83 F8 FF 74 71 4C 8B CF 4C 8B C0 83 CA FF E8 ?? ?? ?? ?? 84 C0 75 32 4D 8B C7 48 8D 4D C0 33 D2 E8 ?? ?? ?? ?? 0F 10 45 C0 83 CE FF 0F 10 4D D0 0F 11 07 0F 10 45 E0 0F 11 4F 10 F2 0F 10 4D F0 0F 11 47 20 F2 0F 11 4F 30 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C6 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 E8 ?? ?? ?? ?? 84 C0 75 0C B9 02 00 00 00 E8 ?? ?? ?? ?? EB 8C 49 8B D6 B9 10 00 00 00 E8 ?? ?? ?? ?? 41 BC 01 00 00 00 66 89 47 06 48 8D 55 38 66 44 89 67 08 49 8B CE 89 75 38 E8 ?? ?? ?? ?? 84 C0 0F 84 59 FF FF FF 83 4C 24 30 FF 45 33 C9 8B 45 38 45 8B C4 FF C8 89 74 24 28 41 8B D4 89 47 10 B9 BC 07 00 00 89 07 89 74 24 20 E8 ?? ?? ?? ?? 48 89 47 28 48 89 47 20 48 89 47 30 E9 50 FF FF FF }
	condition:
		$1
}

rule file_199_25_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z"
		size = 401
		refs = "0027 __doserrno 002e _errno 0039 _invalid_parameter_noinfo 0055 memset 009a __imp_CreateFileW 00b4 ??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQEB_WHQEAXAEAU_stat64i32@@@Z 00ef __imp_CloseHandle 010f ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 011d __acrt_errno_map_os_error 012c ?convert_to_stat_mode@@YAGHQEB_W@Z 014a ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 017c __loctotime64_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 33 F6 48 8B FA 4C 8B F1 48 85 D2 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B0 00 00 00 41 BF 30 00 00 00 48 8D 4D D0 45 8B C7 33 D2 E8 ?? ?? ?? ?? 0F 10 45 D0 0F 10 4D E0 0F 11 07 0F 10 45 F0 0F 11 4F 10 0F 11 47 20 4D 85 F6 74 B1 48 89 74 24 30 41 8D 57 50 C7 44 24 28 00 00 00 02 45 8D 47 D7 45 33 C9 C7 44 24 20 03 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 49 8B CE 48 83 F8 FF 74 64 4C 8B CF 4C 8B C0 83 CA FF E8 ?? ?? ?? ?? 84 C0 75 28 4D 8B C7 48 8D 4D D0 33 D2 E8 ?? ?? ?? ?? 0F 10 45 D0 83 CE FF 0F 10 4D E0 0F 11 07 0F 10 45 F0 0F 11 4F 10 0F 11 47 20 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C6 4C 8D 5C 24 70 49 8B 5B 30 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 E8 ?? ?? ?? ?? 84 C0 75 0C B9 02 00 00 00 E8 ?? ?? ?? ?? EB 99 49 8B D6 B9 10 00 00 00 E8 ?? ?? ?? ?? 41 BC 01 00 00 00 66 89 47 06 48 8D 55 38 66 44 89 67 08 49 8B CE 89 75 38 E8 ?? ?? ?? ?? 84 C0 0F 84 66 FF FF FF 83 4C 24 30 FF 45 33 C9 8B 45 38 45 8B C4 FF C8 89 74 24 28 41 8B D4 89 47 10 B9 BC 07 00 00 89 07 89 74 24 20 E8 ?? ?? ?? ?? 48 89 47 20 48 89 47 18 48 89 47 28 E9 53 FF FF FF }
	condition:
		$1
}

rule file_199_26_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQEB_WAEAU_stat32@@@Z"
		size = 164
		refs = "0016 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0024 __acrt_errno_map_os_error 0035 ?convert_to_stat_mode@@YAGHQEB_W@Z 0054 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0084 __loctotime32_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 0E B9 02 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 68 48 8B D7 B9 10 00 00 00 E8 ?? ?? ?? ?? 83 64 24 60 00 48 8D 54 24 60 BD 01 00 00 00 66 89 43 06 48 8B CF 66 89 6B 08 E8 ?? ?? ?? ?? 84 C0 74 CC 83 4C 24 30 FF 45 33 C9 8B 44 24 60 44 8B C5 83 64 24 28 00 FF C8 83 64 24 20 00 8B D5 B9 BC 07 00 00 89 43 10 89 03 E8 ?? ?? ?? ?? 89 43 1C 89 43 18 89 43 20 40 8A C5 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_199_27_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQEB_WAEAU_stat32i64@@@Z"
		size = 164
		refs = "0016 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0024 __acrt_errno_map_os_error 0035 ?convert_to_stat_mode@@YAGHQEB_W@Z 0054 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0084 __loctotime32_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 0E B9 02 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 68 48 8B D7 B9 10 00 00 00 E8 ?? ?? ?? ?? 83 64 24 60 00 48 8D 54 24 60 BD 01 00 00 00 66 89 43 06 48 8B CF 66 89 6B 08 E8 ?? ?? ?? ?? 84 C0 74 CC 83 4C 24 30 FF 45 33 C9 8B 44 24 60 44 8B C5 83 64 24 28 00 FF C8 83 64 24 20 00 8B D5 B9 BC 07 00 00 89 43 10 89 03 E8 ?? ?? ?? ?? 89 43 24 89 43 20 89 43 28 40 8A C5 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_199_28_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQEB_WAEAU_stat64@@@Z"
		size = 167
		refs = "0016 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0024 __acrt_errno_map_os_error 0035 ?convert_to_stat_mode@@YAGHQEB_W@Z 0054 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0084 __loctotime64_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 0E B9 02 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 6B 48 8B D7 B9 10 00 00 00 E8 ?? ?? ?? ?? 83 64 24 60 00 48 8D 54 24 60 BD 01 00 00 00 66 89 43 06 48 8B CF 66 89 6B 08 E8 ?? ?? ?? ?? 84 C0 74 CC 83 4C 24 30 FF 45 33 C9 8B 44 24 60 44 8B C5 83 64 24 28 00 FF C8 83 64 24 20 00 8B D5 B9 BC 07 00 00 89 43 10 89 03 E8 ?? ?? ?? ?? 48 89 43 28 48 89 43 20 48 89 43 30 40 8A C5 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_199_29_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQEB_WAEAU_stat64i32@@@Z"
		size = 167
		refs = "0016 ?is_usable_drive_or_unc_root@@YA_NQEB_W@Z 0024 __acrt_errno_map_os_error 0035 ?convert_to_stat_mode@@YAGHQEB_W@Z 0054 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0084 __loctotime64_t"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 0E B9 02 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 6B 48 8B D7 B9 10 00 00 00 E8 ?? ?? ?? ?? 83 64 24 60 00 48 8D 54 24 60 BD 01 00 00 00 66 89 43 06 48 8B CF 66 89 6B 08 E8 ?? ?? ?? ?? 84 C0 74 CC 83 4C 24 30 FF 45 33 C9 8B 44 24 60 44 8B C5 83 64 24 28 00 FF C8 83 64 24 20 00 8B D5 B9 BC 07 00 00 89 43 10 89 03 E8 ?? ?? ?? ?? 48 89 43 20 48 89 43 18 48 89 43 28 40 8A C5 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_199_30_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32@@@@YA_NQEB_WHQEAXAEAU_stat32@@@Z"
		size = 411
		refs = "0019 __security_cookie 0035 __imp_GetFileType 0064 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0085 memset 0092 __imp_GetFileInformationByHandle 00a1 ?convert_to_stat_mode@@YAGHQEB_W@Z 00b0 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 00f2 _errno 011b __imp_GetLastError 0122 __acrt_errno_map_os_error 0167 __imp_PeekNamedPipe 0180 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 49 8B D9 49 8B C8 49 8B F0 44 8B F2 FF 15 ?? ?? ?? ?? 8B C8 41 BF 01 00 00 00 0F BA F1 0F 41 3B CF 0F 85 B0 00 00 00 66 44 89 7B 08 48 85 FF 74 22 83 65 B0 00 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 8B 45 B0 FF C8 89 43 10 89 03 33 D2 48 8D 4D B8 44 8D 42 34 E8 ?? ?? ?? ?? 48 8D 55 B8 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 7F 8B 4D B8 48 8B D7 E8 ?? ?? ?? ?? 48 8B 4D CC 33 D2 66 89 43 06 E8 ?? ?? ?? ?? 48 8B 4D C4 8B D0 89 43 1C E8 ?? ?? ?? ?? 8B 53 1C 48 8B 4D BC 89 43 18 E8 ?? ?? ?? ?? 89 43 20 83 63 14 00 83 7D D8 00 75 13 8B 4D DC 81 F9 FF FF FF 7F 77 08 89 4B 14 E9 84 00 00 00 E8 ?? ?? ?? ?? C7 00 84 00 00 00 EB 17 8D 41 FE 41 3B C7 76 22 85 C9 75 0F E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 EB 5F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB ED 83 F9 02 66 44 89 7B 08 B8 00 10 00 00 44 89 73 10 BA 00 20 00 00 44 89 33 66 0F 44 C2 66 89 43 06 74 2A 48 83 64 24 28 00 48 8D 45 B0 45 33 C9 48 89 44 24 20 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 06 8B 45 B0 89 43 14 41 8A C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_199_31_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQEB_WHQEAXAEAU_stat32i64@@@Z"
		size = 421
		refs = "0019 __security_cookie 0035 __imp_GetFileType 0064 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0085 memset 0092 __imp_GetFileInformationByHandle 00a5 ?convert_to_stat_mode@@YAGHQEB_W@Z 00b4 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 00e7 _errno 0123 __imp_GetLastError 012a __acrt_errno_map_os_error 016f __imp_PeekNamedPipe 018a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 49 8B D9 49 8B C8 49 8B F0 44 8B F2 FF 15 ?? ?? ?? ?? 8B C8 41 BF 01 00 00 00 0F BA F1 0F 41 3B CF 0F 85 B8 00 00 00 66 44 89 7B 08 48 85 FF 74 22 83 65 B0 00 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8B 45 B0 FF C8 89 43 10 89 03 33 D2 48 8D 4D B8 44 8D 42 34 E8 ?? ?? ?? ?? 48 8D 55 B8 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 8B 4D B8 48 8B D7 E8 ?? ?? ?? ?? 48 8B 4D CC 33 D2 66 89 43 06 E8 ?? ?? ?? ?? 48 8B 4D C4 8B D0 89 43 24 E8 ?? ?? ?? ?? 8B 53 24 48 8B 4D BC 89 43 20 E8 ?? ?? ?? ?? 89 43 28 48 83 63 18 00 81 7D D8 FF FF FF 7F 76 0D E8 ?? ?? ?? ?? C7 00 84 00 00 00 EB 2A 8B 55 D8 8B 4D DC 48 C1 E2 20 48 03 D1 48 89 53 18 EB 79 8D 41 FE 41 3B C7 76 22 85 C9 75 0F E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 EB 61 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB ED 83 F9 02 66 44 89 7B 08 B8 00 10 00 00 44 89 73 10 BA 00 20 00 00 44 89 33 66 0F 44 C2 66 89 43 06 74 2C 48 83 64 24 28 00 48 8D 45 B0 45 33 C9 48 89 44 24 20 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 08 48 63 45 B0 48 89 43 18 41 8A C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_199_32_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64@@@@YA_NQEB_WHQEAXAEAU_stat64@@@Z"
		size = 426
		refs = "0019 __security_cookie 0035 __imp_GetFileType 0064 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0085 memset 0092 __imp_GetFileInformationByHandle 00a5 ?convert_to_stat_mode@@YAGHQEB_W@Z 00b4 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 00ec _errno 0128 __imp_GetLastError 012f __acrt_errno_map_os_error 0174 __imp_PeekNamedPipe 018f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 49 8B D9 49 8B C8 49 8B F0 44 8B F2 FF 15 ?? ?? ?? ?? 8B C8 41 BF 01 00 00 00 0F BA F1 0F 41 3B CF 0F 85 BD 00 00 00 66 44 89 7B 08 48 85 FF 74 22 83 65 B0 00 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 8B 45 B0 FF C8 89 43 10 89 03 33 D2 48 8D 4D B8 44 8D 42 34 E8 ?? ?? ?? ?? 48 8D 55 B8 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 8B 4D B8 48 8B D7 E8 ?? ?? ?? ?? 48 8B 4D CC 33 D2 66 89 43 06 E8 ?? ?? ?? ?? 48 8B 4D C4 48 8B D0 48 89 43 28 E8 ?? ?? ?? ?? 48 8B 53 28 48 8B 4D BC 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 30 48 83 63 18 00 81 7D D8 FF FF FF 7F 76 0D E8 ?? ?? ?? ?? C7 00 84 00 00 00 EB 2A 8B 55 D8 8B 4D DC 48 C1 E2 20 48 03 D1 48 89 53 18 EB 79 8D 41 FE 41 3B C7 76 22 85 C9 75 0F E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 EB 61 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB ED 83 F9 02 66 44 89 7B 08 B8 00 10 00 00 44 89 73 10 BA 00 20 00 00 44 89 33 66 0F 44 C2 66 89 43 06 74 2C 48 83 64 24 28 00 48 8D 45 B0 45 33 C9 48 89 44 24 20 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 08 48 63 45 B0 48 89 43 18 41 8A C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_199_33_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQEB_WHQEAXAEAU_stat64i32@@@Z"
		size = 420
		refs = "0019 __security_cookie 0035 __imp_GetFileType 0064 ?get_drive_number_from_path@@YA_NQEB_WAEAH@Z 0085 memset 0092 __imp_GetFileInformationByHandle 00a5 ?convert_to_stat_mode@@YAGHQEB_W@Z 00b4 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 00fb _errno 0124 __imp_GetLastError 012b __acrt_errno_map_os_error 0170 __imp_PeekNamedPipe 0189 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 49 8B D9 49 8B C8 49 8B F0 44 8B F2 FF 15 ?? ?? ?? ?? 8B C8 41 BF 01 00 00 00 0F BA F1 0F 41 3B CF 0F 85 B9 00 00 00 66 44 89 7B 08 48 85 FF 74 22 83 65 B0 00 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 8B 45 B0 FF C8 89 43 10 89 03 33 D2 48 8D 4D B8 44 8D 42 34 E8 ?? ?? ?? ?? 48 8D 55 B8 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 8B 4D B8 48 8B D7 E8 ?? ?? ?? ?? 48 8B 4D CC 33 D2 66 89 43 06 E8 ?? ?? ?? ?? 48 8B 4D C4 48 8B D0 48 89 43 20 E8 ?? ?? ?? ?? 48 8B 53 20 48 8B 4D BC 48 89 43 18 E8 ?? ?? ?? ?? 48 89 43 28 83 63 14 00 83 7D D8 00 75 13 8B 4D DC 81 F9 FF FF FF 7F 77 08 89 4B 14 E9 84 00 00 00 E8 ?? ?? ?? ?? C7 00 84 00 00 00 EB 17 8D 41 FE 41 3B C7 76 22 85 C9 75 0F E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 EB 5F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB ED 83 F9 02 66 44 89 7B 08 B8 00 10 00 00 44 89 73 10 BA 00 20 00 00 44 89 33 66 0F 44 C2 66 89 43 06 74 2A 48 83 64 24 28 00 48 8D 45 B0 45 33 C9 48 89 44 24 20 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 06 8B 45 B0 89 43 14 41 8A C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_199_34_0 {
	meta:
		name = "??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z"
		size = 150
		refs = "000c __security_cookie 0035 __imp_FileTimeToSystemTime 0049 __imp_SystemTimeToTzSpecificLocalTime 007b __loctotime32_t 008c __security_check_cookie"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 89 4D D0 85 C9 75 0C 48 C1 E9 20 85 C9 75 04 8B C2 EB 59 48 8D 55 E8 48 8D 4D D0 FF 15 ?? ?? ?? ?? 85 C0 74 44 4C 8D 45 D8 33 C9 48 8D 55 E8 FF 15 ?? ?? ?? ?? 85 C0 74 30 83 4C 24 30 FF 0F B7 45 E4 44 0F B7 55 E2 44 0F B7 4D E0 44 0F B7 45 DE 0F B7 55 DA 0F B7 4D D8 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_199_35_0 {
	meta:
		name = "??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z"
		size = 152
		refs = "000c __security_cookie 0036 __imp_FileTimeToSystemTime 004a __imp_SystemTimeToTzSpecificLocalTime 007c __loctotime64_t 008e __security_check_cookie"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 89 4D D0 85 C9 75 0D 48 C1 E9 20 85 C9 75 05 48 8B C2 EB 5A 48 8D 55 E8 48 8D 4D D0 FF 15 ?? ?? ?? ?? 85 C0 74 44 4C 8D 45 D8 33 C9 48 8D 55 E8 FF 15 ?? ?? ?? ?? 85 C0 74 30 83 4C 24 30 FF 0F B7 45 E4 44 0F B7 55 E2 44 0F B7 4D E0 44 0F B7 45 DE 0F B7 55 DA 0F B7 4D D8 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 04 48 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_199_36_0 {
	meta:
		name = "??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@J@@SAJAEAG00000$$QEAH@Z"
		size = 61
		refs = "0039 __loctotime32_t"
	strings:
		$1 = { 40 53 48 8B 44 24 38 45 0F B7 09 45 0F B7 00 0F B7 12 0F B7 18 48 8B 44 24 30 0F B7 09 44 0F B7 18 48 8B 44 24 40 44 8B 10 44 89 54 24 40 89 5C 24 38 44 89 5C 24 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_37_0 {
	meta:
		name = "??$loctotime@AEAGAEAGAEAGAEAGAEAGAEAGH@?$__crt_integer_traits@_J@@SA_JAEAG00000$$QEAH@Z"
		size = 61
		refs = "0039 __loctotime64_t"
	strings:
		$1 = { 40 53 48 8B 44 24 38 45 0F B7 09 45 0F B7 00 0F B7 12 0F B7 18 48 8B 44 24 30 0F B7 09 44 0F B7 18 48 8B 44 24 40 44 8B 10 44 89 54 24 40 89 5C 24 38 44 89 5C 24 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_38_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QEAH000000@Z"
		size = 54
		refs = "0032 __loctotime32_t"
	strings:
		$1 = { 48 8B 44 24 38 45 8B 09 45 8B 00 8B 12 44 8B 10 48 8B 44 24 30 8B 09 44 89 54 24 38 44 8B 10 48 8B 44 24 28 44 89 54 24 30 44 8B 10 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_39_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QEAH000000@Z"
		size = 54
		refs = "0032 __loctotime64_t"
	strings:
		$1 = { 48 8B 44 24 38 45 8B 09 45 8B 00 8B 12 44 8B 10 48 8B 44 24 30 8B 09 44 89 54 24 38 44 8B 10 48 8B 44 24 28 44 89 54 24 30 44 8B 10 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_71_0 {
	meta:
		name = "?call_wfullpath@@YAPEA_WQEA_WQEB_W_KQEAPEA_W@Z"
		size = 150
		refs = "0026 _errno 003e _wfullpath"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B F1 49 8B D8 48 8B EA 48 8B F9 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 4C 8B C3 48 8B D5 48 8B CF 83 20 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0C E8 ?? ?? ?? ?? 89 30 48 8B C3 EB 25 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 17 E8 ?? ?? ?? ?? 45 33 C0 48 8B D5 33 C9 89 30 E8 ?? ?? ?? ?? 49 89 06 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_199_74_0 {
	meta:
		name = "?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEAJ@Z"
		size = 47
		refs = "001e _errno"
	strings:
		$1 = { 48 83 EC 28 83 22 00 83 79 20 00 75 10 8B 41 24 3D FF FF FF 7F 77 06 89 02 B0 01 EB 0D E8 ?? ?? ?? ?? C7 00 84 00 00 00 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_199_75_0 {
	meta:
		name = "?compute_size@@YA_NAEBU_BY_HANDLE_FILE_INFORMATION@@AEA_J@Z"
		size = 58
		refs = "0015 _errno"
	strings:
		$1 = { 48 83 EC 28 48 83 22 00 48 8B C1 81 79 20 FF FF FF 7F 76 0F E8 ?? ?? ?? ?? C7 00 84 00 00 00 32 C0 EB 12 8B 49 20 8B 40 24 48 C1 E1 20 48 03 C8 B0 01 48 89 0A 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_199_76_0 {
	meta:
		name = "?convert_to_stat_mode@@YAGHQEB_W@Z"
		size = 300
		refs = "00a4 wcsrchr 00b3 ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 00bb _wcsicmp 00c6 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 00d9 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 00ec ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 4C 8B C2 33 F6 0F B6 D1 41 B1 01 8B C2 C1 E8 04 41 84 C1 75 53 4D 85 C0 74 47 41 0F B7 08 8D 41 BF 66 83 F8 19 76 0A 66 83 E9 61 66 83 F9 19 77 08 66 41 83 78 02 3A 74 03 44 8A CE 45 84 C9 49 8D 40 04 49 8B C8 48 0F 45 C8 66 39 31 74 19 66 83 39 5C 74 06 66 83 39 2F 75 06 66 39 71 02 74 07 BB 00 80 00 00 EB 05 BB 40 40 00 00 66 C1 E2 07 B8 80 00 00 00 66 F7 D2 66 23 D0 B8 00 01 00 00 66 0B D0 66 0B DA 4D 85 C0 74 65 BA 2E 00 00 00 49 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 50 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 26 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 13 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 66 83 CB 40 48 8B 74 24 38 0F B7 C3 66 C1 E8 03 66 83 E0 38 66 0B D8 0F B7 C3 66 C1 E8 06 66 83 E0 07 66 0B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_199_81_0 {
	meta:
		name = "?get_drive_number_from_path@@YA_NQEB_WAEAH@Z"
		size = 105
		refs = "003a __acrt_errno_map_os_error 005b _getdrive"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 33 D2 89 13 0F B7 01 66 83 E8 41 66 83 F8 19 76 0D 0F B7 01 66 83 E8 61 66 83 F8 19 77 3A 66 83 79 02 3A 75 2C 66 39 51 04 75 0E B9 02 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 21 0F B7 01 66 83 E8 41 66 83 F8 19 0F B7 01 77 03 83 C0 20 83 C0 A0 89 03 E8 ?? ?? ?? ?? 89 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_83_0 {
	meta:
		name = "?has_executable_extension@@YA_NQEB_W@Z"
		size = 117
		refs = "0015 wcsrchr 0024 ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 002c _wcsicmp 0037 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 004a ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 005d ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 75 04 32 C0 EB 60 BA 2E 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 EA 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 26 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 13 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 9E B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_84_0 {
	meta:
		name = "?is_root_or_empty@@YA_NQEB_W@Z"
		size = 86
	strings:
		$1 = { 45 33 C0 48 8B D1 48 85 C9 74 48 0F B7 09 8D 41 BF 66 83 F8 19 76 0A 66 83 E9 61 66 83 F9 19 77 09 66 83 7A 02 3A B0 01 74 03 41 8A C0 84 C0 48 8D 4A 04 48 0F 45 D1 66 44 39 02 75 03 B0 01 C3 66 83 3A 5C 74 06 66 83 3A 2F 75 07 66 44 39 42 02 74 EA 32 C0 C3 }
	condition:
		$1
}

rule file_199_85_0 {
	meta:
		name = "?is_root_unc_name@@YA_NQEB_W@Z"
		size = 162
	strings:
		$1 = { 48 83 C8 FF 33 D2 48 FF C0 66 39 14 41 75 F7 48 83 F8 05 0F 82 86 00 00 00 66 41 B9 5C 00 66 41 B8 2F 00 66 44 39 09 74 06 66 44 39 01 75 70 66 44 39 49 02 74 07 66 44 39 41 02 75 62 66 44 39 41 04 74 5B 66 44 39 49 04 74 54 48 8D 41 06 0F B7 08 66 85 C9 74 48 66 41 3B C9 74 0C 66 41 3B C8 74 06 48 83 C0 02 EB E6 66 39 10 74 31 48 83 C0 02 66 39 10 74 28 0F B7 08 66 85 C9 74 1D 66 41 3B C9 74 0C 66 41 3B C8 74 06 48 83 C0 02 EB E6 66 39 10 74 06 66 39 50 02 75 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_199_86_0 {
	meta:
		name = "?is_slash@@YA_N_W@Z"
		size = 21
	strings:
		$1 = { 66 83 F9 5C 74 09 66 83 F9 2F 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_199_87_0 {
	meta:
		name = "?is_usable_drive_or_unc_root@@YA_NQEB_W@Z"
		size = 265
		refs = "0018 __security_cookie 002a ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0032 wcspbrk 0046 _errno 0063 _wfullpath 00b9 ?is_root_unc_name@@YA_NQEB_W@Z 00c6 __imp_GetDriveTypeW 00da free 00ed __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 85 C0 0F 84 9F 00 00 00 49 8B DE E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 41 B8 04 01 00 00 48 8D 4C 24 20 48 8B D6 44 89 30 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 09 E8 ?? ?? ?? ?? 89 28 EB 24 E8 ?? ?? ?? ?? 83 38 22 75 51 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 89 28 E8 ?? ?? ?? ?? 48 8B D8 48 8B F8 48 85 FF 74 32 48 83 C8 FF 48 FF C0 66 44 39 34 47 75 F6 48 83 F8 03 74 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 12 48 8B CE FF 15 ?? ?? ?? ?? BF 01 00 00 00 3B C7 77 03 41 8A FE 48 8B CB E8 ?? ?? ?? ?? 40 8A C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_199_91_0 {
	meta:
		name = "_fstat32"
		size = 240
		refs = "001a __doserrno 0021 _errno 003b memset 0078 _nhandle 0084 __pioinfo 00c8 ??$?RV<lambda_96b0dce3ad2a93c5c9ed548730f377b6>@@AEAV<lambda_400f06e00cd32245fa85628833e911d2>@@V<lambda_da1c5379cfd7439e775ba9665cd8bf87>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_96b0dce3ad2a93c5c9ed548730f377b6>@@AEAV<lambda_400f06e00cd32245fa85628833e911d2>@@$$QEAV<lambda_da1c5379cfd7439e775ba9665cd8bf87>@@@Z 00e2 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 48 8B EC 48 83 EC 68 48 89 55 B8 48 8B DA 89 4D 20 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B1 00 00 00 33 D2 48 8D 4D D0 44 8D 42 24 E8 ?? ?? ?? ?? 0F 10 45 D0 8B 45 F0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 48 63 55 20 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 20 89 55 28 48 89 45 C0 4C 8D 4D 28 48 8D 45 B8 89 55 30 4C 8D 45 C0 48 89 45 C8 48 8D 55 30 48 8D 4D 18 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 68 5B 5D C3 }
	condition:
		$1
}

rule file_199_92_0 {
	meta:
		name = "_fstat32i64"
		size = 242
		refs = "001a __doserrno 0021 _errno 003b memset 007a _nhandle 0086 __pioinfo 00ca ??$?RV<lambda_a59c9183952f290e1f88b0789726fa45>@@AEAV<lambda_6fd52f3c2fb1c47a481b23175379f22a>@@V<lambda_4a930275767fc0415fefcffa3cf2c69f>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_a59c9183952f290e1f88b0789726fa45>@@AEAV<lambda_6fd52f3c2fb1c47a481b23175379f22a>@@$$QEAV<lambda_4a930275767fc0415fefcffa3cf2c69f>@@@Z 00e4 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 48 8B EC 48 83 EC 78 48 89 55 A8 48 8B DA 89 4D 20 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B3 00 00 00 33 D2 48 8D 4D C0 44 8D 42 30 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 0F 11 43 20 48 63 55 20 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 20 89 55 28 48 89 45 B0 4C 8D 4D 28 48 8D 45 A8 89 55 30 4C 8D 45 B0 48 89 45 B8 48 8D 55 30 48 8D 4D 18 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_94_0 {
	meta:
		name = "_fstat64i32"
		size = 242
		refs = "001a __doserrno 0021 _errno 003b memset 007a _nhandle 0086 __pioinfo 00ca ??$?RV<lambda_3a04bfe258a31910a526c90b4d849d20>@@AEAV<lambda_1b3ad63c02abf531fe15530b52bade31>@@V<lambda_1755787d260f86bf828f8bf7552b2658>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_3a04bfe258a31910a526c90b4d849d20>@@AEAV<lambda_1b3ad63c02abf531fe15530b52bade31>@@$$QEAV<lambda_1755787d260f86bf828f8bf7552b2658>@@@Z 00e4 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 48 8B EC 48 83 EC 78 48 89 55 A8 48 8B DA 89 4D 20 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 B3 00 00 00 33 D2 48 8D 4D C0 44 8D 42 30 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 0F 11 43 20 48 63 55 20 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 20 89 55 28 48 89 45 B0 4C 8D 4D 28 48 8D 45 A8 89 55 30 4C 8D 45 B0 48 89 45 B8 48 8D 55 30 48 8D 4D 18 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_93_0 {
	meta:
		name = "_fstat64"
		size = 252
		refs = "001a __doserrno 0021 _errno 003b memset 0084 _nhandle 0090 __pioinfo 00d4 ??$?RV<lambda_d6a03b27cb314eb65d447ab85fffcbf2>@@AEAV<lambda_3e61fc1153d2eec3991e8733eecb5419>@@V<lambda_8d9723598c44aced2bc47669cc68e4e1>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_d6a03b27cb314eb65d447ab85fffcbf2>@@AEAV<lambda_3e61fc1153d2eec3991e8733eecb5419>@@$$QEAV<lambda_8d9723598c44aced2bc47669cc68e4e1>@@@Z 00ee _invalid_parameter_noinfo"
	strings:
		$1 = { 40 55 53 48 8B EC 48 83 EC 78 48 89 55 A8 48 8B DA 89 4D 20 48 85 D2 75 17 E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 BD 00 00 00 33 D2 48 8D 4D C0 44 8D 42 38 E8 ?? ?? ?? ?? 0F 10 45 C0 0F 10 4D D0 0F 11 03 0F 10 45 E0 0F 11 4B 10 F2 0F 10 4D F0 0F 11 43 20 F2 0F 11 4B 30 48 63 55 20 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 D2 78 58 3B 15 ?? ?? ?? ?? 7D 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 45 20 89 55 28 48 89 45 B0 4C 8D 4D 28 48 8D 45 A8 89 55 30 4C 8D 45 B0 48 89 45 B8 48 8D 55 30 48 8D 4D 18 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 78 5B 5D C3 }
	condition:
		$1
}

rule file_199_95_0 {
	meta:
		name = "_stat32"
		size = 86
		refs = "000f ??$common_stat@U_stat32@@@@YAHQEB_WQEAU_stat32@@@Z 0023 __acrt_copy_path_to_wide_string 0031 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 09 E8 ?? ?? ?? ?? 8B D8 EB 37 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 0A E8 ?? ?? ?? ?? 83 CB FF EB 14 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_96_0 {
	meta:
		name = "_stat32i64"
		size = 86
		refs = "000f ??$common_stat@U_stat32i64@@@@YAHQEB_WQEAU_stat32i64@@@Z 0023 __acrt_copy_path_to_wide_string 0031 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 09 E8 ?? ?? ?? ?? 8B D8 EB 37 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 0A E8 ?? ?? ?? ?? 83 CB FF EB 14 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_97_0 {
	meta:
		name = "_stat64"
		size = 86
		refs = "000f ??$common_stat@U_stat64@@@@YAHQEB_WQEAU_stat64@@@Z 0023 __acrt_copy_path_to_wide_string 0031 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 09 E8 ?? ?? ?? ?? 8B D8 EB 37 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 0A E8 ?? ?? ?? ?? 83 CB FF EB 14 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_98_0 {
	meta:
		name = "_stat64i32"
		size = 86
		refs = "000f ??$common_stat@U_stat64i32@@@@YAHQEB_WQEAU_stat64i32@@@Z 0023 __acrt_copy_path_to_wide_string 0031 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 C9 75 09 E8 ?? ?? ?? ?? 8B D8 EB 37 48 83 64 24 30 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 0A E8 ?? ?? ?? ?? 83 CB FF EB 14 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_200_5_0 {
	meta:
		name = "__acrt_locale_free_numeric"
		size = 108
		refs = "0013 __acrt_lconv_c 001a _free_base"
	strings:
		$1 = { 48 85 C9 74 66 53 48 83 EC 20 48 8B D9 48 8B 09 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 08 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 10 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 58 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 60 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_200_6_0 {
	meta:
		name = "__acrt_locale_initialize_numeric"
		size = 734
		refs = "0041 __acrt_lconv_c 005a _calloc_base 00d9 _malloc_base 00e3 _free_base 0145 __acrt_GetLocaleInfoA 01d5 __acrt_locale_free_numeric"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 DB 48 89 48 C8 48 8B F1 48 89 58 D0 48 39 99 48 01 00 00 75 1B 48 39 99 40 01 00 00 75 12 44 8B FB 4C 8D 35 ?? ?? ?? ?? 44 8B E3 E9 1D 02 00 00 BD 01 00 00 00 BA 98 00 00 00 8B CD E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 07 8B C5 E9 53 02 00 00 48 8B 86 F8 00 00 00 BA 80 00 00 00 0F 10 00 8D 7A 84 8B CF 41 0F 11 06 0F 10 48 10 41 0F 11 4E 10 0F 10 40 20 41 0F 11 46 20 0F 10 48 30 41 0F 11 4E 30 0F 10 40 40 41 0F 11 46 40 0F 10 48 50 41 0F 11 4E 50 0F 10 40 60 41 0F 11 46 60 0F 10 40 70 41 0F 11 44 16 F0 0F 10 0C 10 41 0F 11 0C 16 48 8B 44 10 10 49 89 44 16 10 E8 ?? ?? ?? ?? 33 C9 4C 8B E0 E8 ?? ?? ?? ?? 4D 85 E4 75 0D 49 8B CE E8 ?? ?? ?? ?? E9 6D FF FF FF 41 89 1C 24 48 39 9E 48 01 00 00 0F 84 1B 01 00 00 48 8B CF E8 ?? ?? ?? ?? 33 C9 4C 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 0F 84 B7 00 00 00 41 89 1F 48 8D 4C 24 30 48 8B BE 48 01 00 00 41 B9 0E 00 00 00 4C 8B C7 4C 89 74 24 20 8B D5 E8 ?? ?? ?? ?? 49 8D 4E 08 41 B9 0F 00 00 00 48 89 4C 24 20 4C 8B C7 48 8D 4C 24 30 8B D5 8B D8 E8 ?? ?? ?? ?? 4D 8D 6E 10 41 B9 10 00 00 00 4C 8B C7 4C 89 6C 24 20 8B D5 48 8D 4C 24 30 0B D8 E8 ?? ?? ?? ?? 41 B9 0E 00 00 00 48 8D 4C 24 30 0B D8 4C 8B C7 49 8D 46 58 48 89 44 24 20 41 8D 51 F4 E8 ?? ?? ?? ?? 41 B9 0F 00 00 00 48 8D 4C 24 30 0B D8 4C 8B C7 49 8D 46 60 48 89 44 24 20 41 8D 51 F3 E8 ?? ?? ?? ?? 0B C3 74 1B 49 8B CE E8 ?? ?? ?? ?? 83 CD FF 49 8B CE E8 ?? ?? ?? ?? 49 8B CC E9 03 FF FF FF 49 8B 55 00 33 DB EB 11 8A 0A 8D 41 D0 3C 09 77 0E 80 E9 30 88 0A 48 03 D5 38 1A 75 EB EB 53 80 F9 3B 75 F2 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 EB E0 48 8B 05 ?? ?? ?? ?? 4C 8B FB 49 89 06 48 8B 05 ?? ?? ?? ?? 49 89 46 08 48 8B 05 ?? ?? ?? ?? 49 89 46 10 48 8B 05 ?? ?? ?? ?? 49 89 46 58 48 8B 05 ?? ?? ?? ?? 49 89 46 60 41 89 2C 24 4D 85 FF 74 03 41 89 2F 48 8B 86 E8 00 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E E0 00 00 00 48 85 C9 74 24 83 C8 FF F0 0F C1 01 83 F8 01 75 18 48 8B 8E E0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E F8 00 00 00 E8 ?? ?? ?? ?? 4C 89 BE E8 00 00 00 33 C0 4C 89 A6 E0 00 00 00 4C 89 B6 F8 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_201_1_0 {
	meta:
		name = "remainderf"
		size = 646
		refs = "00cc __real@3fe0000000000000 00e5 __xmm@80000000000000008000000000000000 0233 _handle_nanf 024c ??_C@_0L@JMNNGNHM@remainderf?$AA@ 027d _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 58 48 B8 FF FF FF FF FF FF FF 7F 0F 28 E1 0F 28 C8 0F 57 D2 F3 0F 5A D1 0F 57 DB F2 0F 11 54 24 70 4C 8B 44 24 70 F3 0F 5A DC 4D 8B C8 49 8B C8 4C 23 C8 48 C1 E9 34 F2 0F 11 5C 24 70 4C 8B 5C 24 70 4D 8B D3 49 8B D3 4C 23 D0 48 C1 EA 34 B8 FF 07 00 00 23 C8 23 D0 83 F9 01 0F 8C 84 01 00 00 81 F9 FE 07 00 00 0F 8F 80 01 00 00 8D 42 FF 3D FD 07 00 00 0F 87 6A 01 00 00 4D 3B CA 75 21 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 70 F2 0F 10 44 24 70 66 0F 5A C0 E9 D7 01 00 00 4C 89 4C 24 70 F2 0F 10 54 24 70 4C 89 54 24 70 F2 0F 10 5C 24 70 4D 3B CA 73 30 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F D0 76 04 F2 0F 5C D3 0F 57 C0 0F 2F C1 76 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 E9 8C 01 00 00 0F AE 5C 24 68 44 8B 44 24 68 3B CA 7E 76 2B CA B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 52 8D 04 C5 FF 03 00 00 48 63 C8 48 B8 00 00 00 00 00 00 70 3E 48 C1 E1 34 48 89 4C 24 70 F2 0F 10 44 24 70 F2 0F 59 C3 48 89 44 24 70 F2 0F 10 64 24 70 0F 28 D8 85 D2 7E 27 8B CA 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 59 DC F2 0F 5C D1 48 83 E9 01 75 DB 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 6E C8 83 E0 01 F3 0F E6 C9 F2 0F 59 CB F2 0F 5C D1 66 0F 2F D0 F2 0F 11 54 24 70 77 0C 66 0F 2E D0 7A 10 75 0E 85 C0 74 0A F2 0F 5C D3 F2 0F 11 54 24 70 44 89 44 24 68 0F AE 54 24 68 0F 57 C0 0F 2F 44 24 60 F2 0F 10 44 24 70 76 07 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 E9 93 00 00 00 81 F9 FE 07 00 00 7E 17 48 B8 FF FF FF FF FF FF 0F 00 4C 85 C0 74 3C F3 0F 11 4C 24 60 EB 1D 81 FA FE 07 00 00 7E 22 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 74 5D F3 0F 11 64 24 60 8B 4C 24 60 48 83 C4 58 E9 ?? ?? ?? ?? 83 F9 01 7D 05 83 FA 01 7D 40 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 64 24 38 41 B9 01 00 00 00 F3 0F 11 4C 24 30 41 B8 00 00 C0 FF C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 41 8D 51 05 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "atan2f"
		size = 1085
		refs = "00ca _handle_nanf 00fb __real@c0490fdb 0105 __real@40490fdb 010f _set_statfp 0133 __real@bfc90fdb 016f __real@3fc90fdb 019a __real@80000000 02bc __real@c016cbe4 02c9 __real@4016cbe4 02db __real@bf490fdb 02e8 __real@3f490fdb 02f5 __xmm@80000000000000008000000000000000 032a __real@3fb0000000000000 0334 __real@4070000000000000 034a __real@3fe0000000000000 035f ?atan_jby256@?1??atan2f@@9@9 0395 __real@3fd5555555550877 039f __real@3f1a36e2eb1c432d 03ad __real@3fc99999999643a3 03bf __real@3fc2492482bd6be1 03cb __real@3fd5555555555538 03eb __real@3ff921fb54442d18 03ff __real@400921fb54442d18"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 DB 0F 29 70 C8 0F 29 78 B8 49 BD 00 00 00 00 00 00 F0 7F 49 BB FF FF FF FF FF FF FF 7F 49 BA 00 00 00 00 00 00 00 80 0F 57 FF 41 B9 FF 07 00 00 F3 0F 5A F9 44 8B C3 44 8B FB 44 8B E3 0F 57 F6 F2 0F 11 BC 24 80 00 00 00 48 8B 84 24 80 00 00 00 48 8B E8 48 8B C8 49 23 EA F3 0F 5A F0 F2 0F 11 B4 24 80 00 00 00 4C 8B B4 24 80 00 00 00 49 8B D6 49 8B FE 49 23 D3 49 23 FA 49 23 CB 41 0F 94 C0 49 3B CD 41 0F 94 C7 49 3B D5 41 0F 94 C4 49 C1 EE 34 48 C1 E8 34 45 23 F1 41 23 C1 44 2B F0 49 3B CD 76 14 F3 0F 11 4C 24 70 8B 4C 24 70 E8 ?? ?? ?? ?? E9 46 03 00 00 49 3B D5 76 08 F3 0F 11 44 24 70 EB E5 48 85 D2 75 36 48 85 ED 0F 85 A8 01 00 00 66 0F 5A C6 E9 22 03 00 00 F3 0F 10 35 ?? ?? ?? ?? EB 08 F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 FE 02 00 00 45 85 C0 74 36 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 0D F3 0F 10 05 ?? ?? ?? ?? E9 DD 02 00 00 41 B9 FF 07 00 00 49 BA 00 00 00 00 00 00 00 80 49 BB FF FF FF FF FF FF FF 7F 41 83 FE 1A 7E 19 48 85 FF 74 0A F3 0F 10 35 ?? ?? ?? ?? EB 9E F3 0F 10 35 ?? ?? ?? ?? EB 94 41 83 FE F3 0F 8D 0C 01 00 00 48 85 ED 0F 85 03 01 00 00 41 81 FE 6A FF FF FF 7D 1C 48 85 FF 74 0A F3 0F 10 35 ?? ?? ?? ?? EB 03 0F 57 F6 B9 30 00 00 00 E9 61 FF FF FF 41 83 FE 82 0F 8D CB 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 89 84 24 80 00 00 00 F2 0F 10 84 24 80 00 00 00 F2 0F 59 C6 F2 0F 5E C7 F2 0F 11 84 24 80 00 00 00 48 8B 84 24 80 00 00 00 4C 8B C0 49 23 C3 48 8B C8 4D 23 C2 48 C1 E9 34 41 23 C9 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 38 48 BA FF FF FF FF FF FF 1F 80 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 BA 01 00 00 00 2B D1 83 FA 36 7F 12 8D 4A FF 48 D3 E8 48 8B D8 83 E0 01 48 D1 EB 48 03 D8 49 0B D8 48 89 9C 24 80 00 00 00 F2 0F 10 B4 24 80 00 00 00 49 85 DD 0F 85 7B FE FF FF B9 30 00 00 00 E8 ?? ?? ?? ?? E9 6C FE FF FF F2 0F 5E F7 E9 63 FE FF FF 41 83 FE E6 7D 13 48 85 ED 74 0E 48 85 FF 0F 85 58 FE FF FF E9 5D FE FF FF 45 85 E4 74 48 45 85 FF 74 43 48 85 ED 74 1F 48 85 FF 74 0D F3 0F 10 35 ?? ?? ?? ?? E9 44 FE FF FF F3 0F 10 35 ?? ?? ?? ?? E9 37 FE FF FF 48 85 FF 74 0D F3 0F 10 35 ?? ?? ?? ?? E9 25 FE FF FF F3 0F 10 35 ?? ?? ?? ?? E9 18 FE FF FF F2 0F 10 2D ?? ?? ?? ?? 48 85 ED 74 03 0F 57 FD 48 85 FF 74 03 0F 57 F5 66 0F 2F F7 8B D3 0F 97 C2 85 D2 74 09 0F 28 C7 0F 28 FE 0F 28 F0 0F 28 E6 F2 0F 5E E7 66 0F 2F 25 ?? ?? ?? ?? 76 6B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 F2 0F 59 E2 0F 28 DE F2 0F 59 DA F2 0F 58 25 ?? ?? ?? ?? F2 0F 2C CC 8B C1 83 C1 F0 F2 48 0F 2A C8 48 8D 05 ?? ?? ?? ?? 0F 28 C1 F2 0F 59 CE F2 0F 59 C7 F2 0F 59 FA F2 0F 5C D8 F2 0F 58 CF F2 0F 5E D9 0F 28 C3 0F 28 E3 F2 0F 58 24 C8 F2 0F 59 C3 F2 0F 59 C3 F2 0F 59 05 ?? ?? ?? ?? EB 44 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 77 3A F2 0F 10 0D ?? ?? ?? ?? 0F 28 D4 F2 0F 59 D4 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D4 F2 0F 5C C1 F2 0F 59 C2 F2 0F 5C E0 85 D2 74 0F F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 0F 28 E0 48 85 ED 74 0F F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 0F 28 E0 48 85 FF 74 03 0F 57 E5 0F 57 C0 F2 0F 5A C4 0F 28 74 24 30 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 48 0F 28 7C 24 20 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_202_3_0 {
	meta:
		name = "scaleDownDouble"
		size = 142
	strings:
		$1 = { 4C 8B D1 4C 8B C9 48 B8 00 00 00 00 00 00 00 80 4C 23 D0 48 B8 FF FF FF FF FF FF FF 7F 4C 23 C8 33 C0 49 8B C9 48 C1 E9 34 81 E1 FF 07 00 00 2B CA 85 C9 7E 19 48 63 C1 48 B9 FF FF FF FF FF FF 0F 80 4C 23 C9 48 C1 E0 34 49 0B C1 EB 39 48 BA FF FF FF FF FF FF 1F 80 4C 23 CA 48 BA 00 00 00 00 00 00 10 00 4C 0B CA BA 01 00 00 00 2B D1 83 FA 36 7F 13 8D 4A FF 49 D3 E9 49 8B C1 41 83 E1 01 48 D1 E8 49 03 C1 49 0B C2 49 89 00 C3 }
	condition:
		$1
}

rule file_204_4_0 {
	meta:
		name = "_wcscoll_l"
		size = 188
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0081 __acrt_CompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 85 DB 74 05 48 85 FF 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 48 8B 44 24 38 48 8B 88 30 01 00 00 48 85 C9 75 20 48 2B FB 0F B7 03 66 3B 04 3B 75 0D 48 83 C3 02 66 85 C0 75 EE 33 C0 EB 3B 1B C0 83 C8 01 EB 34 41 83 C9 FF 4C 8B C3 44 89 4C 24 28 BA 00 10 00 00 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_204_5_0 {
	meta:
		name = "wcscoll"
		size = 101
		refs = "0008 __acrt_locale_changed_data 0014 _errno 001f _invalid_parameter_noinfo 0061 _wcscoll_l"
	strings:
		$1 = { 48 83 EC 28 33 C0 39 05 ?? ?? ?? ?? 75 4B 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 2B D1 44 0F B7 01 66 44 3B 04 11 75 0F 48 83 C1 02 66 45 85 C0 75 EB 48 83 C4 28 C3 1B C0 83 C8 01 48 83 C4 28 C3 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "_get_printf_count_output"
		size = 24
		refs = "0003 __security_cookie 0010 ?enable_percent_n@@3_KA"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 33 C0 48 83 C9 01 48 39 0D ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule file_205_1_0 {
	meta:
		name = "_set_printf_count_output"
		size = 39
		refs = "0003 __security_cookie 0010 ?enable_percent_n@@3_KA"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 33 C0 48 83 CA 01 48 39 15 ?? ?? ?? ?? 0F 94 C0 F7 D9 48 1B C9 48 23 CA 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_207_3_0 {
	meta:
		name = "?fast_check@@YAHHH@Z"
		size = 18
		refs = "0003 __acrt_initial_locale_data"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 63 C1 42 0F B7 04 40 23 C2 C3 }
	condition:
		$1
}

rule file_207_7_0 {
	meta:
		name = "__iscsym"
		size = 40
		refs = "000c isalnum"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 0F B6 C9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 80 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_207_8_0 {
	meta:
		name = "__iscsymf"
		size = 37
		refs = "0009 isalpha"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_207_11_0 {
	meta:
		name = "_isalnum_l"
		size = 91
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0D 48 8B 00 0F B7 0C 58 81 E1 07 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_12_0 {
	meta:
		name = "_isalpha_l"
		size = 91
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0D 48 8B 00 0F B7 0C 58 81 E1 03 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_13_0 {
	meta:
		name = "_isblank_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0035 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 FB 09 75 05 8D 4B 37 EB 2E 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 40 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 00 B9 40 00 00 00 0F B7 14 58 23 CA 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_15_0 {
	meta:
		name = "_iscntrl_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 20 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_16_0 {
	meta:
		name = "_iscsym_l"
		size = 106
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 07 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 85 D2 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_17_0 {
	meta:
		name = "_iscsymf_l"
		size = 106
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 03 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 85 D2 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_18_0 {
	meta:
		name = "_isdigit_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 04 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_19_0 {
	meta:
		name = "_isgraph_l"
		size = 91
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0D 48 8B 00 0F B7 0C 58 81 E1 17 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_20_0 {
	meta:
		name = "_islower_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 02 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_21_0 {
	meta:
		name = "_isprint_l"
		size = 91
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0D 48 8B 00 0F B7 0C 58 81 E1 57 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_22_0 {
	meta:
		name = "_ispunct_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 10 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_23_0 {
	meta:
		name = "_isspace_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 08 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_24_0 {
	meta:
		name = "_isupper_l"
		size = 88
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0A 48 8B 00 0F B7 0C 58 83 E1 01 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_25_0 {
	meta:
		name = "_isxdigit_l"
		size = 91
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0D 48 8B 00 0F B7 0C 58 81 E1 80 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_26_0 {
	meta:
		name = "isalnum"
		size = 121
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0063 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4E 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 07 01 00 00 80 7C 24 38 00 74 1F 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 11 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 81 E2 07 01 00 00 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_27_0 {
	meta:
		name = "isalpha"
		size = 121
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0063 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4E 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 03 01 00 00 80 7C 24 38 00 74 1F 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 11 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 81 E2 03 01 00 00 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_28_0 {
	meta:
		name = "isblank"
		size = 138
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 _isctype_l 0078 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 59 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 FB 09 75 05 8D 4B 37 EB 2E 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 40 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 00 B9 40 00 00 00 0F B7 14 58 23 CA 80 7C 24 38 00 74 25 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 17 B9 40 00 00 00 83 FB 09 74 0D 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 23 CA 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_29_0 {
	meta:
		name = "iscntrl"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 20 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 20 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_30_0 {
	meta:
		name = "isdigit"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 04 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 04 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_31_0 {
	meta:
		name = "isgraph"
		size = 121
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0063 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4E 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 17 01 00 00 80 7C 24 38 00 74 1F 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 11 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 81 E2 17 01 00 00 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_32_0 {
	meta:
		name = "islower"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 02 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 02 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_33_0 {
	meta:
		name = "isprint"
		size = 121
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0063 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4E 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 57 01 00 00 80 7C 24 38 00 74 1F 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 11 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 81 E2 57 01 00 00 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_34_0 {
	meta:
		name = "ispunct"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 10 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 10 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_35_0 {
	meta:
		name = "isspace"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 08 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 08 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_36_0 {
	meta:
		name = "isupper"
		size = 115
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0060 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4B 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0A 48 8B 00 0F B7 14 58 83 E2 01 80 7C 24 38 00 74 1C 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 0E 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 83 E2 01 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_207_37_0 {
	meta:
		name = "isxdigit"
		size = 121
		refs = "0008 __acrt_locale_changed_data 001a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0036 _isctype_l 0063 __acrt_initial_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 74 4E 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 01 7E 15 4C 8D 44 24 28 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 0D 48 8B 00 0F B7 14 58 81 E2 80 00 00 00 80 7C 24 38 00 74 1F 48 8B 44 24 20 83 A0 A8 03 00 00 FD EB 11 48 8B 05 ?? ?? ?? ?? 0F B7 14 58 81 E2 80 00 00 00 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_208_11_0 {
	meta:
		name = "_fread_nolock"
		size = 29
		refs = "0014 _fread_nolock_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_208_13_0 {
	meta:
		name = "fread"
		size = 29
		refs = "0014 fread_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_208_12_0 {
	meta:
		name = "_fread_nolock_s"
		size = 653
		refs = "0032 _errno 003d _invalid_parameter_noinfo 007f memset 0147 memcpy 01d4 _fileno 01e6 _read_nolock 020c __acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 4C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4D 8B F0 48 8B EA 4C 8B E9 4D 85 C0 74 1A 4D 85 C9 74 15 48 85 C9 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8B 9C 24 90 00 00 00 48 85 DB 74 0E 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C8 76 2B 48 83 FD FF 74 12 4C 8B C5 33 D2 E8 ?? ?? ?? ?? 4C 8B 8C 24 88 00 00 00 48 85 DB 74 A1 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C8 77 93 8B 43 14 A9 C0 04 00 00 74 05 8B 4B 20 EB 05 B9 00 10 00 00 49 8B FE 89 8C 24 90 00 00 00 49 0F AF F9 4D 8B FD 4C 89 6C 24 20 48 8B F7 4C 8B E5 48 85 FF 0F 84 6F 01 00 00 BA FF FF FF 7F 8B 43 14 A9 C0 04 00 00 0F 84 B0 00 00 00 48 63 43 10 85 C0 0F 84 A4 00 00 00 0F 88 75 01 00 00 48 3B F0 44 8B F8 44 0F 42 FE 4D 3B FC 0F 87 3F 01 00 00 48 8B 0B 48 89 4C 24 28 4D 85 FF 74 5B 48 8B 44 24 20 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 3F 48 85 C9 74 15 4D 3B E7 72 10 48 8B D1 4D 8B C7 48 8B C8 E8 ?? ?? ?? ?? EB 2A 4D 8B C4 33 D2 48 8B C8 E8 ?? ?? ?? ?? 48 83 7C 24 28 00 74 C4 4D 3B E7 73 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 44 29 7B 10 49 2B F7 4C 01 3B 4C 01 7C 24 20 8B 8C 24 90 00 00 00 4D 2B E7 4C 8B 7C 24 20 E9 9B 00 00 00 8B C1 48 3B F0 72 67 48 3B F2 44 8B FE 44 0F 47 FA 85 C9 74 0A 33 D2 41 8B C7 F7 F1 44 2B FA 41 8B C7 49 3B C4 0F 87 89 00 00 00 48 8B 43 08 48 8B CB 83 63 10 00 48 89 03 E8 ?? ?? ?? ?? 45 8B C7 8B C8 4C 8B 7C 24 20 49 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 84 94 00 00 00 78 7D 8B 8C 24 90 00 00 00 48 98 48 2B F0 4C 03 F8 4C 2B E0 EB 28 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 61 4D 85 E4 74 34 41 88 07 48 FF CE 8B 4B 20 49 FF C7 49 FF CC 89 8C 24 90 00 00 00 4C 89 7C 24 20 48 85 F6 0F 85 99 FE FF FF 4C 8B 8C 24 88 00 00 00 49 8B C1 E9 F5 FD FF FF 48 83 FD FF 74 0D 4C 8B C5 33 D2 49 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 CB FD FF FF F0 83 4B 14 10 48 2B FE 33 D2 48 8B C7 49 F7 F6 E9 BD FD FF FF F0 83 4B 14 08 EB E9 }
	condition:
		$1
}

rule file_208_14_0 {
	meta:
		name = "fread_s"
		size = 167
		refs = "0045 memset 004a _errno 0055 _invalid_parameter_noinfo 005f _lock_file 0076 _fread_nolock_s 0081 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F1 4D 8B F8 48 8B FA 4C 8B F1 4D 85 C0 74 60 4D 85 C9 74 5B 48 8B 5C 24 60 48 85 DB 75 22 48 83 FA FF 74 0A 4C 8B C2 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2F 48 8B CB E8 ?? ?? ?? ?? 90 48 89 5C 24 20 4C 8B CE 4D 8B C7 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_208_15_0 {
	meta:
		name = "fread_s$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 4D 60 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_209_0_0 {
	meta:
		name = "_Cmulcc"
		size = 209
		refs = "0033 creal 004a cimag 00a3 _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 0F 10 02 48 8B F1 48 8D 48 B8 0F 29 70 E8 49 8B F8 0F 29 78 D8 48 8B DA F3 0F 7F 40 B8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 44 0F 28 C0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F8 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 28 D6 48 8D 4C 24 20 0F 28 C8 F2 41 0F 59 F0 F2 41 0F 59 C8 F2 0F 59 C7 F2 0F 59 D7 F2 0F 5C F0 F2 0F 58 D1 0F 28 CE E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 0F 10 00 48 8B C6 44 0F 28 44 24 30 F3 0F 7F 06 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_238_0_0 {
	meta:
		name = "_LCmulcc"
		size = 209
		refs = "0033 creall 004a cimagl 00a3 _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 0F 10 02 48 8B F1 48 8D 48 B8 0F 29 70 E8 49 8B F8 0F 29 78 D8 48 8B DA F3 0F 7F 40 B8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 44 0F 28 C0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F8 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 28 D6 48 8D 4C 24 20 0F 28 C8 F2 41 0F 59 F0 F2 41 0F 59 C8 F2 0F 59 C7 F2 0F 59 D7 F2 0F 5C F0 F2 0F 58 D1 0F 28 CE E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 0F 10 00 48 8B C6 44 0F 28 44 24 30 F3 0F 7F 06 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_209_1_0 {
	meta:
		name = "_Cmulcr"
		size = 110
		refs = "002b cimag 003c creal 0050 _Cbuild"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 0F 29 78 D8 F3 0F 7F 48 B8 0F 28 FA F3 0F 7F 40 A8 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4C 24 30 F2 0F 59 F7 E8 ?? ?? ?? ?? F2 0F 59 C7 48 8D 4C 24 40 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_238_1_0 {
	meta:
		name = "_LCmulcr"
		size = 110
		refs = "002b cimagl 003c creall 0050 _LCbuild"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 0F 29 78 D8 F3 0F 7F 48 B8 0F 28 FA F3 0F 7F 40 A8 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4C 24 30 F2 0F 59 F7 E8 ?? ?? ?? ?? F2 0F 59 C7 48 8D 4C 24 40 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_209_2_0 {
	meta:
		name = "cpow"
		size = 304
		refs = "0034 cimag 003c __real@0000000000000000 0051 creal 00a8 pow 00b7 _Cbuild 00ce clog 00ef _Cmulcc 0104 cexp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 48 8B F1 48 8D 4D A0 0F 29 70 E8 49 8B F8 F3 0F 7F 45 A0 48 8B DA E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 7B 75 79 0F 10 03 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 72 5E 0F 10 07 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 43 75 41 0F 10 03 48 8D 4D A0 0F 10 0F F3 0F 7F 45 A0 F3 0F 7F 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D C0 0F 57 D2 E8 ?? ?? ?? ?? EB 4B 0F 10 03 48 8D 55 B0 48 8D 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 0F 4C 8D 45 B0 48 8D 55 A0 0F 10 00 48 8D 4D D0 F3 0F 7F 4D A0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 00 4C 8D 9C 24 80 00 00 00 48 8B C6 0F 28 74 24 70 49 8B 5B 10 49 8B 7B 20 F3 0F 7F 06 49 8B 73 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "frexp"
		size = 248
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 0049 _ctrlfp 0069 _sptype 0088 __real@3ff0000000000000 009a _except1 00a4 __real@0000000000000000 00b0 _dsign 00bf __real@8000000000000000 00ce _decomp"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 F2 0F 11 40 08 57 48 83 EC 40 0F 29 70 E8 0F 28 F0 48 8B FA 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 A7 00 00 00 BE C0 FF 00 00 B9 80 1F 00 00 8B D6 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B D8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 3E 83 0F FF 0F 28 C6 E8 ?? ?? ?? ?? 83 E8 01 74 63 83 E8 01 74 5E 83 F8 01 74 59 0F 28 DE B9 08 00 00 00 F2 0F 58 1D ?? ?? ?? ?? BA 17 00 00 00 48 89 5C 24 20 0F 28 D6 E8 ?? ?? ?? ?? EB 43 66 0F 2E 35 ?? ?? ?? ?? 7A 1D 75 1B 0F 28 C6 E8 ?? ?? ?? ?? 85 C0 74 0F 83 27 00 F2 0F 10 1D ?? ?? ?? ?? 33 C9 EB C5 48 8B D7 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F0 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 0F 28 C6 48 8B 5C 24 58 48 8B 74 24 60 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "strcat"
		size = 160
	strings:
		$1 = { 4C 8B D9 F6 C1 07 74 12 8A 01 84 C0 0F 84 91 00 00 00 48 FF C1 F6 C1 07 75 EE 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 54 48 FF C1 84 E4 74 4D 48 FF C1 48 C1 E8 10 84 C0 74 42 48 FF C1 84 E4 74 3B 48 FF C1 48 C1 E8 10 84 C0 74 30 48 FF C1 84 E4 74 29 48 FF C1 C1 E8 10 84 C0 74 1F 48 FF C1 84 E4 74 18 48 FF C1 EB 8A CC CC CC CC CC CC 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_211_1_0 {
	meta:
		name = "strcpy"
		size = 183
	strings:
		$1 = { 4C 8B D9 48 2B CA F6 C2 07 74 1F 8A 02 88 04 11 84 C0 74 0A 48 FF C2 F6 C2 07 75 EF EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 CF 84 C0 88 04 11 74 59 48 FF C2 84 E4 88 24 11 74 4F 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 84 E4 88 24 11 74 37 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 29 48 FF C2 84 E4 88 24 11 74 1F 48 FF C2 C1 E8 10 84 C0 88 04 11 74 12 48 FF C2 84 E4 88 24 11 74 08 48 FF C2 E9 77 FF FF FF 49 8B C3 C3 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "__acrt_fp_strflt_to_string"
		size = 191
		refs = "000e _errno 001a _invalid_parameter_noinfo 00b3 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 94 00 00 00 48 85 D2 74 E3 45 85 C0 88 19 8B C3 41 0F 4F C0 FF C0 48 98 48 3B D0 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CD 4D 85 C9 74 BE 49 8B 51 08 48 8D 41 01 C6 01 30 EB 19 44 8A 12 45 84 D2 74 05 48 FF C2 EB 03 41 B2 30 44 88 10 48 FF C0 41 FF C8 45 85 C0 7F E2 88 18 78 14 80 3A 35 7C 0F EB 03 C6 00 30 48 FF C8 80 38 39 74 F5 FE 00 80 39 31 75 06 41 FF 41 04 EB 1A 49 83 C8 FF 49 FF C0 42 38 5C 01 01 75 F6 49 FF C0 48 8D 51 01 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "casinl"
		size = 208
		refs = "0032 creall 003e cimagl 0045 __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 casinhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_688_0_4 {
	meta:
		name = "casin"
		size = 208
		refs = "0032 creal 003e cimag 0045 __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 casinh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "catan"
		size = 208
		refs = "0032 creal 003e cimag 0045 __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 catanh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_484_0_2 {
	meta:
		name = "catanl"
		size = 208
		refs = "0032 creall 003e cimagl 0045 __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 catanhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_663_0_2 {
	meta:
		name = "csin"
		size = 208
		refs = "0032 creal 003e cimag 0045 __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 csinh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_248_0_2 {
	meta:
		name = "csinl"
		size = 208
		refs = "0032 creall 003e cimagl 0045 __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 csinhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "ctan"
		size = 208
		refs = "0032 creal 003e cimag 0045 __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 ctanh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_217_0_4 {
	meta:
		name = "ctanl"
		size = 208
		refs = "0032 creall 003e cimagl 0045 __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 ctanhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4D D0 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 4D B0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 10 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_214_1_0 {
	meta:
		name = "??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
		size = 310
		refs = "002a _errno 0036 _invalid_parameter_noinfo 0091 _lock_file 00ac _fclose_nolock 00f4 _openfile 011e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 4C 89 4C 24 20 57 48 83 EC 20 49 8B F0 48 8B DA 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 E5 00 00 00 48 83 21 00 48 85 D2 75 13 E8 ?? ?? ?? ?? B9 09 00 00 00 89 08 8B C1 E9 C9 00 00 00 33 C0 4D 85 C0 0F 95 C0 85 C0 74 C0 33 C0 4D 85 C9 0F 95 C0 85 C0 74 B4 80 3A 00 75 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB B2 83 64 24 30 00 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B 44 24 48 8B 48 14 C1 E9 0D F6 C1 01 74 0A 48 8B 4C 24 48 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 20 00 48 8B 44 24 48 48 83 60 08 00 48 8B 44 24 48 83 60 10 00 48 8B 44 24 48 F0 83 60 14 00 48 8B 44 24 48 F0 81 48 14 00 20 00 00 4C 8B 4C 24 48 44 8B 44 24 50 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 18 48 8B 44 24 48 F0 81 60 14 FF DF FF FF E8 ?? ?? ?? ?? 8B 08 89 4C 24 30 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B 44 24 30 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_214_2_0 {
	meta:
		name = "?fin$0@?0???$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z@4HA"
		size = 26
		refs = "000e _unlock_file"
		altNames = "fputc$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 48 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_214_3_0 {
	meta:
		name = "??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
		size = 310
		refs = "002c _errno 0038 _invalid_parameter_noinfo 0095 _lock_file 00b0 _fclose_nolock 00f6 _wopenfile 0120 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 4C 24 20 56 57 41 56 48 83 EC 20 49 8B F0 48 8B DA 48 8B F9 45 33 F6 41 8B C6 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 E5 00 00 00 4C 89 31 48 85 D2 75 13 E8 ?? ?? ?? ?? B9 09 00 00 00 89 08 8B C1 E9 CA 00 00 00 41 8B C6 4D 85 C0 0F 95 C0 85 C0 74 C0 41 8B C6 4D 85 C9 0F 95 C0 85 C0 74 B3 66 44 39 32 75 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB B0 44 89 74 24 40 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B 44 24 58 8B 48 14 C1 E9 0D F6 C1 01 74 0A 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B 44 24 58 4C 89 30 48 8B 44 24 58 4C 89 70 08 48 8B 44 24 58 44 89 70 10 48 8B 44 24 58 F0 44 21 70 14 48 8B 44 24 58 F0 81 48 14 00 20 00 00 4C 8B 4C 24 58 44 8B 44 24 60 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 18 48 8B 44 24 58 F0 81 60 14 FF DF FF FF E8 ?? ?? ?? ?? 8B 08 89 4C 24 40 48 8B 4C 24 58 E8 ?? ?? ?? ?? 8B 44 24 40 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_214_4_0 {
	meta:
		name = "?fin$0@?0???$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z@4HA"
		size = 26
		refs = "000e _unlock_file"
		altNames = "?fin$0@?0???$common_fdopen@D@@YAPEAU_iobuf@@HQEBD@Z@4HA ?fin$0@?0???$common_fdopen@_W@@YAPEAU_iobuf@@HQEB_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 58 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_214_5_0 {
	meta:
		name = "??$open_file@AEBQEBDAEBQEBDAEBHPEAU_iobuf@@@?$__crt_char_traits@D@@SAPEAU_iobuf@@AEBQEBD0AEBH$$QEAPEAU1@@Z"
		size = 17
		refs = "000d _openfile"
	strings:
		$1 = { 4D 8B 09 45 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_6_0 {
	meta:
		name = "??$open_file@AEBQEB_WAEBQEB_WAEBHPEAU_iobuf@@@?$__crt_char_traits@_W@@SAPEAU_iobuf@@AEBQEB_W0AEBH$$QEAPEAU1@@Z"
		size = 17
		refs = "000d _wopenfile"
	strings:
		$1 = { 4D 8B 09 45 8B 00 48 8B 12 48 8B 09 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_16_0 {
	meta:
		name = "_wfreopen"
		size = 47
		refs = "0021 ??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 50 00 4D 8B C8 4C 8B C2 C7 44 24 20 40 00 00 00 48 8B D1 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_214_18_0 {
	meta:
		name = "freopen"
		size = 47
		refs = "0021 ??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 50 00 4D 8B C8 4C 8B C2 C7 44 24 20 40 00 00 00 48 8B D1 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_214_17_0 {
	meta:
		name = "_wfreopen_s"
		size = 22
		refs = "000d ??$common_freopen@_W@@YAHQEAPEAU_iobuf@@QEB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_214_19_0 {
	meta:
		name = "freopen_s"
		size = 22
		refs = "000d ??$common_freopen@D@@YAHQEAPEAU_iobuf@@QEBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "_exp2"
		size = 827
		refs = "0068 _handle_nan 008b __real@4090000000000000 00d0 ??_C@_04HPAFEEIN@exp2?$AA@ 00d5 _handle_error 00e2 __real@c090c80000000000 0144 __real@3ff0000000000000 0154 __real@3fe62e42f8000000 0192 __real@3e4be8e7bcd5e4f1 01ca __real@3e9208a80efa0f9c 01d2 __real@3f437d98a3a06a02 01da __real@3f985eaf935d972d 01e2 __real@3f885dd726cbfa41 01f2 __real@3ef0e88e25daf0f3 01fa __real@3fbb6a194bd1cdeb 020a __real@3feffc6f012164ad 0212 __real@3fdffc2b5ee8cd41 0246 __real@3fa0000000000000 0256 __real@4040000000000000 0261 __real@3fe62e42fefa39ef 0288 splitexp"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 88 00 00 00 48 8B 8C 24 88 00 00 00 0F 28 E8 48 8B C1 0F 29 74 24 50 48 23 C2 48 BA 00 00 00 00 00 00 90 40 48 3B C2 0F 82 DE 00 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 38 48 B8 FF FF FF FF FF FF 0F 00 48 85 C8 74 0E 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 00 80 48 85 C8 0F 84 B2 02 00 00 0F 57 C0 E9 AA 02 00 00 66 0F 2F 05 ?? ?? ?? ?? 76 4D C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 03 00 00 00 F2 0F 11 6C 24 30 49 B8 00 00 00 00 00 00 F0 7F C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 BA 14 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 53 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C5 76 32 C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 04 00 00 00 F2 0F 11 6C 24 30 45 33 C0 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB AA 48 B9 2F 6C EE 64 47 15 B7 3F 48 3B C1 0F 83 11 01 00 00 48 B9 00 00 00 00 00 00 00 3C 48 3B C1 73 10 F2 0F 58 2D ?? ?? ?? ?? 0F 28 C5 E9 E1 01 00 00 F2 0F 10 15 ?? ?? ?? ?? 0F 28 DD F2 0F 11 AC 24 88 00 00 00 48 8B 84 24 88 00 00 00 F2 0F 59 EA 48 25 00 00 00 F8 48 89 84 24 88 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 5C D8 0F 28 E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 E2 F2 0F 5C E5 F2 0F 58 E0 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 E0 F2 0F 58 E3 0F 28 D4 F2 0F 58 D5 0F 28 DA 0F 28 CA F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 0F 28 F3 F2 0F 59 DD F2 0F 59 F4 F2 0F 58 F3 F2 0F 58 35 ?? ?? ?? ?? E9 EC 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 48 8D 84 24 80 00 00 00 F2 0F 10 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 10 0D ?? ?? ?? ?? 48 89 44 24 38 48 8D 44 24 78 48 89 44 24 30 48 8D 44 24 70 48 89 44 24 28 F2 0F 11 44 24 20 0F 28 C5 E8 ?? ?? ?? ?? 4C 63 4C 24 70 41 8D 81 FD 03 00 00 3D FB 07 00 00 77 32 B8 FF 03 00 00 49 03 C1 48 C1 E0 34 48 89 84 24 88 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F0 EB 5D 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 88 00 00 00 F2 0F 10 94 24 88 00 00 00 48 C1 E0 34 48 89 84 24 88 00 00 00 F2 0F 10 8C 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F2 F2 0F 59 F1 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "__acrt_initialize_command_line"
		size = 37
		refs = "0006 __imp_GetCommandLineA 000d _acmdln 0013 __imp_GetCommandLineW 001a _wcmdln"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_216_9_0 {
	meta:
		name = "_get_pgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _pgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_216_10_0 {
	meta:
		name = "_get_wpgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _wpgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "conjl"
		size = 101
		refs = "0023 creall 0039 cimagl 0040 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 40 0F 10 02 48 8B F9 48 8D 48 D8 0F 29 70 E8 48 8B DA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE 48 8B 5C 24 50 48 8B C7 0F 28 74 24 30 66 0F 14 C8 0F 10 C1 F3 0F 7F 07 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_600_0_0 {
	meta:
		name = "conj"
		size = 101
		refs = "0023 creal 0039 cimag 0040 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 40 0F 10 02 48 8B F9 48 8D 48 D8 0F 29 70 E8 48 8B DA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE 48 8B 5C 24 50 48 8B C7 0F 28 74 24 30 66 0F 14 C8 0F 10 C1 F3 0F 7F 07 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "ccos"
		size = 121
		refs = "0024 creal 0031 cimag 0038 __xmm@80000000000000008000000000000000 0048 _Cbuild 0060 ccosh"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 B8 F3 0F 7F 40 A8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 50 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "ccosl"
		size = 121
		refs = "0024 creall 0031 cimagl 0038 __xmm@80000000000000008000000000000000 0048 _LCbuild 0060 ccoshl"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 B8 F3 0F 7F 40 A8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 C8 0F 28 D6 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 50 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
		size = 146
		refs = "0058 _errno 0064 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 49 8B D8 33 C9 4C 8B DA 4C 8B D2 38 4C 24 50 74 0E C6 02 2D 4C 8D 52 01 B9 01 00 00 00 F7 D8 4D 8B C2 33 D2 41 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 48 FF C1 49 FF C2 85 C0 74 05 48 3B CB 72 DC 48 3B CB 72 19 41 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 20 41 C6 02 00 49 FF CA 41 8A 00 41 8A 0A 41 88 02 49 FF CA 41 88 08 49 FF C0 4D 3B C2 72 E9 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_221_1_0 {
	meta:
		name = "??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
		size = 170
		refs = "0064 _errno 0070 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 8B C1 49 8B D8 4C 8B DA 4C 8B D2 8B CF 40 38 7C 24 50 74 0F 8D 4F 2D F7 D8 66 89 0A 4C 8D 52 02 8D 4F 01 4D 8B C2 33 D2 41 F7 F1 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 48 FF C1 49 83 C2 02 85 C0 74 05 48 3B CB 72 D8 48 3B CB 72 19 66 41 89 3B E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 27 66 41 89 3A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 49 83 EA 02 66 41 89 08 49 83 C0 02 4D 3B C2 72 E3 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_221_2_0 {
	meta:
		name = "??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
		size = 152
		refs = "005e _errno 006a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 49 8B D8 33 C9 4C 8B DA 4C 8B D2 38 4C 24 50 74 0F C6 02 2D 4C 8D 52 01 B9 01 00 00 00 48 F7 D8 4D 8B C2 45 8B C9 33 D2 49 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 48 FF C1 49 FF C2 48 85 C0 74 05 48 3B CB 72 DB 48 3B CB 72 19 41 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 20 41 C6 02 00 49 FF CA 41 8A 00 41 8A 0A 41 88 02 49 FF CA 41 88 08 49 FF C0 4D 3B C2 72 E9 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_221_3_0 {
	meta:
		name = "??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
		size = 176
		refs = "006a _errno 0076 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B C1 49 8B D8 4C 8B DA 4C 8B D2 8B CF 40 38 7C 24 50 74 10 8D 4F 2D 48 F7 D8 66 89 0A 4C 8D 52 02 8D 4F 01 4D 8B C2 45 8B C9 33 D2 49 F7 F1 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 48 FF C1 49 83 C2 02 48 85 C0 74 05 48 3B CB 72 D7 48 3B CB 72 19 66 41 89 3B E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 27 66 41 89 3A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 49 83 EA 02 66 41 89 08 49 83 C0 02 4D 3B C2 72 E3 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_221_4_0 {
	meta:
		name = "??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
		size = 120
		refs = "0012 _errno 001e _invalid_parameter_noinfo 0074 ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B D1 44 8B D9 48 85 D2 75 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 5B C3 4D 85 C0 74 E2 44 8A 4C 24 60 41 8A C1 C6 02 00 F6 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 41 8D 42 FE BB 22 00 00 00 3B C3 77 AE 44 88 4C 24 60 41 8B CB 45 8B CA 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_5_0 {
	meta:
		name = "??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
		size = 122
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0076 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 45 8B D1 44 8B D9 48 85 D2 75 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 5B C3 4D 85 C0 74 E2 44 8A 4C 24 60 66 89 02 41 8A C1 F6 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 41 8D 42 FE BB 22 00 00 00 3B C3 77 AE 44 88 4C 24 60 41 8B CB 45 8B CA 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_6_0 {
	meta:
		name = "??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
		size = 120
		refs = "0012 _errno 001e _invalid_parameter_noinfo 0074 ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B D1 4C 8B D9 48 85 D2 75 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 5B C3 4D 85 C0 74 E2 44 8A 4C 24 60 41 8A C1 C6 02 00 F6 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 41 8D 42 FE BB 22 00 00 00 3B C3 77 AE 44 88 4C 24 60 49 8B CB 45 8B CA 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_7_0 {
	meta:
		name = "??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
		size = 122
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0076 ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 45 8B D1 4C 8B D9 48 85 D2 75 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 5B C3 4D 85 C0 74 E2 44 8A 4C 24 60 66 89 02 41 8A C1 F6 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 41 8D 42 FE BB 22 00 00 00 3B C3 77 AE 44 88 4C 24 60 49 8B CB 45 8B CA 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_8_0 {
	meta:
		name = "_i64toa"
		size = 49
		refs = "0024 ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 41 83 F8 0A 75 07 48 85 C9 79 02 B0 01 45 8B C8 88 44 24 20 49 83 C8 FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_10_0 {
	meta:
		name = "_i64tow"
		size = 49
		refs = "0024 ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 41 83 F8 0A 75 07 48 85 C9 79 02 B0 01 45 8B C8 88 44 24 20 49 83 C8 FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_9_0 {
	meta:
		name = "_i64toa_s"
		size = 33
		refs = "0018 ??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 07 48 85 C9 79 02 B0 01 88 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_11_0 {
	meta:
		name = "_i64tow_s"
		size = 33
		refs = "0018 ??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 07 48 85 C9 79 02 B0 01 88 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_12_0 {
	meta:
		name = "_itoa"
		size = 48
		refs = "0023 ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
		altNames = "_ltoa"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 41 83 F8 0A 75 06 85 C9 79 02 B0 01 45 8B C8 88 44 24 20 49 83 C8 FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_14_0 {
	meta:
		name = "_itow"
		size = 48
		refs = "0023 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 41 83 F8 0A 75 06 85 C9 79 02 B0 01 45 8B C8 88 44 24 20 49 83 C8 FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_18_0 {
	meta:
		name = "_ltow"
		size = 48
		refs = "0023 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 41 83 F8 0A 75 06 85 C9 79 02 B0 01 45 8B C8 88 44 24 20 49 83 C8 FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_13_0 {
	meta:
		name = "_itoa_s"
		size = 32
		refs = "0017 ??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
		altNames = "_ltoa_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 06 85 C9 79 02 B0 01 88 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_15_0 {
	meta:
		name = "_itow_s"
		size = 32
		refs = "0017 ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 06 85 C9 79 02 B0 01 88 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_19_0 {
	meta:
		name = "_ltow_s"
		size = 32
		refs = "0017 ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 06 85 C9 79 02 B0 01 88 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_20_0 {
	meta:
		name = "_ui64toa"
		size = 35
		refs = "0016 ??$common_xtox@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B C8 C6 44 24 20 00 49 83 C8 FF 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_22_0 {
	meta:
		name = "_ui64tow"
		size = 35
		refs = "0016 ??$common_xtox@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B C8 C6 44 24 20 00 49 83 C8 FF 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_24_0 {
	meta:
		name = "_ultoa"
		size = 35
		refs = "0016 ??$common_xtox@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B C8 C6 44 24 20 00 49 83 C8 FF 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_26_0 {
	meta:
		name = "_ultow"
		size = 35
		refs = "0016 ??$common_xtox@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 45 8B C8 C6 44 24 20 00 49 83 C8 FF 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_221_21_0 {
	meta:
		name = "_ui64toa_s"
		size = 19
		refs = "000a ??$common_xtox_s@_KD@@YAH_KQEAD0I_N@Z"
	strings:
		$1 = { 48 83 EC 38 C6 44 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_23_0 {
	meta:
		name = "_ui64tow_s"
		size = 19
		refs = "000a ??$common_xtox_s@_K_W@@YAH_KQEA_W0I_N@Z"
	strings:
		$1 = { 48 83 EC 38 C6 44 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_25_0 {
	meta:
		name = "_ultoa_s"
		size = 19
		refs = "000a ??$common_xtox_s@KD@@YAHKQEAD_KI_N@Z"
	strings:
		$1 = { 48 83 EC 38 C6 44 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_221_27_0 {
	meta:
		name = "_ultow_s"
		size = 19
		refs = "000a ??$common_xtox_s@K_W@@YAHKQEA_W_KI_N@Z"
	strings:
		$1 = { 48 83 EC 38 C6 44 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_222_4_0 {
	meta:
		name = "_wcsnicmp"
		size = 152
		refs = "000d __acrt_locale_changed_data 0021 _errno 002c _invalid_parameter_noinfo 0094 _wcsnicmp_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 4D 8B D8 44 39 0D ?? ?? ?? ?? 4C 8B D1 75 79 4D 85 C0 74 6C 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 41 0F B7 0C 12 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 44 0F B7 02 41 8D 40 BF 66 83 F8 19 77 05 66 41 83 C0 20 48 83 C2 02 49 83 EB 01 74 0B 66 85 C9 74 06 66 41 3B C8 74 C6 41 0F B7 C0 44 0F B7 C9 44 2B C8 41 8B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_222_5_0 {
	meta:
		name = "_wcsnicmp_l"
		size = 280
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 005e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b3 _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 45 33 F6 49 8B E8 48 8B FA 48 8B F1 41 8B C6 4D 85 C0 0F 84 CC 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 AD 00 00 00 48 85 D2 74 E1 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 4C 39 B0 38 01 00 00 75 3A 48 2B F7 0F B7 1C 3E 8D 43 BF 66 83 F8 19 77 04 66 83 C3 20 0F B7 0F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 48 83 C7 02 48 83 ED 01 74 44 66 85 DB 74 3F 66 3B D9 74 CB EB 38 0F B7 0E 48 8D 54 24 28 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 28 0F B7 D8 E8 ?? ?? ?? ?? 48 8D 76 02 0F B7 C8 48 8D 7F 02 48 83 ED 01 74 0A 66 85 DB 74 05 66 3B D8 74 C8 0F B7 C9 0F B7 C3 2B C1 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_223_1_0 {
	meta:
		name = "??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
		size = 312
		refs = "0021 _fileno 0036 _errno 00db __acrt_iob_func 00fa _isatty 0107 __acrt_stdio_allocate_buffer_nolock 0113 ??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 55 48 8B EC 48 83 EC 20 8B F9 48 8B CA E8 ?? ?? ?? ?? 48 8B 55 18 8B F0 44 8B 42 14 41 F6 C0 06 75 1C E8 ?? ?? ?? ?? C7 00 09 00 00 00 48 8B 45 18 F0 83 48 14 10 83 C8 FF E9 D2 00 00 00 48 8B 45 18 8B 48 14 C1 E9 0C 41 B8 01 00 00 00 41 84 C8 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB CD 48 8B 45 18 8B 48 14 41 84 C8 74 2B 48 8B 45 18 83 60 10 00 48 8B 45 18 8B 48 14 48 8B 45 18 C1 E9 03 41 84 C8 74 AA 48 8B 48 08 48 89 08 48 8B 45 18 F0 83 60 14 FE 48 8B 45 18 F0 83 48 14 02 48 8B 45 18 F0 83 60 14 F7 48 8B 45 18 83 60 10 00 48 8B 45 18 8B 50 14 F7 C2 C0 04 00 00 75 38 48 8B 5D 18 41 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 13 48 8B 5D 18 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 09 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B 55 18 40 8A CF E8 ?? ?? ?? ?? 84 C0 0F 84 21 FF FF FF 40 0F B6 C7 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_223_2_0 {
	meta:
		name = "??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
		size = 313
		refs = "0021 _fileno 0036 _errno 00dd __acrt_iob_func 00fc _isatty 0109 __acrt_stdio_allocate_buffer_nolock 0115 ??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 55 48 8B EC 48 83 EC 20 8B F9 48 8B CA E8 ?? ?? ?? ?? 48 8B 55 18 8B F0 44 8B 42 14 41 F6 C0 06 75 1E E8 ?? ?? ?? ?? C7 00 09 00 00 00 48 8B 45 18 F0 83 48 14 10 B8 FF FF 00 00 E9 D1 00 00 00 48 8B 45 18 8B 48 14 C1 E9 0C 41 B8 01 00 00 00 41 84 C8 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB CB 48 8B 45 18 8B 48 14 41 84 C8 74 2B 48 8B 45 18 83 60 10 00 48 8B 45 18 8B 48 14 48 8B 45 18 C1 E9 03 41 84 C8 74 A8 48 8B 48 08 48 89 08 48 8B 45 18 F0 83 60 14 FE 48 8B 45 18 F0 83 48 14 02 48 8B 45 18 F0 83 60 14 F7 48 8B 45 18 83 60 10 00 48 8B 45 18 8B 50 14 F7 C2 C0 04 00 00 75 38 48 8B 5D 18 41 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 13 48 8B 5D 18 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 09 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B 55 18 0F B7 CF E8 ?? ?? ?? ?? 84 C0 0F 84 1F FF FF FF 0F B7 C7 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_223_3_0 {
	meta:
		name = "??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
		size = 260
		refs = "001b _fileno 006c _write 0094 __pioinfo 00af __badioinfo 00c3 _lseeki64"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 88 48 08 57 48 83 EC 20 48 8B CA E8 ?? ?? ?? ?? 48 8B 4C 24 38 4C 63 C8 8B 51 14 F6 C2 C0 0F 84 A8 00 00 00 48 8B 4C 24 38 33 DB 8B F3 48 8B 41 08 8B 39 48 FF C0 2B 79 08 48 89 01 48 8B 44 24 38 8B 48 20 FF C9 89 48 10 85 FF 7E 29 48 8B 54 24 38 44 8B C7 41 8B C9 48 8B 52 08 E8 ?? ?? ?? ?? 8B F0 48 8B 44 24 38 3B F7 48 8B 48 08 8A 44 24 30 88 01 EB 6C 41 8D 41 02 83 F8 01 76 1E 49 8B C9 48 8D 15 ?? ?? ?? ?? 83 E1 3F 49 8B C1 48 C1 F8 06 48 C1 E1 06 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? F6 41 38 20 74 B9 33 D2 41 8B C9 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 75 A5 48 8B 4C 24 38 F0 83 49 14 10 B0 01 EB 19 41 B8 01 00 00 00 48 8D 54 24 30 41 8B C9 E8 ?? ?? ?? ?? 83 F8 01 0F 94 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_223_4_0 {
	meta:
		name = "??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
		size = 265
		refs = "001c _fileno 006f _write 0099 __pioinfo 00b4 __badioinfo 00c8 _lseeki64"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 66 89 48 08 57 48 83 EC 20 48 8B CA E8 ?? ?? ?? ?? 48 8B 4C 24 38 4C 63 C8 8B 51 14 F6 C2 C0 0F 84 AC 00 00 00 48 8B 4C 24 38 33 DB 8B F3 48 8B 41 08 8B 39 48 83 C0 02 2B 79 08 48 89 01 48 8B 44 24 38 8B 48 20 83 E9 02 89 48 10 85 FF 7E 2B 48 8B 54 24 38 44 8B C7 41 8B C9 48 8B 52 08 E8 ?? ?? ?? ?? 8B F0 48 8B 44 24 38 3B F7 48 8B 48 08 0F B7 44 24 30 66 89 01 EB 6C 41 8D 41 02 83 F8 01 76 1E 49 8B C9 48 8D 15 ?? ?? ?? ?? 83 E1 3F 49 8B C1 48 C1 F8 06 48 C1 E1 06 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? F6 41 38 20 74 B7 33 D2 41 8B C9 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 75 A3 48 8B 4C 24 38 F0 83 49 14 10 B0 01 EB 19 41 B8 02 00 00 00 48 8D 54 24 30 41 8B C9 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_223_16_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_narrow_nolock"
		size = 232
		refs = "0018 _fileno 0029 _errno 0096 __acrt_iob_func 00b1 _isatty 00bd __acrt_stdio_allocate_buffer_nolock 00c8 ??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F9 48 8B DA 48 8B CA E8 ?? ?? ?? ?? 44 8B 43 14 8B F0 41 F6 C0 06 75 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 F0 83 4B 14 10 83 C8 FF E9 98 00 00 00 8B 43 14 C1 E8 0C B9 01 00 00 00 84 C1 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB D7 8B 43 14 84 C1 74 1A 83 63 10 00 8B 43 14 C1 E8 03 84 C1 74 C2 48 8B 43 08 48 89 03 F0 83 63 14 FE F0 83 4B 14 02 F0 83 63 14 F7 83 63 10 00 8B 43 14 A9 C0 04 00 00 75 2C E8 ?? ?? ?? ?? 48 3B D8 74 0F B9 02 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B D3 40 8A CF E8 ?? ?? ?? ?? 84 C0 0F 84 5F FF FF FF 40 0F B6 C7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_223_17_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_wide_nolock"
		size = 233
		refs = "0018 _fileno 0029 _errno 0098 __acrt_iob_func 00b3 _isatty 00bf __acrt_stdio_allocate_buffer_nolock 00ca ??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F9 48 8B DA 48 8B CA E8 ?? ?? ?? ?? 44 8B 43 14 8B F0 41 F6 C0 06 75 1A E8 ?? ?? ?? ?? C7 00 09 00 00 00 F0 83 4B 14 10 B8 FF FF 00 00 E9 97 00 00 00 8B 43 14 C1 E8 0C B9 01 00 00 00 84 C1 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB D5 8B 43 14 84 C1 74 1A 83 63 10 00 8B 43 14 C1 E8 03 84 C1 74 C0 48 8B 43 08 48 89 03 F0 83 63 14 FE F0 83 4B 14 02 F0 83 63 14 F7 83 63 10 00 8B 43 14 A9 C0 04 00 00 75 2C E8 ?? ?? ?? ?? 48 3B D8 74 0F B9 02 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 84 C0 0F 84 5D FF FF FF 0F B7 C7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_224_5_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEAA@XZ"
		size = 33
		refs = "0013 __imp_FreeEnvironmentStringsW"
		altNames = "?close@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 0A FF 15 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_661_12_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAA@XZ"
		size = 33
		refs = "0013 __imp_FreeLibrary"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 0A FF 15 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_661_22_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QEAAXXZ"
		size = 33
		refs = "0013 __imp_FreeLibrary"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 0A FF 15 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_224_12_0 {
	meta:
		name = "?close@environment_strings_traits@?A0x1bf47908@@SA_NPEA_W@Z"
		size = 17
		refs = "0006 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_224_15_0 {
	meta:
		name = "?find_end_of_double_null_terminated_sequence@@YAPEB_WQEB_W@Z"
		size = 35
	strings:
		$1 = { 33 D2 EB 15 48 83 C8 FF 48 FF C0 66 39 14 41 75 F7 48 8D 0C 41 48 83 C1 02 66 39 11 75 E6 48 8D 41 02 C3 }
	condition:
		$1
}

rule file_224_25_0 {
	meta:
		name = "__dcrt_get_narrow_environment_from_os"
		size = 259
		refs = "001b __imp_GetEnvironmentStringsW 007d __imp_WideCharToMultiByte 008c _malloc_base 00ce _free_base 00e1 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 FF 15 ?? ?? ?? ?? 45 33 F6 48 8B D8 48 85 C0 0F 84 A6 00 00 00 48 8B F0 66 44 39 30 74 1C 48 83 C8 FF 48 FF C0 66 44 39 34 46 75 F6 48 8D 34 46 48 83 C6 02 66 44 39 36 75 E4 4C 89 74 24 38 48 2B F3 4C 89 74 24 30 48 83 C6 02 48 D1 FE 4C 8B C3 44 8B CE 44 89 74 24 28 33 D2 4C 89 74 24 20 33 C9 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 74 4C 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 2F 4C 89 74 24 38 44 8B CE 4C 89 74 24 30 4C 8B C3 89 6C 24 28 33 D2 33 C9 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 08 48 8B F7 49 8B FE EB 03 49 8B F6 48 8B CF E8 ?? ?? ?? ?? EB 03 49 8B F6 48 85 DB 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_224_26_0 {
	meta:
		name = "__dcrt_get_wide_environment_from_os"
		size = 151
		refs = "0016 __imp_GetEnvironmentStringsW 0052 _malloc_base 0068 memcpy 0072 _free_base 007b __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 5B EB 15 48 83 C9 FF 48 FF C1 66 39 34 48 75 F7 48 8D 04 48 48 83 C0 02 66 39 30 75 E6 48 2B C3 48 83 C0 02 48 D1 F8 48 8D 2C 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 11 4C 8B C5 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B F7 33 C9 E8 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_226_6_0 {
	meta:
		name = "_ismbcupper_l"
		size = 93
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 15 48 8B 44 24 30 8D 4B 01 0F B6 44 01 18 C1 E8 04 83 E0 01 EB 15 41 B8 01 00 00 00 48 8D 54 24 28 45 8A C8 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_228_5_0 {
	meta:
		name = "_mbsnbcpy_l"
		size = 241
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0041 _errno 004c _invalid_parameter_noinfo 0069 strncpy 00b1 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F2 48 8B D9 48 8B E9 49 8B D1 48 8D 48 D8 49 8B F8 E8 ?? ?? ?? ?? 48 85 DB 75 05 48 85 FF 75 0A 48 85 F6 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 61 48 8B 4C 24 30 83 79 08 00 75 13 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 43 48 85 FF 74 3E 0F B6 06 48 FF CF F6 44 08 19 04 88 03 74 5A 48 85 FF 74 61 8A 46 01 48 FF CF 88 43 01 48 83 C6 02 48 83 C3 02 84 C0 75 D2 88 43 FE 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B C5 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 FF C3 48 FF C6 84 C0 74 B9 EB 86 C6 03 00 EB C4 }
	condition:
		$1
}

rule file_230_0_0 {
	meta:
		name = "__wcsncnt"
		size = 27
	strings:
		$1 = { 45 33 C0 41 8B C0 EB 0C 48 3B C2 74 0D 48 83 C1 02 48 FF C0 66 44 39 01 75 EE C3 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "_wremove"
		size = 39
		refs = "0006 __imp_DeleteFileW 0010 __imp_GetLastError 0017 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "_wrmdir"
		size = 39
		refs = "0006 __imp_RemoveDirectoryW 0010 __imp_GetLastError 0017 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_233_0_0 {
	meta:
		name = "log10"
		size = 1451
		refs = "000c __use_fma3_lib 002d __int_1023 0039 __real_inf 0065 __mask_mant 006d __real_one 0075 __real_neg_1023 0083 __real_notsign 008d __mask_mant_top8 0094 __mask_mant9 00a7 __real_threshold 00b9 __real_half 00c8 __log_F_inv_qword 00e1 __log10_256_lead 00e9 __real_1_over_6 00f1 __real_1_over_3 0109 __real_1_over_5 0111 __real_1_over_2 0125 __real_1_over_4 0139 __real_log10_2_tail 0141 __real_log10_e 0156 __log10_256_tail 0163 __real_log10_2_lead 0194 __real_two 01b0 __real_ca2 01b8 __real_ca4 01dc __real_ca1 01e4 __real_ca3 0200 __real_log10_e_tail 0210 __real_log10_e_lead 021c __mask_lower 0281 __mask_2045 0296 __real_ninf 029d __flag_x_zero 02a2 _log10_special 02b4 __real_neg_qnan 02bb __flag_x_neg 02e5 __real_qnanbit 0591 __flag_x_nan"
	strings:
		$1 = { 48 83 EC 58 66 0F 7F 74 24 20 83 3D ?? ?? ?? ?? 00 0F 85 E9 02 00 00 66 0F 28 D8 66 0F 28 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 28 E8 66 0F 54 2D ?? ?? ?? ?? 66 0F 2F 2D ?? ?? ?? ?? 0F 84 85 02 00 00 66 0F 28 D0 F3 0F E6 F3 66 0F 57 ED 66 0F 2F C5 0F 86 2F 02 00 00 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 D8 01 00 00 66 0F 54 25 ?? ?? ?? ?? 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 66 48 0F 6E C8 66 0F 2F 25 ?? ?? ?? ?? 0F 82 DF 00 00 00 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 0F 5C CA F2 41 0F 59 0C C1 66 0F 28 D1 66 0F 28 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 D5 F2 0F 58 C2 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 66 0F 28 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 F0 F2 0F 59 F1 F2 0F 58 C9 66 0F 28 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E5 F2 0F 5C E6 F2 0F 10 35 ?? ?? ?? ?? 66 0F 28 D8 66 0F DB 1D ?? ?? ?? ?? F2 0F 5C C3 F2 0F 58 E0 66 0F 28 C3 66 0F 28 CC F2 0F 59 E2 F2 0F 59 C2 F2 0F 59 CE F2 0F 59 DE F2 0F 58 C4 F2 0F 58 C1 F2 0F 58 C3 66 0F 6F 74 24 20 48 83 C4 58 C3 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 F1 FD FF FF 66 90 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 17 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C0 66 90 66 0F 6F 74 24 20 48 83 C4 58 C3 0F 1F 44 00 00 48 33 C0 C5 E1 73 D0 34 C4 E1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 2D ?? ?? ?? ?? C5 F9 2F 2D ?? ?? ?? ?? 0F 84 41 02 00 00 C5 D1 EF ED C5 F9 2F C5 0F 86 E3 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FB 5C 25 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 8E 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 73 F3 01 C5 E1 D4 C9 C4 E1 F9 7E C8 C5 D9 DB 25 ?? ?? ?? ?? C5 F9 2F 25 ?? ?? ?? ?? 0F 82 B1 00 00 00 48 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F3 5C CA C4 C1 73 59 0C C1 4C 8D 0D ?? ?? ?? ?? C5 F3 59 C1 C5 FB 10 1D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 F1 A9 2D ?? ?? ?? ?? F2 0F 10 E0 C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 59 E0 C4 E2 D1 B9 C8 C4 E2 E1 B9 CC C5 F3 59 0D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 C9 AB E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 C5 EB 58 D5 C4 E2 C9 B9 05 ?? ?? ?? ?? C5 FB 58 C2 C5 F9 6F 74 24 20 48 83 C4 58 C3 90 C5 FB 10 15 ?? ?? ?? ?? C5 FB 5C 05 ?? ?? ?? ?? C5 EB 58 D0 C5 FB 5E CA C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 F1 C5 F3 58 C9 C5 F3 59 D1 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 2D ?? ?? ?? ?? C5 EB 59 D1 C5 DB 59 E2 C5 EB 59 D2 C5 EB 59 D1 C5 D3 59 EA C5 DB 58 E5 C5 DB 5C E6 C5 F9 DB 1D ?? ?? ?? ?? C5 FB 5C C3 C5 DB 58 E0 C5 DB 59 0D ?? ?? ?? ?? C5 DB 59 25 ?? ?? ?? ?? C5 E3 59 05 ?? ?? ?? ?? C5 E3 59 1D ?? ?? ?? ?? C5 FB 58 C4 C5 FB 58 C1 C5 FB 58 C3 C5 F9 6F 74 24 20 48 83 C4 58 C3 C5 E9 EB 15 ?? ?? ?? ?? C5 EB 5C 15 ?? ?? ?? ?? C5 D1 73 D2 34 C5 E9 DB 15 ?? ?? ?? ?? C5 F9 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 FA E6 F5 E9 40 FE FF FF 0F 1F 44 00 00 75 2E C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 90 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 C5 F9 6F 74 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "_wmkdir"
		size = 41
		refs = "0008 __imp_CreateDirectoryW 0012 __imp_GetLastError 0019 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 83 EC 28 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_236_4_0 {
	meta:
		name = "_wcsncoll"
		size = 79
		refs = "0006 __acrt_locale_changed_data 0013 _errno 001e _invalid_parameter_noinfo 003f wcsncmp 004b _wcsncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_557_4_0 {
	meta:
		name = "_strncoll"
		size = 79
		refs = "0006 __acrt_locale_changed_data 0013 _errno 001e _invalid_parameter_noinfo 003f strncmp 004b _strncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_583_5_0 {
	meta:
		name = "_strnicmp"
		size = 79
		refs = "0006 __acrt_locale_changed_data 0013 _errno 001e _invalid_parameter_noinfo 003f __ascii_strnicmp 004b _strnicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_5_0 {
	meta:
		name = "_wcsncoll_l"
		size = 214
		refs = "0032 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 004b _errno 0056 _invalid_parameter_noinfo 0077 wcsncmp 0094 __acrt_CompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 98 00 00 00 49 8B D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 85 ED 74 0A 48 85 F6 74 05 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 50 48 8B 44 24 38 48 8B 88 30 01 00 00 48 85 C9 75 12 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 2D 89 7C 24 28 44 8B CF 4C 8B C5 48 89 74 24 20 BA 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 48 00 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_237_1_0 {
	meta:
		name = "__get_machine_status"
		size = 48
	strings:
		$1 = { 33 C0 F6 C1 1F 74 28 F6 C1 10 8D 50 01 0F 45 C2 F6 C1 08 74 03 83 C8 04 F6 C1 04 74 03 83 C8 08 F6 C1 02 74 03 83 C8 10 84 CA 74 03 83 C8 20 C3 }
	condition:
		$1
}

rule file_237_2_0 {
	meta:
		name = "_getfpcontrolword"
		size = 23
		refs = "0009 _controlfp"
	strings:
		$1 = { 48 83 EC 28 33 D2 33 C9 E8 ?? ?? ?? ?? 25 1F 03 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_237_3_0 {
	meta:
		name = "_getfpstatusword"
		size = 17
		refs = "0005 _statusfp"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 E0 1F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_237_5_0 {
	meta:
		name = "_setfpstatusword"
		size = 75
		refs = "0009 _get_fpsr 0047 _set_fpsr"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 83 E0 C2 33 C9 F6 C3 1F 74 28 F6 C3 10 8D 51 01 0F 45 CA F6 C3 08 74 03 83 C9 04 F6 C3 04 74 03 83 C9 08 F6 C3 02 74 03 83 C9 10 84 DA 74 03 83 C9 20 0B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_2_0 {
	meta:
		name = "cpowl"
		size = 301
		refs = "0034 cimagl 003c __real@0000000000000000 0051 creall 00a5 pow 00b4 _LCbuild 00cb clogl 00ec _LCmulcc 0101 cexpl"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 48 8B F1 48 8D 4D A0 0F 29 70 E8 49 8B F8 F3 0F 7F 45 A0 48 8B DA E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 78 75 76 0F 10 03 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 72 5B 0F 10 07 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 40 75 3E 0F 10 07 48 8D 4D A0 0F 10 0B F3 0F 7F 45 A0 F3 0F 7F 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 57 D2 48 8D 4D C0 0F 28 C8 E8 ?? ?? ?? ?? EB 4B 0F 10 03 48 8D 55 B0 48 8D 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 0F 4C 8D 45 B0 48 8D 55 A0 0F 10 00 48 8D 4D D0 F3 0F 7F 4D A0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 00 4C 8D 9C 24 80 00 00 00 48 8B C6 0F 28 74 24 70 49 8B 5B 10 49 8B 7B 20 F3 0F 7F 06 49 8B 73 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_239_0_0 {
	meta:
		name = "llrint"
		size = 124
		refs = "0015 _dtest 002c nearbyint 0043 _fperrraise 004b __real@c3e0000000000000 0055 __real@43e0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 52 FF C8 83 F8 01 76 41 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 15 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 07 F2 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_508_0_0 {
	meta:
		name = "llrintl"
		size = 124
		refs = "0015 _ldtest 002c nearbyintl 0043 _fperrraise 004b __real@c3e0000000000000 0055 __real@43e0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 52 FF C8 83 F8 01 76 41 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 15 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 07 F2 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_240_0_0 {
	meta:
		name = "dekker_mul12"
		size = 124
	strings:
		$1 = { F2 0F 11 44 24 08 0F 28 E1 48 8B 44 24 08 0F 28 E8 F2 0F 59 C1 48 C7 C1 00 00 00 F8 48 23 C1 48 89 44 24 08 F2 0F 10 5C 24 08 F2 0F 11 4C 24 08 F2 0F 5C EB 48 8B 44 24 08 48 23 C1 48 89 44 24 08 F2 0F 10 54 24 08 F2 0F 5C E2 F2 41 0F 11 00 0F 28 CA F2 0F 59 D5 F2 0F 59 CB F2 0F 5C C8 0F 28 C4 F2 0F 59 C3 F2 0F 59 E5 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CC F2 41 0F 11 09 C3 }
	condition:
		$1
}

rule file_240_1_0 {
	meta:
		name = "fmod"
		size = 1228
		refs = "00dd _handle_nan 011f ??_C@_04KEPJIHGP@fmod?$AA@ 0153 _handle_error 01d1 __xmm@80000000000000008000000000000000 0216 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 48 81 EC A0 00 00 00 0F 29 70 E8 0F 28 D1 0F 29 78 D8 45 33 C9 44 0F 29 40 C8 0F 28 C8 F2 0F 11 84 24 B8 00 00 00 4C 8B 9C 24 B8 00 00 00 44 0F 29 48 B8 4D 8B D3 44 0F 29 50 A8 49 8B CB 48 B8 FF FF FF FF FF FF FF 7F 48 C1 E9 34 4C 23 D0 F2 0F 11 94 24 B8 00 00 00 48 8B 9C 24 B8 00 00 00 4C 8B C3 48 8B D3 4C 23 C0 48 C1 EA 34 B8 FF 07 00 00 23 C8 23 D0 83 F9 01 7C 3E 81 F9 FE 07 00 00 7F 3E 8D 42 FF 3D FD 07 00 00 77 2C 4D 3B D0 0F 85 FE 00 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 D8 4C 89 9C 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 E9 E4 03 00 00 81 F9 FE 07 00 00 7E 1C 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 74 3B 49 8B CB E8 ?? ?? ?? ?? E9 C0 03 00 00 81 FA FE 07 00 00 7E 18 48 B8 FF FF FF FF FF FF 0F 00 48 85 D8 0F 84 A5 03 00 00 48 8B CB EB D6 4D 85 D2 75 51 4D 85 C0 0F 85 92 03 00 00 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 54 24 38 BA 16 00 00 00 F2 0F 11 44 24 30 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 44 8D 4A EB E8 ?? ?? ?? ?? E9 4A 03 00 00 4D 85 C0 74 B3 49 BB 00 00 00 00 00 00 10 00 83 F9 01 7D 14 49 8B C2 4D 3B D3 73 0A FF C9 48 03 C0 49 3B C3 72 F6 FF C1 83 FA 01 7D 14 49 8B C0 4D 3B C3 73 0A FF CA 48 03 C0 49 3B C3 72 F6 FF C2 4C 89 94 24 B8 00 00 00 F2 0F 10 BC 24 B8 00 00 00 4C 89 84 24 B8 00 00 00 F2 44 0F 10 84 24 B8 00 00 00 4D 3B D0 73 18 0F 57 C0 66 0F 2F C1 76 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 E9 C9 02 00 00 0F AE 9C 24 B8 00 00 00 44 8B 9C 24 B8 00 00 00 3B CA 7F 05 45 8B D1 EB 1B 2B CA B8 4F EC C4 4E F7 E9 44 8B D2 41 C1 FA 04 41 8B C2 C1 E8 1F 44 03 D0 75 0E F2 44 0F 10 15 ?? ?? ?? ?? E9 A7 00 00 00 45 6B C2 34 B8 56 55 55 55 41 F7 E8 41 8B C0 8B CA C1 E9 1F 03 CA 2B C1 99 2B C2 BA FF 03 00 00 D1 F8 44 2B C0 48 98 44 2B C1 48 03 C2 48 C1 E0 34 48 63 C9 48 03 CA 48 C1 E1 34 48 89 8C 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 48 89 84 24 B8 00 00 00 F2 0F 10 8C 24 B8 00 00 00 F2 41 0F 59 D0 49 63 C0 48 03 C2 48 C1 E0 34 48 89 84 24 B8 00 00 00 48 B8 00 00 00 00 00 00 B0 3C F2 0F 10 84 24 B8 00 00 00 44 0F 28 C2 F2 44 0F 59 C1 48 89 84 24 B8 00 00 00 F2 44 0F 10 94 24 B8 00 00 00 F2 44 0F 59 C0 48 C7 C2 00 00 00 F8 45 0F 57 C9 45 85 D2 0F 8E CF 00 00 00 41 8B CA 0F 28 C7 F2 44 0F 11 84 24 B8 00 00 00 F2 41 0F 5E C0 0F 28 DF 41 0F 28 F0 F2 48 0F 2C C0 0F 57 C0 F2 48 0F 2A C0 48 8B 84 24 B8 00 00 00 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 A4 24 B8 00 00 00 F2 0F 11 84 24 B8 00 00 00 F2 0F 5C F4 48 8B 84 24 B8 00 00 00 0F 28 E8 F2 41 0F 59 C0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 F2 0F 5C EA 0F 28 CA F2 0F 59 CC F2 0F 5C D8 F2 0F 59 D6 F2 0F 5C C8 F2 0F 5C FB F2 0F 5C F8 0F 28 C5 F2 0F 59 C4 F2 0F 59 EE F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CD F2 0F 5C F9 F2 0F 58 FB 66 44 0F 2F CF 76 05 F2 41 0F 58 F8 F2 45 0F 59 C2 48 83 E9 01 0F 85 34 FF FF FF 0F 28 C7 F2 44 0F 11 84 24 B8 00 00 00 48 8B 84 24 B8 00 00 00 0F 57 F6 F2 41 0F 5E C0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 41 0F 28 E8 F2 48 0F 2C C8 F2 0F 5C EA F2 48 0F 2A F1 F2 0F 11 B4 24 B8 00 00 00 0F 28 DE 48 8B 84 24 B8 00 00 00 F2 41 0F 59 F0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 8C 24 B8 00 00 00 F2 0F 5C D9 0F 28 E1 F2 0F 59 E2 F2 0F 59 CD 0F 28 C3 F2 0F 59 DD F2 0F 5C E6 F2 0F 59 C2 F2 0F 58 E0 0F 28 C7 F2 0F 5C C6 F2 0F 58 E1 F2 0F 5C F8 F2 0F 58 E3 F2 0F 5C FE F2 0F 5C FC F2 0F 58 F8 66 44 0F 2F CF F2 0F 11 BC 24 C0 00 00 00 76 0E F2 41 0F 58 F8 F2 0F 11 BC 24 C0 00 00 00 44 89 9C 24 B8 00 00 00 0F AE 94 24 B8 00 00 00 0F 57 C0 66 0F 2F 84 24 B0 00 00 00 F2 0F 10 84 24 C0 00 00 00 76 07 0F 57 05 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 49 8B E3 5B C3 }
	condition:
		$1
}

rule file_240_3_0 {
	meta:
		name = "scaleDouble_3"
		size = 121
	strings:
		$1 = { 44 8B CA 0F 28 D8 B8 56 55 55 55 F7 EA 41 8B C1 44 8B C2 41 C1 E8 1F 44 03 C2 41 2B C0 49 63 C8 99 2B C2 BA FF 03 00 00 D1 F8 48 03 CA 48 C1 E1 34 44 2B C8 48 89 4C 24 08 45 2B C8 F2 0F 10 44 24 08 48 63 C8 F2 0F 59 C3 48 03 CA 48 C1 E1 34 48 89 4C 24 08 F2 0F 10 54 24 08 49 63 C1 48 03 C2 F2 0F 59 C2 48 C1 E0 34 48 89 44 24 08 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_241_1_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YA_JQEBDQEAU_finddata32_t@@@Z"
		size = 172
		refs = "0010 __security_cookie 0028 _errno 0033 _invalid_parameter_noinfo 0049 __acrt_copy_path_to_wide_string 005c ??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z 0072 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 0084 _free_base 0097 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 4E 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 29 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 11 48 8B D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 75 04 48 83 CB FF 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_241_2_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_JQEBDQEAU_finddata32i64_t@@@Z"
		size = 172
		refs = "0010 __security_cookie 0028 _errno 0033 _invalid_parameter_noinfo 0049 __acrt_copy_path_to_wide_string 005c ??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z 0072 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 0084 _free_base 0097 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 4E 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 29 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 11 48 8B D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 75 04 48 83 CB FF 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_241_3_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YA_JQEBDQEAU__finddata64_t@@@Z"
		size = 172
		refs = "0010 __security_cookie 0028 _errno 0033 _invalid_parameter_noinfo 0049 __acrt_copy_path_to_wide_string 005c ??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z 0072 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 0084 _free_base 0097 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 8B FA 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 4E 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 29 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 11 48 8B D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 75 04 48 83 CB FF 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 02 00 00 48 81 C4 70 02 00 00 5F C3 }
	condition:
		$1
}

rule file_241_4_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_JQEBDQEAU_finddata64i32_t@@@Z"
		size = 172
		refs = "0010 __security_cookie 0028 _errno 0033 _invalid_parameter_noinfo 0049 __acrt_copy_path_to_wide_string 005c ??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z 0072 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 0084 _free_base 0097 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 8B FA 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 4E 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 29 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 11 48 8B D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 75 04 48 83 CB FF 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 02 00 00 48 81 C4 70 02 00 00 5F C3 }
	condition:
		$1
}

rule file_241_5_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z"
		size = 325
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 0120 wcscpy_s 0140 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 89 74 24 28 4C 8D 44 24 30 45 33 C9 48 89 74 24 20 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 89 43 0C 48 8D 4B 14 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 12 FF FF FF 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_6_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z"
		size = 337
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 012c wcscpy_s 014c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 89 74 24 28 4C 8D 44 24 30 45 33 C9 48 89 74 24 20 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 4C 8D 44 24 5C 48 C1 E1 20 BA 04 01 00 00 89 43 0C 8B 44 24 50 48 03 C8 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 06 FF FF FF 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_7_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z"
		size = 340
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 012f wcscpy_s 014f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 89 74 24 28 4C 8D 44 24 30 45 33 C9 48 89 74 24 20 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 4C 8D 44 24 5C 48 C1 E1 20 BA 04 01 00 00 48 89 43 18 8B 44 24 50 48 03 C8 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 03 FF FF FF 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_8_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z"
		size = 328
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 0123 wcscpy_s 0143 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 89 74 24 28 4C 8D 44 24 30 45 33 C9 48 89 74 24 20 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 89 43 18 48 8D 4B 24 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 0F FF FF FF 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_9_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAH_JQEAU_finddata32_t@@@Z"
		size = 119
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z 0047 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 005e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CE FF 8B D8 3B C6 75 04 8B C6 EB 14 48 8B D7 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 DE 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_10_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAH_JQEAU_finddata32i64_t@@@Z"
		size = 119
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z 0047 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 005e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CE FF 8B D8 3B C6 75 04 8B C6 EB 14 48 8B D7 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 DE 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_11_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAH_JQEAU__finddata64_t@@@Z"
		size = 119
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z 0047 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 005e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CE FF 8B D8 3B C6 75 04 8B C6 EB 14 48 8B D7 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 DE 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_12_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAH_JQEAU_finddata64i32_t@@@Z"
		size = 119
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z 0047 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 005e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CE FF 8B D8 3B C6 75 04 8B C6 EB 14 48 8B D7 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 DE 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_13_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z"
		size = 292
		refs = "0010 __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 0048 __security_check_cookie 006f __imp_FindNextFileW 0079 __imp_GetLastError 00cc ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 0103 wcscpy_s 011f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 FF 48 8B DA 48 85 C9 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5F C3 48 83 F9 FF 74 C6 48 85 D2 74 C1 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 8E E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 81 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C7 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 89 43 0C 48 8D 4B 14 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 0F 84 2D FF FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_14_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z"
		size = 304
		refs = "0010 __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 0048 __security_check_cookie 006f __imp_FindNextFileW 0079 __imp_GetLastError 00cc ??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z 010f wcscpy_s 012b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 FF 48 8B DA 48 85 C9 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5F C3 48 83 F9 FF 74 C6 48 85 D2 74 C1 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 8E E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 81 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C7 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 4C 8D 44 24 5C 48 C1 E1 20 BA 04 01 00 00 89 43 0C 8B 44 24 50 48 03 C8 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 0F 84 21 FF FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_15_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z"
		size = 307
		refs = "0010 __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 0048 __security_check_cookie 006f __imp_FindNextFileW 0079 __imp_GetLastError 00cc ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 0112 wcscpy_s 012e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 FF 48 8B DA 48 85 C9 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5F C3 48 83 F9 FF 74 C6 48 85 D2 74 C1 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 8E E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 81 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C7 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 4C 8D 44 24 5C 48 C1 E1 20 BA 04 01 00 00 48 89 43 18 8B 44 24 50 48 03 C8 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 0F 84 1E FF FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_16_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z"
		size = 295
		refs = "0010 __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 0048 __security_check_cookie 006f __imp_FindNextFileW 0079 __imp_GetLastError 00cc ??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z 0106 wcscpy_s 0122 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 FF 48 8B DA 48 85 C9 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5F C3 48 83 F9 FF 74 C6 48 85 D2 74 C1 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 8E E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 81 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C7 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 89 43 18 48 8D 4B 24 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 0F 84 2A FF FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_19_0 {
	meta:
		name = "??$convert_file_time_to_time_t@J@@YAJAEBU_FILETIME@@@Z"
		size = 142
		refs = "0007 __security_cookie 002a __imp_FileTimeToSystemTime 0040 __imp_SystemTimeToTzSpecificLocalTime 0078 __loctotime32_t 0085 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 83 39 00 75 0B 83 79 04 00 75 05 83 C8 FF EB 59 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 EC 4C 8D 44 24 40 33 C9 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 D6 83 4C 24 30 FF 0F B7 44 24 4C 44 0F B7 54 24 4A 44 0F B7 4C 24 48 44 0F B7 44 24 46 0F B7 54 24 42 0F B7 4C 24 40 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_241_20_0 {
	meta:
		name = "??$convert_file_time_to_time_t@_J@@YA_JAEBU_FILETIME@@@Z"
		size = 143
		refs = "0007 __security_cookie 002b __imp_FileTimeToSystemTime 0041 __imp_SystemTimeToTzSpecificLocalTime 0079 __loctotime64_t 0086 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 83 39 00 75 0C 83 79 04 00 75 06 48 83 C8 FF EB 59 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 EB 4C 8D 44 24 40 33 C9 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 D5 83 4C 24 30 FF 0F B7 44 24 4C 44 0F B7 54 24 4A 44 0F B7 4C 24 48 44 0F B7 44 24 46 0F B7 54 24 42 0F B7 4C 24 40 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_241_21_0 {
	meta:
		name = "??$convert_system_time_to_time_t@J@@YAJAEBU_SYSTEMTIME@@@Z"
		size = 54
		refs = "002d __loctotime32_t"
	strings:
		$1 = { 48 83 EC 48 0F B7 41 0C 44 0F B7 51 0A 83 4C 24 30 FF 44 0F B7 49 08 44 0F B7 41 06 0F B7 51 02 0F B7 09 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_241_22_0 {
	meta:
		name = "??$convert_system_time_to_time_t@_J@@YA_JAEBU_SYSTEMTIME@@@Z"
		size = 54
		refs = "002d __loctotime64_t"
	strings:
		$1 = { 48 83 EC 48 0F B7 41 0C 44 0F B7 51 0A 83 4C 24 30 FF 44 0F B7 49 08 44 0F B7 41 06 0F B7 51 02 0F B7 09 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_241_23_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z"
		size = 138
		refs = "0020 __acrt_copy_to_char 0042 strcpy_s 0050 _free_base 0085 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 83 64 24 40 00 48 8B DA 48 8B F9 48 8D 54 24 40 48 83 C1 14 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 48 48 83 C4 30 5F C3 4C 8B 44 24 40 48 8D 4B 14 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 2A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B 07 89 03 8B 47 04 89 43 04 8B 47 08 89 43 08 8B 47 0C 89 43 0C 8B 47 10 89 43 10 B0 01 EB B4 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_24_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z"
		size = 140
		refs = "0020 __acrt_copy_to_char 0042 strcpy_s 0050 _free_base 0087 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 83 64 24 40 00 48 8B DA 48 8B F9 48 8D 54 24 40 48 83 C1 18 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 48 48 83 C4 30 5F C3 4C 8B 44 24 40 48 8D 4B 18 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 2C 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B 07 89 03 8B 47 04 89 43 04 8B 47 08 89 43 08 8B 47 0C 89 43 0C 48 8B 47 10 48 89 43 10 B0 01 EB B2 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_25_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z"
		size = 146
		refs = "0020 __acrt_copy_to_char 0042 strcpy_s 0050 _free_base 008d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 83 64 24 40 00 48 8B DA 48 8B F9 48 8D 54 24 40 48 83 C1 28 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 48 48 83 C4 30 5F C3 4C 8B 44 24 40 48 8D 4B 28 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 32 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B 07 89 03 48 8B 47 08 48 89 43 08 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 48 8B 47 20 48 89 43 20 B0 01 EB AC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_26_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z"
		size = 144
		refs = "0020 __acrt_copy_to_char 0042 strcpy_s 0050 _free_base 008b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 83 64 24 40 00 48 8B DA 48 8B F9 48 8D 54 24 40 48 83 C1 24 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 48 48 83 C4 30 5F C3 4C 8B 44 24 40 48 8D 4B 24 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 30 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B 07 89 03 48 8B 47 08 48 89 43 08 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 8B 47 20 89 43 20 B0 01 EB AE 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_241_32_0 {
	meta:
		name = "_findclose"
		size = 37
		refs = "0006 __imp_FindClose 000f _errno"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_241_33_0 {
	meta:
		name = "_findfirst32"
		size = 202
		refs = "0015 __security_cookie 002d _errno 0038 _invalid_parameter_noinfo 004e __acrt_copy_path_to_wide_string 005c _free_base 0068 ??$common_find_first_wide@U_wfinddata32_t@@@@YA_JQEB_WQEAU_wfinddata32_t@@@Z 008d ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 00b1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B F2 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF EB 60 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 85 C0 75 07 E8 ?? ?? ?? ?? EB DA 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B F8 48 3B C3 75 0C 48 8B 4C 24 20 E8 ?? ?? ?? ?? EB 1E 48 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 84 C0 74 E3 E8 ?? ?? ?? ?? 48 8B DF 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_34_0 {
	meta:
		name = "_findfirst32i64"
		size = 202
		refs = "0015 __security_cookie 002d _errno 0038 _invalid_parameter_noinfo 004e __acrt_copy_path_to_wide_string 005c _free_base 0068 ??$common_find_first_wide@U_wfinddata32i64_t@@@@YA_JQEB_WQEAU_wfinddata32i64_t@@@Z 008d ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 00b1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B F2 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF EB 60 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 85 C0 75 07 E8 ?? ?? ?? ?? EB DA 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B F8 48 3B C3 75 0C 48 8B 4C 24 20 E8 ?? ?? ?? ?? EB 1E 48 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 84 C0 74 E3 E8 ?? ?? ?? ?? 48 8B DF 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_35_0 {
	meta:
		name = "_findfirst64"
		size = 202
		refs = "0015 __security_cookie 002d _errno 0038 _invalid_parameter_noinfo 004e __acrt_copy_path_to_wide_string 005c _free_base 0068 ??$common_find_first_wide@U_wfinddata64_t@@@@YA_JQEB_WQEAU_wfinddata64_t@@@Z 008d ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 00b1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 8B F2 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF EB 60 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 85 C0 75 07 E8 ?? ?? ?? ?? EB DA 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B F8 48 3B C3 75 0C 48 8B 4C 24 20 E8 ?? ?? ?? ?? EB 1E 48 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 84 C0 74 E3 E8 ?? ?? ?? ?? 48 8B DF 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 70 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_36_0 {
	meta:
		name = "_findfirst64i32"
		size = 202
		refs = "0015 __security_cookie 002d _errno 0038 _invalid_parameter_noinfo 004e __acrt_copy_path_to_wide_string 005c _free_base 0068 ??$common_find_first_wide@U_wfinddata64i32_t@@@@YA_JQEB_WQEAU_wfinddata64i32_t@@@Z 008d ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 00b1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 8B F2 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF EB 60 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 85 C0 75 07 E8 ?? ?? ?? ?? EB DA 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B F8 48 3B C3 75 0C 48 8B 4C 24 20 E8 ?? ?? ?? ?? EB 1E 48 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 84 C0 74 E3 E8 ?? ?? ?? ?? 48 8B DF 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 70 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_37_0 {
	meta:
		name = "_findnext32"
		size = 117
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata32_t@@@@YAH_JQEAU_wfinddata32_t@@@Z 0043 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NAEBU_wfinddata32_t@@AEAU_finddata32_t@@@Z 005c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B F2 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CB FF 8B F8 3B C3 74 14 48 8B D6 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 FB 8B DF 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_38_0 {
	meta:
		name = "_findnext32i64"
		size = 117
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAH_JQEAU_wfinddata32i64_t@@@Z 0043 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NAEBU_wfinddata32i64_t@@AEAU_finddata32i64_t@@@Z 005c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B F2 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CB FF 8B F8 3B C3 74 14 48 8B D6 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 FB 8B DF 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_39_0 {
	meta:
		name = "_findnext64"
		size = 117
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata64_t@@@@YAH_JQEAU_wfinddata64_t@@@Z 0043 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NAEBU_wfinddata64_t@@AEAU__finddata64_t@@@Z 005c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B F2 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CB FF 8B F8 3B C3 74 14 48 8B D6 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 FB 8B DF 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_241_40_0 {
	meta:
		name = "_findnext64i32"
		size = 117
		refs = "0015 __security_cookie 002d ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAH_JQEAU_wfinddata64i32_t@@@Z 0043 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NAEBU_wfinddata64i32_t@@AEAU_finddata64i32_t@@@Z 005c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B F2 48 8D 54 24 20 E8 ?? ?? ?? ?? 83 CB FF 8B F8 3B C3 74 14 48 8B D6 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 0F 44 FB 8B DF 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "_lderfc"
		size = 120
		refs = "0013 _s 0028 __xmm@80000000000000008000000000000000 0033 _ldpoly 003d _c 005f _ldexp"
	strings:
		$1 = { 48 83 EC 48 0F 28 C8 0F 29 74 24 30 F2 0F 59 C8 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 29 7C 24 20 0F 28 F8 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 50 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 15 ?? ?? ?? ?? 0F 28 C7 41 B8 06 00 00 00 E8 ?? ?? ?? ?? F2 0F 5E F0 45 33 C0 48 8D 4C 24 50 0F 28 CE E8 ?? ?? ?? ?? F2 0F 10 44 24 50 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_577_0_0 {
	meta:
		name = "_derfc"
		size = 120
		refs = "0013 _s 0028 __xmm@80000000000000008000000000000000 0033 _dpoly 003d _c 005f _dexp"
	strings:
		$1 = { 48 83 EC 48 0F 28 C8 0F 29 74 24 30 F2 0F 59 C8 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 29 7C 24 20 0F 28 F8 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 50 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 15 ?? ?? ?? ?? 0F 28 C7 41 B8 06 00 00 00 E8 ?? ?? ?? ?? F2 0F 5E F0 45 33 C0 48 8D 4C 24 50 0F 28 CE E8 ?? ?? ?? ?? F2 0F 10 44 24 50 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "erfl"
		size = 375
		refs = "0010 _ldtest 003b _lderf_small 0045 __xmm@7fffffffffffffff7fffffffffffffff 0064 __real@3e80294181763e67 006c __real@3eb796f7c98753d1 0074 __real@3ee29e9394492069 007c __real@3f0e9fcbced270e5 008c __real@3f35800a7256303e 0094 __real@3f533d1c306174e6 00a4 __real@3f6c8536d3025b62 00ac __real@3f8d40c79a9a10df 00bc __real@3faa7c2499fcce0a 00c4 __real@3fbbec6ad710ff6f 00d4 __real@3fc69596f2097286 00dc __real@3fdf573bc8ed49e4 00ec __real@3ff20dd750429b6d 00f4 __real@3ff0000000000000 0109 _lderf_one 0117 _lderfc 0143 __xmm@80000000000000008000000000000000 015c __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 4D 01 00 00 83 E9 01 0F 84 24 01 00 00 83 F9 01 0F 84 3B 01 00 00 F2 0F 10 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B2 00 00 00 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D0 F2 0F 59 D3 0F 28 C2 EB 6D F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 5C 24 30 F2 0F 5C C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 10 F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_577_1_0 {
	meta:
		name = "erf"
		size = 375
		refs = "0010 _dtest 003b _derf_small 0045 __xmm@7fffffffffffffff7fffffffffffffff 0064 __real@3e80294181763e67 006c __real@3eb796f7c98753d1 0074 __real@3ee29e9394492069 007c __real@3f0e9fcbced270e5 008c __real@3f35800a7256303e 0094 __real@3f533d1c306174e6 00a4 __real@3f6c8536d3025b62 00ac __real@3f8d40c79a9a10df 00bc __real@3faa7c2499fcce0a 00c4 __real@3fbbec6ad710ff6f 00d4 __real@3fc69596f2097286 00dc __real@3fdf573bc8ed49e4 00ec __real@3ff20dd750429b6d 00f4 __real@3ff0000000000000 0109 _derf_one 0117 _derfc 0143 __xmm@80000000000000008000000000000000 015c __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 4D 01 00 00 83 E9 01 0F 84 24 01 00 00 83 F9 01 0F 84 3B 01 00 00 F2 0F 10 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B2 00 00 00 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D0 F2 0F 59 D3 0F 28 C2 EB 6D F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 5C 24 30 F2 0F 5C C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 10 F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_243_11_0 {
	meta:
		name = "?free_crt_array_internal@@YAXQEAPEBX_K@Z"
		size = 86
		refs = "0036 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8D 04 D1 48 8B F0 48 8B D9 48 2B F1 48 83 C6 07 48 C1 EE 03 48 3B C8 48 0F 47 F7 48 85 F6 74 14 48 8B 0B E8 ?? ?? ?? ?? 48 FF C7 48 8D 5B 08 48 3B FE 75 EC 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_243_13_0 {
	meta:
		name = "?get_or_create_lc_time@@YAPEBU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z"
		size = 119
		refs = "001a __lc_time_c 002b _calloc_base 003e ?initialize_lc_time@@YA_NQEAU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z 004a __acrt_locale_free_time 0054 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 50 01 00 00 00 48 8B F9 75 09 48 8D 05 ?? ?? ?? ?? EB 3B BA C0 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 17 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 20 48 8B CB E8 ?? ?? ?? ?? 33 FF 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 C7 83 5C 01 00 00 01 00 00 00 48 8B FB 33 DB EB D9 }
	condition:
		$1
}

rule file_243_14_0 {
	meta:
		name = "?initialize_lc_time@@YA_NQEAU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z"
		size = 844
		refs = "0038 __acrt_copy_locale_name 0089 __acrt_GetLocaleInfoA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 4C 8B B2 50 01 00 00 4C 8B F9 45 33 E4 48 89 55 F0 49 8B CE 4C 89 65 F8 E8 ?? ?? ?? ?? 49 89 87 B8 02 00 00 45 8D 6C 24 31 41 8B F4 48 C7 45 30 07 00 00 00 41 8D 4D D0 B8 25 49 92 24 F7 E1 8B C1 45 8B CD 2B C2 4D 8B C6 D1 E8 03 C2 BA 01 00 00 00 C1 E8 02 6B C0 07 2B C8 8B F9 49 8D 04 CF 48 8D 4D F0 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 45 8D 4D F9 49 8D 47 38 4D 8B C6 48 8D 04 F8 BA 01 00 00 00 48 8D 4D F0 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 48 8D 4D F0 49 8D 87 60 01 00 00 45 8B CD 48 8D 04 F8 4D 8B C6 BA 02 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 45 8D 4D F9 49 8D 87 98 01 00 00 4D 8B C6 48 8D 04 F8 BA 02 00 00 00 48 8D 4D F0 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 41 FF C5 48 83 6D 30 01 0F 85 45 FF FF FF 41 BD 38 00 00 00 49 8D BF D0 00 00 00 45 8D 65 D4 48 8D 47 A0 4D 8B C6 45 8D 4D 0C 48 89 44 24 20 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 45 8B CD 48 89 7C 24 20 4D 8B C6 48 8D 4D F0 BA 01 00 00 00 0B F0 E8 ?? ?? ?? ?? 0B F0 45 8D 4D 0C 48 8D 87 00 01 00 00 BB 02 00 00 00 4D 8B C6 48 89 44 24 20 8B D3 48 8D 4D F0 E8 ?? ?? ?? ?? 0B F0 48 8D 4D F0 48 8D 87 60 01 00 00 45 8B CD 4D 8B C6 48 89 44 24 20 8B D3 E8 ?? ?? ?? ?? 0B F0 48 83 C7 08 41 FF C5 49 83 EC 01 0F 85 70 FF FF FF 49 8D 87 30 01 00 00 4D 8B C6 8D 7B 26 48 89 44 24 20 44 8B CF 8D 53 FF 48 8D 4D F0 E8 ?? ?? ?? ?? 0B F0 8D 5F 01 49 8D 87 38 01 00 00 44 8B CB 45 8D 6C 24 01 48 89 44 24 20 4D 8B C6 48 8D 4D F0 41 8B D5 E8 ?? ?? ?? ?? 44 8B CF 48 8D 4D F0 0B F0 8D 7B D9 49 8D 87 90 02 00 00 8B D7 4D 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 48 8D 4D F0 49 8D 87 98 02 00 00 44 8B CB 4D 8B C6 48 89 44 24 20 8B D7 E8 ?? ?? ?? ?? 0B F0 44 8D 63 F6 49 8D 87 40 01 00 00 45 8B CC 4D 8B C6 48 89 44 24 20 41 8B D5 48 8D 4D F0 E8 ?? ?? ?? ?? 0B F0 8D 7B F7 49 8D 87 48 01 00 00 44 8B CF 4D 8B C6 48 89 44 24 20 41 8B D5 48 8D 4D F0 E8 ?? ?? ?? ?? 0B F0 48 8D 4D F0 49 8D 87 50 01 00 00 BB 03 10 00 00 44 8B CB 48 89 44 24 20 4D 8B C6 41 8B D5 E8 ?? ?? ?? ?? 0B F0 44 8D 4B 06 49 8D 87 58 01 00 00 4D 8B C6 33 D2 48 89 44 24 20 48 8D 4D F0 E8 ?? ?? ?? ?? 45 8B CC 48 8D 4D F0 0B F0 45 8D 65 01 49 8D 87 A0 02 00 00 41 8B D4 4D 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B F0 49 8D 87 A8 02 00 00 44 8B CF 48 89 44 24 20 4D 8B C6 48 8D 4D F0 41 8B D4 E8 ?? ?? ?? ?? 49 8D 8F B0 02 00 00 44 8B CB 48 89 4C 24 20 4D 8B C6 48 8D 4D F0 41 8B D4 0B F0 E8 ?? ?? ?? ?? 4C 8D 5C 24 40 0B C6 49 8B 5B 38 49 8B 73 40 0F 94 C0 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_243_17_0 {
	meta:
		name = "__acrt_locale_free_time"
		size = 264
		refs = "0023 ?free_crt_array_internal@@YAXQEAPEBX_K@Z 0065 _free_base"
	strings:
		$1 = { 48 85 C9 0F 84 FE 00 00 00 48 89 5C 24 08 48 89 6C 24 10 56 48 83 EC 20 BD 07 00 00 00 48 8B D9 8B D5 E8 ?? ?? ?? ?? 48 8D 4B 38 8B D5 E8 ?? ?? ?? ?? 8D 75 05 8B D6 48 8D 4B 70 E8 ?? ?? ?? ?? 48 8D 8B D0 00 00 00 8B D6 E8 ?? ?? ?? ?? 48 8D 8B 30 01 00 00 8D 55 FB E8 ?? ?? ?? ?? 48 8B 8B 40 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 50 01 00 00 E8 ?? ?? ?? ?? 48 8D 8B 60 01 00 00 8B D5 E8 ?? ?? ?? ?? 48 8D 8B 98 01 00 00 8B D5 E8 ?? ?? ?? ?? 48 8D 8B D0 01 00 00 8B D6 E8 ?? ?? ?? ?? 48 8D 8B 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 48 8D 8B 90 02 00 00 8D 55 FB E8 ?? ?? ?? ?? 48 8B 8B A0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 02 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5E C3 }
	condition:
		$1
}

rule file_243_18_0 {
	meta:
		name = "__acrt_locale_initialize_time"
		size = 146
		refs = "001a __lc_time_c 002b _calloc_base 0042 ?initialize_lc_time@@YA_NQEAU__crt_lc_time_data@@QEAU__crt_locale_data@@@Z 004e __acrt_locale_free_time 0056 _free_base 007a __acrt_locale_release_lc_time_reference"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 50 01 00 00 00 48 8B F9 75 09 48 8D 1D ?? ?? ?? ?? EB 52 BA C0 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 04 33 C9 EB 1A 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 17 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? B8 01 00 00 00 EB 26 33 C9 C7 83 5C 01 00 00 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 9F 20 01 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "_wcsrev"
		size = 61
	strings:
		$1 = { 4C 8B C1 48 8B D1 0F B7 02 48 83 C2 02 66 85 C0 75 F4 48 83 EA 04 4C 8B C9 48 3B CA 73 1B 0F B7 02 41 0F B7 09 66 41 89 01 49 83 C1 02 66 89 0A 48 83 EA 02 4C 3B CA 72 E5 49 8B C0 C3 }
	condition:
		$1
}

rule file_250_6_0 {
	meta:
		name = "_ismbclower_l"
		size = 93
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0040 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 15 48 8B 44 24 30 8D 4B 01 0F B6 44 01 18 C1 E8 05 83 E0 01 EB 15 41 B8 02 00 00 00 48 8D 54 24 28 41 B1 01 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_251_5_0 {
	meta:
		name = "_mbbtombc_l"
		size = 161
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002b __ImageBase 0033 ?mbbtable@@3QBGB 006c ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 75 66 8D 43 E0 83 F8 5E 77 11 48 8D 0D ?? ?? ?? ?? 0F B7 9C 41 ?? ?? ?? ?? EB 4D 81 FB DC 00 00 00 75 07 BB 8F 83 00 00 EB 3E 8D 83 5F FF FF FF 83 F8 3E 77 33 33 D2 48 8D 0D ?? ?? ?? ?? 45 33 C0 B0 A7 0F B6 C0 3B D8 74 13 42 8A 84 81 ?? ?? ?? ?? 49 FF C0 FF C2 84 C0 75 E8 EB 0B 48 63 C2 0F B7 9C 81 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_251_7_0 {
	meta:
		name = "_mbctombb_l"
		size = 192
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 ?mbbtable@@3QBGB 0053 ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 81 78 04 A4 03 00 00 0F 85 81 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? 0F B7 01 3B D8 74 6E FF C2 48 8D 05 ?? ?? ?? ?? 48 83 C1 02 48 3B C8 7E E7 81 FB 96 83 00 00 77 57 33 C9 4C 8D 15 ?? ?? ?? ?? 45 33 C0 33 C0 46 0F B7 4C 10 02 8B D3 41 2B D1 74 2F 44 33 CB 41 F7 C1 00 FF 00 00 75 0E 85 D2 7E 0A 42 0F BE 44 10 01 3B D0 78 15 49 FF C0 FF C1 49 8B C0 48 C1 E0 02 42 80 3C 10 00 74 0F EB C4 48 63 C1 41 0F B6 1C 82 EB 03 8D 5A 20 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "??$common_tcsncat_s@_W@@YAHQEA_W_KQEB_W1@Z"
		size = 246
		refs = "003d _errno 0049 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 4C 8B DA 4C 8B D1 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 26 4D 85 C0 75 21 66 89 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 49 8B D9 66 39 39 74 0A 48 83 C1 02 48 83 EA 01 75 F1 48 85 D2 75 06 66 41 89 3A EB C5 49 83 F9 FF 75 1C 4C 2B C1 41 0F B7 04 08 66 89 01 48 8D 49 02 66 85 C0 74 35 48 83 EA 01 75 E9 EB 2D 4D 85 C9 74 20 41 0F B7 00 4D 8D 40 02 66 89 01 48 83 C1 02 66 85 C0 74 0C 48 83 EA 01 74 06 48 83 EB 01 75 E0 48 85 DB 75 03 66 89 39 48 85 D2 0F 85 52 FF FF FF 49 83 F9 FF 75 0E 66 43 89 7C 5A FE 8D 42 50 E9 6C FF FF FF 66 41 89 3A E8 ?? ?? ?? ?? BB 22 00 00 00 E9 50 FF FF FF }
	condition:
		$1
}

rule file_252_1_0 {
	meta:
		name = "wcsncat_s"
		size = 253
		refs = "0023 _errno 002f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 D2 48 8B DA 4C 8B D9 4D 85 C9 75 2C 48 85 C9 75 2C 48 85 D2 74 14 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 8B D3 41 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 48 85 C9 74 D9 48 85 D2 74 D4 4D 85 C9 74 0B 4D 85 C0 75 06 66 44 89 11 EB C4 49 8B F9 66 44 39 11 74 0A 48 83 C1 02 48 83 EA 01 75 F0 48 85 D2 75 06 66 45 89 13 EB A6 49 83 F9 FF 75 1C 4C 2B C1 41 0F B7 04 08 66 89 01 48 8D 49 02 66 85 C0 74 36 48 83 EA 01 75 E9 EB 2E 4D 85 C9 74 20 41 0F B7 00 4D 8D 40 02 66 89 01 48 83 C1 02 66 85 C0 74 0C 48 83 EA 01 74 06 48 83 EF 01 75 E0 48 85 FF 75 04 66 44 89 11 48 85 D2 0F 85 61 FF FF FF 49 83 F9 FF 75 0F 66 45 89 54 5B FE 44 8D 52 50 E9 4C FF FF FF 66 45 89 13 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 2F FF FF FF }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "_FCosh"
		size = 245
		refs = "001e _fdtest 004a __xmm@80000000800000008000000080000000 0057 _FXbig_C 006c __real@3f800000 0071 _fdexp 0079 __real@3e800000 00c7 _FInf_C 00d7 _fperrraise 00df _FNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 65 66 3B D0 7E 60 F3 0F 10 4D 10 0F 57 C0 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F3 0F 11 4D 10 F3 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 0F 2F C1 76 26 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 45 10 F3 0F 58 45 10 F3 0F 59 45 18 EB 5C F3 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F3 0F 10 45 10 EB 43 66 83 F8 02 74 38 B9 01 00 00 00 66 3B D9 75 2E 66 85 C0 74 1A 0F 57 C0 0F 2F 45 18 F3 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 05 F3 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_253_1_0 {
	meta:
		name = "ccoshf"
		size = 370
		refs = "001a crealf 0028 cimagf 0036 _fdtest 0050 _FNan_C 0070 _fperrraise 0086 _FZero_C 008d __xmm@80000000800000008000000080000000 00af _FInf_C 0101 sinf 0116 cosf 013a _FSinh 0154 _FCosh 015c _FCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 50 0F 29 74 24 40 0F 29 7C 24 30 48 89 4D D0 E8 ?? ?? ?? ?? 48 8B 4D D0 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 17 F3 0F 10 05 ?? ?? ?? ?? 66 85 C0 75 67 F3 0F 10 4D 28 E9 F8 00 00 00 BF 01 00 00 00 66 3B C7 75 5B 8B CF E8 ?? ?? ?? ?? 66 85 DB 75 25 0F 57 C9 0F 2F 4D 28 76 0F F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 BD 00 00 00 66 3B DF 75 15 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 A3 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 E9 93 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 CB F3 0F 10 4D 30 EB B7 66 3B DF 75 48 66 85 C0 75 17 F3 0F 10 4D 28 0F 57 C0 0F 2F 45 30 76 B9 0F 57 0D ?? ?? ?? ?? EB B0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F8 F3 0F 10 45 28 F3 0F 59 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 0F 28 CF EB 34 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_254_5_0 {
	meta:
		name = "_mbsnextc_l"
		size = 114
		refs = "0015 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 001f _errno 002a _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 33 FF 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 22 0F B6 0B 48 8B 44 24 30 F6 44 01 19 04 74 0E 40 38 7B 01 74 08 8B F9 C1 E7 08 48 FF C3 0F B6 03 03 C7 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_255_4_0 {
	meta:
		name = "_isctype"
		size = 34
		refs = "0002 __acrt_locale_changed_data 000c __acrt_initial_locale_data 001e _isctype_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 48 8B 05 ?? ?? ?? ?? 48 63 C9 0F B7 04 48 23 C2 C3 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_255_5_0 {
	meta:
		name = "_isctype_l"
		size = 271
		refs = "001d __security_cookie 0036 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0062 _isleadbyte_l 00b6 __acrt_GetStringTypeA 00f2 __security_check_cookie"
	strings:
		$1 = { 48 89 74 24 10 48 89 7C 24 18 4C 89 74 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 44 8B F2 48 63 F9 49 8B D0 48 8D 4D C8 E8 ?? ?? ?? ?? 8D 47 01 3D 00 01 00 00 77 10 48 8B 45 D0 48 8B 08 0F B7 04 79 E9 82 00 00 00 8B F7 48 8D 55 D0 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 74 12 40 88 75 C0 44 8D 4A 01 40 88 7D C1 C6 45 C2 00 EB 0B 40 88 7D C0 44 8B CA C6 45 C1 00 33 C0 89 54 24 30 89 45 E8 4C 8D 45 C0 66 89 45 EC 48 8B 45 D0 8B 48 0C 48 8D 45 E8 89 4C 24 28 48 8D 4D D0 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 14 38 45 E0 74 0B 48 8B 45 C8 83 A0 A8 03 00 00 FD 33 C0 EB 18 0F B7 45 E8 41 23 C6 80 7D E0 00 74 0B 48 8B 4D C8 83 A1 A8 03 00 00 FD 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_256_0_0 {
	meta:
		name = "strlen"
		size = 168
	strings:
		$1 = { 48 8B C1 48 F7 D9 48 A9 07 00 00 00 74 0F 66 90 8A 10 48 FF C0 84 D2 74 5F A8 07 75 F3 49 B8 FF FE FE FE FE FE FE 7E 49 BB 00 01 01 01 01 01 01 81 48 8B 10 4D 8B C8 48 83 C0 08 4C 03 CA 48 F7 D2 49 33 D1 49 23 D3 74 E8 48 8B 50 F8 84 D2 74 51 84 F6 74 47 48 C1 EA 10 84 D2 74 39 84 F6 74 2F 48 C1 EA 10 84 D2 74 21 84 F6 74 17 C1 EA 10 84 D2 74 0A 84 F6 75 B9 48 8D 44 01 FF C3 48 8D 44 01 FE C3 48 8D 44 01 FD C3 48 8D 44 01 FC C3 48 8D 44 01 FB C3 48 8D 44 01 FA C3 48 8D 44 01 F9 C3 48 8D 44 01 F8 C3 }
	condition:
		$1
}

rule file_257_5_0 {
	meta:
		name = "_set_new_mode"
		size = 43
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0020 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 48 83 EC 28 83 F9 01 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 08 87 0D ?? ?? ?? ?? 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_258_2_0 {
	meta:
		name = "??$common_system@D@@YAHQEBD@Z"
		size = 306
		refs = "0015 __security_cookie 0026 ?comspec_name@?1???$common_system@D@@YAHQEBD@Z@4QBDB 0037 _dupenv_s 005a _access_s 006f ?slash_c@?1???$common_system@D@@YAHQEBD@Z@4QBDB 0089 _errno 00a4 _spawnve 00dc ?cmd_exe@?1???$common_system@D@@YAHQEBD@Z@4QBDB 00ee _spawnvpe 00f9 _free_base 0107 __security_check_cookie 012d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 33 DB 48 8D 4D D0 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 D9 00 00 00 48 85 FF 75 1F 48 39 5D D0 0F 84 A1 00 00 00 48 8B 4D D0 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 E9 8C 00 00 00 48 8B 45 D0 48 8D 0D ?? ?? ?? ?? 48 89 45 D8 48 89 4D E0 48 89 7D E8 48 89 5D F0 48 85 C0 74 51 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 33 C9 89 18 48 8B 55 D8 E8 ?? ?? ?? ?? 48 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 3B E8 ?? ?? ?? ?? 83 38 02 74 0F E8 ?? ?? ?? ?? 83 38 0D 74 05 83 CB FF EB 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 48 89 55 D8 33 C9 E8 ?? ?? ?? ?? 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_258_3_0 {
	meta:
		name = "??$common_system@_W@@YAHQEB_W@Z"
		size = 306
		refs = "0015 __security_cookie 0026 ?comspec_name@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 0037 _wdupenv_s 005a _waccess_s 006f ?slash_c@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 0089 _errno 00a4 _wspawnve 00dc ?cmd_exe@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 00ee _wspawnvpe 00f9 _free_base 0107 __security_check_cookie 012d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 33 DB 48 8D 4D D0 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 D9 00 00 00 48 85 FF 75 1F 48 39 5D D0 0F 84 A1 00 00 00 48 8B 4D D0 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 E9 8C 00 00 00 48 8B 45 D0 48 8D 0D ?? ?? ?? ?? 48 89 45 D8 48 89 4D E0 48 89 7D E8 48 89 5D F0 48 85 C0 74 51 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 33 C9 89 18 48 8B 55 D8 E8 ?? ?? ?? ?? 48 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 3B E8 ?? ?? ?? ?? 83 38 02 74 0F E8 ?? ?? ?? ?? 83 38 0D 74 05 83 CB FF EB 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 48 89 55 D8 33 C9 E8 ?? ?? ?? ?? 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_258_27_0 {
	meta:
		name = "_wsystem"
		size = 315
		refs = "0015 __security_cookie 0026 ?comspec_name@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 0037 _wdupenv_s 0059 _waccess_s 006e ?slash_c@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 0088 _errno 00a3 _wspawnve 00d1 _free_base 00e4 ?cmd_exe@?1???$common_system@_W@@YAHQEB_W@Z@4QB_WB 00f6 _wspawnvpe 0110 __security_check_cookie 0136 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 33 DB 48 8D 4D D0 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 E2 00 00 00 48 85 FF 75 1E 48 8B 4D D0 48 85 C9 0F 84 AB 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 E9 96 00 00 00 48 8B 45 D0 48 8D 0D ?? ?? ?? ?? 48 89 45 D8 48 89 4D E0 48 89 7D E8 48 89 5D F0 48 85 C0 74 5A E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 33 C9 89 18 48 8B 55 D8 E8 ?? ?? ?? ?? 48 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 45 E8 ?? ?? ?? ?? 83 38 02 74 18 E8 ?? ?? ?? ?? 83 38 0D 74 0E 48 8B 4D D0 E8 ?? ?? ?? ?? 83 CB FF EB 2C E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 48 89 55 D8 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_258_28_0 {
	meta:
		name = "system"
		size = 315
		refs = "0015 __security_cookie 0026 ?comspec_name@?1???$common_system@D@@YAHQEBD@Z@4QBDB 0037 _dupenv_s 0059 _access_s 006e ?slash_c@?1???$common_system@D@@YAHQEBD@Z@4QBDB 0088 _errno 00a3 _spawnve 00d1 _free_base 00e4 ?cmd_exe@?1???$common_system@D@@YAHQEBD@Z@4QBDB 00f6 _spawnvpe 0110 __security_check_cookie 0136 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 33 DB 48 8D 4D D0 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 E2 00 00 00 48 85 FF 75 1E 48 8B 4D D0 48 85 C9 0F 84 AB 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 E9 96 00 00 00 48 8B 45 D0 48 8D 0D ?? ?? ?? ?? 48 89 45 D8 48 89 4D E0 48 89 7D E8 48 89 5D F0 48 85 C0 74 5A E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 33 C9 89 18 48 8B 55 D8 E8 ?? ?? ?? ?? 48 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 45 E8 ?? ?? ?? ?? 83 38 02 74 18 E8 ?? ?? ?? ?? 83 38 0D 74 0E 48 8B 4D D0 E8 ?? ?? ?? ?? 83 CB FF EB 2C E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8D 45 D8 48 89 55 D8 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "cbrtf"
		size = 336
		refs = "001c _fdunscale 0087 _fdscale 0094 __xmm@80000000800000008000000080000000 00be __real@3e79a416 00c9 __real@3fc00000 00d1 __real@3f754413 00d9 __real@3e8f2a5a 00e5 __real@3f000000 00ed __real@3da1a0cf"
	strings:
		$1 = { 48 89 5C 24 20 F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 55 10 48 8D 4D 18 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F3 0F 10 45 10 E9 13 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 F7 E8 41 8D 59 01 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 41 0F BF C8 44 2B CB F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 41 8B D1 48 8D 4D 10 E8 ?? ?? ?? ?? 44 0F B7 45 18 F3 0F 10 2D ?? ?? ?? ?? B8 00 80 00 00 F3 0F 10 5D 10 66 85 45 12 75 04 33 DB EB 08 0F 57 DD F3 0F 11 5D 10 0F 28 D3 0F 28 C3 F3 0F 59 15 ?? ?? ?? ?? 0F 28 E3 F3 0F 59 25 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 59 1D ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D0 0F 28 C2 F3 0F 59 C2 F3 0F 5E DA F3 0F 58 D8 F3 0F 5E E3 F3 0F 58 E2 F3 0F 59 25 ?? ?? ?? ?? F3 0F 11 65 20 85 DB 74 08 0F 57 E5 F3 0F 11 65 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F3 0F 10 45 20 48 8B 5C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_260_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
		size = 117
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B DA 41 8B F9 48 8B D1 41 8B F0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 0F B6 D3 40 84 7C 02 19 75 1A 85 F6 74 10 48 8B 44 24 28 48 8B 08 0F B7 04 51 23 C6 EB 02 33 C0 85 C0 74 05 B8 01 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_260_5_0 {
	meta:
		name = "_ismbbalnum"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 33 C9 41 B8 07 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_6_0 {
	meta:
		name = "_ismbbalnum_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 01 00 00 00 8B D1 41 B8 07 01 00 00 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_7_0 {
	meta:
		name = "_ismbbalpha"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 33 C9 41 B8 03 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_8_0 {
	meta:
		name = "_ismbbalpha_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 01 00 00 00 8B D1 41 B8 03 01 00 00 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_9_0 {
	meta:
		name = "_ismbbblank"
		size = 28
		refs = "0018 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 83 F9 09 75 04 8D 41 37 C3 41 B9 02 00 00 00 8B D1 33 C9 45 8D 41 3E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_10_0 {
	meta:
		name = "_ismbbblank_l"
		size = 32
		refs = "001c ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 4C 8B D2 83 F9 09 75 04 8D 41 37 C3 41 B9 02 00 00 00 8B D1 49 8B CA 45 8D 41 3E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_11_0 {
	meta:
		name = "_ismbbgraph"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 33 C9 41 B8 17 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_12_0 {
	meta:
		name = "_ismbbgraph_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 03 00 00 00 8B D1 41 B8 17 01 00 00 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_13_0 {
	meta:
		name = "_ismbbkalnum"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 33 C9 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_14_0 {
	meta:
		name = "_ismbbkalnum_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 01 00 00 00 8B D1 45 33 C0 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_16_0 {
	meta:
		name = "_ismbbkana_l"
		size = 101
		refs = "0015 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003b ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B F9 48 8B DA 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 85 C0 74 20 81 78 04 A4 03 00 00 75 17 41 B9 03 00 00 00 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B C8 EB 02 33 C9 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C1 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_260_17_0 {
	meta:
		name = "_ismbbkprint"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 33 C9 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_18_0 {
	meta:
		name = "_ismbbkprint_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 03 00 00 00 8B D1 45 33 C0 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_19_0 {
	meta:
		name = "_ismbbkpunct"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 02 00 00 00 33 C9 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_20_0 {
	meta:
		name = "_ismbbkpunct_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 02 00 00 00 8B D1 45 33 C0 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_21_0 {
	meta:
		name = "_ismbblead"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 04 00 00 00 33 C9 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_22_0 {
	meta:
		name = "_ismbblead_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 04 00 00 00 8B D1 45 33 C0 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_23_0 {
	meta:
		name = "_ismbbprint"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 33 C9 41 B8 57 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_24_0 {
	meta:
		name = "_ismbbprint_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 03 00 00 00 8B D1 41 B8 57 01 00 00 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_25_0 {
	meta:
		name = "_ismbbpunct"
		size = 19
		refs = "000f ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 41 B9 02 00 00 00 8B D1 33 C9 45 8D 41 0E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_26_0 {
	meta:
		name = "_ismbbpunct_l"
		size = 23
		refs = "0013 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 02 00 00 00 8B D1 48 8B C8 45 8D 41 0E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_27_0 {
	meta:
		name = "_ismbbtrail"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 08 00 00 00 33 C9 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_28_0 {
	meta:
		name = "_ismbbtrail_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 08 00 00 00 8B D1 45 33 C0 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_2_0 {
	meta:
		name = "??$common_open@D@@YAHQEBDHH@Z"
		size = 183
		refs = "0013 _errno 001e _invalid_parameter_noinfo 005c _sopen_nolock 0080 __pioinfo 0099 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 53 48 83 EC 50 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 87 00 00 00 83 4C 24 60 FF 83 64 24 78 00 83 64 24 40 00 83 64 24 30 00 44 89 44 24 28 C7 44 24 20 40 00 00 00 44 8B CA 4C 8B C1 48 8D 54 24 60 48 8D 4C 24 78 E8 ?? ?? ?? ?? 8B D8 89 44 24 40 83 7C 24 78 00 74 30 85 C0 74 23 48 63 4C 24 60 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 4C 24 60 E8 ?? ?? ?? ?? 85 DB 74 0C E8 ?? ?? ?? ?? 89 18 E9 75 FF FF FF 8B 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_261_4_0 {
	meta:
		name = "??$common_open@_W@@YAHQEB_WHH@Z"
		size = 183
		refs = "0013 _errno 001e _invalid_parameter_noinfo 005c _wsopen_nolock 0080 __pioinfo 0099 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 53 48 83 EC 50 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 87 00 00 00 83 4C 24 60 FF 83 64 24 78 00 83 64 24 40 00 83 64 24 30 00 44 89 44 24 28 C7 44 24 20 40 00 00 00 44 8B CA 4C 8B C1 48 8D 54 24 60 48 8D 4C 24 78 E8 ?? ?? ?? ?? 8B D8 89 44 24 40 83 7C 24 78 00 74 30 85 C0 74 23 48 63 4C 24 60 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 4C 24 60 E8 ?? ?? ?? ?? 85 DB 74 0C E8 ?? ?? ?? ?? 89 18 E9 75 FF FF FF 8B 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_261_3_0 {
	meta:
		name = "?fin$0@?0???$common_open@D@@YAHQEBDHH@Z@4HA"
		size = 71
		refs = "0023 __pioinfo 003b __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_open@_W@@YAHQEB_WHH@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 78 00 74 31 83 7D 40 00 74 22 48 63 4D 60 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_261_6_0 {
	meta:
		name = "??$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z"
		size = 222
		refs = "0025 _errno 0031 _invalid_parameter_noinfo 008d _sopen_nolock 00af __pioinfo 00c6 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 45 8B D0 4C 8B C1 33 C0 48 8B 9C 24 80 00 00 00 48 85 DB 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 97 00 00 00 83 0B FF 33 C0 48 85 C9 0F 95 C0 85 C0 74 D9 8B 8C 24 88 00 00 00 85 C9 74 13 41 F7 C1 7F FE FF FF B8 00 00 00 00 0F 94 C0 85 C0 74 BB 83 64 24 40 00 83 64 24 44 00 89 4C 24 30 44 89 4C 24 28 44 89 54 24 20 44 8B CA 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B F8 89 44 24 44 83 7C 24 40 00 74 2C 85 C0 74 21 48 63 0B 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 0B E8 ?? ?? ?? ?? 85 FF 74 03 83 0B FF 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_261_8_0 {
	meta:
		name = "??$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z"
		size = 222
		refs = "0025 _errno 0031 _invalid_parameter_noinfo 008d _wsopen_nolock 00af __pioinfo 00c6 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 45 8B D0 4C 8B C1 33 C0 48 8B 9C 24 80 00 00 00 48 85 DB 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 97 00 00 00 83 0B FF 33 C0 48 85 C9 0F 95 C0 85 C0 74 D9 8B 8C 24 88 00 00 00 85 C9 74 13 41 F7 C1 7F FE FF FF B8 00 00 00 00 0F 94 C0 85 C0 74 BB 83 64 24 40 00 83 64 24 44 00 89 4C 24 30 44 89 4C 24 28 44 89 54 24 20 44 8B CA 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B F8 89 44 24 44 83 7C 24 40 00 74 2C 85 C0 74 21 48 63 0B 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 0B E8 ?? ?? ?? ?? 85 FF 74 03 83 0B FF 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_261_7_0 {
	meta:
		name = "?fin$0@?0???$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z@4HA"
		size = 83
		refs = "0029 __pioinfo 0047 __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 40 00 74 3D 83 7D 44 00 74 28 48 8B 85 80 00 00 00 48 63 08 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 48 8B 85 80 00 00 00 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_261_10_0 {
	meta:
		name = "??$tsopen_nolock@PEAHAEBQEAHAEBQEBDAEBHAEBHAEBHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEAHAEBQEBDAEBH333@Z"
		size = 56
		refs = "0034 _sopen_nolock"
		altNames = "??$tsopen_nolock@PEAHPEAHAEBQEBDAEBHHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAH0AEBQEBDAEBH$$QEAH23@Z"
	strings:
		$1 = { 48 8B 44 24 38 45 8B 09 4D 8B 00 48 8B 12 44 8B 10 48 8B 44 24 30 48 8B 09 44 89 54 24 38 44 8B 10 48 8B 44 24 28 44 89 54 24 30 44 8B 10 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_11_0 {
	meta:
		name = "??$tsopen_nolock@PEAHAEBQEAHAEBQEB_WAEBHAEBHAEBHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEAHAEBQEB_WAEBH333@Z"
		size = 56
		refs = "0034 _wsopen_nolock"
	strings:
		$1 = { 48 8B 44 24 38 45 8B 09 4D 8B 00 48 8B 12 44 8B 10 48 8B 44 24 30 48 8B 09 44 89 54 24 38 44 8B 10 48 8B 44 24 28 44 89 54 24 30 44 8B 10 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_13_0 {
	meta:
		name = "??$tsopen_nolock@PEAHPEAHAEBQEB_WAEBHHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAH0AEBQEB_WAEBH$$QEAH23@Z"
		size = 56
		refs = "0034 _wsopen_nolock"
	strings:
		$1 = { 48 8B 44 24 38 45 8B 09 4D 8B 00 48 8B 12 44 8B 10 48 8B 44 24 30 48 8B 09 44 89 54 24 38 44 8B 10 48 8B 44 24 28 44 89 54 24 30 44 8B 10 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_16_0 {
	meta:
		name = "?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAEAW4__crt_lowio_text_mode@@@Z"
		size = 658
		refs = "002a __pioinfo 0066 _get_fmode 014a _read_nolock 0186 _lseeki64_nolock 01a3 _errno 024f _write 028d _invoke_watson"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 41 56 41 57 48 83 EC 30 4C 63 F1 33 DB 4D 8B D6 41 88 19 41 83 E2 3F 48 8D 0D ?? ?? ?? ?? 49 8B C6 49 C1 E2 06 48 C1 F8 06 49 8B F1 41 8B F8 48 8B EA 48 8B 04 C1 42 F6 44 10 38 80 0F 84 10 02 00 00 41 BF 00 40 07 00 45 85 C7 75 22 49 8D 4B 08 89 5C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 85 0B 02 00 00 8B 44 24 50 41 23 C7 75 3F 0F BA EF 0E 8B CF 41 23 CF 41 BF 02 00 00 00 81 F9 00 40 00 00 74 3E 8D 81 00 00 FF FF BA FF BF FF FF 85 C2 74 1D 8D 81 00 00 FE FF 85 C2 74 20 8D 81 00 00 FC FF 85 C2 75 1D C6 06 01 EB 18 0B F8 EB C1 B9 01 03 00 00 8B C7 23 C1 3B C1 75 07 44 88 3E EB 02 88 1E F7 C7 00 00 07 00 0F 84 84 01 00 00 F6 45 00 40 0F 85 7A 01 00 00 8B 45 04 BA 00 00 00 C0 23 C2 8B CB 8B FB 3D 00 00 00 40 74 0F 3D 00 00 00 80 74 33 3B C2 0F 85 56 01 00 00 8B 45 08 85 C0 0F 84 4B 01 00 00 41 3B C7 76 0E 83 F8 04 76 5C 83 F8 05 0F 85 38 01 00 00 BF 01 00 00 00 85 C9 0F 84 CE 00 00 00 41 B8 03 00 00 00 89 5C 24 50 48 8D 54 24 50 41 8B CE E8 ?? ?? ?? ?? 85 C0 7E 06 83 FF 01 0F 44 FB 83 F8 FF 74 45 41 3B C7 74 57 83 F8 03 0F 85 87 00 00 00 81 7C 24 50 EF BB BF 00 75 44 C6 06 01 E9 88 00 00 00 45 8B C7 33 D2 41 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 7A 45 33 C0 33 D2 41 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 B6 00 00 00 8B 4D 04 C1 E9 1F E9 76 FF FF FF 0F B7 44 24 50 3D FE FF 00 00 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D0 3D FF FE 00 00 75 19 45 33 C0 49 8B D7 41 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 74 B5 44 88 3E EB 13 45 33 C0 33 D2 41 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 74 9D 85 FF 74 59 0F BE 0E 8B FB 89 5C 24 50 83 E9 01 74 12 83 F9 01 75 1A C7 44 24 50 FF FE 00 00 41 8B FF EB 11 C7 44 24 50 EF BB BF 00 BF 03 00 00 00 85 FF 7E 28 44 8B C7 48 63 C3 48 8D 54 24 50 44 2B C3 48 03 D0 41 8B CE E8 ?? ?? ?? ?? 83 F8 FF 0F 84 46 FF FF FF 03 D8 3B FB 7F D8 33 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_261_17_0 {
	meta:
		name = "?create_file@@YAPEAXQEB_WQEAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z"
		size = 55
		refs = "002e __imp_CreateFileW"
	strings:
		$1 = { 48 83 EC 48 41 8B 40 14 4D 8B D0 41 0B 40 10 4C 8B CA 48 83 64 24 30 00 89 44 24 28 41 8B 40 08 45 8B 40 0C 41 8B 52 04 89 44 24 20 FF 15 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_261_18_0 {
	meta:
		name = "?decode_access_flags@@YAKH@Z"
		size = 96
		refs = "0019 _errno 0024 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8B D1 44 8B C1 83 E2 03 74 48 83 EA 01 74 21 83 FA 01 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2E B8 00 00 00 C0 EB 27 F7 C1 00 00 07 00 0F 95 C1 41 F6 C0 08 0F 95 C0 22 C8 F6 D9 1B C0 25 00 00 00 80 05 00 00 00 40 EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_19_0 {
	meta:
		name = "?decode_open_create_flags@@YAKH@Z"
		size = 124
		refs = "0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 B8 00 07 00 00 23 C8 74 65 81 F9 00 01 00 00 74 56 81 F9 00 02 00 00 74 47 81 F9 00 03 00 00 74 38 81 F9 00 04 00 00 74 45 81 F9 00 05 00 00 74 21 81 F9 00 06 00 00 74 27 3B C8 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 21 B8 01 00 00 00 EB 1A B8 02 00 00 00 EB 13 B8 05 00 00 00 EB 0C B8 04 00 00 00 EB 05 B8 03 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_20_0 {
	meta:
		name = "?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z"
		size = 521
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 016c _get_fmode 0188 _umaskval 0204 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 C6 01 00 8B CA 45 8B F1 41 8B E8 8B FA BE FF FF FF FF 83 E1 03 74 46 83 E9 01 74 20 83 F9 01 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C6 EB 2D B8 00 00 00 C0 EB 26 F7 C2 00 00 07 00 0F 95 C1 F6 C2 08 0F 95 C0 22 C8 F6 D9 1B C0 25 00 00 00 80 05 00 00 00 40 EB 05 B8 00 00 00 80 89 43 04 B9 00 07 00 00 8B C7 23 C1 74 5E 3D 00 01 00 00 74 50 3D 00 02 00 00 74 42 3D 00 03 00 00 74 34 3D 00 04 00 00 74 42 3D 00 05 00 00 74 1F 3D 00 06 00 00 74 26 3B C1 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C6 EB 21 B8 01 00 00 00 EB 1A B8 02 00 00 00 EB 13 B8 05 00 00 00 EB 0C B8 04 00 00 00 EB 05 B8 03 00 00 00 89 43 08 83 ED 10 74 4A 83 ED 10 74 3E 83 ED 10 74 32 83 ED 10 74 26 83 ED 40 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 26 33 F6 81 7B 04 00 00 00 80 40 0F 94 C6 EB 17 BE 03 00 00 00 EB 10 BE 02 00 00 00 EB 09 BE 01 00 00 00 EB 02 33 F6 83 63 14 00 40 B5 80 89 73 0C C7 43 10 80 00 00 00 40 84 FD 74 03 80 0B 10 BE 00 80 00 00 85 FE 75 1F F7 C7 00 40 07 00 75 14 48 8D 4C 24 58 E8 ?? ?? ?? ?? 85 C0 75 7F 39 74 24 58 74 03 40 08 2B B9 00 01 00 00 85 F9 74 17 8B 05 ?? ?? ?? ?? F7 D0 41 23 C6 40 84 C5 75 07 C7 43 10 01 00 00 00 40 F6 C7 40 74 0E 0F BA 6B 14 1A 0F BA 6B 04 10 83 4B 0C 04 0F BA E7 0C 73 03 09 4B 10 0F BA E7 0D 73 05 0F BA 6B 14 19 40 F6 C7 20 74 07 0F BA 6B 14 1B EB 0B 40 F6 C7 10 74 05 0F BA 6B 14 1C 48 8B 6C 24 60 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5E 5F 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_261_21_0 {
	meta:
		name = "?decode_sharing_flags@@YAKHH@Z"
		size = 91
		refs = "001e _errno 0029 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 E9 10 74 4B 83 E9 10 74 3F 83 E9 10 74 33 83 E9 10 74 27 83 F9 40 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 24 33 C0 81 FA 00 00 00 80 0F 94 C0 EB 17 B8 03 00 00 00 EB 10 B8 02 00 00 00 EB 09 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_22_0 {
	meta:
		name = "?is_text_mode@@YA_NH@Z"
		size = 78
		refs = "0023 _get_fmode 0049 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 0F BA E1 0F 73 07 32 C0 48 83 C4 38 C3 F7 C1 00 40 07 00 74 04 B0 01 EB EF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 75 0D 81 7C 24 40 00 80 00 00 0F 95 C0 EB D4 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_261_24_0 {
	meta:
		name = "?truncate_ctrl_z_if_present@@YAHH@Z"
		size = 193
		refs = "0015 __pioinfo 0048 _lseeki64_nolock 0056 __doserrno 0063 _errno 007e _read_nolock 0094 _chsize_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 63 D9 48 8D 0D ?? ?? ?? ?? 48 8B D3 48 8B C3 48 C1 F8 06 83 E2 3F 48 C1 E2 06 48 8B 04 C1 8A 4C 10 38 F6 C1 48 75 78 84 C9 79 74 41 B8 02 00 00 00 48 83 CA FF 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 16 E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 4D E8 ?? ?? ?? ?? 8B 00 EB 46 33 F6 48 8D 54 24 30 8B CB 66 89 74 24 30 44 8D 46 01 E8 ?? ?? ?? ?? 85 C0 75 17 66 83 7C 24 30 1A 75 0F 48 8B D7 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 C5 45 33 C0 33 D2 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 74 B3 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_261_26_0 {
	meta:
		name = "_open"
		size = 35
		refs = "001a ??$common_open@D@@YAHQEBDHH@Z"
	strings:
		$1 = { 48 8B C4 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 40 18 44 8B 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_31_0 {
	meta:
		name = "_wopen"
		size = 35
		refs = "001a ??$common_open@_W@@YAHQEB_WHH@Z"
	strings:
		$1 = { 48 8B C4 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 40 18 44 8B 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_27_0 {
	meta:
		name = "_sopen"
		size = 65
		refs = "002c ??$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 44 8B 08 83 CB FF 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_261_32_0 {
	meta:
		name = "_wsopen"
		size = 65
		refs = "002c ??$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 44 8B 08 83 CB FF 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_261_29_0 {
	meta:
		name = "_sopen_nolock"
		size = 143
		refs = "002a __acrt_copy_path_to_wide_string 006a _wsopen_nolock 0074 _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 E8 00 48 8B F2 48 8B E9 48 8D 50 E8 49 8B C8 41 8B F9 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 43 8B 84 24 90 00 00 00 44 8B CF 48 8B 5C 24 40 48 8B D6 89 44 24 30 4C 8B C3 8B 84 24 88 00 00 00 48 8B CD 89 44 24 28 8B 84 24 80 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 48 8B CB 8B F8 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_261_30_0 {
	meta:
		name = "_sopen_s"
		size = 50
		refs = "0029 ??$common_sopen_dispatch@D@@YAHQEBDHHHQEAHH@Z"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 C7 44 24 28 01 00 00 00 44 8B 4C 24 60 45 8B D0 4C 8B DA 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_261_35_0 {
	meta:
		name = "_wsopen_s"
		size = 50
		refs = "0029 ??$common_sopen_dispatch@_W@@YAHQEB_WHHHQEAHH@Z"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 C7 44 24 28 01 00 00 00 44 8B 4C 24 60 45 8B D0 4C 8B DA 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_261_34_0 {
	meta:
		name = "_wsopen_nolock"
		size = 1007
		refs = "003f ?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z 0075 __doserrno 0080 _errno 008c _alloc_osfhnd 0103 __imp_CreateFileW 0176 __pioinfo 0193 __imp_GetLastError 019a __acrt_errno_map_os_error 01a8 __imp_GetFileType 01e5 __imp_CloseHandle 021c __acrt_lowio_set_os_handle 0269 ?truncate_ctrl_z_if_present@@YAHH@Z 029c ?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAEAW4__crt_lowio_text_mode@@@Z 02aa _close_nolock 03ad _free_osfhnd"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 78 10 4C 89 40 18 55 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 45 8B E1 4D 8B F0 44 8B 4D 77 48 8B FA 44 8B 45 6F 48 8B D9 41 8B D4 48 8D 4D FF E8 ?? ?? ?? ?? 0F 10 00 0F 10 C8 66 0F 73 D9 08 66 49 0F 7E CF 49 C1 EF 20 4C 89 7D D7 0F 11 45 A7 F2 0F 10 40 10 F2 0F 11 45 C7 F2 0F 11 45 B7 41 83 FF FF 75 17 E8 ?? ?? ?? ?? 83 20 00 83 0F FF E8 ?? ?? ?? ?? 8B 00 E9 47 03 00 00 E8 ?? ?? ?? ?? 89 07 83 F8 FF 75 18 E8 ?? ?? ?? ?? 83 20 00 83 0F FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB D0 48 83 64 24 30 00 4C 8D 4D DF 8B 4D AF 41 8B C4 48 8B 55 A7 45 8B C7 48 83 65 E7 00 C7 03 01 00 00 00 48 8B 5D B7 C1 E8 07 48 C1 EB 20 F7 D0 0B 5D B7 83 E0 01 89 5C 24 28 89 4C 24 20 49 8B CE 48 C1 EA 20 C7 45 DF 18 00 00 00 89 45 EF 48 89 5D CF FF 15 ?? ?? ?? ?? 44 8B 75 AB B9 00 00 00 C0 48 89 45 BF 4C 8B E8 48 83 F8 FF 0F 85 82 00 00 00 41 8B C6 23 C1 3B C1 75 46 41 F6 C4 01 74 40 48 83 64 24 30 00 4C 8D 4D DF 8B 4D AF 41 0F BA F6 1F 44 89 75 AB 45 8B C7 48 8B 55 A7 89 5C 24 28 89 4C 24 20 48 8B 4D 5F 48 C1 EA 20 FF 15 ?? ?? ?? ?? 48 89 45 BF 4C 8B E8 48 83 F8 FF 75 33 48 63 0F 4C 8D 3D ?? ?? ?? ?? 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 49 8B 04 C7 80 64 08 38 FE FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 DC FE FF FF 49 8B CD FF 15 ?? ?? ?? ?? 85 C0 75 51 FF 15 ?? ?? ?? ?? 8B C8 8B D8 E8 ?? ?? ?? ?? 48 63 17 4C 8D 3D ?? ?? ?? ?? 48 8B CA 83 E2 3F 48 C1 F9 06 48 C1 E2 06 49 8B 0C CF 80 64 11 38 FE 49 8B CD FF 15 ?? ?? ?? ?? 85 DB 0F 85 8E FE FF FF E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E9 7E FE FF FF 8A 5D A7 83 F8 02 75 05 80 CB 40 EB 08 83 F8 03 75 03 80 CB 08 8B 0F 49 8B D5 E8 ?? ?? ?? ?? 48 63 0F 4C 8D 3D ?? ?? ?? ?? 48 8B C1 80 CB 01 48 C1 F8 06 83 E1 3F 48 C1 E1 06 88 5D A7 49 8B 04 C7 88 5C 08 38 48 63 0F 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 49 8B 04 C7 C6 44 08 39 00 41 F6 C4 02 74 12 8B 0F E8 ?? ?? ?? ?? 44 8B E8 85 C0 75 33 4C 8B 6D BF 0F 10 45 A7 4C 8D 4D 9F 8B 0F F2 0F 10 4D C7 48 8D 55 FF 45 8B C4 0F 29 45 FF C6 45 9F 00 F2 0F 11 4D 0F E8 ?? ?? ?? ?? 85 C0 74 12 44 8B E8 8B 0F E8 ?? ?? ?? ?? 41 8B C5 E9 1C 01 00 00 48 63 17 8A 45 9F 48 8B CA 83 E2 3F 48 C1 F9 06 48 C1 E2 06 49 8B 0C CF 88 44 11 39 48 63 17 48 8B C2 83 E2 3F 48 C1 F8 06 48 C1 E2 06 49 8B 0C C7 41 8B C4 C1 E8 10 24 01 80 64 11 3D FE 08 44 11 3D F6 C3 48 75 20 41 F6 C4 08 74 1A 48 63 0F 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 49 8B 04 C7 80 4C 08 38 20 B9 00 00 00 C0 41 8B C6 23 C1 3B C1 0F 85 A1 00 00 00 41 F6 C4 01 0F 84 97 00 00 00 49 8B CD FF 15 ?? ?? ?? ?? 48 8B 4D CF 4C 8D 4D DF 48 83 64 24 30 00 41 0F BA F6 1F 44 8B 45 D7 89 4C 24 28 8B 4D AF 89 4C 24 20 48 8B 4D 5F 44 89 75 AB 48 8B 55 A7 48 C1 EA 20 FF 15 ?? ?? ?? ?? 48 8B D0 48 83 F8 FF 75 33 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 63 0F 48 8B C1 83 E1 3F 48 C1 E1 06 48 C1 F8 06 49 8B 04 C7 80 64 08 38 FE 8B 0F E8 ?? ?? ?? ?? E9 C9 FC FF FF 48 63 0F 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 49 8B 04 C7 48 89 54 08 28 33 C0 4C 8D 9C 24 C0 00 00 00 49 8B 5B 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_262_1_0 {
	meta:
		name = "??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
		size = 58
		refs = "0008 ?state_cache@?1???$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z@4JA 001c __acrt_AppPolicyGetThreadInitializationTypeInternal"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 85 C0 75 22 89 4C 24 38 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 7C 24 38 01 0F 94 C3 8D 4B 01 87 0D ?? ?? ?? ?? 8D 43 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_262_2_0 {
	meta:
		name = "??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 58
		refs = "0008 ?state_cache@?1???$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z@4JA 001c __acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 85 C0 75 22 89 4C 24 38 48 8D 4C 24 38 E8 ?? ?? ?? ?? 83 7C 24 38 01 0F 94 C3 8D 4B 01 87 0D ?? ?? ?? ?? 8D 43 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_262_3_0 {
	meta:
		name = "??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
		size = 86
		refs = "0006 ?state_cache@?1???$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z@4JA 0018 __acrt_AppPolicyGetWindowingModelInternal"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? 85 C0 75 43 89 4C 24 38 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8B 4C 24 38 83 E9 01 74 1F 83 E9 01 74 13 83 F9 01 74 07 B8 04 00 00 00 EB 13 B8 03 00 00 00 EB 0C B8 01 00 00 00 EB 05 B8 02 00 00 00 8B C8 87 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_262_4_0 {
	meta:
		name = "??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 33
		refs = "000e __acrt_AppPolicyGetProcessTerminationMethodInternal"
	strings:
		$1 = { 48 83 EC 28 89 4C 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 33 C0 83 7C 24 30 01 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_262_13_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z"
		size = 39
	strings:
		$1 = { 83 E9 01 74 1C 83 E9 01 74 11 83 F9 01 74 06 B8 04 00 00 00 C3 B8 03 00 00 00 C3 B8 01 00 00 00 C3 B8 02 00 00 00 C3 }
	condition:
		$1
}

rule file_262_14_0 {
	meta:
		name = "__acrt_get_begin_thread_init_policy"
		size = 53
		refs = "0006 ?state_cache@?1???$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z@4JA 0018 __acrt_AppPolicyGetThreadInitializationTypeInternal"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? 85 C0 75 22 21 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 33 C0 83 7C 24 30 01 0F 94 C0 FF C0 8B C8 87 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_262_15_0 {
	meta:
		name = "__acrt_get_developer_information_policy"
		size = 53
		refs = "0006 ?state_cache@?1???$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z@4JA 0018 __acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? 85 C0 75 22 21 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 33 C0 83 7C 24 30 01 0F 94 C0 FF C0 8B C8 87 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_262_16_0 {
	meta:
		name = "__acrt_get_process_end_policy"
		size = 38
		refs = "0012 __acrt_AppPolicyGetProcessTerminationMethodInternal"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 83 7C 24 30 01 0F 95 C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_262_17_0 {
	meta:
		name = "__acrt_get_windowing_model_policy"
		size = 89
		refs = "0008 ?state_cache@?1???$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z@4JA 001f __acrt_AppPolicyGetWindowingModelInternal"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 1D ?? ?? ?? ?? 85 DB 75 41 BB 02 00 00 00 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 83 E9 01 74 1D 83 E9 01 74 13 83 F9 01 74 07 BB 04 00 00 00 EB 0C BB 03 00 00 00 EB 05 BB 01 00 00 00 8B CB 87 0D ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "initialize_global_variables"
		size = 17
		refs = "0003 __acrt_initial_locale_data 000a __acrt_current_locale_data"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule file_263_1_0 {
	meta:
		name = "initialize_c"
		size = 35
		refs = "0007 __acrt_atexit_table 000c _initialize_onexit_table 0013 __acrt_at_quick_exit_table"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_263_4_0 {
	meta:
		name = "uninitialize_environment"
		size = 16
		refs = "0005 __dcrt_uninitialize_environments_nolock"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_603_72_0 {
	meta:
		name = "?close@stream_traits@?A0xe43b7539@@SA_NPEAU_iobuf@@@Z"
		size = 16
		refs = "0005 fclose"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_263_20_0 {
	meta:
		name = "__acrt_thread_detach"
		size = 16
		refs = "0005 __acrt_freeptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_263_22_0 {
	meta:
		name = "__acrt_uninitialize_critical"
		size = 16
		refs = "0005 __acrt_uninitialize_ptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_263_7_0 {
	meta:
		name = "initialize_pointers"
		size = 81
		refs = "0009 __security_cookie 0025 __acrt_initialize_invalid_parameter_handler 002d __acrt_initialize_new_handler 0035 __acrt_initialize_signal_handlers 003d __acrt_initialize_user_matherr 0045 __acrt_initialize_thread_local_exit_callback"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 33 DB 83 E0 3F 2B C8 48 D3 CB 48 33 DA 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_263_9_0 {
	meta:
		name = "uninitialize_allocated_memory"
		size = 108
		refs = "000c __acrt_current_multibyte_data 0011 ??$uninitialize@V<lambda_af42a3ee9806e9a7305d451646e05244>@@@?$dual_state_global@PEAU__crt_multibyte_data@@@__crt_state_management@@QEAAX$$QEAV<lambda_af42a3ee9806e9a7305d451646e05244>@@@Z 0018 __acrt_stdout_buffer 001d _free_base 0024 __acrt_stderr_buffer 0038 __argv 004c __wargv"
	strings:
		$1 = { 48 83 EC 28 48 8D 54 24 38 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_263_19_0 {
	meta:
		name = "__acrt_thread_attach"
		size = 20
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_264_1_0 {
	meta:
		name = "?shortsort_s@@YAXPEAD0_KP6AHPEAXPEBX3@ZQEAX@Z"
		size = 205
		refs = "005e __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 3B D1 0F 86 C3 00 00 00 55 57 41 54 41 56 48 83 EC 28 48 89 5C 24 50 4D 8B E1 48 89 74 24 58 49 8B E8 4C 89 6C 24 60 48 8B FA 4C 89 7C 24 20 4E 8D 2C 01 4C 8B 7C 24 70 4C 8B F1 0F 1F 40 00 49 8B DE 49 8B F5 4C 3B EF 77 25 0F 1F 44 00 00 4C 8B C3 48 8B D6 49 8B CF 49 8B C4 FF 15 ?? ?? ?? ?? 85 C0 48 0F 4F DE 48 03 F5 48 3B F7 76 E0 4C 8B C5 48 8B C7 48 3B DF 74 2B 48 85 ED 74 26 48 2B DF 0F 1F 40 00 66 0F 1F 84 00 00 00 00 00 0F B6 08 0F B6 14 03 88 0C 03 88 10 48 8D 40 01 49 83 E8 01 75 EA 48 2B FD 49 3B FE 77 92 4C 8B 7C 24 20 4C 8B 6C 24 60 48 8B 74 24 58 48 8B 5C 24 50 48 83 C4 28 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_264_2_0 {
	meta:
		name = "?swap@@YAXPEAD0_K@Z"
		size = 41
	strings:
		$1 = { 4C 8B C9 48 3B CA 74 20 4D 85 C0 74 1B 4C 2B CA 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 C3 }
	condition:
		$1
}

rule file_264_3_0 {
	meta:
		name = "qsort_s"
		size = 861
		refs = "0012 __security_cookie 003d _errno 0048 _invalid_parameter_noinfo 00c7 ?shortsort_s@@YAXPEAD0_KP6AHPEAXPEBX3@ZQEAX@Z 0106 __guard_dispatch_icall_fptr 034a __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 57 48 81 EC 58 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 4C 8B A4 24 A0 04 00 00 4D 8B F9 49 8B E8 4C 8B E9 48 85 C9 75 1A 48 85 D2 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 ED 02 00 00 4D 85 C0 74 E6 4D 85 C9 74 E1 48 83 FA 02 0F 82 D9 02 00 00 48 89 9C 24 50 04 00 00 48 89 B4 24 48 04 00 00 48 89 BC 24 40 04 00 00 4C 89 B4 24 38 04 00 00 4C 8D 72 FF 4C 0F AF F5 48 C7 44 24 30 00 00 00 00 4C 03 F1 0F 1F 80 00 00 00 00 33 D2 49 8B C6 49 2B C5 48 F7 F5 48 8D 70 01 48 83 FE 08 77 39 4D 8B CF 4C 89 64 24 20 4C 8B C5 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 83 E9 01 48 89 4C 24 30 0F 88 3F 02 00 00 4C 8B 6C CC 40 4C 8B B4 CC 30 02 00 00 EB B2 48 D1 EE 49 8B D5 48 0F AF F5 49 8B CC 49 8B C7 49 03 F5 4C 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7E 2A 4C 8B C5 48 8B D6 4C 3B EE 74 1F 4D 8B CD 4C 2B CE 90 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 4D 8B C6 49 8B D5 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 7E 2A 4C 8B C5 49 8B D6 4D 3B EE 74 1F 4D 8B CD 4D 2B CE 90 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 4D 8B C6 48 8B D6 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 7E 2A 4C 8B C5 49 8B D6 49 3B F6 74 1F 4C 8B CE 4D 2B CE 90 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 49 8B DD 49 8B FE 66 90 48 3B F3 76 23 48 03 DD 48 3B DE 73 1B 4C 8B C6 48 8B D3 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 7E E2 48 3B F3 77 1E 48 03 DD 49 3B DE 77 16 4C 8B C6 48 8B D3 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 7E E2 48 2B FD 48 3B FE 76 16 4C 8B C6 48 8B D7 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 7F E2 48 3B FB 72 40 4C 8B C5 48 8B D7 48 3B DF 74 24 4C 8B CB 4C 2B CF 66 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 48 3B F7 0F 85 5F FF FF FF 48 8B F3 E9 57 FF FF FF 48 03 FD 48 3B F7 73 23 48 2B FD 48 3B FE 76 1B 4C 8B C6 48 8B D7 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 74 E2 48 3B F7 72 1E 48 2B FD 49 3B FD 76 16 4C 8B C6 48 8B D7 49 8B CC 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 74 E2 49 8B CE 48 8B C7 48 2B CB 49 2B C5 48 3B C1 48 8B 4C 24 30 7C 2B 4C 3B EF 73 15 4C 89 6C CC 40 48 89 BC CC 30 02 00 00 48 FF C1 48 89 4C 24 30 49 3B DE 0F 83 E5 FD FF FF 4C 8B EB E9 AD FD FF FF 49 3B DE 73 15 48 89 5C CC 40 4C 89 B4 CC 30 02 00 00 48 FF C1 48 89 4C 24 30 4C 3B EF 0F 83 BA FD FF FF 4C 8B F7 E9 82 FD FF FF 48 8B BC 24 40 04 00 00 48 8B B4 24 48 04 00 00 48 8B 9C 24 50 04 00 00 4C 8B B4 24 38 04 00 00 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 58 04 00 00 41 5F 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_266_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPEADQEBD@Z"
		size = 378
		refs = "0011 _errno 0019 __acrt_getptd_noexit 004b _calloc_base 0056 _free_base 008d strncat_s 00a6 strcat_s 00af __sys_nerr 00c4 __sys_errlist 0133 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 56 57 41 56 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 48 63 30 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 10 33 C0 48 8B 5C 24 50 48 83 C4 30 41 5E 5F 5E C3 48 8B 40 78 41 BE 86 00 00 00 48 85 C0 75 1F 8D 50 01 41 8B CE E8 ?? ?? ?? ?? 33 C9 48 89 47 78 E8 ?? ?? ?? ?? 48 8B 47 78 48 85 C0 74 C2 C6 00 00 48 85 DB 74 43 80 3B 00 74 3E 48 8B 4F 78 41 B9 82 00 00 00 4C 8B C3 66 C7 44 24 60 3A 20 49 8B D6 C6 44 24 62 00 E8 ?? ?? ?? ?? 85 C0 0F 85 9F 00 00 00 48 8B 4F 78 4C 8D 44 24 60 49 8B D6 E8 ?? ?? ?? ?? 85 C0 75 74 E8 ?? ?? ?? ?? 48 63 08 48 3B F1 72 13 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 4C 8B 04 D8 EB 09 E8 ?? ?? ?? ?? 4C 8B 04 F0 48 8B 4F 78 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 41 B9 84 00 00 00 49 8B D6 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 67 66 C7 44 24 58 0A 00 4C 8D 44 24 58 48 8B 4F 78 49 8B D6 E8 ?? ?? ?? ?? 85 C0 75 35 48 8B 47 78 E9 05 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPEA_WQEB_W@Z"
		size = 459
		refs = "0015 __security_cookie 0025 _errno 002d __acrt_getptd_noexit 0046 __security_check_cookie 0078 _calloc_base 0086 _free_base 00c4 wcsncat_s 00e0 wcscat_s 00ed __sys_nerr 0102 __sys_errlist 0143 mbstowcs_s 0187 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 48 63 30 E8 ?? ?? ?? ?? 33 ED 48 8B F8 48 85 C0 75 24 33 C0 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 48 8B 80 80 00 00 00 41 BE 86 00 00 00 48 85 C0 75 25 8D 50 02 41 8B CE E8 ?? ?? ?? ?? 33 C9 48 89 87 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 87 80 00 00 00 48 85 C0 74 A5 66 89 28 48 85 DB 74 4E 66 39 2B 74 49 48 8B 8F 80 00 00 00 41 B9 82 00 00 00 4C 8B C3 C7 44 24 34 3A 00 20 00 49 8B D6 66 89 6C 24 38 E8 ?? ?? ?? ?? 85 C0 0F 85 BC 00 00 00 48 8B 8F 80 00 00 00 4C 8D 44 24 34 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 48 63 08 48 3B F1 72 13 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 4C 8B 0C D8 EB 09 E8 ?? ?? ?? ?? 4C 8B 0C F0 48 8B 97 80 00 00 00 48 83 C9 FF 48 FF C1 66 39 2C 4A 75 F7 48 8D 14 4A B8 84 00 00 00 48 2B C1 4D 8B C6 4C 2B C1 48 89 44 24 20 33 C9 E8 ?? ?? ?? ?? 85 C0 75 6B C7 44 24 30 0A 00 00 00 4C 8D 44 24 30 48 8B 8F 80 00 00 00 49 8B D6 E8 ?? ?? ?? ?? 85 C0 75 36 48 8B 87 80 00 00 00 E9 C6 FE FF FF 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQEAD_KQEBD@Z"
		size = 260
		refs = "001c _errno 0035 _invalid_parameter_noinfo 0082 strcpy_s 0096 strcat_s 00c1 strerror_s 00e9 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 49 8B E8 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 44 8B 30 48 85 DB 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 85 00 00 00 48 85 F6 74 E3 48 83 CF FF C6 03 00 48 85 ED 74 4D 80 7D 00 00 74 47 48 8B CF 48 FF C1 80 3C 29 00 75 F7 48 8D 46 F9 48 3B C8 73 32 4C 8B C5 66 C7 44 24 50 3A 20 48 8B D6 C6 44 24 52 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 64 4C 8D 44 24 50 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 3A 48 8B C7 48 FF C0 80 3C 03 00 75 F7 48 FF C7 80 3C 3B 00 75 F7 48 2B F0 48 8D 0C 1F 48 8B D6 45 8B C6 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 296
		refs = "0013 __security_cookie 0029 _errno 0045 _invalid_parameter_noinfo 0098 wcscpy_s 00ac wcscat_s 00d9 _wcserror_s 00e6 __security_check_cookie 010e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 49 8B E8 48 8B F2 48 8B F9 E8 ?? ?? ?? ?? 45 33 FF 44 8B 30 48 85 FF 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8D 00 00 00 48 85 F6 74 E3 48 83 CB FF 66 44 89 3F 48 85 ED 74 52 66 44 39 7D 00 74 4B 48 8B CB 48 FF C1 66 44 39 7C 4D 00 75 F5 48 8D 46 F9 48 3B C8 73 34 4C 8B C5 C7 44 24 30 3A 00 20 00 48 8B D6 66 44 89 7C 24 34 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 73 4C 8D 44 24 30 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 4A 48 8B C3 48 FF C0 66 44 39 3C 47 75 F6 48 FF C3 66 44 39 3C 5F 75 F6 48 2B F0 48 8D 0C 5F 48 8B D6 45 8B C6 E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5F 41 5E 5F 5E 5D C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_26_0 {
	meta:
		name = "?append_message@@YAHQEAD_KQEBD@Z"
		size = 28
		refs = "0018 strncat_s"
	strings:
		$1 = { 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 4C 8B CA 4C 2B C8 49 83 E9 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_266_27_0 {
	meta:
		name = "?append_message@@YAHQEA_W_KQEBD@Z"
		size = 56
		refs = "002f mbstowcs_s"
	strings:
		$1 = { 48 83 EC 38 4D 8B D0 49 83 C9 FF 4C 8B C2 49 FF C1 66 42 83 3C 49 00 75 F5 4D 2B C1 4A 8D 14 49 4D 8B CA 33 C9 49 8D 40 FE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_266_35_0 {
	meta:
		name = "__wcserror_s"
		size = 298
		refs = "0013 __security_cookie 0029 _errno 0045 _invalid_parameter_noinfo 0096 wcscpy_s 00aa wcscat_s 00d7 _wcserror_s 00e8 __security_check_cookie 0110 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 49 8B E8 48 8B F2 48 8B F9 E8 ?? ?? ?? ?? 45 33 FF 44 8B 30 48 85 FF 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 8F 00 00 00 48 85 F6 74 E5 48 83 CB FF 66 44 89 3F 48 85 ED 74 52 66 44 39 7D 00 74 4B 48 8B CB 48 FF C1 66 44 39 7C 4D 00 75 F5 48 8D 46 F9 48 3B C8 73 34 4C 8B C5 C7 44 24 30 3A 00 20 00 48 8B D6 66 44 89 7C 24 34 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 77 4C 8D 44 24 30 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 4E 48 8B C3 48 FF C0 66 44 39 3C 47 75 F6 48 FF C3 66 44 39 3C 5F 75 F6 48 2B F0 48 8D 0C 5F 48 8B D6 45 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5F 41 5E 5F 5E 5D C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_36_0 {
	meta:
		name = "_get_sys_err_msg"
		size = 45
		refs = "000a __sys_nerr 001f __sys_errlist"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 63 10 48 3B DA 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 8B 04 D8 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_266_38_0 {
	meta:
		name = "_strerror"
		size = 394
		refs = "0016 _errno 001e __acrt_getptd_noexit 0046 _calloc_base 0051 _free_base 008c strncat_s 00a5 strcat_s 00b2 __sys_nerr 00c7 __sys_errlist 0146 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 48 63 28 E8 ?? ?? ?? ?? 33 FF 48 8B F0 48 85 C0 0F 84 F0 00 00 00 48 8B 40 78 41 BE 86 00 00 00 48 85 C0 75 23 8D 57 01 41 8B CE E8 ?? ?? ?? ?? 33 C9 48 89 46 78 E8 ?? ?? ?? ?? 48 8B 46 78 48 85 C0 0F 84 BE 00 00 00 40 88 38 48 85 DB 74 47 40 38 3B 74 42 48 8B 4E 78 41 B9 82 00 00 00 4C 8B C3 66 C7 44 24 58 3A 20 49 8B D6 40 88 7C 24 5A E8 ?? ?? ?? ?? 85 C0 0F 85 B3 00 00 00 48 8B 4E 78 4C 8D 44 24 58 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 E8 ?? ?? ?? ?? 48 63 08 48 3B E9 72 13 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 4C 8B 04 D8 EB 09 E8 ?? ?? ?? ?? 4C 8B 04 E8 48 8B 4E 78 48 83 C8 FF 48 FF C0 40 38 3C 01 75 F7 41 B9 84 00 00 00 49 8B D6 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 75 66 C7 44 24 50 0A 00 4C 8D 44 24 50 48 8B 4E 78 49 8B D6 E8 ?? ?? ?? ?? 85 C0 75 44 48 8B 7E 78 48 8B 5C 24 60 48 8B C7 48 8B 6C 24 68 48 83 C4 30 41 5E 5F 5E C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_266_39_0 {
	meta:
		name = "_strerror_s"
		size = 262
		refs = "001c _errno 0035 _invalid_parameter_noinfo 0080 strcpy_s 0094 strcat_s 00bf strerror_s 00eb _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 49 8B E8 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 44 8B 30 48 85 DB 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 87 00 00 00 48 85 F6 74 E5 48 83 CF FF C6 03 00 48 85 ED 74 4D 80 7D 00 00 74 47 48 8B CF 48 FF C1 80 3C 29 00 75 F7 48 8D 46 F9 48 3B C8 73 32 4C 8B C5 66 C7 44 24 50 3A 20 48 8B D6 C6 44 24 52 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 68 4C 8D 44 24 50 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 3E 48 8B C7 48 FF C0 80 3C 03 00 75 F7 48 FF C7 80 3C 3B 00 75 F7 48 2B F0 48 8D 0C 1F 48 8B D6 45 8B C6 E8 ?? ?? ?? ?? 8B D8 48 8B 6C 24 60 8B C3 48 8B 5C 24 58 48 83 C4 30 41 5E 5F 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "??$common_tcsnset_s@_W@@YAHQEA_W_K_W1@Z"
		size = 131
		refs = "006a _errno 0075 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 53 33 C0 EB 64 48 85 C9 74 4A 48 85 D2 74 45 48 8B C1 66 44 39 11 74 1C 4D 85 C9 74 28 48 83 EA 01 74 11 66 44 89 00 49 FF C9 48 83 C0 02 66 44 39 10 75 E4 4D 85 C9 75 12 EB 0A 48 83 EA 01 74 0A 48 83 C0 02 66 44 39 10 75 F0 48 85 D2 75 B1 66 44 89 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_267_1_0 {
	meta:
		name = "_wcsnset_s"
		size = 122
		refs = "0061 _errno 006c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 33 C0 4C 8B D1 4D 85 C9 75 0C 48 85 C9 75 0C 48 85 D2 75 48 EB 5B 48 85 C9 74 41 48 85 D2 74 3C EB 16 4D 85 C9 74 27 48 83 EA 01 74 10 66 44 89 01 48 83 C1 02 49 FF C9 66 39 01 75 E5 4D 85 C9 75 11 EB 0A 48 83 EA 01 74 09 48 83 C1 02 66 39 01 75 F1 48 85 D2 75 19 66 41 89 02 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_268_0_0 {
	meta:
		name = "nexttoward"
		size = 351
		refs = "0022 _dtest 003d _ldtest 00f4 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F2 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F B7 D8 BF F0 7F 00 00 66 83 F8 02 0F 84 02 01 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 66 83 F8 02 0F 84 E5 00 00 00 F2 0F 10 45 10 66 0F 2E C1 7A 06 0F 84 D4 00 00 00 B9 01 00 00 00 66 3B D9 75 1F 0F B7 45 16 B9 EF FF 00 00 66 23 C1 B9 EF 7F 00 00 66 0B C1 B9 FF FF 00 00 83 4D 12 FF EB 14 33 D2 66 85 DB 75 1A 66 0F 2F C8 B8 00 80 00 00 66 0F 47 C2 66 89 45 16 66 89 4D 10 E9 8F 00 00 00 66 0F 2F C8 0F 57 D2 76 06 66 0F 2F C2 77 0C 66 0F 2F C1 76 3A 66 0F 2F D0 76 34 66 01 4D 10 75 6E 66 01 4D 12 75 68 66 01 4D 14 75 62 0F B7 45 16 66 03 C1 0F B7 C8 0F BA F1 0F 66 89 45 16 3B CF 75 4C B9 08 00 00 00 E8 ?? ?? ?? ?? EB 40 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 2B 0F B7 45 12 66 03 C1 66 89 45 12 66 3B C1 75 1B 0F B7 45 14 66 03 C1 66 89 45 14 66 3B C1 75 0B 66 01 4D 16 EB 05 F2 0F 11 4D 10 66 85 7D 16 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_697_0_0 {
	meta:
		name = "nexttowardl"
		size = 351
		refs = "0022 _ldtest 00f4 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F2 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F B7 D8 BF F0 7F 00 00 66 83 F8 02 0F 84 02 01 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 66 83 F8 02 0F 84 E5 00 00 00 F2 0F 10 45 10 66 0F 2E C1 7A 06 0F 84 D4 00 00 00 B9 01 00 00 00 66 3B D9 75 1F 0F B7 45 16 B9 EF FF 00 00 66 23 C1 B9 EF 7F 00 00 66 0B C1 B9 FF FF 00 00 83 4D 12 FF EB 14 33 D2 66 85 DB 75 1A 66 0F 2F C8 B8 00 80 00 00 66 0F 47 C2 66 89 45 16 66 89 4D 10 E9 8F 00 00 00 66 0F 2F C8 0F 57 D2 76 06 66 0F 2F C2 77 0C 66 0F 2F C1 76 3A 66 0F 2F D0 76 34 66 01 4D 10 75 6E 66 01 4D 12 75 68 66 01 4D 14 75 62 0F B7 45 16 66 03 C1 0F B7 C8 0F BA F1 0F 66 89 45 16 3B CF 75 4C B9 08 00 00 00 E8 ?? ?? ?? ?? EB 40 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 2B 0F B7 45 12 66 03 C1 66 89 45 12 66 3B C1 75 1B 0F B7 45 14 66 03 C1 66 89 45 14 66 3B C1 75 0B 66 01 4D 16 EB 05 F2 0F 11 4D 10 66 85 7D 16 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_269_6_0 {
	meta:
		name = "?InternalCompareStringA@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDH2HH@Z"
		size = 914
		refs = "001c __security_cookie 0051 __strncnt 00d8 __imp_GetCPInfo 015d __imp_MultiByteToWideChar 01be __chkstk 01e5 _malloc_base 0339 __acrt_CompareStringEx 0355 _free_base 037d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 8D 6C 24 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 48 63 9D A0 00 00 00 45 33 E4 4C 8B AD A8 00 00 00 4D 8B F9 44 89 45 00 48 8B F9 48 89 55 08 85 DB 7E 29 48 8B D3 49 8B C9 E8 ?? ?? ?? ?? 48 8B D8 48 63 B5 B0 00 00 00 85 F6 7E 1C 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 8B F0 EB 11 83 FB FF 7D E0 33 C0 E9 F6 02 00 00 83 FE FF 7C F4 44 8B B5 B8 00 00 00 45 85 F6 75 07 48 8B 07 44 8B 70 0C BF 01 00 00 00 85 DB 74 08 85 F6 0F 85 9B 00 00 00 3B DE 75 0A B8 02 00 00 00 E9 BF 02 00 00 3B F7 7E 07 8B C7 E9 B4 02 00 00 3B DF 7E 0A B8 03 00 00 00 E9 A6 02 00 00 48 8D 55 10 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 98 85 DB 7E 2B 83 7D 10 02 72 DB 44 38 65 16 48 8D 45 16 74 D1 44 38 60 01 74 CB 41 8A 0F 3A 08 72 05 3A 48 01 76 A6 48 83 C0 02 44 38 20 EB E3 85 F6 7E 30 83 7D 10 02 72 A1 44 38 65 16 48 8D 45 16 74 97 44 38 60 01 74 91 41 8A 4D 00 3A 08 72 09 3A 48 01 0F 86 72 FF FF FF 48 83 C0 02 44 38 20 EB DE 44 89 64 24 28 44 8B CB 4D 8B C7 4C 89 64 24 20 BA 09 00 00 00 41 8B CE FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 0F 84 0C FF FF FF 49 8B D4 49 B8 F0 FF FF FF FF FF FF 0F 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 72 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 37 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 0F 84 88 01 00 00 C7 07 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 0F 84 53 01 00 00 44 89 64 24 28 44 8B CB 4D 8B C7 48 89 7C 24 20 BA 01 00 00 00 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D 01 00 00 83 64 24 28 00 44 8B CE 48 83 64 24 20 00 4D 8B C5 BA 09 00 00 00 41 8B CE FF 15 ?? ?? ?? ?? 4C 63 F8 85 C0 0F 84 03 01 00 00 4D 8B C7 4D 03 C0 49 8D 50 10 4C 3B C2 48 1B C9 48 85 CA 74 79 49 8D 48 10 4C 3B C1 48 1B C0 48 23 C1 48 3D 00 04 00 00 49 8D 40 10 77 3E 4C 3B C0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 50 48 85 DB 0F 84 85 00 00 00 C7 03 CC CC 00 00 EB 1C 4C 3B C0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 54 44 89 7C 24 28 44 8B CE 4D 8B C5 48 89 5C 24 20 BA 01 00 00 00 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 32 48 83 64 24 40 00 45 8B CC 48 83 64 24 38 00 4C 8B C7 48 83 64 24 30 00 8B 55 00 48 8B 4D 08 44 89 7C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 48 85 DB 74 15 48 8D 4B F0 81 39 DD DD 00 00 75 09 E8 ?? ?? ?? ?? EB 02 33 F6 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8D 65 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_269_10_0 {
	meta:
		name = "__acrt_CompareStringA"
		size = 137
		refs = "0021 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0062 ?InternalCompareStringA@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDH2HH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B F2 49 8B D9 48 8B D1 41 8B F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 84 24 A8 00 00 00 48 8D 4C 24 48 89 44 24 38 4C 8B CB 8B 84 24 A0 00 00 00 44 8B C7 89 44 24 30 48 8B D6 48 8B 84 24 98 00 00 00 48 89 44 24 28 8B 84 24 90 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_270_0_0 {
	meta:
		name = "atan2"
		size = 1872
		refs = "00e5 _handle_nan 010f __real@c00921fb54442d18 011c __real@400921fb54442d18 0132 __real@bff921fb54442d18 0141 _set_statfp 0180 __real@4010000000000000 0192 __real@c010000000000000 0264 __real@3ff921fb54442d18 0290 __real@8000000000000000 03c1 __real@c002d97c7f3321d2 03cb __real@4002d97c7f3321d2 03da __real@bfe921fb54442d18 03e4 __real@3fe921fb54442d18 03f3 __xmm@80000000000000008000000000000000 042e __real@3fb0000000000000 043c __real@4070000000000000 0443 __ImageBase 0454 __real@3fe0000000000000 0464 ?atan_jby256_tail@?1??atan2@@9@9 046e ?atan_jby256_lead@?1??atan2@@9@9 04a7 __real@3f70000000000000 0587 __real@3fd5555555550877 05a4 __real@3fc99992b9802d7d 05c1 __real@3e45798ee2308c3a 0657 __real@3fbc718839b8c4eb 066c __real@3fb70c3192d751c2 067d __real@3fc2492482bd6be1 068d __real@3fc99999999643a3 069d __real@3fd5555555555538 06d0 __real@3c91a62633145c07 06ed __real@400921fb50000000 06f5 __real@3e6110b4611a6263"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 33 DB 0F 29 70 B8 0F 29 78 A8 48 BA FF FF FF FF FF FF FF 7F 44 0F 29 40 98 49 BA 00 00 00 00 00 00 F0 7F 44 0F 29 48 88 41 BB FF 07 00 00 F2 0F 11 8C 24 B0 00 00 00 44 8B CB 4C 8B B4 24 B0 00 00 00 44 8B C3 F2 0F 11 84 24 B0 00 00 00 49 8B C6 4C 8B BC 24 B0 00 00 00 48 23 C2 49 8B CF 44 0F 29 54 24 20 48 23 CA 4D 8B E6 49 C1 EC 34 48 BA 00 00 00 00 00 00 00 80 45 23 E3 4D 8B EF 49 C1 ED 34 49 8B EE 48 23 EA 45 23 EB 49 8B F7 41 8B FD 48 23 F2 44 0F 28 C9 48 85 C0 8B D3 44 0F 28 C0 0F 94 C2 49 3B C2 41 0F 94 C1 49 3B CA 44 89 8C 24 B8 00 00 00 41 0F 94 C0 41 2B FC 44 89 84 24 B0 00 00 00 49 3B C2 76 0D 49 8B CE E8 ?? ?? ?? ?? E9 31 06 00 00 49 3B CA 76 05 49 8B CF EB EC 48 85 C9 75 28 48 85 ED 0F 84 19 06 00 00 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 63 02 00 00 F2 0F 10 35 ?? ?? ?? ?? E9 56 02 00 00 85 D2 74 3C 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 40 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 44 8B 84 24 B0 00 00 00 49 BA 00 00 00 00 00 00 F0 7F 44 8B 8C 24 B8 00 00 00 41 BB FF 07 00 00 B8 FD 03 00 00 44 3B E0 0F 8D DF 00 00 00 44 3B E8 0F 8D D6 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 B9 00 00 00 00 00 00 00 40 F2 0F 10 15 ?? ?? ?? ?? 48 BA 00 00 00 00 00 00 10 40 4D 85 F2 75 36 4C 0B F2 4C 89 B4 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 48 85 ED 74 06 F2 0F 58 C1 EB 04 F2 0F 58 C2 F2 0F 11 84 24 B0 00 00 00 48 8B 84 24 B0 00 00 00 EB 04 49 8D 04 0E 4D 85 FA 75 36 4C 0B FA 4C 89 BC 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 48 85 F6 74 06 F2 0F 58 C1 EB 04 F2 0F 58 C2 F2 0F 11 84 24 B0 00 00 00 48 8B BC 24 B0 00 00 00 EB 04 49 8D 3C 0F 48 89 84 24 B0 00 00 00 F2 44 0F 10 8C 24 B0 00 00 00 48 89 BC 24 B0 00 00 00 F2 44 0F 10 84 24 B0 00 00 00 48 C1 EF 34 48 C1 E8 34 41 23 FB 41 23 C3 2B F8 83 FF 38 7E 16 48 85 F6 0F 85 CE FE FF FF F2 0F 10 35 ?? ?? ?? ?? E9 0E 01 00 00 83 FF E4 0F 8D 25 01 00 00 48 85 ED 0F 85 1C 01 00 00 81 FF CE FB FF FF 7D 1A 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 E2 00 00 00 0F 57 F6 E9 DA 00 00 00 81 FF 02 FC FF FF 0F 8D E0 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 B9 00 00 00 00 00 00 00 80 48 89 84 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 F2 41 0F 59 C0 F2 41 0F 5E C1 F2 0F 11 84 24 B0 00 00 00 48 8B 84 24 B0 00 00 00 4C 8B C0 4C 23 C1 48 B9 FF FF FF FF FF FF FF 7F 48 23 C1 48 8B C8 48 C1 E9 34 41 23 CB 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 38 48 BA FF FF FF FF FF FF 1F 80 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 BA 01 00 00 00 2B D1 83 FA 36 7F 12 8D 4A FF 48 D3 E8 48 8B D8 83 E0 01 48 D1 EB 48 03 D8 49 0B D8 48 89 9C 24 B0 00 00 00 F2 0F 10 B4 24 B0 00 00 00 49 85 DA 75 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 92 03 00 00 F2 45 0F 5E C1 41 0F 28 C0 E9 84 03 00 00 83 FF C8 7D 09 48 85 ED 0F 85 5D FD FF FF 45 85 C0 74 3C 45 85 C9 74 37 48 85 ED 74 19 48 85 F6 74 0A F2 0F 10 35 ?? ?? ?? ?? EB B4 F2 0F 10 35 ?? ?? ?? ?? EB AA 48 85 F6 74 0A F2 0F 10 35 ?? ?? ?? ?? EB 9B F2 0F 10 35 ?? ?? ?? ?? EB 91 48 85 ED 74 08 44 0F 57 0D ?? ?? ?? ?? 48 85 F6 74 08 44 0F 57 05 ?? ?? ?? ?? 66 45 0F 2F C1 44 8B CB 41 0F 97 C1 45 85 C9 74 0C 41 0F 28 C1 45 0F 28 C8 44 0F 28 C0 41 0F 28 E8 F2 41 0F 5E E9 66 0F 2F 2D ?? ?? ?? ?? 0F 86 85 01 00 00 F2 0F 59 2D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 41 BA FF 03 00 00 0F 57 F6 F2 0F 58 2D ?? ?? ?? ?? F2 0F 2C D5 8D 4A F0 F2 0F 10 BC C8 ?? ?? ?? ?? F2 44 0F 10 94 C8 ?? ?? ?? ?? F2 44 0F 11 8C 24 B0 00 00 00 4C 8B 84 24 B0 00 00 00 49 C1 E8 34 8B C2 45 23 C3 45 2B C2 41 F7 D8 F2 48 0F 2A F0 41 8B C0 99 2B C2 D1 F8 48 63 C8 F2 0F 59 35 ?? ?? ?? ?? 49 03 CA 48 C1 E1 34 48 89 8C 24 B0 00 00 00 41 8B C8 F2 0F 10 AC 24 B0 00 00 00 2B C8 F2 41 0F 59 E9 48 63 C1 49 03 C2 48 C1 E0 34 48 89 84 24 B0 00 00 00 41 8B C0 F2 0F 10 84 24 B0 00 00 00 99 F2 0F 59 E8 2B C2 D1 F8 48 63 C8 44 2B C0 49 03 CA 49 63 C0 49 03 C2 48 C1 E1 34 48 89 8C 24 B0 00 00 00 0F 28 CD F2 0F 10 A4 24 B0 00 00 00 48 C1 E0 34 48 89 84 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 F2 0F 11 AC 24 B0 00 00 00 48 8B 84 24 B0 00 00 00 F2 41 0F 59 E0 48 25 00 00 00 F8 48 89 84 24 B0 00 00 00 F2 0F 10 94 24 B0 00 00 00 F2 0F 5C CA F2 0F 59 E0 0F 28 C2 F2 0F 59 C6 F2 0F 59 CE 0F 28 DC F2 0F 59 F4 F2 0F 5C D8 F2 0F 58 F5 F2 0F 5C D9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5E DE 0F 28 D3 0F 28 EB F2 0F 59 D3 F2 0F 58 EF 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 CA F2 0F 59 CB F2 0F 5C E9 E9 02 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 45 0F 57 D2 66 0F 2F C5 0F 87 EC 00 00 00 F2 44 0F 11 8C 24 B0 00 00 00 48 B9 00 00 00 00 FF FF FF FF 48 8B 84 24 B0 00 00 00 0F 28 E5 F2 0F 59 E5 48 23 C1 48 89 84 24 B0 00 00 00 F2 0F 10 9C 24 B0 00 00 00 41 0F 28 C9 F2 0F 5C CB F2 0F 11 AC 24 B0 00 00 00 48 8B 84 24 B0 00 00 00 48 23 C1 48 89 84 24 B0 00 00 00 F2 0F 10 94 24 B0 00 00 00 F2 0F 59 CA 0F 28 C2 F2 0F 59 C3 F2 44 0F 5C C0 0F 28 C5 F2 0F 5C C2 F2 44 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 59 C1 F2 44 0F 5C C0 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 45 0F 5E C1 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 59 E5 F2 0F 5C C1 F2 0F 59 C4 F2 44 0F 5C C0 F2 44 0F 58 C5 41 0F 28 E8 45 85 C9 74 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 44 0F 28 D0 0F 28 E9 48 85 ED 74 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 44 0F 28 D0 0F 28 E9 F2 44 0F 58 D5 48 85 F6 74 08 44 0F 57 15 ?? ?? ?? ?? 41 0F 28 C2 0F 28 74 24 60 4C 8D 5C 24 70 49 8B 5B 50 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 0F 28 7C 24 50 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_270_5_0 {
	meta:
		name = "scaleUpDouble1024"
		size = 105
		refs = "003d __real@4010000000000000 0047 __real@c010000000000000"
	strings:
		$1 = { 48 B8 00 00 00 00 00 00 F0 7F 48 85 C8 75 49 49 B8 00 00 00 00 00 00 10 40 48 8B C1 49 0B C0 48 89 44 24 08 48 B8 00 00 00 00 00 00 00 80 F2 0F 10 44 24 08 48 85 C8 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 08 48 8B 44 24 08 EB 0D 48 B8 00 00 00 00 00 00 00 40 48 03 C1 48 89 02 C3 }
	condition:
		$1
}

rule file_271_0_0 {
	meta:
		name = "ctanhf"
		size = 385
		refs = "0021 crealf 002f cimagf 003d _fdtest 0065 _FZero_C 006c __xmm@80000000800000008000000080000000 007f __real@bf800000 008c __real@3f800000 00b6 __real@00000000 00d7 _FNan_C 00e6 tanf 00f3 sinhf 0120 _FInf_C 014f sqrtf 0160 _FCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 48 8B EC 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 48 89 4D C0 E8 ?? ?? ?? ?? 48 8B 4D C0 F3 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 F3 0F 11 45 18 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 42 B8 00 80 00 00 0F 57 C0 66 85 45 1A 74 11 F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 28 C8 0F 2F 45 20 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 D7 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 CA 00 00 00 66 83 F8 02 75 0D F3 0F 10 4D 18 0F 28 C1 E9 B7 00 00 00 66 83 FB 02 75 1F F3 0F 10 4D 18 0F 2E 0D ?? ?? ?? ?? 7A 02 74 05 F3 0F 10 4D 20 F3 0F 10 45 20 E9 92 00 00 00 66 83 F8 01 75 0D F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 EB 7F F3 0F 10 45 18 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 20 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 0F 28 FE F3 0F 59 FE F3 0F 58 FA F3 0F 59 F8 44 0F 28 C7 F3 44 0F 59 C0 F3 44 0F 58 C2 44 0F 2E 05 ?? ?? ?? ?? 7A 1B 75 19 0F 57 C9 0F 2F C8 76 08 F3 0F 10 15 ?? ?? ?? ?? F3 0F 59 F1 0F 28 C2 EB 1B F3 0F 59 C0 F3 41 0F 5E F0 F3 0F 58 C2 E8 ?? ?? ?? ?? F3 0F 59 C7 F3 41 0F 5E C0 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 50 4C 8D 5C 24 60 49 8B 5B 28 45 0F 28 43 D0 0F 28 7C 24 40 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_272_0_0 {
	meta:
		name = "_cgets"
		size = 115
		refs = "001a __doserrno 0021 _errno 002c _invalid_parameter_noinfo 004f _cgets_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B F1 48 85 C9 75 1B E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2F 40 38 39 7E E0 48 0F BE 11 48 8D 59 02 48 8B CB 48 89 7C 24 30 4C 8D 44 24 30 E8 ?? ?? ?? ?? 8A 4C 24 30 85 C0 88 4E 01 48 0F 44 FB 48 8B C7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_272_1_0 {
	meta:
		name = "_cgets_s"
		size = 292
		refs = "002d __doserrno 0035 _errno 0041 _invalid_parameter_noinfo 006f __acrt_lock 0094 _cgetws_s 00bc wctomb_s 00e8 __console_wchar_buffer 00ee __console_wchar_buffer_used 00fc __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 40 4D 8B F0 48 8B FA 48 8B D9 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 C4 00 00 00 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 D3 44 88 39 41 8B C7 4D 85 C0 0F 95 C0 85 C0 74 C3 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 4D 89 3E 48 FF CF 48 89 7C 24 28 4C 89 7C 24 20 4C 8D 44 24 20 BA 02 00 00 00 48 8D 4C 24 78 E8 ?? ?? ?? ?? 8B F0 85 C0 75 58 8B 4C 24 78 66 85 C9 74 4F 44 89 7C 24 60 44 0F B7 C9 4C 8B C7 48 8B D3 48 8D 4C 24 60 E8 ?? ?? ?? ?? 85 C0 75 1C 48 63 44 24 60 48 03 D8 48 89 5C 24 30 49 01 06 48 2B F8 48 89 7C 24 28 74 18 EB 9F 0F B7 44 24 78 66 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 B9 09 00 00 00 E8 ?? ?? ?? ?? 44 88 3B 85 F6 74 07 E8 ?? ?? ?? ?? 89 30 8B C6 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_273_0_0 {
	meta:
		name = "ilogb"
		size = 70
		refs = "0015 _dunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1C 83 E9 01 74 10 83 F9 01 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_669_0_0 {
	meta:
		name = "ilogbl"
		size = 70
		refs = "0015 _ldunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1C 83 E9 01 74 10 83 F9 01 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_274_0_0 {
	meta:
		name = "_call_matherr"
		size = 101
		refs = "0040 _ctrlfp 004a __acrt_invoke_user_matherr 0055 _set_errno_from_matherr"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 50 F2 0F 10 84 24 80 00 00 00 8B D9 F2 0F 10 8C 24 88 00 00 00 BA C0 FF 00 00 89 48 C8 48 8B 8C 24 90 00 00 00 F2 0F 11 40 E0 F2 0F 11 48 E8 F2 0F 11 58 D8 4C 89 40 D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_274_1_0 {
	meta:
		name = "_exception_enabled"
		size = 185
		refs = "0028 _set_statfp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B D9 48 8B F2 83 E3 1F 8B F9 F6 C1 08 74 13 84 D2 79 0F B9 01 00 00 00 E8 ?? ?? ?? ?? 83 E3 F7 EB 57 B9 04 00 00 00 40 84 F9 74 11 48 0F BA E2 09 73 0A E8 ?? ?? ?? ?? 83 E3 FB EB 3C 40 F6 C7 01 74 16 48 0F BA E2 0A 73 0F B9 08 00 00 00 E8 ?? ?? ?? ?? 83 E3 FE EB 20 40 F6 C7 02 74 1A 48 0F BA E2 0B 73 13 40 F6 C7 10 74 0A B9 10 00 00 00 E8 ?? ?? ?? ?? 83 E3 FD 40 F6 C7 10 74 14 48 0F BA E6 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 48 8B 74 24 38 33 C0 85 DB 48 8B 5C 24 30 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_274_2_0 {
	meta:
		name = "_handle_error"
		size = 295
		refs = "001b __security_cookie 003c _ctrlfp 005f _exception_enabled 00a8 _raise_exc 00ad __acrt_has_user_matherr 00e3 _call_matherr 00ec _set_errno_from_matherr 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 C9 48 81 EC F0 00 00 00 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 8B F2 4C 8B F1 BA C0 FF 00 00 B9 80 1F 00 00 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 5F 48 89 44 24 40 48 89 5C 24 50 F2 0F 10 44 24 50 48 8B 54 24 40 F2 0F 11 44 24 48 E8 ?? ?? ?? ?? F2 0F 10 75 77 85 C0 75 40 83 7D 7F 02 75 11 8B 45 BF 83 E0 E3 F2 0F 11 75 AF 83 C8 03 89 45 BF 44 8B 45 5F 48 8D 44 24 48 48 89 44 24 28 48 8D 54 24 40 48 8D 45 6F 44 8B CE 48 8D 4C 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 85 FF 74 30 48 8B 44 24 40 4D 8B C6 F2 0F 10 44 24 48 8B CF F2 0F 10 5D 6F 8B 55 67 48 89 44 24 30 F2 0F 11 44 24 28 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? EB 1C 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 40 BA C0 FF 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 48 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 E0 00 00 00 48 81 C4 F0 00 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_274_3_0 {
	meta:
		name = "_handle_errorf"
		size = 307
		refs = "001b __security_cookie 003c _ctrlfp 005e _exception_enabled 00a7 _raise_excf 00ac __acrt_has_user_matherr 00eb _call_matherr 00f8 _set_errno_from_matherr 0119 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 C9 48 81 EC F0 00 00 00 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 8B F2 4C 8B F1 BA C0 FF 00 00 B9 80 1F 00 00 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 5F 48 89 44 24 48 89 5C 24 50 F3 0F 10 44 24 50 48 8B 54 24 48 F3 0F 11 44 24 40 E8 ?? ?? ?? ?? F3 0F 10 75 77 85 C0 75 40 83 7D 7F 02 75 11 8B 45 BF 83 E0 E1 F3 0F 11 75 AF 83 C8 01 89 45 BF 44 8B 45 5F 48 8D 44 24 40 48 89 44 24 28 48 8D 54 24 48 48 8D 45 6F 44 8B CE 48 8D 4C 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 85 FF 74 3D F3 0F 10 44 24 40 4D 8B C6 F3 0F 10 5D 6F 8B CF 48 8B 44 24 48 8B 55 67 48 89 44 24 30 0F 5A C0 0F 5A CE F2 0F 11 44 24 28 0F 5A DB F2 0F 11 4C 24 20 E8 ?? ?? ?? ?? F2 0F 5A C0 EB 1C 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 48 BA C0 FF 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 E0 00 00 00 48 81 C4 F0 00 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_274_4_0 {
	meta:
		name = "_handle_nan"
		size = 25
	strings:
		$1 = { 48 B8 00 00 00 00 00 00 08 00 48 0B C8 48 89 4C 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_275_1_0 {
	meta:
		name = "?shortsort@@YAXPEAD0_KP6AHPEBX2@Z@Z"
		size = 188
		refs = "005b __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 3B D1 0F 86 B2 00 00 00 48 89 6C 24 20 57 41 56 41 57 48 83 EC 20 48 89 5C 24 40 4D 8B F9 48 89 74 24 48 49 8B E8 4C 89 64 24 50 48 8B FA 4E 8D 24 01 4C 8B F1 66 66 0F 1F 84 00 00 00 00 00 49 8B DE 49 8B F4 4C 3B E7 77 22 0F 1F 44 00 00 48 8B D3 48 8B CE 49 8B C7 FF 15 ?? ?? ?? ?? 85 C0 48 0F 4F DE 48 03 F5 48 3B F7 76 E3 4C 8B C5 48 8B C7 48 3B DF 74 1E 48 85 ED 74 19 48 2B DF 0F B6 08 0F B6 14 03 88 0C 03 88 10 48 8D 40 01 49 83 E8 01 75 EA 48 2B FD 49 3B FE 77 A2 4C 8B 64 24 50 48 8B 74 24 48 48 8B 5C 24 40 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_275_3_0 {
	meta:
		name = "qsort"
		size = 799
		refs = "0010 __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 00b3 ?shortsort@@YAXPEAD0_KP6AHPEBX2@Z@Z 00e2 __guard_dispatch_icall_fptr 030e __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 56 48 81 EC 40 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 00 04 00 00 4D 8B F1 49 8B E8 4C 8B E1 48 85 C9 75 1A 48 85 D2 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 BB 02 00 00 4D 85 C0 74 E6 4D 85 C9 74 E1 48 83 FA 02 0F 82 A7 02 00 00 48 89 9C 24 38 04 00 00 48 89 B4 24 30 04 00 00 48 89 BC 24 28 04 00 00 4C 89 AC 24 20 04 00 00 4C 89 BC 24 18 04 00 00 4C 8D 7A FF 4C 0F AF FD 4C 03 F9 45 33 ED 33 D2 49 8B C7 49 2B C4 49 8B CC 48 F7 F5 48 8D 70 01 48 83 FE 08 77 27 4D 8B CE 4C 8B C5 49 8B D7 E8 ?? ?? ?? ?? 49 83 ED 01 0F 88 19 02 00 00 4E 8B 64 EC 20 4E 8B BC EC 10 02 00 00 EB C1 48 D1 EE 49 8B C6 48 0F AF F5 49 03 F4 48 8B D6 FF 15 ?? ?? ?? ?? 85 C0 7E 2E 4C 8B C5 48 8B D6 4C 3B E6 74 23 4D 8B CC 4C 2B CE 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 49 8B D7 49 8B CC 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7E 2D 4C 8B C5 49 8B D7 4D 3B E7 74 22 4D 8B CC 4D 2B CF 0F 1F 40 00 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 49 8B D7 48 8B CE 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7E 2D 4C 8B C5 49 8B D7 49 3B F7 74 22 4C 8B CE 4D 2B CF 0F 1F 40 00 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 49 8B DC 49 8B FF 66 90 48 3B F3 76 20 48 03 DD 48 3B DE 73 18 48 8B D6 48 8B CB 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7E E5 48 3B F3 77 1B 48 03 DD 49 3B DF 77 13 48 8B D6 48 8B CB 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7E E5 48 2B FD 48 3B FE 76 13 48 8B D6 48 8B CF 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 7F E5 48 3B FB 72 3A 4C 8B C5 48 8B D7 48 3B DF 74 1E 4C 8B CB 4C 2B CF 0F B6 02 41 0F B6 0C 11 41 88 04 11 88 0A 48 8D 52 01 49 83 E8 01 75 E8 48 3B F7 0F 85 6E FF FF FF 48 8B F3 E9 66 FF FF FF 48 03 FD 48 3B F7 73 20 48 2B FD 48 3B FE 76 18 48 8B D6 48 8B CF 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 74 E5 48 3B F7 72 1B 48 2B FD 49 3B FC 76 13 48 8B D6 48 8B CF 49 8B C6 FF 15 ?? ?? ?? ?? 85 C0 74 E5 49 8B CF 48 8B C7 48 2B CB 49 2B C4 48 3B C1 7C 26 4C 3B E7 73 10 4E 89 64 EC 20 4A 89 BC EC 10 02 00 00 49 FF C5 49 3B DF 0F 83 0B FE FF FF 4C 8B E3 E9 DD FD FF FF 49 3B DF 73 10 4A 89 5C EC 20 4E 89 BC EC 10 02 00 00 49 FF C5 4C 3B E7 0F 83 E5 FD FF FF 4C 8B FF E9 B7 FD FF FF 4C 8B AC 24 20 04 00 00 48 8B BC 24 28 04 00 00 48 8B B4 24 30 04 00 00 48 8B 9C 24 38 04 00 00 4C 8B BC 24 18 04 00 00 48 8B 8C 24 00 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 04 00 00 41 5E 41 5C 5D C3 }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "ccosf"
		size = 65
		refs = "000f crealf 001c cimagf 0023 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 ccoshf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "wcspbrk"
		size = 55
	strings:
		$1 = { 4C 8B C2 45 33 C9 66 44 39 09 74 28 49 8B C0 66 45 39 08 74 15 41 0F B7 10 66 3B 11 74 12 48 83 C0 02 0F B7 10 66 85 D2 75 EF 48 83 C1 02 EB D6 48 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "fesetexceptflag"
		size = 97
		refs = "001e _getfpstatusword 0027 __acrt_fenv_get_fp_status_word_from_exception_mask 003a _setfpstatusword 0044 fetestexcept"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 F6 C2 1F 75 04 33 C0 EB 34 E8 ?? ?? ?? ?? 8B CF 8B D8 E8 ?? ?? ?? ?? 8B 0E 8B F8 23 C8 F7 D7 23 FB 0B F9 8B CF E8 ?? ?? ?? ?? 83 E7 1F 8B CF E8 ?? ?? ?? ?? 33 C9 3B C7 0F 95 C1 8B C1 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_279_0_0 {
	meta:
		name = "c32rtomb"
		size = 221
		refs = "0007 __security_cookie 00d4 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 44 8B CA 4C 8B C1 48 85 C9 75 07 4C 8D 04 24 45 33 C9 41 F7 C1 80 FF FF FF 75 0C 45 88 08 49 8D 40 01 E9 8E 00 00 00 41 8B C1 41 F7 C1 00 F8 FF FF 75 0D C1 E8 06 41 BA 01 00 00 00 0C C0 EB 4D 41 F7 C1 00 00 FF FF 75 0D C1 E8 0C 41 BA 02 00 00 00 0C E0 EB 37 41 F7 C1 00 00 E0 FF 75 0D C1 E8 12 41 BA 03 00 00 00 0C F0 EB 21 41 F7 C1 00 00 00 FC 75 0D C1 E8 18 41 BA 04 00 00 00 0C F8 EB 0B C1 E8 1E 41 BA 05 00 00 00 0C FC 43 8D 0C 52 41 88 00 03 C9 49 8D 40 01 83 E9 06 41 8B D1 D3 EA 41 FF CA 80 E2 3F 80 CA 80 88 10 48 FF C0 45 85 D2 7F E5 49 2B C0 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "clog10f"
		size = 35
		refs = "000a clogf 0012 __real@3ede5bd9 001a _FCmulcr"
	strings:
		$1 = { 48 83 EC 38 48 89 4C 24 20 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "_getdllprocaddr"
		size = 33
		refs = "0014 __imp_GetProcAddress"
	strings:
		$1 = { 48 85 D2 75 13 49 81 F8 FF FF 00 00 7F 10 49 8B D0 48 FF 25 ?? ?? ?? ?? 49 83 F8 FF 74 F3 33 C0 C3 }
	condition:
		$1
}

rule file_283_4_0 {
	meta:
		name = "_stricoll"
		size = 21
		refs = "0002 __acrt_locale_changed_data 0009 _stricmp 0011 _stricoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_283_5_0 {
	meta:
		name = "_stricoll_l"
		size = 184
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0051 _stricmp 007d __acrt_CompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 60 48 8B DA 48 8B F9 49 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 57 48 8B 44 24 48 48 8B 90 30 01 00 00 48 85 D2 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 43 8B 40 14 48 8D 4C 24 48 89 44 24 38 4C 8B CF 83 C8 FF 41 B8 01 10 00 00 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_284_4_0 {
	meta:
		name = "_wcsxfrm_l"
		size = 363
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0064 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0083 wcsncpy 00b4 __acrt_LCMapStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 41 BC FF FF FF 7F 49 8B E8 4C 8B F2 48 8B F1 4D 3B C4 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 49 8B C4 E9 03 01 00 00 45 33 FF 48 85 C9 75 05 4D 85 C0 75 DB 48 85 D2 74 D6 49 8B D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 8B 88 30 01 00 00 48 85 C9 75 21 4C 8B C5 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 83 CF FF 48 FF C7 66 45 39 3C 7E 75 F6 E9 9C 00 00 00 48 83 CF FF 44 89 7C 24 28 44 8B CF 4C 89 7C 24 20 4D 8B C6 BA 00 04 00 00 E8 ?? ?? ?? ?? 8B D8 85 C0 75 10 E8 ?? ?? ?? ?? 41 8B DC C7 00 2A 00 00 00 EB 65 3B C5 7F 46 48 8B 4C 24 38 44 8B CF 89 6C 24 28 4D 8B C6 BA 00 04 00 00 48 89 74 24 20 48 8B 89 30 01 00 00 E8 ?? ?? ?? ?? 48 63 D8 85 C0 74 C0 48 8B CB FF CB 48 85 C9 74 2B 48 83 E9 01 0F B6 04 0E 66 89 04 4E 75 F2 EB 1B 48 85 F6 74 14 48 85 ED 74 0F 66 44 89 3E E8 ?? ?? ?? ?? C7 00 22 00 00 00 FF CB 48 63 FB 44 38 7C 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B C7 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_285_1_0 {
	meta:
		name = "iswctype"
		size = 112
		refs = "0028 _pwctype 0053 __imp_GetStringTypeW"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 B8 FF FF 00 00 0F B7 DA 66 3B C8 75 04 33 C0 EB 4A B8 00 01 00 00 66 3B C8 73 10 48 8B 05 ?? ?? ?? ?? 0F B7 C9 0F B7 04 48 EB 2B 33 FF 66 89 4C 24 40 4C 8D 4C 24 30 66 89 7C 24 30 48 8D 54 24 40 8D 4F 01 44 8B C1 FF 15 ?? ?? ?? ?? 85 C0 74 BC 0F B7 44 24 30 0F B7 CB 23 C1 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_286_5_0 {
	meta:
		name = "_mbscmp_l"
		size = 237
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002f _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 F6 48 85 DB 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 82 00 00 00 4C 8B 44 24 30 41 39 70 08 75 1A 48 2B FB 8A 03 3A 04 3B 75 09 48 FF C3 84 C0 75 F2 EB 59 1B C0 83 C8 01 EB 5D 0F B6 0B 48 FF C3 42 F6 44 01 19 04 74 16 40 38 33 75 04 8B CE EB 0D 0F B6 03 66 C1 E1 08 66 0B C8 48 FF C3 0F B6 17 48 FF C7 42 F6 44 02 19 04 74 16 40 38 37 75 04 8B D6 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 09 66 85 C9 75 AE 8B C6 EB 07 1B C0 83 E0 02 FF C8 40 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_287_2_0 {
	meta:
		name = "??$common_chdir@D@@YAHQEBD@Z"
		size = 314
		refs = "0018 __security_cookie 002f __doserrno 0036 _errno 0041 _invalid_parameter_noinfo 004f __imp_SetCurrentDirectoryA 0059 __imp_GetLastError 0060 __acrt_errno_map_os_error 0086 _calloc_base 0091 _free_base 00ae __imp_GetCurrentDirectoryA 00d0 toupper 00f0 __imp_SetEnvironmentVariableA 011e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 33 F6 48 85 C9 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C5 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB DF 41 BE 05 01 00 00 48 8D 54 24 30 41 8B CE 48 8B FE EB 33 41 3B EE 72 3C 8B CD BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 8B FB E8 ?? ?? ?? ?? 48 85 DB 74 61 44 8B F5 48 8B D3 8B CD FF 15 ?? ?? ?? ?? 8B E8 85 C0 75 C1 EB 3E 8A 44 24 30 3C 5C 74 04 3C 2F 75 06 3A 44 24 31 74 3C 0F BE C8 E8 ?? ?? ?? ?? 48 8D 54 24 30 C6 44 24 20 3D 48 8D 4C 24 20 88 44 24 21 66 C7 44 24 22 3A 00 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CE FF 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_287_3_0 {
	meta:
		name = "??$common_chdir@_W@@YAHQEB_W@Z"
		size = 327
		refs = "0018 __security_cookie 002f __doserrno 0036 _errno 0041 _invalid_parameter_noinfo 004f __imp_SetCurrentDirectoryW 0059 __imp_GetLastError 0060 __acrt_errno_map_os_error 0086 _calloc_base 0091 _free_base 00ae __imp_GetCurrentDirectoryW 00d6 toupper 00fd __imp_SetEnvironmentVariableW 012b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 33 F6 48 85 C9 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D2 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB DF 41 BE 05 01 00 00 48 8D 54 24 30 41 8B CE 48 8B FE EB 33 41 3B EE 72 3C 8B CD BA 02 00 00 00 E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 33 C9 48 8B FB E8 ?? ?? ?? ?? 48 85 DB 74 6E 44 8B F5 48 8B D3 8B CD FF 15 ?? ?? ?? ?? 8B E8 85 C0 75 C1 EB 4B 0F B7 44 24 30 66 83 F8 5C 74 06 66 83 F8 2F 75 07 66 3B 44 24 32 74 43 0F BE C8 E8 ?? ?? ?? ?? B9 3D 00 00 00 66 89 44 24 22 66 89 4C 24 20 48 8D 54 24 30 48 8D 4C 24 20 C7 44 24 24 3A 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CE FF 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_287_8_0 {
	meta:
		name = "??$set_cwd_environment_variable@D@@YAHQEBD@Z"
		size = 92
		refs = "0020 toupper 003e __imp_SetEnvironmentVariableA 0048 __imp_GetLastError 004f __acrt_errno_map_os_error"
	strings:
		$1 = { 40 53 48 83 EC 20 8A 01 48 8B D9 3C 5C 74 04 3C 2F 75 09 3A 41 01 75 04 33 C0 EB 3A 0F BE C8 E8 ?? ?? ?? ?? 48 8B D3 C6 44 24 30 3D 48 8D 4C 24 30 88 44 24 31 66 C7 44 24 32 3A 00 FF 15 ?? ?? ?? ?? 85 C0 75 D2 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_287_9_0 {
	meta:
		name = "??$set_cwd_environment_variable@_W@@YAHQEB_W@Z"
		size = 142
		refs = "000d __security_cookie 0039 toupper 005e __imp_SetEnvironmentVariableW 0068 __imp_GetLastError 006f __acrt_errno_map_os_error 007f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 0F B7 01 48 8B D9 66 83 F8 5C 74 06 66 83 F8 2F 75 0A 66 3B 41 02 75 04 33 C0 EB 41 0F BE 09 E8 ?? ?? ?? ?? B9 3D 00 00 00 66 89 44 24 22 66 89 4C 24 20 48 8B D3 48 8D 4C 24 20 C7 44 24 24 3A 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 CB FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_287_22_0 {
	meta:
		name = "_chdir"
		size = 346
		refs = "0018 __security_cookie 002f __doserrno 0036 _errno 0041 _invalid_parameter_noinfo 004c __imp_SetCurrentDirectoryA 0056 __imp_GetLastError 005d __acrt_errno_map_os_error 0087 _calloc_base 0092 _free_base 00af __imp_GetCurrentDirectoryA 00df __security_check_cookie 0115 toupper 0135 __imp_SetEnvironmentVariableA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 33 F6 48 85 C9 75 1C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 6B 41 BE 05 01 00 00 48 8D 54 24 30 41 8B CE 48 8B DE EB 37 41 3B EE 0F 82 80 00 00 00 8B CD BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 33 C9 48 8B DF E8 ?? ?? ?? ?? 48 85 FF 74 56 44 8B F5 48 8B D7 8B CD FF 15 ?? ?? ?? ?? 8B E8 85 C0 75 BD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 83 CE FF 8B C6 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 33 C9 EB CA 8A 44 24 30 3C 5C 74 04 3C 2F 75 06 3A 44 24 31 74 3C 0F BE C8 E8 ?? ?? ?? ?? 48 8D 54 24 30 C6 44 24 20 3D 48 8D 4C 24 20 88 44 24 21 66 C7 44 24 22 3A 00 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CE FF 48 8B CB E8 ?? ?? ?? ?? E9 77 FF FF FF }
	condition:
		$1
}

rule file_287_23_0 {
	meta:
		name = "_wchdir"
		size = 359
		refs = "0018 __security_cookie 002f __doserrno 0036 _errno 0041 _invalid_parameter_noinfo 004c __imp_SetCurrentDirectoryW 0056 __imp_GetLastError 005d __acrt_errno_map_os_error 0087 _calloc_base 0092 _free_base 00af __imp_GetCurrentDirectoryW 00df __security_check_cookie 011b toupper 0142 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 33 F6 48 85 C9 75 1C E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 6B 41 BE 05 01 00 00 48 8D 54 24 30 41 8B CE 48 8B DE EB 37 41 3B EE 0F 82 80 00 00 00 8B CD BA 02 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 33 C9 48 8B DF E8 ?? ?? ?? ?? 48 85 FF 74 56 44 8B F5 48 8B D7 8B CD FF 15 ?? ?? ?? ?? 8B E8 85 C0 75 BD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 83 CE FF 8B C6 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 33 C9 EB CA 0F B7 44 24 30 66 83 F8 5C 74 06 66 83 F8 2F 75 07 66 3B 44 24 32 74 43 0F BE C8 E8 ?? ?? ?? ?? B9 3D 00 00 00 66 89 44 24 22 66 89 4C 24 20 48 8D 54 24 30 48 8D 4C 24 20 C7 44 24 24 3A 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CE FF 48 8B CB E8 ?? ?? ?? ?? E9 6A FF FF FF }
	condition:
		$1
}

rule file_288_5_0 {
	meta:
		name = "?_set_new_handler@@YAP6AH_K@ZH@Z"
		size = 35
		refs = "0003 __security_cookie 001f _set_new_handler"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 33 C0 48 D3 C8 48 33 C2 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_288_10_0 {
	meta:
		name = "_callnewh"
		size = 47
		refs = "000a _query_new_handler 0018 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 14 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_288_11_0 {
	meta:
		name = "_query_new_handler"
		size = 52
		refs = "0009 __acrt_lock 0011 __security_cookie 001d ?__acrt_new_handler@@3V?$dual_state_global@P6AH_K@Z@__crt_state_management@@A 0027 __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C9 E8 ?? ?? ?? ?? 90 48 8B 1D ?? ?? ?? ?? 8B CB 83 E1 3F 48 33 1D ?? ?? ?? ?? 48 D3 CB 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_288_12_0 {
	meta:
		name = "_query_new_handler$fin$0"
		size = 22
		refs = "0011 __acrt_unlock"
		altNames = "_set_new_handler$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C9 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_288_13_0 {
	meta:
		name = "_set_new_handler"
		size = 89
		refs = "0010 __acrt_lock 0018 __security_cookie 0027 ?__acrt_new_handler@@3V?$dual_state_global@P6AH_K@Z@__crt_state_management@@A 0047 __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 33 C9 E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 8B C2 83 E0 3F 48 8B DA 48 33 1D ?? ?? ?? ?? 8B C8 48 D3 CB B9 40 00 00 00 2B C8 48 D3 CF 48 33 FA 48 89 3D ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "casinhf"
		size = 689
		refs = "0034 crealf 0042 cimagf 0050 _fdtest 00d1 __real@bf490fdb 00de __real@3f490fdb 00f6 _FZero_C 00fd __xmm@80000000800000008000000080000000 0125 __real@bfc90fdb 0132 __real@3fc90fdb 013f __real@3f800000 0151 _FCbuild 0159 csqrtf 018c __real@00000000 01d4 __real@5e7fe80a 0226 asinhf 023c logf 025e _FCmulcc 0273 atan2f"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 48 8D 68 A1 48 81 EC 90 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 58 A8 44 0F 29 60 98 48 89 4D E7 E8 ?? ?? ?? ?? 48 8B 4D E7 F3 0F 11 45 77 E8 ?? ?? ?? ?? 48 8D 4D 77 F3 0F 11 45 6F E8 ?? ?? ?? ?? 48 8D 4D 6F 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F3 0F 10 75 6F F3 0F 10 45 77 E9 F2 01 00 00 F3 0F 10 75 77 EB 20 F3 0F 10 75 77 F3 0F 10 45 6F E9 DC 01 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F3 0F 10 75 6F 0F 28 C6 E9 C3 01 00 00 66 83 FB 01 75 54 F3 0F 10 75 77 66 3B C3 75 23 0F 57 C0 0F 2F 45 6F 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 9D 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 90 01 00 00 B8 00 80 00 00 66 85 45 71 74 14 F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 71 01 00 00 0F 57 C0 E9 69 01 00 00 66 83 F8 01 75 27 F3 0F 10 75 6F 0F 57 C0 0F 2F C6 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 49 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 3C 01 00 00 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 4D 77 0F 28 C6 F3 0F 5C 45 6F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? F3 0F 10 45 6F F3 0F 10 4D 77 F3 0F 58 C6 0F 57 0D ?? ?? ?? ?? 66 4C 0F 6E D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? F3 0F 10 75 77 0F 2E 35 ?? ?? ?? ?? 66 4C 0F 6E E0 7A 06 0F 84 B6 00 00 00 66 4C 0F 7E D9 E8 ?? ?? ?? ?? 66 4C 0F 7E D9 44 0F 28 C8 E8 ?? ?? ?? ?? 66 4C 0F 7E E1 44 0F 28 C0 E8 ?? ?? ?? ?? 66 4C 0F 7E E1 0F 28 F0 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 44 0F 2F C9 76 0B 41 0F 28 F9 F3 41 0F 5E F1 EB 30 44 0F 2F C1 41 0F 28 F8 76 0C F3 41 0F 5E C0 F3 41 0F 59 C1 EB 1F 0F 57 3D ?? ?? ?? ?? 0F 2F F9 76 06 F3 0F 5E C7 EB E7 0F 57 FF F3 41 0F 59 C1 F3 41 0F 59 F0 F3 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1B 0F 28 C7 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 66 4C 0F 7E E2 66 4C 0F 7E D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 6F E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 5B B0 45 0F 28 63 A0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_290_0_0 {
	meta:
		name = "??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
		size = 41
	strings:
		$1 = { F6 C1 04 74 03 B0 01 C3 F6 C1 01 74 19 83 E1 02 74 08 81 FA 00 00 00 80 77 EB 85 C9 75 08 81 FA FF FF FF 7F 77 DF 32 C0 C3 }
	condition:
		$1
}

rule file_290_4_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 787
		refs = "002f _errno 003a _invalid_parameter_noinfo 006a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009e _isctype_l 0259 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 83 3A 00 45 8A E1 45 8B F8 48 8B DA 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 33 C0 E9 A1 02 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 CC 48 8B D1 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 2B 33 F6 48 8B 55 E8 4C 89 6D 38 41 8A 7D 00 49 8D 45 01 44 8D 6E 08 48 89 03 83 7A 08 01 40 0F B6 C7 7E 14 4C 8D 45 E8 41 8B D5 8B C8 E8 ?? ?? ?? ?? 48 8B 55 E8 EB 0D 48 8B C8 48 8B 02 0F B7 04 48 41 23 C5 85 C0 74 0B 48 8B 03 40 8A 38 48 FF C0 EB C3 45 33 F6 45 84 E4 41 0F 95 C6 40 80 FF 2D 75 06 41 83 CE 02 EB 06 40 80 FF 2B 75 0C 48 8B 03 40 8A 38 48 FF C0 48 89 03 4C 8B 6D 38 41 83 CC FF 41 F7 C7 EF FF FF FF 0F 85 80 00 00 00 8D 47 D0 3C 09 77 09 40 0F BE C7 83 C0 D0 EB 23 8D 47 9F 3C 19 77 09 40 0F BE C7 83 C0 A9 EB 13 8D 47 BF 3C 19 77 09 40 0F BE C7 83 C0 C9 EB 03 41 8B C4 41 B9 08 00 00 00 85 C0 74 0B 45 85 FF 75 44 45 8D 79 02 EB 3E 48 8B 03 8A 10 48 8D 48 01 48 89 0B 8D 42 A8 A8 DF 74 47 45 85 FF 45 0F 44 F9 48 FF C9 48 89 0B 84 D2 74 1A 38 11 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 B9 08 00 00 00 33 D2 41 8B C4 41 F7 F7 44 8B C0 8D 4F D0 80 F9 09 77 21 40 0F BE CF 83 C1 D0 EB 3B 40 8A 39 B8 10 00 00 00 45 85 FF 44 0F 44 F8 48 8D 41 01 48 89 03 EB CC 8D 47 9F 3C 19 77 09 40 0F BE CF 83 C1 A9 EB 13 8D 47 BF 3C 19 77 09 40 0F BE CF 83 C1 C9 EB 03 41 8B CC 41 3B CC 74 2D 41 3B CF 73 28 45 0B F1 41 3B F0 72 0C 75 04 3B CA 76 06 41 83 CE 04 EB 06 41 0F AF F7 03 F1 48 8B 03 40 8A 38 48 FF C0 48 89 03 EB 82 48 FF 0B 48 8B 03 40 84 FF 74 15 40 38 38 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 F6 C6 08 75 1D 80 7D F8 00 4C 89 2B 0F 84 FB FD FF FF 48 8B 45 E0 83 A0 A8 03 00 00 FD E9 EB FD FF FF 8B D6 41 8B CE E8 ?? ?? ?? ?? 84 C0 74 6A E8 ?? ?? ?? ?? C7 00 22 00 00 00 41 F6 C6 01 75 05 41 8B F4 EB 5C 41 F6 C6 02 74 27 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 00 00 00 80 EB 51 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 B8 FF FF FF 7F EB 2A 41 F6 C6 02 74 02 F7 DE 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 48 8B 43 08 48 85 C0 74 06 48 8B 0B 48 89 08 8B C6 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_290_5_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1748
		refs = "002e _errno 0039 _invalid_parameter_noinfo 006a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009d iswctype 0611 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 45 33 ED 41 8A F1 45 8B F8 48 8B FA 4C 39 2A 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 33 C0 E9 63 06 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 CC 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 27 45 8B F5 4C 89 64 24 20 BD 08 00 00 00 41 0F B7 1C 24 49 8D 44 24 02 EB 0A 48 8B 07 0F B7 18 48 83 C0 02 8B D5 48 89 07 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 E5 40 84 F6 41 8B ED 40 0F 95 C5 66 83 FB 2D 75 05 83 CD 02 EB 06 66 83 FB 2B 75 0D 48 8B 07 0F B7 18 48 83 C0 02 48 89 07 BE E6 09 00 00 C7 84 24 88 00 00 00 6A 06 00 00 41 83 C9 FF B9 60 06 00 00 41 BA 30 00 00 00 41 BB 10 FF 00 00 BA F0 06 00 00 B8 66 0A 00 00 44 8D 46 80 41 F7 C7 EF FF FF FF 0F 85 7F 02 00 00 66 41 3B DA 0F 82 CA 01 00 00 66 83 FB 3A 73 0B 0F B7 C3 41 2B C2 E9 B4 01 00 00 66 41 3B DB 0F 83 95 01 00 00 66 3B D9 0F 82 A6 01 00 00 66 3B 9C 24 88 00 00 00 73 0A 0F B7 C3 2B C1 E9 8D 01 00 00 66 3B DA 0F 82 89 01 00 00 B9 FA 06 00 00 66 3B D9 73 0A 0F B7 C3 2B C2 E9 70 01 00 00 66 41 3B D8 0F 82 6B 01 00 00 B9 70 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C0 E9 51 01 00 00 66 3B DE 0F 82 4D 01 00 00 B9 F0 09 00 00 66 3B D9 73 0A 0F B7 C3 2B C6 E9 34 01 00 00 66 3B D8 0F 82 30 01 00 00 B8 70 0A 00 00 66 3B D8 73 0D 0F B7 C3 2D 66 0A 00 00 E9 14 01 00 00 B9 E6 0A 00 00 66 3B D9 0F 82 0B 01 00 00 8D 41 0A 66 3B D8 0F 82 63 FF FF FF 8D 48 76 66 3B D9 0F 82 F3 00 00 00 8D 41 0A 66 3B D8 0F 82 4B FF FF FF B9 66 0C 00 00 66 3B D9 0F 82 D9 00 00 00 8D 41 0A 66 3B D8 0F 82 31 FF FF FF 8D 48 76 66 3B D9 0F 82 C1 00 00 00 8D 41 0A 66 3B D8 0F 82 19 FF FF FF 8D 48 76 66 3B D9 0F 82 A9 00 00 00 8D 41 0A 66 3B D8 0F 82 01 FF FF FF B9 50 0E 00 00 66 3B D9 0F 82 8F 00 00 00 8D 41 0A 66 3B D8 0F 82 E7 FE FF FF 8D 48 76 66 3B D9 72 7B 8D 41 0A 66 3B D8 0F 82 D3 FE FF FF 8D 48 46 66 3B D9 72 67 8D 41 0A 66 3B D8 0F 82 BF FE FF FF B9 40 10 00 00 66 3B D9 72 51 8D 41 0A 66 3B D8 0F 82 A9 FE FF FF B9 E0 17 00 00 66 3B D9 72 3B 8D 41 0A 66 3B D8 0F 82 93 FE FF FF 8D 48 26 66 3B D9 72 27 8D 41 0A 66 3B D8 73 1F E9 7E FE FF FF B8 1A FF 00 00 66 3B D8 73 08 0F B7 C3 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 41 8B C1 EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 BE 08 00 00 00 85 C0 74 0B 45 85 FF 75 79 44 8D 7E 02 EB 73 48 8B 07 41 B8 DF FF 00 00 0F B7 10 48 8D 48 02 48 89 0F 8D 42 A8 66 41 85 C0 74 3A 45 85 FF 44 0F 44 FE 48 83 C1 FE 48 89 0F 66 85 D2 74 44 66 39 11 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 83 C9 FF 41 BA 30 00 00 00 41 BB 10 FF 00 00 EB 1D 0F B7 19 B8 10 00 00 00 45 85 FF 44 0F 44 F8 48 8D 41 02 48 89 07 EB 05 BE 08 00 00 00 33 D2 41 8B C1 41 F7 F7 41 BD 60 06 00 00 41 BC F0 06 00 00 44 8B C0 66 41 3B DA 0F 82 AE 01 00 00 66 83 FB 3A 73 0B 0F B7 CB 41 2B CA E9 98 01 00 00 66 41 3B DB 0F 83 79 01 00 00 66 41 3B DD 0F 82 89 01 00 00 B8 6A 06 00 00 66 3B D8 73 0B 0F B7 CB 41 2B CD E9 6F 01 00 00 66 41 3B DC 0F 82 6A 01 00 00 B8 FA 06 00 00 66 3B D8 73 0B 0F B7 CB 41 2B CC E9 50 01 00 00 B8 66 09 00 00 66 3B D8 0F 82 47 01 00 00 8D 48 0A 66 3B D9 73 0A 0F B7 CB 2B C8 E9 30 01 00 00 B8 E6 09 00 00 66 3B D8 0F 82 27 01 00 00 8D 48 0A 66 3B D9 72 E0 8D 41 76 66 3B D8 0F 82 13 01 00 00 8D 48 0A 66 3B D9 72 CC 8D 41 76 66 3B D8 0F 82 FF 00 00 00 8D 48 0A 66 3B D9 72 B8 8D 41 76 66 3B D8 0F 82 EB 00 00 00 8D 48 0A 66 3B D9 72 A4 B8 66 0C 00 00 66 3B D8 0F 82 D5 00 00 00 8D 48 0A 66 3B D9 72 8E 8D 41 76 66 3B D8 0F 82 C1 00 00 00 8D 48 0A 66 3B D9 0F 82 76 FF FF FF 8D 41 76 66 3B D8 0F 82 A9 00 00 00 8D 48 0A 66 3B D9 0F 82 5E FF FF FF B8 50 0E 00 00 66 3B D8 0F 82 8F 00 00 00 8D 48 0A 66 3B D9 0F 82 44 FF FF FF 8D 41 76 66 3B D8 72 7B 8D 48 0A 66 3B D9 0F 82 30 FF FF FF 8D 41 46 66 3B D8 72 67 8D 48 0A 66 3B D9 0F 82 1C FF FF FF B8 40 10 00 00 66 3B D8 72 51 8D 48 0A 66 3B D9 0F 82 06 FF FF FF B8 E0 17 00 00 66 3B D8 72 3B 8D 48 0A 66 3B D9 0F 82 F0 FE FF FF 8D 41 26 66 3B D8 72 27 8D 48 0A 66 3B D9 73 1F E9 DB FE FF FF B8 1A FF 00 00 66 3B D8 73 08 0F B7 CB 41 2B CB EB 03 83 C9 FF 83 F9 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 41 8B C9 EB 12 8D 43 9F 0F B7 CB 66 83 F8 19 77 03 83 E9 20 83 C1 C9 41 3B C9 74 30 41 3B CF 73 2B 0B EE 45 3B F0 72 0B 75 04 3B CA 76 05 83 CD 04 EB 07 45 0F AF F7 44 03 F1 48 8B 07 0F B7 18 48 83 C0 02 48 89 07 E9 EA FD FF FF 48 83 07 FE 45 33 ED 48 8B 07 4C 8B 64 24 20 66 85 DB 74 15 66 39 18 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 84 EE 75 1F 4C 89 27 44 38 6C 24 40 0F 84 43 FA FF FF 48 8B 44 24 28 83 A0 A8 03 00 00 FD E9 32 FA FF FF 41 8B D6 8B CD E8 ?? ?? ?? ?? 84 C0 74 6F E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 75 06 41 83 CE FF EB 61 40 F6 C5 02 74 29 44 38 6C 24 40 74 0C 48 8B 44 24 28 83 A0 A8 03 00 00 FD 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 B8 00 00 00 80 EB 57 44 38 6C 24 40 74 0C 48 8B 44 24 28 83 A0 A8 03 00 00 FD 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 B8 FF FF FF 7F EB 2E 40 F6 C5 02 74 03 41 F7 DE 44 38 6C 24 40 74 0C 48 8B 4C 24 28 83 A1 A8 03 00 00 FD 48 8B 57 08 48 85 D2 74 06 48 8B 0F 48 89 0A 41 8B C6 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_290_6_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 819
		refs = "002f _errno 003a _invalid_parameter_noinfo 006a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009f _isctype_l 026d ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 83 3A 00 45 8A E1 45 8B F8 48 8B DA 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 33 C0 E9 C1 02 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 CC 48 8B D1 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 2B 45 33 F6 48 8B 55 E8 4C 89 6D 38 41 8A 7D 00 49 8D 45 01 45 8D 6E 08 48 89 03 83 7A 08 01 40 0F B6 C7 7E 14 4C 8D 45 E8 41 8B D5 8B C8 E8 ?? ?? ?? ?? 48 8B 55 E8 EB 0D 48 8B C8 48 8B 02 0F B7 04 48 41 23 C5 85 C0 74 0B 48 8B 03 40 8A 38 48 FF C0 EB C3 33 F6 45 84 E4 40 0F 95 C6 40 80 FF 2D 75 05 83 CE 02 EB 06 40 80 FF 2B 75 0C 48 8B 03 40 8A 38 48 FF C0 48 89 03 4C 8B 6D 38 41 F7 C7 EF FF FF FF 0F 85 80 00 00 00 8D 47 D0 3C 09 77 09 40 0F BE C7 83 C0 D0 EB 23 8D 47 9F 3C 19 77 09 40 0F BE C7 83 C0 A9 EB 13 8D 47 BF 3C 19 77 09 40 0F BE C7 83 C0 C9 EB 03 83 C8 FF 41 BB 08 00 00 00 85 C0 74 0B 45 85 FF 75 44 45 8D 7B 02 EB 3E 48 8B 03 8A 10 48 8D 48 01 48 89 0B 8D 42 A8 A8 DF 74 4F 45 85 FF 45 0F 44 FB 48 FF C9 48 89 0B 84 D2 74 1A 38 11 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 BB 08 00 00 00 49 83 CC FF 4D 63 D7 49 8B C4 33 D2 49 F7 F2 4C 8B C8 8D 4F D0 80 F9 09 77 22 44 0F BE C7 41 83 C0 D0 EB 3E 40 8A 39 B8 10 00 00 00 45 85 FF 44 0F 44 F8 48 8D 41 01 48 89 03 EB C4 8D 47 9F 3C 19 77 0A 44 0F BE C7 41 83 C0 A9 EB 15 8D 47 BF 3C 19 77 0A 44 0F BE C7 41 83 C0 C9 EB 04 41 83 C8 FF 41 83 F8 FF 74 3A 45 3B C7 73 35 41 0B F3 4D 3B F1 72 0F 75 08 41 8B C0 48 3B C2 76 05 83 CE 04 EB 0D 49 8B CA 49 0F AF CE 45 8B F0 4C 03 F1 48 8B 03 40 8A 38 48 FF C0 48 89 03 E9 70 FF FF FF 4C 01 23 48 8B 03 40 84 FF 74 15 40 38 38 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 F6 C6 08 75 1D 80 7D F8 00 4C 89 2B 0F 84 E7 FD FF FF 48 8B 45 E0 83 A0 A8 03 00 00 FD E9 D7 FD FF FF 49 8B D6 8B CE E8 ?? ?? ?? ?? 84 C0 74 74 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C6 01 75 05 4D 8B F4 EB 67 40 F6 C6 02 74 2C 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 48 B8 00 00 00 00 00 00 00 80 EB 58 80 7D F8 00 74 0B 48 8B 45 E0 83 A0 A8 03 00 00 FD 48 8B 4B 08 48 85 C9 74 06 48 8B 03 48 89 01 48 B8 FF FF FF FF FF FF FF 7F EB 2C 40 F6 C6 02 74 03 49 F7 DE 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 48 8B 43 08 48 85 C0 74 06 48 8B 0B 48 89 08 49 8B C6 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_290_7_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1976
		refs = "0031 _errno 003c _invalid_parameter_noinfo 006d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a3 iswctype 06df ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 45 33 ED 41 8A F1 45 8B F8 48 8B FA 4C 39 2A 75 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 33 C0 E9 41 07 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 CC 48 8B D1 48 8D 4C 24 78 E8 ?? ?? ?? ?? 4C 8B 27 4D 8B F5 4C 89 A4 24 98 00 00 00 BD 08 00 00 00 41 0F B7 1C 24 49 8D 44 24 02 EB 0A 48 8B 07 0F B7 18 48 83 C0 02 8B D5 48 89 07 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 E5 40 84 F6 41 8B ED 40 0F 95 C5 66 83 FB 2D 75 05 83 CD 02 EB 06 66 83 FB 2B 75 0D 48 8B 07 0F B7 18 48 83 C0 02 48 89 07 C7 44 24 74 6A 06 00 00 BE 66 0A 00 00 C7 84 24 D8 00 00 00 F0 0A 00 00 B9 30 00 00 00 C7 44 24 20 66 0B 00 00 BA 60 06 00 00 C7 44 24 24 70 0B 00 00 41 BB 10 FF 00 00 C7 44 24 28 66 0C 00 00 44 8D 56 80 C7 44 24 2C 70 0C 00 00 B8 E6 0A 00 00 C7 44 24 30 E6 0C 00 00 41 B8 F0 06 00 00 C7 44 24 34 F0 0C 00 00 41 B9 66 09 00 00 C7 44 24 38 66 0D 00 00 C7 44 24 3C 70 0D 00 00 C7 44 24 40 50 0E 00 00 C7 44 24 44 5A 0E 00 00 C7 44 24 48 D0 0E 00 00 C7 44 24 4C DA 0E 00 00 C7 44 24 50 20 0F 00 00 C7 44 24 54 2A 0F 00 00 C7 44 24 58 40 10 00 00 C7 44 24 5C 4A 10 00 00 C7 44 24 60 E0 17 00 00 C7 44 24 64 EA 17 00 00 C7 44 24 68 10 18 00 00 C7 44 24 6C 1A 18 00 00 C7 44 24 70 1A FF 00 00 41 F7 C7 EF FF FF FF 0F 85 A5 02 00 00 66 3B D9 0F 82 C2 01 00 00 66 83 FB 3A 73 0A 0F B7 C3 2B C1 E9 AD 01 00 00 66 41 3B DB 0F 83 91 01 00 00 66 3B DA 0F 82 9F 01 00 00 66 3B 5C 24 74 73 0A 0F B7 C3 2B C2 E9 89 01 00 00 66 41 3B D8 0F 82 84 01 00 00 BA FA 06 00 00 66 3B DA 73 0B 0F B7 C3 41 2B C0 E9 6A 01 00 00 66 41 3B D9 0F 82 65 01 00 00 BA 70 09 00 00 66 3B DA 73 0B 0F B7 C3 41 2B C1 E9 4B 01 00 00 66 41 3B DA 0F 82 46 01 00 00 BA F0 09 00 00 66 3B DA 73 0B 0F B7 C3 41 2B C2 E9 2C 01 00 00 66 3B DE 0F 82 28 01 00 00 BA 70 0A 00 00 66 3B DA 73 0A 0F B7 C3 2B C6 E9 0F 01 00 00 66 3B D8 0F 82 0B 01 00 00 66 3B 9C 24 D8 00 00 00 73 0D 0F B7 C3 2D E6 0A 00 00 E9 EF 00 00 00 8B 54 24 20 66 3B DA 0F 82 E7 00 00 00 66 3B 5C 24 24 0F 82 44 FF FF FF 8B 54 24 28 66 3B DA 0F 82 CF 00 00 00 66 3B 5C 24 2C 0F 82 2C FF FF FF 8B 54 24 30 66 3B DA 0F 82 B7 00 00 00 66 3B 5C 24 34 0F 82 14 FF FF FF 8B 54 24 38 66 3B DA 0F 82 9F 00 00 00 66 3B 5C 24 3C 0F 82 FC FE FF FF 8B 54 24 40 66 3B DA 0F 82 87 00 00 00 66 3B 5C 24 44 0F 82 E4 FE FF FF 8B 54 24 48 66 3B DA 72 73 66 3B 5C 24 4C 0F 82 D0 FE FF FF 8B 54 24 50 66 3B DA 72 5F 66 3B 5C 24 54 0F 82 BC FE FF FF 8B 54 24 58 66 3B DA 72 4B 66 3B 5C 24 5C 0F 82 A8 FE FF FF 8B 54 24 60 66 3B DA 72 37 66 3B 5C 24 64 0F 82 94 FE FF FF 8B 54 24 68 66 3B DA 72 23 66 3B 5C 24 6C 73 1C E9 7F FE FF FF 66 3B 5C 24 70 73 08 0F B7 C3 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 BE 08 00 00 00 85 C0 74 0B 45 85 FF 75 55 44 8D 7E 02 EB 4F 48 8B 07 41 B8 DF FF 00 00 0F B7 10 48 8D 48 02 48 89 0F 8D 42 A8 66 41 85 C0 74 69 45 85 FF 44 0F 44 FE 48 83 C1 FE 48 89 0F 66 85 D2 74 1B 66 39 11 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 BB 10 FF 00 00 B9 30 00 00 00 4D 63 D7 33 D2 48 83 C8 FF 41 BD 60 06 00 00 49 F7 F2 41 BC F0 06 00 00 4C 8B C8 66 3B D9 0F 82 D4 01 00 00 66 83 FB 3A 73 2B 44 0F B7 C3 44 2B C1 E9 BC 01 00 00 0F B7 19 B8 10 00 00 00 45 85 FF 44 0F 44 F8 48 8D 41 02 48 89 07 EB AD BE 08 00 00 00 EB AB 66 41 3B DB 0F 83 7F 01 00 00 66 41 3B DD 0F 82 8F 01 00 00 B8 6A 06 00 00 66 3B D8 73 0C 44 0F B7 C3 45 2B C5 E9 73 01 00 00 66 41 3B DC 0F 82 6F 01 00 00 B8 FA 06 00 00 66 3B D8 73 0C 44 0F B7 C3 45 2B C4 E9 53 01 00 00 B8 66 09 00 00 66 3B D8 0F 82 4B 01 00 00 44 8D 40 0A 66 41 3B D8 73 0C 44 0F B7 C3 44 2B C0 E9 2F 01 00 00 B8 E6 09 00 00 66 3B D8 0F 82 27 01 00 00 44 8D 40 0A 66 41 3B D8 72 DC 41 8D 40 76 66 3B D8 0F 82 10 01 00 00 44 8D 40 0A 66 41 3B D8 72 C5 41 8D 40 76 66 3B D8 0F 82 F9 00 00 00 66 3B 9C 24 D8 00 00 00 72 AE 8B 44 24 20 66 3B D8 0F 82 E2 00 00 00 66 3B 5C 24 24 72 9A 8B 44 24 28 66 3B D8 0F 82 CE 00 00 00 66 3B 5C 24 2C 72 86 8B 44 24 30 66 3B D8 0F 82 BA 00 00 00 66 3B 5C 24 34 0F 82 6E FF FF FF 8B 44 24 38 66 3B D8 0F 82 A2 00 00 00 66 3B 5C 24 3C 0F 82 56 FF FF FF 8B 44 24 40 66 3B D8 0F 82 8A 00 00 00 66 3B 5C 24 44 0F 82 3E FF FF FF 8B 44 24 48 66 3B D8 72 76 66 3B 5C 24 4C 0F 82 2A FF FF FF 8B 44 24 50 66 3B D8 72 62 66 3B 5C 24 54 0F 82 16 FF FF FF 8B 44 24 58 66 3B D8 72 4E 66 3B 5C 24 5C 0F 82 02 FF FF FF 8B 44 24 60 66 3B D8 72 3A 66 3B 5C 24 64 0F 82 EE FE FF FF 8B 44 24 68 66 3B D8 72 26 66 3B 5C 24 6C 73 1F E9 D9 FE FF FF 66 3B 5C 24 70 73 09 44 0F B7 C3 45 2B C3 EB 04 41 83 C8 FF 41 83 F8 FF 75 2D 8D 43 BF 66 83 F8 19 76 0F 8D 43 9F 66 83 F8 19 76 06 41 83 C8 FF EB 15 8D 43 9F 44 0F B7 C3 66 83 F8 19 77 04 41 83 E8 20 41 83 C0 C9 41 83 F8 FF 74 3F 45 3B C7 73 3A 0B EE 4D 3B F1 72 0F 75 08 41 8B C0 48 3B C2 76 05 83 CD 04 EB 12 49 8B CA 49 0F AF CE 45 8B F0 4C 03 F1 B9 30 00 00 00 48 8B 07 0F B7 18 48 83 C0 02 48 89 07 E9 B1 FD FF FF 48 83 07 FE 45 33 ED 48 8B 07 4C 8B A4 24 98 00 00 00 66 85 DB 74 15 66 39 18 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 84 EE 75 22 4C 89 27 44 38 AC 24 90 00 00 00 0F 84 78 F9 FF FF 48 8B 44 24 78 83 A0 A8 03 00 00 FD E9 67 F9 FF FF 49 8B D6 8B CD E8 ?? ?? ?? ?? 84 C0 74 7F E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 75 06 49 83 CE FF EB 71 40 F6 C5 02 74 31 44 38 AC 24 90 00 00 00 74 0C 48 8B 44 24 78 83 A0 A8 03 00 00 FD 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 48 B8 00 00 00 00 00 00 00 80 EB 62 44 38 AC 24 90 00 00 00 74 0C 48 8B 44 24 78 83 A0 A8 03 00 00 FD 48 8B 4F 08 48 85 C9 74 06 48 8B 07 48 89 01 48 B8 FF FF FF FF FF FF FF 7F EB 31 40 F6 C5 02 74 03 49 F7 DE 44 38 AC 24 90 00 00 00 74 0C 48 8B 4C 24 78 83 A1 A8 03 00 00 FD 48 8B 57 08 48 85 D2 74 06 48 8B 0F 48 89 0A 49 8B C6 4C 8D 9C 24 A0 00 00 00 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_290_8_0 {
	meta:
		name = "??$parse_integer_from_string@JDPEAPEAD@__crt_strtox@@YAJQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "_strtol_l"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_414_8_3 {
	meta:
		name = "??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQEBD$$THQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 002d ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_414_9_4 {
	meta:
		name = "??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQEB_W$$THQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 002d ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_9_4 {
	meta:
		name = "??$parse_integer_from_string@J_WPEAPEA_W@__crt_strtox@@YAJQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_414_10_3 {
	meta:
		name = "??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQEBD$$THQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_12_4 {
	meta:
		name = "??$parse_integer_from_string@_JDPEAPEAD@__crt_strtox@@YA_JQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_414_11_3 {
	meta:
		name = "??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQEB_W$$THQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_13_3 {
	meta:
		name = "??$parse_integer_from_string@_J_WPEAPEA_W@__crt_strtox@@YA_JQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_47_2 {
	meta:
		name = "_strtoi64_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_48_2 {
	meta:
		name = "_strtoimax_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_50_3 {
	meta:
		name = "_strtoll_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_57_2 {
	meta:
		name = "_wcstoi64_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_58_0 {
	meta:
		name = "_wcstoimax_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_59_0 {
	meta:
		name = "_wcstol_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_60_0 {
	meta:
		name = "_wcstoll_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_10_0 {
	meta:
		name = "??$parse_integer_from_string@KDPEAPEAD@__crt_strtox@@YAKQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "_strtoul_l"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_11_0 {
	meta:
		name = "??$parse_integer_from_string@K_WPEAPEA_W@__crt_strtox@@YAKQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_14_0 {
	meta:
		name = "??$parse_integer_from_string@_KDPEAPEAD@__crt_strtox@@YA_KQEBDQEAPEADHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_15_2 {
	meta:
		name = "??$parse_integer_from_string@_K_WPEAPEA_W@__crt_strtox@@YA_KQEB_WQEAPEA_WHQEAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_52_4 {
	meta:
		name = "_strtoui64_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_54_3 {
	meta:
		name = "_strtoull_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_55_3 {
	meta:
		name = "_strtoumax_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 002d ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_62_3 {
	meta:
		name = "_wcstoui64_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_63_3 {
	meta:
		name = "_wcstoul_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_64_4 {
	meta:
		name = "_wcstoull_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_65_4 {
	meta:
		name = "_wcstoumax_l"
		size = 60
		refs = "001c ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 002d ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 41 8B D8 49 8B F9 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_290_46_0 {
	meta:
		name = "_strtoi64"
		size = 47
		refs = "0015 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0025 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "strtoimax strtoll"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_56_0 {
	meta:
		name = "_wcstoi64"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_67_0 {
	meta:
		name = "strtol"
		size = 47
		refs = "0015 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0025 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_72_2 {
	meta:
		name = "wcstoimax"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_73_2 {
	meta:
		name = "wcstol"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_74_2 {
	meta:
		name = "wcstoll"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_51_0 {
	meta:
		name = "_strtoui64"
		size = 47
		refs = "0015 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0025 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "strtoull strtoumax"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_61_0 {
	meta:
		name = "_wcstoui64"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_69_0 {
	meta:
		name = "strtoul"
		size = 47
		refs = "0015 ??$make_c_string_character_source@DPEAPEAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBDQEAPEAD@Z 0025 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_75_2 {
	meta:
		name = "wcstoul"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_76_2 {
	meta:
		name = "wcstoull"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_290_77_2 {
	meta:
		name = "wcstoumax"
		size = 47
		refs = "0015 ??$make_c_string_character_source@_WPEAPEA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_WQEAPEA_W@Z 0025 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 41 8B D8 4C 8B C2 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 45 33 C9 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_291_1_0 {
	meta:
		name = "csqrtl"
		size = 487
		refs = "0026 creall 003c cimagl 004a _ldtest 0089 _LHypot 00b1 __xmm@7fffffffffffffff7fffffffffffffff 00b8 ldexp 00c4 __real@4000000000000000 00cd sqrt 0125 __xmm@80000000000000008000000000000000 018a _LInf_C 01ae _LZero_C 01c9 _LCbuild"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8B EC 48 83 EC 40 0F 10 02 48 8B D9 48 8D 4D E0 0F 29 74 24 30 48 8B FA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? F2 0F 11 45 40 48 8D 4D E0 0F 10 07 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 38 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 0F B7 F0 66 41 3B C6 75 0A F2 0F 10 55 38 E9 55 01 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 66 41 3B C6 0F 84 DF 00 00 00 F2 0F 10 4D 38 4C 8D 45 30 F2 0F 10 45 40 E8 ?? ?? ?? ?? 8B 7D 30 0F 28 F0 85 FF 75 10 0F 28 D0 F2 0F 59 55 38 0F 28 C8 E9 1D 01 00 00 F2 0F 10 45 40 8B D7 0F 54 05 ?? ?? ?? ?? F7 DA E8 ?? ?? ?? ?? F2 0F 58 C6 F2 0F 10 35 ?? ?? ?? ?? F2 0F 59 C6 E8 ?? ?? ?? ?? 8B C7 99 2B C2 D1 F8 41 2B C6 8B D0 E8 ?? ?? ?? ?? F2 0F 10 4D 40 0F 28 D8 0F 57 C0 66 0F 2F C8 72 18 F2 0F 10 55 38 0F 28 CB F2 0F 59 CE F2 0F 5E D1 0F 28 CB E9 B9 00 00 00 F2 0F 10 4D 38 B8 00 80 00 00 66 85 45 3E 74 1E 0F 28 D3 F2 0F 59 DE 0F 57 15 ?? ?? ?? ?? F2 0F 5E CB 0F 57 0D ?? ?? ?? ?? E9 8B 00 00 00 66 0F 2E C8 7A 0A 75 08 0F 28 D3 E9 56 FF FF FF 0F 28 C3 0F 28 D3 F2 0F 59 C6 F2 0F 5E C8 EB 6B 0F 57 C0 66 83 FE 02 75 18 66 0F 2F 45 40 76 0C F2 0F 10 55 40 F2 0F 10 4D 38 EB 4F 0F 10 07 EB 56 66 0F 2F 45 40 B8 00 80 00 00 76 1E F2 0F 10 15 ?? ?? ?? ?? 66 85 45 3E 0F 84 07 FF FF FF 0F 57 15 ?? ?? ?? ?? E9 FB FE FF FF 66 85 45 3E 74 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 D0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 30 48 8B C3 F3 0F 7F 03 48 83 C4 40 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "_hypot"
		size = 602
		refs = "00ce __real@a590000000000000 01c2 __real@7fefffffffffffff 01d3 ??_C@_06MEIMCGCF@_hypot?$AA@ 0207 _handle_error 023b _set_statfp"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 60 48 B8 FF FF FF FF FF FF FF 7F 48 8B 4C 24 60 49 BA FF FF FF FF FF FF 0F 00 48 23 C8 F2 0F 11 4C 24 60 48 8B 54 24 60 4C 8B C9 48 23 D0 49 C1 E9 34 4C 8B C2 B8 FF 07 00 00 49 C1 E8 34 4C 3B C8 0F 84 C9 01 00 00 4C 3B C0 0F 84 CA 01 00 00 48 89 4C 24 60 41 8B C1 F2 0F 10 5C 24 60 41 2B C0 45 33 D2 48 89 54 24 60 F2 0F 10 64 24 60 48 85 C9 75 08 0F 28 C4 E9 CD 01 00 00 48 85 D2 75 08 0F 28 C3 E9 C0 01 00 00 83 C0 36 83 F8 6C 0F 87 72 01 00 00 B8 F3 05 00 00 4C 3B C8 0F 87 9C 00 00 00 4C 3B C0 0F 87 93 00 00 00 B8 0B 02 00 00 4C 3B C8 72 09 4C 3B C0 0F 83 AE 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 BB 00 00 00 00 00 00 90 25 41 BA A8 FD FF FF 49 BB 00 00 00 00 00 00 80 25 4D 85 C9 75 20 48 8D 04 19 48 89 44 24 60 F2 0F 10 5C 24 60 F2 0F 58 D8 F2 0F 11 5C 24 60 48 8B 44 24 60 EB 0E 49 03 CB 48 89 4C 24 60 F2 0F 10 5C 24 60 4D 85 C0 75 20 48 8D 04 1A 48 89 44 24 60 F2 0F 10 64 24 60 F2 0F 58 E0 F2 0F 11 64 24 60 48 8B 44 24 60 EB 34 4A 8D 04 1A EB 23 49 B8 00 00 00 00 00 00 80 DA 41 BA 58 02 00 00 4A 8D 04 01 48 89 44 24 60 4A 8D 04 02 F2 0F 10 5C 24 60 48 89 44 24 60 F2 0F 10 64 24 60 0F 28 CB 49 63 C2 F2 0F 59 CB 0F 28 C4 48 05 FF 03 00 00 F2 0F 59 C4 48 C1 E0 34 F2 0F 58 C8 F2 0F 11 4C 24 68 F2 0F 51 54 24 68 F2 0F 11 54 24 70 48 89 44 24 60 F2 0F 10 44 24 60 F2 0F 10 4C 24 70 F2 0F 59 C8 66 0F 2F 0D ?? ?? ?? ?? 76 45 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 64 24 38 BA 18 00 00 00 F2 0F 11 5C 24 30 49 B8 00 00 00 00 00 00 F0 7F C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 44 8D 4A EB E8 ?? ?? ?? ?? EB 47 0F 28 C1 EB 42 F2 0F 58 DC E9 71 FE FF FF 49 85 CA 74 18 4C 3B C0 75 05 49 85 D2 74 0E F2 0F 59 C0 F2 0F 59 C9 F2 0F 58 C1 EB 1C 33 C9 E8 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 7F 48 89 44 24 60 F2 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_293_2_0 {
	meta:
		name = "infinity_with_flags"
		size = 79
		refs = "0031 _set_statfp"
	strings:
		$1 = { 48 83 EC 28 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 7F 48 89 44 24 38 F2 0F 10 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_294_0_0 {
	meta:
		name = "_errcode"
		size = 67
	strings:
		$1 = { 8B C1 F6 C1 20 74 07 B9 05 00 00 00 EB 32 A8 08 74 07 B9 01 00 00 00 EB 27 A8 04 74 07 B9 02 00 00 00 EB 1C B9 01 00 00 00 84 C1 74 07 B9 03 00 00 00 EB 0C 0F B6 C0 B9 02 00 00 00 23 C8 03 C9 8B C1 C3 }
	condition:
		$1
}

rule file_294_1_0 {
	meta:
		name = "_except1"
		size = 241
		refs = "001c __security_cookie 0044 _handle_exc 0075 _raise_exc_ex 0080 _errcode 0087 __acrt_has_user_matherr 00ae _umatherr 00b7 _set_errno_from_matherr 00c4 _ctrlfp 00d5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 A9 48 81 EC E0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B 7D 7F 8B F2 4C 8B C7 F2 0F 11 55 A7 48 8D 55 9F F2 0F 11 5D 9F 0F 28 F2 8B D9 E8 ?? ?? ?? ?? 85 C0 75 31 21 44 24 30 48 8D 55 7F 83 65 EF FE 48 8D 45 9F 48 89 44 24 28 48 8D 4D AF 48 8D 45 A7 44 8B CE 44 8B C3 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 7D 7F 8B CB E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 74 25 85 DB 74 21 F2 0F 10 45 9F 0F 57 DB 48 89 7C 24 28 0F 28 D6 8B D6 F2 0F 11 44 24 20 8B CB E8 ?? ?? ?? ?? EB 19 8B CB E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 45 9F 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_294_2_0 {
	meta:
		name = "_except2"
		size = 262
		refs = "0020 __security_cookie 0046 _handle_exc 0085 _raise_exc_ex 0090 _errcode 0097 __acrt_has_user_matherr 00be _umatherr 00c7 _set_errno_from_matherr 00d4 _ctrlfp 00e5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 B1 48 81 EC F0 00 00 00 0F 29 70 D8 0F 29 78 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B 7D 7F 8B F2 4C 8B C7 F2 0F 11 55 87 48 8D 55 77 0F 28 F3 0F 28 FA 8B D9 E8 ?? ?? ?? ?? 85 C0 75 3F 8B 45 D7 48 8D 55 7F 83 64 24 30 00 48 8D 4D 97 83 E0 E3 F2 0F 11 75 C7 83 C8 03 44 8B CE 89 45 D7 44 8B C3 48 8D 45 77 48 89 44 24 28 48 8D 45 87 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 7D 7F 8B CB E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 74 25 85 DB 74 21 F2 0F 10 45 77 0F 28 DE 48 89 7C 24 28 0F 28 D7 8B D6 F2 0F 11 44 24 20 8B CB E8 ?? ?? ?? ?? EB 19 8B CB E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 45 77 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_294_3_0 {
	meta:
		name = "_get_fname"
		size = 49
		refs = "0003 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 D2 49 8B C1 39 08 74 15 FF C2 4C 8D 05 ?? ?? ?? ?? 48 83 C0 10 49 3B C0 7C EA 33 C0 C3 48 63 C2 48 03 C0 49 8B 44 C1 08 C3 }
	condition:
		$1
}

rule file_294_4_0 {
	meta:
		name = "_handle_exc"
		size = 610
		refs = "003d _set_statfp 00b2 __real@0000000000000000 00ba _d_max 0104 _d_inf 0115 __xmm@80000000000000008000000000000000 015f _decomp"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 0F 29 74 24 20 8B D9 4D 8B F8 83 E3 1F 48 8B F2 44 8B E1 45 8D 6E 10 F6 C1 08 74 16 45 84 FF 79 11 41 8D 4E 01 E8 ?? ?? ?? ?? 83 E3 F7 E9 DD 01 00 00 B9 04 00 00 00 44 84 E1 74 14 49 0F BA E0 09 73 0D E8 ?? ?? ?? ?? 83 E3 FB E9 BF 01 00 00 BF 01 00 00 00 44 84 E7 0F 84 B0 00 00 00 49 0F BA E0 0A 0F 83 A5 00 00 00 8D 4F 07 E8 ?? ?? ?? ?? 49 8B C7 B9 00 60 00 00 48 23 C1 74 5D 48 3D 00 20 00 00 74 3D 48 3D 00 40 00 00 74 1D 48 3B C1 75 73 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 77 59 EB 50 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 77 30 F2 0F 10 05 ?? ?? ?? ?? EB 38 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 22 F2 0F 10 05 ?? ?? ?? ?? EB 27 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 83 E3 FE E9 01 01 00 00 41 F6 C4 02 0F 84 F7 00 00 00 49 0F BA E0 0B 0F 83 EC 00 00 00 F2 0F 10 02 45 84 E5 41 8B EE 0F 57 F6 0F 45 EF 66 0F 2E C6 7A 09 75 07 8B EF E9 BE 00 00 00 48 8D 54 24 70 E8 ?? ?? ?? ?? 8B 4C 24 70 81 C1 00 FA FF FF F2 0F 11 84 24 88 00 00 00 81 F9 CE FB FF FF 7D 0B F2 0F 59 C6 8B EF E9 8A 00 00 00 48 8B 84 24 88 00 00 00 45 8B C6 66 0F 2F F0 41 0F 97 C0 48 C1 E8 30 66 83 E0 0F 66 41 0B C5 66 89 84 24 8E 00 00 00 81 F9 03 FC FF FF 7D 46 8B 84 24 88 00 00 00 BA 03 FC FF FF 2B D1 8B 8C 24 8C 00 00 00 40 84 C7 74 05 85 ED 0F 44 EF D1 E8 89 84 24 88 00 00 00 40 84 CF 74 0B 0F BA E8 1F 89 84 24 88 00 00 00 D1 E9 48 2B D7 75 D6 89 8C 24 8C 00 00 00 F2 0F 10 84 24 88 00 00 00 45 85 C0 74 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? 83 E3 FD 45 84 E5 74 14 49 0F BA E7 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 0F 28 74 24 20 85 DB 48 8B 5C 24 78 41 0F 94 C6 41 8B C6 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_294_6_0 {
	meta:
		name = "_raise_exc"
		size = 39
		refs = "001e _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 83 64 24 30 00 48 8B 44 24 78 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_294_7_0 {
	meta:
		name = "_raise_exc_ex"
		size = 774
		refs = "0111 _statfp 024e _clrfp 0260 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 48 8B EC 48 83 EC 20 48 8B DA 41 8B F1 33 D2 BF 0D 00 00 C0 89 51 04 48 8B 45 10 89 50 08 48 8B 45 10 89 50 0C 41 F6 C0 10 74 0D 48 8B 45 10 BF 8F 00 00 C0 83 48 04 01 41 F6 C0 02 74 0D 48 8B 45 10 BF 93 00 00 C0 83 48 04 02 41 F6 C0 01 74 0D 48 8B 45 10 BF 91 00 00 C0 83 48 04 04 41 F6 C0 04 74 0D 48 8B 45 10 BF 8E 00 00 C0 83 48 04 08 41 F6 C0 08 74 0D 48 8B 45 10 BF 90 00 00 C0 83 48 04 10 48 8B 4D 10 48 8B 03 48 C1 E8 07 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 09 C1 E0 03 F7 D0 33 41 08 83 E0 08 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0A C1 E0 02 F7 D0 33 41 08 83 E0 04 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0B 03 C0 F7 D0 33 41 08 83 E0 02 31 41 08 8B 03 48 8B 4D 10 48 C1 E8 0C F7 D0 33 41 08 83 E0 01 31 41 08 E8 ?? ?? ?? ?? 48 8B D0 A8 01 74 08 48 8B 4D 10 83 49 0C 10 A8 04 74 08 48 8B 4D 10 83 49 0C 08 A8 08 74 08 48 8B 45 10 83 48 0C 04 F6 C2 10 74 08 48 8B 45 10 83 48 0C 02 F6 C2 20 74 08 48 8B 45 10 83 48 0C 01 8B 03 B9 00 60 00 00 48 23 C1 74 3E 48 3D 00 20 00 00 74 26 48 3D 00 40 00 00 74 0E 48 3B C1 75 30 48 8B 45 10 83 08 03 EB 27 48 8B 45 10 83 20 FE 48 8B 45 10 83 08 02 EB 17 48 8B 45 10 83 20 FD 48 8B 45 10 83 08 01 EB 07 48 8B 45 10 83 20 FC 48 8B 45 10 81 E6 FF 0F 00 00 C1 E6 05 81 20 1F 00 FE FF 48 8B 45 10 09 30 48 8B 45 10 48 8B 75 38 83 48 20 01 83 7D 40 00 74 33 48 8B 45 10 BA E1 FF FF FF 21 50 20 48 8B 45 30 8B 08 48 8B 45 10 89 48 10 48 8B 45 10 83 48 60 01 48 8B 45 10 21 50 60 48 8B 45 10 8B 0E 89 48 50 EB 48 48 8B 4D 10 41 B8 E3 FF FF FF 8B 41 20 41 23 C0 83 C8 02 89 41 20 48 8B 45 30 48 8B 08 48 8B 45 10 48 89 48 10 48 8B 45 10 83 48 60 01 48 8B 55 10 8B 42 60 41 23 C0 83 C8 02 89 42 60 48 8B 45 10 48 8B 16 48 89 50 50 E8 ?? ?? ?? ?? 33 D2 4C 8D 4D 10 8B CF 44 8D 42 01 FF 15 ?? ?? ?? ?? 48 8B 4D 10 F6 41 08 10 74 05 48 0F BA 33 07 F6 41 08 08 74 05 48 0F BA 33 09 F6 41 08 04 74 05 48 0F BA 33 0A F6 41 08 02 74 05 48 0F BA 33 0B F6 41 08 01 74 05 48 0F BA 33 0C 8B 01 83 E0 03 74 30 83 E8 01 74 1F 83 E8 01 74 0E 83 F8 01 75 28 48 81 0B 00 60 00 00 EB 1F 48 0F BA 33 0D 48 0F BA 2B 0E EB 13 48 0F BA 33 0E 48 0F BA 2B 0D EB 07 48 81 23 FF 9F FF FF 83 7D 40 00 74 07 8B 41 50 89 06 EB 07 48 8B 41 50 48 89 06 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_294_8_0 {
	meta:
		name = "_raise_excf"
		size = 42
		refs = "0021 _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 48 8B 44 24 78 C7 44 24 30 01 00 00 00 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_294_9_0 {
	meta:
		name = "_set_errno_from_matherr"
		size = 46
		refs = "0012 _errno"
	strings:
		$1 = { 48 83 EC 28 83 F9 01 74 15 8D 41 FE 83 F8 01 77 18 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_294_10_0 {
	meta:
		name = "_umatherr"
		size = 212
		refs = "0014 ?_names@?1??_get_fname@@9@9 0098 _ctrlfp 00a2 __acrt_invoke_user_matherr 00ad _set_errno_from_matherr"
	strings:
		$1 = { F2 0F 11 5C 24 20 F2 0F 11 54 24 18 53 48 83 EC 50 4C 8D 0D ?? ?? ?? ?? 8B D9 49 8B C1 45 33 C0 39 10 74 17 41 FF C0 48 8D 0D ?? ?? ?? ?? 48 83 C0 10 48 3B C1 7C E9 33 C0 EB 0B 49 63 C0 48 03 C0 49 8B 44 C1 08 48 8B 8C 24 88 00 00 00 BA C0 FF 00 00 48 89 44 24 28 48 85 C0 74 5C 8B 44 24 70 89 44 24 30 8B 44 24 74 89 44 24 34 8B 44 24 78 89 44 24 38 8B 44 24 7C 89 44 24 3C 8B 84 24 80 00 00 00 89 44 24 40 8B 84 24 84 00 00 00 89 44 24 44 89 5C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 EB 15 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? F2 0F 10 84 24 80 00 00 00 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "_malloc_base"
		size = 94
		refs = "001e _query_new_mode 002a _callnewh 0035 __acrt_heap 0040 __imp_HeapAlloc 004c _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 F9 E0 77 3C 48 85 C9 B8 01 00 00 00 48 0F 44 D8 EB 15 E8 ?? ?? ?? ?? 85 C0 74 25 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 19 48 8B 0D ?? ?? ?? ?? 4C 8B C3 33 D2 FF 15 ?? ?? ?? ?? 48 85 C0 74 D4 EB 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "_dunscale"
		size = 154
		refs = "0059 _dnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 06 48 8B F1 66 C1 E8 04 B9 FF 07 00 00 66 23 C1 33 DB 48 8B FA 66 3B C1 75 24 66 89 1E F6 42 06 0F 75 14 66 39 5A 04 75 0E 66 39 5A 02 75 08 8D 43 01 66 39 1A 74 41 B8 02 00 00 00 EB 3A 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 20 B9 EF BF 00 00 66 21 4F 06 B9 E0 3F 00 00 66 09 4F 06 B9 FE 03 00 00 66 2B C1 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_296_1_0 {
	meta:
		name = "_fdunscale"
		size = 138
		refs = "004d _fdnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 02 48 8B F1 66 C1 E8 07 B9 FF 00 00 00 66 23 C1 33 DB 48 8B FA 66 3B C1 75 18 66 89 1E F6 42 02 7F 75 08 8D 43 01 66 39 1A 74 3D B8 02 00 00 00 EB 36 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 1C B9 7F BF 00 00 66 83 E8 7E 66 21 4F 02 B9 00 3F 00 00 66 09 4F 02 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "_lfind_s"
		size = 159
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0088 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 49 8B F1 48 8B DA 4C 8B F1 48 85 C9 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 4D 85 C0 74 D3 48 85 D2 75 05 41 39 10 75 C9 4D 85 C9 74 C4 48 83 7C 24 50 00 74 BC 41 8B 38 48 0F AF FE 48 03 FA 48 3B D7 74 BD 48 8B 4C 24 58 4C 8B C3 48 8B 44 24 50 49 8B D6 FF 15 ?? ?? ?? ?? 85 C0 74 0A 48 03 DE 48 3B DF 75 DE EB 99 48 8B C3 EB 96 }
	condition:
		$1
}

rule file_298_5_0 {
	meta:
		name = "_mbsnbcmp_l"
		size = 300
		refs = "0034 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 004d strncmp 0061 _errno 006c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 33 ED 49 8B D8 48 8B FA 48 8B F1 4D 85 C0 75 07 33 C0 E9 EC 00 00 00 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 41 39 68 08 75 13 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? E9 AE 00 00 00 48 85 F6 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 8A 00 00 00 41 B1 04 0F B6 0E 48 FF CB 48 FF C6 46 84 4C 01 19 74 2D 48 85 DB 75 11 0F B6 07 8B CD 46 84 4C 00 19 75 5B 0F B7 D0 EB 47 40 38 2E 75 05 0F B7 CD EB 0D 0F B6 06 66 C1 E1 08 66 0B C8 48 FF C6 0F B6 17 48 FF C7 46 84 4C 02 19 74 23 48 85 DB 75 04 8B D5 EB 1A 48 FF CB 40 38 2F 75 05 0F B7 D5 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 0E 66 85 C9 74 05 48 85 DB 75 84 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "crealf"
		size = 46
		refs = "0007 __security_cookie 0025 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 48 89 0C 24 F3 0F 10 04 24 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_300_0_0 {
	meta:
		name = "scalblnf"
		size = 95
		refs = "001c _fdtest 002d _fdscale 004a _fperrraise"
		altNames = "scalbnf"
	strings:
		$1 = { 48 89 5C 24 10 F3 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 29 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_301_0_0 {
	meta:
		name = "?try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z"
		size = 68
		refs = "000a __acrt_heap 0010 __imp_HeapWalk 0021 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 FE FF FF FF EB 20 FF 15 ?? ?? ?? ?? 3D 03 01 00 00 75 07 B8 FB FF FF FF EB 0C B8 FC FF FF FF EB 05 B8 FC FF FF FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_301_1_0 {
	meta:
		name = "?filt$0@?0??try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z@4HA"
		size = 32
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_301_2_0 {
	meta:
		name = "_heapwalk"
		size = 226
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0044 memset 0064 __acrt_heap 006e __imp_HeapWalk 008c __imp_HeapValidate 00a4 ?try_walk@@YAHQEAU_PROCESS_HEAP_ENTRY@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 33 FF 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8D 43 FA E9 94 00 00 00 33 D2 48 8D 4D D8 44 8D 42 20 E8 ?? ?? ?? ?? 4C 8B 03 BE 04 00 00 00 66 89 7D DE 40 88 7D DD 4C 89 45 D0 4D 85 C0 75 1A 48 8B 0D ?? ?? ?? ?? 48 8D 55 D0 FF 15 ?? ?? ?? ?? 85 C0 75 37 8D 46 F9 EB 52 83 7B 10 01 75 1E 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 07 B8 FC FF FF FF EB 32 66 89 75 DE 48 8D 4D D0 E8 ?? ?? ?? ?? 83 F8 FE 75 20 40 84 75 DE 74 EC 48 8B 4D D0 B8 FE FF FF FF 48 89 0B 8B 4D D8 48 89 4B 08 C7 43 10 01 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_302_5_0 {
	meta:
		name = "_mbsnbcoll_l"
		size = 275
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 007d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0099 _strncoll_l 00cb __acrt_CompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 4D 8B F1 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 C7 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 A8 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 49 8B D1 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 54 24 50 83 7A 08 00 75 15 4D 8B CE 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 42 8B 42 04 48 8D 4C 24 48 48 8B 92 20 02 00 00 4C 8B CD 89 44 24 38 41 B8 00 10 00 00 89 7C 24 30 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_303_9_0 {
	meta:
		name = "_ismbcdigit_l"
		size = 115
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0033 _isctype_l 0056 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 2A 48 8B 44 24 28 83 78 08 01 7E 13 4C 8D 44 24 28 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? EB 21 48 8B 00 0F B7 04 58 83 E0 04 EB 15 41 B8 04 00 00 00 48 8D 54 24 28 41 B1 01 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_304_6_0 {
	meta:
		name = "_ismbcprint_l"
		size = 117
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0058 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 2D 48 8B 44 24 28 0F B6 D3 48 8B 08 B8 57 01 00 00 66 85 04 51 75 10 48 8B 44 24 30 F6 44 02 19 03 75 04 33 C0 EB 1C B8 01 00 00 00 EB 15 41 B8 20 00 00 00 48 8D 54 24 28 45 33 C9 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_305_5_0 {
	meta:
		name = "_mbstok_s_l"
		size = 452
		refs = "002a _errno 0035 _invalid_parameter_noinfo 0058 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0071 strtok_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 33 ED 4D 8B F0 48 8B F2 48 8B D9 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 69 01 00 00 48 85 D2 74 E4 48 85 C9 75 05 49 39 28 74 DA 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 4C 24 30 41 39 69 08 75 16 4D 8B C6 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 E9 16 01 00 00 48 85 DB 75 03 49 8B 1E 8A 03 84 C0 74 7A 48 8B FE 40 38 2E 74 45 0F B6 0F 42 F6 44 09 19 04 74 19 4C 8D 47 01 41 8A 10 84 D2 74 1C 3A C8 75 05 3A 53 01 74 26 49 8B F8 EB 04 3A C8 74 1D 48 FF C7 40 38 2F 74 42 EB CE 48 FF C7 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 4C 8B 4C 24 30 40 38 2F 74 28 0F B6 03 42 F6 44 08 19 04 74 08 48 FF C3 40 38 2B 74 05 48 FF C3 EB 90 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 4C 8B 4C 24 30 48 8B D3 40 38 2B 74 7B 48 8B C6 44 8B DD 40 38 2E 74 3C 0F B6 08 42 F6 44 09 19 04 74 18 44 8A 40 01 45 84 C0 74 25 3A 0B 75 06 44 3A 43 01 74 13 48 FF C0 EB 04 3A 0B 74 15 48 FF C0 40 38 28 74 12 EB CF 41 BB 01 00 00 00 EB 03 48 FF C0 40 38 28 75 1E 0F B6 03 42 F6 44 08 19 04 74 09 40 38 6B 01 74 08 48 FF C3 48 FF C3 EB 96 40 88 2B EB 11 40 88 2B 48 FF C3 45 85 DB 74 06 40 88 2B 48 FF C3 49 89 1E 48 3B D3 75 03 48 8B D5 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C2 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "acosh"
		size = 196
		refs = "0015 _dtest 0041 __real@3ff0000000000000 0057 _fperrraise 005f _Nan_C 0076 __real@4000000000000000 007e _Eps_C 009b sqrt 00a4 log1p 00ae log 00b6 __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 E9 01 74 10 83 F9 01 75 17 F2 0F 10 44 24 40 E9 89 00 00 00 B8 00 80 00 00 66 85 44 24 46 EB E7 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4C 24 40 66 0F 2F D1 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 55 66 0F 2E CA 7A 07 75 05 0F 57 C0 EB 48 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 0F 2F C1 76 22 0F 28 F1 F2 0F 58 CA F2 0F 5C F2 F2 0F 59 CE 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 C6 E8 ?? ?? ?? ?? EB 10 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "acoshl"
		size = 196
		refs = "0015 _ldtest 0041 __real@3ff0000000000000 0057 _fperrraise 005f _LNan_C 0076 __real@4000000000000000 007e _LEps_C 009b sqrt 00a4 log1pl 00ae log 00b6 __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 E9 01 74 10 83 F9 01 75 17 F2 0F 10 44 24 40 E9 89 00 00 00 B8 00 80 00 00 66 85 44 24 46 EB E7 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4C 24 40 66 0F 2F D1 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 55 66 0F 2E CA 7A 07 75 05 0F 57 C0 EB 48 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 0F 2F C1 76 22 0F 28 F1 F2 0F 58 CA F2 0F 5C F2 F2 0F 59 CE 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 C6 E8 ?? ?? ?? ?? EB 10 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "roundl"
		size = 101
		refs = "0015 _ld_int 004a __real@bff0000000000000 0054 __real@3ff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 BA 01 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 74 26 F2 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 10 F2 0F 58 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_560_0_0 {
	meta:
		name = "round"
		size = 101
		refs = "0015 _d_int 004a __real@bff0000000000000 0054 __real@3ff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 BA 01 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 74 26 F2 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 10 F2 0F 58 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_308_5_0 {
	meta:
		name = "_ismbstrail_l"
		size = 145
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0037 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5D 48 85 D2 74 E7 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 83 79 08 00 74 2B 48 3B DF 77 26 80 3B 00 74 21 0F B6 03 F6 44 08 19 04 74 0D 48 FF C3 48 3B DF 74 0A 80 3B 00 74 0A 48 FF C3 EB DA 83 C8 FF EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_311_0_0 {
	meta:
		name = "_ldexp"
		size = 647
		refs = "0027 _ldtest 0059 __real@c0dccc8000000000 006b __real@40dccc8000000000 0075 _LInf_C 0087 _fperrraise 0098 __real@3fe0000000000000 00a3 __real@3ff71547652b82fe 00b4 __real@bfe0000000000000 00c1 _LEps_C 00dc __real@3e4be8e7bcd5e4f2 00e4 __real@3fe62e42f8000000 00f2 __xmm@80000000000000008000000000000000 0122 __real@3f0152b741a5e84b 012a __real@3f503fa081572e11 0132 __real@3f8c70e8daf3bd0b 013a __real@3fbc718f8c124358 015d __real@3ff0000000000000 01cc _LNan_C 021c _ldscale 0262 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F2 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 37 01 00 00 66 44 3B F0 0F 8E 2D 01 00 00 F2 0F 10 23 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 87 F2 01 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 23 F2 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F2 0F 59 45 28 F2 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 DA 01 00 00 F2 0F 10 2D ?? ?? ?? ?? 0F 28 CC F2 0F 59 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C1 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C E0 0F 28 C2 0F 57 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 2F E0 76 11 66 0F 2F D4 76 0B F2 0F 10 45 28 F2 0F 11 03 EB 65 0F 28 C4 F2 0F 59 C4 0F 28 D0 0F 28 D8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D8 F2 0F 58 D5 F2 0F 59 D4 0F 28 CA F2 0F 58 CB F2 0F 5C DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E CB F2 0F 59 4D 28 F2 0F 11 0B 8D 14 30 E9 9A 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 DB 00 00 00 66 41 3B CF 75 0E F2 0F 10 45 28 41 0F B7 C7 E9 C3 00 00 00 66 85 C9 75 30 F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB CC F2 0F 10 45 28 E9 8A 00 00 00 B8 01 00 00 00 66 3B C8 75 22 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F2 0F 10 03 66 0F 2E C1 7A 02 74 C0 F2 0F 10 45 28 EB 62 66 85 FF 75 35 F2 0F 10 45 28 8B D6 F2 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 0A 83 FB 01 75 0F 8D 4B 07 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2C F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F2 0F 59 45 28 EB 11 F2 0F 10 45 28 F2 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F2 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_342_0_0 {
	meta:
		name = "_dexp"
		size = 647
		refs = "0027 _dtest 0059 __real@c09cc80000000000 006b __real@409cc80000000000 0075 _Inf_C 0087 _fperrraise 0098 __real@3fe0000000000000 00a3 __real@3ff71547652b82fe 00b4 __real@bfe0000000000000 00c1 _Eps_C 00dc __real@3e4be8e7bcd5e4f2 00e4 __real@3fe62e42f8000000 00f2 __xmm@80000000000000008000000000000000 0122 __real@3f0152b741a5e84b 012a __real@3f503fa081572e11 0132 __real@3f8c70e8daf3bd0b 013a __real@3fbc718f8c124358 015d __real@3ff0000000000000 01cc _Nan_C 021c _dscale 0262 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F2 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 37 01 00 00 66 44 3B F0 0F 8E 2D 01 00 00 F2 0F 10 23 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 87 F2 01 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 23 F2 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F2 0F 59 45 28 F2 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 DA 01 00 00 F2 0F 10 2D ?? ?? ?? ?? 0F 28 CC F2 0F 59 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C1 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C E0 0F 28 C2 0F 57 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 2F E0 76 11 66 0F 2F D4 76 0B F2 0F 10 45 28 F2 0F 11 03 EB 65 0F 28 C4 F2 0F 59 C4 0F 28 D0 0F 28 D8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D8 F2 0F 58 D5 F2 0F 59 D4 0F 28 CA F2 0F 58 CB F2 0F 5C DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E CB F2 0F 59 4D 28 F2 0F 11 0B 8D 14 30 E9 9A 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 DB 00 00 00 66 41 3B CF 75 0E F2 0F 10 45 28 41 0F B7 C7 E9 C3 00 00 00 66 85 C9 75 30 F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB CC F2 0F 10 45 28 E9 8A 00 00 00 B8 01 00 00 00 66 3B C8 75 22 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F2 0F 10 03 66 0F 2E C1 7A 02 74 C0 F2 0F 10 45 28 EB 62 66 85 FF 75 35 F2 0F 10 45 28 8B D6 F2 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 0A 83 FB 01 75 0F 8D 4B 07 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2C F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F2 0F 59 45 28 EB 11 F2 0F 10 45 28 F2 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F2 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_311_1_0 {
	meta:
		name = "exp2l"
		size = 231
		refs = "0013 _ldtest 003b __real@c1e0000000000000 004e __real@41dfffffffc00000 0060 _ld_int 0078 __real@3fe0000000000000 0082 __real@bff0000000000000 008f __real@bfe0000000000000 009d __real@3ff0000000000000 00a8 __real@3fe62e42fefa39ef 00be _ldexp"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF C8 45 33 C0 85 C9 0F 84 B4 00 00 00 83 E9 01 0F 84 9B 00 00 00 83 F9 01 0F 84 8B 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 66 0F 2F C1 73 5A 66 0F 2F 0D ?? ?? ?? ?? 73 50 33 D2 F2 0F 11 4D 18 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 18 F2 44 0F 2C 45 18 66 0F 2F 0D ?? ?? ?? ?? 76 0D F2 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 0B F2 0F 58 0D ?? ?? ?? ?? 41 FF C8 F2 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F2 0F 11 4D 10 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 16 74 EE 0F 57 C0 EB 08 F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_342_1_0 {
	meta:
		name = "exp2"
		size = 231
		refs = "0013 _dtest 003b __real@c1e0000000000000 004e __real@41dfffffffc00000 0060 _d_int 0078 __real@3fe0000000000000 0082 __real@bff0000000000000 008f __real@bfe0000000000000 009d __real@3ff0000000000000 00a8 __real@3fe62e42fefa39ef 00be _dexp"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF C8 45 33 C0 85 C9 0F 84 B4 00 00 00 83 E9 01 0F 84 9B 00 00 00 83 F9 01 0F 84 8B 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 66 0F 2F C1 73 5A 66 0F 2F 0D ?? ?? ?? ?? 73 50 33 D2 F2 0F 11 4D 18 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 18 F2 44 0F 2C 45 18 66 0F 2F 0D ?? ?? ?? ?? 76 0D F2 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 0B F2 0F 58 0D ?? ?? ?? ?? 41 FF C8 F2 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F2 0F 11 4D 10 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 16 74 EE 0F 57 C0 EB 08 F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_313_4_0 {
	meta:
		name = "?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z"
		size = 52
		refs = "001c __acrt_stdio_flush_and_write_wide_nolock"
	strings:
		$1 = { 48 89 54 24 10 48 83 EC 28 83 42 10 FE 48 8B 54 24 38 83 7A 10 00 7D 0A 0F B7 C9 E8 ?? ?? ?? ?? EB 0D 48 8B 02 66 89 08 0F B7 C1 48 83 02 02 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_313_8_0 {
	meta:
		name = "_fputwc_nolock"
		size = 385
		refs = "0015 __security_cookie 004e _fileno 0055 __badioinfo 005c __pioinfo 0107 wctomb_s 012b _fputc_nolock 014e __acrt_stdio_flush_and_write_wide_nolock 016a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 8B 42 14 48 8B FA 0F B7 F1 C1 E8 0C A8 01 74 19 83 42 10 FE 0F 88 0F 01 00 00 48 8B 02 66 89 08 48 83 02 02 E9 14 01 00 00 48 8B CA E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 83 F8 FF 74 36 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 29 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 8B CF 48 C1 FB 06 E8 ?? ?? ?? ?? 49 8B 14 DE 8B C8 83 E1 3F 48 C1 E1 06 48 03 D1 EB 03 48 8B D5 8A 42 39 FE C8 3C 01 0F 86 96 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 34 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 27 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 8B CF 48 C1 FB 06 E8 ?? ?? ?? ?? 49 8B 2C DE 8B C8 83 E1 3F 48 C1 E1 06 48 03 E9 F6 45 38 80 74 4F 44 0F B7 CE 48 8D 54 24 24 41 B8 05 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 DB 85 C0 74 07 B8 FF FF 00 00 EB 49 39 5C 24 20 7E 40 48 8D 6C 24 24 0F BE 4D 00 48 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 74 DD FF C3 48 FF C5 3B 5C 24 20 7C E4 EB 1D 83 47 10 FE 79 0D 48 8B D7 0F B7 CE E8 ?? ?? ?? ?? EB 0D 48 8B 07 66 89 30 48 83 07 02 0F B7 C6 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_313_9_0 {
	meta:
		name = "_fputwchar"
		size = 35
		refs = "000f __acrt_iob_func 001f fputwc"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 0F B7 CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_315_0_0 {
	meta:
		name = "_initterm"
		size = 100
		refs = "003f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B FA 48 2B F9 48 8B D9 48 83 C7 07 8B F5 48 C1 EF 03 48 3B CA 48 0F 47 FD 48 85 FF 74 1A 48 8B 03 48 85 C0 74 06 FF 15 ?? ?? ?? ?? 48 83 C3 08 48 FF C6 48 3B F7 75 E6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_315_1_0 {
	meta:
		name = "_initterm_e"
		size = 61
		refs = "001f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 1B 48 8B 03 48 85 C0 74 0A FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 83 C3 08 48 3B DF EB E3 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_316_1_0 {
	meta:
		name = "_strdup"
		size = 117
		refs = "003b malloc 0052 strcpy_s 0070 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B F9 48 85 C9 75 12 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 CB FF 48 FF C3 80 3C 19 00 75 F7 48 8D 4B 01 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 D0 4C 8B C7 48 8D 53 01 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C6 EB BA 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "??$common_creat@D@@YAHQEBDH@Z"
		size = 55
		refs = "0024 _sopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 89 5C 24 50 41 B8 02 03 00 00 48 8D 4C 24 50 44 8D 4B 41 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_317_1_0 {
	meta:
		name = "??$common_creat@_W@@YAHQEB_WH@Z"
		size = 55
		refs = "0024 _wsopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 89 5C 24 50 41 B8 02 03 00 00 48 8D 4C 24 50 44 8D 4B 41 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_317_2_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEBDHHAEBH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH2AEBH@Z"
		size = 30
		refs = "001a _sopen_s"
		altNames = "??$tsopen_s@PEAHAEBQEBDAEBHAEBHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBDAEBH2$$QEAH@Z ??$tsopen_s@PEAHAEBQEBDHHH@?$__crt_char_traits@D@@SAH$$QEAPEAHAEBQEBD$$QEAH22@Z"
	strings:
		$1 = { 48 8B 44 24 28 45 8B 09 45 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_687_13_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WAEBHAEBHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_WAEBH2$$QEAH@Z"
		size = 30
		refs = "001a _wsopen_s"
	strings:
		$1 = { 48 8B 44 24 28 45 8B 09 45 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_317_3_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WHHAEBH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH2AEBH@Z"
		size = 30
		refs = "001a _wsopen_s"
	strings:
		$1 = { 48 8B 44 24 28 45 8B 09 45 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_693_13_0 {
	meta:
		name = "??$tsopen_s@PEAHAEBQEB_WHHH@?$__crt_char_traits@_W@@SAH$$QEAPEAHAEBQEB_W$$QEAH22@Z"
		size = 30
		refs = "001a _wsopen_s"
	strings:
		$1 = { 48 8B 44 24 28 45 8B 09 45 8B 00 48 8B 12 44 8B 10 48 8B 09 44 89 54 24 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_317_4_0 {
	meta:
		name = "_creat"
		size = 55
		refs = "0024 _sopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 89 5C 24 48 41 B8 02 03 00 00 48 8D 4C 24 48 44 8D 4B 41 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_317_5_0 {
	meta:
		name = "_wcreat"
		size = 55
		refs = "0024 _wsopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 89 5C 24 48 41 B8 02 03 00 00 48 8D 4C 24 48 44 8D 4B 41 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_318_1_0 {
	meta:
		name = "_mbctohira_l"
		size = 55
		refs = "0009 _ismbckata_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 1E 81 FB 93 83 00 00 77 16 81 FB 7F 83 00 00 73 08 81 C3 5F FF FF FF EB 06 81 C3 5E FF FF FF 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_320_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
		size = 549
		refs = "005e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00e9 __imp_MultiByteToWideChar 010a _isleadbyte_l 01d5 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 45 33 E4 4D 8B F9 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 04 66 44 89 22 4D 85 C0 0F 84 BE 01 00 00 4D 85 C9 0F 84 B5 01 00 00 45 38 20 0F 84 AC 01 00 00 48 8B 94 24 98 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 63 69 08 4C 39 A1 38 01 00 00 75 35 48 85 FF 74 06 0F B6 06 66 89 07 48 85 DB 74 06 C7 03 01 00 00 00 41 8B C4 44 38 64 24 48 0F 84 6E 01 00 00 48 8B 4C 24 30 83 A1 A8 03 00 00 FD E9 5D 01 00 00 4C 8B B4 24 90 00 00 00 45 39 26 74 4B 8A 06 41 88 46 01 83 FD 01 0F 8E D5 00 00 00 8B 49 0C 41 8B C4 41 B9 02 00 00 00 48 85 FF 4D 8B C6 0F 95 C0 89 44 24 28 41 8D 51 07 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A5 00 00 00 45 89 26 48 85 DB 74 8D 89 2B EB 89 0F B6 0E 48 8D 54 24 38 E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 4C 3B FD 73 19 8A 06 41 88 06 48 85 DB 0F 84 61 FF FF FF C7 03 FE FF FF FF E9 56 FF FF FF 83 FD 01 7E 57 48 83 C8 FF 48 FF C0 44 38 24 06 75 F7 B9 FF FF FF 7F 48 3B C1 73 0D 48 83 C9 FF 48 FF C1 44 38 24 0E 75 F7 41 8B C4 44 8B C9 48 85 FF 4C 8B C6 BA 09 00 00 00 0F 95 C0 89 44 24 28 48 8B 44 24 38 48 89 7C 24 20 8B 48 0C FF 15 ?? ?? ?? ?? 85 C0 0F 85 68 FF FF FF 44 38 66 01 0F 85 5E FF FF FF 45 89 26 EB 35 41 8B C4 41 B9 01 00 00 00 48 85 FF 4C 8B C6 0F 95 C0 89 44 24 28 41 8D 51 08 48 8B 44 24 38 48 89 7C 24 20 8B 48 0C FF 15 ?? ?? ?? ?? 85 C0 0F 85 AB FE FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 85 FF 74 04 66 44 89 27 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? 8B 00 E9 91 FE FF FF 48 85 C9 74 03 44 89 21 33 C0 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_320_4_0 {
	meta:
		name = "?_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z"
		size = 312
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0059 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0063 ?mbst@?1??_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z@4U2@A 00a3 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 D1 00 00 00 48 8B 3A 48 8D 4D D8 83 65 D0 00 33 D2 33 DB E8 ?? ?? ?? ?? 4D 85 ED 4C 8D 25 ?? ?? ?? ?? 4D 0F 45 E5 48 85 F6 75 44 41 BD FF FF FF 7F EB 0E 0F 84 88 00 00 00 48 FF C3 48 98 48 03 F8 48 8D 45 E0 4D 8B CD 48 89 44 24 28 48 8D 55 38 4C 8B C7 4C 89 64 24 20 48 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 D0 85 C0 79 CA 48 83 CB FF EB 52 4D 85 FF 74 4A 41 BD FF FF FF 7F 48 8D 45 E0 4D 8B CD 48 89 44 24 28 48 8D 4D D0 4C 8B C7 4C 89 64 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 63 45 D0 85 C0 78 18 74 12 48 FF C3 48 03 F8 48 83 C6 02 49 83 EF 01 75 C6 EB 08 33 FF EB 04 48 83 CB FF 49 89 3E 80 7D F0 00 74 0B 48 8B 4D D8 83 A1 A8 03 00 00 FD 48 8B C3 4C 8D 5C 24 60 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_320_6_0 {
	meta:
		name = "btowc"
		size = 103
		refs = "004c ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 F9 FF 75 07 B8 FF FF 00 00 EB 4F 83 4C 24 50 FF 4C 8D 44 24 40 33 DB 88 4C 24 40 33 C0 48 89 5C 24 28 48 89 44 24 58 48 8D 54 24 48 48 8D 44 24 58 66 89 5C 24 48 44 8D 4B 01 48 89 44 24 20 48 8D 4C 24 50 E8 ?? ?? ?? ?? 39 5C 24 50 B9 FF FF 00 00 0F B7 44 24 48 0F 4C C1 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_320_7_0 {
	meta:
		name = "mbrlen"
		size = 62
		refs = "000c ?mbst@?1??mbrlen@@9@4U_Mbstatet@@A 0030 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 50 FF 48 8D 05 ?? ?? ?? ?? 4D 85 C0 4C 8B CA 49 0F 45 C0 48 83 64 24 28 00 4C 8B C1 48 89 44 24 20 48 8D 4C 24 50 33 D2 E8 ?? ?? ?? ?? 48 63 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_320_8_0 {
	meta:
		name = "mbrtowc"
		size = 92
		refs = "000c ?mbst@?1??mbrtowc@@9@4U_Mbstatet@@A 002d ??_C@_00CNPNBAHC@?$AA@ 004e ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_KPEAU_Mbstatet@@PEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 48 FF 48 8D 05 ?? ?? ?? ?? 48 85 D2 74 12 4D 85 C9 49 0F 45 C1 4D 8B C8 4C 8B C2 48 8B D1 EB 16 4D 85 C9 4C 8D 05 ?? ?? ?? ?? 49 0F 45 C1 41 B9 01 00 00 00 33 D2 48 83 64 24 28 00 48 8D 4C 24 48 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_320_10_0 {
	meta:
		name = "mbsrtowcs_s"
		size = 209
		refs = "003d _errno 0049 _invalid_parameter_noinfo 0071 ?_mbsrtowcs_helper@@YA_KPEA_WPEAPEBD_KPEAU_Mbstatet@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 6B 66 89 2A 48 85 C0 74 E3 4C 8B 44 24 50 48 8B D0 4C 8B 4C 24 58 4C 3B C7 48 8B CB 4C 0F 47 C7 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 66 89 2B E8 ?? ?? ?? ?? 8B 00 EB 30 48 FF C0 48 85 DB 74 1E 48 3B C7 76 14 66 89 2B 48 3B F8 76 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 99 66 89 6C 43 FE 48 85 F6 74 03 48 89 06 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_322_0_0 {
	meta:
		name = "_resetstkoflw"
		size = 292
		refs = "002a __security_cookie 0053 __imp_VirtualQuery 006a __imp_GetSystemInfo 007b __acrt_SetThreadStackGuarantee 00ce __imp_VirtualAlloc 00e8 __imp_VirtualProtect 0101 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 81 EC 90 00 00 00 48 8D 6C 24 20 48 89 9D 90 00 00 00 48 89 B5 98 00 00 00 48 89 BD A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 68 8B 04 24 48 83 EC 10 4C 8D 74 24 20 41 8B 06 41 B8 30 00 00 00 48 8D 55 08 49 8B CE FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 97 00 00 00 4C 8B 7D 10 48 8D 4D 38 FF 15 ?? ?? ?? ?? 8B 7D 3C 48 8D 4D 00 33 DB 21 5D 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 45 00 85 C0 0F 45 D8 8D 57 FF 8B C2 8D 4F FF F7 D0 03 CB 23 C8 74 02 03 CF 8D 04 3F 8B DA 3B C8 48 F7 D3 0F 42 C8 49 23 DE 8B F1 49 8D 04 3F 48 2B DE 48 3B D8 72 3C 41 B9 04 00 00 00 41 B8 00 10 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 74 20 4C 8D 4D 04 41 B8 04 01 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 8B 4D 68 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D 90 00 00 00 48 8B B5 98 00 00 00 48 8B BD A0 00 00 00 48 8D 65 70 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "lroundf"
		size = 94
		refs = "0010 _fdtest 0027 roundf 002e __real@cf000000 003e __real@4f000000 0053 _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 3E FF C8 83 F8 01 76 2D F3 0F 10 44 24 30 E8 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 11 44 24 30 72 13 F3 0F 10 0D ?? ?? ?? ?? 0F 2F C8 72 06 F3 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_324_5_0 {
	meta:
		name = "_mbsnicoll_l"
		size = 311
		refs = "002d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0098 _strnicoll_l 00a9 _mbsnbcnt_l 00ef __acrt_CompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 48 8B EA 4C 8B F1 49 8B D1 48 8D 48 D8 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 48 85 F6 75 07 33 FF E9 CA 00 00 00 4D 85 F6 74 05 48 85 ED 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BF FF FF FF 7F E9 A6 00 00 00 BF FF FF FF 7F 48 3B F7 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 48 8B 44 24 50 49 8B CE 83 78 08 00 75 12 4C 8B CB 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 8B F8 EB 67 4C 8D 44 24 48 48 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 48 48 8B D6 48 8B CD 48 8B D8 E8 ?? ?? ?? ?? 48 8B 54 24 50 4D 8B CE 41 B8 01 10 00 00 8B 4A 04 48 8B 92 20 02 00 00 89 4C 24 38 48 8D 4C 24 48 89 44 24 30 48 89 6C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 4C 8D 5C 24 60 8B C7 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_326_0_0 {
	meta:
		name = "__acrt_initialize_fma3"
		size = 112
		refs = "000e __fma3_is_available 0064 __use_fma3_lib"
	strings:
		$1 = { 40 53 48 83 EC 10 45 33 C0 33 C9 44 89 05 ?? ?? ?? ?? 45 8D 48 01 41 8B C1 0F A2 89 04 24 B8 00 10 00 18 89 4C 24 08 23 C8 89 5C 24 04 89 54 24 0C 3B C8 75 2C 33 C9 0F 01 D0 48 C1 E2 20 48 0B D0 48 89 54 24 20 48 8B 44 24 20 44 8B 05 ?? ?? ?? ?? 24 06 3C 06 45 0F 44 C1 44 89 05 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 33 C0 48 83 C4 10 5B C3 }
	condition:
		$1
}

rule file_326_2_0 {
	meta:
		name = "_set_FMA3_enable"
		size = 23
		refs = "0002 __use_fma3_lib 0008 __fma3_is_available"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 45 C1 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_327_0_0 {
	meta:
		name = "_cabsf"
		size = 22
		refs = "0012 _hypotf"
	strings:
		$1 = { F2 0F 10 49 08 F2 0F 10 01 66 0F 5A C9 66 0F 5A C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_328_5_0 {
	meta:
		name = "_mbsncpy_l"
		size = 228
		refs = "0028 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0041 _errno 004c _invalid_parameter_noinfo 0069 strncpy 00a9 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F2 48 8B D9 48 8B E9 49 8B D1 48 8D 48 D8 49 8B F8 E8 ?? ?? ?? ?? 48 85 DB 75 05 48 85 FF 75 0A 48 85 F6 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 59 48 8B 4C 24 30 83 79 08 00 75 13 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 3B 48 85 FF 74 36 0F B6 06 48 FF CF F6 44 08 19 04 88 03 74 52 8A 46 01 48 83 C6 02 88 43 01 48 83 C3 02 84 C0 75 DA 88 43 FE 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B C5 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 FF C3 48 FF C6 84 C0 74 B9 EB 8E }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "fesetround"
		size = 65
		refs = "001b _getfpcontrolword 0029 _setfpcontrolword 002e fegetround"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 03 00 00 3B C1 74 07 B8 01 00 00 00 EB 21 E8 ?? ?? ?? ?? 25 FF FC FF FF 0B C3 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 3B C3 0F 95 C1 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_330_3_0 {
	meta:
		name = "__acrt_update_locale_info"
		size = 49
		refs = "0009 __acrt_current_locale_data 001d __globallocalestatus 0024 __acrt_update_thread_locale_data"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B DA 48 39 02 74 16 8B 81 A8 03 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_330_4_0 {
	meta:
		name = "__acrt_update_multibyte_info"
		size = 49
		refs = "0009 __acrt_current_multibyte_data 001d __globallocalestatus 0024 __acrt_update_thread_multibyte_data"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B DA 48 39 02 74 16 8B 81 A8 03 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_331_5_0 {
	meta:
		name = "_mbsnset_l"
		size = 347
		refs = "002e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003d _errno 0048 _invalid_parameter_noinfo 0064 _strnset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 8B EA 48 8B D9 4C 8B F1 49 8B D1 48 8D 48 D8 49 8B F0 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 1A 48 85 F6 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 D9 00 00 00 48 8B 54 24 30 39 7A 08 75 15 4C 8B C6 8B D5 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 E9 BA 00 00 00 8B CD C1 E9 08 84 C9 74 76 40 84 ED 75 15 E8 ?? ?? ?? ?? B1 20 40 8A E9 C7 00 16 00 00 00 48 8B 54 24 30 48 85 F6 0F 84 8E 00 00 00 48 FF CE 80 3B 00 74 7A 85 FF 75 11 0F B6 03 F6 44 10 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 88 0B 48 FF C3 80 3B 00 74 1F 85 FF 75 11 0F B6 03 F6 44 10 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 EB 04 C6 43 FF 20 48 85 F6 75 AF EB 2F 48 85 F6 74 36 48 FF CE 80 3B 00 74 22 85 FF 75 11 0F B6 03 F6 44 10 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 48 85 F6 75 D6 85 FF 74 08 80 3B 00 74 03 C6 03 20 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 49 8B C6 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "exp"
		size = 1013
		refs = "0015 L__positive_infinity 0021 __use_fma3_lib 0038 L__max_exp_arg 0041 L__denormal_tiny_threshold 007c L__2_to_neg_26 008a L__real_64_by_log2 00a2 L__log2_by_64_mhead 00b6 L__log2_by_64_mtail 00c6 L__real_1_by_720 00d2 L__real_1_by_6 00e2 L__real_1_by_120 00ee L__real_1_by_2 0106 L__real_1_by_24 011f __two_to_jby64_table 0126 __two_to_jby64_tail_table 012d __two_to_jby64_head_table 0166 L__real_one 01a5 L__negative_infinity 01b2 L__real_qnanbit 01d2 __flag_y_inf 01d7 _exp_special 01e4 L__min_exp_arg 01ee L__real_smallest_denormal 0207 __flag_y_zero 0228 L__2_to_32"
	strings:
		$1 = { 48 83 EC 38 F3 0F 7E C0 66 48 0F 7E C2 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 8D 71 01 00 00 83 3D ?? ?? ?? ?? 00 0F 85 34 02 00 00 66 0F 28 D0 66 0F 28 D8 F2 0F C2 15 ?? ?? ?? ?? 02 F2 0F C2 1D ?? ?? ?? ?? 05 0F 54 D3 66 0F 2E D2 7A 21 66 0F 2E 05 ?? ?? ?? ?? 0F 87 63 01 00 00 E9 7E 01 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 28 C8 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 86 9A 01 00 00 F2 0F 59 0D ?? ?? ?? ?? 66 0F E6 D1 F3 0F E6 CA 66 0F 7E D1 66 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? 48 C7 C0 3F 00 00 00 23 C1 C1 F9 06 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 58 D0 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 DA 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 CA F2 0F 59 C2 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? 66 0F 28 E1 F2 0F 59 E1 F2 0F 59 DA F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 C2 F2 0F 59 DC F2 0F 58 C3 81 F9 02 FC FF FF 48 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 0F 59 04 C2 F2 41 0F 58 04 C3 F2 41 0F 58 04 C2 7E 1C 48 C1 E1 34 66 48 0F 6E D1 66 0F D4 C2 48 83 C4 38 C3 66 66 0F 1F 84 00 00 00 00 00 7C 0A 66 0F 2E 05 ?? ?? ?? ?? 73 D8 81 C1 32 04 00 00 48 C7 C0 01 00 00 00 48 D3 E0 66 48 0F 6E D0 F2 0F 59 C2 E9 C6 00 00 00 66 0F 1F 44 00 00 66 48 0F 7E C0 48 3B 05 ?? ?? ?? ?? 0F 84 AE 00 00 00 48 3B 05 ?? ?? ?? ?? 0F 84 91 00 00 00 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C0 E9 90 00 00 00 48 B8 00 00 00 00 00 00 F0 7F 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 00 00 00 66 0F 2E 05 ?? ?? ?? ?? 76 16 66 0F 28 05 ?? ?? ?? ?? EB 5C 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EF C9 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 28 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 0F 1F 80 00 00 00 00 66 0F EF C0 48 83 C4 38 C3 0F 1F 80 00 00 00 00 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB C2 15 ?? ?? ?? ?? 02 C5 FB C2 1D ?? ?? ?? ?? 05 C5 E0 54 D2 C5 F9 2E D2 7A 14 C5 F9 2E 05 ?? ?? ?? ?? 0F 87 F6 00 00 00 E9 31 01 00 00 90 C4 E1 F9 7E C2 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 86 F9 00 00 00 C5 FB 59 0D ?? ?? ?? ?? C4 E3 71 0B D1 03 C5 FB 2C C9 C4 E2 E9 B9 05 ?? ?? ?? ?? C5 EB 59 15 ?? ?? ?? ?? C5 EB 58 D0 48 C7 C0 3F 00 00 00 23 C1 C1 F9 06 C5 F9 28 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C5 EB 59 C2 C4 E2 E1 A9 C2 81 F9 02 FC FF FF 48 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C5 FB 59 14 C2 C4 C1 6B 58 0C C3 C4 C1 73 58 04 C2 7E 13 48 C1 E1 34 C4 E1 F9 6E D1 C5 F9 D4 C2 48 83 C4 38 C3 90 7C 0A C5 F9 2E 05 ?? ?? ?? ?? 73 E1 81 C1 32 04 00 00 48 C7 C0 01 00 00 00 48 D3 E0 C4 E1 F9 6E D0 C5 FB 59 C2 E9 76 00 00 00 66 0F 1F 44 00 00 48 B8 00 00 00 00 00 00 F0 7F C4 E1 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 0F 1F 00 C5 FB 58 0D ?? ?? ?? ?? C5 FB 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 F1 EF C9 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 EF C0 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_334_5_0 {
	meta:
		name = "_mbctoupper_l"
		size = 194
		refs = "0015 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0075 __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 55 F0 81 FB FF 00 00 00 76 67 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 10 19 04 74 67 8B 42 04 4C 8D 4D 10 48 8B 92 20 02 00 00 B9 02 00 00 00 C7 44 24 40 01 00 00 00 41 B8 00 02 00 00 89 44 24 38 48 8D 45 20 89 4C 24 30 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 74 24 0F B6 5D 20 0F B6 45 21 C1 E3 08 03 D8 EB 15 8D 43 01 48 63 C8 F6 44 11 18 20 74 08 0F B6 9C 13 19 01 00 00 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_335_0_0 {
	meta:
		name = "fegetenv"
		size = 32
		refs = "000a _getfpcontrolword 0011 _getfpstatusword"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? 89 43 04 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_336_0_0 {
	meta:
		name = "RoundFloatToIntegral"
		size = 463
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 41 57 8B C2 45 33 C9 C1 E8 17 49 8B F0 44 0F B6 D8 8B D9 B8 FF 00 00 00 44 3B D8 75 06 0F BA E2 16 72 23 41 BE FF FF 7F 00 45 85 DB 75 05 41 85 D6 74 13 44 3B D8 75 05 41 85 D6 74 09 41 81 FB 96 00 00 00 72 0A 45 89 08 8B C2 E9 51 01 00 00 45 85 DB 75 09 41 85 D6 0F 85 B2 00 00 00 41 83 FB 7F 0F 82 A8 00 00 00 41 83 C3 81 41 8B C1 B9 17 00 00 00 8B FA 41 2B CB 41 23 FE 41 BF 00 00 80 00 41 0B FF 8B EF D3 ED 44 8B C5 41 D3 E0 41 8D 4B 09 D3 E7 D3 EF B9 16 00 00 00 85 FF 0F 95 C0 89 06 44 8D 51 EB 41 8B C2 44 3B D9 74 05 41 2B CB D3 E0 8D 34 00 B9 00 00 00 80 85 DB 75 0B 3B F8 72 31 75 1D 41 84 EA EB 16 41 3B DA 75 06 85 D1 74 21 EB 09 83 FB 02 75 1A 85 D1 75 16 85 FF 74 12 44 03 C6 41 81 F8 00 00 00 01 75 06 45 03 DA 45 8B C7 45 23 C6 41 8D 43 7F C1 E0 17 23 D1 25 00 00 80 7F 41 0B C0 0B C2 E9 91 00 00 00 41 BA 01 00 00 00 85 C9 75 37 B9 00 00 00 80 85 D1 74 1B 41 83 FB 7E 75 0D 41 85 D6 74 08 41 B9 00 00 80 BF EB 65 41 B9 00 00 00 80 EB 5D 41 83 FB 7E 75 57 41 85 D6 74 52 41 B9 00 00 80 3F EB 4A 41 3B CA 75 16 B9 00 00 00 80 41 B9 00 00 80 BF 23 D1 F7 DA 1B C0 44 23 C8 EB 2F 83 F9 02 B9 00 00 00 80 75 16 23 D1 41 B9 00 00 80 3F F7 DA 1B C0 25 00 00 80 40 44 03 C8 EB 0F 23 D1 41 B9 00 00 00 80 F7 DA 1B C9 44 23 C9 45 89 10 41 8B C1 48 8B 5C 24 18 48 8B 6C 24 20 48 8B 74 24 28 48 8B 7C 24 30 41 5F 41 5E C3 }
	condition:
		$1
}

rule file_336_1_0 {
	meta:
		name = "_XMMI_FP_Emulation"
		size = 4560
		refs = "0022 __security_cookie 004f __read_mxcsr 005e __write_mxcsr 0127 __int_sqrtss 0180 __Fill_FPIEEE_RECORD 02b5 __int_divss 02c1 __int_mulss 02cd __int_subss 02d9 __int_addss 0960 __int_maxss 096d __int_minss 0a30 __int_ucomiss 0a3c __int_comiss 0ac9 __int_cmpss 0c73 __int_cvtsi2ss 0c82 __int64_cvtsi2ss 0e50 RoundFloatToIntegral 0f5c __int_cvttss2si 0f63 __int64_cvttss2si 0f76 __int_cvtss2si 0f84 __int64_cvtss2si 11ae __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 45 33 ED 48 8B F9 41 8B DD 4C 89 6D E8 89 5D D4 45 8B E5 45 8B FD 4C 89 6D E0 45 8B F5 44 89 6D D0 E8 ?? ?? ?? ?? BE 80 1F 00 00 89 45 D8 8B CE E8 ?? ?? ?? ?? 48 8B 4F 20 41 B8 FF 0F 00 00 44 89 6D DC 8B 01 33 47 10 83 E0 03 31 01 48 8B 4F 20 8B 47 14 C1 E0 02 33 01 83 E0 1C 31 01 48 8B 57 20 8B 0A 8B C1 C1 E8 05 41 23 C0 83 F8 3E 0F 87 7A 0C 00 00 83 F8 3D 0F 83 63 0B 00 00 83 F8 38 0F 87 31 09 00 00 83 F8 35 0F 83 2C 08 00 00 83 F8 2B 0F 82 DE 10 00 00 83 F8 32 0F 86 26 01 00 00 83 F8 34 0F 87 CC 10 00 00 44 39 6F 0C 8D 46 40 8B 4F 10 0F 45 F0 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 57 20 8B 02 8B 4A 10 25 BF 00 FE FF 0D A0 00 00 00 89 02 E8 ?? ?? ?? ?? 44 8B E0 E8 ?? ?? ?? ?? 8B D8 BE 01 00 00 00 83 E3 3F 44 8B FB 44 23 FE 74 09 40 84 37 0F 84 AD 01 00 00 8B C3 41 BE 02 00 00 00 41 23 C6 74 04 44 09 77 04 85 C0 74 09 44 84 37 0F 84 56 0A 00 00 41 BD 20 00 00 00 41 23 DD 74 3B 44 84 2F 75 36 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 E9 6C 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 45 85 FF 74 0B 48 8B 47 20 83 48 0C 10 89 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 E9 ED 06 00 00 8B 5A 10 41 BD 20 00 00 00 44 8B 7A 30 83 F8 2B 72 41 83 F8 2C 76 31 83 F8 2E 76 21 83 F8 30 76 11 83 F8 32 77 2D 81 E1 9F 00 FE FF 0F BA E9 07 EB 1F 81 E1 7F 00 FE FF 83 C9 60 EB 14 81 E1 5F 00 FE FF 83 C9 40 EB 09 81 E1 3F 00 FE FF 41 0B CD 89 0A 44 39 67 08 B8 80 9F 00 00 0F 45 F0 44 39 67 0C 74 03 83 CE 40 8B 4F 10 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 83 E9 01 74 33 83 E9 01 74 22 83 E9 01 74 11 83 F9 01 75 31 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 22 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 16 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 0A 41 8B D7 8B CB E8 ?? ?? ?? ?? 89 45 D4 E8 ?? ?? ?? ?? 44 8B E0 BE 01 00 00 00 41 83 E4 3F 40 84 37 75 37 44 84 E6 74 32 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 10 48 8B 47 20 09 77 04 83 48 04 10 48 8B 47 20 83 60 60 FE 8B 4D D8 E8 ?? ?? ?? ?? 8B C6 E9 79 0E 00 00 41 BE 02 00 00 00 44 84 37 75 13 45 84 E6 74 0E 48 8B CF E8 ?? ?? ?? ?? 44 09 77 04 EB CB F6 07 04 75 24 41 F6 C4 04 74 1E 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 08 48 8B 47 20 83 4F 04 04 83 48 04 08 EB A2 8B 55 D4 41 8B CC 0F BA F2 1F C1 E9 04 23 CE 8D 42 FF 3D FE FF 7F 00 76 14 81 FA 00 00 80 00 75 04 3B CE 74 08 85 D2 75 08 3B CE 75 04 8B C6 EB 03 8B 45 DC F6 07 10 0F 85 4C 02 00 00 85 C0 0F 84 44 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 2B CE 0F 84 3B 01 00 00 2B CE 0F 84 B5 00 00 00 2B CE 74 53 3B CE 0F 85 A3 01 00 00 BA 00 00 80 7F 41 BC 00 00 80 6F 85 DA 8B CB 41 8B D4 75 13 E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? 41 8B D4 41 8B CF 8B D8 E8 ?? ?? ?? ?? 44 8B F8 41 8B D7 8B CB E8 ?? ?? ?? ?? E9 D8 00 00 00 BA 00 00 80 7F 41 BC 00 00 80 6F 85 DA 75 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 2B 44 85 FA 41 8B D4 75 0C 41 8B CF E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 8B D8 41 8B CF 41 8B D4 E8 ?? ?? ?? ?? 44 8B F8 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 7A 8B C3 41 BC 00 00 80 6F C1 E8 17 0F B6 C8 84 C0 75 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 11 81 C1 C0 00 00 00 81 E3 FF FF 7F 80 C1 E1 17 0B D9 41 8B C7 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E7 FF FF 7F 80 C1 E0 17 41 0B C7 8B D0 8B CB E8 ?? ?? ?? ?? 8B D8 EB 7F 8B C3 41 BC 00 00 80 6F C1 E8 17 0F B6 C8 84 C0 75 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 11 81 C1 C0 00 00 00 81 E3 FF FF 7F 80 C1 E1 17 0B D9 41 8B C7 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E7 FF FF 7F 80 C1 E0 17 41 0B C7 8B D0 8B CB E8 ?? ?? ?? ?? EB 80 8B 5D D4 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 E2 3F 41 84 D5 74 0B 48 8B 4F 20 09 71 0C 44 09 6F 04 48 8B 4F 20 44 09 71 0C 48 8B 47 20 83 4F 04 10 44 09 70 04 41 84 D6 74 04 44 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 21 FD FF FF F6 07 08 0F 85 ED 01 00 00 41 F6 C4 08 0F 84 E3 01 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 2B CE 0F 84 FD 00 00 00 2B CE 74 75 2B CE 74 49 3B CE 0F 85 6F 01 00 00 BA 00 00 80 7F 41 BC 00 00 80 6F 44 85 FA 41 8B D4 75 0C 41 8B CF E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 8B D8 41 8B CF 41 8B D4 E8 ?? ?? ?? ?? 8B D0 8B CB E8 ?? ?? ?? ?? E9 A5 00 00 00 41 BC 00 00 80 6F 8B CB 41 8B D4 E8 ?? ?? ?? ?? 41 8B D4 41 8B CF 8B D8 E8 ?? ?? ?? ?? 8B D0 8B CB E8 ?? ?? ?? ?? EB 7D 41 8B C7 BA 00 00 80 7F C1 E8 17 41 BC 00 00 80 6F 0F B6 C0 89 45 D0 8B C3 23 C2 3D 00 00 80 60 72 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 0A 81 E3 00 00 80 80 0F BA EB 17 81 7D D0 C1 00 00 00 72 1A 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 0C 41 81 E7 00 00 80 80 41 0F BA EF 17 41 8B D7 8B CB E8 ?? ?? ?? ?? 8B D8 E9 85 00 00 00 41 8B C7 BA 00 00 80 7F C1 E8 17 41 BC 00 00 80 6F 0F B6 C0 89 45 D0 8B C3 23 C2 3D 00 00 80 60 72 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 0A 81 E3 00 00 80 80 0F BA EB 17 81 7D D0 C1 00 00 00 72 1A 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 0C 41 81 E7 00 00 80 80 41 0F BA EF 17 41 8B D7 8B CB E8 ?? ?? ?? ?? E9 77 FF FF FF 8B 5D D4 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 E2 3F 41 84 D5 74 0B 48 8B 4F 20 09 71 0C 44 09 6F 04 48 8B 4F 20 83 49 0C 04 48 8B 47 20 83 4F 04 08 83 48 04 04 E9 E6 FD FF FF 44 84 2F 75 6A 45 84 E5 74 65 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 04 41 F6 C4 10 74 0C 48 8B 47 20 44 09 70 0C 83 4F 04 10 41 F6 C4 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 45 84 E6 74 04 44 09 77 04 48 8B 47 20 8B 4D D4 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 48 50 E9 BC FA FF FF 48 8B CF E8 ?? ?? ?? ?? 45 84 E5 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 41 F6 C4 10 74 0C 48 8B 47 20 44 09 70 0C 83 4F 04 10 41 F6 C4 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 41 F6 C4 04 74 0C 48 8B 47 20 83 48 0C 08 83 4F 04 04 45 84 E6 74 04 44 09 77 04 44 84 E6 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 8B 4D D4 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 48 50 33 F6 E9 35 FA FF FF 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 57 20 41 BB FF 0F 00 00 8B 02 8B C8 44 8B 4A 10 44 8B 52 30 C1 E9 05 41 23 CB 83 F9 35 72 22 83 F9 36 76 11 83 F9 38 77 18 25 1F 05 FE FF 0D 00 05 00 00 EB 0A 25 3F 05 FE FF 0D 20 05 00 00 89 02 48 8B 47 20 44 8B 00 41 C1 E8 05 45 23 C3 41 83 E8 28 74 13 41 83 F8 01 75 1A 41 8B D2 41 8B C9 E8 ?? ?? ?? ?? EB 0B 41 8B D2 41 8B C9 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 44 8B F8 BE 01 00 00 00 41 83 E7 3F 45 8B E7 44 23 E6 74 09 40 84 37 0F 84 66 F9 FF FF 41 BE 02 00 00 00 45 23 FE 74 09 44 84 37 0F 84 15 02 00 00 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 74 04 44 09 77 04 45 85 E4 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 21 02 00 00 83 F8 3A 0F 86 67 01 00 00 83 F8 3C 0F 87 AD 07 00 00 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 8B 58 10 44 8B 78 30 C1 E9 05 81 E1 FF 0F 00 00 83 E9 3B 74 11 83 F9 01 75 16 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 0A 41 8B D7 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 57 20 44 8B E0 41 83 E4 3F BE 01 00 00 00 45 8B F4 8B 0A 81 E1 FF 00 FE FF 81 C9 E0 00 00 00 89 0A 44 23 F6 74 09 40 84 37 0F 84 85 F8 FF FF BA 00 00 80 7F 41 B8 FF FF 7F 00 41 85 D8 8B C3 0F 95 C1 23 C2 3B C2 0F 94 C0 84 C8 0F 85 8D 00 00 00 45 85 F8 41 8B C7 0F 95 C1 23 C2 3B C2 0F 94 C0 84 C8 75 79 41 BE 02 00 00 00 45 23 E6 74 09 44 84 37 0F 84 FE 00 00 00 44 8B C6 8B D3 41 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 07 81 67 1C 2A F7 FF FF 44 8B C6 41 8B D7 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 0A 81 67 1C 2B F7 FF FF 09 77 1C 45 33 C0 41 8B D7 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 0B 81 67 1C 6A F7 FF FF 83 4F 1C 40 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 74 29 44 09 77 04 EB 23 81 67 1C 6F F7 FF FF 48 8B CF 83 4F 1C 45 E8 ?? ?? ?? ?? 45 85 F6 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 83 60 60 FE E9 B1 00 00 00 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 44 8B 47 18 41 83 E0 07 8B 48 10 8B 50 30 81 20 FF 00 FE FF 81 08 E0 00 00 00 E8 ?? ?? ?? ?? 44 8B E0 E8 ?? ?? ?? ?? 8B D8 BE 01 00 00 00 83 E3 3F 44 8B FB 44 23 FE 74 09 40 84 37 0F 84 4D F7 FF FF 41 BE 02 00 00 00 41 23 DE 74 16 44 84 37 75 11 44 09 77 04 48 8B CF E8 ?? ?? ?? ?? E9 47 F7 FF FF 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 04 44 09 77 04 45 85 FF 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 41 8B F5 E9 10 F7 FF FF 8B 42 20 D1 E8 83 E0 0F 83 F8 05 75 25 44 8B 62 10 48 8B 5D E8 8B 4F 10 85 C9 74 2D 83 E9 01 74 23 83 E9 01 74 17 83 F9 01 75 1E BE 80 7F 00 00 EB 17 83 F8 06 75 DA 48 8B 5A 10 EB D8 BE 80 5F 00 00 EB 05 BE 80 3F 00 00 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 50 20 D1 EA 83 E2 0F 83 FA 05 75 0A 41 8B CC E8 ?? ?? ?? ?? EB 0D 83 FA 06 75 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 20 89 41 50 E8 ?? ?? ?? ?? 48 8B 57 20 8B D8 83 E3 3F 41 BD 20 00 00 00 8B 0A 81 E1 1F 01 FE FF 0F BA E9 08 89 0A 44 84 2F 75 37 41 84 DD 74 32 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 41 8D 75 E1 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 33 F6 FF FF 48 8B CF E8 ?? ?? ?? ?? BE 01 00 00 00 41 84 DD 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 C6 FB FF FF 83 F8 3F 0F 84 25 03 00 00 83 F8 40 0F 84 91 01 00 00 83 F8 41 0F 84 13 03 00 00 83 F8 42 0F 84 7F 01 00 00 83 C0 BA BE 01 00 00 00 3B C6 0F 87 54 04 00 00 81 E1 3F 01 FE FF 41 BF 00 00 40 00 81 C9 20 01 00 00 89 0A 48 8B 47 20 8B 58 10 8B C3 C1 E8 17 0F B6 C8 B8 FF 00 00 00 3B C8 75 56 41 85 DF 74 0D 48 8B CF E8 ?? ?? ?? ?? E9 3C FC FF FF 3B C8 75 40 41 85 DF 75 3B F7 C3 FF FF 3F 00 74 33 48 8B CF 40 84 37 0F 84 53 F5 FF FF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 10 48 8B 47 20 09 77 04 09 70 60 48 8B 47 20 83 60 60 E1 41 0B DF E9 07 FC FF FF 85 C9 75 33 41 B8 FF FF 7F 00 41 85 D8 74 28 44 39 6F 0C 74 22 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 81 E3 00 00 00 80 E9 D0 FB FF FF 44 8B 7F 18 41 83 E7 0F 41 F6 C7 04 75 09 45 8B F7 41 83 E6 03 EB 26 8B 4F 10 85 C9 74 1F 2B CE 74 18 2B CE 74 0C 3B CE 75 13 41 BE 03 00 00 00 EB 0B 41 BE 02 00 00 00 EB 03 44 8B F6 4C 8D 45 D0 8B D3 41 8B CE E8 ?? ?? ?? ?? 8B D8 41 F6 C7 08 0F 85 21 FF FF FF 44 39 6D D0 0F 84 17 FF FF FF 41 BD 20 00 00 00 48 8B CF 44 84 2F 75 1C E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 E9 4E F7 FF FF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 23 FA FF FF 8B 5A 10 83 F8 40 74 13 83 F8 42 75 1A 81 E1 5F 05 FE FF 81 C9 40 05 00 00 EB 0A 81 E1 1F 01 FE FF 0F BA E9 08 89 0A 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 48 8B 47 20 8B 08 C1 E9 05 41 23 C8 83 F9 08 74 05 83 F9 2A EB 14 8B 4F 10 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 4F 20 8B 01 C1 E8 05 25 FF 0F 00 00 83 F8 08 74 1F 83 F8 2A 75 2E 8B 41 60 8B CB 83 E0 1E 3C 0A 75 07 E8 ?? ?? ?? ?? EB 18 E8 ?? ?? ?? ?? EB 1F 8B 41 60 8B CB 83 E0 1E 3C 0A 75 0E E8 ?? ?? ?? ?? 44 8B F8 48 8B 5D E0 EB 08 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 44 8B F0 BE 01 00 00 00 41 83 E6 3F 40 84 37 75 09 44 84 F6 0F 85 51 F3 FF FF 41 BD 20 00 00 00 44 84 2F 75 46 45 84 F5 74 41 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 04 48 8B 47 20 09 70 60 48 8B 4F 20 8B 41 60 83 E0 1E 3C 0A 75 09 44 89 79 50 E9 2C F3 FF FF 48 89 59 50 E9 23 F3 FF FF 48 8B CF E8 ?? }
	condition:
		$1
}

rule file_336_2_0 {
	meta:
		name = "__Fill_FPIEEE_RECORD"
		size = 242
		altNames = "__Fill_FPIEEE_RECORD2"
	strings:
		$1 = { 48 8B 51 20 4C 8B C1 8B 41 10 41 BB FE FF FF FF 41 BA FD FF FF FF 41 B9 FB FF FF FF 33 02 83 E0 03 31 02 48 8B 51 20 8B 41 14 C1 E0 02 33 02 83 E0 1C 31 02 BA F7 FF FF FF 48 8B 49 20 41 8B 00 C1 E8 05 F7 D0 33 41 08 83 E0 01 31 41 08 41 8B 00 49 8B 48 20 C1 E8 03 F7 D0 33 41 08 83 E0 02 31 41 08 41 8B 00 49 8B 48 20 D1 E8 F7 D0 33 41 08 83 E0 04 31 41 08 41 8B 00 49 8B 48 20 03 C0 F7 D0 33 41 08 83 E0 08 31 41 08 41 8B 00 49 8B 48 20 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 B9 EF FF FF FF 49 8B 40 20 44 21 58 0C 49 8B 40 20 44 21 50 0C 49 8B 40 20 44 21 48 0C 49 8B 40 20 21 50 0C 49 8B 40 20 21 48 0C 49 8B 40 20 44 21 58 04 49 8B 40 20 44 21 50 04 49 8B 40 20 44 21 48 04 49 8B 40 20 21 50 04 49 8B 40 20 21 48 04 C3 }
	condition:
		$1
}

rule file_336_3_0 {
	meta:
		name = "__isnanf"
		size = 34
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 0F 94 C2 F7 C1 FF FF 7F 00 0F 95 C0 84 D0 B8 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_336_4_0 {
	meta:
		name = "fp32_is_denormal"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_336_5_0 {
	meta:
		name = "fp32_is_inf"
		size = 30
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_336_6_0 {
	meta:
		name = "fp32_is_qnan"
		size = 28
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 16 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_336_7_0 {
	meta:
		name = "fp32_is_snan"
		size = 36
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 14 0F BA E1 16 72 0E F7 C1 FF FF 3F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_336_8_0 {
	meta:
		name = "fp32_is_zero"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_337_0_0 {
	meta:
		name = "ilogbf"
		size = 70
		refs = "0015 _fdunscale"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1C 83 E9 01 74 10 83 F9 01 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "ldiv"
		size = 23
		altNames = "div"
	strings:
		$1 = { 8B C1 44 8B C2 99 41 F7 F8 89 44 24 18 89 54 24 1C 48 8B 44 24 18 C3 }
	condition:
		$1
}

rule file_339_15_0 {
	meta:
		name = "___lc_codepage_func"
		size = 47
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 8B 40 0C 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_339_16_0 {
	meta:
		name = "___lc_collate_cp_func"
		size = 47
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 8B 40 14 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_339_17_0 {
	meta:
		name = "___lc_locale_name_func"
		size = 50
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 05 28 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_339_18_0 {
	meta:
		name = "___mb_cur_max_func"
		size = 47
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 8B 40 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_339_19_0 {
	meta:
		name = "___mb_cur_max_l_func"
		size = 16
		refs = "0005 ___mb_cur_max_func"
	strings:
		$1 = { 48 85 C9 0F 84 ?? ?? ?? ?? 48 8B 01 8B 40 08 C3 }
	condition:
		$1
}

rule file_339_20_0 {
	meta:
		name = "__acrt_locale_initialize_ctype"
		size = 1503
		refs = "0022 __security_cookie 007d __acrt_GetLocaleInfoA 0092 _calloc_base 009e _free_base 014c __imp_GetCPInfo 01a9 __acrt_LCMapStringA 0260 __acrt_GetStringTypeA 0573 __newctype 0589 __newclmap 059e __newcumap 05ba __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 98 00 00 00 4C 8B 81 38 01 00 00 33 DB 49 89 4B A8 48 8B F9 49 89 5B B0 44 8B FB 44 8B F3 8B EB 44 8B EB 4D 85 C0 0F 84 08 05 00 00 4C 8D 61 0C 48 89 5C 24 58 8D 73 01 41 39 1C 24 75 1E 33 D2 4C 89 64 24 20 41 B9 04 10 00 00 49 8D 4B A8 E8 ?? ?? ?? ?? 85 C0 0F 85 A8 04 00 00 BA 04 00 00 00 48 8B CE E8 ?? ?? ?? ?? 33 C9 48 89 44 24 58 E8 ?? ?? ?? ?? BD 80 01 00 00 BA 02 00 00 00 8B CD E8 ?? ?? ?? ?? 33 C9 4C 8B F8 E8 ?? ?? ?? ?? 48 8B D6 8B CD E8 ?? ?? ?? ?? 33 C9 4C 8B F0 E8 ?? ?? ?? ?? 48 8B D6 8B CD E8 ?? ?? ?? ?? 33 C9 48 8B E8 E8 ?? ?? ?? ?? 48 8B D6 B9 01 01 00 00 E8 ?? ?? ?? ?? 33 C9 4C 8B E8 E8 ?? ?? ?? ?? 48 39 5C 24 58 0F 84 2A 04 00 00 4D 85 FF 0F 84 21 04 00 00 4D 85 ED 0F 84 18 04 00 00 4D 85 F6 0F 84 0F 04 00 00 48 85 ED 0F 84 06 04 00 00 49 8B CD 8B C3 88 01 48 03 CE 03 C6 3D 00 01 00 00 7C F2 41 8B 0C 24 48 8D 94 24 80 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D9 03 00 00 83 BC 24 80 00 00 00 05 0F 87 CB 03 00 00 0F B7 84 24 80 00 00 00 49 8D 8E 81 00 00 00 48 8B 97 38 01 00 00 4D 8D 4D 01 89 5C 24 40 89 44 24 50 41 8B 04 24 89 44 24 38 B8 FF 00 00 00 89 44 24 30 48 89 4C 24 28 33 C9 89 44 24 20 44 8D 40 01 E8 ?? ?? ?? ?? 85 C0 0F 84 7C 03 00 00 41 8B 04 24 48 8D 8D 81 00 00 00 48 8B 97 38 01 00 00 4D 8D 4D 01 89 5C 24 40 41 B8 00 02 00 00 89 44 24 38 B8 FF 00 00 00 89 44 24 30 48 89 4C 24 28 33 C9 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 37 03 00 00 39 74 24 50 7E 35 38 9C 24 86 00 00 00 74 2C 48 8D 8C 24 87 00 00 00 38 19 74 20 0F B6 51 FF EB 0A 48 63 C2 03 D6 42 C6 04 28 20 0F B6 01 3B D0 7E EF 48 83 C1 02 38 59 FF 75 DC 41 8B 04 24 49 8D 8F 00 01 00 00 89 5C 24 30 41 B9 00 01 00 00 89 44 24 28 4D 8B C5 48 89 4C 24 60 8B D6 48 89 4C 24 20 33 C9 E8 ?? ?? ?? ?? 85 C0 0F 84 C5 02 00 00 44 8B 64 24 50 49 8D 87 FE 00 00 00 66 89 18 41 88 5E 7F 88 5D 7F 41 88 9E 80 00 00 00 88 9D 80 00 00 00 48 89 44 24 68 44 3B E6 7E 4A 38 9C 24 86 00 00 00 74 41 48 8D 8C 24 87 00 00 00 38 19 74 35 0F B6 51 FF 0F B6 01 3B D0 7F 21 44 8D 82 80 00 00 00 49 63 C0 41 B9 00 80 00 00 03 D6 44 03 C6 66 45 89 0C 47 0F B6 01 3B D0 7E E6 48 83 C1 02 38 59 FF 75 C7 49 8D 8F 00 02 00 00 B8 80 00 00 00 0F 10 01 0F 10 49 10 41 0F 11 07 41 0F 11 4F 10 0F 10 41 20 0F 10 49 30 41 0F 11 47 20 41 0F 11 4F 30 0F 10 41 40 0F 10 49 50 41 0F 11 47 40 41 0F 11 4F 50 0F 10 41 60 41 0F 11 47 60 4C 03 F8 0F 10 41 70 48 03 C8 41 0F 11 47 F0 0F 10 09 48 8B 41 70 0F 10 41 10 41 0F 11 0F 0F 10 49 20 41 0F 11 47 10 0F 10 41 30 41 0F 11 4F 20 0F 10 49 40 41 0F 11 47 30 0F 10 41 50 41 0F 11 4F 40 0F 10 49 60 41 0F 11 47 50 41 0F 11 4F 60 49 89 47 70 8B 41 78 41 89 47 78 0F B7 41 7C 66 41 89 47 7C 41 8B 86 78 01 00 00 41 0F 10 86 00 01 00 00 41 0F 10 8E 10 01 00 00 41 0F 11 06 41 0F 10 86 20 01 00 00 41 0F 11 4E 10 41 0F 10 8E 30 01 00 00 41 0F 11 46 20 41 0F 10 86 40 01 00 00 41 0F 11 4E 30 41 0F 10 8E 50 01 00 00 41 0F 11 46 40 41 0F 10 86 60 01 00 00 41 0F 11 4E 50 F2 41 0F 10 8E 70 01 00 00 41 0F 11 46 60 F2 41 0F 11 4E 70 41 89 46 78 41 0F B7 86 7C 01 00 00 66 41 89 46 7C 41 8A 86 7E 01 00 00 41 88 46 7E 0F 10 85 00 01 00 00 8B 85 78 01 00 00 0F 10 8D 10 01 00 00 0F 11 45 00 0F 10 85 20 01 00 00 0F 11 4D 10 0F 10 8D 30 01 00 00 0F 11 45 20 0F 10 85 40 01 00 00 0F 11 4D 30 0F 10 8D 50 01 00 00 0F 11 45 40 0F 10 85 60 01 00 00 0F 11 4D 50 F2 0F 10 8D 70 01 00 00 0F 11 45 60 F2 0F 11 4D 70 89 45 78 0F B7 85 7C 01 00 00 66 89 45 7C 8A 85 7E 01 00 00 88 45 7E 48 8B 8F 00 01 00 00 48 85 C9 74 4E 83 C8 FF F0 0F C1 01 3B C6 75 43 48 8B 8F 08 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 10 01 00 00 41 BF 80 00 00 00 49 2B CF E8 ?? ?? ?? ?? 48 8B 8F 18 01 00 00 49 2B CF E8 ?? ?? ?? ?? 48 8B 8F 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 89 30 48 89 87 00 01 00 00 48 8B 44 24 60 48 89 07 48 8B 44 24 68 48 89 87 08 01 00 00 49 8D 86 80 00 00 00 48 89 87 10 01 00 00 48 8D 85 80 00 00 00 48 89 87 18 01 00 00 44 89 67 08 EB 24 48 8B 4C 24 58 E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 8B DE 49 8B CD E8 ?? ?? ?? ?? 8B C3 EB 4D 48 8B 81 00 01 00 00 48 85 C0 74 03 F0 FF 08 48 8D 05 ?? ?? ?? ?? 48 89 99 00 01 00 00 48 89 01 BE 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 99 08 01 00 00 48 89 81 10 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 81 18 01 00 00 33 C0 89 71 08 48 8B 8C 24 98 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_340_5_0 {
	meta:
		name = "_mbslen_l"
		size = 110
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 30 45 33 C0 44 39 42 08 75 0F 48 83 C8 FF 48 FF C0 44 38 04 03 75 F7 EB 25 41 8B C8 EB 17 0F B6 C0 F6 44 10 19 04 74 08 48 FF C3 44 38 03 74 0B FF C1 48 FF C3 8A 03 84 C0 75 E3 48 63 C1 44 38 44 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_341_8_0 {
	meta:
		name = "__acrt_uninitialize_tmpfile"
		size = 18
		refs = "0005 __acrt_stdio_free_tmpfile_name_buffers_nolock 000e _rmtmp"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_341_9_0 {
	meta:
		name = "_rmtmp"
		size = 146
		refs = "0015 __acrt_lock 0022 _nstream 002e __piob 004b _lock_file 0065 _fclose_nolock 0071 _unlock_file 007f __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 64 24 20 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 90 33 FF 89 7C 24 24 3B 3D ?? ?? ?? ?? 74 51 48 63 CF 48 8B 05 ?? ?? ?? ?? 48 8B 1C C8 48 89 5C 24 40 48 89 5C 24 28 48 85 DB 75 02 EB 2E 48 8B CB E8 ?? ?? ?? ?? 90 8B 43 14 C1 E8 0D A8 01 74 13 48 83 7B 28 00 74 0C 48 8B CB E8 ?? ?? ?? ?? FF 44 24 20 48 8B CB E8 ?? ?? ?? ?? FF C7 EB A3 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 20 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_341_10_0 {
	meta:
		name = "_rmtmp$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "fgetc$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_341_11_0 {
	meta:
		name = "_rmtmp$fin$1"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0??__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ@4HA _fcloseall$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 08 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "clogf"
		size = 538
		refs = "0020 crealf 002e cimagf 003c _fdtest 009a atan2f 00c1 __xmm@80000000800000008000000080000000 0100 _fperrraise 0108 _FInf_C 0120 __real@3f666666 0130 __real@3ecccccd 0150 _fd_int 019b __real@3f800000 01b3 log1pf 01bb __real@3f000000 01e5 logf 01fe _FCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 60 0F 29 74 24 50 0F 29 7C 24 40 44 0F 29 4C 24 30 48 89 4D C8 E8 ?? ?? ?? ?? 48 8B 4D C8 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 F8 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FF 02 75 17 F3 0F 10 4D 28 66 83 F8 01 0F 84 91 01 00 00 0F 28 C1 E9 91 01 00 00 66 83 FB 02 75 17 F3 0F 10 4D 30 66 83 FF 01 0F 84 74 01 00 00 0F 28 C1 E9 74 01 00 00 F3 0F 10 7D 28 F3 0F 10 75 30 0F 28 CF 0F 28 C6 E8 ?? ?? ?? ?? 44 0F 28 C8 66 83 FF 01 0F 84 46 01 00 00 66 83 FB 01 0F 84 3C 01 00 00 0F 57 C9 0F 2F CF 76 0C 0F 57 3D ?? ?? ?? ?? F3 0F 11 7D 28 0F 2F CE 76 0C 0F 57 35 ?? ?? ?? ?? F3 0F 11 75 30 0F 2F F7 76 13 0F 28 C7 0F 28 FE 0F 28 F0 F3 0F 11 7D 28 F3 0F 11 75 30 0F 2E F9 7A 24 75 22 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 41 0F 28 C9 E9 E1 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C7 0F 82 97 00 00 00 0F 2F 35 ?? ?? ?? ?? 0F 82 8A 00 00 00 BB 0B 00 00 00 F3 0F 11 7D C0 8B D3 F3 0F 11 75 38 48 8D 4D C0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D 38 E8 ?? ?? ?? ?? F3 0F 10 65 38 F3 0F 10 5D C0 0F 28 C4 F3 0F 10 6D 30 0F 28 CB F3 0F 58 45 30 F3 0F 10 55 28 F3 0F 5C EC F3 0F 58 4D 28 F3 0F 5C D3 F3 0F 59 E4 F3 0F 59 DB F3 0F 59 E8 F3 0F 5C 1D ?? ?? ?? ?? F3 0F 59 D1 F3 0F 58 EA F3 0F 58 DC F3 0F 58 EB 0F 28 C5 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? E9 4F FF FF FF F3 0F 5E F7 F3 0F 59 F6 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 F3 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 C6 E9 21 FF FF FF 0F 28 C8 F3 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 4C 24 30 48 83 C4 60 5F 5B 5D C3 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$09@@YAXQEBE_KQEAU_LDBL12@@@Z"
		size = 480
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 10 45 33 F6 48 8D 04 11 48 8B D8 4D 89 30 48 2B D9 45 89 70 08 48 3B C8 4C 8B D9 49 0F 47 DE 48 85 DB 0F 84 FB 00 00 00 48 8B F1 41 8B FE 48 F7 DE 45 8B CE 45 8B D6 F2 41 0F 10 00 41 8B C9 41 8B 68 08 8B C7 C1 E8 1E 41 C1 E1 02 44 0B C8 C1 E7 02 C1 E9 1E 41 C1 E2 02 44 0B D1 F2 0F 11 04 24 8B 04 24 45 89 48 04 45 89 50 08 8D 14 07 41 89 10 3B D7 72 04 3B D0 73 1C 41 8B C1 41 FF C1 45 89 48 04 44 3B C8 72 06 41 83 F9 01 73 07 41 FF C2 45 89 50 08 48 8B 04 24 48 C1 E8 20 41 8D 3C 01 41 89 78 04 41 3B F9 72 04 3B F8 73 07 41 FF C2 45 89 50 08 44 03 D5 44 8D 0C 3F 8B C2 8B CF C1 E8 1F 03 D2 44 0B C8 C1 E9 1F 45 03 D2 41 89 10 44 0B D1 45 89 48 04 45 89 50 08 41 0F B6 03 8D 3C 02 41 89 38 3B FA 72 04 3B F8 73 1C 41 8B C1 41 FF C1 45 89 48 04 44 3B C8 72 06 41 83 F9 01 73 07 41 FF C2 45 89 50 08 49 FF C3 45 89 48 04 45 89 50 08 4A 8D 04 1E 48 3B C3 0F 85 14 FF FF FF 41 BA 4E 40 00 00 45 39 70 08 75 34 41 8B 10 41 8B 48 04 44 8B C9 8B C2 C1 E8 10 C1 E1 10 0B C8 41 C1 E9 10 B8 F0 FF 00 00 C1 E2 10 66 44 03 D0 45 85 C9 74 DE 41 89 10 41 89 48 04 45 89 48 08 41 8B 50 08 BB 00 80 00 00 85 D3 75 38 45 8B 18 45 8B 48 04 41 8B C9 41 8B C3 C1 E8 1F 45 03 C9 44 0B C8 C1 E9 1F 03 D2 B8 FF FF 00 00 66 44 03 D0 45 03 DB 0B D1 85 D3 74 DA 45 89 18 45 89 48 04 41 89 50 08 48 8B 5C 24 20 48 8B 6C 24 28 48 8B 74 24 30 48 8B 7C 24 38 66 45 89 50 0A 48 83 C4 10 41 5E C3 }
	condition:
		$1
}

rule file_345_1_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$0BA@@@YAXQEBE_KQEAU_LDBL12@@@Z"
		size = 321
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 33 F6 48 8D 04 11 4C 8B D8 49 89 30 4C 2B D9 41 89 70 08 48 3B C8 4C 8B C9 4C 0F 47 DE 4D 85 DB 74 70 48 8B D9 8B FE 48 F7 DB 8B D6 44 8B D6 8B C7 41 C1 E2 04 C1 E7 04 8B CA C1 E8 1C C1 E9 1C 44 0B D1 41 89 38 C1 E2 04 0B D0 45 89 50 08 8B C7 41 89 50 04 41 0F B6 09 03 F9 41 89 38 3B F8 72 04 3B F9 73 18 8B C2 FF C2 41 89 50 04 3B D0 72 05 83 FA 01 73 07 41 FF C2 45 89 50 08 49 FF C1 41 89 50 04 45 89 50 08 4A 8D 04 0B 49 3B C3 75 9D 41 BA 4E 40 00 00 41 39 70 08 75 3A 45 8B 08 41 8B 50 04 8B C2 44 8B DA C1 E0 10 41 8B C9 C1 E9 10 8B D1 41 C1 EB 10 0B D0 41 C1 E1 10 B8 F0 FF 00 00 66 44 03 D0 45 85 DB 74 D8 45 89 08 41 89 50 04 45 89 58 08 41 8B 50 08 BB 00 80 00 00 85 D3 75 38 45 8B 18 45 8B 48 04 41 8B C9 41 8B C3 C1 E8 1F 45 03 C9 44 0B C8 C1 E9 1F 03 D2 B8 FF FF 00 00 66 44 03 D0 45 03 DB 0B D1 85 D3 74 DA 45 89 18 45 89 48 04 41 89 50 08 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 66 45 89 50 0A C3 }
	condition:
		$1
}

rule file_345_3_0 {
	meta:
		name = "??$multiply_ld12_by@$09@@YAXQEAU_LDBL12@@@Z"
		size = 196
	strings:
		$1 = { 48 83 EC 18 F2 0F 10 01 4C 8B D1 44 8B 59 08 8B 11 44 8B C2 44 8B 49 04 41 C1 E8 1E C1 E2 02 89 11 8B 49 04 41 C1 E9 1E C1 E1 02 41 0B C8 F2 0F 11 04 24 8B 04 24 45 8B C3 41 C1 E0 02 45 0B C1 41 89 4A 04 45 89 42 08 44 8D 0C 02 45 89 0A 44 3B CA 72 05 44 3B C8 73 18 8D 41 01 41 89 42 04 3B C1 72 05 83 F8 01 73 08 41 8D 40 01 41 89 42 08 41 8B 42 04 48 8B 0C 24 48 C1 E9 20 44 8D 04 08 45 89 42 04 44 3B C0 72 05 44 3B C1 73 04 41 FF 42 08 43 8D 04 09 41 8B C9 41 89 02 41 8B D0 C1 E9 1F 43 8D 04 00 0B C1 C1 EA 1F 41 89 42 04 41 8B 42 08 41 03 C3 03 C0 0B C2 41 89 42 08 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_345_4_0 {
	meta:
		name = "??$multiply_ld12_by@$0BA@@@YAXQEAU_LDBL12@@@Z"
		size = 46
		altNames = "??$shl_ld12@$03@@YAXQEAU_LDBL12@@@Z"
	strings:
		$1 = { 8B 01 44 8B C0 8B 51 04 44 8B CA C1 E0 04 89 01 8B 41 08 C1 E0 04 41 C1 E8 1C 41 C1 E9 1C C1 E2 04 41 0B C1 41 0B D0 89 41 08 89 51 04 C3 }
	condition:
		$1
}

rule file_345_11_0 {
	meta:
		name = "??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@AEBUfloating_point_string@0@QEAU_LDBL12@@@Z"
		size = 370
		refs = "00b0 ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@_NAEAU_LDBL12@@@Z"
	strings:
		$1 = { 4C 8B D2 83 F9 05 0F 8F C7 00 00 00 0F 84 A2 00 00 00 45 33 C9 85 C9 0F 84 8D 00 00 00 83 E9 01 0F 84 80 00 00 00 83 E9 01 74 69 83 E9 01 74 3E 83 F9 01 0F 85 12 01 00 00 8A 82 08 03 00 00 F6 D8 66 1B C9 41 83 48 02 FF 66 81 E1 00 80 41 83 48 06 FF B8 FF FF 00 00 66 41 89 00 B8 FF 7F 00 00 66 0B C8 66 41 89 48 0A E9 01 01 00 00 8A 82 08 03 00 00 F6 D8 B8 FF 7F 00 00 66 1B C9 66 81 E1 00 80 66 0B C8 4D 89 48 02 66 41 89 48 0A E9 D7 00 00 00 8A 82 08 03 00 00 F6 D8 66 1B C9 66 81 E1 00 80 EB E0 B2 01 EB 02 33 D2 49 8B CA E9 ?? ?? ?? ?? 8A 82 08 03 00 00 F6 D8 41 C7 40 06 FF FF FF BF 66 1B C9 66 81 E1 00 80 41 83 48 02 FF EB 80 83 E9 06 74 7A 83 E9 01 74 5E 83 E9 01 74 33 83 F9 01 75 64 8A 82 08 03 00 00 F6 D8 B8 FF 7F 00 00 66 1B C9 45 33 C9 66 81 E1 00 80 66 45 89 08 66 0B C8 4D 89 48 02 66 41 89 48 0A 41 8D 41 03 EB 5C 8A 82 08 03 00 00 F6 D8 66 1B C9 66 81 E1 00 80 45 33 C9 66 41 89 48 0A 66 45 89 08 4D 89 48 02 41 8D 41 02 EB 36 45 33 C9 66 45 89 08 4D 89 48 02 66 45 89 48 0A B8 01 00 00 00 EB 1F 45 33 C9 41 C7 40 06 00 00 00 C0 B8 FF FF 00 00 45 89 48 02 66 41 89 40 0A 66 45 89 08 33 C0 C3 }
	condition:
		$1
}

rule file_345_13_0 {
	meta:
		name = "??$shl_ld12@$00@@YAXQEAU_LDBL12@@@Z"
		size = 44
	strings:
		$1 = { 8B 01 44 8B C0 8B 51 04 03 C0 89 01 44 8B CA 41 C1 E8 1F 41 C1 E9 1F 8D 04 12 41 0B C0 89 41 04 8B 41 08 03 C0 41 0B C1 89 41 08 C3 }
	condition:
		$1
}

rule file_345_14_0 {
	meta:
		name = "??$shl_ld12@$01@@YAXQEAU_LDBL12@@@Z"
		size = 47
	strings:
		$1 = { 8B 01 44 8B C0 44 8B 49 04 C1 E0 02 89 01 8B 41 04 C1 E0 02 41 C1 E8 1E 41 0B C0 41 C1 E9 1E 89 41 04 8B 41 08 C1 E0 02 41 0B C1 89 41 08 C3 }
	condition:
		$1
}

rule file_345_27_0 {
	meta:
		name = "?add_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z"
		size = 79
	strings:
		$1 = { 8B 01 4C 8B CA 8B 12 44 8D 04 10 44 89 01 44 3B C0 72 05 44 3B C2 73 15 8B 41 04 8D 50 01 89 51 04 3B D0 72 05 83 FA 01 73 03 FF 41 08 8B 41 04 45 8B 41 04 42 8D 14 00 89 51 04 3B D0 72 05 41 3B D0 73 03 FF 41 08 41 8B 41 08 01 41 08 C3 }
	condition:
		$1
}

rule file_345_28_0 {
	meta:
		name = "?add_uint32_carry@@YA_NIIQEAI@Z"
		size = 23
	strings:
		$1 = { 8D 04 11 41 89 00 3B C1 72 07 3B C2 72 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_345_29_0 {
	meta:
		name = "?assemble_floating_point_ind@__crt_strtox@@YAXAEAU_LDBL12@@@Z"
		size = 25
	strings:
		$1 = { 33 C0 C7 41 06 00 00 00 C0 66 89 01 89 41 02 B8 FF FF 00 00 66 89 41 0A C3 }
	condition:
		$1
}

rule file_345_30_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 31
	strings:
		$1 = { 33 C0 66 89 02 F6 D9 48 89 42 02 B9 FF 7F 00 00 66 1B C0 66 25 00 80 66 0B C1 66 89 42 0A C3 }
	condition:
		$1
}

rule file_345_31_0 {
	meta:
		name = "?assemble_floating_point_qnan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 39
	strings:
		$1 = { B8 FF FF 00 00 66 89 02 83 C8 FF 89 42 02 F6 D9 89 42 06 B9 FF 7F 00 00 66 1B C0 66 25 00 80 66 0B C1 66 89 42 0A C3 }
	condition:
		$1
}

rule file_345_32_0 {
	meta:
		name = "?assemble_floating_point_snan@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 41
	strings:
		$1 = { 83 4A 02 FF B8 FF FF 00 00 66 89 02 F6 D9 B9 FF 7F 00 00 C7 42 06 FF FF FF BF 66 1B C0 66 25 00 80 66 0B C1 66 89 42 0A C3 }
	condition:
		$1
}

rule file_345_33_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAEAU_LDBL12@@@Z"
		size = 23
	strings:
		$1 = { 33 C0 66 89 02 F6 D9 48 89 42 02 66 1B C0 66 25 00 80 66 89 42 0A C3 }
	condition:
		$1
}

rule file_345_34_0 {
	meta:
		name = "?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@AEBUfloating_point_string@1@_NAEAU_LDBL12@@@Z"
		size = 2766
		refs = "0022 __security_cookie 0702 ?ld12_pow10_positive@@3QBU_LDBL12@@B 0711 ?ld12_pow10_negative@@3QBU_LDBL12@@B 0aaf __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 FD FF FF 48 81 EC 70 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 B8 06 00 00 00 4C 89 44 24 10 44 8A D2 4C 8D 4C 24 50 8D 50 7A 0F 10 01 0F 10 49 10 41 0F 11 01 0F 10 41 20 41 0F 11 49 10 0F 10 49 30 41 0F 11 41 20 0F 10 41 40 41 0F 11 49 30 0F 10 49 50 41 0F 11 41 40 0F 10 41 60 41 0F 11 49 50 0F 10 49 70 48 03 CA 41 0F 11 41 60 4C 03 CA 41 0F 11 49 F0 48 83 E8 01 75 AE 48 8B 01 49 89 01 8B 41 08 41 89 41 08 41 B9 03 00 00 00 48 8B 44 24 50 48 C1 E8 20 41 8D 51 15 45 8D 61 02 44 89 24 24 45 8D 71 FE 3B C2 76 2C 41 8A C2 F6 D8 0F B6 44 24 70 1B C9 41 23 C9 41 03 CC 3B C1 7C 10 48 8B 44 24 68 48 C1 E8 38 41 02 C6 88 44 24 6F 89 54 24 54 EB 04 8B 54 24 54 8B 7C 24 50 41 8A C2 F6 D8 41 BF FF 7F 00 00 8B C2 1B C9 44 89 7C 24 04 41 23 C9 45 33 C9 41 03 CE 4D 89 08 0F AF CA 45 89 48 08 2B F9 48 8D 4C 24 58 48 03 C8 89 7C 24 50 48 8D 44 24 58 48 8B D9 48 2B D8 48 8D 44 24 58 45 84 D2 0F 84 01 04 00 00 48 3B C1 48 8D 7C 24 58 49 0F 47 D9 48 85 DB 74 69 48 8D 74 24 58 45 8B D9 48 F7 DE 41 8B D1 45 8B D1 8B CA 41 C1 E2 04 41 8B C3 C1 E9 1C C1 E8 1C 44 0B D1 0F B6 0F 41 C1 E3 04 C1 E2 04 0B D0 41 8B C3 44 03 D9 44 3B D8 72 05 44 3B D9 73 13 8B C2 8D 4A 01 8B D1 3B C8 72 05 41 3B CE 73 03 45 03 D6 49 03 FE 48 8D 04 3E 48 3B C3 75 B3 45 89 18 41 89 50 04 45 89 50 08 BA 4E 40 00 00 45 39 48 08 75 3A 45 8B 18 BE F0 FF 00 00 45 8B 50 04 41 8B C2 41 8B DA 41 8B CB C1 E0 10 C1 E9 10 66 03 D6 44 8B D1 C1 EB 10 44 0B D0 41 C1 E3 10 85 DB 74 DD 45 89 18 45 89 50 04 41 89 58 08 45 8B 50 08 41 BD 00 80 00 00 BF FF FF 00 00 45 85 D5 75 33 41 8B 18 45 8B 58 04 41 8B CB 8B C3 C1 E8 1F 45 03 DB C1 E9 1F 45 03 D2 44 0B D8 44 0B D1 03 DB 66 03 D7 45 85 D5 74 DF 41 89 18 45 89 58 04 45 89 50 08 0F B7 44 24 50 41 BA FF 3F 00 00 66 41 03 C2 66 41 89 50 0A 0F B7 F0 66 89 44 24 22 66 33 F2 66 44 89 4C 24 18 66 41 23 D7 44 89 4C 24 1A 66 41 23 C7 4C 89 4C 24 28 66 41 23 F5 44 89 4C 24 30 B9 00 00 00 80 89 4C 24 1E 44 8D 14 02 66 41 3B D7 0F 83 8C 02 00 00 66 41 3B C7 0F 83 82 02 00 00 41 BB FD BF 00 00 66 45 3B D3 0F 87 72 02 00 00 B9 BF 3F 00 00 66 44 3B D1 77 0C 4D 89 48 04 45 89 08 E9 A6 07 00 00 B9 FF FF FF 7F 66 85 D2 75 1F 66 45 03 D6 41 85 48 08 75 15 45 39 48 04 75 0F 45 39 08 75 0A 66 45 89 48 0A E9 7D 07 00 00 66 85 C0 75 18 66 45 03 D6 85 4C 24 20 75 0E 44 39 4C 24 1C 75 07 44 39 4C 24 18 74 AE 41 8B D9 48 8D 54 24 28 41 8B FC 45 85 E4 7E 7C 8D 04 1B 44 8B E3 45 23 E6 4C 63 F8 4D 03 F8 4C 8D 74 24 20 41 B8 01 00 00 00 41 0F B7 06 41 0F B7 0F 0F AF C8 8B 02 44 8D 1C 08 45 85 E4 74 15 44 3B D8 72 08 41 8A C1 44 3B D9 73 03 41 8A C0 44 89 1A EB 10 44 89 1A 44 3B D8 72 05 44 3B D9 73 0C 41 8A C0 84 C0 74 05 66 44 01 42 04 49 83 C7 02 49 83 EE 02 41 2B F8 85 FF 7F AD 4C 8B 44 24 10 41 BE 01 00 00 00 44 8B 24 24 45 2B E6 48 83 C2 02 41 03 DE 44 89 24 24 45 85 E4 0F 8F 65 FF FF FF 44 8B 5C 24 30 B8 02 C0 00 00 8B 5C 24 28 66 44 03 D0 41 BF FF FF 00 00 66 45 85 D2 7E 3D 45 85 DB 78 32 8B 7C 24 2C 8B D3 C1 EA 1F 45 03 DB 03 DB 8B CF C1 E9 1F 66 45 03 D7 44 0B D9 89 5C 24 28 8D 04 3F 44 89 5C 24 30 0B C2 89 44 24 2C 66 45 85 D2 7F C9 66 45 85 D2 7F 6F 66 45 03 D7 41 8A D1 79 66 41 0F B7 C2 41 BC 01 00 00 00 66 F7 D8 44 0F B7 F0 66 45 03 D6 44 84 64 24 28 41 8B C3 8B 7C 24 2C 8B CF 0F B6 D2 41 0F 45 D4 C1 E0 1F C1 E1 1F D1 EF D1 EB 0B F8 0B D9 41 D1 EB 89 7C 24 2C 89 5C 24 28 4D 2B F4 75 CD 44 89 5C 24 30 4D 8B F4 84 D2 74 12 0F B7 C3 66 41 0B C4 66 89 44 24 28 8B 5C 24 28 EB 05 0F B7 44 24 28 66 41 3B C5 77 0E 81 E3 FF FF 01 00 81 FB 00 80 01 00 75 54 8B 44 24 2A 83 C9 FF 3B C1 75 42 8B 44 24 2E 44 89 4C 24 2A 3B C1 75 27 0F B7 44 24 32 44 89 4C 24 2E 66 41 3B C7 75 0C 66 44 89 6C 24 32 66 45 03 D6 EB 12 66 41 03 C6 66 89 44 24 32 EB 07 41 03 C6 89 44 24 2E 44 8B 5C 24 30 EB 07 41 03 C6 89 44 24 2A 41 BF FF 7F 00 00 66 45 3B D7 72 0C 66 F7 DE 1B C0 25 00 00 00 80 EB 2A 0F B7 44 24 2A 66 44 0B D6 66 41 89 00 8B 44 24 2C 41 89 40 02 45 89 58 06 66 45 89 50 0A E9 4B 05 00 00 66 F7 DE 1B C0 23 C1 05 00 80 FF 7F 4D 89 08 41 89 40 08 E9 33 05 00 00 48 3B C1 48 8D 74 24 58 49 0F 47 D9 48 85 DB 0F 84 0A 01 00 00 4C 8D 7C 24 58 45 8B D9 49 F7 DF 45 8B D1 41 8B D1 4D 8B EE F2 41 0F 10 00 41 8B CA 45 8B 60 08 41 8B C3 C1 E8 1E 41 C1 E2 02 44 0B D0 41 C1 E3 02 C1 E9 1E C1 E2 02 0B D1 F2 0F 11 44 24 38 8B 44 24 38 45 89 50 04 41 89 50 08 46 8D 34 18 45 89 30 45 3B F3 72 05 44 3B F0 73 1A 41 8B C2 41 FF C2 45 89 50 04 44 3B D0 72 05 45 3B D5 73 06 FF C2 41 89 50 08 48 8B 44 24 38 48 C1 E8 20 45 8D 1C 02 45 89 58 04 45 3B DA 72 05 44 3B D8 73 07 41 03 D5 41 89 50 08 41 03 D4 47 8D 14 1B 41 8B CB 03 D2 C1 E9 1F 41 8B C6 0B D1 C1 E8 1F 0F B6 0E 44 0B D0 43 8D 04 36 45 89 50 04 41 89 50 08 44 8D 1C 08 45 89 18 44 3B D8 72 05 44 3B D9 73 1A 41 8B C2 41 FF C2 45 89 50 04 44 3B D0 72 05 45 3B D5 73 06 FF C2 41 89 50 08 49 03 F5 45 89 50 04 41 89 50 08 4A 8D 04 3E 48 3B C3 0F 85 10 FF FF FF 41 BC 05 00 00 00 BA 4E 40 00 00 45 39 48 08 75 35 45 8B 10 BE F0 FF 00 00 41 8B 48 04 44 8B D9 41 8B C2 C1 E8 10 66 03 D6 C1 E1 10 0B C8 41 C1 EB 10 41 C1 E2 10 45 85 DB 74 E2 45 89 10 41 89 48 04 45 89 58 08 45 8B 50 08 41 BD 00 80 00 00 41 BF FF FF 00 00 45 85 D5 75 34 41 8B 18 45 8B 58 04 41 8B CB 8B C3 C1 E8 1F 45 03 DB C1 E9 1F 45 03 D2 44 0B D8 44 0B D1 03 DB 66 41 03 D7 45 85 D5 74 DE 41 89 18 45 89 58 04 45 89 50 08 66 41 89 50 0A 85 FF 0F 84 78 03 00 00 48 8D 15 ?? ?? ?? ?? 48 83 EA 60 85 FF 79 0F 48 8D 15 ?? ?? ?? ?? F7 DF 48 83 EA 60 85 FF 0F 84 54 03 00 00 BE FD BF 00 00 41 BE BF 3F 00 00 8B C7 48 83 C2 54 C1 FF 03 48 89 54 24 28 89 7C 24 0C 83 E0 07 0F 84 18 03 00 00 48 98 41 BF 01 00 00 00 48 8D 0C 40 4C 8D 1C 8A 66 45 39 2B 72 28 41 8B 43 08 F2 41 0F 10 03 4C 8D 5C 24 38 89 44 24 40 F2 0F 11 44 24 38 48 8B 44 24 38 48 C1 E8 10 41 2B C7 89 44 24 3A 41 0F B7 4B 0A 41 BA FF 7F 00 00 41 0F B7 40 0A 0F B7 D9 66 33 D8 4C 89 4C 24 18 66 41 23 C2 44 89 4C 24 20 66 41 23 CA 66 41 23 DD 66 89 1C 24 44 8D 14 08 66 3B 44 24 04 0F 83 85 02 00 00 66 3B 4C 24 04 0F 83 7A 02 00 00 66 44 3B D6 0F 87 70 02 00 00 66 45 3B D6 77 0C 4D 89 48 04 45 89 08 E9 74 02 00 00 66 85 C0 75 23 66 45 03 D7 41 F7 40 08 FF FF FF 7F 75 15 45 39 48 04 75 0F 45 39 08 75 0A 66 45 89 48 0A E9 4C 02 00 00 66 85 C9 75 19 66 45 03 D7 41 F7 43 08 FF FF FF 7F 75 0B 45 39 4B 04 75 05 45 39 0B 74 AE 45 8B F1 48 8D 54 24 18 41 8B F4 BF 01 00 00 00 44 8B FE 85 F6 7E 69 43 8D 04 36 4C 63 E8 4D 8D 63 08 41 8B C6 23 C7 4D 03 E8 44 8B C0 41 0F B7 45 00 41 0F B7 0C 24 0F AF C8 8B 02 8D 1C 08 45 85 C0 74 12 3B D8 72 07 41 8A C1 3B D9 73 03 40 8A C7 89 1A EB 0D 89 1A 3B D8 72 04 3B D9 73 0B 40 8A C7 84 C0 74 04 66 01 7A 04 49 83 C5 02 49 83 EC 02 44 2B FF 45 85 FF 7F B2 4C 8B 44 24 10 48 83 C2 02 44 03 F7 2B F7 85 F6 7F 83 44 8B 5C 24 20 B8 02 C0 00 00 8B 5C 24 18 66 44 03 D0 41 BF FF FF 00 00 66 45 85 D2 7E 3D 45 85 DB 78 32 8B 74 24 1C 8B D3 C1 EA 1F 45 03 DB 03 DB 8B CE C1 E9 1F 66 45 03 D7 44 0B D9 89 5C 24 18 8D 04 36 44 89 5C 24 20 0B C2 89 44 24 1C 66 45 85 D2 7F C9 66 45 85 D2 7F 64 66 45 03 D7 41 8A D1 79 5B 41 0F B7 C2 66 F7 D8 44 0F B7 F0 66 45 03 D6 40 84 7C 24 18 41 8B C3 8B 74 24 1C 8B CE 0F B6 D2 0F 45 D7 C1 E0 1F C1 E1 1F D1 EE D1 EB 0B F0 0B D9 41 D1 EB 89 74 24 1C 89 5C 24 18 4C 2B F7 75 CE 44 89 5C 24 20 84 D2 74 11 0F B7 C3 66 0B C7 66 89 44 24 18 8B 5C 24 18 EB 05 0F B7 44 24 18 8B 7C 24 0C 41 BD 00 80 00 00 66 41 3B C5 77 0E 81 E3 FF FF 01 00 81 FB 00 80 01 00 75 50 8B 44 24 1A 83 F8 FF 75 41 8B 44 24 1E 44 89 4C 24 1A 83 F8 FF 75 26 0F B7 44 24 22 44 89 4C 24 1E 66 41 3B C7 75 0C 66 44 89 6C 24 22 66 41 FF C2 EB 10 66 FF C0 66 89 44 24 22 EB 06 FF C0 89 44 24 1E 44 8B 5C 24 20 EB 06 FF C0 89 44 24 1A 48 8B 54 24 28 41 BF FF 7F 00 00 BE FD BF 00 00 41 BE BF 3F 00 00 66 45 3B D7 72 1C 0F B7 04 24 66 F7 D8 4D 89 08 1B C0 25 00 00 00 80 05 00 80 FF 7F 41 89 40 08 EB 3D 0F B7 44 24 1A 66 44 0B 14 24 66 41 89 00 8B 44 24 1C 41 89 40 02 45 89 58 06 66 45 89 50 0A EB 1C 66 F7 DB 4D 89 08 1B C0 25 00 00 00 80 05 00 80 FF 7F 41 89 40 08 41 BF FF 7F 00 00 41 BC 05 00 00 00 85 FF 0F 85 B9 FC FF FF EB 06 41 BF FF 7F 00 00 44 38 8D 58 02 00 00 74 05 66 45 09 68 0A 41 0F B7 48 0A B8 03 00 00 00 66 41 23 CF 66 41 3B CF 44 0F 44 C8 41 8B C1 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 03 00 00 48 81 C4 70 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_345_37_0 {
	meta:
		name = "?convert_ld12_to_ldouble@@YAXQEBU_LDBL12@@QEAU_LDOUBLE@@@Z"
		size = 206
		refs = "0007 __security_cookie 00c5 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 10 44 0F B7 41 0A B8 FF 7F 00 00 44 0F B7 19 45 0F B7 C8 66 44 23 C8 41 C1 E3 10 B8 00 80 00 00 44 89 5C 24 08 66 44 23 C0 4C 8B D2 8B 51 06 8B 41 02 89 14 24 45 85 DB 79 60 41 F7 C3 FF FF FF 7F 74 57 8D 48 01 41 BB 01 00 00 00 89 4C 24 04 3B C8 72 09 41 3B CB 72 04 32 C0 EB 03 41 8A C3 33 C9 84 C0 74 2D 8B 04 8C 8D 50 01 89 14 8C 3B D0 72 09 41 3B D3 72 04 32 C0 EB 03 41 8A C3 49 2B CB 79 DE 84 C0 74 0B BA 00 00 00 80 66 45 03 CB EB 03 8B 14 24 8B 44 24 04 66 45 0B C1 41 89 52 04 66 45 89 42 08 41 89 02 48 8B 4C 24 10 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_345_39_0 {
	meta:
		name = "?increment_mantissa@@YA_NQEAIH@Z"
		size = 116
	strings:
		$1 = { 8B C2 4C 8B C1 99 B9 1F 00 00 00 23 D1 03 C2 44 8B C8 23 C1 2B C2 41 C1 F9 05 2B C8 BA 01 00 00 00 D3 E2 49 63 C1 41 8B 0C 80 44 8D 14 11 45 89 14 80 44 3B D1 72 09 44 3B D2 72 04 32 C9 EB 02 B1 01 41 8D 41 FF 48 63 D0 85 C0 78 24 84 C9 74 20 41 8B 04 90 8D 48 01 41 89 0C 90 3B C8 72 09 83 F9 01 72 04 32 C9 EB 02 B1 01 48 83 EA 01 79 DC 8A C1 C3 }
	condition:
		$1
}

rule file_345_42_0 {
	meta:
		name = "?mantissa_has_zero_tail@@YA_NQEAIH@Z"
		size = 75
	strings:
		$1 = { 8B C2 4C 8B C9 99 B9 1F 00 00 00 23 D1 03 C2 44 8B C0 23 C1 2B C2 41 C1 F8 05 2B C8 83 CA FF D3 E2 49 63 C0 F7 D2 41 85 14 81 74 03 32 C0 C3 41 8D 40 01 48 63 C8 EB 0A 41 83 3C 89 00 75 ED 48 FF C1 48 83 F9 03 7C F0 B0 01 C3 }
	condition:
		$1
}

rule file_345_43_0 {
	meta:
		name = "?multiply_ld12@@YAXQEAU_LDBL12@@QEBU1@@Z"
		size = 787
		refs = "0022 __security_cookie 02f2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 0F B7 42 0A 45 33 FF 4C 8B C1 4C 89 7D E8 0F B7 49 0A 0F B7 D8 66 33 D9 44 89 7D F0 4C 8B DA BA 00 80 00 00 66 23 DA BA FF 7F 00 00 66 23 CA 66 89 5D E0 66 23 C2 44 8D 0C 01 66 3B CA 0F 83 62 02 00 00 66 3B C2 0F 83 59 02 00 00 BA FD BF 00 00 66 44 3B CA 0F 87 4A 02 00 00 BA BF 3F 00 00 66 44 3B CA 77 0C 4D 89 78 04 45 89 38 E9 4B 02 00 00 BA 01 00 00 00 41 BA FF FF FF 7F 66 85 C9 75 1F 66 44 03 CA 45 85 50 08 75 15 45 39 78 04 75 0F 45 39 38 75 0A 66 45 89 78 0A E9 1C 02 00 00 66 85 C0 75 15 66 44 03 CA 45 85 53 08 75 0B 45 39 7B 04 75 05 45 39 3B 74 AB BB 01 00 00 00 48 8D 55 E8 41 8B F7 44 8D 53 04 45 8B F2 45 85 D2 7E 62 8D 04 36 44 8B EE 4C 63 E0 4D 8D 7B 08 44 23 EB 4D 03 E0 41 0F B7 04 24 41 0F B7 0F 0F AF C8 8B 02 8D 3C 08 45 85 ED 74 12 3B F8 72 08 3B F9 72 04 32 C0 EB 02 8A C3 89 3A EB 0C 89 3A 3B F8 72 04 3B F9 73 0A 8A C3 84 C0 74 04 66 01 5A 04 49 83 C4 02 49 83 EF 02 44 2B F3 45 85 F6 7F B4 45 33 FF 48 83 C2 02 03 F3 44 2B D3 45 85 D2 7F 88 44 8B 55 F0 B8 02 C0 00 00 44 8B 5D E8 66 44 03 C8 BF 00 00 00 80 41 BC FF FF 00 00 66 45 85 C9 7E 3C 44 85 D7 75 31 8B 75 EC 41 8B D3 C1 EA 1F 45 03 D2 45 03 DB 8B CE C1 E9 1F 66 45 03 CC 44 0B D1 44 89 5D E8 8D 04 36 44 89 55 F0 0B C2 89 45 EC 66 45 85 C9 7F CA 66 45 85 C9 7F 61 66 45 03 CC 41 8A D7 79 58 41 0F B7 C1 66 F7 D8 44 0F B7 F0 66 45 03 CE 84 5D E8 41 8B C2 8B 75 EC 8B CE 0F B6 D2 0F 45 D3 C1 E0 1F C1 E1 1F D1 EE 41 D1 EB 0B F0 44 0B D9 41 D1 EA 89 75 EC 44 89 5D E8 4C 2B F3 75 D0 44 89 55 F0 84 D2 74 11 41 0F B7 C3 66 0B C3 66 89 45 E8 44 8B 5D E8 EB 04 0F B7 45 E8 0F B7 5D E0 BA 00 80 00 00 66 3B C2 77 10 41 81 E3 FF FF 01 00 41 81 FB 00 80 01 00 75 46 8B 45 EA 83 C9 FF 3B C1 75 37 8B 45 EE 44 89 7D EA 3B C1 75 21 0F B7 45 F2 44 89 7D EE 66 41 3B C4 75 0A 66 89 55 F2 66 41 FF C1 EB 0E 66 FF C0 66 89 45 F2 EB 05 FF C0 89 45 EE 44 8B 55 F0 EB 05 FF C0 89 45 EA B8 FF 7F 00 00 66 44 3B C8 72 12 66 F7 DB 1B C0 23 C7 05 00 80 FF 7F 49 83 20 00 EB 32 0F B7 45 EA 66 44 0B CB 66 41 89 00 8B 45 EC 41 89 40 02 45 89 50 06 66 45 89 48 0A EB 18 66 F7 DB 4D 89 38 BF 00 00 00 80 1B C0 23 C7 05 00 80 FF 7F 41 89 40 08 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_345_44_0 {
	meta:
		name = "?multiply_ten_pow_ld12@@YAXQEAU_LDBL12@@H@Z"
		size = 946
		refs = "002a __security_cookie 0038 ?ld12_pow10_positive@@3QBU_LDBL12@@B 0057 ?ld12_pow10_negative@@3QBU_LDBL12@@B 0390 __security_check_cookie"
	strings:
		$1 = { 85 D2 0F 84 A9 03 00 00 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8D 3D ?? ?? ?? ?? 48 89 4D D0 48 83 EF 60 45 33 ED 44 8B D2 4C 8B C1 85 D2 79 0E 41 F7 DA 48 8D 3D ?? ?? ?? ?? 48 83 EF 60 45 85 D2 0F 84 20 03 00 00 41 BE 00 80 00 00 BE 01 00 00 00 45 8D 5E FF 41 8B C2 48 8D 7F 54 41 C1 FA 03 44 89 55 C0 83 E0 07 0F 84 EA 02 00 00 48 98 48 8D 0C 40 48 8D 14 8F 66 44 39 32 72 20 8B 42 08 F2 0F 10 02 48 8D 55 E8 89 45 F0 F2 0F 11 45 E8 48 8B 45 E8 48 C1 E8 10 2B C6 89 45 EA 0F B7 42 0A 41 0F B7 48 0A 44 0F B7 F8 48 83 65 D8 00 66 44 33 F9 66 41 23 CB 44 89 6D E0 66 41 23 C3 66 45 23 FE 44 8D 0C 01 66 41 3B CB 0F 83 6E 02 00 00 66 41 3B C3 0F 83 64 02 00 00 41 BB FD BF 00 00 66 45 3B CB 0F 87 54 02 00 00 41 BB BF 3F 00 00 66 45 3B CB 77 0D 49 83 60 04 00 45 89 28 E9 53 02 00 00 66 85 C9 75 23 66 44 03 CE 41 F7 40 08 FF FF FF 7F 75 15 45 39 68 04 75 0F 45 39 28 75 0A 66 45 89 68 0A E9 2B 02 00 00 66 85 C0 75 18 66 44 03 CE F7 42 08 FF FF FF 7F 75 0B 44 39 6A 04 75 05 44 39 2A 74 AE 45 8B F5 4C 8D 5D D8 BB 05 00 00 00 44 8B E3 85 DB 0F 8E 81 00 00 00 43 8D 04 36 45 8B D6 48 98 4C 8D 6A 08 44 23 D6 49 03 C0 4C 8B C0 41 0F B7 45 00 41 0F B7 08 0F AF C8 41 8B 03 8D 34 08 45 85 D2 74 1D 3B F0 72 0D 3B F1 72 09 32 C0 B9 01 00 00 00 EB 07 B9 01 00 00 00 8A C1 41 89 33 EB 12 41 89 33 3B F0 72 04 3B F1 73 10 B9 01 00 00 00 8A C1 84 C0 74 05 66 41 01 4B 04 BE 01 00 00 00 49 83 C0 02 44 2B E6 49 83 ED 02 45 85 E4 7F 9C 4C 8B 45 D0 45 33 ED 49 83 C3 02 44 03 F6 2B DE 85 DB 0F 8F 63 FF FF FF 44 8B 5D E0 B8 02 C0 00 00 8B 5D D8 66 44 03 C8 41 BC FF FF 00 00 66 45 85 C9 7E 3E 45 85 DB 78 2E 8B 75 DC 8B D3 C1 EA 1F 45 03 DB 03 DB 8B CE C1 E9 1F 66 45 03 CC 44 0B D9 89 5D D8 8D 04 36 44 89 5D E0 0B C2 89 45 DC 66 45 85 C9 7F CD BE 01 00 00 00 66 45 85 C9 7F 62 66 45 03 CC 41 8A D5 79 59 41 0F B7 C1 66 F7 D8 44 0F B7 F0 66 45 03 CE 40 84 75 D8 41 8B C3 0F B6 D2 0F 45 D6 8B 75 DC 8B CE C1 E0 1F D1 EE 0B F0 C1 E1 1F D1 EB 0B D9 89 75 DC BE 01 00 00 00 41 D1 EB 89 5D D8 4C 2B F6 75 CD 44 89 5D E0 84 D2 74 0F 0F B7 C3 66 0B C6 66 89 45 D8 8B 5D D8 EB 04 0F B7 45 D8 44 8B 55 C0 41 BE 00 80 00 00 66 41 3B C6 77 0E 81 E3 FF FF 01 00 81 FB 00 80 01 00 75 46 8B 45 DA 83 F8 FF 75 39 8B 45 DE 44 89 6D DA 83 F8 FF 75 22 0F B7 45 E2 44 89 6D DE 66 41 3B C4 75 0B 66 44 89 75 E2 66 44 03 CE EB 0E 66 03 C6 66 89 45 E2 EB 05 03 C6 89 45 DE 44 8B 5D E0 EB 05 03 C6 89 45 DA B8 FF 7F 00 00 66 44 3B C8 73 1E 0F B7 45 DA 66 45 0B CF 66 41 89 00 8B 45 DC 41 89 40 02 45 89 58 06 66 45 89 48 0A EB 18 66 41 F7 DF 1B C0 25 00 00 00 80 05 00 80 FF 7F 49 83 20 00 41 89 40 08 41 BB FF 7F 00 00 45 85 D2 0F 85 EF FC FF FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_345_45_0 {
	meta:
		name = "?multiply_two_pow_ld12@@YAXQEAU_LDBL12@@H@Z"
		size = 799
		refs = "0022 __security_cookie 02fe __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 45 33 ED B8 FF 3F 00 00 66 03 D0 66 44 89 6D E8 0F B7 41 0A 4C 8B C1 0F B7 F8 66 89 55 F2 66 33 FA 44 89 6D EA B9 00 80 00 00 4C 89 6D D8 66 23 F9 44 89 6D E0 B9 FF 7F 00 00 66 89 7D D0 66 23 C1 66 23 D1 41 BA 00 00 00 80 44 89 55 EE 44 8D 0C 10 66 3B C1 0F 83 5A 02 00 00 66 3B D1 0F 83 51 02 00 00 B9 FD BF 00 00 66 44 3B C9 0F 87 42 02 00 00 B9 BF 3F 00 00 66 44 3B C9 77 0C 4D 89 68 04 45 89 28 E9 3F 02 00 00 B9 01 00 00 00 41 BA FF FF FF 7F 66 85 C0 75 1F 66 44 03 C9 45 85 50 08 75 15 45 39 68 04 75 0F 45 39 28 75 0A 66 45 89 68 0A E9 10 02 00 00 66 85 D2 75 16 66 44 03 C9 44 85 55 F0 75 0C 44 39 6D EC 75 06 44 39 6D E8 74 AA 41 8B DD 48 8D 55 D8 48 8B F9 41 BA 05 00 00 00 41 8B F2 45 85 D2 7E 64 8D 04 1B 44 8B E3 4C 63 F8 4C 8D 75 F0 44 23 E7 4D 03 F8 41 0F B7 06 41 0F B7 0F 0F AF C8 8B 02 44 8D 1C 08 45 85 E4 74 15 44 3B D8 72 08 41 8A C5 44 3B D9 73 03 40 8A C7 44 89 1A EB 10 44 89 1A 44 3B D8 72 05 44 3B D9 73 0B 40 8A C7 84 C0 74 04 66 01 7A 04 49 83 C7 02 49 83 EE 02 2B F7 85 F6 7F AF 48 83 C2 02 03 DF 44 2B D7 45 85 D2 7F 86 44 8B 55 E0 B8 02 C0 00 00 44 8B 5D D8 66 44 03 C8 41 BE FF FF 00 00 66 45 85 C9 7E 3C 45 85 D2 78 31 8B 5D DC 41 8B D3 C1 EA 1F 45 03 D2 45 03 DB 8B CB C1 E9 1F 66 45 03 CE 44 0B D1 44 89 5D D8 8D 04 1B 44 89 55 E0 0B C2 89 45 DC 66 45 85 C9 7F CA 66 45 85 C9 7F 61 66 45 03 CE 41 8A D5 79 58 41 0F B7 C1 66 F7 D8 0F B7 F0 66 44 03 CE 40 84 7D D8 41 8B C2 8B 5D DC 8B CB 0F B6 D2 0F 45 D7 C1 E0 1F C1 E1 1F D1 EB 41 D1 EB 0B D8 44 0B D9 41 D1 EA 89 5D DC 44 89 5D D8 48 2B F7 75 CF 44 89 55 E0 84 D2 74 11 41 0F B7 C3 66 0B C7 66 89 45 D8 44 8B 5D D8 EB 04 0F B7 45 D8 0F B7 7D D0 BA 00 80 00 00 66 3B C2 77 10 41 81 E3 FF FF 01 00 41 81 FB 00 80 01 00 75 46 8B 45 DA 83 C9 FF 3B C1 75 37 8B 45 DE 44 89 6D DA 3B C1 75 21 0F B7 45 E2 44 89 6D DE 66 41 3B C6 75 0A 66 89 55 E2 66 41 FF C1 EB 0E 66 FF C0 66 89 45 E2 EB 05 FF C0 89 45 DE 44 8B 55 E0 EB 05 FF C0 89 45 DA B8 FF 7F 00 00 66 44 3B C8 72 0C 66 F7 DF 1B C0 25 00 00 00 80 EB 26 0F B7 45 DA 66 44 0B CF 66 41 89 00 8B 45 DC 41 89 40 02 45 89 50 06 66 45 89 48 0A EB 14 66 F7 DF 1B C0 41 23 C2 05 00 80 FF 7F 4D 89 28 41 89 40 08 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_345_48_0 {
	meta:
		name = "?round_mantissa@@YA_NQEAIH@Z"
		size = 299
		refs = "010a memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 BF 1F 00 00 00 8D 72 FF 8D 46 01 8B EF 99 33 DB 23 D7 41 83 CA FF 03 C2 44 8D 47 E4 44 8B D8 4C 8B C9 23 C7 41 C1 FB 05 2B C2 4D 63 F3 2B E8 42 8B 04 B1 0F A3 E8 0F 83 8F 00 00 00 8B CD 49 63 C3 41 8B D2 D3 E2 F7 D2 41 85 14 81 75 19 41 8D 43 01 48 63 C8 EB 09 41 39 1C 89 75 0A 48 FF C1 49 3B C8 7C F2 EB 64 8B C6 99 23 D7 03 C2 8B F0 23 C7 2B C2 C1 FE 05 2B F8 BA 01 00 00 00 40 8A CF D3 E2 48 63 CE 41 8B 04 89 8D 3C 10 41 89 3C 89 3B F8 72 06 8A CB 3B FA 73 02 B1 01 8D 46 FF 48 63 D0 85 C0 78 22 84 C9 74 1E 41 8B 04 91 8D 48 01 41 89 0C 91 3B C8 72 07 83 F9 01 8A CB 73 02 B1 01 48 83 EA 01 79 DE 8A D9 8B CD 41 8D 43 01 41 D3 E2 47 21 14 B1 41 3B C0 7D 18 44 2B C0 48 63 C8 4D 63 C0 33 D2 49 C1 E0 02 49 8D 0C 89 E8 ?? ?? ?? ?? 48 8B 6C 24 38 8A C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_345_50_0 {
	meta:
		name = "?shr_ld12@@YAXQEAU_LDBL12@@@Z"
		size = 43
	strings:
		$1 = { 8B 41 08 44 8B C0 8B 51 04 44 8B CA D1 E8 89 41 08 8B 01 D1 E8 41 C1 E0 1F 41 C1 E1 1F D1 EA 41 0B C1 41 0B D0 89 01 89 51 04 C3 }
	condition:
		$1
}

rule file_345_51_0 {
	meta:
		name = "?transform_into_return_value@@YAHW4SLD_STATUS@@@Z"
		size = 25
	strings:
		$1 = { 83 E9 02 74 0E 83 F9 01 74 03 33 C0 C3 B8 03 00 00 00 C3 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_345_57_0 {
	meta:
		name = "_atoldbl_l"
		size = 334
		refs = "0015 __security_cookie 002e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0046 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0056 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QEAU_LDBL12@@@Z 0138 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 7C 24 20 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B DA 48 8B F9 49 8B D0 48 8D 4D B0 E8 ?? ?? ?? ?? 33 C0 48 8D 4D E0 45 33 C0 48 89 45 D0 48 8B D3 89 45 D8 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 45 D0 48 8D 4D B8 E8 ?? ?? ?? ?? 44 0F B7 4D DA 8B D0 44 0F B7 45 D0 45 0F B7 D1 8B 4D D2 B8 FF 7F 00 00 66 44 23 D0 41 C1 E0 10 B8 00 80 00 00 44 89 45 E8 66 44 23 C8 BB 00 00 00 80 8B 45 D6 89 45 E0 44 85 C3 74 60 41 F7 C0 FF FF FF 7F 74 57 8D 41 01 41 BB 01 00 00 00 89 45 E4 3B C1 72 09 41 3B C3 72 04 32 C0 EB 03 41 8A C3 33 C9 84 C0 74 2F 8B 44 8D E0 44 8D 40 01 44 89 44 8D E0 44 3B C0 72 09 45 3B C3 72 04 32 C0 EB 03 41 8A C3 49 2B CB 79 D9 84 C0 74 08 8B C3 66 45 03 D3 EB 03 8B 45 E0 8B 4D E4 66 45 0B CA 89 47 04 89 0F 66 44 89 4F 08 83 EA 02 74 10 83 FA 01 74 04 33 C0 EB 0C B8 03 00 00 00 EB 05 B8 04 00 00 00 80 7D C8 00 74 0B 48 8B 4D B0 83 A1 A8 03 00 00 FD 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_346_3_0 {
	meta:
		name = "?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z"
		size = 476
		refs = "0047 _errno 0052 _invalid_parameter_noinfo 0068 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00ca __imp_MultiByteToWideChar 00db __imp_GetLastError 00ff _isleadbyte_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 45 33 E4 49 8B E8 4C 8B F2 48 8B F9 41 8B DC 48 85 C9 74 10 4D 85 C0 75 07 33 C0 E9 80 01 00 00 66 44 89 21 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 5E 01 00 00 49 8B D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 85 FF 0F 84 DF 00 00 00 4C 39 A0 38 01 00 00 75 2C 48 85 ED 0F 84 1B 01 00 00 42 0F B6 04 33 66 89 07 46 38 24 33 0F 84 09 01 00 00 48 FF C3 48 83 C7 02 48 3B DD 72 E2 E9 F8 00 00 00 8B 48 0C 48 83 CB FF 89 6C 24 28 44 8B CB 4D 8B C6 48 89 7C 24 20 8D 53 0A FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 0F 85 CA 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 75 5F 44 8B FD 49 8B F6 85 ED 74 29 41 FF CF 44 38 26 74 21 0F B6 0E 48 8D 54 24 38 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C6 44 38 26 74 34 48 FF C6 45 85 FF EB D5 48 8B 44 24 38 41 2B F6 89 6C 24 28 44 8B CE 4D 8B C6 48 89 7C 24 20 BA 01 00 00 00 8B 48 0C FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 11 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 66 44 89 27 EB 53 48 8B D9 EB 4E 48 83 CB FF 4C 39 A0 38 01 00 00 75 0B 48 FF C3 45 38 24 1E 75 F7 EB 36 8B 48 0C 44 8B CB 44 89 64 24 28 4D 8B C6 BA 09 00 00 00 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 04 48 8D 59 FF 44 38 64 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_346_6_0 {
	meta:
		name = "_mbstowcs_s_l"
		size = 304
		refs = "003d _errno 0049 _invalid_parameter_noinfo 006c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a0 ?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F9 49 8B F0 48 8B FA 4C 8B F1 41 8B DC 48 85 D2 75 07 4D 85 C0 74 21 EB 05 4D 85 C0 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 C2 00 00 00 66 44 89 22 48 85 C9 74 03 4C 89 21 48 8B 94 24 88 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 84 24 80 00 00 00 4C 3B C6 4C 0F 47 C6 49 81 F8 FF FF FF 7F 76 0C E8 ?? ?? ?? ?? BB 16 00 00 00 EB 4E 4C 8D 4C 24 28 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 FF 75 12 48 85 FF 74 04 66 44 89 27 E8 ?? ?? ?? ?? 8B 18 EB 45 48 FF C0 48 85 FF 74 35 48 3B C6 76 2A 48 83 BC 24 80 00 00 00 FF 74 17 66 44 89 27 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 48 8B C6 BB 50 00 00 00 66 44 89 64 47 FE 4D 85 F6 74 03 49 89 06 44 38 64 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 74 24 68 8B C3 48 8B 5C 24 60 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_346_7_0 {
	meta:
		name = "mbstowcs"
		size = 26
		refs = "0002 __acrt_locale_changed_data 000c __acrt_initial_locale_pointers 0016 ?_mbstowcs_l_helper@@YA_KPEA_WPEBD_KPEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 0D ?? ?? ?? ?? EB 03 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_347_0_0 {
	meta:
		name = "??$common_tcscpy_s@D@@YAHQEAD_KQEBD@Z"
		size = 98
		refs = "0019 _errno 0025 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4C 2B C1 43 8A 04 08 41 88 01 49 FF C1 84 C0 74 06 48 83 EA 01 75 EC 48 85 D2 75 0E 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB C4 33 C0 EB C9 }
	condition:
		$1
}

rule file_347_1_0 {
	meta:
		name = "strcpy_s"
		size = 95
		refs = "001a _errno 0026 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 C9 74 0C 48 85 D2 74 07 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4C 2B C1 43 8A 04 08 41 88 01 49 FF C1 84 C0 74 06 48 83 EA 01 75 EC 48 85 D2 75 D9 88 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB C4 }
	condition:
		$1
}

rule file_348_0_0 {
	meta:
		name = "wcscmp"
		size = 55
	strings:
		$1 = { 44 0F B7 0A 33 C0 44 0F B7 01 45 2B C1 75 1B 48 2B CA 66 45 85 C9 74 12 48 83 C2 02 44 0F B7 0A 44 0F B7 04 11 45 2B C1 74 E8 45 85 C0 79 04 83 C8 FF C3 0F 9F C0 C3 }
	condition:
		$1
}

rule file_349_0_0 {
	meta:
		name = "sqrtf"
		size = 171
		refs = "0030 _handle_nanf 0041 ??_C@_05KGFAIMPG@sqrtf?$AA@ 007a _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 58 B9 00 00 80 7F F3 0F 11 44 24 68 8B 54 24 68 8B C2 23 C1 3B C1 75 5F F7 C2 FF FF 7F 00 74 0B 8B CA 48 83 C4 58 E9 ?? ?? ?? ?? 85 D2 79 48 F3 0F 10 4C 24 60 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 0F 57 C0 44 89 4C 24 40 41 B8 00 00 C0 FF F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 41 8D 51 04 C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? EB 26 F7 C2 FF FF FF 7F 0F 95 C1 0F BA E2 1F 0F 92 C0 84 C8 75 A4 F3 0F 51 4C 24 60 F3 0F 11 4C 24 70 F3 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_351_1_0 {
	meta:
		name = "??$common_fgets@D@@YAPEADQEADHV__crt_stdio_stream@@@Z"
		size = 218
		refs = "002a _errno 0035 _invalid_parameter_noinfo 005f _lock_file 006a ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 008e _getc_nolock 00bf _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 4C 89 44 24 18 57 41 56 41 57 48 83 EC 30 44 8B F2 4C 8B F9 33 DB 48 85 C9 75 1B 85 D2 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 86 00 00 00 8B C3 85 D2 0F 99 C0 85 C0 74 DE 8B C3 4D 85 C0 0F 95 C0 85 C0 74 D2 85 D2 74 DE 49 8B C8 E8 ?? ?? ?? ?? 90 48 8B 4C 24 60 E8 ?? ?? ?? ?? 84 C0 74 47 49 8B FF 4C 89 7C 24 28 BE 01 00 00 00 89 74 24 20 41 3B F6 74 2C 48 8B 4C 24 60 E8 ?? ?? ?? ?? 89 44 24 50 83 F8 FF 75 07 49 3B FF 74 19 EB 12 88 07 48 FF C7 48 89 7C 24 28 3C 0A 74 04 FF C6 EB CB 88 1F 49 8B DF 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 58 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_351_2_0 {
	meta:
		name = "?fin$0@?0???$common_fgets@D@@YAPEADQEADHV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "000e _unlock_file"
		altNames = "?fin$0@?0???$common_fgets@_W@@YAPEA_WQEA_WHV__crt_stdio_stream@@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_351_3_0 {
	meta:
		name = "??$common_fgets@_W@@YAPEA_WQEA_WHV__crt_stdio_stream@@@Z"
		size = 213
		refs = "002a _errno 0035 _invalid_parameter_noinfo 005f _lock_file 0080 _getwc_nolock 00ba _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 4C 89 44 24 18 57 41 56 41 57 48 83 EC 30 44 8B F2 4C 8B F9 33 DB 48 85 C9 75 1B 85 D2 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 81 00 00 00 8B C3 85 D2 0F 99 C0 85 C0 74 DE 8B C3 4D 85 C0 0F 95 C0 85 C0 74 D2 85 D2 74 DE 49 8B C8 E8 ?? ?? ?? ?? 90 49 8B FF 4C 89 7C 24 28 BE 01 00 00 00 89 74 24 20 41 3B F6 74 34 48 8B 4C 24 60 E8 ?? ?? ?? ?? 0F B7 C0 89 44 24 50 3D FF FF 00 00 75 07 49 3B FF 74 1D EB 15 66 89 07 48 83 C7 02 48 89 7C 24 28 83 F8 0A 74 04 FF C6 EB C3 66 89 1F 49 8B DF 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 58 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_352_5_0 {
	meta:
		name = "_fcloseall"
		size = 178
		refs = "0015 __acrt_lock 0025 _nstream 0031 __piob 0057 fclose 0075 __imp_DeleteCriticalSection 0085 _free_base 009f __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 20 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 90 BB 03 00 00 00 89 5C 24 24 3B 1D ?? ?? ?? ?? 74 6E 48 63 FB 48 8B 05 ?? ?? ?? ?? 48 8B 04 F8 48 85 C0 75 02 EB 55 8B 48 14 C1 E9 0D F6 C1 01 74 19 48 8B 0D ?? ?? ?? ?? 48 8B 0C F9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 FF 44 24 20 48 8B 05 ?? ?? ?? ?? 48 8B 0C F8 48 83 C1 30 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 0C F9 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 24 F8 00 FF C3 EB 86 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 20 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_354_12_0 {
	meta:
		name = "?InternalGetLocaleInfoA@@YAHQEAU__crt_locale_pointers@@QEB_WKQEADH@Z"
		size = 413
		refs = "0022 __security_cookie 003e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0056 __acrt_GetLocaleInfoEx 00b7 __chkstk 00de _malloc_base 0144 __imp_WideCharToMultiByte 0160 _free_base 017f __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 40 48 89 5D 50 48 89 75 58 48 89 7D 60 4C 89 65 68 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 20 4C 8B F2 4D 8B F9 48 8B D1 41 8B F0 48 8D 4D 00 E8 ?? ?? ?? ?? 48 8B 45 08 45 33 C9 45 33 C0 8B D6 49 8B CE 44 8B 60 0C E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 07 33 FF E9 FC 00 00 00 48 8B D7 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 79 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 3E 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 0F 84 80 00 00 00 C7 03 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 4F 44 8B CF 4C 8B C3 8B D6 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 3B 44 8B 45 70 41 8B CC 41 8B C0 F7 D8 48 1B D2 48 83 64 24 38 00 48 83 64 24 30 00 49 23 D7 44 89 44 24 28 41 83 C9 FF 48 89 54 24 20 4C 8B C3 33 D2 FF 15 ?? ?? ?? ?? 8B F8 EB 02 33 FF 48 85 DB 74 11 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 80 7D 18 00 74 0B 48 8B 45 00 83 A0 A8 03 00 00 FD 8B C7 48 8B 4D 20 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 50 48 8B 75 58 48 8B 7D 60 4C 8B 65 68 48 8D 65 30 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_354_22_0 {
	meta:
		name = "__acrt_GetLocaleInfoA"
		size = 456
		refs = "0015 __security_cookie 0057 ?InternalGetLocaleInfoA@@YAHQEAU__crt_locale_pointers@@QEB_WKQEADH@Z 0069 _calloc_base 0073 _free_base 0092 strncpy_s 00a7 __imp_GetLastError 0132 __acrt_GetLocaleInfoEx 019d __security_check_cookie 01c3 _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C0 00 00 00 48 8B B4 24 30 01 00 00 33 FF 41 8B E9 4D 8B F0 4C 8B E1 48 89 3E 83 FA 01 0F 85 DA 00 00 00 4C 8D 4C 24 40 C7 44 24 20 80 00 00 00 44 8B C5 49 8B D6 E8 ?? ?? ?? ?? 48 63 D8 85 C0 74 43 8D 57 01 48 8B CB E8 ?? ?? ?? ?? 33 C9 48 89 06 E8 ?? ?? ?? ?? 48 39 3E 0F 84 0E 01 00 00 48 8B 0E 8D 43 FF 4C 63 C8 4C 8D 44 24 40 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 15 01 00 00 33 C0 E9 EC 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 DA 00 00 00 45 33 C9 89 7C 24 20 44 8B C5 49 8B D6 49 8B CC E8 ?? ?? ?? ?? 4C 63 F8 85 C0 0F 84 BA 00 00 00 49 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 25 4C 8B C8 44 89 7C 24 20 44 8B C5 49 8B D6 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 0B 48 8B C3 48 8B DF 48 89 06 EB 03 83 CF FF 48 8B CB E8 ?? ?? ?? ?? 8B C7 EB 74 BB 02 00 00 00 3B D3 75 3B 45 33 C9 45 33 C0 8B D5 49 8B CE E8 ?? ?? ?? ?? 4C 63 F8 85 C0 74 51 49 8B CF 8B D3 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 BF 45 8B CF 4C 8B C0 8B D5 49 8B CE E8 ?? ?? ?? ?? EB 9E 85 D2 75 29 0F BA ED 1D 89 7C 24 30 8B D5 4C 8D 44 24 30 44 8B CB 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 0B 8A 44 24 30 88 06 E9 10 FF FF FF 83 C8 FF 48 8B 8C 24 C0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_355_1_0 {
	meta:
		name = "cacosl"
		size = 822
		refs = "0046 creall 005c cimagl 006a _ldtest 00b4 _LInf_C 00c6 __real@3ff921fb54442d18 00f2 __real@4002d97c7f3321d2 00fc __real@3fe921fb54442d18 0110 __real@400921fb54442d18 0125 __xmm@80000000000000008000000000000000 016f __real@3ff0000000000000 017f _LCbuild 0194 csqrtl 0227 conjl 0243 atan2 024e __real@5fcffb3abd82527b 025b __real@4000000000000000 02b9 asinhl 02c2 __real@0000000000000000 02d2 log"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F9 48 8D 4D C7 0F 29 70 E8 48 8B DA 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D C7 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F2 0F 10 7D 6F 66 3B C3 75 0A F2 0F 10 75 67 E9 56 02 00 00 66 83 F8 01 75 37 E9 AD 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F2 0F 10 7D 67 F2 0F 10 35 ?? ?? ?? ?? E9 2D 02 00 00 66 85 DB 75 0A F2 0F 10 3D ?? ?? ?? ?? EB BE F2 0F 10 7D 67 0F 28 F7 E9 11 02 00 00 66 83 FB 01 75 5F 66 3B C3 75 1E 0F 57 C0 66 0F 2F 45 6F 76 0A F2 0F 10 3D ?? ?? ?? ?? EB 1C F2 0F 10 3D ?? ?? ?? ?? EB 12 0F 57 FF 66 0F 2F 7D 6F 76 08 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? B8 00 80 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 57 F0 66 85 45 6D 0F 84 B4 01 00 00 0F 57 F0 E9 AC 01 00 00 66 83 F8 01 75 19 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 75 67 0F 57 35 ?? ?? ?? ?? E9 8D 01 00 00 F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 10 55 67 F2 0F 10 35 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 58 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 5C 75 6F F2 0F 10 55 67 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? F3 0F 6F 38 0F 28 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 F3 0F 6F 30 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 44 0F 28 D8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 55 C7 66 0F 7F 7D C7 48 8D 4D E7 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D C7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D8 F2 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F2 41 0F 5E F3 EB 3F 66 44 0F 2F D0 45 0F 28 CA 76 07 F2 45 0F 5E C2 EB 14 44 0F 57 0D ?? ?? ?? ?? 66 44 0F 2F C8 76 15 F2 45 0F 5E C1 F2 45 0F 59 C3 F2 44 0F 58 C6 41 0F 28 F0 EB 13 45 0F 57 C9 F2 45 0F 59 C3 F2 41 0F 59 F2 F2 41 0F 58 F0 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1D 41 0F 28 C1 E8 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 72 06 F2 0F 58 F0 EB 04 F2 0F 5C F0 0F 28 D6 48 8D 4D E7 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 0F 10 00 48 8B C7 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_378_0_0 {
	meta:
		name = "cacos"
		size = 822
		refs = "0046 creal 005c cimag 006a _dtest 00b4 _Inf_C 00c6 __real@3ff921fb54442d18 00f2 __real@4002d97c7f3321d2 00fc __real@3fe921fb54442d18 0110 __real@400921fb54442d18 0125 __xmm@80000000000000008000000000000000 016f __real@3ff0000000000000 017f _Cbuild 0194 csqrt 0227 conj 0243 atan2 024e __real@5fcffb3abd82527b 025b __real@4000000000000000 02b9 asinh 02c2 __real@0000000000000000 02d2 log"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F9 48 8D 4D C7 0F 29 70 E8 48 8B DA 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D C7 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F2 0F 10 7D 6F 66 3B C3 75 0A F2 0F 10 75 67 E9 56 02 00 00 66 83 F8 01 75 37 E9 AD 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F2 0F 10 7D 67 F2 0F 10 35 ?? ?? ?? ?? E9 2D 02 00 00 66 85 DB 75 0A F2 0F 10 3D ?? ?? ?? ?? EB BE F2 0F 10 7D 67 0F 28 F7 E9 11 02 00 00 66 83 FB 01 75 5F 66 3B C3 75 1E 0F 57 C0 66 0F 2F 45 6F 76 0A F2 0F 10 3D ?? ?? ?? ?? EB 1C F2 0F 10 3D ?? ?? ?? ?? EB 12 0F 57 FF 66 0F 2F 7D 6F 76 08 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? B8 00 80 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 57 F0 66 85 45 6D 0F 84 B4 01 00 00 0F 57 F0 E9 AC 01 00 00 66 83 F8 01 75 19 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 75 67 0F 57 35 ?? ?? ?? ?? E9 8D 01 00 00 F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 10 55 67 F2 0F 10 35 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 58 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 5C 75 6F F2 0F 10 55 67 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? F3 0F 6F 38 0F 28 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 F3 0F 6F 30 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 44 0F 28 D8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 55 C7 66 0F 7F 7D C7 48 8D 4D E7 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D C7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D8 F2 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F2 41 0F 5E F3 EB 3F 66 44 0F 2F D0 45 0F 28 CA 76 07 F2 45 0F 5E C2 EB 14 44 0F 57 0D ?? ?? ?? ?? 66 44 0F 2F C8 76 15 F2 45 0F 5E C1 F2 45 0F 59 C3 F2 44 0F 58 C6 41 0F 28 F0 EB 13 45 0F 57 C9 F2 45 0F 59 C3 F2 41 0F 59 F2 F2 41 0F 58 F0 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1D 41 0F 28 C1 E8 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 72 06 F2 0F 58 F0 EB 04 F2 0F 5C F0 0F 28 D6 48 8D 4D E7 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 0F 10 00 48 8B C7 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 108
		refs = "0016 __pioinfo 004e __imp_WriteFile 0058 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 4C 63 D2 48 8B F9 49 8B C2 48 8D 0D ?? ?? ?? ?? 48 C1 F8 06 45 8B D9 49 8B D8 41 83 E2 3F 49 C1 E2 06 4C 8D 4F 04 45 8B C3 48 8B D3 48 8B 04 C1 4A 8B 4C 10 28 33 C0 83 27 00 48 21 44 24 20 49 89 01 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? 89 07 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_357_1_0 {
	meta:
		name = "?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 551
		refs = "001d __security_cookie 002e __pioinfo 005f __imp_GetConsoleCP 00c0 __pctype_func 00e9 mbtowc 014d __imp_WideCharToMultiByte 0173 __imp_WriteFile 01f7 __imp_GetLastError 0208 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 63 F2 48 8D 05 ?? ?? ?? ?? 4C 8B E6 45 8B E9 49 C1 FC 06 83 E6 3F 48 C1 E6 06 4D 8B F0 4C 89 45 D8 48 8B D9 4D 03 E8 4A 8B 04 E0 48 8B 44 30 28 48 89 45 D0 FF 15 ?? ?? ?? ?? 33 C9 89 45 CC 89 0B 49 8B FE 44 8B F8 33 C0 48 89 43 04 4D 3B F5 0F 83 7E 01 00 00 49 FF C6 44 8A 07 48 8D 05 ?? ?? ?? ?? 4A 8B 14 E0 66 89 4D C0 44 88 45 C4 8A 4C 32 3D F6 C1 04 74 1E 8A 44 32 3E 80 E1 FB 88 4C 32 3D 48 8D 55 E0 44 88 45 E1 41 B8 02 00 00 00 88 45 E0 EB 48 E8 ?? ?? ?? ?? 0F B6 0F BA 00 80 00 00 66 85 14 48 74 2C 4D 3B F5 0F 83 FB 00 00 00 41 B8 02 00 00 00 48 8D 4D C0 48 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 07 01 00 00 48 FF C7 49 FF C6 EB 1B 41 B8 01 00 00 00 48 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 E4 00 00 00 48 83 64 24 38 00 48 8D 45 E8 48 83 64 24 30 00 4C 8D 45 C0 C7 44 24 28 05 00 00 00 41 B9 01 00 00 00 33 D2 48 89 44 24 20 41 8B CF 48 FF C7 49 FF C6 FF 15 ?? ?? ?? ?? 44 8B F8 85 C0 0F 84 A1 00 00 00 48 8B 4D D0 4C 8D 4D C8 48 83 64 24 20 00 48 8D 55 E8 44 8B C0 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 78 8B 43 08 2B 45 D8 03 C7 89 43 04 44 39 7D C8 72 6F 80 7D C4 0A 75 34 8D 41 0D 48 89 4C 24 20 44 8D 41 01 66 89 45 C4 48 8B 4D D0 4C 8D 4D C8 48 8D 55 C4 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 39 83 7D C8 01 72 3B FF 43 08 FF 43 04 49 3B FD 73 30 44 8B 7D CC E9 AC FE FF FF 8A 07 48 8D 15 ?? ?? ?? ?? 4A 8B 0C E2 88 44 31 3E 4A 8B 04 E2 80 4C 30 3D 04 FF 43 04 EB 08 FF 15 ?? ?? ?? ?? 89 03 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_357_2_0 {
	meta:
		name = "?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QEBDI@Z"
		size = 150
		refs = "003e _putwch_nolock 0072 __imp_GetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 83 21 00 33 C0 41 8B E8 48 8B FA 48 03 EA 48 89 41 04 48 8B D9 48 3B D5 73 45 44 8D 70 0D 0F B7 37 0F B7 CE E8 ?? ?? ?? ?? 66 3B C6 75 29 83 43 04 02 66 83 FE 0A 75 14 41 8B CE E8 ?? ?? ?? ?? 66 41 3B C6 75 11 FF 43 04 FF 43 08 48 83 C7 02 48 3B FD 73 0A EB C7 FF 15 ?? ?? ?? ?? 89 03 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_357_3_0 {
	meta:
		name = "?write_requires_double_translation_nolock@@YA_NH@Z"
		size = 139
		refs = "0015 _isatty 0027 __pioinfo 0042 __acrt_getptd 0072 __imp_GetConsoleMode"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 20 48 63 D9 8B CB E8 ?? ?? ?? ?? 85 C0 75 04 32 C0 EB 5A 48 8B FB 48 8D 35 ?? ?? ?? ?? 48 C1 FF 06 83 E3 3F 48 C1 E3 06 48 8B 04 FE F6 44 03 38 80 74 DC E8 ?? ?? ?? ?? 48 8B 88 90 00 00 00 48 83 B9 38 01 00 00 00 75 0B 48 8B 04 FE 80 7C 03 39 00 74 BB 48 8B 0C FE 48 8D 54 24 38 48 8B 4C 0B 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_357_4_0 {
	meta:
		name = "?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 259
		refs = "0014 __chkstk 001e __security_cookie 0040 __pioinfo 00b6 __imp_WriteFile 00d2 __imp_GetLastError 00e7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 B8 50 14 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 14 00 00 4C 63 D2 48 8B F9 49 8B C2 41 8B E9 48 C1 F8 06 48 8D 0D ?? ?? ?? ?? 41 83 E2 3F 49 03 E8 49 C1 E2 06 49 8B F0 48 8B 04 C1 4E 8B 74 10 28 33 C0 83 27 00 48 89 47 04 4C 3B C5 73 6F 48 8D 5C 24 40 48 3B F5 73 24 8A 06 48 FF C6 3C 0A 75 09 FF 47 08 C6 03 0D 48 FF C3 88 03 48 FF C3 48 8D 84 24 3F 14 00 00 48 3B D8 72 D7 48 83 64 24 20 00 48 8D 44 24 40 2B D8 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 40 49 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 12 8B 44 24 30 01 47 04 3B C3 72 0F 48 3B F5 72 9B EB 08 FF 15 ?? ?? ?? ?? 89 07 48 8B C7 48 8B 8C 24 40 14 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 14 00 00 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_357_5_0 {
	meta:
		name = "?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 282
		refs = "0014 __chkstk 001e __security_cookie 0040 __pioinfo 00cd __imp_WriteFile 00e9 __imp_GetLastError 00fe __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 B8 50 14 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 14 00 00 4C 63 D2 48 8B F9 49 8B C2 41 8B E9 48 C1 F8 06 48 8D 0D ?? ?? ?? ?? 41 83 E2 3F 49 03 E8 49 C1 E2 06 49 8B F0 48 8B 04 C1 4E 8B 74 10 28 33 C0 83 27 00 48 89 47 04 4C 3B C5 0F 83 82 00 00 00 48 8D 5C 24 40 48 3B F5 73 31 0F B7 06 48 83 C6 02 66 83 F8 0A 75 10 83 47 08 02 B9 0D 00 00 00 66 89 0B 48 83 C3 02 66 89 03 48 83 C3 02 48 8D 84 24 3E 14 00 00 48 3B D8 72 CA 48 83 64 24 20 00 48 8D 44 24 40 48 2B D8 4C 8D 4C 24 30 48 D1 FB 48 8D 54 24 40 03 DB 49 8B CE 44 8B C3 FF 15 ?? ?? ?? ?? 85 C0 74 12 8B 44 24 30 01 47 04 3B C3 72 0F 48 3B F5 72 88 EB 08 FF 15 ?? ?? ?? ?? 89 07 48 8B C7 48 8B 8C 24 40 14 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 14 00 00 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_357_6_0 {
	meta:
		name = "?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z"
		size = 370
		refs = "0018 __chkstk 0022 __security_cookie 0044 __pioinfo 00e8 __imp_WideCharToMultiByte 011b __imp_WriteFile 013d __imp_GetLastError 0152 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 41 56 41 57 B8 70 14 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 14 00 00 4C 63 D2 48 8B D9 49 8B C2 45 8B F1 48 C1 F8 06 48 8D 0D ?? ?? ?? ?? 41 83 E2 3F 4D 03 F0 49 C1 E2 06 4D 8B F8 49 8B F8 48 8B 04 C1 4E 8B 64 10 28 33 C0 83 23 00 48 89 43 04 4D 3B C6 0F 83 CF 00 00 00 48 8D 44 24 50 49 3B FE 73 2D 0F B7 0F 48 83 C7 02 66 83 F9 0A 75 0C BA 0D 00 00 00 66 89 10 48 83 C0 02 66 89 08 48 83 C0 02 48 8D 8C 24 F8 06 00 00 48 3B C1 72 CE 48 83 64 24 38 00 48 8D 4C 24 50 48 83 64 24 30 00 4C 8D 44 24 50 48 2B C1 C7 44 24 28 55 0D 00 00 48 8D 8C 24 00 07 00 00 48 D1 F8 48 89 4C 24 20 44 8B C8 B9 E9 FD 00 00 33 D2 FF 15 ?? ?? ?? ?? 8B E8 85 C0 74 49 33 F6 85 C0 74 33 48 83 64 24 20 00 48 8D 94 24 00 07 00 00 8B CE 4C 8D 4C 24 40 44 8B C5 48 03 D1 49 8B CC 44 2B C6 FF 15 ?? ?? ?? ?? 85 C0 74 18 03 74 24 40 3B F5 72 CD 8B C7 41 2B C7 89 43 04 49 3B FE E9 33 FF FF FF FF 15 ?? ?? ?? ?? 89 03 48 8B C3 48 8B 8C 24 60 14 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 70 14 00 00 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_357_7_0 {
	meta:
		name = "_write"
		size = 236
		refs = "002a __doserrno 0032 _errno 0047 _nhandle 005a __pioinfo 0077 __acrt_lowio_lock_fh 00a8 _write_nolock 00b1 __acrt_lowio_unlock_fh 00cd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 8B F8 4C 8B E2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 90 00 00 00 85 C9 78 74 3B 1D ?? ?? ?? ?? 73 6C 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 2D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 44 F5 00 0F B6 4C 30 38 83 E1 01 74 45 8B CB E8 ?? ?? ?? ?? 83 CF FF 4B 8B 44 F5 00 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 0F 45 8B C7 49 8B D4 8B CB E8 ?? ?? ?? ?? 8B F8 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_357_9_0 {
	meta:
		name = "_write_nolock"
		size = 761
		refs = "0035 __doserrno 003d _errno 0048 _invalid_parameter_noinfo 005a __pioinfo 009b _lseeki64_nolock 00ad _isatty 00d1 __acrt_getptd 0111 __imp_GetConsoleMode 0155 _putwch_nolock 0194 __imp_GetLastError 01b5 ?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 01f7 ?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 0210 ?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 0224 ?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQEBDI@Z 024a __imp_WriteFile 029f __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 45 33 ED 41 8B F0 4C 63 F9 48 8B FA 45 85 C0 75 07 33 C0 E9 B2 02 00 00 48 85 D2 75 20 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8D 02 00 00 4D 8B F7 48 8D 05 ?? ?? ?? ?? 41 83 E6 3F 4D 8B E7 49 C1 FC 06 49 C1 E6 06 4C 89 65 F8 4A 8B 0C E0 42 8A 5C 31 39 8D 43 FF 3C 01 77 08 8B C6 F7 D0 A8 01 74 AB 42 F6 44 31 38 20 74 0E 33 D2 41 8B CF 44 8D 42 02 E8 ?? ?? ?? ?? 33 C0 44 89 6D E0 41 8B CF 48 89 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 84 0C 01 00 00 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 42 F6 44 30 38 80 0F 84 F5 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 90 00 00 00 4C 39 A9 38 01 00 00 75 16 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 46 38 6C 30 39 0F 84 CA 00 00 00 48 8D 05 ?? ?? ?? ?? 4A 8B 0C E0 48 8D 55 F0 4A 8B 4C 31 28 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A8 00 00 00 84 DB 0F 84 82 00 00 00 FE CB 80 FB 01 0F 87 CD 00 00 00 33 C0 44 89 6D D0 4C 8D 3C 37 48 89 45 D4 8B 5D D8 4C 8B E7 49 3B FF 73 55 8B F0 45 0F B7 2C 24 41 0F B7 CD E8 ?? ?? ?? ?? 66 41 3B C5 75 33 83 C6 02 89 75 D4 66 41 83 FD 0A 75 1B 41 BD 0D 00 00 00 41 8B CD E8 ?? ?? ?? ?? 66 41 3B C5 75 12 FF C6 89 75 D4 FF C3 49 83 C4 02 4D 3B E7 73 0B EB B9 FF 15 ?? ?? ?? ?? 89 45 D0 45 33 ED 4C 8B 65 F8 E9 B7 00 00 00 44 8B CE 48 8D 4D D0 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? F2 0F 10 00 8B 58 08 E9 9E 00 00 00 48 8D 05 ?? ?? ?? ?? 4A 8B 0C E0 42 F6 44 31 38 80 74 52 0F BE CB 84 DB 74 37 83 E9 01 74 1E 83 F9 01 75 14 44 8B CE 48 8D 4D D0 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? EB BC 8B 5D E8 EB 66 44 8B CE 48 8D 4D D0 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? EB A3 44 8B CE 48 8D 4D D0 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? EB 8F 4A 8B 4C 31 28 4C 8D 4D D4 33 C0 44 89 6D D0 44 8B C6 48 89 45 D4 48 8B D7 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 D0 8B 5D D8 F2 0F 10 45 D0 F2 0F 11 45 E0 48 8B 45 E0 48 C1 E8 20 85 C0 75 68 8B 45 E0 85 C0 74 2D 83 F8 05 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E9 B1 FD FF FF 8B 4D E0 E8 ?? ?? ?? ?? E9 A4 FD FF FF 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 42 F6 44 30 38 40 74 09 80 3F 1A 0F 84 64 FD FF FF E8 ?? ?? ?? ?? C7 00 1C 00 00 00 E8 ?? ?? ?? ?? 44 89 28 E9 70 FD FF FF 8B 45 E4 2B C3 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_358_9_0 {
	meta:
		name = "_putwch"
		size = 59
		refs = "0032 ??$?RV<lambda_0384895ae1aa6ccbfe369a30d6ca2ef7>@@AEAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@V<lambda_7e22f70504d73c22058e5832bde5914f>@@@?$__crt_seh_guarded_call@G@@QEAAG$$QEAV<lambda_0384895ae1aa6ccbfe369a30d6ca2ef7>@@AEAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@$$QEAV<lambda_7e22f70504d73c22058e5832bde5914f>@@@Z"
	strings:
		$1 = { 66 89 4C 24 08 4C 8B DC 48 83 EC 38 49 8D 43 08 49 89 43 E8 4D 8D 4B 18 B8 09 00 00 00 4D 8D 43 E8 49 8D 53 20 89 44 24 50 49 8D 4B 10 89 44 24 58 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_358_10_0 {
	meta:
		name = "_putwch_nolock"
		size = 89
		refs = "000c __dcrt_lowio_console_output_handle 0017 __dcrt_lowio_initialize_console_output 0047 __imp_WriteConsoleW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 07 B8 FF FF 00 00 EB 25 48 83 64 24 20 00 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 D9 0F B7 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_359_5_0 {
	meta:
		name = "_mbbtype_l"
		size = 145
		refs = "0018 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B DA 40 8A F9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 FB 01 74 37 44 0F B6 C7 41 8A 54 00 19 F6 C2 04 74 07 B9 01 00 00 00 EB 36 48 8B 44 24 28 48 8B 08 B8 57 01 00 00 66 42 85 04 41 75 0A F6 C2 03 75 05 83 C8 FF EB 1A 33 C0 EB 16 40 0F B6 CF 8A 54 01 19 80 E2 08 F6 DA 1B C9 83 E1 03 FF C9 8B C1 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_360_1_0 {
	meta:
		name = "casinhl"
		size = 824
		refs = "0046 creall 005c cimagl 006a _ldtest 00ec __real@bfe921fb54442d18 00f9 __real@3fe921fb54442d18 0111 _LZero_C 0118 __xmm@80000000000000008000000000000000 0141 __real@bff921fb54442d18 014e __real@3ff921fb54442d18 015b __real@3ff0000000000000 016e _LCbuild 0183 csqrtl 01cc __real@0000000000000000 0228 __real@5fcffb3abd82527b 027d asinhl 029e log 02ca _LCmulcc 02e8 atan2"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F9 48 8D 4D C7 0F 29 70 E8 48 8B DA 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 58 A8 44 0F 29 60 98 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D C7 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F2 0F 10 75 67 F2 0F 10 45 6F E9 4D 02 00 00 F2 0F 10 75 6F EB 20 F2 0F 10 75 6F F2 0F 10 45 67 E9 37 02 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F2 0F 10 75 67 0F 28 C6 E9 1E 02 00 00 66 83 FB 01 75 55 F2 0F 10 75 6F 66 3B C3 75 24 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 F7 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EA 01 00 00 B8 00 80 00 00 66 85 45 6D 74 14 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 CB 01 00 00 0F 57 C0 E9 C3 01 00 00 66 83 F8 01 75 28 F2 0F 10 75 67 0F 57 C0 66 0F 2F C6 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 A2 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 95 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D7 F2 0F 5C 4D 67 F2 0F 10 55 6F E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 4D 67 48 8D 4D E7 F2 0F 10 55 6F F2 0F 58 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F3 44 0F 6F 18 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 75 6F 66 0F 2E 35 ?? ?? ?? ?? F3 44 0F 6F 20 7A 06 0F 84 D4 00 00 00 48 8D 4D C7 66 44 0F 7F 5D C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 5D C7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 0F 28 F0 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 44 0F 2F C9 76 0B 41 0F 28 F9 F2 41 0F 5E F1 EB 32 66 44 0F 2F C1 41 0F 28 F8 76 0C F2 41 0F 5E C0 F2 41 0F 59 C1 EB 20 0F 57 3D ?? ?? ?? ?? 66 0F 2F F9 76 06 F2 0F 5E C7 EB E6 0F 57 FF F2 41 0F 59 C1 F2 41 0F 59 F0 F2 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 4C 8D 45 C7 66 44 0F 7F 65 C7 48 8D 55 D7 66 44 0F 7F 5D D7 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8D 4D D7 0F 10 00 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 67 E8 ?? ?? ?? ?? 0F 28 D0 48 8D 4D E7 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 0F 10 00 48 8B C7 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 5B B0 45 0F 28 63 A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "casinh"
		size = 824
		refs = "0046 creal 005c cimag 006a _dtest 00ec __real@bfe921fb54442d18 00f9 __real@3fe921fb54442d18 0111 _Zero_C 0118 __xmm@80000000000000008000000000000000 0141 __real@bff921fb54442d18 014e __real@3ff921fb54442d18 015b __real@3ff0000000000000 016e _Cbuild 0183 csqrt 01cc __real@0000000000000000 0228 __real@5fcffb3abd82527b 027d asinh 029e log 02ca _Cmulcc 02e8 atan2"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F9 48 8D 4D C7 0F 29 70 E8 48 8B DA 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 58 A8 44 0F 29 60 98 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D C7 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F2 0F 10 75 67 F2 0F 10 45 6F E9 4D 02 00 00 F2 0F 10 75 6F EB 20 F2 0F 10 75 6F F2 0F 10 45 67 E9 37 02 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F2 0F 10 75 67 0F 28 C6 E9 1E 02 00 00 66 83 FB 01 75 55 F2 0F 10 75 6F 66 3B C3 75 24 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 F7 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EA 01 00 00 B8 00 80 00 00 66 85 45 6D 74 14 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 CB 01 00 00 0F 57 C0 E9 C3 01 00 00 66 83 F8 01 75 28 F2 0F 10 75 67 0F 57 C0 66 0F 2F C6 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 A2 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 95 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D7 F2 0F 5C 4D 67 F2 0F 10 55 6F E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 4D 67 48 8D 4D E7 F2 0F 10 55 6F F2 0F 58 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F3 44 0F 6F 18 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 75 6F 66 0F 2E 35 ?? ?? ?? ?? F3 44 0F 6F 20 7A 06 0F 84 D4 00 00 00 48 8D 4D C7 66 44 0F 7F 5D C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 5D C7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 0F 28 F0 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 44 0F 2F C9 76 0B 41 0F 28 F9 F2 41 0F 5E F1 EB 32 66 44 0F 2F C1 41 0F 28 F8 76 0C F2 41 0F 5E C0 F2 41 0F 59 C1 EB 20 0F 57 3D ?? ?? ?? ?? 66 0F 2F F9 76 06 F2 0F 5E C7 EB E6 0F 57 FF F2 41 0F 59 C1 F2 41 0F 59 F0 F2 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 4C 8D 45 C7 66 44 0F 7F 65 C7 48 8D 55 D7 66 44 0F 7F 5D D7 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8D 4D D7 0F 10 00 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 67 E8 ?? ?? ?? ?? 0F 28 D0 48 8D 4D E7 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 0F 10 00 48 8B C7 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 5B B0 45 0F 28 63 A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_361_0_0 {
	meta:
		name = "strncat"
		size = 405
	strings:
		$1 = { 4C 8B D9 4D 0B C0 0F 84 AF 00 00 00 F6 C1 07 74 0F 8A 01 84 C0 74 7F 48 FF C1 F6 C1 07 75 F2 90 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 41 48 FF C1 84 E4 74 3A 48 FF C1 48 C1 E8 10 84 C0 74 2F 48 FF C1 84 E4 74 28 48 FF C1 48 C1 E8 10 84 C0 74 1D 48 FF C1 84 E4 74 16 48 FF C1 C1 E8 10 84 C0 74 0C 48 FF C1 84 E4 74 05 48 FF C1 EB 8A 48 2B CA F6 C2 07 74 2A 8A 02 88 04 11 84 C0 74 14 48 FF C2 49 FF C8 74 07 F6 C2 07 75 EA EB 12 32 C0 88 04 11 49 8B C3 C3 90 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 76 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 85 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 76 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 63 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 54 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 32 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 20 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 11 48 FF C2 49 FF C8 0F 85 3C FF FF FF 32 C0 88 04 11 49 8B C3 C3 }
	condition:
		$1
}

rule file_362_9_0 {
	meta:
		name = "_eof"
		size = 161
		refs = "0011 __doserrno 0019 _errno 002b _nhandle 0037 __pioinfo 007b ??$?RV<lambda_8c7fe0501b21a3d651df18af1281dd99>@@AEAV<lambda_1e7e4d1273646f0421e1a651ace3f6b8>@@V<lambda_c9c67eda4188d8fc3f34e64078023a71>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_8c7fe0501b21a3d651df18af1281dd99>@@AEAV<lambda_1e7e4d1273646f0421e1a651ace3f6b8>@@$$QEAV<lambda_c9c67eda4188d8fc3f34e64078023a71>@@@Z 0095 _invalid_parameter_noinfo"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 38 48 63 D1 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 C9 78 58 3B 15 ?? ?? ?? ?? 73 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 44 24 40 89 54 24 50 89 54 24 58 4C 8D 4C 24 50 48 8D 54 24 58 48 89 44 24 20 4C 8D 44 24 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_439_10_0 {
	meta:
		name = "_close"
		size = 161
		refs = "0011 __doserrno 0019 _errno 002b _nhandle 0037 __pioinfo 007b ??$?RV<lambda_751a882b2c74d4b022dec766aa51a29a>@@AEAV<lambda_628dfdc04ba53c8bfc02c9951375f3f5>@@V<lambda_f6c7be5f7998530c34de24c7437d6b54>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_751a882b2c74d4b022dec766aa51a29a>@@AEAV<lambda_628dfdc04ba53c8bfc02c9951375f3f5>@@$$QEAV<lambda_f6c7be5f7998530c34de24c7437d6b54>@@@Z 0095 _invalid_parameter_noinfo"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 38 48 63 D1 83 FA FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 74 85 C9 78 58 3B 15 ?? ?? ?? ?? 73 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 44 24 40 89 54 24 50 89 54 24 58 4C 8D 4C 24 50 48 8D 54 24 58 48 89 44 24 20 4C 8D 44 24 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_364_0_0 {
	meta:
		name = "_get_fpsr"
		size = 16
	strings:
		$1 = { 48 83 EC 08 0F AE 1C 24 8B 04 24 48 83 C4 08 C3 }
	condition:
		$1
}

rule file_364_2_0 {
	meta:
		name = "_fclrf"
		size = 20
	strings:
		$1 = { 0F AE 5C 24 08 B9 C0 FF FF FF 21 4C 24 08 0F AE 54 24 08 C3 }
	condition:
		$1
}

rule file_364_3_0 {
	meta:
		name = "_frnd"
		size = 31
		refs = "0004 __real@433fffffffffffff 000e __real@c33fffffffffffff"
	strings:
		$1 = { 66 0F 2E 05 ?? ?? ?? ?? 73 14 66 0F 2E 05 ?? ?? ?? ?? 76 0A F2 48 0F 2D C8 F2 48 0F 2A C1 C3 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "free"
		size = 17
		refs = "000d _free_base"
	strings:
		$1 = { C7 44 24 10 00 00 00 00 8B 44 24 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "log1pl"
		size = 209
		refs = "001a _ldtest 0043 __real@bff0000000000000 005b _fperrraise 0063 _LNan_C 0080 _LInf_C 0087 __xmm@80000000000000008000000000000000 0095 __real@3ff0000000000000 009d log"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 48 83 EC 48 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 92 00 00 00 83 E9 01 74 05 83 F9 01 EB 0A B8 00 80 00 00 66 85 44 24 56 74 7C F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 44 24 50 66 41 0F 2F C0 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 58 66 44 0F 2E C0 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 34 41 0F 28 F8 F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F2 0F 5C 0D ?? ?? ?? ?? F2 41 0F 5C C8 F2 0F 5E CF F2 0F 5C C1 EB 06 F2 0F 10 44 24 50 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_590_0_0 {
	meta:
		name = "log1p"
		size = 209
		refs = "001a _dtest 0043 __real@bff0000000000000 005b _fperrraise 0063 _Nan_C 0080 _Inf_C 0087 __xmm@80000000000000008000000000000000 0095 __real@3ff0000000000000 009d log"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 48 83 EC 48 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 92 00 00 00 83 E9 01 74 05 83 F9 01 EB 0A B8 00 80 00 00 66 85 44 24 56 74 7C F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 44 24 50 66 41 0F 2F C0 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 58 66 44 0F 2E C0 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 34 41 0F 28 F8 F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F2 0F 5C 0D ?? ?? ?? ?? F2 41 0F 5C C8 F2 0F 5E CF F2 0F 5C C1 EB 06 F2 0F 10 44 24 50 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "__strncnt"
		size = 21
	strings:
		$1 = { 33 C0 38 01 74 0E 48 3B C2 74 09 48 FF C0 80 3C 08 00 75 F2 C3 }
	condition:
		$1
}

rule file_371_5_0 {
	meta:
		name = "rename"
		size = 287
		refs = "0023 __acrt_AreFileApisANSI 0049 __imp_MultiByteToWideChar 0056 __imp_GetLastError 005d __acrt_errno_map_os_error 0090 _malloc_base 00e3 _wrename 00fc _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B E2 4C 8B E9 E8 ?? ?? ?? ?? 33 ED 4D 8B C5 85 C0 89 6C 24 28 8B F5 48 89 6C 24 20 40 0F 94 C6 83 CF FF 44 8B CF 33 D2 8B CE FF 15 ?? ?? ?? ?? 4C 63 F8 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 9A 00 00 00 89 6C 24 28 44 8B CF 4D 8B C4 48 89 6C 24 20 33 D2 8B CE FF 15 ?? ?? ?? ?? 44 8B F0 85 C0 74 CE 41 03 C7 48 63 C8 48 03 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 5C 44 89 7C 24 28 4A 8D 2C 78 44 8B CF 48 89 44 24 20 4D 8B C5 33 D2 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 2D 44 89 74 24 28 44 8B CF 4D 8B C4 48 89 6C 24 20 33 D2 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 0F 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 8B F8 EB 0D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 60 8B C7 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "_wcsset"
		size = 26
	strings:
		$1 = { 66 83 39 00 48 8B C1 74 0D 66 89 10 48 8D 40 02 66 83 38 00 75 F3 48 8B C1 C3 }
	condition:
		$1
}

rule file_374_7_0 {
	meta:
		name = "_fputc_nolock"
		size = 22
		refs = "0006 __acrt_stdio_flush_and_write_narrow_nolock"
		altNames = "_putc_nolock"
	strings:
		$1 = { 83 6A 10 01 0F 88 ?? ?? ?? ?? 48 8B 02 88 08 48 FF 02 0F B6 C1 C3 }
	condition:
		$1
}

rule file_374_8_0 {
	meta:
		name = "_fputchar"
		size = 33
		refs = "000e __acrt_iob_func 001d fputc"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_374_10_0 {
	meta:
		name = "fputc"
		size = 287
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0041 _lock_file 0058 _fileno 0066 __pioinfo 0087 __badioinfo 00de _local_unwind 00f5 __acrt_stdio_flush_and_write_narrow_nolock 010e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 30 48 89 64 24 20 48 8B DA 8B F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D7 00 00 00 48 8B CA E8 ?? ?? ?? ?? 90 8B 43 14 C1 E8 0C A8 01 0F 85 95 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 06 83 E2 3F 48 C1 E2 06 49 03 14 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B D1 80 7A 39 00 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 06 83 E1 3F 48 C1 E1 06 49 03 0C C1 F6 41 3D 01 74 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 83 C8 FF EB 2B 83 6B 10 01 79 0E 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B F8 EB 0D 48 8B 03 40 88 38 48 FF 03 40 0F B6 FF 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_375_16_0 {
	meta:
		name = "_chsize"
		size = 21
		refs = "0008 _chsize_s"
	strings:
		$1 = { 48 83 EC 28 48 63 D2 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_375_17_0 {
	meta:
		name = "_chsize_nolock"
		size = 377
		refs = "0028 _lseeki64_nolock 0036 _errno 0070 _calloc_base 0094 _setmode_nolock 00aa _write_nolock 00ca _free_base 0101 __doserrno 0144 _get_osfhandle 014d __imp_SetEndOfFile 016e __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B DA BD 01 00 00 00 44 8B C5 33 D2 8B F1 E8 ?? ?? ?? ?? 4C 8B F0 48 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 A6 00 00 00 33 D2 8B CE 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 74 E1 48 8B FB 48 2B F8 48 85 FF 0F 8E C5 00 00 00 41 BF 00 10 00 00 48 8B D5 41 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 89 00 00 00 BA 00 80 00 00 8B CE E8 ?? ?? ?? ?? 8B E8 44 8B C7 49 3B FF 48 8B D3 8B CE 45 0F 4D C7 E8 ?? ?? ?? ?? 83 F8 FF 74 4D 48 98 48 2B F8 48 85 FF 7F DD 8B D5 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 50 FF FF FF 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? 83 38 05 75 0B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 8B 38 E8 ?? ?? ?? ?? 8B C7 EB BF 79 A4 45 33 C0 48 8B D3 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 F4 FE FF FF 8B CE E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 0F 85 75 FF FF FF E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 E9 BC FE FF FF }
	condition:
		$1
}

rule file_375_18_0 {
	meta:
		name = "_chsize_s"
		size = 199
		refs = "001c __doserrno 0034 _nhandle 0040 __pioinfo 006b _errno 009f ??$?RV<lambda_63911f43cc86614963252b1f423aad40>@@AEAV<lambda_522ac1b1e1a1180d6f374a882b81d1c8>@@V<lambda_6da5eaf298b4749753c721cc8c61e051>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_63911f43cc86614963252b1f423aad40>@@AEAV<lambda_522ac1b1e1a1180d6f374a882b81d1c8>@@$$QEAV<lambda_6da5eaf298b4749753c721cc8c61e051>@@@Z 00ba _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 48 8B EC 48 83 EC 48 4C 63 C1 41 83 F8 FE 75 12 E8 ?? ?? ?? ?? 83 20 00 B8 09 00 00 00 E9 93 00 00 00 85 C9 78 74 44 3B 05 ?? ?? ?? ?? 73 6B 49 8B C8 4C 8D 0D ?? ?? ?? ?? 83 E1 3F 49 8B C0 48 C1 F8 06 48 C1 E1 06 49 8B 04 C1 F6 44 08 38 01 74 48 48 85 D2 79 14 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 EB 41 48 8D 45 18 44 89 45 30 48 89 45 E0 4C 8D 4D 30 48 8D 45 20 44 89 45 D8 4C 8D 45 E0 48 89 45 E8 48 8D 55 D8 48 8D 4D 28 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 48 5B 5D C3 }
	condition:
		$1
}

rule file_376_0_0 {
	meta:
		name = "_logb"
		size = 235
		refs = "0042 ??_C@_05JGDBENOH@_logb?$AA@ 0079 _handle_error 00b6 _handle_nan"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 41 B8 FF 03 00 00 48 8B 44 24 60 48 BA FF FF FF FF FF FF FF 7F 48 8B C8 0F 28 C8 48 C1 E9 34 81 E1 FF 07 00 00 49 2B C8 48 85 C2 75 48 C7 44 24 40 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 25 00 00 00 0F 57 C0 F2 0F 11 44 24 38 49 B8 00 00 00 00 00 00 F0 FF F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 44 8D 4A DD C7 44 24 20 04 00 00 00 E8 ?? ?? ?? ?? EB 67 48 C7 C2 02 FC FF FF 48 3B CA 7C 0F 49 3B C8 7F 0F 0F 57 C0 F2 48 0F 2A C1 EB 4C 49 3B C8 7E 1B 48 B9 FF FF FF FF FF FF 0F 00 48 85 C1 74 38 48 8B C8 48 83 C4 58 E9 ?? ?? ?? ?? 48 B9 FF FF FF FF FF FF 0F 00 48 23 C1 48 B9 00 00 00 00 00 00 10 00 EB 06 48 03 C0 48 FF CA 48 3B C1 72 F5 0F 57 C0 F2 48 0F 2A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "_mbclen"
		size = 45
		refs = "000d _ismbblead"
		altNames = "_mbclen_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 0B 80 7B 01 00 B8 02 00 00 00 75 05 B8 01 00 00 00 48 98 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_379_0_0 {
	meta:
		name = "_LSinh"
		size = 413
		refs = "0020 _ldtest 0055 __xmm@80000000000000008000000000000000 006a _LRteps_C 007c __real@3fe193ea7aad030b 0097 __real@3f0c0fa13ffd4adc 00a3 __real@3f74be86cc52783b 00af __real@3fc2b3653e628272 00be __real@3f24d74f3de964a2 00ca __real@3f950f80b7969f66 00d9 __real@3ff0000000000000 00e7 _LXbig_C 0102 _ldexp 010f __real@3fd0000000000000 016e _fperrraise 0176 _LNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E 07 01 00 00 66 3B F0 0F 8E FE 00 00 00 F2 0F 10 5D 20 0F 57 C0 66 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F2 0F 11 5D 20 EB 03 0F B7 DE F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 A3 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 76 5D 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D3 F2 0F 5C 05 ?? ?? ?? ?? 0F 28 DA F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D8 EB 38 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 20 41 83 C8 FF 66 0F 2F C3 76 29 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 5D 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C3 F2 0F 5C D8 F2 0F 59 5D 28 EB 0F F2 0F 10 4D 28 E8 ?? ?? ?? ?? F2 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F2 0F 10 45 20 EB 41 66 83 F8 02 75 07 F2 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F2 0F 10 45 20 F2 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_633_0_0 {
	meta:
		name = "_Sinh"
		size = 413
		refs = "0020 _dtest 0055 __xmm@80000000000000008000000000000000 006a _Rteps_C 007c __real@3fe193ea7aad030b 0097 __real@3f0c0fa13ffd4adc 00a3 __real@3f74be86cc52783b 00af __real@3fc2b3653e628272 00be __real@3f24d74f3de964a2 00ca __real@3f950f80b7969f66 00d9 __real@3ff0000000000000 00e7 _Xbig_C 0102 _dexp 010f __real@3fd0000000000000 016e _fperrraise 0176 _Nan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E 07 01 00 00 66 3B F0 0F 8E FE 00 00 00 F2 0F 10 5D 20 0F 57 C0 66 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F2 0F 11 5D 20 EB 03 0F B7 DE F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 A3 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 76 5D 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D3 F2 0F 5C 05 ?? ?? ?? ?? 0F 28 DA F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D8 EB 38 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 20 41 83 C8 FF 66 0F 2F C3 76 29 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 5D 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C3 F2 0F 5C D8 F2 0F 59 5D 28 EB 0F F2 0F 10 4D 28 E8 ?? ?? ?? ?? F2 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F2 0F 10 45 20 EB 41 66 83 F8 02 75 07 F2 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F2 0F 10 45 20 F2 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_379_2_0 {
	meta:
		name = "csinhl"
		size = 365
		refs = "002c creall 0042 cimagl 0050 _ldtest 006a _LNan_C 008e _fperrraise 00df sin 00ec cos 00f4 _LInf_C 0126 _LCosh 0136 _LSinh 0145 _LCbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA F3 0F 7F 45 D0 0F 29 7C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 28 48 8D 4D D0 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D0 66 85 C0 75 2C F2 0F 10 55 20 E9 C3 00 00 00 BE 01 00 00 00 66 3B C6 75 32 8B CE E8 ?? ?? ?? ?? 48 8D 4D D0 66 3B DE 76 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 99 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4D 28 E9 87 00 00 00 66 83 F8 02 74 CF 66 3B DE 75 3B 66 85 C0 75 0C F2 0F 10 55 20 F2 0F 10 4D 28 EB 67 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 45 28 F2 0F 59 D6 EB 3A F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 CE F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 0F 28 CF F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "?get_terminate_or_default@@YAP6AXXZQEBU__acrt_ptd@@@Z"
		size = 18
		refs = "0008 abort"
	strings:
		$1 = { 48 83 79 18 00 48 8D 05 ?? ?? ?? ?? 48 0F 45 41 18 C3 }
	condition:
		$1
}

rule file_380_1_0 {
	meta:
		name = "_get_terminate"
		size = 34
		refs = "0005 __acrt_getptd 000c abort"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 78 18 00 48 0F 45 48 18 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_380_2_0 {
	meta:
		name = "set_terminate"
		size = 44
		refs = "000a __acrt_getptd 0014 abort"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B D0 48 8D 05 ?? ?? ?? ?? 48 83 7A 18 00 48 0F 45 42 18 48 89 5A 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_380_3_0 {
	meta:
		name = "terminate"
		size = 32
		refs = "0005 __acrt_getptd 0014 __guard_dispatch_icall_fptr 001b abort"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 40 18 48 85 C0 74 08 FF 15 ?? ?? ?? ?? EB 00 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "rand"
		size = 41
		refs = "0005 __acrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 69 48 28 FD 43 03 00 81 C1 C3 9E 26 00 89 48 28 C1 E9 10 81 E1 FF 7F 00 00 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_381_1_0 {
	meta:
		name = "srand"
		size = 22
		refs = "0009 __acrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 58 28 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "?initialize_multibyte@@YAHXZ"
		size = 23
		refs = "0005 __acrt_initialize_multibyte"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 84 C0 0F 94 C1 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_383_1_0 {
	meta:
		name = "bsearch_s"
		size = 258
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0095 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 20 4C 8B E9 4D 8B F1 33 C9 49 8B E8 48 8B F2 48 85 D2 75 19 4D 85 C0 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 72 4D 85 C9 74 E7 48 39 4C 24 60 74 E0 49 8D 58 FF 49 0F AF DE 48 03 DA 48 3B D3 77 50 4C 8B FD 49 D1 EF 74 6D 48 8B 4C 24 68 40 F6 C5 01 48 8B 44 24 60 49 8D 6F FF 49 0F 45 EF 49 8B D5 48 8B FD 49 0F AF FE 48 03 FE 4C 8B C7 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 19 79 08 48 8B DF 49 2B DE EB 07 4A 8D 34 37 49 8B EF 48 3B F3 76 B0 48 8B F9 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 48 85 ED 74 D6 48 8B 4C 24 68 4C 8B C6 48 8B 44 24 60 49 8B D5 FF 15 ?? ?? ?? ?? 33 C9 48 8B FE 85 C0 48 0F 45 F9 EB B6 }
	condition:
		$1
}

rule file_385_0_0 {
	meta:
		name = "strpbrk"
		size = 158
		refs = "0007 __security_cookie 008a __security_check_cookie 0099 __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 33 C0 4C 8B CA 48 83 F8 20 4C 8B C1 73 77 C6 44 04 20 00 48 FF C0 48 83 F8 20 7C F0 8A 02 EB 1F 0F B6 D0 48 C1 EA 03 0F B6 C0 83 E0 07 0F B6 4C 14 20 0F AB C1 49 FF C1 88 4C 14 20 41 8A 01 84 C0 75 DD EB 1F 41 0F B6 C1 BA 01 00 00 00 41 0F B6 C9 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 1F 49 FF C0 45 8A 08 45 84 C9 75 D9 33 C0 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 49 8B C0 EB E9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_386_5_0 {
	meta:
		name = "_mbsrev_l"
		size = 197
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0048 _strrev"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B F1 48 8B F9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 66 48 8B 54 24 30 83 7A 08 00 75 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 EB 4E 8A 03 84 C0 74 40 0F B6 C0 48 FF C3 8A 4C 10 19 80 E1 04 74 EB 8A 0B 84 C9 74 0D 8A 43 FF 88 03 88 4B FF 48 FF C3 EB D8 E8 ?? ?? ?? ?? 48 FF CB C7 00 16 00 00 00 C6 03 00 EB 0B 8A 0F 8A 03 88 07 48 FF C7 88 0B 48 FF CB 48 3B FB 72 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B C6 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "_fdclass"
		size = 25
		refs = "0010 _fdtest"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_387_1_0 {
	meta:
		name = "_fdpcomp"
		size = 97
		refs = "0017 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 34 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 25 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 76 05 8D 43 FF EB 11 B8 04 00 00 00 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_387_2_0 {
	meta:
		name = "_fdsign"
		size = 19
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 C1 E8 10 25 00 80 00 00 C3 }
	condition:
		$1
}

rule file_388_11_0 {
	meta:
		name = "_putws"
		size = 106
		refs = "0013 _errno 001e _invalid_parameter_noinfo 002f __acrt_iob_func 0060 ??$?RV<lambda_2f83a2a1986a37a798595b5ae3dfb15a>@@AEAV<lambda_65123f7c9d6f4a18edfa2b860f737003>@@V<lambda_39f88bc36d3cf8c3d3f84f87ff1ba7e6>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_2f83a2a1986a37a798595b5ae3dfb15a>@@AEAV<lambda_65123f7c9d6f4a18edfa2b860f737003>@@$$QEAV<lambda_39f88bc36d3cf8c3d3f84f87ff1ba7e6>@@@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 48 8B EC 48 83 EC 40 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 3B B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 20 48 89 45 20 48 89 4D E8 4C 8D 4D 28 48 8D 4D 10 48 89 45 28 48 89 4D F0 4C 8D 45 E8 48 8D 4D 18 48 89 45 E0 48 8D 55 E0 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_389_0_0 {
	meta:
		name = "pow"
		size = 5777
		refs = "001b __use_fma3_lib 0049 __exp_mant_mask 0059 __pos_one 0066 __sign_mask 0070 __pos_zero 00a3 __exp_mask 00c4 __ay_max_bound 00db __ay_min_bound 00fa __mask_1023 010a __real_mant 0112 __mask_1023_f 0126 __mask_mant_all8 012d __mask_mant9 0135 __real_one 014b __real_notsign 0160 __real_half 016f __log_F_inv_head 0176 __log_F_inv_tail 017e __real_threshold 01b3 __log_256_lead 01bb __real_1_over_6 01c3 __real_1_over_3 01df __real_1_over_5 01e7 __real_1_over_2 01fb __real_1_over_4 0213 __real_log2_tail 021a __log_256_tail 0242 __real_log2_lead 025e __real_fffffffff8000000 02db __real_64_by_log2 02f2 __real_p65536 0300 __real_m68800 0311 __two_to_jby64_head_table 0318 __two_to_jby64_tail_table 0324 __real_log2_by_64_head 0341 __real_log2_by_64_tail 035e __real_1_by_2 0366 __real_1_by_24 036e __real_1_by_720 0396 __real_1_by_6 03a2 __real_1_by_120 03bf __denormal_threshold 03fd __real_inf 0452 __enable_almost_inf 049d __denormal_tiny_threshold 04d4 __real_smallest_denormal 04f3 __real_zero 055a __mask_2045 0597 __exp_shift 05a1 __exp_bias 05c0 __yexp_53 05c9 __mant_full 05dc __1_before_mant 05f7 __neg_zero 0604 __neg_one 067f __real_1_over_7 0770 __qnan_set 0785 __mant_mask 08b4 __neg_qnan 08bb __flag_x_neg_y_notint 08c0 _pow_special 0944 __pos_inf 097a __flag_x_zero_z_inf 0996 __neg_inf 0af3 __flag_z_zero 0b02 __flag_z_inf 0b78 __flag_x_nan 0ba4 __flag_y_nan 0bc6 __ind_pattern 0c12 __flag_x_nan_y_nan 0c33 __flag_z_denormal"
	strings:
		$1 = { 48 81 EC D8 00 00 00 66 0F 7F B4 24 90 00 00 00 66 0F 7F BC 24 A0 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 1B 0C 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 11 44 24 20 F2 0F 11 4C 24 30 48 8B 54 24 20 4C 8B 44 24 30 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 84 4A 07 00 00 4C 3B 05 ?? ?? ?? ?? 0F 84 8D 07 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 48 8B 05 ?? ?? ?? ?? 48 89 44 24 50 4C 3B 0D ?? ?? ?? ?? 0F 84 EA 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 CD 06 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 80 08 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 19 09 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F 02 08 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8C 6B 09 00 00 4D 33 C0 66 0F 6F D8 66 0F 73 D3 34 66 49 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 14 04 00 00 F2 0F 10 F8 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 4C 89 84 24 80 00 00 00 66 0F 54 3D ?? ?? ?? ?? F2 0F 10 8C 24 80 00 00 00 49 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 0F 82 A8 04 00 00 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 59 0C C1 F2 0F 10 E9 F2 42 0F 59 24 C2 F2 0F 10 FC F2 0F 58 CC F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 5C EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 FD F2 0F 59 DC F2 0F 58 CB F2 0F 58 CF F2 0F 10 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? F2 0F 59 EE F2 43 0F 10 04 C1 F2 0F 5C E9 F2 42 0F 10 1C C2 F2 0F 58 DD F2 0F 10 CB F2 0F 5C DA F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 F2 0F 10 F8 F2 0F 58 C3 F2 0F 10 E8 66 0F 54 05 ?? ?? ?? ?? 48 8B 44 24 30 48 23 05 ?? ?? ?? ?? F2 0F 58 D3 F2 0F 5C FD F2 0F 5C CA F2 0F 58 FB F2 0F 5C E8 48 89 44 24 70 F2 0F 10 64 24 30 F2 0F 58 F9 F2 0F 58 FD F2 0F 10 54 24 70 F2 0F 5C E2 F2 0F 10 DC F2 0F 10 EF F2 0F 10 F0 F2 0F 59 DF F2 0F 59 E0 F2 0F 59 EA F2 0F 59 F2 F2 0F 10 CE F2 0F 58 DC F2 0F 58 DD F2 0F 58 CB F2 0F 10 C1 F2 0F 5C F1 F2 0F 58 F3 F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 44 24 40 F2 0F 59 F8 48 8B 54 24 40 66 0F 2F 3D ?? ?? ?? ?? 0F 87 14 02 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 E6 01 00 00 F2 0F E6 E7 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 D0 2B C8 C1 F9 06 F2 0F 58 D1 F2 0F 58 D6 F2 0F 10 CA F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 59 DA F2 0F 59 E2 F2 0F 10 E9 F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D9 F2 0F 59 E5 45 33 C9 F2 0F 58 DC F2 0F 58 C3 3B 0D ?? ?? ?? ?? 44 0F 4E C9 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 2C C3 F2 41 0F 10 0C C2 F2 0F 59 E8 F2 0F 59 C8 F2 41 0F 58 2C C3 F2 0F 58 CD F2 41 0F 58 0C C2 F2 0F 10 C1 48 3B 0D ?? ?? ?? ?? 74 3D 48 89 4C 24 40 45 85 C9 75 53 F2 0F 59 44 24 40 66 0F 56 44 24 50 66 0F 6F BC 24 A0 00 00 00 66 0F 6F B4 24 90 00 00 00 48 81 C4 D8 00 00 00 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 83 C2 00 00 00 66 0F 56 05 ?? ?? ?? ?? 66 0F 56 44 24 50 EB BB 66 90 41 8B C9 45 33 DB 66 0F 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 F2 0F 59 44 24 40 66 0F 56 44 24 50 EB 90 0F 1F 80 00 00 00 00 4D 33 C0 49 C7 C1 01 00 00 00 48 3B 15 ?? ?? ?? ?? 7F 2D 81 C1 32 04 00 00 49 0F 48 C8 49 D3 E1 49 8B C9 48 89 4C 24 40 F2 0F 59 44 24 40 66 0F 56 44 24 50 E9 57 07 00 00 0F 1F 80 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 56 44 24 50 E9 3D 07 00 00 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 50 E9 EF 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 50 E9 CF 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 49 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 B5 FB FF FF 66 0F 1F 84 00 00 00 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F 49 03 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4D 8B DA 48 8B 0D ?? ?? ?? ?? 49 D3 EA 4C 2B 15 ?? ?? ?? ?? 0F 88 D5 02 00 00 48 8B 05 ?? ?? ?? ?? 48 23 C2 48 89 44 24 60 49 8B CA 4C 3B 15 ?? ?? ?? ?? 7F 2E 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 0F 85 A7 02 00 00 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 74 0C 48 8B 05 ?? ?? ?? ?? 48 89 44 24 50 48 3B 15 ?? ?? ?? ?? 0F 84 1F 03 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 22 02 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 AB 03 00 00 F2 0F 10 44 24 60 E9 B5 FA FF FF F2 0F 10 C1 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 10 1C C1 F2 42 0F 58 1C C2 F2 0F 59 E3 66 0F 54 25 ?? ?? ?? ?? F2 0F 10 EC F2 0F 59 E0 F2 0F 5C CC F2 0F 59 CB F2 0F 10 F9 F2 0F 58 CD F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C8 F2 0F 59 DC F2 0F 10 D5 F2 0F 10 C7 F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 EF F2 0F 58 E8 F2 0F 58 EF F2 0F 10 C2 F2 0F 10 FA F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 E0 F2 0F 58 D0 F2 0F 5C FA F2 0F 58 FC F2 0F 58 DF F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 E6 48 8D 15 ?? ?? ?? ?? F2 0F 58 CD F2 42 0F 58 24 C2 F2 0F 5C E1 F2 0F 10 DC F2 0F 10 CC F2 0F 5C DA F2 43 0F 10 04 C1 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 E9 EF FA FF FF 90 48 33 C0 4D 8B D8 4C 8B 0D ?? ?? ?? ?? 4C 0B 1D ?? ?? ?? ?? 4D 23 C8 4C 3B 0D ?? ?? ?? ?? 49 0F 44 C0 4C 8B 0D ?? ?? ?? ?? 4C 23 C8 74 0D 4C 23 0D ?? ?? ?? ?? 0F 84 F5 03 00 00 E9 79 FC FF FF 48 33 C0 4C 8B DA 4C 8B 0D ?? ?? ?? ?? 4C 0B 1D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 0F 44 C2 4C 8B 0D ?? ?? ?? ?? 4C 23 C8 74 0D 4C 23 0D ?? ?? ?? ?? 0F 84 B5 0D 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 31 FC FF FF 0F 1F 84 00 00 00 00 00 48 33 C0 4C 8B DA 4C 8B 0D ?? ?? ?? ?? 4C 0B 1D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 0F 44 C2 4C 8B 0D ?? ?? ?? ?? 4C 23 C8 0F 85 1E 03 00 00 66 48 0F 6E C2 E9 ED FB FF FF 0F 1F 40 00 48 8B 15 ?? ?? ?? ?? 48 0B 54 24 50 48 33 C0 4D 8B D8 4C 8B 15 ?? ?? ?? ?? 4C 0B 1D ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 0F 85 22 03 00 00 66 48 0F 6E C2 E9 A1 FB FF FF 0F 1F 84 00 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 39 01 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 7C 00 00 00 F2 0F 10 44 24 20 F2 0F 10 4C 24 30 F2 0F 10 15 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 FB FF FF 0F 1F 80 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 E9 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 74 2D 48 3B 15 ?? ?? ?? ?? 0F 84 30 FF FF FF 4C 8B CA 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? 0F 8C 59 01 00 00 E9 74 01 00 00 0F 1F 40 00 4C 8B 15 ?? ?? ?? ?? 48 33 C0 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 74 5A 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 48 0F 45 05 ?? ?? ?? ?? 75 16 66 48 0F 6E C0 66 0F 56 44 24 50 E9 BF FA FF FF 66 0F 1F 44 00 00 F2 0F 10 44 24 20 F2 0F 10 4C 24 30 66 48 0F 6E D0 66 0F 56 54 24 50 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 FA FF FF 0F 1F 84 00 00 00 00 00 4D 8B D8 4C 3B 05 ?? ?? ?? ?? 48 0F 44 05 ?? ?? ?? ?? 74 BC 4C 0B 1D ?? ?? ?? ?? 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 85 D5 01 00 00 66 48 0F 6E C0 E9 54 FA FF FF 66 66 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 48 8B C2 4C 8B 0D ?? ?? ?? ?? 48 0B 05 ?? ?? ?? ?? 4C 23 CA 4C 0F 45 D8 0F 85 3D 01 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4C 0B 0D ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 57 01 00 00 66 49 0F 6E C3 66 0F 56 44 24 50 E9 D0 F9 FF FF 0F 1F 80 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 E9 B8 F9 FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 45 1D ?? ?? ?? ?? EB 29 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 66 66 66 0F 1F 84 00 00 00 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4C 0B 0D ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 AA 00 00 00 48 85 C0 75 45 0F 1F 44 00 00 44 8B 0D ?? ?? ?? ?? 4C 85 1D ?? ?? ?? ?? 44 0F 45 0D ?? ?? ?? ?? F2 0F 10 44 24 20 F2 0F 10 4C 24 30 66 49 0F 6E D3 E8 ?? ?? ?? ?? E9 F8 F8 FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 49 0F 6E C3 E9 DF F8 FF FF 66 0F 1F 44 00 00 48 33 C0 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 75 5C F2 0F 10 44 24 20 F2 0F 10 4C 24 30 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 F8 FF FF 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 44 24 20 F2 0F 10 4C 24 30 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 F8 FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 8B C8 4C 3B 1D ?? ?? ?? ?? 4D 0F 44 D9 74 27 4C 3B 0D ?? ?? ?? ?? 4D 0F 44 CB 4D 8B D1 4C 23 15 ?? ?? ?? ?? 4D 0F 45 CB 4D 8B D3 4C 23 15 ?? ?? ?? ?? 4D 0F 45 D9 4C 0B 1D ?? ?? ?? ?? F2 0F 10 44 24 20 F2 0F 10 4C 24 30 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 F7 FF FF F2 0F 10 D0 F2 0F 10 44 24 20 F2 0F 10 4C 24 30 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 F7 FF FF C5 FB 11 44 24 20 C5 FB 11 4C 24 30 48 8B 54 24 20 4C 8B 44 24 30 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 84 79 05 00 00 4C 3B 05 ?? ?? ?? ?? 0F 84 BC 05 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 44 24 50 0F 84 49 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 FC 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 AF 06 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 68 07 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F 31 06 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8C BA 07 00 00 C5 E1 73 D0 34 C4 C1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 15 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 7E 03 00 00 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 C4 C1 F9 6E C8 49 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? C5 F3 5C E2 C4 81 5B 59 0C C1 C5 F9 28 E9 C4 A1 5B 59 24 C2 C5 F9 28 FC C5 F3 58 CC C5 F9 28 D1 C5 F9 28 C1 4C 8D 0D ?? ?? ?? ?? C5 D3 5C DA C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 C0 C5 E3 58 DF C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 F9 A9 CB C5 FB 10 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? C4 E2 C9 AB E9 C4 81 7B 10 04 C1 C4 A1 53 58 1C C2 C5 F9 28 CB C5 E3 5C DA C4 E2 C9 B9 05 ?? ?? ?? ?? C5 F9 28 F8 C5 FB 58 C3 C5 F9 28 E8 C5 F9 54 05 ?? ?? ?? ?? 48 8B 44 24 30 48 23 05 ?? ?? ?? ?? C5 EB 58 D3 C5 C3 5C FD C5 F3 5C CA C5 C3 58 FB C5 D3 5C E8 48 89 44 24 70 C5 FB 10 64 24 30 C5 C3 58 F9 C5 C3 58 FD C5 FB 10 54 24 70 C5 DB 5C E2 C5 DB 59 DF C5 DB 59 E0 C5 C3 59 EA C5 FB 59 F2 C5 F9 28 CE C5 E3 58 DC C5 E3 58 DD C5 F3 58 CB C5 F9 28 C1 C5 CB 5C F1 C5 CB 58 F3 C5 FB 11 44 24 40 C5 FB 59 3D ?? ?? ?? ?? 48 8B 54 24 40 C5 F9 2F 3D ?? ?? ?? ?? 0F 87 E0 01 00 00 C5 F9 2F 3D ?? ?? ?? ?? 0F 82 B2 01 00 00 C5 FB E6 E7 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? C5 FA E6 CC C4 E2 F1 BD 05 ?? ?? ?? ?? C5 F9 7E E1 48 C7 C0 3F 00 00 00 23 C1 C5 F3 59 0D ?? ?? ?? ?? C5 F9 28 D0 2B C8 C1 F9 06 C5 EB 58 D1 C5 EB 58 D6 C5 F9 28 CA C5 FB 10 05 ?? ?? ?? ?? 45 33 C9 C4 E2 E9 A9 05 ?? ?? ?? ?? 3B 0D ?? ?? ?? ?? C4 E2 E9 A9 05 ?? ?? ?? ?? 44 0F 4E C9 C4 E2 E9 A9 05 ?? ?? ?? ?? 48 81 C1 FF 03 00 00 C4 E2 E9 A9 05 ?? ?? ?? ?? 48 C1 E1 34 C4 E2 E9 A9 05 ?? ?? ?? ?? C5 FB 59 C2 C4 C1 7B 59 2C C3 C4 C1 7B 59 0C C2 48 3B 0D ?? ?? ?? ?? C4 C1 53 58 2C C3 C5 F3 58 CD C4 C1 73 58 0C C2 C5 F9 28 C1 74 3F 45 85 C9 48 89 4C 24 40 75 55 C5 FB 59 44 24 40 C5 F9 56 44 24 50 C5 F9 6F BC 24 A0 00 00 00 C5 F9 6F B4 24 90 00 00 00 48 81 C4 D8 00 00 00 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 2F 05 ?? ?? ?? ?? 0F 83 C2 00 00 00 C5 F9 56 05 ?? ?? ?? ?? C5 F9 56 44 24 50 EB B9 66 90 41 8B C9 45 33 DB C5 F9 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 C5 FB 59 44 24 40 C5 F9 56 44 24 50 EB 8E 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "_getdiskfree"
		size = 214
		refs = "000d __security_cookie 0022 _errno 002d _invalid_parameter_noinfo 0097 __imp_GetDiskFreeSpaceW 00a1 __imp_GetLastError 00b2 __acrt_errno_from_os_error 00c7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 4C 8B D2 48 85 D2 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 57 00 00 00 E9 83 00 00 00 83 F9 1A 77 E1 33 C0 48 89 44 24 30 48 89 44 24 38 8B C1 0F 10 44 24 30 F7 D8 C7 44 24 30 5F 00 3A 00 48 8D 44 24 30 C7 44 24 34 5C 00 00 00 4D 1B DB 4C 23 D8 F3 0F 7F 02 85 C9 74 09 66 83 C1 40 66 89 4C 24 30 4C 8D 4A 04 4C 89 54 24 20 4C 8D 42 0C 49 8B CB 48 83 C2 08 FF 15 ?? ?? ?? ?? 85 C0 75 1D FF 15 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B CF 48 8B D8 E8 ?? ?? ?? ?? 89 03 8B C7 EB 02 33 C0 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_391_4_0 {
	meta:
		name = "??$common_get_initial_environment@D@@YAPEAPEADXZ"
		size = 78
		refs = "0007 __dcrt_initial_narrow_environment 0013 _environ_table 001f _wenviron_table 002a ??$common_initialize_environment_nolock@D@@YAHXZ 0033 ??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		altNames = "_get_initial_narrow_environment"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 39 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_5_0 {
	meta:
		name = "??$common_get_initial_environment@_W@@YAPEAPEA_WXZ"
		size = 78
		refs = "0007 __dcrt_initial_wide_environment 0013 _wenviron_table 001f _environ_table 002a ??$common_initialize_environment_nolock@_W@@YAHXZ 0033 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 39 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_81_0 {
	meta:
		name = "_get_initial_wide_environment"
		size = 78
		refs = "0007 __dcrt_initial_wide_environment 0013 _wenviron_table 001f _environ_table 002a ??$common_initialize_environment_nolock@_W@@YAHXZ 0033 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 39 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_6_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@D@@YAPEAPEADXZ"
		size = 59
		refs = "0007 _environ_table 0013 _wenviron_table 001e ??$common_initialize_environment_nolock@D@@YAHXZ 0027 ??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		altNames = "__dcrt_get_or_create_narrow_environment_nolock"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_7_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@_W@@YAPEAPEA_WXZ"
		size = 59
		refs = "0007 _wenviron_table 0013 _environ_table 001e ??$common_initialize_environment_nolock@_W@@YAHXZ 0027 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_76_0 {
	meta:
		name = "__dcrt_get_or_create_wide_environment_nolock"
		size = 59
		refs = "0007 _wenviron_table 0013 _environ_table 001e ??$common_initialize_environment_nolock@_W@@YAHXZ 0027 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 26 48 39 05 ?? ?? ?? ?? 75 04 33 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EA 48 8B 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_8_0 {
	meta:
		name = "??$common_initialize_environment_nolock@D@@YAHXZ"
		size = 108
		refs = "000f _environ_table 001a __acrt_initialize_multibyte 001f __dcrt_get_narrow_environment_from_os 0034 ??$create_environment@D@@YAQEAPEADQEAD@Z 0045 __dcrt_initial_narrow_environment 0053 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 39 3D ?? ?? ?? ?? 74 04 33 C0 EB 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 83 CF FF EB 27 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 83 CF FF EB 0E 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_9_0 {
	meta:
		name = "??$common_initialize_environment_nolock@_W@@YAHXZ"
		size = 103
		refs = "000f _wenviron_table 001a __dcrt_get_wide_environment_from_os 002f ??$create_environment@_W@@YAQEAPEA_WQEA_W@Z 0040 __dcrt_initial_wide_environment 004e _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 39 3D ?? ?? ?? ?? 74 04 33 C0 EB 43 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 83 CF FF EB 27 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 83 CF FF EB 0E 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_10_0 {
	meta:
		name = "??$count_variables_in_environment_block@D@@YA?B_KQEAD@Z"
		size = 38
	strings:
		$1 = { 33 C0 EB 1B 80 FA 3D 74 03 48 FF C0 48 83 CA FF 48 FF C2 80 3C 11 00 75 F7 48 FF C1 48 03 CA 8A 11 84 D2 75 DF C3 }
	condition:
		$1
}

rule file_391_11_0 {
	meta:
		name = "??$count_variables_in_environment_block@_W@@YA?B_KQEA_W@Z"
		size = 48
	strings:
		$1 = { 45 33 C0 41 8B C0 EB 1F 66 83 FA 3D 74 03 48 FF C0 48 83 CA FF 48 FF C2 66 44 39 04 51 75 F6 48 8D 0C 51 48 83 C1 02 0F B7 11 66 85 D2 75 D9 C3 }
	condition:
		$1
}

rule file_391_12_0 {
	meta:
		name = "??$create_environment@D@@YAQEAPEADQEAD@Z"
		size = 249
		refs = "004b _calloc_base 0094 strcpy_s 00a6 _free_base 00b3 ??$free_environment@D@@YAXQEAPEAD@Z 00f4 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 33 F6 4C 8B F1 8B D6 EB 1A 3C 3D 74 03 48 FF C2 48 83 C8 FF 48 FF C0 40 38 34 01 75 F7 48 FF C1 48 03 C8 8A 01 84 C0 75 E0 48 8D 4A 01 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 6C 4C 8B F8 41 38 36 74 61 48 83 CD FF 48 FF C5 41 38 34 2E 75 F7 48 FF C5 41 80 3E 3D 74 35 BA 01 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 25 4D 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 33 C9 85 C0 75 48 49 89 3F 49 83 C7 08 E8 ?? ?? ?? ?? 4C 03 F5 EB AB 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB 03 48 8B F3 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_391_13_0 {
	meta:
		name = "??$create_environment@_W@@YAQEAPEA_WQEA_W@Z"
		size = 259
		refs = "0051 _calloc_base 009d wcscpy_s 00af _free_base 00bd ??$free_environment@_W@@YAXQEAPEA_W@Z 00fe _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 33 F6 4C 8B F1 8B D6 EB 1E 66 83 F8 3D 74 03 48 FF C2 48 83 C8 FF 48 FF C0 66 39 34 41 75 F7 48 8D 0C 41 48 83 C1 02 0F B7 01 66 85 C0 75 DA 48 8D 4A 01 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 70 4C 8B F8 66 41 39 36 74 64 48 83 CD FF 48 FF C5 66 41 39 34 6E 75 F6 48 FF C5 66 41 83 3E 3D 74 35 BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 26 4D 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 33 C9 85 C0 75 49 49 89 3F 49 83 C7 08 E8 ?? ?? ?? ?? 4D 8D 34 6E EB A7 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? EB 03 48 8B F3 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_391_14_0 {
	meta:
		name = "??$free_environment@D@@YAXQEAPEAD@Z"
		size = 65
		refs = "001e _free_base"
		altNames = "??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { 48 85 C9 74 3B 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B D9 48 8B F9 EB 0F 48 8B C8 E8 ?? ?? ?? ?? 48 8D 7F 08 48 8B 07 48 85 C0 75 EC 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_18_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		size = 211
		refs = "0012 _wenviron_table 004b __imp_WideCharToMultiByte 005f _calloc_base 009b __dcrt_set_variable_in_narrow_environment_nolock 00a2 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 48 83 EC 40 48 8B 35 ?? ?? ?? ?? 48 85 F6 0F 85 8B 00 00 00 83 C8 FF E9 8F 00 00 00 48 83 64 24 38 00 41 83 C9 FF 48 83 64 24 30 00 33 D2 83 64 24 28 00 33 C9 4C 8B 06 48 83 64 24 20 00 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 74 C9 BA 01 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 5B 48 83 64 24 38 00 41 83 C9 FF 48 83 64 24 30 00 33 D2 4C 8B 06 33 C9 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 31 33 D2 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 83 C6 08 48 83 3E 00 0F 85 73 FF FF FF 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 40 5E C3 48 8B CB E8 ?? ?? ?? ?? E9 4C FF FF FF }
	condition:
		$1
}

rule file_391_19_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
		size = 176
		refs = "0012 _environ_table 0038 __imp_MultiByteToWideChar 004c _calloc_base 007c __dcrt_set_variable_in_wide_environment_nolock 0083 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 48 83 EC 30 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 70 83 C8 FF EB 73 83 64 24 28 00 41 83 C9 FF 4C 8B 06 33 D2 48 83 64 24 20 00 33 C9 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 74 D8 BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 4B 4C 8B 06 41 83 C9 FF 89 6C 24 28 33 D2 33 C9 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 2D 33 D2 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 83 C6 08 48 83 3E 00 75 8F 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 30 5E C3 48 8B CB E8 ?? ?? ?? ?? E9 6B FF FF FF }
	condition:
		$1
}

rule file_391_26_0 {
	meta:
		name = "??$uninitialize@A6AXAEAPEAPEAD@Z@?$dual_state_global@PEAPEAD@__crt_state_management@@QEAAXA6AXAEAPEAPEAD@Z@Z"
		size = 67
		refs = "0026 __guard_dispatch_icall_fptr"
		altNames = "??$uninitialize@A6AXAEAPEAPEA_W@Z@?$dual_state_global@PEAPEA_W@__crt_state_management@@QEAAXA6AXAEAPEAPEA_W@Z@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 08 48 8B F2 48 8B D9 48 3B CF 74 15 48 8B CB 48 8B C6 FF 15 ?? ?? ?? ?? 48 83 C3 08 48 3B DF 75 EB 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_28_0 {
	meta:
		name = "??$uninitialize_environment_internal@D@@YAXAEAPEAPEAD@Z"
		size = 26
		refs = "000a __dcrt_initial_narrow_environment 0011 ??$free_environment@D@@YAXQEAPEAD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_29_0 {
	meta:
		name = "??$uninitialize_environment_internal@_W@@YAXAEAPEAPEA_W@Z"
		size = 26
		refs = "000a __dcrt_initial_wide_environment 0011 ??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_391_42_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YA_KIQEBD@Z"
		size = 37
		refs = "001a __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 4C 8B C2 48 83 64 24 20 00 33 D2 41 83 C9 FF FF 15 ?? ?? ?? ?? 48 98 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_391_43_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YA_KIQEB_W@Z"
		size = 47
		refs = "0024 __imp_WideCharToMultiByte"
	strings:
		$1 = { 48 83 EC 48 33 C0 4C 8B C2 48 89 44 24 38 41 83 C9 FF 48 89 44 24 30 33 D2 89 44 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 98 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_391_44_0 {
	meta:
		name = "?__crt_transform_string@@YA_KIQEBDQEA_W_K@Z"
		size = 36
		refs = "0019 __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 83 EC 38 44 89 4C 24 28 41 83 C9 FF 4C 89 44 24 20 4C 8B C2 33 D2 FF 15 ?? ?? ?? ?? 48 98 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_391_45_0 {
	meta:
		name = "?__crt_transform_string@@YA_KIQEB_WQEAD_K@Z"
		size = 47
		refs = "0024 __imp_WideCharToMultiByte"
	strings:
		$1 = { 48 8B C4 48 83 EC 48 48 83 60 F0 00 48 83 60 E8 00 44 89 48 E0 41 83 C9 FF 4C 89 40 D8 4C 8B C2 33 D2 FF 15 ?? ?? ?? ?? 48 98 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_391_77_0 {
	meta:
		name = "__dcrt_uninitialize_environments_nolock"
		size = 56
		refs = "0007 _environ_table 000c ??$uninitialize_environment_internal@D@@YAXAEAPEAPEAD@Z 0013 _wenviron_table 0018 ??$uninitialize_environment_internal@_W@@YAXAEAPEAPEA_W@Z 001f __dcrt_initial_narrow_environment 0024 ??$free_environment@D@@YAXQEAPEAD@Z 002b __dcrt_initial_wide_environment 0034 ??$free_environment@_W@@YAXQEAPEA_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_0_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 129
		altNames = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z ??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 48 89 5C 24 08 4D 8B 19 4D 8B 08 45 33 C0 48 8B 44 24 30 48 8B 18 48 8B 44 24 28 4C 8B 10 4C 89 01 4C 89 41 08 4C 89 41 10 4C 89 41 18 4C 89 41 20 4C 89 41 28 4C 89 41 30 44 89 41 38 66 44 89 41 40 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B C1 48 89 59 20 48 8B 5C 24 08 4C 89 09 4C 89 51 08 4C 89 59 18 44 89 81 70 04 00 00 C3 }
	condition:
		$1
}

rule file_392_1_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 158
		altNames = "??$?0AEBV?$string_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 48 89 5C 24 08 49 8B 19 4D 8B 08 45 33 C0 48 8B 44 24 30 4C 8B 18 48 8B 44 24 28 4C 8B 10 4C 89 01 4C 89 41 08 4C 89 41 10 4C 89 41 18 4C 89 41 20 4C 89 41 28 4C 89 41 30 44 89 41 38 66 44 89 41 40 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 48 89 59 18 48 89 99 80 04 00 00 48 8B 5C 24 08 4C 89 09 4C 89 51 08 4C 89 59 20 44 89 81 70 04 00 00 4C 89 81 78 04 00 00 C3 }
	condition:
		$1
}

rule file_392_3_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 133
		altNames = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z ??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 48 89 5C 24 08 4D 8B 19 4D 8B 08 45 33 C0 48 8B 44 24 30 48 8B 18 48 8B 44 24 28 4C 8B 10 4C 89 01 4C 89 41 08 4C 89 41 10 4C 89 41 18 4C 89 41 20 4C 89 41 28 4C 89 41 30 44 89 41 38 44 88 41 40 66 44 89 41 42 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B C1 48 89 59 20 48 8B 5C 24 08 4C 89 09 4C 89 51 08 4C 89 59 18 44 89 81 70 04 00 00 C3 }
	condition:
		$1
}

rule file_392_4_0 {
	meta:
		name = "??$?0AEBV?$stream_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 162
		altNames = "??$?0AEBV?$string_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 48 89 5C 24 08 49 8B 19 4D 8B 08 45 33 C0 48 8B 44 24 30 4C 8B 18 48 8B 44 24 28 4C 8B 10 4C 89 01 4C 89 41 08 4C 89 41 10 4C 89 41 18 4C 89 41 20 4C 89 41 28 4C 89 41 30 44 89 41 38 44 88 41 40 66 44 89 41 42 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 48 89 59 18 48 89 99 80 04 00 00 48 8B 5C 24 08 4C 89 09 4C 89 51 08 4C 89 59 20 44 89 81 70 04 00 00 4C 89 81 78 04 00 00 C3 }
	condition:
		$1
}

rule file_392_32_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_74b93660f2d9eb3fb15c5de9eff9db7b>@@AEAV<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@V<lambda_7322894ee7c8a2d41153fedefeab09e3>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_74b93660f2d9eb3fb15c5de9eff9db7b>@@AEAV<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@$$QEAV<lambda_7322894ee7c8a2d41153fedefeab09e3>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_33_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_e823f95267a816de70ce630183b86bc2>@@AEAV<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@V<lambda_57931389d27d3dce8b0bd13c3d0d8333>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_e823f95267a816de70ce630183b86bc2>@@AEAV<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@$$QEAV<lambda_57931389d27d3dce8b0bd13c3d0d8333>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_34_0 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_d1aaa8c864b24422b55e9201296d78b9>@@AEAV<lambda_a2288fdbbd702c8f223b438290af01a4>@@V<lambda_4f4c57057ae4c2bc431a3fc6ace2791f>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_d1aaa8c864b24422b55e9201296d78b9>@@AEAV<lambda_a2288fdbbd702c8f223b438290af01a4>@@$$QEAV<lambda_4f4c57057ae4c2bc431a3fc6ace2791f>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_35_2 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_55577cdf4457e05136e8c1bc6549f697>@@AEAV<lambda_ee59099aa97e0ff6f003b984c1584058>@@V<lambda_cd4250c7ac9eb50c05cf8bb6b444cf42>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_55577cdf4457e05136e8c1bc6549f697>@@AEAV<lambda_ee59099aa97e0ff6f003b984c1584058>@@$$QEAV<lambda_cd4250c7ac9eb50c05cf8bb6b444cf42>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_36_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAU_iobuf@@QEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_a62c933ada0517137acf5807a1eeac1f>@@AEAV<lambda_a31071773b9a94e445cbd5d04ef99106>@@V<lambda_56065050dbf3ada7e59a83db45153de3>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_a62c933ada0517137acf5807a1eeac1f>@@AEAV<lambda_a31071773b9a94e445cbd5d04ef99106>@@$$QEAV<lambda_56065050dbf3ada7e59a83db45153de3>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_37_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEAU_iobuf@@QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 133
		refs = "0021 _errno 002c _invalid_parameter_noinfo 007b ??$?RV<lambda_0d412022a4b28cc8a401ea49574e8ae6>@@AEAV<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@V<lambda_975a71a6baa488a08f4e15f6b0339b9e>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_0d412022a4b28cc8a401ea49574e8ae6>@@AEAV<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@$$QEAV<lambda_975a71a6baa488a08f4e15f6b0339b9e>@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 55 48 8B EC 48 83 EC 60 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 18 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 28 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 10 48 89 45 E8 48 8D 55 D0 48 8D 45 20 48 89 45 F0 48 8D 4D C0 48 8D 45 30 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_38_0 {
	meta:
		name = "??$common_vsnprintf_s@D@@YAH_KQEAD00QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 327
		refs = "0063 _errno 008d ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z 0125 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 48 83 7C 24 60 00 49 8B F1 49 8B F8 48 8B DA 4C 8B F9 0F 84 E8 00 00 00 4D 85 C9 75 15 48 85 D2 75 19 4D 85 C0 0F 85 D5 00 00 00 33 C0 E9 E1 00 00 00 48 85 D2 0F 84 C5 00 00 00 4D 85 C0 0F 84 BC 00 00 00 4D 3B C1 76 4B E8 ?? ?? ?? ?? 4C 8B 4C 24 60 4C 8D 46 01 48 8B D3 49 8B CF 8B 38 48 8B 44 24 70 48 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 6A E8 ?? ?? ?? ?? 83 38 22 0F 85 85 00 00 00 E8 ?? ?? ?? ?? 89 38 EB 7C E8 ?? ?? ?? ?? 4C 8B 4C 24 60 4C 8B C7 48 8B D3 49 8B CF 44 8B 30 48 8B 44 24 70 48 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 E8 ?? ?? ?? ?? C6 44 3B FF 00 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 33 E8 ?? ?? ?? ?? 44 89 30 EB 29 85 C0 79 28 C6 03 00 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_392_39_0 {
	meta:
		name = "??$common_vsnprintf_s@_W@@YAH_KQEA_W00QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 339
		refs = "0065 _errno 0092 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z 0132 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 30 45 33 E4 49 8B F1 49 8B F8 48 8B DA 4C 8B F9 4C 39 64 24 70 0F 84 F3 00 00 00 4D 85 C9 75 15 48 85 D2 75 19 4D 85 C0 0F 85 E0 00 00 00 33 C0 E9 EC 00 00 00 48 85 D2 0F 84 D0 00 00 00 4D 85 C0 0F 84 C7 00 00 00 4D 3B C1 76 51 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8D 46 01 48 8B D3 49 8B CF 8B 38 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 71 E8 ?? ?? ?? ?? 83 38 22 0F 85 8D 00 00 00 E8 ?? ?? ?? ?? 89 38 E9 81 00 00 00 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8B C7 48 8B D3 49 8B CF 44 8B 30 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? 66 44 89 64 7B FE 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 34 E8 ?? ?? ?? ?? 44 89 30 EB 2A 85 C0 79 29 66 44 89 23 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_392_40_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 459
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 010d ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 016a _free_base 0195 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 10 FC FF FF 48 81 EC F0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 03 00 00 45 33 E4 49 8B D9 49 8B F8 48 8B F2 4C 8B F9 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 33 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 50 04 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B F7 48 89 74 24 20 48 89 7C 24 28 4C 89 64 24 30 41 83 E6 02 75 0A 44 88 64 24 38 48 85 F6 75 05 C6 44 24 38 01 48 8D 44 24 20 4C 89 64 24 70 48 89 85 C8 03 00 00 48 8D 4C 24 60 48 8D 44 24 48 4C 89 65 88 48 89 44 24 68 48 8B 85 58 04 00 00 48 89 45 80 4C 89 65 90 44 89 65 98 66 44 89 65 A0 44 89 65 B0 44 88 65 B4 4C 89 A5 B8 03 00 00 4C 89 A5 C0 03 00 00 4C 89 7C 24 60 48 89 5C 24 78 44 89 A5 D0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 49 41 F6 C7 01 74 22 48 85 FF 75 08 85 C0 0F 85 84 00 00 00 48 8B 44 24 30 48 3B C7 75 28 85 DB 78 28 48 3B DF 76 23 EB 6F 4D 85 F6 74 65 48 85 FF 74 17 85 C0 79 05 44 88 26 EB 0E 48 8B 44 24 30 48 3B C7 74 66 44 88 24 06 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 A5 C0 03 00 00 44 38 64 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D E0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 04 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9F BB FE FF FF FF 44 88 64 37 FF EB 97 }
	condition:
		$1
}

rule file_392_44_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 459
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 010d ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 016a _free_base 0195 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 10 FC FF FF 48 81 EC F0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 03 00 00 45 33 E4 49 8B D9 49 8B F8 48 8B F2 4C 8B F9 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 33 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 50 04 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B F7 48 89 74 24 20 48 89 7C 24 28 4C 89 64 24 30 41 83 E6 02 75 0A 44 88 64 24 38 48 85 F6 75 05 C6 44 24 38 01 48 8D 44 24 20 4C 89 64 24 70 48 89 85 C8 03 00 00 48 8D 4C 24 60 48 8D 44 24 48 4C 89 65 88 48 89 44 24 68 48 8B 85 58 04 00 00 48 89 45 80 4C 89 65 90 44 89 65 98 66 44 89 65 A0 44 89 65 B0 44 88 65 B4 4C 89 A5 B8 03 00 00 4C 89 A5 C0 03 00 00 4C 89 7C 24 60 48 89 5C 24 78 44 89 A5 D0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 49 41 F6 C7 01 74 22 48 85 FF 75 08 85 C0 0F 85 84 00 00 00 48 8B 44 24 30 48 3B C7 75 28 85 DB 78 28 48 3B DF 76 23 EB 6F 4D 85 F6 74 65 48 85 FF 74 17 85 C0 79 05 44 88 26 EB 0E 48 8B 44 24 30 48 3B C7 74 66 44 88 24 06 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 A5 C0 03 00 00 44 38 64 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D E0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 04 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9F BB FE FF FF FF 44 88 64 37 FF EB 97 }
	condition:
		$1
}

rule file_392_41_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 466
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 0111 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 0170 _free_base 019b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 10 FC FF FF 48 81 EC F0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 03 00 00 45 33 E4 49 8B D9 49 8B F8 48 8B F2 4C 8B F9 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 39 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 50 04 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B F7 48 89 74 24 20 48 89 7C 24 28 4C 89 64 24 30 41 83 E6 02 75 0A 44 88 64 24 38 48 85 F6 75 05 C6 44 24 38 01 48 8D 44 24 20 4C 89 64 24 70 48 89 85 C8 03 00 00 48 8D 4C 24 60 48 8D 44 24 48 4C 89 65 88 48 89 44 24 68 48 8B 85 58 04 00 00 48 89 45 80 4C 89 65 90 44 89 65 98 44 88 65 A0 66 44 89 65 A2 44 89 65 B0 44 88 65 B4 4C 89 A5 B8 03 00 00 4C 89 A5 C0 03 00 00 4C 89 7C 24 60 48 89 5C 24 78 44 89 A5 D0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 4B 41 F6 C7 01 74 22 48 85 FF 75 08 85 C0 0F 85 86 00 00 00 48 8B 44 24 30 48 3B C7 75 29 85 DB 78 2A 48 3B DF 76 25 EB 71 4D 85 F6 74 67 48 85 FF 74 19 85 C0 79 06 66 44 89 26 EB 0F 48 8B 44 24 30 48 3B C7 74 67 66 44 89 24 46 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 A5 C0 03 00 00 44 38 64 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D E0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 04 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9E BB FE FF FF FF 66 44 89 64 7E FE EB 96 }
	condition:
		$1
}

rule file_392_45_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 466
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 0111 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 0170 _free_base 019b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 10 FC FF FF 48 81 EC F0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 03 00 00 45 33 E4 49 8B D9 49 8B F8 48 8B F2 4C 8B F9 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 39 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 50 04 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B F7 48 89 74 24 20 48 89 7C 24 28 4C 89 64 24 30 41 83 E6 02 75 0A 44 88 64 24 38 48 85 F6 75 05 C6 44 24 38 01 48 8D 44 24 20 4C 89 64 24 70 48 89 85 C8 03 00 00 48 8D 4C 24 60 48 8D 44 24 48 4C 89 65 88 48 89 44 24 68 48 8B 85 58 04 00 00 48 89 45 80 4C 89 65 90 44 89 65 98 44 88 65 A0 66 44 89 65 A2 44 89 65 B0 44 88 65 B4 4C 89 A5 B8 03 00 00 4C 89 A5 C0 03 00 00 4C 89 7C 24 60 48 89 5C 24 78 44 89 A5 D0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 4B 41 F6 C7 01 74 22 48 85 FF 75 08 85 C0 0F 85 86 00 00 00 48 8B 44 24 30 48 3B C7 75 29 85 DB 78 2A 48 3B DF 76 25 EB 71 4D 85 F6 74 67 48 85 FF 74 19 85 C0 79 06 66 44 89 26 EB 0F 48 8B 44 24 30 48 3B C7 74 67 66 44 89 24 46 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 A5 C0 03 00 00 44 38 64 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D E0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 04 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9E BB FE FF FF FF 66 44 89 64 7E FE EB 96 }
	condition:
		$1
}

rule file_392_42_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 487
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 0129 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 0186 _free_base 01b1 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 57 48 8D AC 24 A0 F2 FF FF 48 81 EC 60 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 0D 00 00 45 33 ED 49 8B D9 49 8B F8 48 8B F2 4C 8B E1 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 4F 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 C0 0D 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B FC 48 89 74 24 20 48 89 7C 24 28 4C 89 6C 24 30 41 83 E7 02 75 0A 44 88 6C 24 38 48 85 F6 75 05 C6 44 24 38 01 83 8D 48 0D 00 00 FF 48 8D 44 24 20 83 8D 4C 0D 00 00 FF 48 8D 4C 24 60 48 89 85 C8 03 00 00 48 8D 44 24 48 48 89 44 24 68 48 8B 85 C8 0D 00 00 48 89 45 80 4C 89 6C 24 70 4C 89 6D 88 4C 89 6D 90 44 89 6D 98 66 44 89 6D A0 44 89 6D B0 44 88 6D B4 4C 89 AD B8 03 00 00 4C 89 AD C0 03 00 00 4C 89 64 24 60 48 89 5C 24 78 44 89 AD D0 03 00 00 4C 89 AD D8 03 00 00 48 89 9D E0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 49 41 F6 C4 01 74 22 48 85 FF 75 08 85 C0 0F 85 84 00 00 00 48 8B 44 24 30 48 3B C7 75 28 85 DB 78 28 48 3B DF 76 23 EB 6F 4D 85 FF 74 65 48 85 FF 74 17 85 C0 79 05 44 88 2E EB 0E 48 8B 44 24 30 48 3B C7 74 66 44 88 2C 06 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 AD C0 03 00 00 44 38 6C 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D 50 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 60 0E 00 00 41 5F 41 5D 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9F BB FE FF FF FF 44 88 6C 37 FF EB 97 }
	condition:
		$1
}

rule file_392_43_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 494
		refs = "001d __security_cookie 0040 _errno 004b _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 007e memset 012d ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 018c _free_base 01b7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 57 48 8D AC 24 A0 F2 FF FF 48 81 EC 60 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 0D 00 00 45 33 ED 49 8B D9 49 8B F8 48 8B F2 4C 8B E1 4D 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 55 01 00 00 4D 85 C0 74 05 48 85 D2 74 DE 48 8B 95 C0 0D 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 20 44 8D 42 20 E8 ?? ?? ?? ?? 4D 8B FC 48 89 74 24 20 48 89 7C 24 28 4C 89 6C 24 30 41 83 E7 02 75 0A 44 88 6C 24 38 48 85 F6 75 05 C6 44 24 38 01 83 8D 48 0D 00 00 FF 48 8D 44 24 20 83 8D 4C 0D 00 00 FF 48 8D 4C 24 60 48 89 85 C8 03 00 00 48 8D 44 24 48 48 89 44 24 68 48 8B 85 C8 0D 00 00 48 89 45 80 4C 89 6C 24 70 4C 89 6D 88 4C 89 6D 90 44 89 6D 98 44 88 6D A0 66 44 89 6D A2 44 89 6D B0 44 88 6D B4 4C 89 AD B8 03 00 00 4C 89 AD C0 03 00 00 4C 89 64 24 60 48 89 5C 24 78 44 89 AD D0 03 00 00 4C 89 AD D8 03 00 00 48 89 9D E0 03 00 00 E8 ?? ?? ?? ?? 48 63 D8 48 85 F6 74 4B 41 F6 C4 01 74 22 48 85 FF 75 08 85 C0 0F 85 86 00 00 00 48 8B 44 24 30 48 3B C7 75 29 85 DB 78 2A 48 3B DF 76 25 EB 71 4D 85 FF 74 67 48 85 FF 74 19 85 C0 79 06 66 44 89 2E EB 0F 48 8B 44 24 30 48 3B C7 74 67 66 44 89 2C 46 48 8B 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 89 AD C0 03 00 00 44 38 6C 24 58 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D 50 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 60 0E 00 00 41 5F 41 5D 41 5C 5F 5E 5B 5D C3 48 85 FF 75 05 83 CB FF EB AD 48 8B 44 24 30 48 3B C7 75 9E BB FE FF FF FF 66 44 89 6C 7E FE EB 96 }
	condition:
		$1
}

rule file_392_46_0 {
	meta:
		name = "??$common_vsprintf_s@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z"
		size = 99
		refs = "002d ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z 003e _errno 0056 _invalid_parameter_noinfo"
		altNames = "__stdio_common_vsprintf_s"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 4D 85 C9 74 3C 48 85 D2 74 37 4D 85 C0 74 32 48 8B 44 24 68 48 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 79 03 C6 03 00 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_47_0 {
	meta:
		name = "??$common_vsprintf_s@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 110
		refs = "0033 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z 0044 _errno 005c _invalid_parameter_noinfo"
		altNames = "__stdio_common_vswprintf_s"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 FF 48 8B DA 4D 85 C9 74 3C 48 85 D2 74 37 4D 85 C0 74 32 48 8B 44 24 68 48 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 79 03 66 89 3B 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_48_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 27
		altNames = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
	strings:
		$1 = { 48 83 B9 08 04 00 00 00 75 06 B8 00 02 00 00 C3 48 8B 81 00 04 00 00 48 D1 E8 C3 }
	condition:
		$1
}

rule file_392_49_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QEBA_KXZ"
		size = 28
	strings:
		$1 = { 48 83 B9 08 04 00 00 00 75 06 B8 00 01 00 00 C3 48 8B 81 00 04 00 00 48 C1 E8 02 C3 }
	condition:
		$1
}

rule file_392_52_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z"
		size = 172
		refs = "002e _errno 0064 _malloc_base 0078 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 C8 FF 48 8B F2 33 D2 48 8B E9 48 F7 F6 48 83 E0 FE 48 83 F8 02 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 EB 5B 48 03 F6 33 FF 48 39 B9 08 04 00 00 75 0D 48 81 FE 00 04 00 00 77 04 B0 01 EB 40 48 3B B1 00 04 00 00 76 F3 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1D 48 8B 8D 08 04 00 00 E8 ?? ?? ?? ?? 48 89 9D 08 04 00 00 40 B7 01 48 89 B5 00 04 00 00 33 C9 E8 ?? ?? ?? ?? 40 8A C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_53_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_18_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_54_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_55_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_19_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_56_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BE 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BE 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_57_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 20
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 48 0F BE 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_22_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_63_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_23_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B6 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B6 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 19
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 0F B6 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_69_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_26_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_70_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_71_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_27_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 197
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 4C 0F BF 41 F8 4C 89 02 E9 95 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 77 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3B 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 0F BF 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 20
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 48 0F BF 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_77_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 191
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8A 41 F8 44 88 02 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 72 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 38 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8A 08 88 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_30_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 191
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8A 41 F8 44 88 02 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 72 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 38 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8A 08 88 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_78_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 191
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8A 41 F8 44 88 02 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 72 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 38 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8A 08 88 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_79_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
		size = 17
		altNames = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 8A 48 F8 B0 01 88 0A C3 }
	condition:
		$1
}

rule file_392_81_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_32_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_82_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 008e ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_83_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_33_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_84_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 196
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0090 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 16 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_85_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 19
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 0F B7 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_89_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_36_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_90_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_91_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_37_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_92_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 63 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 63 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_93_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 19
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 48 63 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_97_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 192
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 91 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 73 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_40_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 192
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 91 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 73 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_98_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 192
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 91 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 73 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_99_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_41_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_100_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 194
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 44 8B 41 F8 4C 89 02 E9 93 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 75 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 39 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_101_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 18
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 8B 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_105_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_44_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_106_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_49_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_118_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_56_2 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_130_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 03 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_107_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_45_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_108_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_53_4 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_126_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_57_2 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_132_3 {
	meta:
		name = "??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 03 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_109_0 {
	meta:
		name = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z"
		size = 19
		altNames = "??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEADPEAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 48 8B 48 F8 B0 01 48 89 0A C3 }
	condition:
		$1
}

rule file_392_137_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 193
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_60_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 193
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_138_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 193
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 90 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_139_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 195
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 78 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 195
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 78 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_140_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 195
		refs = "0032 _errno 003d _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 13 48 83 41 20 08 48 8B 49 20 F2 0F 10 41 F8 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 78 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3C 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 F2 0F 10 00 B0 01 F2 0F 11 02 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_141_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
		size = 21
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 F2 0F 10 40 F8 B0 01 F2 0F 11 02 C3 }
	condition:
		$1
}

rule file_392_145_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 02 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 02 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_146_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 02 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_68_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 02 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_154_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 193
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008d ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 02 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_147_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 02 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 02 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_148_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 02 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_69_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 02 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_156_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z"
		size = 195
		refs = "0034 _errno 003f _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 15 48 83 41 20 08 48 8B 49 20 4C 8B 41 F8 4C 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 02 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 48 8B 08 48 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_161_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 195
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 195
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_162_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 195
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 008f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 92 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 74 83 B9 78 04 00 00 01 75 57 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_163_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 197
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0091 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 197
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0091 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_164_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 197
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 0091 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 01 4C 8B D1 75 17 48 83 41 20 08 48 8B 49 20 44 0F B7 41 F8 66 44 89 02 E9 94 00 00 00 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 76 83 B9 78 04 00 00 01 75 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 3A 44 89 44 24 20 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 48 8D 0C 40 49 8B 84 CA 90 04 00 00 0F B7 08 66 89 0A B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_165_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
		size = 19
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 0F B7 48 F8 B0 01 66 89 0A C3 }
	condition:
		$1
}

rule file_392_183_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 16
		altNames = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { B8 DF FF 00 00 66 83 E9 43 66 85 C8 0F 94 C0 C3 }
	condition:
		$1
}

rule file_392_185_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 37
		altNames = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z ??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 8D 41 A8 3C 20 77 10 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 72 08 80 F9 2A 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_392_187_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 40
		altNames = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 8D 41 A8 66 83 F8 20 77 10 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 72 09 66 83 F9 2A 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_392_195_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 16
		altNames = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { B8 DF FF 00 00 66 83 E9 53 66 85 C8 0F 94 C0 C3 }
	condition:
		$1
}

rule file_392_197_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 47
	strings:
		$1 = { 41 8B C8 83 E9 02 74 24 83 E9 01 74 1C 83 F9 09 74 17 41 83 F8 0D 74 14 80 EA 63 F6 C2 EF 0F 94 C1 33 C0 84 C9 0F 94 C0 C3 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_392_198_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 68
	strings:
		$1 = { 45 8B C8 4C 8B D1 41 83 E9 02 74 35 41 83 E9 01 74 2C 41 83 F9 09 74 26 41 83 F8 0D 74 20 41 C0 EA 02 66 83 EA 63 41 80 E2 01 B8 EF FF 00 00 66 85 D0 0F 94 C1 33 C0 44 3A D1 0F 94 C0 C3 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_392_242_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QEAAPEADXZ"
		size = 34
	strings:
		$1 = { 48 8B 91 08 04 00 00 48 85 D2 75 08 48 8D 81 00 02 00 00 C3 48 8B 81 00 04 00 00 48 D1 E8 48 03 C2 C3 }
	condition:
		$1
}

rule file_392_247_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 155
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 8D 41 58 4C 8B D1 48 8B 88 08 04 00 00 41 8B D8 48 85 C9 44 8B DA 48 0F 44 C8 48 83 B8 08 04 00 00 00 75 07 B8 00 02 00 00 EB 0A 48 8B 80 00 04 00 00 48 D1 E8 4C 8D 41 FF 4C 03 C0 4D 89 42 48 41 8B 42 38 85 C0 7F 05 45 85 DB 74 36 FF C8 33 D2 41 89 42 38 41 8B C3 F7 F3 80 C2 30 44 8B D8 80 FA 39 7E 12 41 8A C1 F6 D8 1A C9 80 E1 E0 80 C1 61 80 E9 3A 02 D1 49 8B 42 48 88 10 49 FF 4A 48 EB BD 45 2B 42 48 48 8B 5C 24 08 45 89 42 50 49 FF 42 48 C3 }
	condition:
		$1
}

rule file_392_253_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
		size = 171
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 8D 41 58 4C 8B D1 48 8B 88 08 04 00 00 41 8B D8 48 85 C9 44 8B DA 48 0F 44 C8 48 83 B8 08 04 00 00 00 75 07 B8 00 01 00 00 EB 0B 48 8B 80 00 04 00 00 48 C1 E8 02 4C 8D 41 FE 4D 8D 04 40 4D 89 42 48 41 8B 42 38 85 C0 7F 05 45 85 DB 74 40 FF C8 33 D2 41 89 42 38 41 8B C3 F7 F3 66 83 C2 30 44 8B D8 66 83 FA 39 76 15 41 8A C1 F6 D8 1A C9 80 E1 E0 80 C1 61 80 E9 3A 02 CA 0F BE D1 49 8B 42 48 0F BE CA 66 89 08 49 83 42 48 FE EB B3 4D 2B 42 48 48 8B 5C 24 08 49 D1 F8 45 89 42 50 49 83 42 48 02 C3 }
	condition:
		$1
}

rule file_392_259_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 156
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 8D 41 58 41 8B D8 4C 8B D1 4C 8B DA 48 8B 88 08 04 00 00 48 85 C9 48 0F 44 C8 48 83 B8 08 04 00 00 00 75 07 B8 00 02 00 00 EB 0A 48 8B 80 00 04 00 00 48 D1 E8 4C 8D 41 FF 4C 03 C0 4D 89 42 48 41 8B 42 38 85 C0 7F 05 4D 85 DB 74 37 FF C8 33 D2 41 89 42 38 49 8B C3 48 F7 F3 80 C2 30 4C 8B D8 80 FA 39 7E 12 41 8A C1 F6 D8 1A C9 80 E1 E0 80 C1 61 80 E9 3A 02 D1 49 8B 42 48 88 10 49 FF 4A 48 EB BC 45 2B 42 48 48 8B 5C 24 08 45 89 42 50 49 FF 42 48 C3 }
	condition:
		$1
}

rule file_392_265_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
		size = 172
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 8D 41 58 41 8B D8 4C 8B D1 4C 8B DA 48 8B 88 08 04 00 00 48 85 C9 48 0F 44 C8 48 83 B8 08 04 00 00 00 75 07 B8 00 01 00 00 EB 0B 48 8B 80 00 04 00 00 48 C1 E8 02 4C 8D 41 FE 4D 8D 04 40 4D 89 42 48 41 8B 42 38 85 C0 7F 05 4D 85 DB 74 41 FF C8 33 D2 41 89 42 38 49 8B C3 48 F7 F3 66 83 C2 30 4C 8B D8 66 83 FA 39 76 15 41 8A C1 F6 D8 1A C9 80 E1 E0 80 C1 61 80 E9 3A 02 CA 0F BE D1 49 8B 42 48 0F BE CA 66 89 08 49 83 42 48 FE EB B2 4D 2B 42 48 48 8B 5C 24 08 49 D1 F8 45 89 42 50 49 83 42 48 02 C3 }
	condition:
		$1
}

rule file_392_271_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z"
		size = 132
		refs = "004c _fputc_nolock"
	strings:
		$1 = { 45 85 C0 7E 7E 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B D9 41 8B E8 44 8A F2 48 8B F1 33 FF 48 8B 06 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 11 48 8B 16 41 0F BE CE E8 ?? ?? ?? ?? 83 F8 FF 74 11 FF 03 8B 03 83 F8 FF 74 0B FF C7 3B FD 7D 05 EB C6 83 0B FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_272_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z"
		size = 142
		refs = "0051 _fputwc_nolock"
	strings:
		$1 = { 45 85 C0 0F 8E 84 00 00 00 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B D9 44 0F BE F2 41 8B E8 48 8B F1 33 FF 48 8B 06 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 16 48 8B 16 41 0F B7 CE E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 11 FF 03 8B 03 83 F8 FF 74 0B FF C7 3B FD 7D 05 EB C1 83 0B FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_273_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z"
		size = 91
	strings:
		$1 = { 48 89 5C 24 08 45 33 DB 48 8B D9 45 85 C0 7E 45 4C 8B 13 49 8B 42 08 49 39 42 10 75 12 41 80 7A 18 00 74 05 41 FF 01 EB 1E 41 83 09 FF EB 18 41 FF 01 48 8B 03 48 FF 40 10 48 8B 03 48 8B 08 88 11 48 8B 03 48 FF 00 41 83 39 FF 74 08 41 FF C3 45 3B D8 7C BB 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_392_274_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z"
		size = 110
	strings:
		$1 = { 45 85 C0 7E 68 48 89 5C 24 08 48 89 7C 24 10 40 8A FA 48 8B D9 45 33 DB 4C 8B 13 49 8B 42 08 49 39 42 10 75 12 41 80 7A 18 00 74 05 41 FF 01 EB 24 41 83 09 FF EB 1E 41 FF 01 48 8B 03 40 0F BE D7 48 FF 40 10 48 8B 03 48 8B 08 66 89 11 48 8B 03 48 83 00 02 41 83 39 FF 74 08 41 FF C3 45 3B D8 7C B5 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_392_294_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IEAA@XZ"
		size = 60
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 89 41 18 48 89 41 20 48 89 41 28 48 89 41 30 89 41 38 66 89 41 40 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_392_295_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IEAA@XZ"
		size = 63
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 89 41 18 48 89 41 20 48 89 41 28 48 89 41 30 89 41 38 88 41 40 66 89 41 42 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_392_296_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 95
		altNames = "??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 89 41 18 48 89 41 20 48 89 41 28 48 89 41 30 89 41 38 66 89 41 40 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 C3 }
	condition:
		$1
}

rule file_392_298_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 98
		altNames = "??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 89 41 18 48 89 41 20 48 89 41 28 48 89 41 30 89 41 38 88 41 40 66 89 41 42 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 C3 }
	condition:
		$1
}

rule file_392_300_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 107
		altNames = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 45 33 D2 4C 89 11 4C 89 51 08 4C 89 51 10 4C 89 51 18 4C 89 51 20 4C 89 51 28 4C 89 51 30 44 89 51 38 66 44 89 51 40 44 89 51 50 44 88 51 54 4C 89 91 58 04 00 00 4C 89 91 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 44 89 91 70 04 00 00 C3 }
	condition:
		$1
}

rule file_392_301_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 136
		altNames = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 45 33 D2 4C 89 11 4C 89 51 08 4C 89 51 10 4C 89 51 18 4C 89 51 20 4C 89 51 28 4C 89 51 30 44 89 51 38 66 44 89 51 40 44 89 51 50 44 88 51 54 4C 89 91 58 04 00 00 4C 89 91 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 4C 89 01 4C 89 49 18 44 89 91 70 04 00 00 4C 89 91 78 04 00 00 4C 89 89 80 04 00 00 C3 }
	condition:
		$1
}

rule file_392_306_0 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 111
		altNames = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 45 33 D2 4C 89 11 4C 89 51 08 4C 89 51 10 4C 89 51 18 4C 89 51 20 4C 89 51 28 4C 89 51 30 44 89 51 38 44 88 51 40 66 44 89 51 42 44 89 51 50 44 88 51 54 4C 89 91 58 04 00 00 4C 89 91 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 44 89 91 70 04 00 00 C3 }
	condition:
		$1
}

rule file_392_307_0 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$stream_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 140
		altNames = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$string_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 45 33 D2 4C 89 11 4C 89 51 08 4C 89 51 10 4C 89 51 18 4C 89 51 20 4C 89 51 28 4C 89 51 30 44 89 51 38 44 88 51 40 66 44 89 51 42 44 89 51 50 44 88 51 54 4C 89 91 58 04 00 00 4C 89 91 60 04 00 00 48 8B 02 48 89 81 68 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 4C 89 01 4C 89 49 18 44 89 91 70 04 00 00 4C 89 91 78 04 00 00 4C 89 89 80 04 00 00 C3 }
	condition:
		$1
}

rule file_392_321_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 48 83 A1 00 04 00 00 00 48 8B C1 48 83 A1 08 04 00 00 00 C3 }
	condition:
		$1
}

rule file_392_323_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QEAA@XZ"
		size = 35
		refs = "0011 _free_base"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 60 04 00 00 E8 ?? ?? ?? ?? 48 83 A3 60 04 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_355_0 {
	meta:
		name = "??1__crt_errno_guard@@QEAA@XZ"
		size = 18
	strings:
		$1 = { 48 8B 11 83 3A 00 75 09 8B 41 08 85 C0 74 02 89 02 C3 }
	condition:
		$1
}

rule file_392_356_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QEAA@XZ"
		size = 35
		refs = "0011 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 08 04 00 00 E8 ?? ?? ?? ?? 48 83 A3 08 04 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_392_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 78
		altNames = "?advance_to_next_pass@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 81 78 04 00 00 48 8B C1 8B 89 78 04 00 00 83 F9 03 75 03 32 C0 C3 83 F9 02 75 09 83 B8 7C 04 00 00 01 74 EF 83 C9 FF 33 D2 89 88 E8 0D 00 00 89 88 EC 0D 00 00 48 8B 88 80 04 00 00 48 89 48 18 89 90 7C 04 00 00 48 89 50 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_396_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 17
		altNames = "?advance_to_next_pass@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 95 C0 C3 }
	condition:
		$1
}

rule file_392_400_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 92
	strings:
		$1 = { 48 8B 02 48 8B 90 F8 00 00 00 48 8B 02 44 8A 00 EB 08 41 3A C0 74 09 48 FF C1 8A 01 84 C0 75 F2 8A 01 48 FF C1 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C1 8A 01 84 C0 75 F1 48 8B D1 48 FF C9 80 39 30 74 F8 44 38 01 75 03 48 FF C9 8A 02 48 FF C1 48 FF C2 88 01 84 C0 75 F2 C3 }
	condition:
		$1
}

rule file_392_401_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 50
		refs = "0006 format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z ?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
	strings:
		$1 = { 8D 42 E0 4C 8D 0D ?? ?? ?? ?? 3C 5A 77 13 0F BE C2 83 E8 20 48 63 C8 42 0F B6 14 09 83 E2 0F EB 02 33 D2 41 8D 04 D0 03 D0 42 0F B6 04 0A C1 E8 04 C3 }
	condition:
		$1
}

rule file_392_403_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
		size = 48
		refs = "0006 standard_lookup_table"
		altNames = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@DW432@@Z"
	strings:
		$1 = { 8D 42 E0 4C 8D 0D ?? ?? ?? ?? 3C 5A 77 13 0F BE C2 83 E8 20 48 63 C8 42 0F B6 04 09 83 E0 0F EB 02 33 C0 41 8D 04 C0 42 0F B6 04 08 C1 E8 04 C3 }
	condition:
		$1
}

rule file_392_407_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 59
		refs = "0006 format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z ?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 0F B7 C2 4C 8D 0D ?? ?? ?? ?? B9 20 00 00 00 66 2B C1 66 83 F8 5A 77 12 0F B7 C2 2B C1 48 63 C8 42 0F B6 14 09 83 E2 0F EB 02 33 D2 41 8D 04 D0 03 D0 42 0F B6 04 0A C1 E8 04 C3 }
	condition:
		$1
}

rule file_392_409_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
		size = 57
		refs = "0006 standard_lookup_table"
		altNames = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 0F B7 C2 4C 8D 0D ?? ?? ?? ?? B9 20 00 00 00 66 2B C1 66 83 F8 5A 77 12 0F B7 C2 2B C1 48 63 C8 42 0F B6 04 09 83 E0 0F EB 02 33 C0 41 8D 04 C0 42 0F B6 04 08 C1 E8 04 C3 }
	condition:
		$1
}

rule file_392_413_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		size = 109
		refs = "0014 tolower 0024 isdigit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B FA 0F BE 09 E8 ?? ?? ?? ?? 83 F8 65 74 0F 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 0F BE 0B E8 ?? ?? ?? ?? 83 F8 78 75 04 48 83 C3 02 48 8B 07 8A 13 48 8B 88 F8 00 00 00 48 8B 01 8A 08 88 0B 48 FF C3 8A 03 88 13 8A D0 8A 03 48 FF C3 84 C0 75 F1 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_415_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QEAAAEAHXZ"
		size = 32
		refs = "0010 _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 00 48 8B D9 75 08 E8 ?? ?? ?? ?? 48 89 03 48 8B 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_461_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 493
		refs = "01ba ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		altNames = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 41 56 48 83 EC 20 80 7A 04 70 48 8B F2 45 8B D8 4C 8B F1 0F 94 C2 41 80 F9 70 0F 94 C0 45 33 D2 84 D2 0F 85 A5 01 00 00 84 C0 0F 85 9D 01 00 00 8A 46 04 B3 DF 2C 53 84 C3 41 8D 41 AD 41 0F 94 C0 84 C3 8A 46 04 0F 94 C2 2C 43 84 C3 41 8D 41 BD 0F 94 C1 84 C3 0F 94 C0 45 84 C0 0F 85 39 01 00 00 84 D2 0F 85 5F 01 00 00 84 C9 0F 85 2E 01 00 00 84 C0 0F 85 4F 01 00 00 8A 46 04 41 8D 5A 01 2C 58 48 BA 01 10 82 20 01 00 00 00 3C 20 77 0A 48 0F BE C0 48 0F A3 C2 72 09 80 7E 04 2A 41 8A CA 75 02 8A CB 41 8D 41 A8 3C 20 77 0A 48 0F BE C0 48 0F A3 C2 72 09 41 8A C2 41 80 F9 2A 75 02 8A C3 84 C9 75 10 84 C0 0F 85 FA 00 00 00 44 39 1E E9 F8 00 00 00 3A C8 0F 85 EA 00 00 00 44 8B 46 10 41 8B CA 8B 54 24 50 41 83 F8 09 41 8B C2 0F 94 C1 83 FA 09 0F 94 C0 3B C8 0F 85 C7 00 00 00 B9 08 00 00 00 44 8D 59 FA 44 8D 49 FC 41 83 F8 05 7F 4D 74 19 45 85 C0 74 37 44 2B C3 74 3C 44 2B C3 74 32 44 2B C3 74 28 44 3B C3 75 44 4C 8B C1 83 FA 05 7F 4B 74 5C 85 D2 74 55 2B D3 74 3C 2B D3 74 33 2B D3 74 49 3B D3 74 48 49 8B CA EB 43 4D 8B C1 EB DB 4D 8B C3 EB D6 4C 8B C3 EB D1 41 83 E8 06 74 C8 44 2B C3 74 C3 45 2B C3 74 BE EB B2 4D 8B C2 EB BA 49 8B CB EB 18 48 8B CB EB 13 83 EA 06 74 0E 2B D3 74 0A 41 2B D3 74 05 EB B3 49 8B C9 4C 3B C1 EB 34 44 3A C2 75 29 3A C8 75 25 44 8B 44 24 50 41 8A D1 49 8B 0E E8 ?? ?? ?? ?? 44 8B 46 10 8A D8 8A 56 04 49 8B 0E E8 ?? ?? ?? ?? 3A C3 EB 06 32 C0 EB 05 3A D0 0F 94 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_463_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 517
		refs = "01d1 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		altNames = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 41 56 48 83 EC 20 66 83 7A 04 70 48 8B F2 45 8B D8 4C 8B F1 0F 94 C2 66 41 83 F9 70 0F 94 C0 45 33 D2 84 D2 0F 85 BB 01 00 00 84 C0 0F 85 B3 01 00 00 0F B7 46 04 BB DF FF 00 00 66 83 E8 53 66 85 C3 41 8D 41 AD 41 0F 94 C0 66 85 C3 0F B7 46 04 0F 94 C2 66 83 E8 43 66 85 C3 41 8D 41 BD 0F 94 C1 66 85 C3 0F 94 C0 45 84 C0 0F 85 40 01 00 00 84 D2 0F 85 68 01 00 00 84 C9 0F 85 35 01 00 00 84 C0 0F 85 58 01 00 00 0F B7 46 04 41 8D 5A 01 66 83 E8 58 48 BA 01 10 82 20 01 00 00 00 66 83 F8 20 77 09 0F B7 C0 48 0F A3 C2 72 0A 66 83 7E 04 2A 41 8A CA 75 02 8A CB 41 8D 41 A8 66 83 F8 20 77 09 0F B7 C0 48 0F A3 C2 72 0A 41 8A C2 66 41 83 F9 2A 75 02 8A C3 84 C9 75 10 84 C0 0F 85 FC 00 00 00 44 39 1E E9 FA 00 00 00 3A C8 0F 85 EC 00 00 00 44 8B 46 10 41 8B CA 8B 54 24 50 41 83 F8 09 41 8B C2 0F 94 C1 83 FA 09 0F 94 C0 3B C8 0F 85 C9 00 00 00 B9 08 00 00 00 44 8D 59 FA 44 8D 49 FC 41 83 F8 05 7F 4D 74 19 45 85 C0 74 37 44 2B C3 74 3C 44 2B C3 74 32 44 2B C3 74 28 44 3B C3 75 44 4C 8B C1 83 FA 05 7F 4B 74 5C 85 D2 74 55 2B D3 74 3C 2B D3 74 33 2B D3 74 49 3B D3 74 48 49 8B CA EB 43 4D 8B C1 EB DB 4D 8B C3 EB D6 4C 8B C3 EB D1 41 83 E8 06 74 C8 44 2B C3 74 C3 45 2B C3 74 BE EB B2 4D 8B C2 EB BA 49 8B CB EB 18 48 8B CB EB 13 83 EA 06 74 0E 2B D3 74 0A 41 2B D3 74 05 EB B3 49 8B C9 4C 3B C1 EB 36 44 3A C2 75 2B 3A C8 75 27 44 8B 44 24 50 41 0F B7 D1 49 8B 0E E8 ?? ?? ?? ?? 44 8B 46 10 8A D8 0F B7 56 04 49 8B 0E E8 ?? ?? ?? ?? 3A C3 EB 06 32 C0 EB 05 3A D0 0F 94 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_479_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 162
		refs = "0020 _errno 004d strtol"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 83 79 10 00 4C 8B F2 48 8B D9 75 09 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 7B 10 48 8D 54 24 40 BE 01 00 00 00 8B 2F 83 27 00 44 8D 46 09 48 8B 4B 18 48 83 64 24 40 00 48 2B CE E8 ?? ?? ?? ?? 41 89 06 48 83 7B 10 00 75 09 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 43 10 83 38 22 74 11 48 8B 44 24 40 48 3B 43 18 72 06 48 89 43 18 EB 03 40 32 F6 83 3F 00 75 06 85 ED 74 02 89 2F 48 8B 5C 24 48 40 8A C6 48 8B 6C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_392_485_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
		size = 164
		refs = "0023 _errno 004e wcstol"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 20 48 83 79 10 00 4C 8B F2 48 8B D9 75 09 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 7B 10 48 8D 54 24 30 41 B8 0A 00 00 00 8B 37 83 27 00 48 8B 4B 18 48 83 64 24 30 00 48 83 E9 02 E8 ?? ?? ?? ?? 41 89 06 48 83 7B 10 00 75 09 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 43 10 83 38 22 74 13 48 8B 44 24 30 48 3B 43 18 72 08 48 89 43 18 B0 01 EB 02 32 C0 83 3F 00 75 06 85 F6 74 02 89 37 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_491_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 549
		refs = "001f _errno 002a _invalid_parameter_noinfo 0031 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0061 format_validation_lookup_table 00f8 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01c2 ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 8B D9 48 8B 89 68 04 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 09 E8 ?? ?? ?? ?? 84 C0 75 08 83 C8 FF E9 C0 01 00 00 48 83 7B 18 00 74 D6 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 84 A3 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 83 63 50 00 83 63 2C 00 E9 58 01 00 00 48 FF 43 18 83 7B 28 00 0F 8C 5F 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 14 29 83 E2 0F EB 02 33 D2 41 8D 04 D0 03 D0 8B C2 0F B6 0C 2A C1 E9 04 89 4B 2C 83 F9 08 0F 84 54 01 00 00 85 C9 0F 84 F9 00 00 00 83 E9 01 0F 84 D7 00 00 00 83 E9 01 0F 84 99 00 00 00 83 E9 01 74 68 83 E9 01 74 5A 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 2D 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 C5 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 B8 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 A1 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 EB 31 83 63 38 00 E9 86 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C8 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 09 83 4B 30 04 F7 D9 89 4B 34 B0 01 EB 56 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 43 83 4B 30 08 EB 3D 83 4B 30 04 EB 37 83 4B 30 01 EB 31 83 4B 30 20 EB 2B 83 4B 30 02 EB 25 83 63 34 00 83 63 30 00 83 63 3C 00 C6 43 40 00 89 7B 38 C6 43 54 00 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 57 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 97 FE FF FF 48 FF 43 18 83 7B 2C 00 74 06 83 7B 2C 07 75 26 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 67 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB DC }
	condition:
		$1
}

rule file_392_492_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 675
		refs = "002a _errno 0035 _invalid_parameter_noinfo 003c ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0058 format_validation_lookup_table 0105 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0158 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0165 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 017b ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0185 ?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01c5 ?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0245 ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0266 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 33 ED 48 8B 89 68 04 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 09 E8 ?? ?? ?? ?? 84 C0 75 08 83 C8 FF E9 3E 02 00 00 48 39 6B 18 74 D7 83 CF FF 4C 8D 3D ?? ?? ?? ?? FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 16 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 04 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 8A 00 88 43 41 84 C0 0F 84 9E 01 00 00 48 FF 43 18 39 6B 28 0F 8C 95 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 14 0F BE 43 41 83 E8 20 48 63 C8 42 0F B6 14 39 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 3A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 72 01 00 00 8B 43 2C 83 F8 08 0F 84 56 01 00 00 85 C0 0F 84 1C 01 00 00 83 E8 01 0F 84 FE 00 00 00 83 E8 01 0F 84 C0 00 00 00 83 E8 01 74 7A 83 E8 01 74 6E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 2F 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E8 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 DB 00 00 00 80 7B 41 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 C5 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F2 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 A6 00 00 00 39 2E 7D 48 89 3E EB 44 89 2E E9 97 00 00 00 80 7B 41 2A 48 8B CB 74 05 49 8B D6 EB B6 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 6A 41 8B 06 85 C0 79 09 83 4B 30 04 F7 D8 41 89 06 B0 01 EB 52 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 3F 83 4B 30 08 EB 39 83 4B 30 04 EB 33 83 4B 30 01 EB 2D 83 4B 30 20 EB 27 83 4B 30 02 EB 21 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 36 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 62 FE FF FF 48 FF 43 18 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 E9 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_493_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 531
		refs = "001f _errno 002a _invalid_parameter_noinfo 0031 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0061 standard_lookup_table 00f2 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00ff ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0116 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01bc ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 8B D9 48 8B 89 68 04 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 09 E8 ?? ?? ?? ?? 84 C0 75 08 83 C8 FF E9 AE 01 00 00 48 83 7B 18 00 74 D6 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 84 91 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 83 63 50 00 83 63 2C 00 E9 52 01 00 00 48 FF 43 18 83 7B 28 00 0F 8C 59 01 00 00 8A 43 41 8B 53 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 04 29 83 E0 0F EB 02 33 C0 8D 04 C2 0F B6 04 28 C1 E8 04 89 43 2C 83 F8 08 0F 84 48 01 00 00 85 C0 0F 84 F9 00 00 00 83 E8 01 0F 84 D7 00 00 00 83 E8 01 0F 84 99 00 00 00 83 E8 01 74 68 83 E8 01 74 5A 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 21 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 C5 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 B8 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 A1 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 EB 31 83 63 38 00 E9 86 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C8 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 09 83 4B 30 04 F7 D9 89 4B 34 B0 01 EB 56 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 43 83 4B 30 08 EB 3D 83 4B 30 04 EB 37 83 4B 30 01 EB 31 83 4B 30 20 EB 2B 83 4B 30 02 EB 25 83 63 34 00 83 63 30 00 83 63 3C 00 C6 43 40 00 89 7B 38 C6 43 54 00 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 4B 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 9D FE FF FF 48 FF 43 18 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 79 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB DC }
	condition:
		$1
}

rule file_392_494_0 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 536
		refs = "0023 _errno 002e _invalid_parameter_noinfo 0059 format_validation_lookup_table 00ed ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00fa ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0111 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01b1 ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B5 01 00 00 48 39 71 18 74 E2 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 99 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 89 73 50 89 73 2C E9 51 01 00 00 48 FF 43 18 39 73 28 0F 8C 59 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 14 29 83 E2 0F EB 02 8B D6 41 8D 04 D0 03 D0 8B C2 0F B6 0C 2A C1 E9 04 89 4B 2C 83 F9 08 0F 84 52 01 00 00 85 C9 0F 84 F3 00 00 00 83 E9 01 0F 84 D6 00 00 00 83 E9 01 0F 84 98 00 00 00 83 E9 01 74 67 83 E9 01 74 5A 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 2B 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 BF 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 B2 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 9B 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 EB 30 89 73 38 E9 81 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C9 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 09 83 4B 30 04 F7 D9 89 4B 34 B0 01 EB 51 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 3E 83 4B 30 08 EB 38 83 4B 30 04 EB 32 83 4B 30 01 EB 2C 83 4B 30 20 EB 26 83 4B 30 02 EB 20 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 5B 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 9E FE FF FF 48 FF 43 18 39 73 2C 74 06 83 7B 2C 07 75 2B FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 71 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D7 }
	condition:
		$1
}

rule file_392_495_0 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 661
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 004a format_validation_lookup_table 00f7 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 014a ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0157 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 016d ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0177 ?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01b7 ?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0237 ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0258 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 ED 48 8B D9 48 39 A9 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 3E 02 00 00 48 39 69 18 74 E2 83 CF FF 4C 8D 3D ?? ?? ?? ?? FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 16 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 04 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 8A 00 88 43 41 84 C0 0F 84 9E 01 00 00 48 FF 43 18 39 6B 28 0F 8C 95 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 14 0F BE 43 41 83 E8 20 48 63 C8 42 0F B6 14 39 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 3A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 72 01 00 00 8B 43 2C 83 F8 08 0F 84 56 01 00 00 85 C0 0F 84 1C 01 00 00 83 E8 01 0F 84 FE 00 00 00 83 E8 01 0F 84 C0 00 00 00 83 E8 01 74 7A 83 E8 01 74 6E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 2F 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E8 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 DB 00 00 00 80 7B 41 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 C5 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F2 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 A6 00 00 00 39 2E 7D 48 89 3E EB 44 89 2E E9 97 00 00 00 80 7B 41 2A 48 8B CB 74 05 49 8B D6 EB B6 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 6A 41 8B 06 85 C0 79 09 83 4B 30 04 F7 D8 41 89 06 B0 01 EB 52 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 3F 83 4B 30 08 EB 39 83 4B 30 04 EB 33 83 4B 30 01 EB 2D 83 4B 30 20 EB 27 83 4B 30 02 EB 21 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 36 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 62 FE FF FF 48 FF 43 18 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 E9 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_496_0 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 518
		refs = "001d _errno 0028 _invalid_parameter_noinfo 0054 standard_lookup_table 00e5 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01af ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 B9 68 04 00 00 00 48 8B D9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 AE 01 00 00 48 83 79 18 00 74 E1 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 91 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 83 63 50 00 83 63 2C 00 E9 52 01 00 00 48 FF 43 18 83 7B 28 00 0F 8C 59 01 00 00 8A 43 41 8B 53 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 04 29 83 E0 0F EB 02 33 C0 8D 04 C2 0F B6 04 28 C1 E8 04 89 43 2C 83 F8 08 0F 84 48 01 00 00 85 C0 0F 84 F9 00 00 00 83 E8 01 0F 84 D7 00 00 00 83 E8 01 0F 84 99 00 00 00 83 E8 01 74 68 83 E8 01 74 5A 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 21 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 C5 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 B8 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 A1 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 EB 31 83 63 38 00 E9 86 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C8 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 09 83 4B 30 04 F7 D9 89 4B 34 B0 01 EB 56 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 43 83 4B 30 08 EB 3D 83 4B 30 04 EB 37 83 4B 30 01 EB 31 83 4B 30 20 EB 2B 83 4B 30 02 EB 25 83 63 34 00 83 63 30 00 83 63 3C 00 C6 43 40 00 89 7B 38 C6 43 54 00 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 4B 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 9D FE FF FF 48 FF 43 18 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 79 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB DC }
	condition:
		$1
}

rule file_392_497_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 649
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 005e format_validation_lookup_table 00fc ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0121 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0204 _fputwc_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 1B 02 00 00 48 39 71 18 74 E2 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 FF 01 00 00 83 CF FF 4C 8D 3D ?? ?? ?? ?? 44 8D 77 21 89 73 50 89 73 2C E9 AF 01 00 00 48 83 43 18 02 39 73 28 0F 8C BA 01 00 00 0F B7 43 42 44 8B 43 2C 66 41 2B C6 66 83 F8 5A 77 14 0F B7 43 42 41 2B C6 48 63 C8 42 0F B6 14 39 83 E2 0F EB 02 8B D6 41 8D 04 D0 03 D0 42 0F B6 0C 3A C1 E9 04 89 4B 2C 83 F9 08 0F 84 B4 01 00 00 85 C9 0F 84 07 01 00 00 83 E9 01 0F 84 EA 00 00 00 83 E9 01 0F 84 A2 00 00 00 83 E9 01 74 6B 83 E9 01 74 5E 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 8D 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 17 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 0A 01 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 F2 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 D7 00 00 00 89 73 38 E9 D5 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 0F 89 AB 00 00 00 83 4B 30 04 F7 D9 89 4B 34 E9 9D 00 00 00 0F B7 43 42 41 3B C6 74 30 83 F8 23 74 25 83 F8 2B 74 1A 83 F8 2D 74 0F 83 F8 30 0F 85 82 00 00 00 83 4B 30 08 EB 7C 83 4B 30 04 EB 76 83 4B 30 01 EB 70 44 09 73 30 EB 6A 83 4B 30 02 EB 64 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 50 44 0F B7 43 42 C6 43 54 01 48 8B 83 68 04 00 00 8B 48 14 C1 E9 0C F6 C1 01 74 0D 48 8B 83 68 04 00 00 48 39 70 08 74 1F 48 8B 93 68 04 00 00 41 0F B7 C8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 65 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 3D FE FF FF 48 83 43 18 02 39 73 2C 74 06 83 7B 2C 07 75 31 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 0F FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_392_498_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 697
		refs = "002c _errno 0037 _invalid_parameter_noinfo 004f format_validation_lookup_table 0109 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 015c ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0169 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 018a ?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01cb ?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0251 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0276 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 ED 48 8B D9 48 39 A9 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 57 02 00 00 48 39 69 18 74 E2 83 CF FF 4C 8D 2D ?? ?? ?? ?? 44 8D 67 21 FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 2B 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 19 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 0F B7 00 66 89 43 42 66 85 C0 0F 84 AF 01 00 00 48 83 43 18 02 39 6B 28 0F 8C A6 01 00 00 0F B7 43 42 44 8B 43 2C 66 41 2B C4 66 83 F8 5A 77 14 0F B7 43 42 41 2B C4 48 63 C8 42 0F B6 14 29 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 2A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 7E 01 00 00 8B 43 2C 83 F8 08 0F 84 62 01 00 00 85 C0 0F 84 24 01 00 00 83 E8 01 0F 84 06 01 00 00 83 E8 01 0F 84 C2 00 00 00 83 E8 01 74 7B 83 E8 01 74 6F 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 3B 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 F0 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E3 00 00 00 66 83 7B 42 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 FD 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 AD 00 00 00 39 2E 7D 49 89 3E EB 45 89 2E E9 9E 00 00 00 66 83 7B 42 2A 48 8B CB 74 05 49 8B D6 EB B5 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 70 41 8B 06 85 C0 79 09 83 4B 30 04 F7 D8 41 89 06 B0 01 EB 58 0F B7 43 42 41 3B C4 74 2C 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 3F 83 4B 30 08 EB 39 83 4B 30 04 EB 33 83 4B 30 01 EB 2D 44 09 63 30 EB 27 83 4B 30 02 EB 21 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 3A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 51 FE FF FF 48 83 43 18 02 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 D4 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_392_501_0 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 697
		refs = "002c _errno 0037 _invalid_parameter_noinfo 004f format_validation_lookup_table 0109 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 015c ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0169 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0180 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 018a ?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01cb ?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0251 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0276 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 ED 48 8B D9 48 39 A9 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 57 02 00 00 48 39 69 18 74 E2 83 CF FF 4C 8D 2D ?? ?? ?? ?? 44 8D 67 21 FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 2B 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 19 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 0F B7 00 66 89 43 42 66 85 C0 0F 84 AF 01 00 00 48 83 43 18 02 39 6B 28 0F 8C A6 01 00 00 0F B7 43 42 44 8B 43 2C 66 41 2B C4 66 83 F8 5A 77 14 0F B7 43 42 41 2B C4 48 63 C8 42 0F B6 14 29 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 2A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 7E 01 00 00 8B 43 2C 83 F8 08 0F 84 62 01 00 00 85 C0 0F 84 24 01 00 00 83 E8 01 0F 84 06 01 00 00 83 E8 01 0F 84 C2 00 00 00 83 E8 01 74 7B 83 E8 01 74 6F 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 3B 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 F0 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E3 00 00 00 66 83 7B 42 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 FD 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 AD 00 00 00 39 2E 7D 49 89 3E EB 45 89 2E E9 9E 00 00 00 66 83 7B 42 2A 48 8B CB 74 05 49 8B D6 EB B5 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 70 41 8B 06 85 C0 79 09 83 4B 30 04 F7 D8 41 89 06 B0 01 EB 58 0F B7 43 42 41 3B C4 74 2C 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 3F 83 4B 30 08 EB 39 83 4B 30 04 EB 33 83 4B 30 01 EB 2D 44 09 63 30 EB 27 83 4B 30 02 EB 21 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 3A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 51 FE FF FF 48 83 43 18 02 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 D4 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_392_499_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 634
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 005e standard_lookup_table 00f8 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011d ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0200 _fputwc_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 0C 02 00 00 48 39 71 18 74 E2 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 F0 01 00 00 83 CF FF 4C 8D 3D ?? ?? ?? ?? 44 8D 77 21 89 73 50 89 73 2C E9 AB 01 00 00 48 83 43 18 02 39 73 28 0F 8C B6 01 00 00 0F B7 43 42 8B 53 2C 66 41 2B C6 66 83 F8 5A 77 14 0F B7 43 42 41 2B C6 48 63 C8 42 0F B6 04 39 83 E0 0F EB 02 8B C6 8D 04 C2 42 0F B6 04 38 C1 E8 04 89 43 2C 83 F8 08 0F 84 A9 01 00 00 85 C0 0F 84 07 01 00 00 83 E8 01 0F 84 EA 00 00 00 83 E8 01 0F 84 A2 00 00 00 83 E8 01 74 6B 83 E8 01 74 5E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 82 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 17 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 0A 01 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 F2 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 D7 00 00 00 89 73 38 E9 D5 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 0F 89 AB 00 00 00 83 4B 30 04 F7 D9 89 4B 34 E9 9D 00 00 00 0F B7 43 42 41 3B C6 74 30 83 F8 23 74 25 83 F8 2B 74 1A 83 F8 2D 74 0F 83 F8 30 0F 85 82 00 00 00 83 4B 30 08 EB 7C 83 4B 30 04 EB 76 83 4B 30 01 EB 70 44 09 73 30 EB 6A 83 4B 30 02 EB 64 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 50 44 0F B7 43 42 C6 43 54 01 48 8B 83 68 04 00 00 8B 48 14 C1 E9 0C F6 C1 01 74 0D 48 8B 83 68 04 00 00 48 39 70 08 74 1F 48 8B 93 68 04 00 00 41 0F B7 C8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 5A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 41 FE FF FF 48 83 43 18 02 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 1E FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_392_500_0 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 652
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 005e format_validation_lookup_table 00f9 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0106 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011e ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 48 8B D9 48 39 B1 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 1E 02 00 00 48 39 71 18 74 E2 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 02 02 00 00 83 CF FF 4C 8D 35 ?? ?? ?? ?? 8D 6F 21 89 73 50 89 73 2C E9 B3 01 00 00 48 83 43 18 02 39 73 28 0F 8C BE 01 00 00 0F B7 43 42 44 8B 43 2C 66 2B C5 66 83 F8 5A 77 13 0F B7 43 42 2B C5 48 63 C8 42 0F B6 14 31 83 E2 0F EB 02 8B D6 41 8D 04 D0 03 D0 42 0F B6 0C 32 C1 E9 04 89 4B 2C 83 F9 08 0F 84 BA 01 00 00 85 C9 0F 84 08 01 00 00 83 E9 01 0F 84 EB 00 00 00 83 E9 01 0F 84 A2 00 00 00 83 E9 01 74 6B 83 E9 01 74 5E 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 93 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 1D 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 10 01 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 F8 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 DD 00 00 00 89 73 38 E9 DB 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 0F 89 B1 00 00 00 83 4B 30 04 F7 D9 89 4B 34 E9 A3 00 00 00 0F B7 43 42 3B C5 74 32 83 F8 23 74 28 83 F8 2B 74 1D 83 F8 2D 74 12 83 F8 30 0F 85 89 00 00 00 83 4B 30 08 E9 80 00 00 00 83 4B 30 04 EB 7A 83 4B 30 01 EB 74 09 6B 30 EB 6F 83 4B 30 02 EB 69 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 55 0F B7 53 42 C6 43 54 01 48 8B 8B 68 04 00 00 48 8B 41 08 48 39 41 10 75 10 40 38 71 18 74 05 FF 43 28 EB 2B 89 7B 28 EB 26 FF 43 28 48 8B 83 68 04 00 00 48 FF 40 10 48 8B 83 68 04 00 00 48 8B 08 66 89 11 48 8B 83 68 04 00 00 48 83 00 02 B0 01 84 C0 74 65 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 39 FE FF FF 48 83 43 18 02 39 73 2C 74 06 83 7B 2C 07 75 31 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 0B FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_392_502_0 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 637
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 005e standard_lookup_table 00f5 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0102 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011a ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 48 8B D9 48 39 B1 68 04 00 00 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 0F 02 00 00 48 39 71 18 74 E2 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 F3 01 00 00 83 CF FF 4C 8D 35 ?? ?? ?? ?? 8D 6F 21 89 73 50 89 73 2C E9 AF 01 00 00 48 83 43 18 02 39 73 28 0F 8C BA 01 00 00 0F B7 43 42 8B 53 2C 66 2B C5 66 83 F8 5A 77 13 0F B7 43 42 2B C5 48 63 C8 42 0F B6 04 31 83 E0 0F EB 02 8B C6 8D 04 C2 42 0F B6 04 30 C1 E8 04 89 43 2C 83 F8 08 0F 84 AF 01 00 00 85 C0 0F 84 08 01 00 00 83 E8 01 0F 84 EB 00 00 00 83 E8 01 0F 84 A2 00 00 00 83 E8 01 74 6B 83 E8 01 74 5E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 88 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 1D 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 10 01 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 F8 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 DD 00 00 00 89 73 38 E9 DB 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 0F 89 B1 00 00 00 83 4B 30 04 F7 D9 89 4B 34 E9 A3 00 00 00 0F B7 43 42 3B C5 74 32 83 F8 23 74 28 83 F8 2B 74 1D 83 F8 2D 74 12 83 F8 30 0F 85 89 00 00 00 83 4B 30 08 E9 80 00 00 00 83 4B 30 04 EB 7A 83 4B 30 01 EB 74 09 6B 30 EB 6F 83 4B 30 02 EB 69 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 55 0F B7 53 42 C6 43 54 01 48 8B 8B 68 04 00 00 48 8B 41 08 48 39 41 10 75 10 40 38 71 18 74 05 FF 43 28 EB 2B 89 7B 28 EB 26 FF 43 28 48 8B 83 68 04 00 00 48 FF 40 10 48 8B 83 68 04 00 00 48 8B 08 66 89 11 48 8B 83 68 04 00 00 48 83 00 02 B0 01 84 C0 74 5A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 3D FE FF FF 48 83 43 18 02 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 1A FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_392_517_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 24
		altNames = "?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { B8 01 00 00 00 39 81 78 04 00 00 75 0A 39 81 7C 04 00 00 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_392_525_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 40
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 8B 91 78 04 00 00 83 FA 01 75 0C 83 B9 7C 04 00 00 02 75 03 B0 01 C3 83 FA 02 75 09 83 B9 7C 04 00 00 00 74 EF 32 C0 C3 }
	condition:
		$1
}

rule file_392_533_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 25
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { 83 B9 7C 04 00 00 02 75 0D B8 01 00 00 00 39 81 78 04 00 00 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_392_553_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 54
		altNames = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 8A 41 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 1C 83 49 30 08 EB 16 83 49 30 04 EB 10 83 49 30 01 EB 0A 83 49 30 20 EB 04 83 49 30 02 B0 01 C3 }
	condition:
		$1
}

rule file_392_559_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 60
		altNames = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 0F B7 41 42 83 F8 20 74 2C 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 1C 83 49 30 08 EB 16 83 49 30 04 EB 10 83 49 30 01 EB 0A 83 49 30 20 EB 04 83 49 30 02 B0 01 C3 }
	condition:
		$1
}

rule file_392_565_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 111
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _fputc_nolock 0058 _errno 0063 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 43 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_567_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 111
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _fputc_nolock 0058 _errno 0063 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 43 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_566_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 150
		refs = "0035 ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 006b _fputc_nolock 007f _errno 008a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 89 78 04 00 00 83 F9 01 75 09 83 BB 7C 04 00 00 02 74 0E 83 F9 02 75 0D 83 BB 7C 04 00 00 00 75 04 B0 01 EB 61 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 41 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB B2 FF 43 28 EB AD E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_568_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 116
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 005d _errno 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 48 48 8B 8B 68 04 00 00 44 8A 43 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB 24 83 4B 28 FF EB 1E FF 43 28 48 FF 41 10 48 8B 8B 68 04 00 00 48 8B 11 44 88 02 48 8B 8B 68 04 00 00 48 FF 01 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_570_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 116
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 005d _errno 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 48 48 8B 8B 68 04 00 00 44 8A 43 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB 24 83 4B 28 FF EB 1E FF 43 28 48 FF 41 10 48 8B 8B 68 04 00 00 48 8B 11 44 88 02 48 8B 8B 68 04 00 00 48 FF 01 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_569_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 153
		refs = "0035 ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0082 _errno 008d _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 89 78 04 00 00 83 F9 01 75 09 83 BB 7C 04 00 00 02 74 0E 83 F9 02 75 0D 83 BB 7C 04 00 00 00 75 04 B0 01 EB 64 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 44 48 8B 8B 68 04 00 00 8A 53 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB CF 83 4B 28 FF EB C9 FF 43 28 48 FF 41 10 48 8B 83 68 04 00 00 48 8B 08 88 11 48 8B 83 68 04 00 00 48 FF 00 EB AA E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_571_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 88
		refs = "0039 _fputwc_nolock"
		altNames = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 C6 41 54 01 48 8B D9 0F B7 49 42 48 8B 83 68 04 00 00 8B 50 14 C1 EA 0C F6 C2 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 1C 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_572_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 127
		refs = "0060 _fputwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 89 78 04 00 00 83 F9 01 75 09 83 BB 7C 04 00 00 02 74 5A 83 F9 02 75 09 83 BB 7C 04 00 00 00 74 4C 44 0F B7 43 42 C6 43 54 01 48 8B 83 68 04 00 00 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 20 48 8B 93 68 04 00 00 41 0F B7 C8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_574_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 84
		altNames = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 44 0F B7 49 42 4C 8B C1 C6 41 54 01 48 8B 89 68 04 00 00 48 8B 41 08 48 39 41 10 75 13 80 79 18 00 74 06 41 FF 40 28 EB 28 41 83 48 28 FF EB 21 41 FF 40 28 48 FF 41 10 49 8B 88 68 04 00 00 48 8B 11 66 44 89 0A 49 8B 88 68 04 00 00 48 83 01 02 B0 01 C3 }
	condition:
		$1
}

rule file_392_575_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 115
	strings:
		$1 = { 48 8B D1 8B 89 78 04 00 00 83 F9 01 75 09 83 BA 7C 04 00 00 02 74 59 83 F9 02 75 09 83 BA 7C 04 00 00 00 74 4B 44 0F B7 42 42 C6 42 54 01 48 8B 8A 68 04 00 00 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 42 28 EB 26 83 4A 28 FF EB 20 FF 42 28 48 FF 41 10 48 8B 82 68 04 00 00 48 8B 08 66 44 89 01 48 8B 82 68 04 00 00 48 83 00 02 B0 01 C3 }
	condition:
		$1
}

rule file_392_577_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 91
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _fputc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 41 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_578_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 91
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _fputc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 41 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_579_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 91
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _fputc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 41 48 8B 83 68 04 00 00 8A 53 41 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_580_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 96
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 46 48 8B 8B 68 04 00 00 44 8A 43 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB 24 83 4B 28 FF EB 1E FF 43 28 48 FF 41 10 48 8B 8B 68 04 00 00 48 8B 11 44 88 02 48 8B 8B 68 04 00 00 48 FF 01 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_581_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 96
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 46 48 8B 8B 68 04 00 00 44 8A 43 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB 24 83 4B 28 FF EB 1E FF 43 28 48 FF 41 10 48 8B 8B 68 04 00 00 48 8B 11 44 88 02 48 8B 8B 68 04 00 00 48 FF 01 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_582_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 96
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 46 48 8B 8B 68 04 00 00 44 8A 43 41 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 43 28 EB 24 83 4B 28 FF EB 1E FF 43 28 48 FF 41 10 48 8B 8B 68 04 00 00 48 8B 11 44 88 02 48 8B 8B 68 04 00 00 48 FF 01 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_589_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 146
		refs = "0051 _fputc_nolock 0077 _errno 0082 _invalid_parameter_noinfo"
		altNames = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 08 48 8B D9 0F B6 51 41 C6 41 54 00 B9 00 80 00 00 48 8B 00 48 8B 00 66 85 0C 50 74 64 48 8B 83 68 04 00 00 8B 48 14 C1 E9 0C F6 C1 01 74 0E 48 8B 83 68 04 00 00 48 83 78 08 00 74 19 0F BE CA 48 8B 93 68 04 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 48 8B 43 18 8A 08 48 FF C0 88 4B 41 48 89 43 18 84 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_592_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 149
		refs = "007b _errno 0086 _invalid_parameter_noinfo"
		altNames = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 08 48 8B D1 44 0F B6 41 41 C6 41 54 00 B9 00 80 00 00 48 8B 00 48 8B 00 66 42 85 0C 40 74 68 48 8B 8A 68 04 00 00 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 FF 42 28 EB 24 83 4A 28 FF EB 1E FF 42 28 48 FF 41 10 48 8B 82 68 04 00 00 48 8B 08 44 88 01 48 8B 82 68 04 00 00 48 FF 00 48 8B 42 18 8A 08 48 FF C0 88 4A 41 48 89 42 18 84 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_601_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 22
		altNames = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 83 49 38 FF 33 C0 48 89 41 30 88 41 40 89 41 3C 88 41 54 B0 01 C3 }
	condition:
		$1
}

rule file_392_613_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_593_302_4 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_593_304_4 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_615_3 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_616_3 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_618_3 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 45
		refs = "000e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_614_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 74
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_303_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 74
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_617_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 74
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_619_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_593_305_4 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_593_307_4 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_621_3 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_622_3 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_624_3 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000f ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 4C 8B C1 74 09 48 8D 51 38 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 48 F8 83 C8 FF 85 C9 0F 48 C8 B0 01 41 89 48 38 C3 }
	condition:
		$1
}

rule file_392_620_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 75
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_306_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 75
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_623_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 75
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 38 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 0A 83 7B 38 00 7D 04 83 4B 38 FF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_625_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_308_4 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_309_4 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_310_4 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_626_3 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_627_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_628_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_629_3 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_630_3 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 379
		refs = "0020 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0039 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8A 41 41 3C 46 75 19 F6 01 08 0F 85 60 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 3C 4E 75 27 F6 01 08 0F 85 43 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 27 01 00 00 83 79 3C 00 75 E3 3C 49 0F 84 BA 00 00 00 3C 4C 0F 84 A9 00 00 00 3C 54 0F 84 98 00 00 00 3C 68 74 72 3C 6A 74 62 3C 6C 74 36 3C 74 74 26 3C 77 74 16 3C 7A B0 01 0F 85 EB 00 00 00 C7 41 3C 06 00 00 00 E9 DF 00 00 00 C7 41 3C 0C 00 00 00 E9 D1 00 00 00 C7 41 3C 07 00 00 00 E9 C5 00 00 00 48 8B 41 18 80 38 6C 75 13 48 FF C0 C7 41 3C 04 00 00 00 48 89 41 18 E9 A9 00 00 00 C7 41 3C 03 00 00 00 E9 9D 00 00 00 C7 41 3C 05 00 00 00 E9 91 00 00 00 48 8B 41 18 80 38 68 75 10 48 FF C0 C7 41 3C 01 00 00 00 48 89 41 18 EB 78 C7 41 3C 02 00 00 00 EB 6F C7 41 3C 0D 00 00 00 EB 66 C7 41 3C 08 00 00 00 EB 5D 48 8B 51 18 8A 02 3C 33 75 17 80 7A 01 32 75 11 48 8D 42 02 C7 41 3C 0A 00 00 00 48 89 41 18 EB 3C 3C 36 75 17 80 7A 01 34 75 11 48 8D 42 02 C7 41 3C 0B 00 00 00 48 89 41 18 EB 21 2C 58 3C 20 77 1B 48 0F BE C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_631_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_311_4 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_312_4 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_593_313_4 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_632_3 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_633_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_634_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_635_3 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_636_3 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 418
		refs = "0020 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 003c _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 66 83 79 42 46 75 19 F6 01 08 0F 85 87 01 00 00 C7 41 2C 07 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 66 83 79 42 4E 75 27 F6 01 08 0F 85 67 01 00 00 C7 41 2C 08 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 4B 01 00 00 83 79 3C 00 75 E3 0F B7 41 42 83 F8 49 0F 84 CF 00 00 00 83 F8 4C 0F 84 BD 00 00 00 83 F8 54 0F 84 AB 00 00 00 BA 68 00 00 00 3B C2 74 7C 83 F8 6A 74 6B BA 6C 00 00 00 3B C2 74 39 83 F8 74 74 28 83 F8 77 74 17 83 F8 7A B0 01 0F 85 FA 00 00 00 C7 41 3C 06 00 00 00 E9 EE 00 00 00 C7 41 3C 0C 00 00 00 E9 E0 00 00 00 C7 41 3C 07 00 00 00 E9 D4 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 04 00 00 00 48 89 41 18 E9 B7 00 00 00 C7 41 3C 03 00 00 00 E9 AB 00 00 00 C7 41 3C 05 00 00 00 E9 9F 00 00 00 48 8B 41 18 66 39 10 75 14 48 83 C0 02 C7 41 3C 01 00 00 00 48 89 41 18 E9 82 00 00 00 C7 41 3C 02 00 00 00 EB 79 C7 41 3C 0D 00 00 00 EB 70 C7 41 3C 08 00 00 00 EB 67 48 8B 51 18 0F B7 02 66 83 F8 33 75 18 66 83 7A 02 32 75 11 48 8D 42 04 C7 41 3C 0A 00 00 00 48 89 41 18 EB 42 66 83 F8 36 75 18 66 83 7A 02 34 75 11 48 8D 42 04 C7 41 3C 0B 00 00 00 48 89 41 18 EB 24 66 83 E8 58 66 83 F8 20 77 1A 0F B7 C0 48 BA 01 10 82 20 01 00 00 00 48 0F A3 C2 73 07 C7 41 3C 09 00 00 00 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_637_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_593_314_4 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_593_316_4 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_639_3 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_640_3 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_642_3 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 633
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01e2 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 0209 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 45 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_638_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 655
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01f8 ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@D@0@DHQEAH@Z 021f ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 024e ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 5B 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 42 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_593_315_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 655
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01f8 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z 021f ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 024e ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 5B 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 42 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_641_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 655
		refs = "0074 ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 007e ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00b5 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f2 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 010c ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 01f8 ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@D@0@DHQEAH@Z 021f ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 024e ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 0F BE 41 41 48 8B D9 41 BF 01 00 00 00 83 F8 64 7F 5D 0F 84 C8 00 00 00 83 F8 41 0F 84 D2 00 00 00 83 F8 43 74 33 83 F8 44 0F 8E CD 00 00 00 83 F8 47 0F 8E BB 00 00 00 83 F8 53 74 5F 83 F8 58 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 5B 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 42 01 00 00 80 7B 40 00 0F 85 38 01 00 00 8B 53 30 33 C0 66 89 44 24 50 33 FF 88 44 24 52 8B C2 C1 E8 04 41 84 C7 74 2E 8B C2 C1 E8 06 41 84 C7 74 07 C6 44 24 50 2D EB 1A 41 84 D7 74 07 C6 44 24 50 2B EB 0E 8B C2 D1 E8 41 84 C7 74 08 C6 44 24 50 20 49 8B FF 8A 4B 41 8D 41 A8 A8 DF 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 8D 41 BF A8 DF 0F 94 C0 45 84 C0 75 04 84 C0 74 2A C6 44 3C 50 30 49 03 FF 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 88 44 3C 50 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 15 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 B2 20 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 50 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 18 C1 E9 02 41 84 CF 75 10 4C 8B CD 44 8B C6 B2 30 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1B 8B 43 30 C1 E8 02 41 84 C7 74 10 4C 8B CD 44 8B C6 B2 20 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_643_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_593_317_4 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_593_319_4 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_645_3 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_646_3 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_648_3 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 713
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 021e ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 0245 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 0275 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02a7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 6C 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_644_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 735
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0234 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$stream_output_adapter@_W@0@DHQEAH@Z 025b ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 028b ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02bd __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 82 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 69 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_593_318_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 735
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0234 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z 025b ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 028b ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02bd __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 82 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 69 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_647_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 735
		refs = "001f __security_cookie 008b ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 0095 ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00cc ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0109 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 011c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z 0123 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0234 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$string_output_adapter@_W@0@DHQEAH@Z 025b ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z 028b ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z 02bd __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 0F B7 41 42 BE 58 00 00 00 48 8B D9 8D 6E E9 44 8D 7E A9 83 F8 64 7F 5B 0F 84 C6 00 00 00 3B C5 0F 84 D1 00 00 00 83 F8 43 74 32 83 F8 44 0F 8E CC 00 00 00 83 F8 47 0F 8E BA 00 00 00 83 F8 53 74 5E 3B C6 74 6F 83 F8 5A 74 1E 83 F8 61 0F 84 A3 00 00 00 83 F8 63 0F 85 A3 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 93 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 83 F8 67 7E 7F 83 F8 69 74 67 83 F8 6E 74 5B 83 F8 6F 74 38 83 F8 70 74 1B 83 F8 73 74 0F 83 F8 75 74 52 83 F8 78 75 65 8D 50 98 EB 4D E8 ?? ?? ?? ?? EB 55 C7 41 38 10 00 00 00 C7 41 3C 0B 00 00 00 45 8A C7 BA 10 00 00 00 EB 31 8B 49 30 8B C1 C1 E8 05 41 84 C7 74 07 0F BA E9 07 89 4B 30 BA 08 00 00 00 48 8B CB EB 10 E8 ?? ?? ?? ?? EB 18 83 49 30 10 BA 0A 00 00 00 45 33 C0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 82 01 00 00 83 BB 7C 04 00 00 02 75 0D 44 39 BB 78 04 00 00 0F 84 69 01 00 00 80 7B 40 00 0F 85 5F 01 00 00 8B 53 30 33 C0 89 44 24 30 33 FF 66 89 44 24 34 8B C2 C1 E8 04 44 8D 6F 20 41 84 C7 74 32 8B C2 C1 E8 06 41 84 C7 74 0A 8D 47 2D 66 89 44 24 30 EB 1B 41 84 D7 74 07 B8 2B 00 00 00 EB ED 8B C2 D1 E8 41 84 C7 74 09 66 44 89 6C 24 30 49 8B FF 0F B7 4B 42 41 B9 DF FF 00 00 0F B7 C1 66 2B C6 66 41 85 C1 75 0F 8B C2 C1 E8 05 41 84 C7 74 05 45 8A C7 EB 03 45 32 C0 0F B7 C1 41 BC 30 00 00 00 66 2B C5 66 41 85 C1 0F 94 C0 45 84 C0 75 04 84 C0 74 2F 66 44 89 64 7C 30 49 03 FF 66 3B CE 74 09 66 3B CD 74 04 32 C0 EB 03 41 8A C7 F6 D8 1A C0 24 E0 04 61 04 17 0F BE C0 66 89 44 7C 30 49 03 FF 8B 73 34 2B 73 50 2B F7 F6 C2 0C 75 16 4C 8D 4B 28 44 8B C6 48 8D 8B 68 04 00 00 41 8A D5 E8 ?? ?? ?? ?? 48 8D 43 10 44 8B C7 48 8D 6B 28 48 89 44 24 20 4C 8D B3 68 04 00 00 4C 8B CD 49 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 8B 4B 30 8B C1 C1 E8 03 41 84 C7 74 19 C1 E9 02 41 84 CF 75 11 4C 8B CD 44 8B C6 41 8A D4 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 7D 00 00 7C 1C 8B 43 30 C1 E8 02 41 84 C7 74 11 4C 8B CD 44 8B C6 41 8A D5 49 8B CE E8 ?? ?? ?? ?? 41 8A C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_649_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_593_320_4 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_593_322_4 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_651_3 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_652_3 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_654_3 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 46
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 80 79 41 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_650_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_321_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_653_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 80
		refs = "0019 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001e ?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 41 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_655_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_593_323_4 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_593_325_4 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_657_3 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_658_3 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_660_3 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 47
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z"
	strings:
		$1 = { 66 83 79 42 2A 74 09 48 8D 51 34 E9 ?? ?? ?? ?? 48 83 41 20 08 48 8B 41 20 8B 50 F8 89 51 34 85 D2 79 09 83 49 30 04 F7 DA 89 51 34 B0 01 C3 }
	condition:
		$1
}

rule file_392_656_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 81
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_324_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 81
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_659_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 81
		refs = "001a ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 001f ?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 66 83 79 42 2A 48 8B D9 74 0E 48 8D 51 34 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 10 8B 43 34 85 C0 79 09 83 4B 30 04 F7 D8 89 43 34 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_681_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YA_KW4length_modifier@1@@Z"
		size = 75
	strings:
		$1 = { 83 F9 05 7F 32 74 18 85 C9 74 1A 83 E9 01 74 21 83 E9 01 74 16 83 E9 01 74 0B 83 F9 01 75 29 B8 08 00 00 00 C3 B8 04 00 00 00 C3 B8 02 00 00 00 C3 B8 01 00 00 00 C3 83 E9 06 74 E3 83 E9 01 74 DE 83 E9 02 74 D9 EB CD 33 C0 C3 }
	condition:
		$1
}

rule file_392_694_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 127
		refs = "0038 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005a ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 41 20 08 48 8B D9 48 8B 41 20 48 8B 78 F8 48 85 FF 74 33 48 8B 77 08 48 85 F6 74 2A 44 8B 41 3C 8A 51 41 48 8B 09 E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 0D ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 4B 48 C6 43 54 00 48 8B 5C 24 30 B0 01 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_695_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 156
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0055 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0077 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 67 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 53 48 8B 7C 24 38 48 85 FF 74 33 48 8B 77 08 48 85 F6 74 2A 44 8B 43 3C 8A 53 41 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_346_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 156
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0055 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0077 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 67 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 53 48 8B 7C 24 38 48 85 FF 74 33 48 8B 77 08 48 85 F6 74 2A 44 8B 43 3C 8A 53 41 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_698_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 156
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0055 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0077 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 67 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 53 48 8B 7C 24 38 48 85 FF 74 33 48 8B 77 08 48 85 F6 74 2A 44 8B 43 3C 8A 53 41 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_700_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 128
		refs = "0039 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 005b ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 41 20 08 48 8B D9 48 8B 41 20 48 8B 78 F8 48 85 FF 74 34 48 8B 77 08 48 85 F6 74 2B 44 8B 41 3C 0F B7 51 42 48 8B 09 E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 0D ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 4B 48 C6 43 54 00 48 8B 5C 24 30 B0 01 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_701_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 157
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0078 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 68 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 54 48 8B 7C 24 38 48 85 FF 74 34 48 8B 77 08 48 85 F6 74 2B 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_349_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 157
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0078 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 68 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 54 48 8B 7C 24 38 48 85 FF 74 34 48 8B 77 08 48 85 F6 74 2B 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_704_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 157
		refs = "001d ??$extract_argument_from_va_list@PEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ@PEAU1?1??234@AEAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AEAA_NXZ@@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0078 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 20 48 83 60 10 00 48 8D 50 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 68 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 54 48 8B 7C 24 38 48 85 FF 74 34 48 8B 77 08 48 85 F6 74 2B 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 84 C0 48 89 73 48 0F B7 07 74 0B D1 E8 89 43 50 C6 43 54 01 EB 1B 89 43 50 EB 12 48 8D 05 ?? ?? ?? ?? C7 43 50 06 00 00 00 48 89 43 48 C6 43 54 00 B0 01 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_706_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 538
		refs = "0053 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 0132 __acrt_fp_format 014f ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 83 49 30 10 48 8B D9 8B 41 38 85 C0 79 16 8A 41 41 2C 41 24 DF F6 D8 1B C0 83 E0 F9 83 C0 0D 89 41 38 EB 12 75 10 8A 41 41 2C 47 A8 DF 75 07 C7 41 38 01 00 00 00 8B 41 38 48 8D 79 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? 41 B8 00 02 00 00 84 C0 75 21 48 83 BF 08 04 00 00 00 75 05 41 8B C0 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 85 C0 48 0F 44 C7 48 89 43 48 33 C0 48 83 43 20 08 48 83 BF 08 04 00 00 00 48 89 44 24 60 48 8B 43 20 F2 0F 10 40 F8 F2 0F 11 44 24 60 75 05 4D 8B C8 EB 0A 4C 8B 8F 00 04 00 00 49 D1 E9 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 97 00 02 00 00 EB 0D 4C 8B 97 00 04 00 00 49 D1 EA 4C 03 D1 48 83 F9 00 74 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 41 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 4C 24 20 4D 8B CA E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 8A 43 41 2C 47 A8 DF 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 53 48 8A 02 2C 49 3C 25 77 14 48 B9 21 00 00 00 21 00 00 00 48 0F A3 C1 73 04 C6 43 41 73 48 83 C9 FF 48 FF C1 80 3C 0A 00 75 F7 89 4B 50 B0 01 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_707_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 585
		refs = "0017 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 007e ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00cd ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 015c __acrt_fp_format 0179 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 13 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 FB 01 00 00 8B 43 38 85 C0 79 16 8A 43 41 2C 41 24 DF F6 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 12 75 10 8A 43 41 2C 47 A8 DF 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 41 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 8A 43 41 2C 47 A8 DF 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 14 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 04 C6 43 41 73 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_593_352_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 585
		refs = "0017 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 007e ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00cd ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 015c __acrt_fp_format 0179 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 13 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 FB 01 00 00 8B 43 38 85 C0 79 16 8A 43 41 2C 41 24 DF F6 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 12 75 10 8A 43 41 2C 47 A8 DF 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 41 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 8A 43 41 2C 47 A8 DF 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 14 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 04 C6 43 41 73 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_710_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 585
		refs = "0017 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 007e ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00cd ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 015c __acrt_fp_format 0179 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 13 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 FB 01 00 00 8B 43 38 85 C0 79 16 8A 43 41 2C 41 24 DF F6 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 12 75 10 8A 43 41 2C 47 A8 DF 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 41 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 8A 43 41 2C 47 A8 DF 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 14 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 04 C6 43 41 73 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_712_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 577
		refs = "006a ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 0149 __acrt_fp_format 0166 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 41 56 48 83 EC 50 83 49 30 10 48 8B D9 8B 41 38 41 BE DF FF 00 00 85 C0 79 1C 0F B7 41 42 66 83 E8 41 66 41 23 C6 66 F7 D8 1B C0 83 E0 F9 83 C0 0D 89 41 38 EB 17 75 15 0F B7 41 42 66 83 E8 47 66 41 85 C6 75 07 C7 41 38 01 00 00 00 8B 41 38 48 8D 79 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? 41 B8 00 02 00 00 84 C0 75 21 48 83 BF 08 04 00 00 00 75 05 41 8B C0 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 85 C0 48 0F 44 C7 48 89 43 48 33 C0 48 83 43 20 08 48 83 BF 08 04 00 00 00 48 89 44 24 60 48 8B 43 20 F2 0F 10 40 F8 F2 0F 11 44 24 60 75 05 4D 8B C8 EB 0A 4C 8B 8F 00 04 00 00 49 D1 E9 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 97 00 02 00 00 EB 0D 4C 8B 97 00 04 00 00 49 D1 EA 4C 03 D1 48 83 F9 00 74 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 42 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 4C 24 20 4D 8B CA E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 0F B7 43 42 66 83 E8 47 66 41 85 C6 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 53 48 8A 02 2C 49 3C 25 77 19 48 B9 21 00 00 00 21 00 00 00 48 0F A3 C1 73 09 B8 73 00 00 00 66 89 43 42 48 83 C9 FF 48 FF C1 80 3C 0A 00 75 F7 48 8B 7C 24 70 B0 01 89 4B 50 48 8B 5C 24 68 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_392_713_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 624
		refs = "001d ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0095 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00e4 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 0173 __acrt_fp_format 0190 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 2E 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 16 02 00 00 8B 43 38 41 BF DF FF 00 00 85 C0 79 1C 0F B7 43 42 66 83 E8 41 66 41 23 C7 66 F7 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 17 75 15 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 35 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 42 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 19 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 09 B8 73 00 00 00 66 89 43 42 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5F C3 }
	condition:
		$1
}

rule file_593_355_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 624
		refs = "001d ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0095 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00e4 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 0173 __acrt_fp_format 0190 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 2E 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 16 02 00 00 8B 43 38 41 BF DF FF 00 00 85 C0 79 1C 0F B7 43 42 66 83 E8 41 66 41 23 C7 66 F7 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 17 75 15 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 35 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 42 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 19 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 09 B8 73 00 00 00 66 89 43 42 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5F C3 }
	condition:
		$1
}

rule file_392_716_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 624
		refs = "001d ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0095 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QEAA_N_K@Z 00e4 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAU_CRT_DOUBLE@@@Z 0173 __acrt_fp_format 0190 ?force_decimal_point@__crt_stdio_output@@YAXPEADQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 57 48 83 EC 50 83 49 30 10 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 2E 02 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 16 02 00 00 8B 43 38 41 BF DF FF 00 00 85 C0 79 1C 0F B7 43 42 66 83 E8 41 66 41 23 C7 66 F7 D8 1B C0 83 E0 F9 83 C0 0D 89 43 38 EB 17 75 15 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 07 C7 43 38 01 00 00 00 8B 43 38 48 8D 7B 58 05 5D 01 00 00 48 8B CF 48 63 D0 E8 ?? ?? ?? ?? BE 00 02 00 00 84 C0 75 20 48 83 BF 08 04 00 00 00 75 04 8B C6 EB 0A 48 8B 87 00 04 00 00 48 D1 E8 05 A3 FE FF FF 89 43 38 48 8B 87 08 04 00 00 48 8D 54 24 60 48 85 C0 48 8B CB 48 0F 44 C7 48 89 43 48 33 C0 48 89 44 24 60 E8 ?? ?? ?? ?? 84 C0 0F 84 35 FF FF FF 48 83 BF 08 04 00 00 00 75 05 4C 8B C6 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 8F 08 04 00 00 48 85 C9 75 09 4C 8D 8F 00 02 00 00 EB 0D 4C 8B 8F 00 04 00 00 49 D1 E9 4C 03 C9 48 83 F9 00 74 0A 48 8B B7 00 04 00 00 48 D1 EE 48 8B 43 08 48 8B D1 48 89 44 24 40 48 85 C9 48 8B 03 0F BE 4B 42 48 0F 44 D7 48 89 44 24 38 8B 43 38 89 44 24 30 89 4C 24 28 48 8D 4C 24 60 4C 89 44 24 20 4C 8B C6 E8 ?? ?? ?? ?? 8B 43 30 C1 E8 05 A8 01 74 13 83 7B 38 00 75 0D 48 8B 53 08 48 8B 4B 48 E8 ?? ?? ?? ?? 0F B7 43 42 66 83 E8 47 66 41 85 C7 75 6D 8B 43 30 C1 E8 05 A8 01 75 63 48 8B 43 08 48 8B 53 48 48 8B 08 48 8B 81 F8 00 00 00 48 8B 08 44 8A 01 EB 08 41 3A C0 74 09 48 FF C2 8A 02 84 C0 75 F2 8A 02 48 FF C2 84 C0 74 32 EB 09 2C 45 A8 DF 74 09 48 FF C2 8A 02 84 C0 75 F1 48 8B CA 48 FF CA 80 3A 30 74 F8 44 38 02 75 03 48 FF CA 8A 01 48 FF C2 48 FF C1 88 02 84 C0 75 F2 48 8B 43 48 80 38 2D 75 0B 83 4B 30 40 48 FF C0 48 89 43 48 48 8B 4B 48 8A 01 2C 49 3C 25 77 19 48 BA 21 00 00 00 21 00 00 00 48 0F A3 C2 73 09 B8 73 00 00 00 66 89 43 42 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 89 43 50 B0 01 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5F C3 }
	condition:
		$1
}

rule file_392_730_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 178
		refs = "0018 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0061 wctomb_s"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 44 8B 41 3C 48 8B D9 8A 51 41 48 8B 09 E8 ?? ?? ?? ?? 48 8D 7B 58 84 C0 74 4B 48 83 43 20 08 48 83 BF 08 04 00 00 00 48 8B 43 20 75 08 41 B8 00 02 00 00 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 97 08 04 00 00 48 8D 4B 50 44 0F B7 48 F8 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 85 C0 74 2A C6 43 40 01 EB 24 4C 8B 87 08 04 00 00 4D 85 C0 4C 0F 44 C7 48 83 43 20 08 48 8B 4B 20 8A 51 F8 41 88 10 C7 43 50 01 00 00 00 48 8B 8F 08 04 00 00 B0 01 48 85 C9 48 0F 44 CF 48 89 4B 48 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_731_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 248
		refs = "001d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0035 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0092 wctomb_s 00b3 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 41 3C 48 8B D9 8A 51 41 48 8B 09 E8 ?? ?? ?? ?? 33 F6 48 8B CB 84 C0 74 76 48 8D 54 24 30 66 89 74 24 30 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 A4 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 8C 00 00 00 48 8D 7B 58 48 39 B7 08 04 00 00 75 08 41 B8 00 02 00 00 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 97 08 04 00 00 48 8D 4B 50 44 0F B7 4C 24 30 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 85 C0 74 3A C6 43 40 01 EB 34 48 8D 7B 58 48 8B 97 08 04 00 00 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 84 C0 74 82 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 19 C7 43 50 01 00 00 00 48 8B 87 08 04 00 00 48 85 C0 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_364_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 248
		refs = "001d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0035 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0092 wctomb_s 00b3 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 41 3C 48 8B D9 8A 51 41 48 8B 09 E8 ?? ?? ?? ?? 33 F6 48 8B CB 84 C0 74 76 48 8D 54 24 30 66 89 74 24 30 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 A4 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 8C 00 00 00 48 8D 7B 58 48 39 B7 08 04 00 00 75 08 41 B8 00 02 00 00 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 97 08 04 00 00 48 8D 4B 50 44 0F B7 4C 24 30 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 85 C0 74 3A C6 43 40 01 EB 34 48 8D 7B 58 48 8B 97 08 04 00 00 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 84 C0 74 82 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 19 C7 43 50 01 00 00 00 48 8B 87 08 04 00 00 48 85 C0 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_734_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 248
		refs = "001d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0035 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 0092 wctomb_s 00b3 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 41 3C 48 8B D9 8A 51 41 48 8B 09 E8 ?? ?? ?? ?? 33 F6 48 8B CB 84 C0 74 76 48 8D 54 24 30 66 89 74 24 30 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 A4 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 8C 00 00 00 48 8D 7B 58 48 39 B7 08 04 00 00 75 08 41 B8 00 02 00 00 EB 0A 4C 8B 87 00 04 00 00 49 D1 E8 48 8B 97 08 04 00 00 48 8D 4B 50 44 0F B7 4C 24 30 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 85 C0 74 3A C6 43 40 01 EB 34 48 8D 7B 58 48 8B 97 08 04 00 00 48 85 D2 48 0F 44 D7 E8 ?? ?? ?? ?? 84 C0 74 82 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 19 C7 43 50 01 00 00 00 48 8B 87 08 04 00 00 48 85 C0 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_736_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 166
		refs = "002f ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0063 _mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 C6 41 54 01 48 8B D9 48 83 41 20 08 48 8B 41 20 44 8B 41 3C 0F B7 51 42 48 8B 09 0F B7 70 F8 E8 ?? ?? ?? ?? 48 8D 7B 58 48 8B 8F 08 04 00 00 84 C0 75 2F 4C 8B 4B 08 48 8D 54 24 30 40 88 74 24 30 48 85 C9 88 44 24 31 48 0F 44 CF 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 85 C0 79 10 C6 43 40 01 EB 0A 48 85 C9 48 0F 44 CF 66 89 31 48 8B 8F 08 04 00 00 B0 01 48 8B 74 24 40 48 85 C9 C7 43 50 01 00 00 00 48 0F 44 CF 48 89 4B 48 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_737_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 204
		refs = "0022 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 004c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0084 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 33 F6 C6 41 54 01 48 8D 50 08 66 89 70 08 48 8B D9 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 7A 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 48 8D 7B 58 48 8B 8F 08 04 00 00 84 C0 75 33 8A 44 24 30 48 8D 54 24 30 4C 8B 4B 08 48 85 C9 88 44 24 30 40 88 74 24 31 48 0F 44 CF 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 85 C0 79 15 C6 43 40 01 EB 0F 0F B7 44 24 30 48 85 C9 48 0F 44 CF 66 89 01 48 8B 87 08 04 00 00 48 85 C0 C7 43 50 01 00 00 00 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_367_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 204
		refs = "0022 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 004c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0084 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 33 F6 C6 41 54 01 48 8D 50 08 66 89 70 08 48 8B D9 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 7A 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 48 8D 7B 58 48 8B 8F 08 04 00 00 84 C0 75 33 8A 44 24 30 48 8D 54 24 30 4C 8B 4B 08 48 85 C9 88 44 24 30 40 88 74 24 31 48 0F 44 CF 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 85 C0 79 15 C6 43 40 01 EB 0F 0F B7 44 24 30 48 85 C9 48 0F 44 CF 66 89 01 48 8B 87 08 04 00 00 48 85 C0 C7 43 50 01 00 00 00 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_740_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 204
		refs = "0022 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_W@Z 004c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0084 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 33 F6 C6 41 54 01 48 8D 50 08 66 89 70 08 48 8B D9 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 7A 44 8B 43 3C 0F B7 53 42 48 8B 0B E8 ?? ?? ?? ?? 48 8D 7B 58 48 8B 8F 08 04 00 00 84 C0 75 33 8A 44 24 30 48 8D 54 24 30 4C 8B 4B 08 48 85 C9 88 44 24 30 40 88 74 24 31 48 0F 44 CF 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 85 C0 79 15 C6 43 40 01 EB 0F 0F B7 44 24 30 48 85 C9 48 0F 44 CF 66 89 01 48 8B 87 08 04 00 00 48 85 C0 C7 43 50 01 00 00 00 48 0F 44 C7 48 89 43 48 B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_742_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_369_3 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_370_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_371_3 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_743_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_744_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_745_2 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_746_2 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_747_2 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_372_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_373_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_374_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_748_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_749_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_750_4 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_751_4 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_752_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_753_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 16
		refs = "000c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 83 49 30 10 45 33 C0 41 8D 50 0A E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_754_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_375_4 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_377_4 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_756_3 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_757_3 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_759_3 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 419
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 2A 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 1D 83 7B 50 00 74 09 48 8B 4B 48 80 39 30 74 0E 48 FF 4B 48 48 8B 4B 48 C6 01 30 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_755_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 518
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 5E 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 95 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 1E 83 7B 50 00 74 09 48 8B 43 48 80 38 30 74 0F 48 FF 4B 48 48 8B 43 48 C6 00 30 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_593_376_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 518
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 5E 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 95 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 1E 83 7B 50 00 74 09 48 8B 43 48 80 38 30 74 0F 48 FF 4B 48 48 8B 43 48 C6 00 30 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_758_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 518
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 5E 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 95 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 00 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 1E 83 7B 50 00 74 09 48 8B 43 48 80 38 30 74 0F 48 FF 4B 48 48 8B 43 48 C6 00 30 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_760_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_378_4 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_380_4 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_762_3 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_763_3 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_765_3 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 425
		refs = "005d _errno 0068 _invalid_parameter_noinfo 0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 41 BB 08 00 00 00 48 8B D9 8B 49 3C 45 8A C8 44 8B D2 45 8D 43 FC 83 F9 05 7F 65 74 18 85 C9 74 4C 83 E9 01 74 53 83 E9 01 74 47 83 E9 01 74 3D 83 F9 01 75 5C 49 8B D3 48 8B C2 48 83 E8 01 0F 84 A2 00 00 00 48 83 E8 01 74 7D 48 83 E8 02 74 5A 49 3B C0 74 3F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 30 01 00 00 49 8B D0 EB C6 BA 02 00 00 00 EB BF BA 01 00 00 00 EB B8 83 E9 06 74 B0 83 E9 01 74 AB 83 E9 02 74 A6 EB 9A 33 D2 EB A3 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 48 8B 48 F8 EB 59 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 06 48 63 48 F8 EB 41 8B 48 F8 EB 3C 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BF 48 F8 EB 23 0F B7 48 F8 EB 1D 8B 43 30 4C 01 5B 20 C1 E8 04 A8 01 48 8B 43 20 74 07 48 0F BE 48 F8 EB 04 0F B6 48 F8 44 8B 43 30 41 8B C0 C1 E8 04 A8 01 74 10 48 85 C9 79 0B 48 F7 D9 41 83 C8 40 44 89 43 30 83 7B 38 00 7D 09 C7 43 38 01 00 00 00 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF C6 43 54 01 45 8B C2 49 3B D3 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 A8 01 74 23 83 7B 50 00 B8 30 00 00 00 74 09 48 8B 4B 48 66 39 01 74 0F 48 83 43 48 FE 48 8B 4B 48 66 89 01 FF 43 50 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_761_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 524
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 64 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 9B 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF 44 88 73 54 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 24 83 7B 50 00 B9 30 00 00 00 74 09 48 8B 43 48 66 39 08 74 10 48 83 43 48 FE 48 8B 43 48 66 89 08 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_593_379_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 524
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 64 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 9B 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF 44 88 73 54 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 24 83 7B 50 00 B9 30 00 00 00 74 09 48 8B 43 48 66 39 08 74 10 48 83 43 48 FE 48 8B 43 48 66 89 08 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_764_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
		size = 524
		refs = "0079 _errno 0084 _invalid_parameter_noinfo 00c9 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00d0 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00ea ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 00f1 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 010b ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0112 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 012c ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 0133 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEA_J@Z 01b1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAX_KI_N@Z 01bd ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAAXII_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 56 48 83 EC 20 8B EA 48 8B D9 8B 49 3C BA 04 00 00 00 41 8A F0 44 8D 62 04 44 8D 72 FD 83 F9 05 7F 6B 74 18 85 C9 74 54 41 2B CE 74 5B 41 2B CE 74 4F 41 2B CE 74 45 41 3B CE 75 62 49 8B FC 48 83 64 24 40 00 48 8B C7 49 2B C6 0F 84 B4 00 00 00 49 2B C6 0F 84 8A 00 00 00 48 83 E8 02 74 63 48 3B C2 74 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 64 01 00 00 48 8B FA EB BE BF 02 00 00 00 EB B7 49 8B FE EB B2 83 E9 06 74 AA 41 2B CE 74 A5 83 E9 02 74 A0 EB 94 33 FF EB 9D 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? EB 61 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? EB 40 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? EB 1F 8B 43 30 48 8D 54 24 40 C1 E8 04 48 8B CB 41 84 C6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 49 FF FF FF 44 39 B3 78 04 00 00 75 0D 44 39 B3 7C 04 00 00 0F 85 9B 00 00 00 8B 53 30 8B C2 48 8B 4C 24 40 C1 E8 04 41 84 C6 74 0E 48 85 C9 79 09 48 F7 D9 83 CA 40 89 53 30 83 7B 38 00 7D 06 44 89 73 38 EB 11 83 63 30 F7 B8 00 02 00 00 39 43 38 7E 03 89 43 38 48 85 C9 75 04 83 63 30 DF 44 88 73 54 44 8A CE 44 8B C5 49 3B FC 75 0D 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 0A 8B D1 48 8B CB E8 ?? ?? ?? ?? 8B 43 30 C1 E8 07 41 84 C6 74 24 83 7B 50 00 B9 30 00 00 00 74 09 48 8B 43 48 66 39 08 74 10 48 83 43 48 FE 48 8B 43 48 66 89 08 44 01 73 50 41 8A C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_766_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 219
		refs = "0024 _get_printf_count_output 002d _errno 0038 _invalid_parameter_noinfo"
		altNames = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 BB 08 00 00 00 48 8B F9 48 01 59 20 48 8B 41 20 48 8B 70 F8 E8 ?? ?? ?? ?? 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 88 00 00 00 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2C 74 3E 85 C9 74 37 83 E9 01 74 1A 83 E9 01 74 0E 83 E9 01 74 28 83 F9 01 74 26 33 DB EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0F 83 E9 01 74 0A 83 E9 02 74 05 EB D3 48 8B DA 48 83 EB 01 74 2A 48 83 EB 01 74 1B 48 83 EB 02 74 0E 48 3B DA 75 85 48 63 47 28 48 89 06 EB 15 8B 47 28 89 06 EB 0E 0F B7 47 28 66 89 06 EB 05 8A 4F 28 88 0E C6 47 40 01 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_767_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_382_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_770_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_385_4 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_773_3 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_776_3 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 260
		refs = "001a ??$extract_argument_from_va_list@PEAXPEAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAX@Z 0040 _get_printf_count_output 0049 _errno 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 54 24 38 48 89 5C 24 38 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 D0 00 00 00 83 BF 78 04 00 00 01 75 0D 83 BF 7C 04 00 00 01 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB C8 8B 4F 3C BA 04 00 00 00 83 F9 05 7F 2F 74 3C 85 C9 74 16 83 E9 01 74 1D 83 E9 01 74 11 83 E9 01 74 07 83 F9 01 75 29 EB 22 48 8B DA EB 22 BB 02 00 00 00 EB 1B BB 01 00 00 00 EB 14 83 E9 06 74 0A 83 E9 01 74 05 83 E9 02 75 D2 BB 08 00 00 00 48 83 EB 01 74 39 48 83 EB 01 74 25 48 83 EB 02 74 13 48 3B DA 75 87 48 8B 44 24 38 48 63 4F 28 48 89 08 EB 24 48 8B 44 24 38 8B 4F 28 89 08 EB 18 48 8B 44 24 38 0F B7 4F 28 66 89 08 EB 0A 48 8B 44 24 38 8A 4F 28 88 08 C6 47 40 01 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_778_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_387_3 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_388_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_389_3 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_779_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_780_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_781_2 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_782_2 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_783_2 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_390_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_391_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_392_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_784_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_785_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_786_4 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_787_4 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_788_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_789_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 31
		refs = "001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { 8B 51 30 8B C2 C1 E8 05 A8 01 74 07 0F BA EA 07 89 51 30 45 33 C0 41 8D 50 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_790_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_393_3 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_394_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_395_3 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_791_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_792_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_793_2 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_794_2 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_795_2 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_396_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_397_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_398_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_796_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_797_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_798_4 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_799_4 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_800_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_801_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 23
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NI_N@Z"
	strings:
		$1 = { BA 10 00 00 00 C7 41 3C 0B 00 00 00 41 B0 01 89 51 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_802_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 144
		refs = "003c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0051 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 005e wcsnlen 006a ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0077 strnlen"
		altNames = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 41 20 08 48 8B D9 48 8B 41 20 8B 71 38 83 FE FF 44 8B 41 3C 8A 51 41 48 8B 78 F8 B8 FF FF FF 7F 48 89 79 48 0F 44 F0 48 8B 09 E8 ?? ?? ?? ?? 48 63 D6 84 C0 74 1D 48 85 FF C6 43 54 01 48 8D 0D ?? ?? ?? ?? 48 0F 45 CF 48 89 4B 48 E8 ?? ?? ?? ?? EB 17 48 85 FF 48 8D 0D ?? ?? ?? ?? 48 0F 45 CF 48 89 4B 48 E8 ?? ?? ?? ?? 48 8B 74 24 38 89 43 50 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_803_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 166
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 004d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005e ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0070 wcsnlen 007f ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 008d strnlen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 74 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 60 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 8A 53 41 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 21 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? EB 1B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 E8 ?? ?? ?? ?? 89 43 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_400_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 166
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 004d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005e ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0070 wcsnlen 007f ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 008d strnlen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 74 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 60 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 8A 53 41 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 21 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? EB 1B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 E8 ?? ?? ?? ?? 89 43 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_806_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 166
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 004d ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005e ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0070 wcsnlen 007f ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 008d strnlen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 74 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 60 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 8A 53 41 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 21 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? EB 1B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 E8 ?? ?? ?? ?? 89 43 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_808_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 198
		refs = "003d ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 004e ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 005f wcsnlen 0070 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 41 20 08 48 8B D9 48 8B 41 20 8B 79 38 83 FF FF 44 8B 41 3C 0F B7 51 42 48 8B 70 F8 B8 FF FF FF 7F 48 89 71 48 0F 44 F8 48 8B 09 E8 ?? ?? ?? ?? 84 C0 74 23 48 85 F6 48 63 D7 48 8D 0D ?? ?? ?? ?? C6 43 54 01 48 0F 45 CE 48 89 4B 48 E8 ?? ?? ?? ?? 89 43 50 EB 4C 48 85 F6 75 0B 48 8D 05 ?? ?? ?? ?? 48 89 43 48 4C 8B 43 48 45 33 C9 85 FF 7E 2D 41 80 38 00 74 27 48 8B 43 08 41 0F B6 10 48 8B 08 48 8B 01 B9 00 80 00 00 66 85 0C 50 74 03 49 FF C0 49 FF C0 41 FF C1 44 3B CF 7C D3 44 89 4B 50 48 8B 5C 24 30 B0 01 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_809_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 223
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0067 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0079 wcsnlen 008b ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 91 00 00 00 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 0F B7 53 42 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 24 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? 89 43 50 EB 4B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 8B 07 45 33 C9 85 F6 7E 2D 41 80 38 00 74 27 48 8B 43 08 41 0F B6 10 48 8B 08 48 8B 01 B9 00 80 00 00 66 85 0C 50 74 03 49 FF C0 49 FF C0 41 FF C1 44 3B CE 7C D3 44 89 4B 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_403_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 223
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0067 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0079 wcsnlen 008b ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 91 00 00 00 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 0F B7 53 42 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 24 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? 89 43 50 EB 4B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 8B 07 45 33 C9 85 F6 7E 2D 41 80 38 00 74 27 48 8B 43 08 41 0F B6 10 48 8B 08 48 8B 01 B9 00 80 00 00 66 85 0C 50 74 03 49 FF C0 49 FF C0 41 FF C1 44 3B CE 7C D3 44 89 4B 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_812_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 223
		refs = "001a ??$extract_argument_from_va_list@PEADPEAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NAEAPEAD@Z 0056 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0067 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0079 wcsnlen 008b ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 48 8B D9 48 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 91 00 00 00 8B 73 38 B8 FF FF FF 7F 44 8B 43 3C 83 FE FF 0F B7 53 42 48 8B 0B 0F 44 F0 E8 ?? ?? ?? ?? 84 C0 74 24 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 0F 48 63 D6 C6 43 54 01 E8 ?? ?? ?? ?? 89 43 50 EB 4B 48 83 3F 00 75 0A 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 8B 07 45 33 C9 85 F6 7E 2D 41 80 38 00 74 27 48 8B 43 08 41 0F B6 10 48 8B 08 48 8B 01 B9 00 80 00 00 66 85 0C 50 74 03 49 FF C0 49 FF C0 41 FF C1 44 3B CE 7C D3 44 89 4B 50 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_820_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
		size = 66
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEBAHH_W@Z"
	strings:
		$1 = { 4C 8B 41 48 45 33 C9 44 8B D2 4C 8B D9 85 D2 7E 2D 41 80 38 00 74 27 49 8B 43 08 41 0F B6 10 48 8B 08 48 8B 01 B9 00 80 00 00 66 85 0C 50 74 03 49 FF C0 49 FF C0 41 FF C1 45 3B CA 7C D3 41 8B C1 C3 }
	condition:
		$1
}

rule file_392_862_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_593_429_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_863_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_864_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_593_430_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_865_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 34 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 34 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_866_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 18
		altNames = "?update_field_width@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 8B 50 F8 B0 01 89 51 34 C3 }
	condition:
		$1
}

rule file_392_870_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_593_433_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_871_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 275
		refs = "0041 strtol 00c4 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00cd _errno 00d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DA 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 01 48 89 4B 18 0F 85 90 00 00 00 85 D2 78 78 80 38 24 75 73 83 FA 64 7D 6E 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 8A 4B 41 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 16 C7 02 01 00 00 00 44 88 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_872_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_593_434_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_873_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 278
		refs = "0041 wcstol 00c7 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00d0 _errno 00db _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 83 B9 7C 04 00 00 01 48 8B D9 75 16 48 83 41 20 08 48 8B 51 20 44 8B 42 F8 44 89 41 38 E9 DD 00 00 00 48 8B 49 18 48 8D 54 24 40 33 FF 48 89 7C 24 40 44 8D 47 0A E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 8D 50 FF 48 8B 44 24 40 48 8D 48 02 48 89 4B 18 0F 85 93 00 00 00 85 D2 78 7B 66 83 38 24 75 75 83 FA 64 7D 70 8B 83 E8 0D 00 00 3B D0 44 8B 43 3C 44 0F B7 4B 42 0F 4F C2 89 83 E8 0D 00 00 48 63 C2 48 8D 14 45 91 00 00 00 48 03 D0 48 8D 14 D3 39 3A 75 17 C7 02 01 00 00 00 66 44 89 4A 04 44 89 42 10 40 B7 01 40 8A C7 EB 53 44 89 44 24 20 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D2 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 16 48 63 C2 48 8D 0C 40 48 8B 84 CB 90 04 00 00 8B 08 89 4B 38 B0 01 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_874_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 18
		altNames = "?update_precision@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 83 41 20 08 48 8B 41 20 8B 50 F8 B0 01 89 51 38 C3 }
	condition:
		$1
}

rule file_392_883_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 63
		refs = "0023 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 002c _errno 0037 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 11 44 89 02 44 88 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_593_439_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 63
		refs = "0023 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 002c _errno 0037 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 11 44 89 02 44 88 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_392_884_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 63
		refs = "0023 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 002c _errno 0037 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 11 44 89 02 44 88 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_392_885_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 64
		refs = "0024 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 12 44 89 02 66 44 89 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_593_440_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 64
		refs = "0024 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 12 44 89 02 66 44 89 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_392_886_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 64
		refs = "0024 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 38 83 3A 00 8B 44 24 60 75 12 44 89 02 66 44 89 4A 04 89 42 10 B0 01 48 83 C4 38 C3 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB DA }
	condition:
		$1
}

rule file_392_887_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 260
		refs = "0042 strtol 006d memset 00f1 _errno 00fc _invalid_parameter_noinfo"
		altNames = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 2C 01 48 8B D9 0F 85 D5 00 00 00 48 8B 49 18 8A 01 3C 25 0F 84 C7 00 00 00 83 BB 7C 04 00 00 00 75 5D 48 83 64 24 30 00 2C 30 3C 09 77 47 41 B8 0A 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 7E 33 48 8B 44 24 30 80 38 24 75 29 83 BB 78 04 00 00 01 75 14 48 8D 8B 88 04 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? C7 83 7C 04 00 00 02 00 00 00 EB 0A C7 83 7C 04 00 00 01 00 00 00 83 BB 7C 04 00 00 02 75 58 48 8B 4B 18 48 8D 54 24 38 48 83 64 24 38 00 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 48 8B 54 24 38 8D 48 FF 89 8B EC 0D 00 00 48 8D 42 01 48 89 43 18 75 1F 85 C9 78 23 80 3A 24 75 1E 83 F9 64 7D 19 8B 83 E8 0D 00 00 3B C8 0F 4F C1 89 83 E8 0D 00 00 B0 01 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB E6 }
	condition:
		$1
}

rule file_392_889_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 269
		refs = "0049 wcstol 0075 memset 00fa _errno 0105 _invalid_parameter_noinfo"
		altNames = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 2C 01 48 8B D9 0F 85 DE 00 00 00 48 8B 49 18 0F B7 01 66 83 F8 25 0F 84 CD 00 00 00 83 BB 7C 04 00 00 00 75 62 48 83 64 24 30 00 66 83 E8 30 66 83 F8 09 77 48 41 B8 0A 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 7E 34 48 8B 44 24 30 66 83 38 24 75 29 83 BB 78 04 00 00 01 75 14 48 8D 8B 88 04 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? C7 83 7C 04 00 00 02 00 00 00 EB 0A C7 83 7C 04 00 00 01 00 00 00 83 BB 7C 04 00 00 02 75 59 48 8B 4B 18 48 8D 54 24 38 48 83 64 24 38 00 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 83 BB 78 04 00 00 01 48 8B 54 24 38 8D 48 FF 89 8B EC 0D 00 00 48 8D 42 02 48 89 43 18 75 20 85 C9 78 24 66 83 3A 24 75 1E 83 F9 64 7D 19 8B 83 E8 0D 00 00 3B C8 0F 4F C1 89 83 E8 0D 00 00 B0 01 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB E6 }
	condition:
		$1
}

rule file_392_895_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
		size = 43
		refs = "0011 _errno 001c _invalid_parameter_noinfo"
		altNames = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEBA_NXZ"
	strings:
		$1 = { 48 83 EC 28 83 79 2C 00 74 1A 83 79 2C 07 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_899_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 137
		refs = "0014 _errno 001f _invalid_parameter_noinfo"
		altNames = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 83 79 2C 00 48 8B D1 74 1A 83 79 2C 07 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 5D 83 B9 7C 04 00 00 02 75 52 83 B9 78 04 00 00 01 75 49 48 63 81 E8 0D 00 00 4C 8D 81 88 04 00 00 4C 8D 48 4A 4E 8D 0C 48 4E 8D 0C C9 4D 3B C1 74 2A 41 8B 08 48 8B 42 20 49 89 40 08 83 E9 01 74 0F 83 E9 01 74 0A 83 E9 01 74 05 83 F9 01 75 9C 48 83 42 20 08 49 83 C0 18 EB D1 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_907_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 155
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0079 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 80 00 00 00 83 B9 78 04 00 00 01 75 77 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_451_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 155
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0079 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 80 00 00 00 83 B9 78 04 00 00 01 75 77 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_908_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 155
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0079 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 80 00 00 00 83 B9 78 04 00 00 01 75 77 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 59 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 8A 49 41 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 14 C7 02 04 00 00 00 44 88 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_909_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 157
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 007b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 82 00 00 00 83 B9 78 04 00 00 01 75 79 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 5B 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_593_452_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 157
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 007b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 82 00 00 00 83 B9 78 04 00 00 01 75 79 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 5B 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_910_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
		size = 157
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 007b ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AEAA_NAEBUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 B9 7C 04 00 00 02 0F 85 82 00 00 00 83 B9 78 04 00 00 01 75 79 48 63 81 EC 0D 00 00 83 F8 63 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 5B 44 8B 41 3C 48 8D 14 45 91 00 00 00 44 0F B7 49 42 48 03 D0 33 DB 48 8D 14 D1 39 1A 75 15 C7 02 04 00 00 00 66 44 89 4A 04 44 89 42 10 B3 01 8A C3 EB 28 44 89 44 24 20 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB D6 B0 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_929_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
		size = 71
		refs = "0032 _fputc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 49 8B D8 44 8A C2 48 8B D1 44 8B 48 14 41 C1 E9 0C 41 F6 C1 01 74 0A 48 8B 01 48 83 78 08 00 74 15 48 8B 12 41 0F BE C8 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_930_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
		size = 75
		refs = "0030 _fputwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 49 8B D8 44 0F B7 C2 44 8B 48 14 41 C1 E9 0C 41 F6 C1 01 74 0A 48 8B 01 48 83 78 08 00 74 1B 48 8B 11 41 0F B7 C8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_931_0 {
	meta:
		name = "?write_character@?$string_output_adapter@D@__crt_stdio_output@@QEBA_NDQEAH@Z"
		size = 69
	strings:
		$1 = { 4C 8B C9 44 8A D2 48 8B 09 48 8B 41 08 48 39 41 10 75 16 80 79 18 00 74 05 41 FF 00 EB 04 41 83 08 FF 49 8B 01 8A 40 18 C3 41 FF 00 B0 01 49 8B 09 48 FF 41 10 49 8B 09 48 8B 11 44 88 12 49 8B 09 48 FF 01 C3 }
	condition:
		$1
}

rule file_392_932_0 {
	meta:
		name = "?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QEBA_N_WQEAH@Z"
		size = 72
	strings:
		$1 = { 4C 8B C9 44 0F B7 D2 48 8B 09 48 8B 41 08 48 39 41 10 75 16 80 79 18 00 74 05 41 FF 00 EB 04 41 83 08 FF 49 8B 01 8A 40 18 C3 41 FF 00 B0 01 49 8B 09 48 FF 41 10 49 8B 09 48 8B 11 66 44 89 12 49 8B 09 48 83 01 02 C3 }
	condition:
		$1
}

rule file_392_933_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_593_463_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_593_464_4 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_593_465_4 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_936_3 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_937_3 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_938_3 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 213
		refs = "0012 __security_cookie 0056 wctomb_s 0082 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 80 79 54 00 48 8B D9 74 6E 8B 41 50 85 C0 7E 67 48 8B 71 48 33 FF 85 C0 74 7E 44 0F B7 0E 48 8D 54 24 34 83 64 24 30 00 48 8D 4C 24 30 41 B8 06 00 00 00 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 31 44 8B 44 24 30 45 85 C0 74 27 48 8D 43 10 4C 8D 4B 28 48 89 44 24 20 48 8D 8B 68 04 00 00 48 8D 54 24 34 E8 ?? ?? ?? ?? FF C7 3B 7B 50 75 AB EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? B0 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_939_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 236
		refs = "004e _mbtowc_l 008a _fputwc_nolock 00d3 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 45 33 F6 48 8B D9 44 38 71 54 0F 85 94 00 00 00 8B 41 50 85 C0 0F 8E 89 00 00 00 48 8B 71 48 41 8B FE 4C 8B 4B 08 48 8D 4C 24 50 66 44 89 74 24 50 48 8B D6 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 48 63 E8 85 C0 7E 57 48 8B 83 68 04 00 00 44 0F B7 44 24 50 8B 48 14 C1 E9 0C F6 C1 01 74 0D 48 8B 83 68 04 00 00 4C 39 70 08 74 20 48 8B 93 68 04 00 00 41 0F B7 C8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 48 03 F5 FF C7 48 8B C5 3B 7B 50 75 86 EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 58 B0 01 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_392_942_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 237
		refs = "004d _mbtowc_l 00d2 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 33 ED 48 8B D9 40 38 69 54 0F 85 92 00 00 00 8B 41 50 85 C0 0F 8E 87 00 00 00 48 8B 71 48 8B FD 4C 8B 4B 08 48 8D 4C 24 40 66 89 6C 24 40 48 8B D6 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 48 63 D0 85 C0 7E 57 48 8B 8B 68 04 00 00 44 0F B7 44 24 40 48 8B 41 08 48 39 41 10 75 11 40 38 69 18 74 05 FF 43 28 EB 26 83 4B 28 FF EB 20 FF 43 28 48 FF 41 10 48 8B 83 68 04 00 00 48 8B 08 66 44 89 01 48 8B 83 68 04 00 00 48 83 00 02 48 03 F2 FF C7 48 8B C2 3B 7B 50 75 87 EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 48 B0 01 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_945_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 296
		refs = "0058 _errno 0093 _fputc_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B 01 49 8B D9 49 63 E8 4C 8B FA 48 8B F1 44 8B 50 14 41 C1 EA 0C 41 F6 C2 01 74 12 48 8B 01 48 83 78 08 00 75 08 41 01 29 E9 BD 00 00 00 48 8B 7C 24 60 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 4C 8B 37 45 8B 26 41 83 26 00 49 03 EF E9 81 00 00 00 48 8B 06 41 8A 17 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 14 0F BE CA 48 8B 16 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 09 FF 03 8B 03 83 F8 FF 75 46 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 48 8B 07 83 38 2A 75 3C 48 8B 06 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 16 48 8B 16 B9 3F 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 49 FF C7 4C 3B FD 0F 85 76 FF FF FF 41 83 3E 00 75 08 45 85 E4 74 03 45 89 26 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_392_946_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 309
		refs = "0051 _errno 009e _fputwc_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 20 48 8B 01 49 8B D9 49 63 E8 4C 8B FA 48 8B F1 44 8B 50 14 41 C1 EA 0C 41 F6 C2 01 74 12 48 8B 01 48 83 78 08 00 75 08 41 01 29 E9 D9 00 00 00 48 8B 7C 24 70 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 4C 8B 37 49 8D 2C 6F 45 8B 26 41 83 26 00 44 89 64 24 50 4C 3B FD 0F 84 9C 00 00 00 41 BC FF FF 00 00 48 8B 06 45 0F B7 07 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 17 48 8B 16 41 0F B7 C8 E8 ?? ?? ?? ?? 66 41 3B C4 75 05 83 0B FF EB 09 FF 03 8B 03 83 F8 FF 75 48 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 48 8B 07 83 38 2A 75 3F 48 8B 06 8B 48 14 C1 E9 0C F6 C1 01 74 0A 48 8B 06 48 83 78 08 00 74 18 48 8B 16 B9 3F 00 00 00 E8 ?? ?? ?? ?? 66 41 3B C4 75 05 83 0B FF EB 02 FF 03 49 83 C7 02 4C 3B FD 0F 85 6F FF FF FF 44 8B 64 24 50 41 83 3E 00 75 08 45 85 E4 74 03 45 89 26 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_392_947_0 {
	meta:
		name = "?write_string@?$string_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 163
		refs = "005e memcpy"
	strings:
		$1 = { 45 85 C0 0F 84 99 00 00 00 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4C 8B F1 49 63 F8 48 8B 09 49 8B D9 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 41 01 39 EB 45 41 83 09 FF EB 3F 48 2B 41 10 48 8B F7 48 8B 09 48 3B C7 48 0F 42 F0 4C 8B C6 E8 ?? ?? ?? ?? 49 8B 06 48 01 30 49 8B 06 48 01 70 10 49 8B 06 80 78 18 00 74 04 01 3B EB 0C 48 3B F7 74 05 83 0B FF EB 02 01 33 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_948_0 {
	meta:
		name = "?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 165
		refs = "0061 memcpy"
	strings:
		$1 = { 45 85 C0 0F 84 9B 00 00 00 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 4C 8B F9 49 63 F0 48 8B 09 49 8B F9 48 8B 41 08 48 39 41 10 75 11 80 79 18 00 74 05 41 01 31 EB 4A 41 83 09 FF EB 44 48 2B 41 10 4C 8B F6 48 8B 09 48 3B C6 4C 0F 42 F0 4B 8D 1C 36 4C 8B C3 E8 ?? ?? ?? ?? 49 8B 07 48 01 18 49 8B 07 4C 01 70 10 49 8B 07 80 78 18 00 74 04 01 37 EB 0D 4C 3B F6 74 05 83 0F FF EB 03 44 01 37 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_949_0 {
	meta:
		name = "__acrt_isleadbyte_l_noupdate"
		size = 21
	strings:
		$1 = { 48 8B 02 44 0F B6 C1 48 8B 08 42 0F B7 04 41 25 00 80 00 00 C3 }
	condition:
		$1
}

rule file_392_951_0 {
	meta:
		name = "__stdio_common_vfprintf"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_a62c933ada0517137acf5807a1eeac1f>@@AEAV<lambda_a31071773b9a94e445cbd5d04ef99106>@@V<lambda_56065050dbf3ada7e59a83db45153de3>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_a62c933ada0517137acf5807a1eeac1f>@@AEAV<lambda_a31071773b9a94e445cbd5d04ef99106>@@$$QEAV<lambda_56065050dbf3ada7e59a83db45153de3>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_952_0 {
	meta:
		name = "__stdio_common_vfprintf_p"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_d1aaa8c864b24422b55e9201296d78b9>@@AEAV<lambda_a2288fdbbd702c8f223b438290af01a4>@@V<lambda_4f4c57057ae4c2bc431a3fc6ace2791f>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_d1aaa8c864b24422b55e9201296d78b9>@@AEAV<lambda_a2288fdbbd702c8f223b438290af01a4>@@$$QEAV<lambda_4f4c57057ae4c2bc431a3fc6ace2791f>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_953_0 {
	meta:
		name = "__stdio_common_vfprintf_s"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_74b93660f2d9eb3fb15c5de9eff9db7b>@@AEAV<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@V<lambda_7322894ee7c8a2d41153fedefeab09e3>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_74b93660f2d9eb3fb15c5de9eff9db7b>@@AEAV<lambda_32f117a32e8f8eb613cbf2ca819ed45e>@@$$QEAV<lambda_7322894ee7c8a2d41153fedefeab09e3>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_954_2 {
	meta:
		name = "__stdio_common_vfwprintf"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_0d412022a4b28cc8a401ea49574e8ae6>@@AEAV<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@V<lambda_975a71a6baa488a08f4e15f6b0339b9e>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_0d412022a4b28cc8a401ea49574e8ae6>@@AEAV<lambda_a775ed57af18ba8e4d5dc780aa9068fe>@@$$QEAV<lambda_975a71a6baa488a08f4e15f6b0339b9e>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_955_2 {
	meta:
		name = "__stdio_common_vfwprintf_p"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_55577cdf4457e05136e8c1bc6549f697>@@AEAV<lambda_ee59099aa97e0ff6f003b984c1584058>@@V<lambda_cd4250c7ac9eb50c05cf8bb6b444cf42>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_55577cdf4457e05136e8c1bc6549f697>@@AEAV<lambda_ee59099aa97e0ff6f003b984c1584058>@@$$QEAV<lambda_cd4250c7ac9eb50c05cf8bb6b444cf42>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_956_2 {
	meta:
		name = "__stdio_common_vfwprintf_s"
		size = 139
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0081 ??$?RV<lambda_e823f95267a816de70ce630183b86bc2>@@AEAV<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@V<lambda_57931389d27d3dce8b0bd13c3d0d8333>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_e823f95267a816de70ce630183b86bc2>@@AEAV<lambda_7e489fec146d5348dbc86d3cce37c1b5>@@$$QEAV<lambda_57931389d27d3dce8b0bd13c3d0d8333>@@@Z"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 8B 45 30 48 89 45 C0 4C 89 4D 18 4C 89 45 28 48 89 55 10 48 89 4D 20 48 85 D2 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4A 4D 85 C0 74 E6 48 8D 45 10 48 89 55 C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 18 48 89 55 D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 28 48 89 45 F0 48 8D 4D 30 48 8D 45 C0 48 89 45 F8 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_392_957_0 {
	meta:
		name = "__stdio_common_vsnprintf_s"
		size = 348
		refs = "0066 _errno 0093 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEAD0QEBDQEAU__crt_locale_pointers@@1@Z 0123 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 57 48 83 EC 30 48 83 7C 24 70 00 49 8B E9 49 8B F0 48 8B FA 4C 8B E1 0F 84 FD 00 00 00 4D 85 C9 75 15 48 85 D2 75 19 4D 85 C0 0F 85 EA 00 00 00 33 DB E9 F7 00 00 00 48 85 D2 0F 84 DA 00 00 00 4D 85 C0 0F 84 D1 00 00 00 48 83 CB FF 4D 3B C1 76 51 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8D 45 01 48 8B D7 49 8B CC 8B 30 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 6F E8 ?? ?? ?? ?? 83 38 22 0F 85 93 00 00 00 E8 ?? ?? ?? ?? 89 30 E9 87 00 00 00 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8B C6 48 8B D7 49 8B CC 44 8B 38 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? C6 44 37 FF 00 83 F8 FE 75 19 48 3B EB 75 18 E8 ?? ?? ?? ?? 83 38 22 75 40 E8 ?? ?? ?? ?? 44 89 38 EB 36 85 C0 79 1A C6 07 00 83 F8 FE 75 2A E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? EB 18 8B D8 EB 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B 6C 24 58 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 30 41 5F 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_958_0 {
	meta:
		name = "__stdio_common_vsnwprintf_s"
		size = 364
		refs = "006e _errno 009b ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEA_W0QEB_WQEAU__crt_locale_pointers@@QEAD@Z 012d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 30 45 33 ED 49 8B E9 49 8B F0 48 8B FA 4C 8B E1 4C 39 6C 24 70 0F 84 00 01 00 00 4D 85 C9 75 16 48 85 D2 75 1A 4D 85 C0 0F 85 ED 00 00 00 41 8B DD E9 F9 00 00 00 48 85 D2 0F 84 DC 00 00 00 4D 85 C0 0F 84 D3 00 00 00 48 83 CB FF 4D 3B C1 76 51 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8D 45 01 48 8B D7 49 8B CC 8B 30 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 70 E8 ?? ?? ?? ?? 83 38 22 0F 85 95 00 00 00 E8 ?? ?? ?? ?? 89 30 E9 89 00 00 00 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 4C 8B C6 48 8B D7 49 8B CC 44 8B 38 48 8B 84 24 80 00 00 00 48 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 E8 ?? ?? ?? ?? 66 44 89 6C 77 FE 83 F8 FE 75 19 48 3B EB 75 18 E8 ?? ?? ?? ?? 83 38 22 75 41 E8 ?? ?? ?? ?? 44 89 38 EB 37 85 C0 79 1B 66 44 89 2F 83 F8 FE 75 2A E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? EB 18 8B D8 EB 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 CB FF 48 8B 6C 24 58 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "wcscat"
		size = 44
	strings:
		$1 = { 66 83 39 00 4C 8B C1 74 0B 49 83 C0 02 66 41 83 38 00 75 F5 4C 2B C2 0F B7 02 66 41 89 04 10 48 8D 52 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_394_5_0 {
	meta:
		name = "_mbspbrk_l"
		size = 207
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002f strpbrk 0040 _errno 004b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 30 83 7A 08 00 75 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 7C 48 85 DB 74 05 48 85 FF 75 63 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5E 80 3F 00 48 8B CF 74 2D 0F B6 01 F6 44 10 19 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 80 39 00 75 D3 80 39 00 75 1A 0F B6 03 F6 44 10 19 04 74 08 48 FF C3 80 3B 00 74 08 48 FF C3 80 3B 00 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "_getsystime"
		size = 158
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 0038 __imp_GetLocalTime 0082 _mktime32 0094 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5A 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 44 24 2C 48 8B CB 83 4B 20 FF 89 03 0F B7 44 24 2A 89 43 04 0F B7 44 24 28 89 43 08 0F B7 44 24 26 89 43 0C 0F B7 44 24 22 FF C8 89 43 10 0F B7 44 24 20 2D 6C 07 00 00 89 43 14 0F B7 44 24 24 89 43 18 E8 ?? ?? ?? ?? 0F B7 44 24 2E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_395_1_0 {
	meta:
		name = "_setsystime"
		size = 163
		refs = "000d __security_cookie 0029 _mktime32 0079 __imp_SetLocalTime 0083 __imp_GetLastError 0094 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 8B FA 48 8B D9 48 85 C9 75 05 8D 41 57 EB 63 E8 ?? ?? ?? ?? 0F B7 43 14 B9 6C 07 00 00 66 03 C1 66 89 7C 24 2E 66 89 44 24 20 48 8D 4C 24 20 0F B7 43 10 66 FF C0 66 89 44 24 22 0F B7 43 0C 66 89 44 24 26 0F B7 43 08 66 89 44 24 28 0F B7 43 04 66 89 44 24 2A 0F B7 03 66 89 44 24 2C FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "carg"
		size = 69
		refs = "0020 cimag 002d creal 0041 atan2"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 48 D8 F3 0F 7F 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "cosh"
		size = 885
		refs = "0055 __real@3ff0000000000000 0064 _set_statfp 007c _handle_nan 00af __xmm@80000000000000008000000000000000 00b8 __real@408633ce8fb9f87e 00c9 ??_C@_04HPJJNFIM@cosh?$AA@ 00f9 _handle_error 0107 __real@4034000000000000 0115 __real@3dcf473de6af278e 0125 __real@3f962e42fe000000 0131 __real@40471547652b82fe 0163 splitexp 0229 __ImageBase 023c ?cosh_tail@?1??cosh@@9@9 0245 ?cosh_lead@?1??cosh@@9@9 0253 ?sinh_lead@?1??cosh@@9@9 026a __real@3d6b4125921ea08b 0275 __real@3da9984b7f63fcd7 0282 __real@3de611cb2bdcb7be 028a __real@3e21ee56385b7b20 029a __real@3e5ae6460fbe61c0 02a2 __real@3e927e5069f1cb55 02b2 __real@3ec71de3a4e13e7d 02ba __real@3efa01a019079011 02ca __real@3f2a01a01a01ee80 02d2 __real@3f56c16c16c212e5 02e2 __real@3f811111111110fd 02ea __real@3fa5555555555502 02fa __real@3fc5555555555555 0302 __real@3fe0000000000000 0316 ?sinh_tail@?1??cosh@@9@9"
	strings:
		$1 = { 40 53 48 81 EC 80 00 00 00 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 70 F2 0F 11 84 24 A8 00 00 00 0F 28 C8 48 8B 8C 24 A8 00 00 00 48 8B C1 0F 29 7C 24 60 48 23 C2 44 0F 29 44 24 50 48 BA 00 00 00 00 00 00 30 3E 48 3B C2 73 1E 48 85 C0 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 FE 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? EB E7 48 BB 00 00 00 00 00 00 F0 7F 48 3B C3 72 29 76 0A E8 ?? ?? ?? ?? E9 D7 02 00 00 33 C9 E8 ?? ?? ?? ?? 48 89 9C 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 E9 BA 02 00 00 44 0F 28 C0 48 3B C1 74 08 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? 72 44 C7 44 24 40 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 0F 57 C0 F2 0F 11 44 24 38 4C 8B C3 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 44 8D 4A F0 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? E9 5A 02 00 00 66 44 0F 2F 05 ?? ?? ?? ?? 0F 82 10 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 41 0F 28 C0 F2 0F 10 15 ?? ?? ?? ?? 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 34 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 EB 5C 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 F2 0F 10 8C 24 A8 00 00 00 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 F2 0F 59 F9 F2 0F 59 F8 E9 38 01 00 00 F2 41 0F 2C C0 48 8D 0D ?? ?? ?? ?? 66 0F 6E C0 F3 0F E6 C0 48 98 F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 10 A4 C1 ?? ?? ?? ?? F2 44 0F 5C C0 F2 0F 10 9C C1 ?? ?? ?? ?? 41 0F 28 C8 F2 41 0F 59 C8 0F 28 F1 0F 28 E9 F2 0F 59 35 ?? ?? ?? ?? 0F 28 C1 F2 0F 59 2D ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F1 F2 0F 59 E9 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F1 F2 0F 59 E9 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F1 F2 0F 59 E9 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F1 F2 0F 59 E9 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F1 F2 0F 59 E9 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F0 0F 28 C2 F2 0F 59 E9 F2 0F 10 8C C1 ?? ?? ?? ?? 0F 28 F9 F2 41 0F 59 C8 F2 0F 59 FE F2 0F 59 C5 F2 0F 58 F8 F2 0F 58 F9 0F 28 CC F2 0F 59 CD F2 0F 58 FA 0F 28 D3 F2 0F 59 D6 F2 41 0F 59 D8 F2 0F 58 F9 F2 0F 58 FA F2 0F 58 FB F2 0F 58 FC 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 80 00 00 00 5B C3 }
	condition:
		$1
}

rule file_398_7_0 {
	meta:
		name = "?__acrt_LCMapStringA_stat@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDHPEADHHH@Z"
		size = 859
		refs = "0022 __security_cookie 0049 __strncnt 0089 __imp_MultiByteToWideChar 00ea __chkstk 0111 _malloc_base 0188 __acrt_LCMapStringEx 02de __imp_WideCharToMultiByte 02f5 _free_base 031b __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 50 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 48 63 5D 60 4D 8B F9 48 89 55 00 45 8B E8 48 8B F9 85 DB 7E 14 48 8B D3 49 8B C9 E8 ?? ?? ?? ?? 3B C3 8D 58 01 7C 02 8B D8 44 8B 75 78 45 85 F6 75 07 48 8B 07 44 8B 70 0C F7 9D 80 00 00 00 44 8B CB 4D 8B C7 41 8B CE 1B D2 83 64 24 28 00 48 83 64 24 20 00 83 E2 08 FF C2 FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 0F 84 7B 02 00 00 49 8B D4 49 B8 F0 FF FF FF FF FF FF 0F 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 72 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 37 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 74 24 50 48 85 F6 0F 84 FA 01 00 00 C7 06 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C6 10 EB 02 33 F6 48 85 F6 0F 84 C5 01 00 00 44 89 64 24 28 44 8B CB 4D 8B C7 48 89 74 24 20 BA 01 00 00 00 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 0F 84 9F 01 00 00 48 83 64 24 40 00 45 8B CC 48 83 64 24 38 00 4C 8B C6 48 83 64 24 30 00 41 8B D5 4C 8B 7D 00 83 64 24 28 00 49 8B CF 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 63 F8 85 C0 0F 84 62 01 00 00 41 B8 00 04 00 00 45 85 E8 74 52 8B 45 70 85 C0 0F 84 4E 01 00 00 3B F8 0F 8F 44 01 00 00 48 83 64 24 40 00 45 8B CC 48 83 64 24 38 00 4C 8B C6 48 83 64 24 30 00 41 8B D5 89 44 24 28 49 8B CF 48 8B 45 68 48 89 44 24 20 E8 ?? ?? ?? ?? 8B F8 85 C0 0F 85 0C 01 00 00 E9 05 01 00 00 48 8B D7 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 76 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 49 3B C0 48 8D 42 10 77 3E 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 50 48 85 DB 0F 84 A4 00 00 00 C7 03 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 73 48 83 64 24 40 00 45 8B CC 48 83 64 24 38 00 4C 8B C6 48 83 64 24 30 00 41 8B D5 89 7C 24 28 49 8B CF 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 74 32 48 83 64 24 38 00 33 D2 48 21 54 24 30 44 8B CF 8B 45 70 4C 8B C3 41 8B CE 85 C0 75 66 21 54 24 28 48 21 54 24 20 FF 15 ?? ?? ?? ?? 8B F8 85 C0 75 60 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 33 FF 48 85 F6 74 11 48 8D 4E F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 89 44 24 28 48 8B 45 68 48 89 44 24 20 EB 94 48 8D 4B F0 81 39 DD DD 00 00 75 A7 E8 ?? ?? ?? ?? EB A0 }
	condition:
		$1
}

rule file_398_11_0 {
	meta:
		name = "__acrt_LCMapStringA"
		size = 150
		refs = "0021 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006d ?__acrt_LCMapStringA_stat@@YAHPEAU__crt_locale_pointers@@PEB_WKPEBDHPEADHHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 70 48 8B F2 49 8B D9 48 8B D1 41 8B F8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B 84 24 C0 00 00 00 48 8D 4C 24 58 89 44 24 40 4C 8B CB 8B 84 24 B8 00 00 00 44 8B C7 89 44 24 38 48 8B D6 8B 84 24 B0 00 00 00 89 44 24 30 48 8B 84 24 A8 00 00 00 48 89 44 24 28 8B 84 24 A0 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 68 00 74 0C 48 8B 4C 24 50 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_399_0_0 {
	meta:
		name = "_strnset"
		size = 24
	strings:
		$1 = { 48 8B C1 EB 0D 49 FF C8 80 39 00 74 0A 88 11 48 FF C1 4D 85 C0 75 EE C3 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "fesetenv"
		size = 76
		refs = "0016 _setfpcontrolword 001e _setfpstatusword 0028 fegetenv"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 48 8B D9 8B 09 83 64 24 34 00 E8 ?? ?? ?? ?? 8B 4B 04 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B 44 24 30 39 03 75 0D 8B 44 24 34 39 43 04 75 04 33 C0 EB 05 B8 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_401_0_0 {
	meta:
		name = "?locking_nolock@@YAHHHJ@Z"
		size = 274
		refs = "0027 _lseeki64_nolock 0074 _get_osfhandle 0093 __imp_UnlockFileEx 00af __imp_LockFileEx 00c4 __imp_Sleep 00d0 __imp_GetLastError 00d7 __acrt_errno_map_os_error 00e6 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 8B FA 45 8B F0 33 D2 8B E9 44 8D 42 01 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 BB 00 00 00 48 83 64 24 30 00 33 C9 48 89 4C 24 40 8B F1 89 44 24 40 48 C1 F8 20 89 44 24 44 8D 47 FF A9 FD FF FF FF 48 89 4C 24 38 48 89 4C 24 48 0F 94 C0 F6 D8 1B DB 83 E3 09 83 C3 01 74 5D 8B CD E8 ?? ?? ?? ?? 48 8B C8 48 8D 44 24 30 85 FF 75 15 45 33 C9 48 89 44 24 20 45 8B C6 33 D2 FF 15 ?? ?? ?? ?? EB 1A 45 33 C0 48 89 44 24 28 83 64 24 20 00 45 8B CE 41 8D 50 03 FF 15 ?? ?? ?? ?? 83 F8 01 0F 94 C0 84 C0 75 51 B9 E8 03 00 00 FF 15 ?? ?? ?? ?? FF C6 3B F3 75 A3 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8D 47 FF A9 FD FF FF FF 75 0B E8 ?? ?? ?? ?? C7 00 24 00 00 00 83 C8 FF 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 33 C0 EB E1 }
	condition:
		$1
}

rule file_401_1_0 {
	meta:
		name = "_locking"
		size = 275
		refs = "0025 __doserrno 002d _errno 0046 _nhandle 005d __pioinfo 009c __acrt_lowio_lock_fh 00d4 ?locking_nolock@@YAHHHJ@Z 00dd __acrt_lowio_unlock_fh 00f9 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 41 54 41 55 41 56 41 57 48 83 EC 20 45 8B F8 44 8B EA 48 63 F1 83 FE FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C1 00 00 00 85 C9 0F 88 A1 00 00 00 3B 35 ?? ?? ?? ?? 0F 83 95 00 00 00 4C 8B F6 4C 8B E6 49 C1 FC 06 48 8D 05 ?? ?? ?? ?? 41 83 E6 3F 49 C1 E6 06 4A 8B 04 E0 42 0F B6 4C 30 38 83 E1 01 74 6D 33 C0 45 85 C0 0F 99 C0 85 C0 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 5F 8B CE E8 ?? ?? ?? ?? 83 CB FF 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 42 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 0F 45 8B C7 41 8B D5 8B CE E8 ?? ?? ?? ?? 8B D8 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5E C3 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "_set_abort_behavior"
		size = 28
		refs = "0002 __abort_behavior"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 44 8B C2 41 F7 D0 23 CA 44 23 C0 44 0B C1 44 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_402_1_0 {
	meta:
		name = "abort"
		size = 85
		refs = "0005 __acrt_get_sigabrt_handler 0014 raise 001a __abort_behavior 0027 IsProcessorFeaturePresent 0046 __acrt_call_reportfault 0050 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0A B9 16 00 00 00 E8 ?? ?? ?? ?? F6 05 ?? ?? ?? ?? 02 74 29 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 07 00 00 00 CD 29 41 B8 01 00 00 00 BA 15 00 00 40 41 8D 48 02 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_403_0_0 {
	meta:
		name = "_dquad"
		size = 1041
		refs = "0026 __security_cookie 003c __real@c1945f306dc9c883 0053 __real@41945f306dc9c883 0065 __real@3fe45f306dc9c883 0076 __real@3fe0000000000000 0080 __real@bfe0000000000000 0092 _d_int 00b7 __real@3fd0000000000000 00bf __real@3e50000000000000 00cd __real@41b921fb50000000 00d5 __real@401110b460000000 00e4 __real@3e51a62620000000 00f3 __real@3cd3145c00000000 00fb __real@3b3b839a20000000 012a _dunscale 0145 _dxp_setw 016b _dscale 018a __b 01bf _dxp_mulh 0213 _dxp_addx 021a __c 024b __real@3fc45f306dc9c883 0268 __real@be50000000000000 0285 memcpy 02ac get_acsize 0376 __real@bfd0000000000000 03a2 _dxp_getw 03b4 __real@c1dfffffffc00000 03c2 __real@41dfffffffc00000 03cc __real@41e0000000000000 03d4 fmod 03ea __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 A1 48 81 EC 00 01 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F F2 0F 10 09 48 8B F9 F2 0F 10 3D ?? ?? ?? ?? 66 0F 2F CF F2 0F 11 4D 87 0F 86 C5 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 86 B3 00 00 00 F2 0F 59 0D ?? ?? ?? ?? 0F 57 F6 66 0F 2F CE 72 0A F2 0F 58 0D ?? ?? ?? ?? EB 08 F2 0F 58 0D ?? ?? ?? ?? 33 D2 F2 0F 11 4C 24 28 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 66 0F 2E E6 7A 09 75 07 F2 0F 10 5D 87 EB 60 F2 0F 10 5D 87 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 0F 28 C2 0F 28 CA F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D9 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D9 F2 0F 5C DA F2 0F 11 1F E9 9C 02 00 00 48 8D 54 24 28 F2 0F 11 4C 24 28 48 8D 4C 24 20 BB 06 00 00 00 E8 ?? ?? ?? ?? 66 83 7C 24 20 56 0F 57 F6 7D 15 F2 0F 10 55 87 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? E9 C9 00 00 00 0F BF 44 24 20 48 8D 4D 87 83 E8 36 C1 F8 05 0F BF D0 C1 E2 05 F7 DA 66 89 44 24 20 E8 ?? ?? ?? ?? F2 0F 10 55 87 48 8D 4D 8F BA 02 00 00 00 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 35 ?? ?? ?? ?? F2 0F 10 55 8F FF C8 48 98 8B D3 48 8D 0C 40 48 03 C9 0F 10 04 CE 0F 10 4C CE 10 0F 11 45 9F 0F 10 44 CE 20 48 8D 4D 9F 0F 11 4D AF 0F 11 45 BF E8 ?? ?? ?? ?? F2 0F 10 55 97 66 0F 2E D6 7A 02 74 47 0F BF 44 24 20 8B D3 FF C8 48 98 48 8D 0C 40 48 03 C9 0F 10 04 CE 0F 10 4C CE 10 0F 11 45 CF 0F 10 44 CE 20 48 8D 4D CF 0F 11 4D DF 0F 11 45 EF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? F2 0F 10 4D 9F 66 0F 2F F9 77 0E 66 0F 2F 0D ?? ?? ?? ?? 0F 86 C8 00 00 00 F2 0F 10 45 A7 48 8D 4C 24 28 F2 0F 58 C1 33 D2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D 8F F2 0F 59 15 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 63 C3 48 8D 4D CF 49 C1 E0 03 48 8B D6 E8 ?? ?? ?? ?? F2 0F 10 55 8F 48 8D 4D CF 8B D3 E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 02 74 42 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D FF 4C 8B C3 48 8B D6 49 C1 E0 03 E8 ?? ?? ?? ?? F2 0F 10 55 97 48 8D 4D FF 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 FF 8B D3 48 8D 4D CF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? E9 1F FF FF FF F2 0F 10 45 A7 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C6 72 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? 33 D2 F2 0F 11 44 24 28 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 44 24 28 66 0F 2E C6 7A 02 74 53 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D FF 4C 8B C3 48 8B D6 49 C1 E0 03 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D FF F2 0F 59 15 ?? ?? ?? ?? 8B D3 F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 FF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? F2 0F 10 64 24 28 F2 0F 11 07 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CC 77 0A 66 0F 2F 25 ?? ?? ?? ?? 76 13 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F2 0F 2C C4 83 E0 03 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_630_0_0 {
	meta:
		name = "_ldquad"
		size = 1041
		refs = "0026 __security_cookie 003c __real@c1945f306dc9c883 0053 __real@41945f306dc9c883 0065 __real@3fe45f306dc9c883 0076 __real@3fe0000000000000 0080 __real@bfe0000000000000 0092 _ld_int 00b7 __real@3fd0000000000000 00bf __real@3e50000000000000 00cd __real@41b921fb50000000 00d5 __real@401110b460000000 00e4 __real@3e51a62620000000 00f3 __real@3cd3145c00000000 00fb __real@3b3b839a20000000 012a _ldunscale 0145 _ldxp_setw 016b _ldscale 018a __b 01bf _ldxp_mulh 0213 _ldxp_addx 021a __c 024b __real@3fc45f306dc9c883 0268 __real@be50000000000000 0285 memcpy 02ac get_acsize 0376 __real@bfd0000000000000 03a2 _ldxp_getw 03b4 __real@c1dfffffffc00000 03c2 __real@41dfffffffc00000 03cc __real@41e0000000000000 03d4 fmod 03ea __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 A1 48 81 EC 00 01 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F F2 0F 10 09 48 8B F9 F2 0F 10 3D ?? ?? ?? ?? 66 0F 2F CF F2 0F 11 4D 87 0F 86 C5 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 86 B3 00 00 00 F2 0F 59 0D ?? ?? ?? ?? 0F 57 F6 66 0F 2F CE 72 0A F2 0F 58 0D ?? ?? ?? ?? EB 08 F2 0F 58 0D ?? ?? ?? ?? 33 D2 F2 0F 11 4C 24 28 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 66 0F 2E E6 7A 09 75 07 F2 0F 10 5D 87 EB 60 F2 0F 10 5D 87 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 0F 28 C2 0F 28 CA F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D9 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D9 F2 0F 5C DA F2 0F 11 1F E9 9C 02 00 00 48 8D 54 24 28 F2 0F 11 4C 24 28 48 8D 4C 24 20 BB 06 00 00 00 E8 ?? ?? ?? ?? 66 83 7C 24 20 56 0F 57 F6 7D 15 F2 0F 10 55 87 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? E9 C9 00 00 00 0F BF 44 24 20 48 8D 4D 87 83 E8 36 C1 F8 05 0F BF D0 C1 E2 05 F7 DA 66 89 44 24 20 E8 ?? ?? ?? ?? F2 0F 10 55 87 48 8D 4D 8F BA 02 00 00 00 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 35 ?? ?? ?? ?? F2 0F 10 55 8F FF C8 48 98 8B D3 48 8D 0C 40 48 03 C9 0F 10 04 CE 0F 10 4C CE 10 0F 11 45 9F 0F 10 44 CE 20 48 8D 4D 9F 0F 11 4D AF 0F 11 45 BF E8 ?? ?? ?? ?? F2 0F 10 55 97 66 0F 2E D6 7A 02 74 47 0F BF 44 24 20 8B D3 FF C8 48 98 48 8D 0C 40 48 03 C9 0F 10 04 CE 0F 10 4C CE 10 0F 11 45 CF 0F 10 44 CE 20 48 8D 4D CF 0F 11 4D DF 0F 11 45 EF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? F2 0F 10 4D 9F 66 0F 2F F9 77 0E 66 0F 2F 0D ?? ?? ?? ?? 0F 86 C8 00 00 00 F2 0F 10 45 A7 48 8D 4C 24 28 F2 0F 58 C1 33 D2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D 8F F2 0F 59 15 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 63 C3 48 8D 4D CF 49 C1 E0 03 48 8B D6 E8 ?? ?? ?? ?? F2 0F 10 55 8F 48 8D 4D CF 8B D3 E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 02 74 42 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D FF 4C 8B C3 48 8B D6 49 C1 E0 03 E8 ?? ?? ?? ?? F2 0F 10 55 97 48 8D 4D FF 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 FF 8B D3 48 8D 4D CF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? E9 1F FF FF FF F2 0F 10 45 A7 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C6 72 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? 33 D2 F2 0F 11 44 24 28 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 44 24 28 66 0F 2E C6 7A 02 74 53 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D FF 4C 8B C3 48 8B D6 49 C1 E0 03 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D FF F2 0F 59 15 ?? ?? ?? ?? 8B D3 F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 FF 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? 8B D3 48 8D 4D 9F E8 ?? ?? ?? ?? F2 0F 10 64 24 28 F2 0F 11 07 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CC 77 0A 66 0F 2F 25 ?? ?? ?? ?? 76 13 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F2 0F 2C C4 83 E0 03 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_403_1_0 {
	meta:
		name = "_dquadph"
		size = 214
		refs = "0016 _dquad 002d _d_int 003b __real@c1cfffffff800000 004d __real@41cfffffff800000 0057 __real@41d0000000000000 005c fmod 0064 __real@4000000000000000 006f __real@400921fb54442d18 0088 __real@3fe921fb54442d18 0092 __real@3fe0000000000000 009e __real@bfe921fb54442d18"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? BA 01 00 00 00 F2 0F 11 74 24 40 48 8D 4C 24 40 8B D8 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C F0 66 0F 2F D0 77 0A 66 0F 2F 05 ?? ?? ?? ?? 76 0D F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 CE F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 CA F2 0F 2C C0 F2 0F 58 0F 83 E0 03 03 D8 66 0F 2F 0D ?? ?? ?? ?? 72 0C F2 0F 5C 35 ?? ?? ?? ?? FF C3 EB 18 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 18 F2 0F 58 35 ?? ?? ?? ?? FF CB F2 0F 59 F2 F2 0F 58 37 F2 0F 11 37 EB 04 F2 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_630_1_0 {
	meta:
		name = "_ldquadph"
		size = 214
		refs = "0016 _ldquad 002d _ld_int 003b __real@c1cfffffff800000 004d __real@41cfffffff800000 0057 __real@41d0000000000000 005c fmod 0064 __real@4000000000000000 006f __real@400921fb54442d18 0088 __real@3fe921fb54442d18 0092 __real@3fe0000000000000 009e __real@bfe921fb54442d18"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? BA 01 00 00 00 F2 0F 11 74 24 40 48 8D 4C 24 40 8B D8 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C F0 66 0F 2F D0 77 0A 66 0F 2F 05 ?? ?? ?? ?? 76 0D F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 CE F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 CA F2 0F 2C C0 F2 0F 58 0F 83 E0 03 03 D8 66 0F 2F 0D ?? ?? ?? ?? 72 0C F2 0F 5C 35 ?? ?? ?? ?? FF C3 EB 18 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 18 F2 0F 58 35 ?? ?? ?? ?? FF CB F2 0F 59 F2 F2 0F 58 37 F2 0F 11 37 EB 04 F2 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_403_2_0 {
	meta:
		name = "_dsin"
		size = 378
		refs = "0013 _dtest 003a _dquad 0042 _Rteps_C 004c __xmm@80000000000000008000000000000000 0075 __real@3ff0000000000000 0091 __real@3e21ba39100a2609 0099 __real@3e927df9c661a83b 00a5 __real@3efa019f9030ac63 00b1 __real@3f56c16c1651fbf6 00bd __real@3fa55555555502b1 00c9 __real@3fdfffffffffffae 00e2 __real@3de5d810c32f8fb0 00ea __real@3e5ae5e1a1730c8f 00f6 __real@3ec71de34fe4ad4d 0102 __real@3f2a01a019b5e33e 010e __real@3f8111111110f0fa 011e __real@3fc5555555555542 0145 _fperrraise 014d _Nan_C"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 31 01 00 00 83 E9 01 0F 84 14 01 00 00 83 F9 01 0F 84 03 01 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 03 D8 F2 0F 10 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 10 4C 24 30 0F 57 C3 66 0F 2F C8 76 1C 66 0F 2F D1 76 16 F6 C3 01 0F 84 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 AC 00 00 00 0F 28 D1 F2 0F 59 D1 F6 C3 01 74 51 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? EB 4F 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D1 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C8 F6 C3 02 74 03 0F 57 CB 0F 28 C1 EB 3D F2 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_630_2_0 {
	meta:
		name = "_ldsin"
		size = 378
		refs = "0013 _ldtest 003a _ldquad 0042 _LRteps_C 004c __xmm@80000000000000008000000000000000 0075 __real@3ff0000000000000 0091 __real@3e21ba39100a2609 0099 __real@3e927df9c661a83b 00a5 __real@3efa019f9030ac63 00b1 __real@3f56c16c1651fbf6 00bd __real@3fa55555555502b1 00c9 __real@3fdfffffffffffae 00e2 __real@3de5d810c32f8fb0 00ea __real@3e5ae5e1a1730c8f 00f6 __real@3ec71de34fe4ad4d 0102 __real@3f2a01a019b5e33e 010e __real@3f8111111110f0fa 011e __real@3fc5555555555542 0145 _fperrraise 014d _LNan_C"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 31 01 00 00 83 E9 01 0F 84 14 01 00 00 83 F9 01 0F 84 03 01 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 03 D8 F2 0F 10 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 10 4C 24 30 0F 57 C3 66 0F 2F C8 76 1C 66 0F 2F D1 76 16 F6 C3 01 0F 84 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 AC 00 00 00 0F 28 D1 F2 0F 59 D1 F6 C3 01 74 51 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? EB 4F 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D1 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C8 F6 C3 02 74 03 0F 57 CB 0F 28 C1 EB 3D F2 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_403_3_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _dunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 ED 73 48 4D F7 E9 C1 FA 04 8B C2 C1 E8 1F 03 D0 B8 06 00 00 00 8D 14 55 05 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_630_4_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _ldunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 ED 73 48 4D F7 E9 C1 FA 04 8B C2 C1 E8 1F 03 D0 B8 06 00 00 00 8D 14 55 05 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_403_4_0 {
	meta:
		name = "lgamma"
		size = 585
		refs = "0021 _d_int 0054 _fperrraise 005c _Inf_C 0069 _dgamma_big 0073 __xmm@80000000000000008000000000000000 0086 __real@400921fb54442d18 008e _dsin 00a9 _dlog 00bd lgamma_big 00e6 rootapprox 0141 _dpoly 014e __real@3ff3333333333333 0158 __real@3ff8000000000000 0165 approx 01d5 _dtgamma 01e8 __xmm@7fffffffffffffff7fffffffffffffff 020d __real@3fe62e42c0000000 0215 __real@3e7f7d1cf79abc9e 022c log1p"
	strings:
		$1 = { F2 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 30 33 D2 F2 0F 11 45 30 48 8D 4D 30 0F 29 74 24 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 33 D2 0F BF C8 85 C9 74 12 83 E9 01 74 20 83 F9 01 75 28 0F 28 C1 E9 F7 01 00 00 0F 57 C0 66 0F 2F C1 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D7 01 00 00 F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 0F 57 05 ?? ?? ?? ?? 66 0F 2F C1 76 50 F2 0F 5C 4D 30 F2 0F 59 0D ?? ?? ?? ?? 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 59 45 20 33 D2 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 5C F0 0F 28 C6 E9 6F 01 00 00 66 0F 2F CA 72 0D 0F 28 C1 E8 ?? ?? ?? ?? E9 5C 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 66 0F 2F 49 F8 76 0A F2 0F 10 01 66 0F 2F C1 77 10 41 FF C0 48 83 C1 30 49 63 C0 48 83 F8 0B 72 DF 49 63 C0 48 83 F8 0B 73 36 48 8D 14 40 48 03 D2 48 8D 05 ?? ?? ?? ?? F2 0F 5C 4C D0 10 44 8B 44 D0 28 F2 0F 5C 4C D0 18 48 8B 54 D0 20 0F 28 C1 F2 0F 11 4D 30 E8 ?? ?? ?? ?? E9 F2 00 00 00 66 0F 2F 0D ?? ?? ?? ?? 76 78 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 6A 48 8D 3D ?? ?? ?? ?? 48 8B CF F2 0F 10 01 66 0F 2F C1 77 0F FF C2 48 83 C1 30 48 63 C2 48 83 F8 01 72 E7 48 63 C2 48 8D 1C 40 48 03 DB F2 0F 5C 4C DF 08 44 8B 44 DF 18 48 8B 54 DF 10 0F 28 C1 F2 0F 11 4D 30 E8 ?? ?? ?? ?? 44 8B 44 DF 28 0F 28 F0 F2 0F 10 45 30 48 8B 54 DF 20 E8 ?? ?? ?? ?? F2 0F 5E F0 E9 F9 FE FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? F2 0F 11 45 30 33 D2 F2 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F BF 45 28 F7 D8 66 0F 6E C8 F3 0F E6 C9 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 45 30 F2 0F 58 D1 F2 0F 11 55 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 F2 0F 58 C8 0F 28 C1 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_630_6_0 {
	meta:
		name = "lgammal"
		size = 585
		refs = "0021 _ld_int 0054 _fperrraise 005c _LInf_C 0069 _ldgamma_big 0073 __xmm@80000000000000008000000000000000 0086 __real@400921fb54442d18 008e _ldsin 00a9 _ldlog 00bd lgamma_big 00e6 rootapprox 0141 _ldpoly 014e __real@3ff3333333333333 0158 __real@3ff8000000000000 0165 approx 01d5 _ldtgamma 01e8 __xmm@7fffffffffffffff7fffffffffffffff 020d __real@3fe62e42c0000000 0215 __real@3e7f7d1cf79abc9e 022c log1pl"
	strings:
		$1 = { F2 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 30 33 D2 F2 0F 11 45 30 48 8D 4D 30 0F 29 74 24 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 33 D2 0F BF C8 85 C9 74 12 83 E9 01 74 20 83 F9 01 75 28 0F 28 C1 E9 F7 01 00 00 0F 57 C0 66 0F 2F C1 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D7 01 00 00 F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 0F 57 05 ?? ?? ?? ?? 66 0F 2F C1 76 50 F2 0F 5C 4D 30 F2 0F 59 0D ?? ?? ?? ?? 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 59 45 20 33 D2 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 5C F0 0F 28 C6 E9 6F 01 00 00 66 0F 2F CA 72 0D 0F 28 C1 E8 ?? ?? ?? ?? E9 5C 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 66 0F 2F 49 F8 76 0A F2 0F 10 01 66 0F 2F C1 77 10 41 FF C0 48 83 C1 30 49 63 C0 48 83 F8 0B 72 DF 49 63 C0 48 83 F8 0B 73 36 48 8D 14 40 48 03 D2 48 8D 05 ?? ?? ?? ?? F2 0F 5C 4C D0 10 44 8B 44 D0 28 F2 0F 5C 4C D0 18 48 8B 54 D0 20 0F 28 C1 F2 0F 11 4D 30 E8 ?? ?? ?? ?? E9 F2 00 00 00 66 0F 2F 0D ?? ?? ?? ?? 76 78 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 6A 48 8D 3D ?? ?? ?? ?? 48 8B CF F2 0F 10 01 66 0F 2F C1 77 0F FF C2 48 83 C1 30 48 63 C2 48 83 F8 01 72 E7 48 63 C2 48 8D 1C 40 48 03 DB F2 0F 5C 4C DF 08 44 8B 44 DF 18 48 8B 54 DF 10 0F 28 C1 F2 0F 11 4D 30 E8 ?? ?? ?? ?? 44 8B 44 DF 28 0F 28 F0 F2 0F 10 45 30 48 8B 54 DF 20 E8 ?? ?? ?? ?? F2 0F 5E F0 E9 F9 FE FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? F2 0F 11 45 30 33 D2 F2 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F BF 45 28 F7 D8 66 0F 6E C8 F3 0F E6 C9 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 45 30 F2 0F 58 D1 F2 0F 11 55 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 F2 0F 58 C8 0F 28 C1 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_403_5_0 {
	meta:
		name = "lgamma_big"
		size = 239
		refs = "0023 __real@3ff0000000000000 002d _dlog 003f __real@3fe0000000000000 0060 _dunscale 0080 _dscale 0096 __real@3f4a01a01a01a01a 009e __real@3f66c16c16c16c17 00aa __real@3fb5555555555555 00b7 __real@3fdacfe390c97d69 00c7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 33 D2 0F 29 78 D8 0F 28 F8 44 0F 29 40 C8 44 0F 29 48 B8 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 5E C8 E8 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 70 F2 0F 5C 3D ?? ?? ?? ?? 44 0F 28 C0 41 0F 28 F1 F2 44 0F 5C 05 ?? ?? ?? ?? F2 41 0F 59 F1 F2 0F 11 7C 24 78 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 48 8D 4C 24 78 0F BF 54 24 70 F2 41 0F 59 C8 F2 0F 11 4C 24 78 E8 ?? ?? ?? ?? 66 85 C0 79 38 F2 0F 10 4C 24 78 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C8 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F 28 74 24 50 0F 28 C1 0F 28 7C 24 40 44 0F 28 44 24 30 44 0F 28 4C 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_630_5_0 {
	meta:
		name = "lgamma_big"
		size = 239
		refs = "0023 __real@3ff0000000000000 002d _ldlog 003f __real@3fe0000000000000 0060 _ldunscale 0080 _ldscale 0096 __real@3f4a01a01a01a01a 009e __real@3f66c16c16c16c17 00aa __real@3fb5555555555555 00b7 __real@3fdacfe390c97d69 00c7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 33 D2 0F 29 78 D8 0F 28 F8 44 0F 29 40 C8 44 0F 29 48 B8 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 5E C8 E8 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 70 F2 0F 5C 3D ?? ?? ?? ?? 44 0F 28 C0 41 0F 28 F1 F2 44 0F 5C 05 ?? ?? ?? ?? F2 41 0F 59 F1 F2 0F 11 7C 24 78 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 48 8D 4C 24 78 0F BF 54 24 70 F2 41 0F 59 C8 F2 0F 11 4C 24 78 E8 ?? ?? ?? ?? 66 85 C0 79 38 F2 0F 10 4C 24 78 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C8 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F 28 74 24 50 0F 28 C1 0F 28 7C 24 40 44 0F 28 44 24 30 44 0F 28 4C 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_404_0_0 {
	meta:
		name = "_memccpy"
		size = 40
	strings:
		$1 = { 4D 85 C9 74 19 48 FF CA 48 FF C2 48 FF C1 8A 02 88 41 FF 41 3A C0 74 06 49 83 E9 01 75 EA 49 F7 D9 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_405_5_0 {
	meta:
		name = "_mbsnbset_l"
		size = 242
		refs = "0027 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 003f _strnset 0053 _errno 005e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 8B F2 48 8B D9 48 8B E9 49 8B D1 48 8D 48 D8 49 8B F8 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 78 08 00 75 12 4C 8B C7 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 7F 48 85 DB 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 61 8B CE C1 E9 08 84 C9 74 53 40 84 F6 75 34 E8 ?? ?? ?? ?? B1 20 40 8A F1 C7 00 16 00 00 00 EB 22 80 3B 00 74 3C 48 8D 47 FF 48 83 EF 02 48 85 C0 74 17 80 7B 01 00 74 11 88 0B 40 88 73 01 48 83 C3 02 48 85 FF 75 D9 EB 18 C6 03 20 EB 13 48 FF CF 80 3B 00 74 0B 40 88 33 48 FF C3 48 85 FF 75 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B C5 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_406_0_0 {
	meta:
		name = "_set_error_mode"
		size = 64
		refs = "0014 __acrt_error_mode 0029 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 85 C9 78 20 83 F9 02 7E 0D 83 F9 03 75 16 8B 05 ?? ?? ?? ?? EB 21 8B 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_407_17_0 {
	meta:
		name = "fputs"
		size = 255
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 0043 _fileno 004d __badioinfo 0054 __pioinfo 00f5 ??$?RV<lambda_638071c8ff4a7adc38ebf97819af8252>@@AEAV<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@V<lambda_b22ff52eb36be97581a67924712ed724>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_638071c8ff4a7adc38ebf97819af8252>@@AEAV<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@$$QEAV<lambda_b22ff52eb36be97581a67924712ed724>@@@Z"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 55 48 8B EC 48 83 EC 50 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 C9 00 00 00 48 85 D2 74 E2 8B 42 14 C1 E8 0C A8 01 75 6C 48 8B CA E8 ?? ?? ?? ?? 4C 63 C8 48 8D 15 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? 41 8D 49 02 83 F9 01 76 18 4D 8B C1 49 8B C9 41 83 E0 3F 48 C1 F9 06 49 C1 E0 06 4D 03 04 CA EB 03 4C 8B C2 41 80 78 39 00 75 94 41 8D 41 02 83 F8 01 76 15 49 8B D1 49 8B C1 83 E2 3F 48 C1 F8 06 48 C1 E2 06 49 03 14 C2 F6 42 3D 01 0F 85 6C FF FF FF 48 8B 4D 10 48 83 C8 FF 48 FF C0 80 3C 01 00 75 F7 48 89 45 28 4C 8D 4D D0 48 8D 45 18 48 89 45 E0 4C 8D 45 E0 48 8D 45 10 48 89 45 E8 48 8D 55 D8 48 8D 45 28 48 89 45 F0 48 8D 4D 20 48 8B 45 18 48 89 45 D0 48 89 45 D8 E8 ?? ?? ?? ?? 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_408_2_0 {
	meta:
		name = "remainder"
		size = 1346
		refs = "00d9 _handle_nan 011b ??_C@_09HALKBBKJ@remainder?$AA@ 014f _handle_error 01c9 __real@3fe0000000000000 01e4 __xmm@80000000000000008000000000000000 0229 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 48 81 EC A8 00 00 00 0F 29 70 E8 0F 28 D1 0F 29 78 D8 0F 28 C8 44 0F 29 40 C8 F2 0F 11 84 24 B8 00 00 00 4C 8B 94 24 B8 00 00 00 44 0F 29 48 B8 4D 8B C2 44 0F 29 50 A8 49 8B CA 48 B8 FF FF FF FF FF FF FF 7F 48 C1 E9 34 4C 23 C0 F2 0F 11 94 24 B8 00 00 00 4C 8B 9C 24 B8 00 00 00 4D 8B CB 49 8B D3 4C 23 C8 48 C1 EA 34 B8 FF 07 00 00 23 C8 23 D0 83 F9 01 7C 3E 81 F9 FE 07 00 00 7F 3E 8D 42 FF 3D FD 07 00 00 77 2C 4D 3B C1 0F 85 FE 00 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 D0 4C 89 94 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 E9 5F 04 00 00 81 F9 FE 07 00 00 7E 1C 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D0 74 3B 49 8B CA E8 ?? ?? ?? ?? E9 3B 04 00 00 81 FA FE 07 00 00 7E 18 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 0F 84 20 04 00 00 49 8B CB EB D6 4D 85 C0 75 51 4D 85 C9 0F 85 0D 04 00 00 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 54 24 38 BA 06 00 00 00 F2 0F 11 44 24 30 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 44 8D 4A FB E8 ?? ?? ?? ?? E9 C5 03 00 00 4D 85 C9 74 B3 49 BA 00 00 00 00 00 00 10 00 83 F9 01 7D 14 49 8B C0 4D 3B C2 73 0A FF C9 48 03 C0 49 3B C2 72 F6 FF C1 83 FA 01 7D 14 49 8B C1 4D 3B CA 73 0A FF CA 48 03 C0 49 3B C2 72 F6 FF C2 4C 89 84 24 B8 00 00 00 F2 0F 10 BC 24 B8 00 00 00 4C 89 8C 24 B8 00 00 00 F2 44 0F 10 84 24 B8 00 00 00 4D 3B C1 73 2F 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 76 05 F2 41 0F 5C F8 0F 57 C0 66 0F 2F C1 76 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 E9 2D 03 00 00 0F AE 9C 24 B8 00 00 00 44 8B 9C 24 B8 00 00 00 3B CA 7F 05 45 33 D2 EB 1B 2B CA B8 4F EC C4 4E F7 E9 44 8B D2 41 C1 FA 04 41 8B C2 C1 E8 1F 44 03 D0 75 0E F2 44 0F 10 15 ?? ?? ?? ?? E9 A7 00 00 00 45 6B C2 34 B8 56 55 55 55 41 F7 E8 41 8B C0 8B CA C1 E9 1F 03 CA 2B C1 99 2B C2 BA FF 03 00 00 D1 F8 44 2B C0 48 98 44 2B C1 48 03 C2 48 C1 E0 34 48 63 C9 48 03 CA 48 C1 E1 34 48 89 8C 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 48 89 84 24 B8 00 00 00 F2 0F 10 8C 24 B8 00 00 00 F2 41 0F 59 D0 49 63 C0 48 03 C2 48 C1 E0 34 48 89 84 24 B8 00 00 00 48 B8 00 00 00 00 00 00 B0 3C F2 0F 10 84 24 B8 00 00 00 44 0F 28 C2 F2 44 0F 59 C1 48 89 84 24 B8 00 00 00 F2 44 0F 10 94 24 B8 00 00 00 F2 44 0F 59 C0 48 C7 C2 00 00 00 F8 45 0F 57 C9 45 85 D2 0F 8E CF 00 00 00 41 8B CA 0F 28 C7 F2 44 0F 11 84 24 B8 00 00 00 F2 41 0F 5E C0 0F 28 DF 41 0F 28 F0 F2 48 0F 2C C0 0F 57 C0 F2 48 0F 2A C0 48 8B 84 24 B8 00 00 00 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 A4 24 B8 00 00 00 F2 0F 11 84 24 B8 00 00 00 F2 0F 5C F4 48 8B 84 24 B8 00 00 00 0F 28 E8 F2 41 0F 59 C0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 F2 0F 5C EA 0F 28 CA F2 0F 59 CC F2 0F 5C D8 F2 0F 59 D6 F2 0F 5C C8 F2 0F 5C FB F2 0F 5C F8 0F 28 C5 F2 0F 59 C4 F2 0F 59 EE F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CD F2 0F 5C F9 F2 0F 58 FB 66 44 0F 2F CF 76 05 F2 41 0F 58 F8 F2 45 0F 59 C2 48 83 E9 01 0F 85 34 FF FF FF 0F 28 C7 F2 44 0F 11 84 24 B8 00 00 00 48 8B 84 24 B8 00 00 00 0F 57 F6 F2 41 0F 5E C0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 41 0F 28 E8 F2 48 0F 2C C8 F2 0F 5C EA F2 48 0F 2A F1 83 E1 01 F2 0F 11 B4 24 B8 00 00 00 0F 28 DE 48 8B 84 24 B8 00 00 00 F2 41 0F 59 F0 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 8C 24 B8 00 00 00 F2 0F 5C D9 0F 28 E1 F2 0F 59 E2 F2 0F 59 CD 0F 28 C3 F2 0F 59 DD F2 0F 5C E6 F2 0F 59 C2 F2 0F 58 E0 0F 28 C7 F2 0F 5C C6 F2 0F 58 E1 F2 0F 5C F8 F2 0F 58 E3 F2 0F 5C FE F2 0F 5C FC F2 0F 58 F8 66 44 0F 2F CF F2 0F 11 BC 24 C0 00 00 00 76 19 33 C0 F2 41 0F 58 F8 48 85 C9 0F 94 C0 48 8B C8 F2 0F 11 BC 24 C0 00 00 00 48 B8 00 00 00 00 00 00 D0 7F 4C 3B C8 73 1A 0F 28 C7 F2 0F 58 C7 66 41 0F 2F C0 77 2B 48 85 C9 74 34 66 41 0F 2E C0 EB 1B 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 77 0D 48 85 C9 74 16 66 0F 2E F8 7A 10 75 0E F2 41 0F 5C F8 F2 0F 11 BC 24 C0 00 00 00 44 89 9C 24 B8 00 00 00 0F AE 94 24 B8 00 00 00 0F 57 C0 66 0F 2F 84 24 B0 00 00 00 F2 0F 10 84 24 C0 00 00 00 76 07 0F 57 05 ?? ?? ?? ?? 4C 8D 9C 24 A8 00 00 00 41 0F 28 73 E8 41 0F 28 7B D8 45 0F 28 43 C8 45 0F 28 4B B8 45 0F 28 53 A8 49 8B E3 C3 }
	condition:
		$1
}

rule file_409_0_0 {
	meta:
		name = "log10f"
		size = 1237
		refs = "0006 __use_fma3_lib 002b __real_inf 0040 __mask_127 005b __real_mant 0063 __real_one 006a __real_neg127 0079 __mask_mant_all7 0080 __mask_mant8 0091 __real_notsign 0098 __real_threshold 00af __real_half 00be __log_F_inv_dword 00d8 __real_1_over_3 00e4 __real_1_over_2 00ec __real_log10_2_tail 00f3 __log10_128_tail 00fa __log10_128_lead 010e __real_log10_e 0116 __real_log10_2_lead 0144 __real_two 017c __real_ca2 0184 __real_ca1 0198 __mask_lower 01b0 __real_log10_e_tail 01c0 __real_log10_e_lead 0206 __mask_253 0226 __real_ninf 022d __flag_x_zero 0232 _log10f_special 0244 __real_neg_qnan 024b __flag_x_neg 0272 __real_qnanbit 04bd __flag_x_nan"
	strings:
		$1 = { 48 83 EC 78 83 3D ?? ?? ?? ?? 00 0F 85 7F 02 00 00 33 C0 66 0F 6F D8 F3 0F 10 E0 66 0F 72 D3 17 66 0F 7E C0 66 0F 6F C8 0F 54 0D ?? ?? ?? ?? 0F 2F 0D ?? ?? ?? ?? 0F 84 24 02 00 00 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 0F 57 DB 0F 2F C3 0F 86 C9 01 00 00 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 69 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 89 44 24 30 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 9E 00 00 00 F3 0F 10 4C 24 30 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F3 0F 5C CA F3 41 0F 59 0C 81 F3 0F 10 D1 F3 0F 10 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 78 C3 66 0F 1F 84 00 00 00 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 C8 F3 0F 5E CA F3 0F 10 E0 F3 0F 59 E1 F3 0F 58 C9 F3 0F 10 D1 F3 0F 59 D2 F3 0F 10 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 66 0F 6F E8 66 0F DB 2D ?? ?? ?? ?? F3 0F 5C C5 F3 0F 58 D0 F3 0F 10 C5 F3 0F 10 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 2D ?? ?? ?? ?? F3 0F 58 C2 F3 0F 58 C1 F3 0F 58 C5 48 83 C4 78 C3 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 62 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 0F 1F 84 00 00 00 00 00 F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 66 66 0F 1F 84 00 00 00 00 00 3B 05 ?? ?? ?? ?? 74 18 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C0 66 0F 1F 44 00 00 48 83 C4 78 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 E1 72 D0 17 C5 F9 7E C0 C5 F8 2F 0D ?? ?? ?? ?? 0F 84 F1 01 00 00 C5 E1 FA 1D ?? ?? ?? ?? C5 F8 5B EB C5 F1 EF C9 C5 F8 2F C1 0F 86 97 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FA 5C 25 ?? ?? ?? ?? C5 F8 2F 2D ?? ?? ?? ?? 0F 84 39 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 72 F3 01 C5 E1 FE C9 C5 F9 7E C8 C5 D8 54 25 ?? ?? ?? ?? C5 F8 2F 25 ?? ?? ?? ?? 0F 82 86 00 00 00 C1 E8 10 C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F2 5C CA C4 C1 72 59 0C 81 C5 F9 28 15 ?? ?? ?? ?? C4 E2 71 A9 15 ?? ?? ?? ?? C5 F2 59 C1 C5 FA 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C4 E2 69 B9 C8 C5 FA 10 05 ?? ?? ?? ?? C5 F2 59 0D ?? ?? ?? ?? C4 E2 51 AB D9 C4 C2 51 A9 04 82 C4 C1 62 58 1C 81 C5 FA 58 C3 48 83 C4 78 C3 0F 1F 84 00 00 00 00 00 C5 FA 10 15 ?? ?? ?? ?? C5 FA 5C 05 ?? ?? ?? ?? C5 EA 58 D0 C5 FA 5E CA C5 FA 59 E1 C5 F2 58 C9 C5 F2 59 D1 C5 F2 59 DA C5 FA 10 2D ?? ?? ?? ?? C4 E2 51 A9 15 ?? ?? ?? ?? C4 E2 61 AB D4 C5 F9 DB 2D ?? ?? ?? ?? C5 FA 5C C5 C5 EA 58 D0 C5 EA 59 0D ?? ?? ?? ?? C5 D2 59 05 ?? ?? ?? ?? C5 D2 59 2D ?? ?? ?? ?? C4 E2 69 B9 05 ?? ?? ?? ?? C5 FA 58 C1 C5 FA 58 C5 48 83 C4 78 C3 0F 1F 40 00 C5 FA 10 1D ?? ?? ?? ?? C5 E9 EB D3 C5 EA 5C D3 C5 D1 72 D2 17 C5 E9 DB 15 ?? ?? ?? ?? C5 F8 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 F8 5B ED E9 95 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E C5 FA 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 44 00 00 C5 FA 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 80 00 00 00 00 3B 05 ?? ?? ?? ?? 74 28 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 44 00 00 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "?xcptlookup@@YAPEAU__crt_signal_action_t@@KQEAU1@@Z"
		size = 29
	strings:
		$1 = { 48 8D 82 C0 00 00 00 EB 08 39 0A 74 0C 48 83 C2 10 48 3B D0 75 F3 33 C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_410_1_0 {
	meta:
		name = "_seh_filter_dll"
		size = 19
		refs = "000f _seh_filter_exe"
	strings:
		$1 = { B8 63 73 6D E0 3B C8 74 03 33 C0 C3 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_410_2_0 {
	meta:
		name = "_seh_filter_exe"
		size = 393
		refs = "001a __acrt_getptd_noexit 0154 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 8B F9 E8 ?? ?? ?? ?? 45 33 C9 48 8B D8 48 85 C0 75 07 33 C0 E9 44 01 00 00 48 8B 08 48 8B C1 48 8D 91 C0 00 00 00 48 3B CA 74 0D 39 38 74 0C 48 83 C0 10 48 3B C2 75 F3 49 8B C1 48 85 C0 74 D2 4C 8B 40 08 4D 85 C0 74 C9 49 83 F8 05 75 0D 4C 89 48 08 41 8D 40 FC E9 01 01 00 00 49 83 F8 01 0F 84 F4 00 00 00 48 8B 6B 08 48 89 73 08 83 78 04 08 0F 85 CE 00 00 00 48 83 C1 30 48 8D 91 90 00 00 00 EB 08 4C 89 49 08 48 83 C1 10 48 3B CA 75 F3 81 38 8D 00 00 C0 8B 7B 10 0F 84 88 00 00 00 81 38 8E 00 00 C0 74 77 81 38 8F 00 00 C0 74 66 81 38 90 00 00 C0 74 55 81 38 91 00 00 C0 74 44 81 38 92 00 00 C0 74 33 81 38 93 00 00 C0 74 22 81 38 B4 02 00 C0 74 11 81 38 B5 02 00 C0 75 4F C7 43 10 8D 00 00 00 EB 46 C7 43 10 8E 00 00 00 EB 3D C7 43 10 85 00 00 00 EB 34 C7 43 10 8A 00 00 00 EB 2B C7 43 10 84 00 00 00 EB 22 C7 43 10 81 00 00 00 EB 19 C7 43 10 86 00 00 00 EB 10 C7 43 10 83 00 00 00 EB 07 C7 43 10 82 00 00 00 8B 53 10 B9 08 00 00 00 49 8B C0 FF 15 ?? ?? ?? ?? 89 7B 10 EB 10 8B 48 04 4C 89 48 08 49 8B C0 FF 15 ?? ?? ?? ?? 48 89 6B 08 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_412_73_0 {
	meta:
		name = "__acrt_copy_locale_name"
		size = 130
		refs = "002f wcsnlen 0045 _malloc_base 005f wcsncpy_s 007d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B F9 48 85 C9 75 12 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 BA 55 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 83 F8 55 73 DB 48 8D 0C 45 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 C6 48 8D 56 01 4C 8B C7 4C 8B CA 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB AD 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_75_0 {
	meta:
		name = "__acrt_uninitialize_locale"
		size = 46
		refs = "0025 ??$?RV<lambda_410d79af7f07d98d83a3f525b3859a53>@@AEAV<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@V<lambda_38119f0e861e05405d8a144b9b982f0a>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_410d79af7f07d98d83a3f525b3859a53>@@AEAV<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@$$QEAV<lambda_38119f0e861e05405d8a144b9b982f0a>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 28 B8 04 00 00 00 4D 8D 4B 10 4D 8D 43 08 89 44 24 38 49 8D 53 18 89 44 24 40 49 8D 4B 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_412_76_0 {
	meta:
		name = "__lc_lctowcs"
		size = 162
		refs = "001e wcscpy_s 0037 ??_C@_13ENNFDPBH@?$AA_?$AA?$AA@ 004b _wcscats 005e ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 009d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 ED 85 C0 75 65 48 8D 83 80 00 00 00 66 39 28 74 1B 4C 8D 0D ?? ?? ?? ?? 48 89 44 24 20 44 8D 45 02 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8D 83 00 01 00 00 66 39 28 74 1D 4C 8D 0D ?? ?? ?? ?? 48 89 44 24 20 41 B8 02 00 00 00 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_77_0 {
	meta:
		name = "__lc_wcstolc"
		size = 437
		refs = "0027 memset 005c wcsncpy_s 0078 ??_C@_17MBJJLFDM@?$AA_?$AA?4?$AA?0?$AA?$AA@ 0080 wcscspn 0171 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 48 8B DA 41 B8 CA 01 00 00 33 D2 48 8B F1 E8 ?? ?? ?? ?? 45 33 FF 66 44 39 3B 75 07 33 C0 E9 0D 01 00 00 66 83 3B 2E 75 31 4C 8D 43 02 66 45 39 38 74 27 BA 10 00 00 00 48 8D 8E 00 01 00 00 44 8D 4A FF E8 ?? ?? ?? ?? 85 C0 0F 85 F9 00 00 00 66 44 89 BE 1E 01 00 00 EB C2 41 8B EF 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 84 B8 00 00 00 4C 8D 34 43 41 0F B7 3E 85 ED 75 2E 48 83 F8 40 0F 83 A2 00 00 00 66 83 FF 2E 0F 84 98 00 00 00 4C 8B C8 8D 55 40 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 65 E9 AF 00 00 00 83 FD 01 75 2A 48 83 F8 40 73 73 66 83 FF 5F 74 6D 48 8D 8E 80 00 00 00 4C 8B C8 4C 8B C3 8D 55 3F E8 ?? ?? ?? ?? 85 C0 74 36 E9 95 00 00 00 83 FD 02 75 4A 48 83 F8 10 73 44 66 85 FF 74 06 66 83 FF 2C 75 39 48 8D 8E 00 01 00 00 4C 8B C8 4C 8B C3 BA 10 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 79 66 83 FF 2C 0F 84 03 FF FF FF 66 85 FF 0F 84 FA FE FF FF 49 8D 5E 02 FF C5 E9 30 FF FF FF 83 C8 FF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_78_0 {
	meta:
		name = "_configthreadlocale"
		size = 105
		refs = "0009 __acrt_getptd 0032 _errno 003d _invalid_parameter_noinfo 005b __globallocalestatus"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 44 8B 80 A8 03 00 00 41 8B D0 80 E2 02 F6 DA 1B C9 83 FB FF 74 36 85 DB 74 39 83 FB 01 74 20 83 FB 02 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1D 41 83 E0 FD EB 04 41 83 C8 02 44 89 80 A8 03 00 00 EB 07 83 0D ?? ?? ?? ?? FF 8D 41 02 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_412_79_0 {
	meta:
		name = "_copytlocinfo_nolock"
		size = 190
		refs = "00b5 __acrt_add_locale_ref"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 0F 84 AC 00 00 00 48 85 C9 0F 84 A3 00 00 00 48 3B CA 0F 84 9A 00 00 00 B8 02 00 00 00 4C 8B C1 44 8D 48 7E 0F 10 02 41 0F 11 00 0F 10 4A 10 41 0F 11 48 10 0F 10 42 20 41 0F 11 40 20 0F 10 4A 30 41 0F 11 48 30 0F 10 42 40 41 0F 11 40 40 0F 10 4A 50 41 0F 11 48 50 0F 10 42 60 41 0F 11 40 60 4D 03 C1 0F 10 4A 70 49 03 D1 41 0F 11 48 F0 48 83 E8 01 75 AE 0F 10 02 41 0F 11 00 0F 10 4A 10 41 0F 11 48 10 0F 10 42 20 41 0F 11 40 20 0F 10 4A 30 41 0F 11 48 30 0F 10 42 40 41 0F 11 40 40 48 8B 42 50 49 89 40 50 83 61 10 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_412_80_0 {
	meta:
		name = "_create_locale"
		size = 119
		refs = "000c __security_cookie 0046 __imp_MultiByteToWideChar 0056 _wcreate_locale 006a __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 8B D9 83 F9 05 77 3A 48 85 D2 74 35 48 8D 44 24 30 C7 44 24 28 83 00 00 00 4C 8B C2 48 89 44 24 20 33 D2 41 83 C9 FF 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 8D 54 24 30 8B CB E8 ?? ?? ?? ?? EB 02 33 C0 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 50 01 00 00 5B C3 }
	condition:
		$1
}

rule file_412_81_0 {
	meta:
		name = "_expandlocale"
		size = 1020
		refs = "001f __security_cookie 005e __security_check_cookie 0077 __acrt_getptd 00bd wcsncpy_s 00d8 ??_C@_13FHBKNHDA@?$AAC?$AA?$AA@ 00e3 wcscpy_s 0169 __acrt_can_use_vista_locale_apis 0181 __lc_wcstolc 01a1 __acrt_get_qualified_locale_downlevel 01a8 __acrt_get_qualified_locale 01be __lc_lctowcs 020f __acrt_IsValidLocaleName 022f __acrt_GetLocaleInfoEx 0241 __imp_GetACP 034f _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 B8 FE FF FF 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 30 01 00 00 4C 8B B5 B8 01 00 00 33 F6 48 89 54 24 48 49 8B D8 48 89 5C 24 58 4D 8B E1 4C 8B FA 48 8B F9 48 85 C9 75 25 33 C0 48 8B 8D 30 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 E8 ?? ?? ?? ?? 48 8B 95 B0 01 00 00 41 B9 55 00 00 00 89 74 24 30 48 8D 88 B8 00 00 00 48 89 4C 24 38 4C 8D A8 C2 01 00 00 48 8D 88 BC 00 00 00 48 05 F0 02 00 00 48 89 4C 24 40 4C 8B C0 49 8B CC 48 89 44 24 50 E8 ?? ?? ?? ?? 85 C0 0F 85 1E 03 00 00 66 83 3F 43 75 30 66 39 77 02 75 2A 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 50 02 00 00 4D 85 F6 74 03 41 89 36 49 8B C7 E9 54 FF FF FF 48 83 CB FF 48 8B F3 45 33 C9 48 FF C6 66 44 39 0C 77 75 F6 48 81 FE 83 00 00 00 73 4C 4C 8B C7 49 8B C5 4D 2B C5 0F B7 08 42 0F B7 14 00 2B CA 75 08 48 83 C0 02 85 D2 75 EC 85 C9 0F 84 A2 01 00 00 48 8B 44 24 40 4C 8B C7 4C 2B C0 0F B7 08 42 0F B7 14 00 2B CA 75 08 48 83 C0 02 85 D2 75 EC 85 C9 0F 84 7B 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 8B D7 44 8B F9 84 C0 48 8D 4C 24 60 41 0F 94 C7 E8 ?? ?? ?? ?? 85 C0 75 7D 45 85 FF 4C 8D 44 24 60 4C 8B 7C 24 38 48 8D 4C 24 60 49 8B D7 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 74 5B 4C 8D 44 24 60 BA 83 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 4D 85 E4 0F 84 DB 00 00 00 48 8D 85 80 00 00 00 48 FF C3 66 44 39 3C 58 75 F6 48 8B 95 B0 01 00 00 4C 8D 4B 01 4C 8D 85 80 00 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 84 A8 00 00 00 E9 4E 01 00 00 4C 8B 7C 24 38 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 84 F5 00 00 00 41 B9 02 00 00 00 4C 8D 44 24 30 BA 04 10 00 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 30 85 C0 75 0A FF 15 ?? ?? ?? ?? 89 44 24 30 0F B7 C0 48 8D 5E 01 4C 8B CB 41 89 07 4C 8B C7 BA 83 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 85 4C 01 00 00 48 8B 95 B0 01 00 00 4C 8B CB 4C 8B C7 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 1A 01 00 00 48 8B 4C 24 50 8D 50 55 4C 8B CB 4C 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 85 EA 00 00 00 66 44 39 3F 74 26 B8 83 00 00 00 48 3B F0 73 1C 48 8B 4C 24 40 4C 8D 4E 01 4C 8B C7 8B D0 E8 ?? ?? ?? ?? 85 C0 74 0E E9 94 00 00 00 48 8B 44 24 40 66 44 89 38 4C 8B 7C 24 48 33 DB 4D 85 F6 74 0A 48 8B 44 24 38 8B 08 41 89 0E 48 8B 54 24 58 4D 8B C5 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 76 49 8B C5 E9 43 FD FF FF 33 FF 48 FF C3 66 41 39 3C 5C 75 F6 48 8B 4C 24 50 4C 8D 4B 01 4D 8B C4 BA 55 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 17 FD FF FF E9 93 00 00 00 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_82_0 {
	meta:
		name = "_free_locale"
		size = 162
		refs = "0017 __acrt_lock 0038 __acrt_initial_multibyte_data 0042 _free_base 004d __acrt_unlock 0066 __acrt_release_locale_ref 007b __acrt_initial_locale_data 0085 __acrt_free_locale"
	strings:
		$1 = { 48 85 C9 0F 84 98 00 00 00 53 48 83 EC 20 48 8B D9 B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 22 83 C8 FF F0 0F C1 01 83 F8 01 75 16 48 8B 4B 08 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 83 3B 00 74 3D B9 04 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0B E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 83 79 10 00 75 12 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 04 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_412_83_0 {
	meta:
		name = "_free_locale$fin$1"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0??update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 05 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_84_0 {
	meta:
		name = "_free_locale$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "__acrt_update_thread_locale_data$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 04 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_85_0 {
	meta:
		name = "_get_current_locale"
		size = 187
		refs = "000c __acrt_getptd 001c _calloc_base 002c __acrt_update_thread_locale_data 0031 __acrt_update_thread_multibyte_data 0074 ??$?RV<lambda_0a55505eb881d180377eb1fc64ffb544>@@AEAV<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@V<lambda_c91f0b5e4ab41df1063aa1a95f49bd71>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_0a55505eb881d180377eb1fc64ffb544>@@AEAV<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@$$QEAV<lambda_c91f0b5e4ab41df1063aa1a95f49bd71>@@@Z 009a ??$?RV<lambda_a48fd90c2dacdd6561e44078457d03a7>@@AEAV<lambda_ebab98244f73a74f49db879bf13fa982>@@V<lambda_8b3bdacfa7480f205f16cb49964db269>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_a48fd90c2dacdd6561e44078457d03a7>@@AEAV<lambda_ebab98244f73a74f49db879bf13fa982>@@$$QEAV<lambda_8b3bdacfa7480f205f16cb49964db269>@@@Z 00ac _free_base"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 30 E8 ?? ?? ?? ?? BA 10 00 00 00 48 8B F8 8D 4A F1 E8 ?? ?? ?? ?? 33 DB 48 89 45 38 48 85 C0 74 7E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 45 38 4C 8D 4D 28 48 8B 8F 90 00 00 00 4C 8D 45 F0 48 8D 55 30 48 89 08 48 8B 45 38 48 8B 8F 88 00 00 00 48 89 48 08 48 8D 45 38 48 89 45 F0 48 8D 4D 20 8D 43 04 89 45 28 89 45 30 E8 ?? ?? ?? ?? 48 8D 45 38 48 89 45 F0 4C 8D 4D 28 8D 43 05 4C 8D 45 F0 89 45 28 48 8D 55 30 89 45 30 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8B 4D 38 48 89 5D 38 48 8B D9 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_412_87_0 {
	meta:
		name = "_wcreate_locale"
		size = 328
		refs = "0042 _calloc_base 004f _errno 00a8 __acrt_initial_locale_data 00b0 _copytlocinfo_nolock 00be _wsetlocale_nolock 00ce _setmbcp_nolock 00fb __acrt_release_locale_ref 0106 __acrt_free_locale 010e _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4C 8B F2 44 8B F9 83 F9 05 0F 87 FB 00 00 00 33 ED 48 85 D2 0F 84 F0 00 00 00 44 8D 65 01 41 8B CC 8D 55 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 BC 00 00 00 BA 58 01 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 8F 00 00 00 BA 28 02 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 65 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4D 8B C6 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 30 8B 4B 0C 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 21 48 8B C3 44 89 27 48 89 06 48 8B DD 48 8B C7 48 8B FD 48 89 46 08 48 8B C6 48 8B F5 48 8B E8 EB 13 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B DD E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B C5 EB 02 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_412_88_0 {
	meta:
		name = "_wcscats"
		size = 101
		refs = "0036 wcscat_s 0060 _invoke_watson"
	strings:
		$1 = { 45 85 C0 7E 49 44 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 83 EC 38 48 8D 7C 24 78 33 DB 48 83 C7 F8 48 8B F2 48 8B E9 48 8D 7F 08 48 8B D6 4C 8B 07 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 11 FF C3 3B 5C 24 70 7C E2 48 83 C4 38 5F 5E 5D 5B C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_89_0 {
	meta:
		name = "_wsetlocale"
		size = 161
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0035 __acrt_getptd 003e __acrt_eagerly_load_locale_apis 0043 __acrt_update_thread_locale_data 0093 ??$?RV<lambda_d8a01803c7231904df012bb083be9e3a>@@AEAV<lambda_b163b37eafe0a13f2c371fafeb0365c9>@@AEAV<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_d8a01803c7231904df012bb083be9e3a>@@AEAV<lambda_b163b37eafe0a13f2c371fafeb0365c9>@@AEAV<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@Z"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 48 8B EC 48 83 EC 60 48 83 65 C0 00 48 83 65 C8 00 83 F9 05 76 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 67 E8 ?? ?? ?? ?? 48 89 45 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 45 28 4C 8D 4D D0 4C 8D 45 D8 48 8D 55 20 48 8D 4D 20 83 88 A8 03 00 00 10 48 8D 45 28 48 89 45 D0 48 8D 45 C8 48 89 45 D8 48 8D 45 28 48 89 45 E0 48 8D 45 C0 48 89 45 E8 48 8D 45 10 48 89 45 F0 48 8D 45 18 48 89 45 F8 E8 ?? ?? ?? ?? 48 8B 45 C0 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_412_90_0 {
	meta:
		name = "_wsetlocale_get_all"
		size = 485
		refs = "002a _malloc_base 0079 __lc_category 0085 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 008f _wcscats 00a1 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 00ac wcscat_s 013c _free_base 01e0 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B D9 BF 01 00 00 00 B9 A6 06 00 00 E8 ?? ?? ?? ?? 45 33 E4 48 8B F0 48 85 C0 75 1D 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 4C 8D 70 04 41 BD 51 03 00 00 66 45 89 26 41 B8 03 00 00 00 89 38 41 8B D5 48 8B 43 48 49 8B CE 4C 8B 0D ?? ?? ?? ?? 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4C 8D 7B 48 4C 8D 05 ?? ?? ?? ?? 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 18 01 00 00 49 8B 07 4D 8D 4F 20 49 8B 11 48 2B D0 44 0F B7 00 0F B7 0C 10 44 2B C1 75 08 48 83 C0 02 85 C9 75 EB 49 8B 01 45 85 C0 48 89 44 24 28 4D 8B F9 41 0F 45 FC 48 8D 05 ?? ?? ?? ?? 48 83 C5 18 48 89 44 24 20 41 B8 03 00 00 00 49 8B D5 49 8B CE 4C 8B 4D 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 3B E8 7C 81 85 FF 75 53 48 8B 4B 38 83 CF FF 48 85 C9 74 13 8B C7 F0 0F C1 01 03 C7 75 09 48 8B 4B 38 E8 ?? ?? ?? ?? 48 8B 53 30 48 85 D2 74 13 8B CF F0 0F C1 0A 03 CF 75 09 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 89 63 30 49 8B C6 4C 89 63 20 48 89 73 38 4C 89 73 28 E9 C5 FE FF FF 48 8B CE E8 ?? ?? ?? ?? 48 8B 4B 38 83 CF FF 48 85 C9 74 13 8B C7 F0 0F C1 01 03 C7 75 09 48 8B 4B 38 E8 ?? ?? ?? ?? 48 8B 4B 30 48 85 C9 74 13 8B C7 F0 0F C1 01 03 C7 75 09 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8B 43 68 4C 89 63 30 4C 89 63 20 4C 89 63 38 4C 89 63 28 E9 69 FE FF FF 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_91_0 {
	meta:
		name = "_wsetlocale_nolock"
		size = 647
		refs = "001a __security_cookie 003c _wsetlocale_set_cat 008d ??_C@_15NBPDDFIP@?$AA?$DN?$AA?$DL?$AA?$AA@ 0095 wcspbrk 00c7 __lc_category 00d5 wcsncmp 010d ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 0115 wcscspn 0143 wcsncpy_s 01a0 _wsetlocale_get_all 01b0 __security_check_cookie 01f8 _expandlocale 026d __report_rangecheckfailure 0282 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 00 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 01 00 00 45 33 ED 49 8B D8 48 8B F9 85 D2 74 20 48 85 DB 74 0A E8 ?? ?? ?? ?? E9 5F 01 00 00 48 63 C2 48 C1 E0 05 48 8B 44 08 28 E9 4E 01 00 00 BD 01 00 00 00 41 8B F5 48 85 DB 0F 84 38 01 00 00 66 41 83 38 4C 0F 85 61 01 00 00 66 41 83 78 02 43 0F 85 55 01 00 00 66 41 83 78 04 5F 0F 85 49 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 2A 01 00 00 48 8B E8 48 2B EB 48 D1 FD 0F 84 1B 01 00 00 66 83 38 3B 0F 84 11 01 00 00 41 BC 01 00 00 00 4C 8D 3D ?? ?? ?? ?? 49 8B 0F 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 16 49 8B 0F 48 83 C8 FF 48 FF C0 66 44 39 2C 41 75 F6 48 3B E8 74 13 41 FF C4 48 8D 05 ?? ?? ?? ?? 49 83 C7 18 4C 3B F8 7E C5 49 83 C6 02 48 8D 15 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0B 66 41 83 3E 3B 0F 85 A3 00 00 00 41 83 FC 05 7F 4A 4C 8B C8 48 8D 4C 24 30 4D 8B C6 BA 83 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 23 01 00 00 48 8D 04 1B 48 3D 06 01 00 00 0F 83 0D 01 00 00 4C 8D 44 24 30 66 44 89 6C 04 30 41 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 02 FF C6 49 8D 1C 5E 66 44 39 2B 74 0E 48 83 C3 02 66 44 39 2B 0F 85 F6 FE FF FF 85 F6 0F 84 C8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 F0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 58 02 00 00 48 81 C4 00 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 C0 EB D1 4C 89 6C 24 28 4C 8D 8C 24 40 01 00 00 41 B8 83 00 00 00 48 C7 44 24 20 55 00 00 00 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 A3 41 8B DD 4C 8D 77 28 85 DB 74 40 49 8B 16 48 8D 44 24 30 48 2B D0 0F B7 08 44 0F B7 04 10 41 2B C8 75 09 48 83 C0 02 45 85 C0 75 EA 85 C9 74 19 4C 8D 44 24 30 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 05 41 8B ED EB 02 FF C6 FF C3 49 83 C6 20 83 FB 05 7E B1 85 ED 0F 85 3D FF FF FF E9 30 FF FF FF 49 8B C5 E9 38 FF FF FF E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_92_0 {
	meta:
		name = "_wsetlocale_set_cat"
		size = 830
		refs = "0022 __security_cookie 003a __acrt_getptd 006b _expandlocale 0084 __security_check_cookie 00f0 _malloc_base 012c wcscpy_s 0161 __acrt_copy_locale_name 01d9 _first_127char 01f4 __acrt_GetStringTypeA 021f _ctype_loc_style 0231 memcmp 0274 __lc_category 0285 __guard_dispatch_icall_fptr 02a0 _free_base 02c8 __acrt_wide_c_locale_string 0339 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 D0 FD FF FF 48 81 EC 30 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 20 02 00 00 49 8B D8 4C 63 E2 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 4D 70 41 B8 83 00 00 00 48 8D 54 24 60 48 8B CB 4C 8D B8 C8 02 00 00 48 8D 44 24 40 48 89 44 24 28 48 C7 44 24 20 55 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 48 85 C0 75 2C 33 C0 48 8B 8D 20 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 03 00 00 48 81 C4 30 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 49 8B DC 48 8D 4C 24 60 48 C1 E3 05 48 8B 44 3B 28 4C 8B C8 4C 2B C9 0F B7 11 46 0F B7 04 09 41 2B D0 75 09 48 83 C1 02 45 85 C0 75 EA 85 D2 74 A5 48 8D 44 24 60 48 83 CE FF 48 FF C6 66 44 39 14 70 75 F6 48 8D 0C 75 06 00 00 00 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 77 FF FF FF 48 8B 4C 3B 28 4C 8D 44 24 60 48 89 4C 24 48 48 8D 56 01 4A 8B 8C E7 28 01 00 00 48 89 4C 24 50 8B 4F 0C 89 4C 24 44 48 8D 48 04 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 85 EF 01 00 00 66 83 7C 24 60 43 49 8D 45 04 48 89 44 3B 28 75 11 66 39 74 24 62 75 0A 4A 89 B4 E7 28 01 00 00 EB 11 48 8D 4D 70 E8 ?? ?? ?? ?? 4A 89 84 E7 28 01 00 00 41 83 FC 02 0F 85 DE 00 00 00 8B 44 24 40 44 8B C6 89 47 0C 48 8B D6 49 8B 4F 20 41 8B 04 D7 39 47 0C 74 19 49 8B 04 D7 41 FF C0 49 89 0C D7 48 FF C2 48 8B C8 48 83 FA 05 7C E0 EB 13 45 85 C0 74 0E 49 63 D0 49 8B 04 D7 49 89 07 49 89 0C D7 41 83 F8 05 0F 85 85 00 00 00 8B 47 0C 45 8D 48 7A C7 44 24 30 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 89 44 24 28 41 8D 51 82 48 8D 85 20 01 00 00 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 46 8B D6 48 8D 8D 20 01 00 00 B8 FF 01 00 00 FF C2 66 21 01 48 8D 49 02 48 63 C2 48 83 F8 7F 72 E9 48 8B 15 ?? ?? ?? ?? 48 8D 8D 20 01 00 00 41 B8 FE 00 00 00 E8 ?? ?? ?? ?? 8B CE 85 C0 0F 94 C1 41 89 4F 04 EB 04 41 89 77 04 8B 47 0C 41 89 07 41 8B 47 04 89 47 1C EB 1C 41 83 FC 01 75 09 8B 44 24 40 89 47 14 EB 0D 41 83 FC 05 75 07 8B 44 24 40 89 47 18 48 8D 15 ?? ?? ?? ?? 48 8B CF 4B 8D 04 64 48 8B 04 C2 FF 15 ?? ?? ?? ?? 85 C0 74 38 48 8B 44 24 48 48 89 44 3B 28 4A 8B 8C E7 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 50 49 8B CD 4A 89 84 E7 28 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 44 89 47 0C E9 B2 FD FF FF 48 8D 0D ?? ?? ?? ?? 48 39 4C 24 48 74 3F 48 8B 44 3B 38 83 C9 FF F0 0F C1 08 83 F9 01 75 2E 48 8B 4C 3B 38 E8 ?? ?? ?? ?? 48 8B 4C 3B 30 E8 ?? ?? ?? ?? 4A 8B 8C E7 28 01 00 00 E8 ?? ?? ?? ?? 48 89 74 3B 28 4A 89 B4 E7 28 01 00 00 41 C7 45 00 01 00 00 00 48 8B 44 3B 28 4C 89 6C 3B 38 E9 50 FD FF FF 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_412_93_0 {
	meta:
		name = "sync_legacy_variables_lk"
		size = 41
		refs = "0003 __acrt_current_locale_data 0011 __acrt_lconv 001b _pctype 0024 __mb_cur_max"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8B 88 F8 00 00 00 48 89 0D ?? ?? ?? ?? 48 8B 08 48 89 0D ?? ?? ?? ?? 8B 48 08 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_413_1_0 {
	meta:
		name = "cacoshl"
		size = 874
		refs = "0044 creall 005a cimagl 0068 _ldtest 00a0 _LInf_C 00fc __real@4002d97c7f3321d2 0106 __real@3fe921fb54442d18 0117 __real@400921fb54442d18 0144 __real@bff921fb54442d18 0151 __real@3ff921fb54442d18 016c __real@3ff0000000000000 0173 __xmm@80000000000000008000000000000000 0178 _LCbuild 018d csqrtl 0215 __real@5fcffb3abd82527b 0274 asinhl 027c __real@0000000000000000 0295 log 0309 atan2 0311 __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F1 48 8D 4D B7 0F 29 70 D8 48 8B DA 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D B7 0F 10 03 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 37 66 3B C7 75 0F F2 0F 10 75 6F F2 0F 10 45 67 E9 8E 02 00 00 BB 01 00 00 00 66 3B C3 75 12 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 45 6F E9 72 02 00 00 F2 0F 10 75 6F EB 1F BB 01 00 00 00 66 83 F8 02 75 1C 66 3B FB 75 0A F2 0F 10 35 ?? ?? ?? ?? EB B9 F2 0F 10 75 67 0F 28 C6 E9 44 02 00 00 66 3B FB 75 48 F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C3 75 1B 66 0F 2F 45 6F 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 19 F2 0F 10 05 ?? ?? ?? ?? EB 0F 66 0F 2F 45 6F 76 08 F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D E9 EE 01 00 00 66 3B C3 75 2C F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 D3 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 C6 01 00 00 F2 0F 10 4D 6F 48 8D 4D C7 F2 0F 10 55 67 F2 0F 5C 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 55 67 F3 0F 6F 38 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 F3 0F 6F 30 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 28 D8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D0 76 0F 41 0F 28 FA 41 0F 28 C3 F2 45 0F 5E C2 EB 3A 66 44 0F 2F C8 41 0F 28 F9 76 10 41 0F 28 C3 F2 41 0F 5E C1 F2 41 0F 59 C2 EB 24 0F 57 3D ?? ?? ?? ?? 66 0F 2F F8 41 0F 28 C3 76 06 F2 0F 5E C7 EB E2 0F 57 FF F2 41 0F 59 C2 F2 45 0F 59 C1 F2 41 0F 5C C0 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 10 55 67 B8 00 80 00 00 66 85 45 6D 74 0E 0F 57 15 ?? ?? ?? ?? F2 0F 11 55 67 EB 02 33 DB F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 41 0F 28 CB E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 D0 48 8D 4D D7 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 41 0F 28 73 F0 0F 10 00 48 8B C6 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "cacosh"
		size = 874
		refs = "0044 creal 005a cimag 0068 _dtest 00a0 _Inf_C 00fc __real@4002d97c7f3321d2 0106 __real@3fe921fb54442d18 0117 __real@400921fb54442d18 0144 __real@bff921fb54442d18 0151 __real@3ff921fb54442d18 016c __real@3ff0000000000000 0173 __xmm@80000000000000008000000000000000 0178 _Cbuild 018d csqrt 0215 __real@5fcffb3abd82527b 0274 asinh 027c __real@0000000000000000 0295 log 0309 atan2 0311 __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 48 8B F1 48 8D 4D B7 0F 29 70 D8 48 8B DA 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 11 45 6F 48 8D 4D B7 0F 10 03 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 37 66 3B C7 75 0F F2 0F 10 75 6F F2 0F 10 45 67 E9 8E 02 00 00 BB 01 00 00 00 66 3B C3 75 12 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 45 6F E9 72 02 00 00 F2 0F 10 75 6F EB 1F BB 01 00 00 00 66 83 F8 02 75 1C 66 3B FB 75 0A F2 0F 10 35 ?? ?? ?? ?? EB B9 F2 0F 10 75 67 0F 28 C6 E9 44 02 00 00 66 3B FB 75 48 F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C3 75 1B 66 0F 2F 45 6F 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 19 F2 0F 10 05 ?? ?? ?? ?? EB 0F 66 0F 2F 45 6F 76 08 F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D E9 EE 01 00 00 66 3B C3 75 2C F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 D3 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 C6 01 00 00 F2 0F 10 4D 6F 48 8D 4D C7 F2 0F 10 55 67 F2 0F 5C 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 55 67 F3 0F 6F 38 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 F3 0F 6F 30 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 28 D8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D0 76 0F 41 0F 28 FA 41 0F 28 C3 F2 45 0F 5E C2 EB 3A 66 44 0F 2F C8 41 0F 28 F9 76 10 41 0F 28 C3 F2 41 0F 5E C1 F2 41 0F 59 C2 EB 24 0F 57 3D ?? ?? ?? ?? 66 0F 2F F8 41 0F 28 C3 76 06 F2 0F 5E C7 EB E2 0F 57 FF F2 41 0F 59 C2 F2 45 0F 59 C1 F2 41 0F 5C C0 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 10 55 67 B8 00 80 00 00 66 85 45 6D 74 0E 0F 57 15 ?? ?? ?? ?? F2 0F 11 55 67 EB 02 33 DB F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 41 0F 28 CB E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 D0 48 8D 4D D7 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 41 0F 28 73 F0 0F 10 00 48 8B C6 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_414_40_0 {
	meta:
		name = "_atoi64"
		size = 42
		refs = "0010 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0021 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "atoll"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_47_0 {
	meta:
		name = "_wtoi"
		size = 42
		refs = "0010 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0021 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_48_0 {
	meta:
		name = "_wtoi64"
		size = 42
		refs = "0010 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0021 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_51_2 {
	meta:
		name = "_wtol"
		size = 42
		refs = "0010 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0021 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_53_3 {
	meta:
		name = "_wtoll"
		size = 42
		refs = "0010 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0021 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_55_0 {
	meta:
		name = "atoi"
		size = 42
		refs = "0010 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0021 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_56_3 {
	meta:
		name = "atol"
		size = 42
		refs = "0010 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0021 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B D1 45 33 C0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 C9 48 8B D0 41 B1 01 44 8D 41 0A E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_414_41_0 {
	meta:
		name = "_atoi64_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0029 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		altNames = "_atoll_l"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_42_0 {
	meta:
		name = "_atoi_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0029 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_43_0 {
	meta:
		name = "_atol_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QEBD$$T@Z 0029 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_49_2 {
	meta:
		name = "_wtoi64_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0029 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_50_3 {
	meta:
		name = "_wtoi_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0029 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_52_0 {
	meta:
		name = "_wtol_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0029 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_414_54_3 {
	meta:
		name = "_wtoll_l"
		size = 51
		refs = "0015 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QEB_W$$T@Z 0029 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 41 B1 01 41 B8 0A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "_strrev"
		size = 55
	strings:
		$1 = { 4C 8B C1 4C 8B D1 4C 8B C9 41 8A 00 49 FF C0 84 C0 75 F6 49 83 E8 02 49 3B C8 73 17 41 8A 08 41 8A 11 41 88 09 49 FF C1 41 88 10 49 FF C8 4D 3B C8 72 E9 49 8B C2 C3 }
	condition:
		$1
}

rule file_417_0_0 {
	meta:
		name = "_mbsinc"
		size = 66
		refs = "000f _errno 001a _invalid_parameter_noinfo 0026 _ismbblead"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A 0F B6 09 E8 ?? ?? ?? ?? 48 FF C3 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_417_1_0 {
	meta:
		name = "_mbsinc_l"
		size = 39
		refs = "000e _ismbblead_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 59 01 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "?is_lfh_enabled@@YA_NXZ"
		size = 60
		refs = "0009 __acrt_heap 0026 __imp_HeapQueryInformation"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 0D ?? ?? ?? ?? 4C 8D 44 24 40 83 4C 24 40 FF 33 DB 33 D2 48 89 5C 24 20 44 8D 4B 04 FF 15 ?? ?? ?? ?? 85 C0 74 08 83 7C 24 40 02 0F 94 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_419_2_0 {
	meta:
		name = "_expand_base"
		size = 239
		refs = "001b _errno 0026 _invalid_parameter_noinfo 004d __acrt_heap 0053 __imp_HeapSize 0078 __imp_HeapReAlloc 00ad __imp_HeapQueryInformation 00d0 __imp_GetLastError 00d7 __acrt_errno_from_os_error"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B DA 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 48 83 FA E0 76 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 98 00 00 00 4C 8B C1 33 D2 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 DB 48 8B F0 4C 8B C7 B8 01 00 00 00 48 0F 44 D8 4C 8B CB 8D 50 0F FF 15 ?? ?? ?? ?? 48 85 C0 75 5E 48 81 FE 00 40 00 00 77 3C 48 3B DE 77 37 48 8B 0D ?? ?? ?? ?? 44 8D 48 04 83 4C 24 40 FF 4C 8D 44 24 40 48 21 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 11 83 7C 24 40 02 0F 94 C0 84 C0 74 05 48 8B C7 EB 19 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 33 C0 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_420_17_0 {
	meta:
		name = "?CPtoLocaleName@@YAPEB_WH@Z"
		size = 58
		refs = "001d ?_mb_locale_names@@3QBQEB_WB"
	strings:
		$1 = { 81 E9 A4 03 00 00 74 2A 83 E9 04 74 1D 83 E9 0D 74 10 83 F9 01 74 03 33 C0 C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_420_23_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 125
		refs = "0010 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0016 ?fSystemSet@@3HA 002c __imp_GetOEMCP 0043 __imp_GetACP"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 83 FB FE 75 12 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? EB 15 83 FB FD 75 14 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 EB 17 83 FB FC 75 12 48 8B 44 24 28 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 58 0C 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_420_28_0 {
	meta:
		name = "?setSBCS@@YAXPEAU__crt_multibyte_data@@@Z"
		size = 144
		refs = "0029 memset 004c __acrt_initial_multibyte_data"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 59 18 48 8B F1 BD 01 01 00 00 48 8B CB 44 8B C5 33 D2 E8 ?? ?? ?? ?? 33 C0 48 8D 7E 0C 48 89 46 04 B9 06 00 00 00 48 89 86 20 02 00 00 0F B7 C0 66 F3 AB 48 8D 3D ?? ?? ?? ?? 48 2B FE 8A 04 1F 88 03 48 FF C3 48 83 ED 01 75 F2 48 8D 8E 19 01 00 00 BA 00 01 00 00 8A 04 39 88 01 48 FF C1 48 83 EA 01 75 F2 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_420_29_0 {
	meta:
		name = "?setSBUpLow@@YAXPEAU__crt_multibyte_data@@@Z"
		size = 482
		refs = "001d __security_cookie 0038 __imp_GetCPInfo 00b9 __acrt_GetStringTypeA 00ec __acrt_LCMapStringA 01c9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8D AC 24 80 F9 FF FF 48 81 EC 80 07 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 06 00 00 48 8B F9 48 8D 54 24 50 8B 49 04 FF 15 ?? ?? ?? ?? BB 00 01 00 00 85 C0 0F 84 36 01 00 00 33 C0 48 8D 4C 24 70 88 01 FF C0 48 FF C1 3B C3 72 F5 8A 44 24 56 48 8D 54 24 56 C6 44 24 70 20 EB 22 44 0F B6 42 01 0F B6 C8 EB 0D 3B CB 73 0E 8B C1 C6 44 0C 70 20 FF C1 41 3B C8 76 EE 48 83 C2 02 8A 02 84 C0 75 DA 8B 47 04 4C 8D 44 24 70 83 64 24 30 00 44 8B CB 89 44 24 28 BA 01 00 00 00 48 8D 85 70 02 00 00 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 4C 8D 4C 24 70 8B 47 04 44 8B C3 48 8B 97 20 02 00 00 33 C9 89 44 24 38 48 8D 45 70 89 5C 24 30 48 89 44 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 4C 8D 4C 24 70 8B 47 04 41 B8 00 02 00 00 48 8B 97 20 02 00 00 33 C9 89 44 24 38 48 8D 85 70 01 00 00 89 5C 24 30 48 89 44 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 45 70 4C 2B C7 4C 8D 8D 70 01 00 00 4C 2B CF 48 8D 95 70 02 00 00 48 8D 4F 19 F6 02 01 74 0A 80 09 10 41 8A 44 08 E7 EB 0D F6 02 02 74 10 80 09 20 41 8A 44 09 E7 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 48 FF C1 48 83 C2 02 48 83 EB 01 75 C8 EB 3F 33 D2 48 8D 4F 19 44 8D 42 9F 41 8D 40 20 83 F8 19 77 08 80 09 10 8D 42 20 EB 0C 41 83 F8 19 77 0E 80 09 20 8D 42 E0 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 FF C2 48 FF C1 3B D3 72 C7 48 8B 8D 70 06 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 07 00 00 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_420_30_0 {
	meta:
		name = "?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
		size = 450
		refs = "0025 ?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z 002c ?getSystemCP@@YAHH@Z 0050 _malloc_base 00df _setmbcp_nolock 00eb _errno 00fc _free_base 0115 __acrt_set_locale_changed 013e __acrt_initial_multibyte_data 0171 __globallocalestatus 01a2 ??$?RV<lambda_efdfa57d1f175319df784efa44bb7b81>@@AEAV<lambda_5f0a4c1567f8adc6734073e5d1e1b35c>@@V<lambda_2e8a7d3640ea6ccb4c2413664c2db6fd>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_efdfa57d1f175319df784efa44bb7b81>@@AEAV<lambda_5f0a4c1567f8adc6734073e5d1e1b35c>@@$$QEAV<lambda_2e8a7d3640ea6ccb4c2413664c2db6fd>@@@Z 01b9 __acrt_initial_locale_pointers"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 4C 24 20 4C 89 44 24 18 55 56 57 48 8B EC 48 83 EC 40 40 8A F2 8B D9 49 8B 11 49 8B C8 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 48 8B 4D 30 8B F8 4C 8B 81 88 00 00 00 41 3B 40 04 75 07 33 C0 E9 B8 00 00 00 B9 28 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 95 00 00 00 48 8B 45 30 BA 04 00 00 00 48 8B CB 48 8B 80 88 00 00 00 44 8D 42 7C 0F 10 00 0F 11 01 0F 10 48 10 0F 11 49 10 0F 10 40 20 0F 11 41 20 0F 10 48 30 0F 11 49 30 0F 10 40 40 0F 11 41 40 0F 10 48 50 0F 11 49 50 0F 10 40 60 0F 11 41 60 49 03 C8 0F 10 48 70 49 03 C0 0F 11 49 F0 48 83 EA 01 75 B6 0F 10 00 0F 11 01 0F 10 48 10 0F 11 49 10 48 8B 40 20 48 89 41 20 8B CF 21 13 48 8B D3 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 CF FF 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 40 5F 5E 5D C3 40 84 F6 75 05 E8 ?? ?? ?? ?? 48 8B 45 30 48 8B 88 88 00 00 00 83 C8 FF F0 0F C1 01 83 F8 01 75 1C 48 8B 45 30 48 8B 88 88 00 00 00 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 05 E8 ?? ?? ?? ?? C7 03 01 00 00 00 48 8B CB 48 8B 45 30 33 DB 48 89 88 88 00 00 00 48 8B 45 30 F6 80 A8 03 00 00 02 75 89 F6 05 ?? ?? ?? ?? 01 75 80 48 8D 45 30 48 89 45 F0 4C 8D 4D E4 48 8D 45 38 48 89 45 F8 4C 8D 45 F0 8D 43 05 48 8D 55 E8 89 45 E4 48 8D 4D E0 89 45 E8 E8 ?? ?? ?? ?? 40 84 F6 0F 84 49 FF FF FF 48 8B 45 38 48 8B 08 48 89 0D ?? ?? ?? ?? E9 36 FF FF FF }
	condition:
		$1
}

rule file_420_31_0 {
	meta:
		name = "?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z"
		size = 181
		refs = "0017 __globallocalestatus 003c __acrt_lock 0066 __acrt_initial_multibyte_data 0075 _free_base 0093 __acrt_unlock 009d abort"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B F9 8B 05 ?? ?? ?? ?? 85 81 A8 03 00 00 74 13 48 83 B9 90 00 00 00 00 74 09 48 8B 99 88 00 00 00 EB 61 B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 9F 88 00 00 00 48 89 5C 24 30 48 3B DE 74 3B 48 85 DB 74 22 83 C8 FF F0 0F C1 03 83 E8 01 75 16 48 8D 05 ?? ?? ?? ?? 48 8B 4C 24 30 48 3B C8 74 05 E8 ?? ?? ?? ?? 48 89 B7 88 00 00 00 48 89 74 24 30 F0 FF 06 48 8B 5C 24 30 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 06 E8 ?? ?? ?? ?? CC 48 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_420_35_0 {
	meta:
		name = "__acrt_initialize_multibyte"
		size = 96
		refs = "0006 ?initialized@?1??__acrt_initialize_multibyte@@9@4_NA 0010 _mbcasemaps 0017 _mbcasemap 001e __acrt_initial_multibyte_data 0025 _mbctypes 002c __acrt_current_multibyte_data 0033 _mbctype 0038 __acrt_getptd_head 004e ?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 75 4C 48 8D 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8B C0 B2 01 B9 FD FF FF FF E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_420_37_0 {
	meta:
		name = "__acrt_update_thread_multibyte_data"
		size = 28
		refs = "0005 __acrt_getptd 000c __acrt_current_multibyte_data 0018 ?update_thread_multibyte_data_internal@@YAPEAU__crt_multibyte_data@@QEAU__acrt_ptd@@QEAU1@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_420_40_0 {
	meta:
		name = "_getmbcp"
		size = 58
		refs = "000c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 83 EC 48 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 78 08 00 74 05 8B 40 04 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_420_41_0 {
	meta:
		name = "_setmbcp"
		size = 37
		refs = "0009 __acrt_getptd 0013 __acrt_current_multibyte_data 0021 ?setmbcp_internal@@YAHH_NQEAU__acrt_ptd@@QEAPEAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 4C 8B C0 4C 8D 0D ?? ?? ?? ?? 33 D2 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_420_42_0 {
	meta:
		name = "_setmbcp_nolock"
		size = 679
		refs = "0019 __security_cookie 0029 ?getSystemCP@@YAHH@Z 0039 ?setSBCS@@YAXPEAU__crt_multibyte_data@@@Z 0045 ?__rgcode_page_info@@3PAUcode_page_info@@A 007c __imp_IsValidCodePage 0091 __imp_GetCPInfo 00aa memset 0135 ?_mb_locale_names@@3QBQEB_WB 017a ?fSystemSet@@3HA 01a7 ?__rgctypeflag@@3PADA 027b ?setSBUpLow@@YAXPEAU__crt_multibyte_data@@@Z 028a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B DA E8 ?? ?? ?? ?? 33 F6 8B F8 85 C0 75 0D 48 8B CB E8 ?? ?? ?? ?? E9 3D 02 00 00 4C 8D 25 ?? ?? ?? ?? 8B EE 49 8B C4 41 BF 01 00 00 00 39 38 0F 84 30 01 00 00 41 03 EF 48 83 C0 30 83 FD 05 72 EC 8D 87 18 02 FF FF 41 3B C7 0F 86 0D 01 00 00 0F B7 CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 48 8D 54 24 20 8B CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 DB 00 00 00 48 8D 4B 18 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 89 7B 04 48 89 B3 20 02 00 00 44 39 7C 24 20 0F 86 9E 00 00 00 48 8D 4C 24 26 40 38 74 24 26 74 30 40 38 71 01 74 2A 0F B6 41 01 0F B6 11 3B D0 77 16 2B C2 8D 7A 01 41 8D 14 07 80 4C 1F 18 04 41 03 FF 49 2B D7 75 F3 48 83 C1 02 40 38 31 75 D0 48 8D 43 1A B9 FE 00 00 00 80 08 08 49 03 C7 49 2B CF 75 F5 8B 4B 04 81 E9 A4 03 00 00 74 2F 83 E9 04 74 21 83 E9 0D 74 13 41 3B CF 74 05 48 8B C6 EB 22 48 8B 05 ?? ?? ?? ?? EB 19 48 8B 05 ?? ?? ?? ?? EB 10 48 8B 05 ?? ?? ?? ?? EB 07 48 8B 05 ?? ?? ?? ?? 48 89 83 20 02 00 00 44 89 7B 08 EB 03 89 73 08 48 8D 7B 0C 0F B7 C6 B9 06 00 00 00 66 F3 AB E9 FF 00 00 00 39 35 ?? ?? ?? ?? 0F 85 B1 FE FF FF 83 C8 FF E9 F5 00 00 00 48 8D 4B 18 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 8B C5 4D 8D 4C 24 10 4C 8D 35 ?? ?? ?? ?? BD 04 00 00 00 4C 8D 1C 40 49 C1 E3 04 4D 03 CB 49 8B D1 41 38 31 74 40 40 38 72 01 74 3A 44 0F B6 02 0F B6 42 01 44 3B C0 77 24 45 8D 50 01 41 81 FA 01 01 00 00 73 17 41 8A 06 45 03 C7 41 08 44 1A 18 45 03 D7 0F B6 42 01 44 3B C0 76 E0 48 83 C2 02 40 38 32 75 C0 49 83 C1 08 4D 03 F7 49 2B EF 75 AC 89 7B 04 44 89 7B 08 81 EF A4 03 00 00 74 2A 83 EF 04 74 1C 83 EF 0D 74 0E 41 3B FF 75 22 48 8B 35 ?? ?? ?? ?? EB 19 48 8B 35 ?? ?? ?? ?? EB 10 48 8B 35 ?? ?? ?? ?? EB 07 48 8B 35 ?? ?? ?? ?? 4C 2B DB 48 89 B3 20 02 00 00 48 8D 4B 0C BA 06 00 00 00 4B 8D 3C 23 0F B7 44 0F F8 66 89 01 48 8D 49 02 49 2B D7 75 EF 48 8B CB E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 40 49 8B 6B 48 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_421_0_0 {
	meta:
		name = "_isatty"
		size = 95
		refs = "000a _errno 001c _nhandle 0028 __pioinfo 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 42 85 C9 78 2E 3B 0D ?? ?? ?? ?? 73 26 48 63 C9 48 8D 15 ?? ?? ?? ?? 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 48 8B 04 C2 0F B6 44 08 38 83 E0 40 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_423_0_0 {
	meta:
		name = "??$common_strnlen@$00G@@YA_KQEBG_K@Z"
		size = 375
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B CA 4C 8B C1 83 F8 05 0F 8C 9D 00 00 00 F6 C1 01 74 17 48 8B D1 45 33 C9 66 44 39 0A 74 06 48 83 C2 02 EB F4 48 2B D1 EB 76 83 E1 1F B8 20 00 00 00 48 2B C1 48 F7 D9 4D 1B D2 4C 23 D0 49 D1 EA 49 3B D2 4C 0F 42 D2 45 33 C9 49 8B D0 4B 8D 04 50 4C 3B C0 74 0F 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 49 3B D2 75 32 49 8D 14 50 C5 F8 77 C5 F4 57 C9 C5 F5 75 0A C5 FD D7 C1 85 C0 C5 F8 77 75 06 48 83 C2 20 EB E7 66 44 39 0A 74 06 48 83 C2 02 EB F4 49 2B D0 48 D1 FA 48 8B C2 E9 B0 00 00 00 83 F8 01 0F 8C 8F 00 00 00 F6 C1 01 74 0F 45 33 C9 66 44 39 09 74 76 48 83 C1 02 EB F4 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 49 8B C8 48 1B D2 48 23 D0 48 D1 EA 4C 3B CA 49 0F 42 D1 45 33 C9 49 8D 04 50 4C 3B C0 74 0F 66 44 39 09 74 09 48 83 C1 02 48 3B C8 75 F1 49 2B C8 48 D1 F9 48 3B CA 75 2F 49 8D 0C 48 0F 57 C9 66 0F 6F 01 66 0F 75 C1 66 0F D7 C0 85 C0 75 06 48 83 C1 10 EB EA 66 44 39 09 74 06 48 83 C1 02 EB F4 49 2B C8 48 D1 F9 48 8B C1 EB 18 48 8B C1 45 33 C9 66 44 39 08 74 06 48 83 C0 02 EB F4 48 2B C1 48 D1 F8 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_1_0 {
	meta:
		name = "??$common_strnlen@$0A@E@@YA_KQEBE_K@Z"
		size = 359
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B C9 83 F8 05 0F 8C 91 00 00 00 4C 8B C1 B8 20 00 00 00 41 83 E0 1F 49 2B C0 49 F7 D8 4D 1B D2 4C 23 D0 49 3B D2 4C 0F 42 D2 49 8D 04 0A EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 49 3B CA 75 4F 49 03 C9 4C 8B C2 4D 2B C2 49 8B C0 83 E0 1F 4C 2B C0 4C 03 C1 49 3B C8 C5 F8 77 74 1C C5 F4 57 C9 C5 F5 74 09 C5 FD D7 C1 85 C0 C5 F8 77 75 09 48 83 C1 20 49 3B C8 75 E4 49 8D 04 11 EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 48 8B C1 E9 AF 00 00 00 83 F8 01 0F 8C 8B 00 00 00 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 49 8B C9 4D 1B D2 4C 23 D0 49 3B D2 4C 0F 42 D2 4B 8D 04 0A 4C 3B C8 74 0D 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 49 3B CA 75 B3 4C 8B C2 49 03 C9 4D 2B C2 0F 57 C9 49 8B C0 83 E0 0F 4C 2B C0 4C 03 C1 EB 14 66 0F 6F 01 66 0F 74 C1 66 0F D7 C0 85 C0 75 09 48 83 C1 10 49 3B C8 75 E7 49 8D 04 11 EB 0C 80 39 00 0F 84 6E FF FF FF 48 FF C1 48 3B C8 75 EF E9 61 FF FF FF 48 03 CA 49 8B C1 4C 3B C9 74 0D 80 38 00 74 08 48 FF C0 48 3B C1 75 F3 49 2B C1 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_2_0 {
	meta:
		name = "??$common_strnlen@$0A@G@@YA_KQEBG_K@Z"
		size = 501
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B D2 4C 8B C1 83 F8 05 0F 8C D0 00 00 00 F6 C1 01 74 26 48 8D 04 51 48 8B D1 48 3B C8 74 12 45 33 C9 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 48 2B D1 E9 9A 00 00 00 83 E1 1F B8 20 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 49 8B D0 4B 8D 04 58 4C 3B C0 74 0F 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 49 3B D3 75 56 49 8D 14 50 49 8B CA 49 2B CB 48 8B C1 83 E0 1F 48 2B C8 4C 8D 1C 4A 49 3B D3 C5 F8 77 74 1C C5 F4 57 C9 C5 F5 75 0A C5 FD D7 C1 85 C0 C5 F8 77 75 09 48 83 C2 20 49 3B D3 75 E4 4B 8D 04 50 EB 0A 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 48 8B C2 E9 FB 00 00 00 83 F8 01 0F 8C CE 00 00 00 F6 C1 01 74 2B 48 8D 04 51 48 8B D1 48 3B C8 0F 84 35 FF FF FF 45 33 C9 66 44 39 0A 0F 84 28 FF FF FF 48 83 C2 02 48 3B D0 75 ED E9 1A FF FF FF 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 49 8B D0 4B 8D 04 58 4C 3B C0 74 0F 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 49 3B D3 0F 85 74 FF FF FF 49 8B CA 49 8D 14 50 49 2B CB 0F 57 C9 48 8B C1 83 E0 0F 48 2B C8 4C 8D 1C 4A EB 14 66 0F 6F 02 66 0F 75 C1 66 0F D7 C0 85 C0 75 09 48 83 C2 10 49 3B D3 75 E7 4B 8D 04 50 EB 0E 66 44 39 0A 0F 84 29 FF FF FF 48 83 C2 02 48 3B D0 75 ED E9 1B FF FF FF 48 8D 0C 51 49 8B C0 4C 3B C1 74 12 45 33 C9 66 44 39 08 74 09 48 83 C0 02 48 3B C1 75 F1 49 2B C0 48 D1 F8 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_3_0 {
	meta:
		name = "??$common_strnlen_c@$00G@@YA_KQEBG_K@Z"
		size = 22
	strings:
		$1 = { 48 8B C1 66 83 38 00 74 06 48 83 C0 02 EB F4 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_423_4_0 {
	meta:
		name = "??$common_strnlen_c@$0A@E@@YA_KQEBE_K@Z"
		size = 29
	strings:
		$1 = { 4C 8D 04 11 48 8B C1 49 3B C8 74 0D 80 38 00 74 08 48 FF C0 49 3B C0 75 F3 48 2B C1 C3 }
	condition:
		$1
}

rule file_423_5_0 {
	meta:
		name = "??$common_strnlen_c@$0A@G@@YA_KQEBG_K@Z"
		size = 34
	strings:
		$1 = { 4C 8D 04 51 48 8B C1 49 3B C8 74 0F 66 83 38 00 74 09 48 83 C0 02 49 3B C0 75 F1 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_423_6_0 {
	meta:
		name = "??$common_strnlen_simd@$00$00G@@YA_KQEBG_K@Z"
		size = 174
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 4C 8B C1 F6 C1 01 74 18 48 8B C1 33 D2 66 39 10 74 06 48 83 C0 02 EB F5 48 2B C1 48 D1 F8 EB 79 83 E1 1F B8 20 00 00 00 48 2B C1 48 F7 D9 4D 1B C9 4C 23 C8 49 8B C0 49 D1 E9 49 3B D1 4C 0F 42 CA 33 D2 4B 8D 0C 48 4C 3B C1 74 0E 66 39 10 74 09 48 83 C0 02 48 3B C1 75 F2 49 2B C0 48 D1 F8 49 3B C1 75 34 49 8D 0C 40 C5 F8 77 C5 FC 57 C0 C5 FD 75 01 C5 FD D7 C0 85 C0 C5 F8 77 75 06 48 83 C1 20 EB E7 66 39 11 74 06 48 83 C1 02 EB F5 49 2B C8 48 D1 F9 48 8B C1 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_7_0 {
	meta:
		name = "??$common_strnlen_simd@$00$0A@G@@YA_KQEBG_K@Z"
		size = 150
	strings:
		$1 = { 4C 8B C1 F6 C1 01 74 17 48 8B C1 33 D2 66 39 10 74 06 48 83 C0 02 EB F5 48 2B C1 48 D1 F8 C3 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 4D 1B C9 4C 23 C8 49 8B C0 49 D1 E9 49 3B D1 4C 0F 42 CA 33 D2 4B 8D 0C 48 4C 3B C1 74 0E 66 39 10 74 09 48 83 C0 02 48 3B C1 75 F2 49 2B C0 48 D1 F8 49 3B C1 75 31 49 8D 0C 40 0F 57 C9 66 0F 6F C1 66 0F 75 01 66 0F D7 C0 85 C0 75 06 48 83 C1 10 EB EA 66 39 11 74 06 48 83 C1 02 EB F5 49 2B C8 48 D1 F9 48 8B C1 C3 }
	condition:
		$1
}

rule file_423_8_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$00E@@YA_KQEBE_K@Z"
		size = 170
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 4C 8B C1 4C 8B C9 41 83 E0 1F B8 20 00 00 00 49 2B C0 4C 8B DA 49 F7 D8 4D 1B D2 4C 23 D0 49 8B C1 49 3B D2 4C 0F 42 D2 49 03 CA 4C 3B C9 74 0D 80 38 00 74 08 48 FF C0 48 3B C1 75 F3 49 2B C1 49 3B C2 75 50 49 2B D2 4A 8D 0C 08 48 8B C2 83 E0 1F 48 2B D0 48 03 D1 48 3B CA C5 F8 77 74 1C C5 FC 57 C0 C5 FD 74 01 C5 FD D7 C0 85 C0 C5 F8 77 75 09 48 83 C1 20 48 3B CA 75 E4 4B 8D 04 19 EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 48 8B C1 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_9_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$00G@@YA_KQEBG_K@Z"
		size = 233
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 4C 8B D2 4C 8B C1 F6 C1 01 74 29 48 8D 0C 51 49 8B C0 4C 3B C1 74 12 45 33 C9 66 44 39 08 74 09 48 83 C0 02 48 3B C1 75 F1 49 2B C0 48 D1 F8 E9 A0 00 00 00 83 E1 1F B8 20 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 8B C0 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 4B 8D 0C 58 4C 3B C1 74 0F 66 44 39 08 74 09 48 83 C0 02 48 3B C1 75 F1 49 2B C0 48 D1 F8 49 3B C3 75 59 49 8D 14 40 49 8B CA 49 2B CB 48 8B C1 83 E0 1F 48 2B C8 4C 8D 1C 4A 49 3B D3 C5 F8 77 74 1C C5 FC 57 C0 C5 FD 75 02 C5 FD D7 C0 85 C0 C5 F8 77 75 09 48 83 C2 20 49 3B D3 75 E4 4B 8D 04 50 EB 0A 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 48 8B C2 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_10_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$0A@E@@YA_KQEBE_K@Z"
		size = 144
	strings:
		$1 = { 4C 8B C1 4C 8B C9 41 83 E0 0F B8 10 00 00 00 49 2B C0 4C 8B DA 49 F7 D8 4D 1B D2 4C 23 D0 49 8B C1 49 3B D2 4C 0F 42 D2 49 03 CA 4C 3B C9 74 0D 80 38 00 74 08 48 FF C0 48 3B C1 75 F3 49 2B C1 49 3B C2 75 4A 49 2B D2 4A 8D 0C 08 48 8B C2 0F 57 C9 83 E0 0F 48 2B D0 48 03 D1 EB 14 66 0F 6F C1 66 0F 74 01 66 0F D7 C0 85 C0 75 09 48 83 C1 10 48 3B CA 75 E7 4B 8D 04 19 EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 48 8B C1 C3 }
	condition:
		$1
}

rule file_423_11_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$0A@G@@YA_KQEBG_K@Z"
		size = 203
	strings:
		$1 = { 4C 8B D2 4C 8B C1 F6 C1 01 74 25 48 8D 0C 51 49 8B C0 4C 3B C1 74 12 45 33 C9 66 44 39 08 74 09 48 83 C0 02 48 3B C1 75 F1 49 2B C0 48 D1 F8 C3 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 8B C0 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 4B 8D 0C 58 4C 3B C1 74 0F 66 44 39 08 74 09 48 83 C0 02 48 3B C1 75 F1 49 2B C0 48 D1 F8 49 3B C3 75 53 49 8D 14 40 49 8B CA 49 2B CB 0F 57 C9 48 8B C1 83 E0 0F 48 2B C8 4C 8D 1C 4A EB 14 66 0F 6F C1 66 0F 75 02 66 0F D7 C0 85 C0 75 09 48 83 C2 10 49 3B D3 75 E7 4B 8D 04 50 EB 0A 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 48 8B C2 C3 }
	condition:
		$1
}

rule file_423_16_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$00E@@SA?AT__m256i@@T2@0@Z"
		size = 29
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 C5 FE 6F 01 C5 FD 74 02 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_17_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$00G@@SA?AT__m256i@@T2@0@Z"
		size = 29
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 C5 FE 6F 01 C5 FD 75 02 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_22_0 {
	meta:
		name = "?get_zero_pack@?$__crt_simd_pack_traits@$00@@SA?AT__m256i@@XZ"
		size = 25
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 C5 FC 57 C0 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_24_0 {
	meta:
		name = "strnlen"
		size = 352
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B C9 83 F8 05 0F 8C 93 00 00 00 4C 8B C1 B8 20 00 00 00 41 83 E0 1F 49 2B C0 49 F7 D8 4D 1B D2 4C 23 D0 49 3B D2 4C 0F 42 D2 49 8D 04 0A EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 49 3B CA 0F 85 F8 00 00 00 49 03 C9 4C 8B C2 4D 2B C2 49 8B C0 83 E0 1F 4C 2B C0 4C 03 C1 49 3B C8 C5 F8 77 74 1C C5 F4 57 C9 C5 F5 74 09 C5 FD D7 C1 85 C0 C5 F8 77 75 09 48 83 C1 20 49 3B C8 75 E4 49 8D 04 11 EB 0C 80 39 00 0F 84 AD 00 00 00 48 FF C1 48 3B C8 75 EF E9 A0 00 00 00 83 F8 01 0F 8C 84 00 00 00 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 49 8B C9 4D 1B D2 4C 23 D0 49 3B D2 4C 0F 42 D2 4B 8D 04 0A 4C 3B C8 74 0D 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 49 3B CA 75 5E 4C 8B C2 49 03 C9 4D 2B C2 0F 57 C9 49 8B C0 83 E0 0F 4C 2B C0 4C 03 C1 EB 14 66 0F 6F C1 66 0F 74 01 66 0F D7 C0 85 C0 75 09 48 83 C1 10 49 3B C8 75 E7 49 8D 04 11 EB 08 80 39 00 74 1D 48 FF C1 48 3B C8 75 F3 EB 13 48 8D 04 11 EB 08 80 39 00 74 08 48 FF C1 48 3B C8 75 F3 49 2B C9 48 8B C1 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_25_0 {
	meta:
		name = "wcslen"
		size = 360
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B C1 83 F8 05 0F 8C 95 00 00 00 F6 C1 01 74 14 48 8B D1 33 C9 66 39 0A 0F 84 25 01 00 00 48 83 C2 02 EB F1 83 E1 1F B8 20 00 00 00 48 2B C1 49 8B D0 48 F7 D9 4D 1B C9 4C 23 C8 48 83 C8 FF 49 D1 E9 4C 3B C8 4C 0F 47 C8 33 C9 4B 8D 04 48 4C 3B C0 74 0E 66 39 0A 74 09 48 83 C2 02 48 3B D0 75 F2 49 2B D0 48 D1 FA 49 3B D1 0F 85 D8 00 00 00 49 8D 14 50 C5 F8 77 C5 F4 57 C9 C5 F5 75 0A C5 FD D7 C1 85 C0 C5 F8 77 75 06 48 83 C2 20 EB E7 66 39 0A 0F 84 A9 00 00 00 48 83 C2 02 EB F1 83 F8 01 0F 8C 8A 00 00 00 F6 C1 01 74 14 48 8B D1 33 C9 66 39 0A 0F 84 87 00 00 00 48 83 C2 02 EB F1 83 E1 0F B8 10 00 00 00 48 2B C1 49 8B D0 48 F7 D9 4D 1B C9 4C 23 C8 48 83 C8 FF 49 D1 E9 4C 3B C8 4C 0F 47 C8 33 C9 4B 8D 04 48 4C 3B C0 74 0E 66 39 0A 74 09 48 83 C2 02 48 3B D0 75 F2 49 2B D0 48 D1 FA 49 3B D1 75 3E 49 8D 14 50 0F 57 C9 66 0F 6F 02 66 0F 75 C1 66 0F D7 C0 85 C0 75 06 48 83 C2 10 EB EA 66 39 0A 74 16 48 83 C2 02 EB F5 48 8B D1 33 C9 66 39 0A 74 06 48 83 C2 02 EB F5 49 2B D0 48 D1 FA 48 8B C2 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_423_26_0 {
	meta:
		name = "wcsnlen"
		size = 503
		refs = "0011 __isa_available"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8D 6C 24 20 48 83 E5 E0 8B 05 ?? ?? ?? ?? 4C 8B D2 4C 8B C1 83 F8 05 0F 8C D3 00 00 00 F6 C1 01 74 2B 48 8D 04 51 48 8B D1 48 3B C8 0F 84 AF 01 00 00 45 33 C9 66 44 39 0A 0F 84 A2 01 00 00 48 83 C2 02 48 3B D0 75 ED E9 94 01 00 00 83 E1 1F B8 20 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 49 8B D0 4B 8D 04 58 4C 3B C0 74 0F 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 49 3B D3 0F 85 4F 01 00 00 49 8D 14 50 49 8B CA 49 2B CB 48 8B C1 83 E0 1F 48 2B C8 4C 8D 1C 4A 49 3B D3 C5 F8 77 74 1C C5 F4 57 C9 C5 F5 75 0A C5 FD D7 C1 85 C0 C5 F8 77 75 09 48 83 C2 20 49 3B D3 75 E4 4B 8D 04 50 EB 0A 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 E9 F4 00 00 00 83 F8 01 0F 8C CA 00 00 00 F6 C1 01 74 2B 48 8D 04 51 48 8B D1 48 3B C8 0F 84 D3 00 00 00 45 33 C9 66 44 39 0A 0F 84 C6 00 00 00 48 83 C2 02 48 3B D0 75 ED E9 B8 00 00 00 83 E1 0F B8 10 00 00 00 48 2B C1 48 F7 D9 4D 1B DB 4C 23 D8 49 D1 EB 49 3B D3 4C 0F 42 DA 45 33 C9 49 8B D0 4B 8D 04 58 4C 3B C0 74 0F 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 49 2B D0 48 D1 FA 49 3B D3 75 77 49 8B CA 49 8D 14 50 49 2B CB 0F 57 C9 48 8B C1 83 E0 0F 48 2B C8 4C 8D 1C 4A EB 14 66 0F 6F C1 66 0F 75 02 66 0F D7 C0 85 C0 75 09 48 83 C2 10 49 3B D3 75 E7 4B 8D 04 50 EB 0E 66 44 39 0A 0F 84 33 FF FF FF 48 83 C2 02 48 3B D0 75 ED E9 25 FF FF FF 48 8D 04 51 48 8B D1 48 3B C8 74 12 45 33 C9 66 44 39 0A 74 09 48 83 C2 02 48 3B D0 75 F1 48 2B D1 48 D1 FA 48 8B C2 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_424_0_0 {
	meta:
		name = "asinh"
		size = 211
		refs = "001b _dtest 0047 __xmm@80000000000000008000000000000000 005f __real@4000000000000000 0067 _Eps_C 0082 __real@3ff0000000000000 0087 sqrt 00a0 log1p 00ab log 00b3 __real@3fe62e42fefa39ef"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 48 83 EC 40 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F2 0F 10 44 24 50 E9 90 00 00 00 F2 44 0F 10 44 24 50 0F 57 C0 66 41 0F 2F C0 76 16 44 0F 57 05 ?? ?? ?? ?? BB 01 00 00 00 F2 44 0F 11 44 24 50 EB 02 33 DB F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 41 0F 2F C0 76 34 41 0F 28 F8 F2 41 0F 59 F8 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F8 F2 41 0F 58 F8 0F 28 C7 E8 ?? ?? ?? ?? EB 11 41 0F 28 C0 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_700_0_0 {
	meta:
		name = "asinhl"
		size = 211
		refs = "001b _ldtest 0047 __xmm@80000000000000008000000000000000 005f __real@4000000000000000 0067 _LEps_C 0082 __real@3ff0000000000000 0087 sqrt 00a0 log1pl 00ab log 00b3 __real@3fe62e42fefa39ef"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 48 83 EC 40 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F2 0F 10 44 24 50 E9 90 00 00 00 F2 44 0F 10 44 24 50 0F 57 C0 66 41 0F 2F C0 76 16 44 0F 57 05 ?? ?? ?? ?? BB 01 00 00 00 F2 44 0F 11 44 24 50 EB 02 33 DB F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 41 0F 2F C0 76 34 41 0F 28 F8 F2 41 0F 59 F8 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F8 F2 41 0F 58 F8 0F 28 C7 E8 ?? ?? ?? ?? EB 11 41 0F 28 C0 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_425_8_0 {
	meta:
		name = "__acrt_stdio_allocate_buffer_nolock"
		size = 97
		refs = "0008 _cflush 0015 _malloc_base 0020 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 05 ?? ?? ?? ?? 48 8B D9 B9 00 10 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 43 08 E8 ?? ?? ?? ?? 48 83 7B 08 00 74 0E F0 83 4B 14 40 C7 43 20 00 10 00 00 EB 17 F0 81 4B 14 00 04 00 00 48 8D 43 1C C7 43 20 02 00 00 00 48 89 43 08 48 8B 43 08 83 63 10 00 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_427_0_0 {
	meta:
		name = "_clrfp"
		size = 29
		refs = "0007 _get_fpsr 0011 _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 83 E3 3F E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_427_1_0 {
	meta:
		name = "_ctrlfp"
		size = 124
		refs = "0016 _get_fpsr 0036 ?dazSupported@?1??_ctrlfp@@9@9 0043 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 8B F0 89 44 24 38 8B CB F7 D1 81 C9 7F 80 FF FF 23 C8 23 FB 0B CF 89 4C 24 30 80 3D ?? ?? ?? ?? 00 74 25 F6 C1 40 74 20 E8 ?? ?? ?? ?? EB 17 C6 05 ?? ?? ?? ?? 00 8B 4C 24 30 83 E1 BF E8 ?? ?? ?? ?? 8B 74 24 38 EB 08 83 E1 BF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_427_2_0 {
	meta:
		name = "_ctrlfp$filt$0"
		size = 44
		altNames = "common_control87$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 81 38 05 00 00 C0 74 0C 81 38 1D 00 00 C0 74 04 33 C0 EB 05 B8 01 00 00 00 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_427_3_0 {
	meta:
		name = "_set_statfp"
		size = 31
		refs = "000a _get_fpsr 001b _set_fpsr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 E3 3F 0B C3 8B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_427_4_0 {
	meta:
		name = "_statfp"
		size = 17
		refs = "0005 _get_fpsr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 E0 3F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "mbrtoc32"
		size = 326
		refs = "0015 ?internal_pst@?1??mbrtoc32@@9@4U_Mbstatet@@A 0038 ??_C@_00CNPNBAHC@?$AA@ 00f4 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 45 33 D2 48 8D 1D ?? ?? ?? ?? 4D 85 C9 48 8B FA 48 8B F1 49 0F 45 D9 44 8A 5B 06 44 8B 0B 48 85 D2 75 0E 41 8B F2 48 8D 3D ?? ?? ?? ?? 44 8D 42 01 48 8B D7 4D 85 C0 0F 84 D8 00 00 00 45 84 DB 7E 23 8A 02 24 C0 3C 80 0F 85 96 00 00 00 0F B6 0A 41 8B C1 83 E1 3F C1 E0 06 44 8B C9 44 0B C8 41 FE CB EB 6E F6 02 80 75 06 44 0F B6 0A EB 63 8A 02 24 E0 3C C0 75 0D 44 0F B6 0A 41 B3 01 41 83 E1 1F EB 53 8A 02 24 F0 3C E0 75 0D 44 0F B6 0A 41 B3 02 41 83 E1 0F EB 3E 8A 02 24 F8 3C F0 75 0D 44 0F B6 0A 41 B3 03 41 83 E1 07 EB 29 8A 02 24 FC 3C F8 75 0D 44 0F B6 0A 41 B3 04 41 83 E1 03 EB 14 3C FC 75 1C 44 0F B6 0A 41 B3 05 41 83 E1 03 45 84 DB 74 1D 48 FF C2 49 83 E8 01 E9 53 FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 83 C8 FF EB 32 48 85 F6 74 03 44 89 0E 66 44 89 53 06 45 85 C9 74 09 4C 8B D2 4C 2B D7 49 FF C2 49 8B C2 EB 12 41 0F BE C3 66 89 43 06 48 C7 C0 FE FF FF FF 44 89 0B 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "asin"
		size = 672
		refs = "0072 _handle_nan 0087 __real@3ff0000000000000 0093 __real@3ff921fb54442d18 009d __real@bff0000000000000 00a9 __real@bff921fb54442d18 00b3 _set_statfp 00c8 ??_C@_04FIHNOPOL@asin?$AA@ 00fc _handle_error 010d __xmm@80000000000000008000000000000000 012d __real@3fe0000000000000 016b __real@3f0951665d321061 0173 __real@3fbb1a422982ce76 017b __real@3f51e5f887a62135 0183 __real@3fee324ab418f78d 0193 __real@3fac28d390c29690 019b __real@40062021571dccfc 01ab __real@3fd1a2bec1b7ef59 01b3 __real@400a4646f903cdea 01c3 __real@3fdc7b297e269eac 01cb __real@3ff5d6b12001f228 01d7 __real@3fcd1e4180029834 01ef __real@4000000000000000 0241 __real@3c91a62633145c07 025e __real@3fe921fb54442d18"
	strings:
		$1 = { 48 83 EC 68 48 B8 00 00 00 00 00 00 00 80 0F 29 74 24 50 49 B9 FF FF FF FF FF FF FF 7F 0F 57 C9 F2 0F 11 4C 24 70 0F 28 F0 F2 0F 11 84 24 80 00 00 00 48 8B 8C 24 80 00 00 00 4C 8B C1 48 8B D1 4C 23 C0 48 C1 EA 34 81 E2 FF 07 00 00 48 8B C1 49 23 C1 81 EA FF 03 00 00 49 B9 00 00 00 00 00 00 F0 7F 49 3B C1 76 0E 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 83 FA E4 7C 32 85 D2 0F 88 82 00 00 00 66 0F 2E 05 ?? ?? ?? ?? 7A 0C 75 0A F2 0F 10 35 ?? ?? ?? ?? EB 14 66 0F 2E 05 ?? ?? ?? ?? 7A 1C 75 1A F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 D7 01 00 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? 44 89 4C 24 40 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 8D 51 0D C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? E9 91 01 00 00 4D 85 C0 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 FA FF 0F 9D C0 85 C0 74 31 F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C DE F2 0F 59 1D ?? ?? ?? ?? F2 0F 11 5C 24 78 F2 0F 51 54 24 78 F2 0F 11 54 24 70 F2 0F 10 64 24 70 0F 28 F4 EB 13 F2 0F 10 64 24 70 0F 28 DE F2 0F 59 DE F2 0F 11 5C 24 78 0F 28 CB 0F 28 C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CB F2 0F 59 C3 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CB F2 0F 59 C3 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CB F2 0F 59 C3 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 5E C8 85 C0 0F 84 94 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF F2 0F 11 A4 24 80 00 00 00 48 8B 84 24 80 00 00 00 48 23 C1 48 89 84 24 80 00 00 00 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 6C 24 70 0F 28 C4 F2 0F 10 54 24 78 F2 0F 59 C4 F2 0F 59 EB F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 E9 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 E3 F2 0F 5E D1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 D3 F2 0F 5C C2 F2 0F 5C E8 0F 28 C1 F2 0F 5C C4 F2 0F 5C E8 F2 0F 5C CD EB 08 F2 0F 59 CE F2 0F 58 CE 4D 85 C0 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_431_0_0 {
	meta:
		name = "_FCmulcc"
		size = 134
		refs = "001d crealf 002b cimagf 006d _FCbuild"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 48 89 50 B8 48 89 48 C0 E8 ?? ?? ?? ?? 48 8B 4C 24 28 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F8 E8 ?? ?? ?? ?? 0F 28 CF 0F 28 D0 F3 0F 59 C6 F3 41 0F 59 F8 F3 0F 59 CE F3 41 0F 59 D0 F3 0F 5C F8 F3 0F 58 CA 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_431_1_0 {
	meta:
		name = "_FCmulcr"
		size = 71
		refs = "0017 cimagf 0028 crealf 0034 _FCbuild"
	strings:
		$1 = { 48 83 EC 58 0F 29 74 24 40 0F 29 7C 24 30 0F 28 F9 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 F3 0F 59 F7 E8 ?? ?? ?? ?? F3 0F 59 C7 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_431_2_0 {
	meta:
		name = "cpowf"
		size = 160
		refs = "0014 cimagf 001b __real@00000000 0029 crealf 0069 powf 0071 _FCbuild 007d clogf 008a _FCmulcc 0092 cexpf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 54 24 28 48 89 4C 24 20 E8 ?? ?? ?? ?? 0F 2E 05 ?? ?? ?? ?? 7A 56 75 54 48 8B 4C 24 20 E8 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? 72 41 48 8B 4C 24 28 E8 ?? ?? ?? ?? 0F 2E 05 ?? ?? ?? ?? 7A 2E 75 2C 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 57 C9 E8 ?? ?? ?? ?? EB 1F 48 8B 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "atanf"
		size = 506
		refs = "0017 __xmm@80000000000000008000000000000000 006f __real@3fddac670561bb4f 007a __real@4000000000000000 008d __real@3ff0000000000000 00b0 __real@3fe921fb54442d18 00e9 __real@3fef730bd281f69b 00f4 __real@3ff8000000000000 0137 _handle_nanf 013f __real@43d3200000000000 014e __real@bfc90fdb 0158 __real@3fc90fdb 0162 _set_statfp 0172 __real@bff0000000000000 017a __real@3ff921fb54442d18 0196 __real@3f73476a758da22a 01a1 __real@3fd327e3df2cf2aa 01ad __real@3fc89e173a81ee7f 01b5 __real@3ff1c58793da6ea4 01c5 __real@3fd2fa5316907834 01cd __real@3fec777ca21053f0"
	strings:
		$1 = { 48 83 EC 38 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 20 F2 0F 10 35 ?? ?? ?? ?? 0F 57 E4 F3 0F 5A E0 F2 0F 11 64 24 48 48 8B 4C 24 48 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 00 80 48 23 CA 74 03 0F 57 E6 48 BA 00 00 00 00 00 00 DC 3F 48 3B C2 73 08 0F 57 ED E9 29 01 00 00 48 BA 00 00 00 00 00 00 E6 3F 48 3B C2 73 32 F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? 0F 28 C4 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E0 E9 E8 00 00 00 48 BA 00 00 00 00 00 00 F3 3F 48 3B C2 73 2A F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 F2 0F 5C 15 ?? ?? ?? ?? 0F 28 CC F2 0F 58 0D ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E1 E9 AF 00 00 00 48 BA 00 00 00 00 00 80 03 40 48 3B C2 73 2F F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 0F 28 CC F2 0F 58 0D ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E1 EB 71 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 18 F3 0F 11 44 24 40 8B 4C 24 40 0F 28 74 24 20 48 83 C4 38 E9 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 76 29 48 85 C9 74 0A F3 0F 10 35 ?? ?? ?? ?? EB 08 F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 82 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E C4 0F 28 E0 0F 28 D4 F2 0F 59 D4 0F 28 DA 0F 28 CA F2 0F 59 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DC F2 0F 5C EB 48 85 C9 74 03 0F 57 EE 0F 57 C0 F2 0F 5A C5 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_433_4_0 {
	meta:
		name = "_strxfrm_l"
		size = 377
		refs = "002a ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0089 strncpy 00cb __acrt_LCMapStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 70 4C 8B F2 48 8B F9 49 8B D1 48 8D 48 D8 49 8B F0 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 3B F3 77 0F 48 85 FF 75 05 48 85 F6 75 05 4D 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 9F 00 00 00 48 85 FF 74 08 48 85 F6 74 03 C6 07 00 48 8B 44 24 58 48 8B 90 30 01 00 00 48 85 D2 75 23 39 50 14 75 1E 4C 8B C6 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 83 CB FF 48 FF C3 41 80 3C 1E 00 75 F6 EB 5E 8B 40 14 48 8D 4C 24 58 C7 44 24 40 01 00 00 00 4D 8B CE 89 44 24 38 41 B8 00 04 00 00 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 0F 84 95 00 00 00 48 63 E8 48 3B EE 76 4D 48 85 FF 74 13 48 85 F6 74 0E C6 07 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 8D 5D FF 80 7C 24 68 00 74 0C 48 8B 4C 24 50 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 48 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 48 8B 54 24 58 48 8D 4C 24 58 C7 44 24 40 01 00 00 00 4D 8B CE 41 B8 00 04 00 00 8B 42 14 48 8B 92 30 01 00 00 89 44 24 38 89 74 24 30 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 75 8B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 82 }
	condition:
		$1
}

rule file_434_0_0 {
	meta:
		name = "floor"
		size = 176
		refs = "0047 _handle_nan 0068 __real@bff0000000000000 00ab __real@3ff0000000000000"
	strings:
		$1 = { 45 33 C0 F2 0F 11 44 24 08 48 8B 54 24 08 48 B9 FF FF FF FF FF FF FF 7F 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 17 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 76 6C 48 8B CA E9 ?? ?? ?? ?? 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 19 48 85 C0 74 50 4D 85 C0 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 41 0F 57 C0 EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 08 F2 0F 10 44 24 08 4D 85 C0 74 0D 48 3B C2 74 08 F2 0F 5C 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_435_1_0 {
	meta:
		name = "perror"
		size = 192
		refs = "001a __acrt_lowio_lock_fh 0040 _write_nolock 004a ??_C@_02LMMGGCAJ@?3?5?$AA@ 005c _errno 0064 __sys_nerr 0079 __sys_errlist 009d ??_C@_01EEMJAFIK@?6?$AA@ 00ac __acrt_lowio_unlock_fh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 BE 02 00 00 00 8B CE E8 ?? ?? ?? ?? 90 48 85 DB 74 33 80 3B 00 74 2E 48 83 CF FF 4C 8B C7 49 FF C0 42 80 3C 03 00 75 F6 48 8B D3 8B CE E8 ?? ?? ?? ?? 44 8B C6 48 8D 15 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 04 48 83 CF FF E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 8B 14 D8 48 FF C7 80 3C 3A 00 75 F7 4C 8B C7 8B CE E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 90 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_435_2_0 {
	meta:
		name = "perror$fin$0"
		size = 25
		refs = "0014 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 02 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_436_4_0 {
	meta:
		name = "_strcoll_l"
		size = 199
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 008c __acrt_CompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 60 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 85 DB 74 05 48 85 FF 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 66 48 8B 44 24 48 48 8B 90 30 01 00 00 48 85 D2 75 1C 48 2B FB 8A 03 3A 04 3B 75 0B 48 FF C3 84 C0 75 F2 33 C0 EB 4A 1B C0 83 C8 01 EB 43 8B 40 14 48 8D 4C 24 48 89 44 24 38 4C 8B CB 83 C8 FF 41 B8 00 10 00 00 89 44 24 30 48 89 7C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "_getw"
		size = 170
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 0040 _lock_file 0065 _getc_nolock 0076 feof 0082 ferror 0090 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 48 89 4C 24 08 57 41 56 41 57 48 83 EC 30 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 5A 83 CE FF E8 ?? ?? ?? ?? 90 45 33 F6 44 89 74 24 58 4C 8D 7C 24 5C 48 8D 7C 24 58 48 89 7C 24 20 48 8B CB 49 3B FF 74 11 E8 ?? ?? ?? ?? 88 07 48 FF C7 44 8B 74 24 58 EB E2 E8 ?? ?? ?? ?? 85 C0 75 0E 48 8B CB E8 ?? ?? ?? ?? 85 C0 41 0F 44 F6 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_437_1_0 {
	meta:
		name = "_getw$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 50 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "sinf"
		size = 1782
		refs = "0006 __use_fma3_lib 0085 L_near_one 008d L_two_to_32 00a8 L_one_sixth 00dc __Lsinfarray 014c L_large_x_sse2 015e L_twobypi 016a L_one_half 0181 L_piby2_1 018d L_piby2_1tail 01b1 L_piby2_2 01be L_piby2_2tail 0244 L_one 0295 __remainder_piby2d2f_forC 0314 __Lcosfarray 0391 _sinf_special 03a7 L_inf_mask_32 03c8 L_piby4 03d5 L_mask_3f8 03de L_mask_3f2 0468 L_large_x_fma3 0472 L_sign_mask 0494 L_int_three 04d3 __L_2_by_pi_bits 0622 L_piby2_lead 06ba L_int_two 06cf L_signbit"
	strings:
		$1 = { 48 83 EC 68 83 3D ?? ?? ?? ?? 00 0F 85 8F 03 00 00 66 0F 57 D2 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 63 03 00 00 66 0F 28 D8 F3 0F 5A C0 66 48 0F 7E C2 4C 8B D2 49 0F BA F2 3F 41 B8 01 00 00 00 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 0F 8F D5 00 00 00 48 B8 00 00 00 00 00 00 80 3F 4C 3B D0 7D 66 48 B8 00 00 00 00 00 00 20 3F 4C 3B D0 7D 27 66 0F 28 C3 F3 0F 10 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 59 D0 F2 0F 59 D4 F2 0F 5C C2 E9 C5 02 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 D8 F2 0F 59 EA F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 E9 61 02 00 00 66 66 66 0F 1F 84 00 00 00 00 00 49 3B D2 41 BB 00 00 00 00 74 0E 41 BB 01 00 00 00 F2 0F 5C D0 F2 0F 10 C2 4C 3B 15 ?? ?? ?? ?? 0F 83 2A 01 00 00 F2 0F 10 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 48 81 F9 F2 03 00 00 0F 8D A7 00 00 00 48 81 F9 DE 03 00 00 7E 50 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 75 23 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 2E 01 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 0B 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 84 FB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EE 00 00 00 66 66 0F 1F 84 00 00 00 00 00 4C 89 5C 24 20 48 8D 54 24 38 4C 8D 44 24 30 66 48 0F 7E C1 E8 ?? ?? ?? ?? 4C 8B 5C 24 20 41 B8 01 00 00 00 F2 0F 10 4C 24 38 8B 44 24 30 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 75 55 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 D8 F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 EB 5F 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C1 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 0C F2 0F 10 D0 66 0F 57 C0 F2 0F 5C C2 F2 0F 5A C0 48 83 C4 68 C3 90 E8 ?? ?? ?? ?? 48 83 C4 68 C3 66 0F 1F 44 00 00 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 35 03 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F 8E 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 45 4C 3B 0D ?? ?? ?? ?? 7D 1C C5 F9 28 C8 C5 FA 59 0D ?? ?? ?? ?? C5 F2 58 0D ?? ?? ?? ?? 48 83 C4 68 C3 0F 1F 00 C5 D3 59 CD C5 F3 59 C5 C4 E2 D1 9D 05 ?? ?? ?? ?? E9 CD 02 00 00 66 66 0F 1F 84 00 00 00 00 00 C5 F9 28 C5 C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 E9 8A 02 00 00 0F 1F 80 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 62 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB E9 5F 01 00 00 66 0F 1F 84 00 00 00 00 00 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 13 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 48 83 D0 00 48 83 E0 03 C5 F9 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 15 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 28 74 46 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 2E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E C2 C5 FB 59 05 ?? ?? ?? ?? C4 E1 F9 7E E0 48 83 E0 01 48 83 F8 01 74 3B C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 EB 4E 66 0F 1F 84 00 00 00 00 00 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 15 ?? ?? ?? ?? C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 C4 E2 59 29 15 ?? ?? ?? ?? C4 E2 59 29 1D ?? ?? ?? ?? C5 E9 56 DB C5 E1 55 1D ?? ?? ?? ?? C5 F9 57 C3 C5 D1 55 0D ?? ?? ?? ?? C5 F1 57 C0 C5 FB 5A C0 48 83 C4 68 C3 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_439_9_0 {
	meta:
		name = "?close_os_handle_nolock@@YAKH@Z"
		size = 123
		refs = "000d _get_osfhandle 001e __pioinfo 0062 __imp_CloseHandle 006c __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 48 83 F8 FF 75 04 33 C0 EB 55 48 8B 05 ?? ?? ?? ?? B9 02 00 00 00 83 FF 01 75 09 40 84 B8 B8 00 00 00 75 0A 3B F9 75 1D F6 40 78 01 74 17 E8 ?? ?? ?? ?? B9 01 00 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 3B C3 74 C1 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 AD FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_439_11_0 {
	meta:
		name = "_close_nolock"
		size = 186
		refs = "0010 _get_osfhandle 0021 __pioinfo 0065 __imp_CloseHandle 006f __imp_GetLastError 0078 _free_osfhnd 00a4 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 8B CF E8 ?? ?? ?? ?? 48 83 F8 FF 75 04 33 DB EB 57 48 8B 05 ?? ?? ?? ?? B9 02 00 00 00 83 FF 01 75 09 40 84 B8 B8 00 00 00 75 0A 3B F9 75 1D F6 40 78 01 74 17 E8 ?? ?? ?? ?? B9 01 00 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 3B C3 74 C1 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 AD FF 15 ?? ?? ?? ?? 8B D8 8B CF E8 ?? ?? ?? ?? 48 8B D7 4C 8D 05 ?? ?? ?? ?? 83 E2 3F 48 8B CF 48 C1 F9 06 48 C1 E2 06 49 8B 0C C8 C6 44 11 38 00 85 DB 74 0C 8B CB E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_440_4_0 {
	meta:
		name = "__acrt_add_locale_ref"
		size = 139
		refs = "004d __acrt_wide_c_locale_string 0087 __acrt_locale_add_lc_time_reference"
	strings:
		$1 = { F0 FF 41 10 48 8B 81 E0 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 F0 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 E8 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 00 01 00 00 48 85 C0 74 03 F0 FF 00 48 8D 41 38 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0B 48 8B 10 48 85 D2 74 03 F0 FF 02 48 83 78 E8 00 74 0C 48 8B 50 F8 48 85 D2 74 03 F0 FF 02 48 83 C0 20 49 83 E8 01 75 CB 48 8B 89 20 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_5_0 {
	meta:
		name = "__acrt_free_locale"
		size = 374
		refs = "0026 __acrt_lconv_c 0052 _free_base 005e __acrt_locale_free_monetary 0080 __acrt_locale_free_numeric 00f7 __acrt_locale_free_lc_time_if_unreferenced 010e __acrt_wide_c_locale_string"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 81 F8 00 00 00 48 8B D9 48 85 C0 74 79 48 8D 0D ?? ?? ?? ?? 48 3B C1 74 6D 48 8B 83 E0 00 00 00 48 85 C0 74 61 83 38 00 75 5C 48 8B 8B F0 00 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E8 00 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 00 01 00 00 48 85 C0 74 47 83 38 00 75 42 48 8B 8B 08 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 01 00 00 BF 80 00 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 E8 ?? ?? ?? ?? 48 8D B3 28 01 00 00 BD 06 00 00 00 48 8D 7B 38 48 8D 05 ?? ?? ?? ?? 48 39 47 F0 74 1A 48 8B 0F 48 85 C9 74 12 83 39 00 75 0D E8 ?? ?? ?? ?? 48 8B 0E E8 ?? ?? ?? ?? 48 83 7F E8 00 74 13 48 8B 4F F8 48 85 C9 74 0A 83 39 00 75 05 E8 ?? ?? ?? ?? 48 83 C6 08 48 83 C7 20 48 83 ED 01 75 B1 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_6_0 {
	meta:
		name = "__acrt_locale_add_lc_time_reference"
		size = 39
		refs = "0008 __lc_time_c"
	strings:
		$1 = { 48 85 C9 74 1C 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 10 B8 01 00 00 00 F0 0F C1 81 5C 01 00 00 FF C0 C3 B8 FF FF FF 7F C3 }
	condition:
		$1
}

rule file_440_7_0 {
	meta:
		name = "__acrt_locale_free_lc_time_if_unreferenced"
		size = 54
		refs = "000d __lc_time_c 0024 __acrt_locale_free_time 002c _free_base"
	strings:
		$1 = { 48 85 C9 74 30 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 3B C8 74 17 8B 81 5C 01 00 00 85 C0 75 0D E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_440_8_0 {
	meta:
		name = "__acrt_locale_release_lc_time_reference"
		size = 37
		refs = "0008 __lc_time_c"
	strings:
		$1 = { 48 85 C9 74 1A 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 0E 83 C8 FF F0 0F C1 81 5C 01 00 00 FF C8 C3 B8 FF FF FF 7F C3 }
	condition:
		$1
}

rule file_440_9_0 {
	meta:
		name = "__acrt_release_locale_ref"
		size = 168
		refs = "0063 __acrt_wide_c_locale_string 009f __acrt_locale_release_lc_time_reference"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 0F 84 96 00 00 00 41 83 C9 FF F0 44 01 49 10 48 8B 81 E0 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 F0 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 E8 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 00 01 00 00 48 85 C0 74 04 F0 44 01 08 48 8D 41 38 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0C 48 8B 10 48 85 D2 74 04 F0 44 01 0A 48 83 78 E8 00 74 0D 48 8B 50 F8 48 85 D2 74 04 F0 44 01 0A 48 83 C0 20 49 83 E8 01 75 C9 48 8B 89 20 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_440_10_0 {
	meta:
		name = "__acrt_update_thread_locale_data"
		size = 112
		refs = "000b __acrt_getptd 0014 __globallocalestatus 0032 __acrt_lock 0041 __acrt_current_locale_data 0046 _updatetlocinfoEx_nolock 0053 __acrt_unlock 005d abort"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 8B 0D ?? ?? ?? ?? 85 88 A8 03 00 00 74 0C 48 8B 98 90 00 00 00 48 85 DB 75 36 B9 04 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 90 00 00 00 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 B9 04 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 06 E8 ?? ?? ?? ?? CC 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_440_12_0 {
	meta:
		name = "_updatetlocinfoEx_nolock"
		size = 104
		refs = "002b __acrt_add_locale_ref 0038 __acrt_release_locale_ref 0045 __acrt_initial_locale_data 0052 __acrt_free_locale"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 85 D2 74 49 48 85 C9 74 44 48 8B 19 48 3B DA 75 05 48 8B C2 EB 39 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 85 DB 74 22 48 8B CB E8 ?? ?? ?? ?? 83 7B 10 00 75 14 48 8D 05 ?? ?? ?? ?? 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_441_0_0 {
	meta:
		name = "__remainder_piby2"
		size = 1346
		refs = "0030 __security_cookie 004d ?pibits@?1??__remainder_piby2@@9@9 0465 __real@c000000000000000 046f __real@4000000000000000 0477 __real@3ff921fb54442d18 04a9 __real@3c91a62633145c06 04b8 __real@3e5110b460000000 04c0 __real@3ff921fb50000000 0514 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 D8 F0 FF FF 48 81 EC F0 0F 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 0E 00 00 4C 8B F2 F2 0F 11 04 24 4C 8B 14 24 48 8D 35 ?? ?? ?? ?? 48 83 65 A8 00 4D 8B F8 41 BD FF 03 00 00 4D 8B DA 49 C1 EB 34 48 B8 FF FF FF FF FF FF 0F 00 4C 23 D0 41 81 E3 FF 07 00 00 48 B8 00 00 00 00 00 00 10 00 45 2B DD 4C 0B D0 49 8B F9 B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 44 8D 4A 12 8D 04 92 03 C0 44 2B D8 49 63 C1 48 8B 14 C6 49 0F AF D2 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 45 A0 41 8D 41 FF 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 45 98 41 8D 41 FE 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 45 90 41 8D 41 FD 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 45 88 41 8D 41 FC 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 45 80 41 8D 41 FB 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 23 C5 48 89 44 24 78 41 8D 41 FA 48 63 C8 48 8B 14 CE 49 0F AF D2 49 C1 E8 0A 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 70 41 8D 41 F9 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 44 24 68 41 8D 41 F8 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 60 41 8D 41 F7 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 44 24 58 41 8D 41 F6 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 50 41 8D 41 F5 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 44 24 48 41 8D 41 F4 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 40 41 8D 41 F3 48 63 C8 4C 8B 04 CE 4D 0F AF C2 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 44 24 38 41 8D 41 F2 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 49 23 C5 48 89 44 24 30 41 8D 41 F1 48 63 C8 4C 8B 04 CE 4D 0F AF C2 48 C1 EA 0A 41 BC 01 00 00 00 4C 03 C2 49 8B C0 49 C1 E8 0A 49 23 C5 48 89 44 24 28 41 8D 41 F0 48 63 C8 48 8B 14 CE 49 0F AF D2 49 03 D0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 20 41 8D 41 EF 48 63 C8 41 8D 41 EE 45 8B CC 4C 8B 04 CE 48 63 C8 4D 0F AF C2 48 8B 04 CE 49 0F AF C2 4C 03 C2 49 BA 00 00 00 00 00 00 20 00 49 8B D8 BA 0A 00 00 00 41 2B D3 49 C1 E8 0A 49 03 C0 49 23 DD 49 23 C5 48 89 5C 24 18 48 89 44 24 10 48 C1 E0 0A 8D 4A FF 48 0B C3 48 D3 E8 8B CA 83 E0 07 41 8B D4 8B F0 41 23 F4 74 53 D1 F8 48 F7 D3 48 D3 E2 41 03 C4 49 2B D4 83 E0 03 48 23 D3 89 07 49 3B D2 73 27 4C 8D 44 24 18 48 8B C2 4D 8D 40 08 49 8B 08 45 03 CC 48 C1 E0 0A 48 F7 D1 49 23 CD 48 8B D1 48 0B D0 49 3B D2 72 DE 41 8D 41 01 48 63 C8 4C 8B 44 CC 10 49 F7 D0 EB 36 48 D3 E2 49 2B D4 D1 F8 48 23 D3 89 07 49 3B D2 73 18 48 8D 44 24 18 48 C1 E2 0A 48 8D 40 08 48 0B 10 45 03 CC 49 3B D2 72 ED 41 8D 41 01 48 63 C8 4C 8B 44 CC 10 43 8D 04 89 49 C1 E0 36 03 C0 44 2B D8 41 83 C3 34 EB 19 49 8B C0 48 8B CA 48 C1 E1 3F 45 03 DC 48 D1 E8 4C 8B C1 4C 0B C0 48 D1 EA 49 3B D2 73 E2 49 63 CB 49 B9 FF FF FF FF FF FF 0F 00 49 23 D1 48 8D 81 FF 03 00 00 48 C1 E0 34 48 0B C2 85 F6 74 0D 48 BA 00 00 00 00 00 00 00 80 48 0B C2 48 89 04 24 48 8D 81 CA 03 00 00 F2 44 0F 10 04 24 48 C1 E0 34 48 89 04 24 F2 0F 10 04 24 49 C1 E8 0C 4C 0B C0 4C 89 04 24 F2 0F 10 3C 24 F2 0F 5C F8 85 F6 74 0A F2 0F 59 3D ?? ?? ?? ?? EB 08 F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? 41 0F 28 E0 F2 44 0F 11 04 24 41 0F 28 F0 48 8B 04 24 F2 0F 59 35 ?? ?? ?? ?? 48 25 00 00 00 F8 48 89 04 24 F2 0F 10 14 24 F2 44 0F 59 05 ?? ?? ?? ?? F2 0F 5C E2 0F 28 EA F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 2D ?? ?? ?? ?? 0F 28 C4 F2 41 0F 58 F8 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C EE F2 0F 58 E8 F2 0F 58 EA F2 0F 58 EC F2 0F 58 EF 0F 28 C5 F2 0F 58 C6 F2 0F 5C F0 F2 41 0F 11 06 F2 0F 58 F5 F2 41 0F 11 37 48 8B 8D B0 0E 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 0F 00 00 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_442_0_0 {
	meta:
		name = "??$common_tcscpy_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 108
		refs = "001d _errno 0029 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4C 2B C1 43 0F B7 04 08 66 41 89 01 4D 8D 49 02 66 85 C0 74 06 48 83 EA 01 75 E8 48 85 D2 75 10 66 44 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB BE 33 C0 EB C3 }
	condition:
		$1
}

rule file_442_1_0 {
	meta:
		name = "wcscpy_s"
		size = 101
		refs = "001b _errno 0027 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4C 2B C1 43 0F B7 04 08 66 41 89 01 4D 8D 49 02 66 85 C0 74 06 48 83 EA 01 75 E8 48 85 D2 75 D5 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB BF }
	condition:
		$1
}

rule file_443_5_0 {
	meta:
		name = "_mbschr_l"
		size = 189
		refs = "001d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0029 _errno 0034 _invalid_parameter_noinfo 004a strchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 F6 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5A 48 8B 54 24 30 39 72 08 75 0F 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 EB 44 0F B6 0B 66 85 C9 74 32 0F B6 C1 F6 44 10 19 04 74 1C 48 FF C3 40 38 33 74 27 0F B6 03 0F B7 C9 C1 E1 08 0B C8 3B F9 75 0C 48 FF CB EB 16 0F B7 C1 3B F8 74 05 48 FF C3 EB C6 0F B7 C1 3B F8 74 03 48 8B DE 40 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_445_0_0 {
	meta:
		name = "cimagf"
		size = 47
		refs = "0007 __security_cookie 0026 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 48 89 0C 24 F3 0F 10 44 24 04 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_446_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPEADH@Z"
		size = 164
		refs = "000e __acrt_getptd_noexit 001d ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@ 003e _calloc_base 0049 _free_base 0055 __sys_nerr 006a __sys_errlist 0080 strncpy_s 009f _invoke_watson"
		altNames = "strerror"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 63 D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 78 78 00 75 21 BA 01 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 47 78 E8 ?? ?? ?? ?? 48 83 7F 78 00 74 C6 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 8B 4F 78 BA 86 00 00 00 4C 8B 04 D8 44 8D 4A FF E8 ?? ?? ?? ?? 85 C0 75 06 48 8B 47 78 EB 93 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_446_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPEA_WH@Z"
		size = 190
		refs = "000e __acrt_getptd_noexit 001d ??_C@_1IA@JENHHBGD@?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAC?$AAR?$AAT?$AA?3?$AA?5?$AAN?$AAo?$AAt?$AA?5?$AAe?$AAn?$AAo?$AAu?$AAg?$AAh?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr@ 0041 _calloc_base 004f _free_base 005e __sys_nerr 0073 __sys_errlist 0094 mbstowcs_s 00b9 _invoke_watson"
		altNames = "_wcserror"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 63 D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 B8 80 00 00 00 00 75 27 BA 02 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 87 80 00 00 00 E8 ?? ?? ?? ?? 48 83 BF 80 00 00 00 00 74 BD E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 8B 97 80 00 00 00 41 B8 86 00 00 00 33 C9 48 C7 44 24 20 85 00 00 00 4C 8B 0C D8 E8 ?? ?? ?? ?? 85 C0 75 0C 48 8B 87 80 00 00 00 E9 79 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_446_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQEAD_KH@Z"
		size = 167
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0054 __sys_nerr 0069 __sys_errlist 007c strncpy_s 00a2 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 48 8B FA 48 8B F1 48 85 C9 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 85 D2 74 D1 49 63 D8 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 49 83 C9 FF 48 8B D7 48 8B CE 4C 8B 04 D8 E8 ?? ?? ?? ?? 83 F8 16 74 0D 83 F8 22 74 08 83 F8 50 0F 44 C5 EB A4 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_446_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQEA_W_KH@Z"
		size = 171
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0054 __sys_nerr 0069 __sys_errlist 0080 mbstowcs_s 00a6 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 48 8B FA 48 8B F1 48 85 C9 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 85 D2 74 D1 49 63 D8 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 83 4C 24 20 FF 4C 8B C7 48 8B D6 33 C9 4C 8B 0C D8 E8 ?? ?? ?? ?? 83 F8 16 74 0D 83 F8 22 74 08 83 F8 50 0F 44 C5 EB A0 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_446_10_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQEBDQEAD_K2@Z"
		size = 20
		refs = "0010 strncpy_s"
	strings:
		$1 = { 49 8B C0 4C 8B D2 4C 8B C1 48 8B D0 49 8B CA E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_446_11_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQEBDQEA_W_K2@Z"
		size = 24
		refs = "000f mbstowcs_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4C 8B C9 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_446_24_0 {
	meta:
		name = "_wcserror_s"
		size = 175
		refs = "0022 _errno 002e _invalid_parameter_noinfo 003d __sys_nerr 0052 __sys_errlist 0069 mbstowcs_s 00aa _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 48 8B FA 48 8B F1 48 85 C9 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 4F 48 85 D2 74 E8 49 63 D8 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 48 83 4C 24 20 FF 4C 8B C7 48 8B D6 33 C9 4C 8B 0C D8 E8 ?? ?? ?? ?? BB 16 00 00 00 3B C3 74 24 83 F8 22 74 1F 83 F8 50 8B D8 0F 44 DD 48 8B 6C 24 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_446_26_0 {
	meta:
		name = "strerror_s"
		size = 171
		refs = "0022 _errno 002e _invalid_parameter_noinfo 003d __sys_nerr 0052 __sys_errlist 0065 strncpy_s 00a6 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 48 8B FA 48 8B F1 48 85 C9 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 4B 48 85 D2 74 E8 49 63 D8 E8 ?? ?? ?? ?? 48 63 08 48 3B D9 72 08 E8 ?? ?? ?? ?? 48 63 18 E8 ?? ?? ?? ?? 49 83 C9 FF 48 8B D7 48 8B CE 4C 8B 04 D8 E8 ?? ?? ?? ?? BB 16 00 00 00 3B C3 74 24 83 F8 22 74 1F 83 F8 50 8B D8 0F 44 DD 48 8B 6C 24 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_447_16_0 {
	meta:
		name = "__acrt_copy_path_to_wide_string"
		size = 246
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0042 __acrt_AreFileApisANSI 0069 __imp_MultiByteToWideChar 0076 __imp_GetLastError 007d __acrt_errno_map_os_error 008a _malloc_base 00d7 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 33 FF 48 8B F2 48 8B E9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 A1 00 00 00 48 85 D2 74 E4 E8 ?? ?? ?? ?? 85 C0 89 7C 24 28 44 8B FF 48 89 3E 41 0F 94 C7 48 89 7C 24 20 41 8B CF 41 83 C9 FF 4C 8B C5 33 D2 FF 15 ?? ?? ?? ?? 4C 63 F0 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB B2 49 8B CE 48 03 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3D 44 89 74 24 28 41 83 C9 FF 4C 8B C5 48 89 44 24 20 33 D2 41 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 0E 48 8B C3 48 8B DF 48 89 06 BF 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_447_17_0 {
	meta:
		name = "__acrt_copy_to_char"
		size = 263
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0042 __acrt_AreFileApisANSI 0073 __imp_WideCharToMultiByte 0080 __imp_GetLastError 0087 __acrt_errno_map_os_error 0091 _malloc_base 00e8 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 40 33 FF 48 8B F2 48 8B E9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 B2 00 00 00 48 85 D2 74 E4 E8 ?? ?? ?? ?? 48 89 7C 24 38 85 C0 44 8B FF 48 89 7C 24 30 41 0F 94 C7 89 7C 24 28 41 8B CF 48 89 3E 41 83 C9 FF 48 89 7C 24 20 4C 8B C5 33 D2 FF 15 ?? ?? ?? ?? 4C 63 F0 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB A8 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 47 48 89 7C 24 38 41 83 C9 FF 48 89 7C 24 30 4C 8B C5 44 89 74 24 28 33 D2 41 8B CF 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 0E 48 8B C3 48 8B DF 48 89 06 BF 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_449_4_0 {
	meta:
		name = "?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z"
		size = 137
		refs = "0028 _errno 0034 _invalid_parameter_noinfo 004b __acrt_fp_strflt_to_string"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 49 8B F0 45 85 C9 8B C3 41 0F 4F C1 83 C0 02 48 98 48 3B D0 73 15 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3D 44 8D 42 FE 45 3B C8 45 0F 4C C1 4C 8B CE E8 ?? ?? ?? ?? 8B F8 85 C0 74 0B E8 ?? ?? ?? ?? 89 38 8B C7 EB 19 83 3E 2D 48 8B 44 24 58 0F 94 C3 89 18 48 8B 44 24 50 8B 4E 04 89 08 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_449_6_0 {
	meta:
		name = "?try_get_ptd_buffer@@YAPEADXZ"
		size = 59
		refs = "0007 __acrt_getptd_noexit 0022 _malloc_base 002d _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 22 48 8B 40 70 48 85 C0 75 19 B9 5D 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 43 70 E8 ?? ?? ?? ?? 48 8B 43 70 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_449_7_0 {
	meta:
		name = "_ecvt"
		size = 176
		refs = "0028 __acrt_getptd_noexit 0046 _malloc_base 0051 _free_base 0081 _ecvt_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 40 0F 29 70 D8 49 8B E9 0F 28 F0 4D 8B F0 8B F2 E8 ?? ?? ?? ?? 45 33 FF 48 8B F8 48 85 C0 74 59 48 8B 58 70 48 85 DB 75 1E B9 5D 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 47 70 E8 ?? ?? ?? ?? 48 8B 5F 70 48 85 DB 74 32 41 B9 5B 01 00 00 48 89 6C 24 28 41 3B F1 4C 89 74 24 20 0F 28 D6 BA 5D 01 00 00 44 0F 4C CE 48 8B CB E8 ?? ?? ?? ?? 85 C0 49 0F 45 DF 48 8B C3 EB 02 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_449_8_0 {
	meta:
		name = "_ecvt_s"
		size = 237
		refs = "0011 __security_cookie 0045 _errno 0051 _invalid_parameter_noinfo 0093 __acrt_fltout 00b0 ?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z 00db __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC C0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 01 00 00 48 8B B4 24 10 02 00 00 45 8B F1 48 8B AC 24 18 02 00 00 48 8B FA F2 0F 11 54 24 30 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 76 48 85 D2 74 E6 C6 01 00 48 85 F6 74 DE 48 85 ED 74 D9 48 8B 4C 24 30 4C 8D 4C 24 50 33 C0 4C 8D 44 24 38 48 89 44 24 38 48 89 44 24 40 B8 5E 01 00 00 8B D0 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8B CE 48 89 6C 24 28 4C 8D 44 24 38 48 89 74 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 8D 4F FE 44 3B F1 41 0F 4C CE 85 C9 78 0D 48 63 C9 80 3C 19 00 74 04 C6 04 19 00 48 8B 8C 24 B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 01 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_449_9_0 {
	meta:
		name = "_fcvt"
		size = 257
		refs = "0019 __security_cookie 003a __acrt_getptd_noexit 005c _malloc_base 0067 _free_base 009c __acrt_fltout 00c8 _fcvt_s 00e5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 56 41 57 48 81 EC D8 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 01 00 00 F2 0F 11 44 24 30 4D 8B F1 49 8B E8 8B F2 0F 28 F0 E8 ?? ?? ?? ?? 45 33 FF 48 8B F8 48 85 C0 0F 84 8A 00 00 00 48 8B 58 70 48 85 DB 75 1E B9 5D 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 47 70 E8 ?? ?? ?? ?? 48 8B 5F 70 48 85 DB 74 63 48 8B 4C 24 30 4C 8D 4C 24 50 33 C0 4C 8D 44 24 38 48 89 44 24 38 48 89 44 24 40 B8 5E 01 00 00 8B D0 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 5B 01 00 00 4C 89 74 24 28 44 2B 4C 24 3C 0F 28 D6 41 3B F1 48 89 6C 24 20 BA 5D 01 00 00 48 8B CB 44 0F 4C CE E8 ?? ?? ?? ?? 85 C0 49 0F 45 DF 48 8B C3 EB 02 33 C0 48 8B 8C 24 B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 C0 01 00 00 48 81 C4 D8 01 00 00 41 5F 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_449_10_0 {
	meta:
		name = "_fcvt_s"
		size = 245
		refs = "0011 __security_cookie 0045 _errno 0051 _invalid_parameter_noinfo 0093 __acrt_fltout 00d3 ?internal_to_string@@YAHQEAD_KQEAU_strflt@@HQEAH3@Z 00e3 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC C0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 01 00 00 48 8B AC 24 10 02 00 00 41 8B D9 4C 8B B4 24 18 02 00 00 48 8B F2 F2 0F 11 54 24 40 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 7E 48 85 D2 74 E6 C6 01 00 48 85 ED 74 DE 4D 85 F6 74 D9 48 8B 4C 24 40 4C 8D 4C 24 50 33 C0 4C 8D 44 24 30 48 89 44 24 30 48 89 44 24 38 B8 5E 01 00 00 8B D0 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 34 44 8D 0C 03 85 DB 7E 0D 85 C0 7E 09 44 3B CB 7D 04 B0 01 EB 02 32 C0 84 C0 4C 89 74 24 28 B9 FF FF FF 7F 48 89 6C 24 20 44 0F 45 C9 4C 8D 44 24 30 48 8B CF 48 8B D6 E8 ?? ?? ?? ?? 48 8B 8C 24 B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 01 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_450_11_0 {
	meta:
		name = "rewind"
		size = 203
		refs = "001f _errno 002a _invalid_parameter_noinfo 0034 _fileno 003f _lock_file 0048 __acrt_stdio_flush_nolock 0071 __pioinfo 0085 __badioinfo 00aa _lseek 00bc _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 8D 00 00 00 E8 ?? ?? ?? ?? 48 63 F8 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 89 0B 83 63 10 00 F0 83 63 14 E7 8D 47 02 83 F8 01 76 1E 48 8B CF 48 8B C7 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? 0F B6 41 38 83 E0 FD 88 41 38 8B 43 14 C1 E8 02 A8 01 74 05 F0 83 63 14 FC 45 33 C0 33 D2 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 F0 83 4B 14 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_450_12_0 {
	meta:
		name = "rewind$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "clearerr_s$fin$0 fclose$fin$0 fgetwc$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_452_5_0 {
	meta:
		name = "_mbctolower_l"
		size = 194
		refs = "0015 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0075 __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 55 F0 81 FB FF 00 00 00 76 67 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 10 19 04 74 67 8B 42 04 4C 8D 4D 10 48 8B 92 20 02 00 00 B9 02 00 00 00 C7 44 24 40 01 00 00 00 41 B8 00 01 00 00 89 44 24 38 48 8D 45 20 89 4C 24 30 48 89 44 24 28 89 4C 24 20 48 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 74 24 0F B6 5D 20 0F B6 45 21 C1 E3 08 03 D8 EB 15 8D 43 01 48 63 C8 F6 44 11 18 10 74 08 0F B6 9C 13 19 01 00 00 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_453_7_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPEA_W_KPEAU__crt_locale_pointers@@@Z"
		size = 532
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 008a __acrt_LCMapStringW 0138 __chkstk 015b _malloc_base 01c2 wcscpy_s 01e8 _free_base 01f6 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 E4 4D 8B F8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 98 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 23 EB DA 49 8B 07 48 8B 88 38 01 00 00 48 85 C9 74 51 44 89 64 24 28 41 83 C9 FF 4C 8B C3 4C 89 64 24 20 BA 00 01 00 00 E8 ?? ?? ?? ?? 4C 63 F0 85 C0 75 3C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 41 01 00 00 0F B7 0B 8D 41 BF 66 83 F8 19 77 07 66 83 C1 20 66 89 0B 48 83 C3 02 66 44 39 23 75 E3 33 C0 E9 1D 01 00 00 49 8B D6 49 3B F6 73 13 66 44 89 23 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5C FF FF FF 48 03 D2 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 75 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 3A 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 32 C7 07 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FC 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 47 49 8B 0F 41 83 C9 FF 44 89 74 24 28 4C 8B C3 BA 00 01 00 00 48 89 7C 24 20 48 8B 89 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_453_13_0 {
	meta:
		name = "_wcslwr"
		size = 95
		refs = "000f __acrt_locale_changed_data 001b _errno 0026 _invalid_parameter_noinfo 0052 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 38 48 85 C9 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2B 0F B7 11 8D 42 BF 66 83 F8 19 77 07 66 83 C2 20 66 89 11 48 83 C1 02 66 44 39 01 75 E3 EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_454_5_0 {
	meta:
		name = "_fileno"
		size = 38
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 03 8B 41 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_455_5_0 {
	meta:
		name = "_mbsncmp_l"
		size = 256
		refs = "0025 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0049 strncmp 005d _errno 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D1 48 8D 48 D8 49 8B F0 E8 ?? ?? ?? ?? 33 ED 48 85 F6 0F 84 99 00 00 00 4C 8B 44 24 30 41 39 68 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 86 00 00 00 48 85 DB 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F EB 65 0F B6 0B 48 FF CE 48 FF C3 42 F6 44 01 19 04 74 16 40 38 2B 75 04 8B CD EB 0D 0F B6 03 66 C1 E1 08 66 0B C8 48 FF C3 0F B6 17 48 FF C7 42 F6 44 02 19 04 74 16 40 38 2F 75 04 8B D5 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 0E 66 85 C9 74 05 48 85 F6 75 A6 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "wcsncat"
		size = 70
	strings:
		$1 = { 45 33 DB 4C 8B D2 4C 8B C9 66 44 39 19 74 0A 49 83 C1 02 66 45 39 19 75 F6 49 8B D3 4D 85 C0 74 1D 4D 2B D1 43 0F B7 04 0A 66 41 89 01 49 83 C1 02 66 85 C0 74 0C 48 FF C2 49 3B D0 75 E6 66 45 89 19 48 8B C1 C3 }
	condition:
		$1
}

rule file_457_0_0 {
	meta:
		name = "fdiml"
		size = 96
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 33 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 1B F2 0F 10 4C 24 38 F2 0F 10 44 24 30 66 0F 2F C8 72 05 0F 57 C0 EB 04 F2 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_542_0_0 {
	meta:
		name = "fdim"
		size = 96
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 33 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 1B F2 0F 10 4C 24 38 F2 0F 10 44 24 30 66 0F 2F C8 72 05 0F 57 C0 EB 04 F2 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_458_0_0 {
	meta:
		name = "_pow_special"
		size = 292
		refs = "00d4 _handle_nan 0104 ??_C@_03JGHBODFD@pow?$AA@ 0113 _handle_error"
	strings:
		$1 = { 48 83 EC 78 B8 02 00 00 00 0F 29 74 24 60 0F 28 F2 44 3B C8 0F 84 BE 00 00 00 0F 86 F7 00 00 00 41 83 F9 05 0F 86 95 00 00 00 41 83 F9 06 74 67 0F 86 E1 00 00 00 41 83 F9 08 76 33 41 83 F9 09 0F 85 D1 00 00 00 89 44 24 40 44 8D 48 01 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 8C 00 00 00 89 44 24 40 41 B9 04 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB 64 89 44 24 40 41 B9 01 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB 3C F2 0F 11 54 24 50 48 8B 4C 24 50 0F 28 74 24 60 48 83 C4 78 E9 ?? ?? ?? ?? 89 44 24 40 44 8B C8 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 F2 0F 11 54 24 50 48 8D 0D ?? ?? ?? ?? 4C 8B 44 24 50 BA 1D 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_458_1_0 {
	meta:
		name = "_powf_special"
		size = 395
		refs = "00ff _handle_nanf 016e ??_C@_04MBFDLNIM@powf?$AA@ 0173 _handle_errorf"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 90 00 00 00 0F 29 70 E8 0F 28 F2 B8 02 00 00 00 41 83 F9 01 0F 84 13 01 00 00 44 3B C8 0F 84 D7 00 00 00 0F 86 43 01 00 00 41 83 F9 05 0F 86 B8 00 00 00 41 83 F9 06 0F 84 80 00 00 00 41 83 F9 07 74 41 41 83 F9 09 0F 85 1F 01 00 00 48 83 65 17 00 44 8D 48 01 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 F3 0F 11 75 17 4C 8B 45 17 C7 44 24 20 11 00 00 00 E9 D7 00 00 00 48 83 65 1F 00 41 B9 04 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 F3 0F 11 75 1F 4C 8B 45 1F C7 44 24 20 12 00 00 00 E9 9E 00 00 00 48 83 65 27 00 41 B9 01 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 F3 0F 11 75 27 4C 8B 45 27 C7 44 24 28 21 00 00 00 EB 68 F3 0F 11 75 7F 8B 4D 7F E8 ?? ?? ?? ?? EB 75 48 83 65 2F 00 44 8B C8 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 F3 0F 11 75 2F 4C 8B 45 2F C7 44 24 20 04 00 00 00 EB 2E 48 83 65 37 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 83 64 24 28 00 F3 0F 11 75 37 45 33 C9 4C 8B 45 37 C7 44 24 20 08 00 00 00 BA 1D 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C6 0F 28 B4 24 80 00 00 00 48 81 C4 90 00 00 00 5D C3 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "copysignf"
		size = 52
	strings:
		$1 = { F3 0F 11 44 24 08 BA FF 7F 00 00 F3 0F 11 4C 24 10 8B 44 24 10 8B C8 C1 E9 10 66 33 4C 24 0A 66 23 CA C1 E8 10 66 33 C8 66 89 4C 24 0A F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_460_0_0 {
	meta:
		name = "log"
		size = 1323
		refs = "000c __use_fma3_lib 002d __mask_1023 003c __real_inf 0052 __real_mant 005a __real_one 0062 __mask_1023_f 0070 __real_notsign 007a __mask_mant_all8 0081 __mask_mant9 0094 __real_threshold 00a6 __real_half 00b5 __log_F_inv_qword 00dc __log_256_lead 00e4 __real_1_over_6 00ec __real_1_over_3 0104 __real_1_over_5 010c __real_1_over_2 0120 __real_1_over_4 0134 __real_log2_tail 0149 __log_256_tail 015a __real_log2_lead 0184 __real_two 01a0 __real_ca2 01a8 __real_ca4 01cc __real_ca1 01d4 __real_ca3 023a __mask_2045 0256 __real_ninf 025d __flag_x_zero 0262 _log_special 0274 __real_neg_qnan 027b __flag_x_neg 02a5 __real_qnanbit 0511 __flag_x_nan"
	strings:
		$1 = { 48 83 EC 58 66 0F 7F 74 24 20 83 3D ?? ?? ?? ?? 00 0F 85 A9 02 00 00 66 0F 6F D8 66 0F 28 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 48 8B C8 48 0F BA F1 3F 48 3B 0D ?? ?? ?? ?? 0F 83 4A 02 00 00 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 A4 01 00 00 66 0F 54 25 ?? ?? ?? ?? 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 66 48 0F 6E C8 66 0F 2F 25 ?? ?? ?? ?? 0F 82 E2 00 00 00 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 66 0F 57 ED 66 0F 2F C5 0F 86 89 01 00 00 F2 0F 5C CA F2 41 0F 59 0C C1 66 0F 28 D1 66 0F 28 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 58 D5 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 C2 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 F0 F2 0F 59 F1 F2 0F 58 C9 F2 0F 10 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 58 E5 F2 0F 5C E6 F2 0F 58 C4 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 25 FE FF FF 66 0F 1F 84 00 00 00 00 00 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 17 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C0 66 90 66 0F 6F 74 24 20 48 83 C4 58 C3 0F 1F 44 00 00 48 33 C0 C5 E1 73 D0 34 C4 E1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 2D ?? ?? ?? ?? C5 F9 2F 2D ?? ?? ?? ?? 0F 84 01 02 00 00 C5 D1 EF ED C5 F9 2F C5 0F 86 A3 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FB 5C 25 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 53 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 73 F3 01 C5 E1 D4 C9 C4 E1 F9 7E C8 C5 D9 DB 25 ?? ?? ?? ?? C5 F9 2F 25 ?? ?? ?? ?? 0F 82 B1 00 00 00 48 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F3 5C CA C4 C1 73 59 0C C1 4C 8D 0D ?? ?? ?? ?? C5 F3 59 C1 C5 FB 10 1D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 F1 A9 2D ?? ?? ?? ?? C5 FB 10 E0 C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 59 E0 C4 E2 D1 B9 C8 C4 E2 E1 B9 CC C5 FB 10 2D ?? ?? ?? ?? C4 E2 C9 AB E9 C4 C1 7B 10 04 C1 48 8D 15 ?? ?? ?? ?? C5 FB 10 0C C2 C5 F3 58 CD C4 E2 C9 B9 05 ?? ?? ?? ?? C5 FB 58 C1 C5 F9 6F 74 24 20 48 83 C4 58 C3 66 0F 1F 84 00 00 00 00 00 C5 FB 10 1D ?? ?? ?? ?? C5 FB 5C 05 ?? ?? ?? ?? C5 E3 58 D8 C5 FB 5E CB C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 D9 C5 F3 58 C9 C5 F3 59 D1 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 2D ?? ?? ?? ?? C5 EB 59 D1 C5 DB 59 E2 C5 EB 59 D2 C5 EB 59 D1 C4 E2 D1 B9 E2 C5 DB 5C E3 C5 FB 58 C4 C5 F9 6F 74 24 20 48 83 C4 58 C3 C5 E9 EB 15 ?? ?? ?? ?? C5 EB 5C 15 ?? ?? ?? ?? C5 D1 73 D2 34 C5 E9 DB 15 ?? ?? ?? ?? C5 F9 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 FA E6 F5 E9 7B FE FF FF 75 2E C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 90 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? C4 E1 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 1F 44 00 00 C5 F9 6F 74 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "cos"
		size = 1402
		refs = "0006 __use_fma3_lib 0025 L_piby4 0037 L_small_arg_cw 0049 L_2_by_pi 005c L_one_half 0064 L_real_piby2_1 0070 L_real_piby2_1tail 0094 L_real_piby2_2 00a1 L_real_piby2_2tail 00ff __Lsinarray 01a0 __Lcosarray 01c6 L_one 0263 L_two_to_neg_13 02c1 L_neg_one_half 0318 L_2_to_32 032b L_two_to_neg_27 0363 L__inf_mask_64 036a __remainder_piby2_forAsm 0386 _cos_special 039b L_sign_mask 0460 L_small_arg_bdl 046b __remainder_piby2_fma3_bdl 0546 L_signbit 0561 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 68 83 3D ?? ?? ?? ?? 00 0F 85 7F 03 00 00 66 48 0F 7E C2 66 0F 57 D2 4C 8B D2 49 0F BA F2 3F 4C 3B 15 ?? ?? ?? ?? 0F 82 31 02 00 00 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 1F 03 00 00 66 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? 66 0F 28 E0 4D 8B CA 49 C1 E9 34 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 66 0F 28 D8 66 0F 28 D0 F2 0F 59 D0 0F BA E0 00 0F 83 95 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 64 24 20 66 0F 28 CA F2 0F 59 CA F2 0F 11 44 24 30 F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 44 24 20 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 30 E9 AC 00 00 00 0F 1F 40 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA 66 0F 28 DA F2 0F 11 64 24 20 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 6C 24 20 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 83 C0 01 83 E0 02 74 10 66 0F 28 D0 66 0F 57 C0 F2 0F 5C C2 0F 1F 40 00 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 0F 82 A3 00 00 00 66 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? 66 0F 28 E2 F2 0F 59 E2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 DA 66 0F 28 C4 F2 0F 59 EA F2 0F 59 C4 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 E0 F2 0F 59 E5 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 CB 66 0F 28 DA F2 0F 58 D0 F2 0F 5C C2 F2 0F 58 C3 F2 0F 58 CC F2 0F 58 C1 F2 0F 58 C2 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 10 D0 F2 0F 10 05 ?? ?? ?? ?? 4C 3B 15 ?? ?? ?? ?? 72 1F F2 0F 59 D2 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 58 15 ?? ?? ?? ?? 48 83 C4 68 C3 0F 1F 00 4C 3B 15 ?? ?? ?? ?? 73 17 E8 ?? ?? ?? ?? 66 0F 28 E1 E9 6E FD FF FF 66 0F 1F 84 00 00 00 00 00 66 48 0F 6E C2 E8 ?? ?? ?? ?? 48 83 C4 68 C3 90 C4 C1 F9 7E C1 49 8B C1 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? 0F 8F 99 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 40 4C 3B 0D ?? ?? ?? ?? 7D 19 C5 F9 28 C8 C5 FB 10 05 ?? ?? ?? ?? C5 F3 58 0D ?? ?? ?? ?? 48 83 C4 68 C3 C5 FB 58 15 ?? ?? ?? ?? C5 FB 59 0D ?? ?? ?? ?? C4 E2 F1 AD 05 ?? ?? ?? ?? 48 83 C4 68 C3 C5 FB 59 D8 C5 F9 28 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 AB 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? 48 83 C4 68 C3 4C 8B 05 ?? ?? ?? ?? 49 23 C0 49 3B C0 0F 84 18 01 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 83 F6 00 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 72 6A C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 2D ?? ?? ?? ?? C5 EB 5C E5 C5 EB 5C D4 C5 EB 5C D5 C5 F9 28 2D ?? ?? ?? ?? C4 E2 F9 BD D1 C5 E3 59 CB C4 E2 E1 B9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 F1 A9 EA C5 D3 58 C4 EB 5A 90 C5 F9 28 2D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C5 DB 59 D5 C5 F3 59 2D ?? ?? ?? ?? C5 D3 5C D2 C5 E3 59 D2 C5 EB 5C D1 C4 E2 D9 BD 15 ?? ?? ?? ?? C5 FB 5C C2 4D 33 C0 83 C0 01 83 E0 02 4C 0F 45 05 ?? ?? ?? ?? C4 C1 F9 6E D8 C5 F9 57 C3 48 83 C4 68 C3 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? E9 05 FF FF FF 66 0F 1F 44 00 00 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_463_0_0 {
	meta:
		name = "__remainder_piby2_forAsm"
		size = 528
		refs = "0007 L__2_by_pi_bits 017e L__piby2_part3_piby2_lead 0186 L__piby2_part1 018e L__piby2_part2"
	strings:
		$1 = { 48 83 EC 18 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1F 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 48 89 04 24 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 66 0F 6F C8 66 0F 73 D1 1B 66 0F 73 F1 1B 66 0F 6F D0 F2 0F 5C D1 0F 16 C0 0F 16 D1 66 0F 6F 0D ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 25 ?? ?? ?? ?? 48 33 C9 49 0F BD C9 48 83 E9 40 48 F7 D9 49 D3 E1 49 C1 E9 0C 48 83 C1 34 4C 2B D9 49 C1 E3 34 4C 0B CA 4D 0B CB 66 49 0F 6E E9 66 0F 59 C1 66 0F 59 E9 66 0F 59 DA 66 0F 59 E2 0F 12 CB 0F 12 D4 F2 0F 5C C8 F2 0F 58 CB 0F 12 D8 F2 0F 58 CA F2 0F 58 DD F2 0F 58 CC F2 0F 58 CB 66 0F 6F D0 F2 0F 58 C1 F2 0F 5C D0 F2 0F 58 CA 48 8B 04 24 48 83 C4 18 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_463_1_0 {
	meta:
		name = "__remainder_piby2_cw_forAsm"
		size = 306
		refs = "0006 L_5pio4 000f L_3pio4 001f L_9pio4 0028 L_7pio4 0047 L_twobypi 004f L_point_five 005f L_int_three 006f L_piby2_1 0077 L_signbit 0087 L_piby2_1tail 0097 L_inf_mask_64 00a8 L_int_15 00ba L_piby2_2 00d2 L_piby2_2tail 00de L_int_48 00f0 L_piby2_3 0110 L_piby2_3tail"
	strings:
		$1 = { 45 33 C0 4C 3B 0D ?? ?? ?? ?? 77 10 4C 3B 0D ?? ?? ?? ?? 41 0F 97 C0 41 FF C0 EB 18 4C 3B 0D ?? ?? ?? ?? 77 1A 4C 3B 0D ?? ?? ?? ?? 41 0F 97 C0 41 83 C0 03 66 41 0F 6E D0 F3 0F E6 E2 EB 28 66 0F 28 E8 F2 0F 59 2D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? 66 0F E6 ED 66 0F 28 D5 66 0F 54 15 ?? ?? ?? ?? F3 0F E6 E5 66 0F 28 EC F2 0F 59 2D ?? ?? ?? ?? 66 0F 57 2D ?? ?? ?? ?? 66 0F 58 E8 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 CD 66 0F 5C CB 66 0F 54 0D ?? ?? ?? ?? 66 0F FB C1 66 0F 73 D0 34 66 0F 2F 05 ?? ?? ?? ?? 76 6A 66 0F 28 CD 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C EB F2 0F 5C CD F2 0F 5C CB 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F 05 ?? ?? ?? ?? 76 34 66 0F 28 C5 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 E8 F2 0F 5C EB 66 0F 28 C8 F2 0F 5C CD F2 0F 5C CB 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C D9 66 0F 28 C5 F2 0F 5C C3 66 0F 28 CD F2 0F 5C C8 F2 0F 5C CB 66 48 0F 7E D0 C3 }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "sin"
		size = 1386
		refs = "0006 __use_fma3_lib 002b L_piby4 0044 L_small_arg_cw 0056 L_2_by_pi 0069 L_one_half 0071 L_real_piby2_1 007d L_real_piby2_1tail 00a1 L_real_piby2_2 00ae L_real_piby2_2tail 010c __Lsinarray 01b0 __Lcosarray 01d6 L_one 0283 L_two_to_neg_27 0291 L_near_one 0323 L__inf_mask_64 032f __remainder_piby2_forAsm 0356 _sin_special 037d L_two_to_neg_13 03bd L_one_sixth 0435 L_small_arg_bdl 0440 __remainder_piby2_fma3_bdl 0519 L_signbit 0546 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 78 83 3D ?? ?? ?? ?? 00 0F 85 4F 03 00 00 66 48 0F 7E C2 66 0F 57 D2 4C 8B D2 41 B8 01 00 00 00 49 0F BA F2 3F 4C 3B 15 ?? ?? ?? ?? 0F 82 4B 02 00 00 4C 8B DA 49 C1 EB 3F 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 D2 02 00 00 66 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? 66 0F 28 E0 4D 8B CA 49 C1 E9 34 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 66 0F 28 D8 66 0F 28 D0 F2 0F 59 D0 0F BA E0 00 0F 82 98 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 64 24 30 66 0F 28 CA F2 0F 59 CA F2 0F 11 44 24 40 F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 44 24 30 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 40 E9 AF 00 00 00 0F 1F 80 00 00 00 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA 66 0F 28 DA F2 0F 11 64 24 30 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 6C 24 30 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 12 66 0F 28 D0 66 0F 57 C0 F2 0F 5C C2 66 0F 1F 44 00 00 48 83 C4 78 C3 66 66 66 0F 1F 84 00 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 7F 19 F2 0F 10 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 48 83 C4 78 C3 66 0F 28 D0 F2 0F 59 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 CA F2 0F 59 CA F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 DD F2 0F 59 E3 F2 0F 58 C4 E9 5D FF FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 73 27 4C 89 5C 24 30 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 66 0F 28 E1 E9 B1 FD FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 48 0F 6E C2 E8 ?? ?? ?? ?? 48 83 C4 78 C3 90 C4 C1 F9 7E C1 4D 8B D1 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 83 A6 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 4D 4C 3B 0D ?? ?? ?? ?? 7D 24 C5 FB 59 0D ?? ?? ?? ?? C5 FB 58 0D ?? ?? ?? ?? 48 83 C4 78 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 59 C8 C5 F3 59 C8 C4 E2 F1 BD 05 ?? ?? ?? ?? 48 83 C4 78 C3 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 D9 B9 C5 48 83 C4 78 C3 66 0F 1F 84 00 00 00 00 00 4C 3B 0D ?? ?? ?? ?? 0F 83 33 01 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 83 01 01 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 C5 FB 59 D8 72 61 C5 FB 10 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C5 DB 59 D5 C5 F3 59 2D ?? ?? ?? ?? C5 D3 5C D2 C5 E3 59 D2 C5 EB 5C D1 C4 E2 D9 BD 15 ?? ?? ?? ?? C5 FB 5C C2 EB 6D 66 66 0F 1F 84 00 00 00 00 00 C5 F9 28 15 ?? ?? ?? ?? C5 E3 59 2D ?? ?? ?? ?? C5 EB 5C E5 C5 EB 5C D4 C5 EB 5C D5 C5 FB 10 2D ?? ?? ?? ?? C4 E2 F9 BD D1 C5 E3 59 CB C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 F1 A9 EA C5 D3 58 C4 4D 33 C0 4C 23 15 ?? ?? ?? ?? 0F BA E0 01 4C 0F 42 05 ?? ?? ?? ?? 4D 33 C2 C4 C1 F9 6E D8 C5 F9 57 C3 48 83 C4 78 C3 66 0F 1F 44 00 00 4C 89 54 24 50 E8 ?? ?? ?? ?? 4C 8B 54 24 50 E9 F0 FE FF FF 66 66 66 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_465_0_0 {
	meta:
		name = "_ldrint"
		size = 303
		refs = "0013 fegetround 0037 _ld_int 006f __real@3ff0000000000000 00ea __real@c000000000000000 00f7 __real@4000000000000000 0126 __real@bff0000000000000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F2 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 53 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 16 75 D5 F2 0F 10 45 10 F2 0F 58 05 ?? ?? ?? ?? EB CB 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 B6 B8 00 80 00 00 66 85 45 16 74 AB F2 0F 10 45 10 E9 88 00 00 00 BA 01 00 00 00 48 8D 4D 10 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 83 CA FF 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 74 0D F2 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 0F 84 49 FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_536_0_0 {
	meta:
		name = "_drint"
		size = 303
		refs = "0013 fegetround 0037 _d_int 006f __real@3ff0000000000000 00ea __real@c000000000000000 00f7 __real@4000000000000000 0126 __real@bff0000000000000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F2 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 53 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 16 75 D5 F2 0F 10 45 10 F2 0F 58 05 ?? ?? ?? ?? EB CB 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 B6 B8 00 80 00 00 66 85 45 16 74 AB F2 0F 10 45 10 E9 88 00 00 00 BA 01 00 00 00 48 8D 4D 10 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 83 CA FF 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 74 0D F2 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 0F 84 49 FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_465_1_0 {
	meta:
		name = "rintl"
		size = 80
		refs = "0015 _ldtest 0028 _ldrint 003f _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 0F BF C8 83 F9 02 76 1F E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_536_1_0 {
	meta:
		name = "rint"
		size = 80
		refs = "0015 _dtest 0028 _drint 003f _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 0F BF C8 83 F9 02 76 1F E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_466_0_0 {
	meta:
		name = "_Cosh"
		size = 248
		refs = "001e _dtest 004b __xmm@80000000000000008000000000000000 0058 _Xbig_C 006e __real@3ff0000000000000 0073 _dexp 007b __real@3fd0000000000000 00ca _Inf_C 00da _fperrraise 00e2 _Nan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 67 66 3B D0 7E 62 F2 0F 10 4D 10 0F 57 C0 66 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F2 0F 11 4D 10 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 66 0F 2F C1 76 26 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 58 45 10 F2 0F 59 45 18 EB 5D F2 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F2 0F 10 45 10 EB 44 66 83 F8 02 74 39 B9 01 00 00 00 66 3B D9 75 2F 66 85 C0 74 1B 0F 57 C0 66 0F 2F 45 18 F2 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 05 F2 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_643_0_0 {
	meta:
		name = "_LCosh"
		size = 248
		refs = "001e _ldtest 004b __xmm@80000000000000008000000000000000 0058 _LXbig_C 006e __real@3ff0000000000000 0073 _ldexp 007b __real@3fd0000000000000 00ca _LInf_C 00da _fperrraise 00e2 _LNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 67 66 3B D0 7E 62 F2 0F 10 4D 10 0F 57 C0 66 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F2 0F 11 4D 10 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 66 0F 2F C1 76 26 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 58 45 10 F2 0F 59 45 18 EB 5D F2 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F2 0F 10 45 10 EB 44 66 83 F8 02 74 39 B9 01 00 00 00 66 3B D9 75 2F 66 85 C0 74 1B 0F 57 C0 66 0F 2F 45 18 F2 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 05 F2 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_466_1_0 {
	meta:
		name = "ccosh"
		size = 439
		refs = "002c creal 0042 cimag 0050 _dtest 006a _Nan_C 008e _fperrraise 00a5 _Zero_C 00ac __xmm@80000000000000008000000000000000 00d2 _Inf_C 012d sin 0142 cos 0166 _Sinh 0180 _Cosh 018f _Cbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA F3 0F 7F 45 D0 0F 29 7C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 28 48 8D 4D D0 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D0 66 85 C0 75 6C F2 0F 10 55 20 E9 0D 01 00 00 BE 01 00 00 00 66 3B C6 75 60 8B CE E8 ?? ?? ?? ?? 66 85 DB 75 26 0F 57 D2 66 0F 2F 55 20 76 0F F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 CD 00 00 00 48 8D 4D D0 66 3B DE 75 15 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 B3 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 A3 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 C7 F2 0F 10 55 28 EB B3 66 3B DE 75 51 66 85 C0 75 20 F2 0F 10 55 20 0F 57 C0 66 0F 2F 45 28 76 07 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? EB 63 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 20 F2 0F 59 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 D7 EB 34 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "_dpow"
		size = 1822
		refs = "004b __security_cookie 007a _dunscale 0089 _d_int 00cd __real@3fe0000000000000 00ea __real@bfe0000000000000 00f6 __real@3ff0000000000000 0128 _fperrraise 0130 _Nan_C 014b __xmm@80000000000000008000000000000000 017c __real@3fe6a09e667f3bcd 0196 __real@4000000000000000 01a3 __real@4050000000000000 01c2 __real@3f90000000000000 01e2 lnbias 0201 _dlogpoly 021e __real@3fe62e42fefa39ef 0278 __real@c0e0000000000000 0295 __real@c02e000000000000 02a3 __real@402e000000000000 02b2 __real@c044000000000000 02bc __real@4044000000000000 0326 __real@40e0000000000000 033f _dxp_setw 0365 _dxp_addx 038c log2e 03a9 _dxp_mulh 042e _dxp_addh 0506 _dxp_getw 0539 _dexp 0558 _Inf_C 0607 __security_check_cookie 0669 _Zero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 90 78 FF FF FF 44 0F 29 98 68 FF FF FF 44 0F 29 B8 58 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D8 48 8D 54 24 28 F2 0F 11 44 24 28 48 8D 4C 24 20 F2 0F 11 4C 24 48 F2 0F 11 4C 24 40 4D 8B F8 44 0F 28 C9 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 0F B7 D8 E8 ?? ?? ?? ?? 45 33 E4 0F B7 F0 4D 85 FF 74 04 66 45 89 27 45 0F 57 C0 66 85 F6 75 09 66 45 0F 2E C8 7A 02 74 44 0F B7 44 24 20 41 BE 01 00 00 00 F2 0F 10 4C 24 28 66 85 DB 0F 89 C7 04 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 66 41 3B C6 75 28 66 41 0F 2E CB 7A 02 74 12 66 41 3B F6 75 19 66 0F 2E 0D ?? ?? ?? ?? 7A 0F 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 00 05 00 00 66 44 3B E3 0F 8E 86 04 00 00 66 44 3B E6 0F 8C 7C 04 00 00 BF 00 80 00 00 66 85 7C 24 2E 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 C6 04 00 00 66 41 0F 2F C8 76 08 66 44 89 64 24 30 EB 2A 0F 57 0D ?? ?? ?? ?? 48 8D 4C 24 40 83 CA FF F2 0F 11 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 4C 24 28 66 89 44 24 30 0F B7 44 24 20 66 41 3B C6 75 24 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 16 F2 44 0F 10 15 ?? ?? ?? ?? 41 8B CC F2 0F 59 0D ?? ?? ?? ?? EB 2F 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 41 0F 58 C3 F2 0F 2C C8 83 E9 20 66 44 0F 6E D1 F3 45 0F E6 D2 F2 44 0F 59 15 ?? ?? ?? ?? F2 45 0F 58 D3 0F 28 C1 4C 63 E9 F2 41 0F 5C C2 49 C1 E5 05 F2 41 0F 58 CA 48 8D 05 ?? ?? ?? ?? 4C 03 E8 0F 28 F8 F2 0F 11 44 24 28 F2 0F 5E F9 0F 28 F7 F2 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 6C 24 28 44 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 0F 28 DD F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C2 0F BF 44 24 20 41 0F 28 C9 F2 44 0F 59 FE F2 0F 59 05 ?? ?? ?? ?? F2 44 0F 5C FD 66 0F 6E D0 F3 0F E6 D2 F2 44 0F 58 F8 F2 41 0F 58 55 00 F2 44 0F 59 FF F2 41 0F 58 DF 0F 28 C3 F2 0F 5E C4 F2 0F 58 C2 F2 0F 59 C8 F2 0F 11 44 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 F2 0F 11 4C 24 38 76 09 45 0F B7 F4 E9 B6 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 83 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 75 66 44 0F 2F 0D ?? ?? ?? ?? 76 6A F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 76 5B 66 44 0F 2F C1 76 07 F2 41 0F 5C CB EB 05 F2 41 0F 58 CB F2 44 0F 2C C1 F2 41 0F 10 4D 10 F2 41 0F 58 4D 08 F2 41 0F 59 D1 66 41 0F 6E C0 F3 0F E6 C0 F2 41 0F 59 C9 F2 0F 5C D0 F2 41 0F 59 D9 F2 0F 59 CC F2 0F 59 D4 F2 0F 58 CB F2 0F 58 CA F2 0F 11 4C 24 38 E9 FD 01 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 87 17 02 00 00 BB 04 00 00 00 48 8D 4D B8 8B D3 0F 28 D5 E8 ?? ?? ?? ?? 8D 7B FE 41 0F 28 D7 8B D7 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 44 24 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? F2 0F 10 55 B8 66 41 0F 2E D0 7A 14 75 12 41 0F 28 D0 48 8D 4C 24 58 8B D3 E8 ?? ?? ?? ?? EB 7B 0F 10 05 ?? ?? ?? ?? 8B D3 48 8D 4C 24 58 0F 10 0D ?? ?? ?? ?? 0F 11 44 24 58 0F 11 4C 24 68 E8 ?? ?? ?? ?? 45 8B E6 48 8D 75 C0 F2 0F 10 16 66 41 0F 2E D0 7A 02 74 40 0F 10 05 ?? ?? ?? ?? 8B D3 48 8D 4D 98 0F 10 0D ?? ?? ?? ?? 0F 11 45 98 0F 11 4D A8 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 98 8B D3 48 8D 4C 24 58 E8 ?? ?? ?? ?? 45 03 E6 48 83 C6 08 44 3B E3 7C B3 45 33 E4 41 B9 03 00 00 00 48 8D 4C 24 58 4D 8B C5 8B D3 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 4C 24 58 8B D3 66 0F 6E D0 F3 0F E6 D2 E8 ?? ?? ?? ?? 41 0F 28 D1 48 8D 4D B8 8B D7 E8 ?? ?? ?? ?? 0F 10 44 24 58 8B D3 48 8D 4C 24 78 0F 10 4C 24 68 F2 0F 10 55 B8 0F 11 44 24 78 0F 11 4D 88 E8 ?? ?? ?? ?? F2 0F 10 55 C0 66 41 0F 2E D0 7A 02 74 30 0F 10 44 24 58 8B D3 48 8D 4D 98 0F 10 4C 24 68 0F 11 45 98 0F 11 4D A8 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 98 8B D3 48 8D 4C 24 78 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 66 41 0F 2E C8 F2 0F 11 4C 24 28 7A 02 74 21 F2 0F 10 55 80 66 41 0F 2E D0 7A 02 74 13 F2 0F 10 45 88 F2 0F 58 C2 F2 0F 58 C1 F2 0F 11 44 24 28 33 D2 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4C 24 78 0F 57 15 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8D 4C 24 78 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 44 0F 2C 44 24 28 F2 0F 11 44 24 38 4D 85 FF 74 07 66 45 89 07 45 8B C4 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? F2 0F 10 4C 24 38 44 0F B7 F0 41 0F BF D6 85 D2 74 18 83 FA 01 75 2A F2 0F 10 05 ?? ?? ?? ?? 8D 4A 07 F2 0F 11 44 24 38 EB 0C F2 44 0F 11 44 24 38 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 38 66 44 39 64 24 30 74 13 0F 57 0D ?? ?? ?? ?? EB 0A BF 02 00 00 00 66 3B DF 75 05 0F 28 C1 EB 61 66 3B F7 75 06 41 0F 28 C1 EB 56 BF 00 80 00 00 66 41 3B DE 0F 85 C2 00 00 00 66 85 7C 24 2E 75 16 66 85 7C 24 4E 75 09 F2 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 2A 66 85 7C 24 4E 75 6D 66 85 F6 75 16 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 88 13 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D D8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 45 0F 28 7B 90 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 81 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 6B FF FF FF F2 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 55 FF FF FF 66 41 3B F6 75 23 66 85 7C 24 4E 75 0E 66 85 C0 0F 8E 3F FF FF FF E9 31 FF FF FF 66 85 C0 0F 8F 31 FF FF FF E9 23 FF FF FF 66 85 7C 24 4E 75 2C 66 85 F6 0F 85 1C FF FF FF 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 06 FF FF FF 66 85 7C 24 2E 0F 84 FB FE FF FF EB 8E B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 0E FF FF FF 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 F8 FE FF FF 66 85 7C 24 2E 0F 84 ED FE FF FF F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 E1 FE FF FF }
	condition:
		$1
}

rule file_701_0_0 {
	meta:
		name = "_ldpow"
		size = 1822
		refs = "004b __security_cookie 007a _ldunscale 0089 _ld_int 00cd __real@3fe0000000000000 00ea __real@bfe0000000000000 00f6 __real@3ff0000000000000 0128 _fperrraise 0130 _LNan_C 014b __xmm@80000000000000008000000000000000 017c __real@3fe6a09e667f3bcd 0196 __real@4000000000000000 01a3 __real@4050000000000000 01c2 __real@3f90000000000000 01e2 lnbias 0201 _ldlogpoly 021e __real@3fe62e42fefa39ef 0278 __real@c0e0000000000000 0295 __real@c02e000000000000 02a3 __real@402e000000000000 02b2 __real@c044000000000000 02bc __real@4044000000000000 0326 __real@40e0000000000000 033f _ldxp_setw 0365 _ldxp_addx 038c log2e 03a9 _ldxp_mulh 042e _ldxp_addh 0506 _ldxp_getw 0539 _ldexp 0558 _LInf_C 0607 __security_check_cookie 0669 _LZero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 90 78 FF FF FF 44 0F 29 98 68 FF FF FF 44 0F 29 B8 58 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D8 48 8D 54 24 28 F2 0F 11 44 24 28 48 8D 4C 24 20 F2 0F 11 4C 24 48 F2 0F 11 4C 24 40 4D 8B F8 44 0F 28 C9 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 0F B7 D8 E8 ?? ?? ?? ?? 45 33 E4 0F B7 F0 4D 85 FF 74 04 66 45 89 27 45 0F 57 C0 66 85 F6 75 09 66 45 0F 2E C8 7A 02 74 44 0F B7 44 24 20 41 BE 01 00 00 00 F2 0F 10 4C 24 28 66 85 DB 0F 89 C7 04 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 66 41 3B C6 75 28 66 41 0F 2E CB 7A 02 74 12 66 41 3B F6 75 19 66 0F 2E 0D ?? ?? ?? ?? 7A 0F 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 00 05 00 00 66 44 3B E3 0F 8E 86 04 00 00 66 44 3B E6 0F 8C 7C 04 00 00 BF 00 80 00 00 66 85 7C 24 2E 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 C6 04 00 00 66 41 0F 2F C8 76 08 66 44 89 64 24 30 EB 2A 0F 57 0D ?? ?? ?? ?? 48 8D 4C 24 40 83 CA FF F2 0F 11 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 4C 24 28 66 89 44 24 30 0F B7 44 24 20 66 41 3B C6 75 24 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 16 F2 44 0F 10 15 ?? ?? ?? ?? 41 8B CC F2 0F 59 0D ?? ?? ?? ?? EB 2F 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 41 0F 58 C3 F2 0F 2C C8 83 E9 20 66 44 0F 6E D1 F3 45 0F E6 D2 F2 44 0F 59 15 ?? ?? ?? ?? F2 45 0F 58 D3 0F 28 C1 4C 63 E9 F2 41 0F 5C C2 49 C1 E5 05 F2 41 0F 58 CA 48 8D 05 ?? ?? ?? ?? 4C 03 E8 0F 28 F8 F2 0F 11 44 24 28 F2 0F 5E F9 0F 28 F7 F2 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 6C 24 28 44 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 0F 28 DD F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C2 0F BF 44 24 20 41 0F 28 C9 F2 44 0F 59 FE F2 0F 59 05 ?? ?? ?? ?? F2 44 0F 5C FD 66 0F 6E D0 F3 0F E6 D2 F2 44 0F 58 F8 F2 41 0F 58 55 00 F2 44 0F 59 FF F2 41 0F 58 DF 0F 28 C3 F2 0F 5E C4 F2 0F 58 C2 F2 0F 59 C8 F2 0F 11 44 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 F2 0F 11 4C 24 38 76 09 45 0F B7 F4 E9 B6 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 83 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 75 66 44 0F 2F 0D ?? ?? ?? ?? 76 6A F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 76 5B 66 44 0F 2F C1 76 07 F2 41 0F 5C CB EB 05 F2 41 0F 58 CB F2 44 0F 2C C1 F2 41 0F 10 4D 10 F2 41 0F 58 4D 08 F2 41 0F 59 D1 66 41 0F 6E C0 F3 0F E6 C0 F2 41 0F 59 C9 F2 0F 5C D0 F2 41 0F 59 D9 F2 0F 59 CC F2 0F 59 D4 F2 0F 58 CB F2 0F 58 CA F2 0F 11 4C 24 38 E9 FD 01 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 87 17 02 00 00 BB 04 00 00 00 48 8D 4D B8 8B D3 0F 28 D5 E8 ?? ?? ?? ?? 8D 7B FE 41 0F 28 D7 8B D7 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 8B CF 4C 8D 44 24 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? F2 0F 10 55 B8 66 41 0F 2E D0 7A 14 75 12 41 0F 28 D0 48 8D 4C 24 58 8B D3 E8 ?? ?? ?? ?? EB 7B 0F 10 05 ?? ?? ?? ?? 8B D3 48 8D 4C 24 58 0F 10 0D ?? ?? ?? ?? 0F 11 44 24 58 0F 11 4C 24 68 E8 ?? ?? ?? ?? 45 8B E6 48 8D 75 C0 F2 0F 10 16 66 41 0F 2E D0 7A 02 74 40 0F 10 05 ?? ?? ?? ?? 8B D3 48 8D 4D 98 0F 10 0D ?? ?? ?? ?? 0F 11 45 98 0F 11 4D A8 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 98 8B D3 48 8D 4C 24 58 E8 ?? ?? ?? ?? 45 03 E6 48 83 C6 08 44 3B E3 7C B3 45 33 E4 41 B9 03 00 00 00 48 8D 4C 24 58 4D 8B C5 8B D3 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 4C 24 58 8B D3 66 0F 6E D0 F3 0F E6 D2 E8 ?? ?? ?? ?? 41 0F 28 D1 48 8D 4D B8 8B D7 E8 ?? ?? ?? ?? 0F 10 44 24 58 8B D3 48 8D 4C 24 78 0F 10 4C 24 68 F2 0F 10 55 B8 0F 11 44 24 78 0F 11 4D 88 E8 ?? ?? ?? ?? F2 0F 10 55 C0 66 41 0F 2E D0 7A 02 74 30 0F 10 44 24 58 8B D3 48 8D 4D 98 0F 10 4C 24 68 0F 11 45 98 0F 11 4D A8 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 98 8B D3 48 8D 4C 24 78 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 66 41 0F 2E C8 F2 0F 11 4C 24 28 7A 02 74 21 F2 0F 10 55 80 66 41 0F 2E D0 7A 02 74 13 F2 0F 10 45 88 F2 0F 58 C2 F2 0F 58 C1 F2 0F 11 44 24 28 33 D2 48 8D 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4C 24 78 0F 57 15 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8D 4C 24 78 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 44 0F 2C 44 24 28 F2 0F 11 44 24 38 4D 85 FF 74 07 66 45 89 07 45 8B C4 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? F2 0F 10 4C 24 38 44 0F B7 F0 41 0F BF D6 85 D2 74 18 83 FA 01 75 2A F2 0F 10 05 ?? ?? ?? ?? 8D 4A 07 F2 0F 11 44 24 38 EB 0C F2 44 0F 11 44 24 38 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 38 66 44 39 64 24 30 74 13 0F 57 0D ?? ?? ?? ?? EB 0A BF 02 00 00 00 66 3B DF 75 05 0F 28 C1 EB 61 66 3B F7 75 06 41 0F 28 C1 EB 56 BF 00 80 00 00 66 41 3B DE 0F 85 C2 00 00 00 66 85 7C 24 2E 75 16 66 85 7C 24 4E 75 09 F2 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 2A 66 85 7C 24 4E 75 6D 66 85 F6 75 16 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 88 13 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D D8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 45 0F 28 7B 90 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 81 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 6B FF FF FF F2 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 55 FF FF FF 66 41 3B F6 75 23 66 85 7C 24 4E 75 0E 66 85 C0 0F 8E 3F FF FF FF E9 31 FF FF FF 66 85 C0 0F 8F 31 FF FF FF E9 23 FF FF FF 66 85 7C 24 4E 75 2C 66 85 F6 0F 85 1C FF FF FF 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 06 FF FF FF 66 85 7C 24 2E 0F 84 FB FE FF FF EB 8E B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 0E FF FF FF 83 CA FF 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 85 C0 0F 89 F8 FE FF FF 66 85 7C 24 2E 0F 84 ED FE FF FF F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 E1 FE FF FF }
	condition:
		$1
}

rule file_470_1_0 {
	meta:
		name = "_dtgamma"
		size = 363
		refs = "001e __real@404b000000000000 0025 stirling 0032 __real@bfe0000000000000 0040 __real@3fe0000000000000 0057 __real@3ff0000000000000 006f __real@bff0000000000000 00a1 __real@3ff8000000000000 00bf __real@4004000000000000 00db __real@c000000000000000 0115 _dunscale 0122 s 0134 _dpoly 013e c"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 48 8B C2 0F 29 7C 24 20 48 8B D9 F2 0F 10 39 66 0F 2F 3D ?? ?? ?? ?? 72 0A E8 ?? ?? ?? ?? E9 2D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 3C F2 0F 10 0D ?? ?? ?? ?? 0F 28 C7 66 0F 2F F9 F2 0F 11 7C 24 50 77 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 59 C7 76 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 17 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C7 F2 0F 11 44 24 50 EB 6F F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 10 F2 0F 11 7C 24 50 F2 0F 58 3D ?? ?? ?? ?? EB 24 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CF F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 44 24 50 76 0F F2 0F 58 3D ?? ?? ?? ?? 33 C9 66 89 0A EB 33 66 0F 2F F9 76 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 5E C7 77 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? 48 8D 54 24 50 48 8B C8 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 15 ?? ?? ?? ?? F2 0F 11 03 41 B8 07 00 00 00 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 15 ?? ?? ?? ?? 0F 28 C7 41 B8 06 00 00 00 E8 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 59 F7 0F 28 C6 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_701_1_0 {
	meta:
		name = "_ldtgamma"
		size = 363
		refs = "001e __real@404b000000000000 0025 stirling 0032 __real@bfe0000000000000 0040 __real@3fe0000000000000 0057 __real@3ff0000000000000 006f __real@bff0000000000000 00a1 __real@3ff8000000000000 00bf __real@4004000000000000 00db __real@c000000000000000 0115 _ldunscale 0122 s 0134 _ldpoly 013e c"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 48 8B C2 0F 29 7C 24 20 48 8B D9 F2 0F 10 39 66 0F 2F 3D ?? ?? ?? ?? 72 0A E8 ?? ?? ?? ?? E9 2D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 3C F2 0F 10 0D ?? ?? ?? ?? 0F 28 C7 66 0F 2F F9 F2 0F 11 7C 24 50 77 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 59 C7 76 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 17 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C7 F2 0F 11 44 24 50 EB 6F F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 10 F2 0F 11 7C 24 50 F2 0F 58 3D ?? ?? ?? ?? EB 24 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CF F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 44 24 50 76 0F F2 0F 58 3D ?? ?? ?? ?? 33 C9 66 89 0A EB 33 66 0F 2F F9 76 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 5E C7 77 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? 48 8D 54 24 50 48 8B C8 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 15 ?? ?? ?? ?? F2 0F 11 03 41 B8 07 00 00 00 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 F0 48 8D 15 ?? ?? ?? ?? 0F 28 C7 41 B8 06 00 00 00 E8 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 59 F7 0F 28 C6 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_470_2_0 {
	meta:
		name = "stirling"
		size = 214
		refs = "0038 __real@3fe0000000000000 003d _dpow 0045 __real@3ff0000000000000 0064 approx0 006c __real@3f86e2e6d3354adf 0074 _dpoly 0094 __xmm@80000000000000008000000000000000 00a1 exp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 4C 8B C2 0F 29 78 D8 48 8B DA 44 0F 29 40 C8 48 8B F9 44 0F 29 48 B8 F2 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 44 0F 28 C0 0F B7 03 41 B8 01 00 00 00 F2 41 0F 5E F1 66 F7 D8 66 89 03 48 8B 15 ?? ?? ?? ?? F2 0F 5C 35 ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 41 B8 0D 00 00 00 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F2 0F 5E F8 41 0F 28 C1 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 44 0F 28 4C 24 20 F2 41 0F 59 C0 44 0F 28 44 24 30 F2 0F 5E F8 0F 57 C0 F2 0F 11 3F 0F 28 7C 24 40 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_701_3_0 {
	meta:
		name = "stirling"
		size = 214
		refs = "0038 __real@3fe0000000000000 003d _ldpow 0045 __real@3ff0000000000000 0064 approx0 006c __real@3f86e2e6d3354adf 0074 _ldpoly 0094 __xmm@80000000000000008000000000000000 00a1 exp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 4C 8B C2 0F 29 78 D8 48 8B DA 44 0F 29 40 C8 48 8B F9 44 0F 29 48 B8 F2 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 44 0F 28 C0 0F B7 03 41 B8 01 00 00 00 F2 41 0F 5E F1 66 F7 D8 66 89 03 48 8B 15 ?? ?? ?? ?? F2 0F 5C 35 ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 41 B8 0D 00 00 00 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F2 0F 5E F8 41 0F 28 C1 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 44 0F 28 4C 24 20 F2 41 0F 59 C0 44 0F 28 44 24 30 F2 0F 5E F8 0F 57 C0 F2 0F 11 3F 0F 28 7C 24 40 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_470_3_0 {
	meta:
		name = "tgamma"
		size = 587
		refs = "001f _d_int 0057 _fperrraise 005f _Nan_C 007e _Inf_C 0094 __xmm@80000000000000008000000000000000 00a7 __real@c065c00000000000 00c7 _dgamma_big 00f8 __real@3ff0000000000000 0112 __real@bff0000000000000 0137 __real@400921fb54442d18 013e _dsin 0177 _dtgamma 019f _dscale 01cb __real@4065c00000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 33 D2 F2 0F 11 45 28 48 8D 4D 28 0F 29 74 24 30 E8 ?? ?? ?? ?? F2 0F 10 55 10 0F 57 F6 0F BF C8 85 C9 74 36 83 E9 01 74 0F 83 F9 01 75 67 F2 0F 10 45 10 E9 FA 01 00 00 B8 00 80 00 00 66 85 45 16 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D8 01 00 00 66 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 16 0F 84 AF 01 00 00 0F 57 05 ?? ?? ?? ?? E9 A3 01 00 00 66 0F 2F F2 77 AE F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 7D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 0F 57 C6 66 0F 2F C2 0F 86 E7 00 00 00 0F 28 C2 F2 0F 11 55 20 F2 0F 5C 55 28 0F 57 C6 48 8D 4D 20 F2 0F 5C 05 ?? ?? ?? ?? 83 CA FF F2 0F 11 55 28 F2 0F 11 45 E0 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 20 66 0F 2F C1 F2 0F 10 45 28 76 08 0F 57 C6 F2 0F 11 45 28 F2 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F2 0F 10 4D 10 48 8D 55 18 F2 0F 59 C1 48 8D 4D E0 0F 57 CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 05 ?? ?? ?? ?? 0F 57 CE F2 0F 5E C1 F2 0F 11 45 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 48 8D 4D 20 F2 0F 58 05 ?? ?? ?? ?? 0F BF 55 18 F2 0F 5E C8 F2 0F 59 4D E0 F2 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 20 EB 79 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 72 59 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F2 0F 11 45 28 F7 DA F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 10 83 F9 01 0F 85 24 FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 0E FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_701_4_0 {
	meta:
		name = "tgammal"
		size = 587
		refs = "001f _ld_int 0057 _fperrraise 005f _LNan_C 007e _LInf_C 0094 __xmm@80000000000000008000000000000000 00a7 __real@c065c00000000000 00c7 _ldgamma_big 00f8 __real@3ff0000000000000 0112 __real@bff0000000000000 0137 __real@400921fb54442d18 013e _ldsin 0177 _ldtgamma 019f _ldscale 01cb __real@4065c00000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 33 D2 F2 0F 11 45 28 48 8D 4D 28 0F 29 74 24 30 E8 ?? ?? ?? ?? F2 0F 10 55 10 0F 57 F6 0F BF C8 85 C9 74 36 83 E9 01 74 0F 83 F9 01 75 67 F2 0F 10 45 10 E9 FA 01 00 00 B8 00 80 00 00 66 85 45 16 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D8 01 00 00 66 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 16 0F 84 AF 01 00 00 0F 57 05 ?? ?? ?? ?? E9 A3 01 00 00 66 0F 2F F2 77 AE F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 7D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 0F 57 C6 66 0F 2F C2 0F 86 E7 00 00 00 0F 28 C2 F2 0F 11 55 20 F2 0F 5C 55 28 0F 57 C6 48 8D 4D 20 F2 0F 5C 05 ?? ?? ?? ?? 83 CA FF F2 0F 11 55 28 F2 0F 11 45 E0 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 20 66 0F 2F C1 F2 0F 10 45 28 76 08 0F 57 C6 F2 0F 11 45 28 F2 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F2 0F 10 4D 10 48 8D 55 18 F2 0F 59 C1 48 8D 4D E0 0F 57 CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 05 ?? ?? ?? ?? 0F 57 CE F2 0F 5E C1 F2 0F 11 45 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 48 8D 4D 20 F2 0F 58 05 ?? ?? ?? ?? 0F BF 55 18 F2 0F 5E C8 F2 0F 59 4D E0 F2 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 20 EB 79 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 72 59 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F2 0F 11 45 28 F7 DA F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 10 83 F9 01 0F 85 24 FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 0E FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "fputws"
		size = 165
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0058 _lock_file 006e _fputwc_nolock 0089 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 56 48 83 EC 30 48 8B F2 48 8B F9 45 33 F6 41 8B C6 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 41 8B C6 48 85 D2 0F 95 C0 85 C0 74 DE 83 CB FF 48 8B CA E8 ?? ?? ?? ?? 90 48 89 7C 24 20 0F B7 0F 66 85 C9 74 18 48 8B D6 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 09 48 83 C7 02 EB DB 41 8B DE 48 8B CE E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_471_1_0 {
	meta:
		name = "fputws$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 48 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_472_0_0 {
	meta:
		name = "c16rtomb"
		size = 346
		refs = "0009 __security_cookie 0020 ?internal_pst@?1??c16rtomb@@9@4U_Mbstatet@@A 0150 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 10 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 4C 8B C9 33 DB 4D 85 C0 48 8D 0D ?? ?? ?? ?? 44 0F B7 D2 49 0F 45 C8 44 8B 01 4D 85 C9 75 07 4C 8D 0C 24 44 8B D3 BA FF 03 00 00 38 59 06 74 28 B8 00 24 00 00 41 03 C2 66 3B C2 77 12 41 0F B7 C2 2D 00 DC 00 00 66 89 59 06 44 0B C0 EB 3A 48 83 C8 FF E9 DA 00 00 00 B8 00 28 00 00 41 03 C2 66 3B C2 77 20 41 0F B7 C2 41 BB 01 00 00 00 C1 E0 0A 2D 00 00 5F 03 66 44 89 59 06 89 01 33 C0 E9 AD 00 00 00 45 0F B7 C2 41 F7 C0 80 FF FF FF 75 0C 45 88 01 49 8D 41 01 E9 91 00 00 00 41 BB 01 00 00 00 41 8B C0 41 F7 C0 00 F8 FF FF 75 0A C1 E8 06 45 8B D3 0C C0 EB 4D 41 F7 C0 00 00 FF FF 75 0D C1 E8 0C 41 BA 02 00 00 00 0C E0 EB 37 41 F7 C0 00 00 E0 FF 75 0D C1 E8 12 41 BA 03 00 00 00 0C F0 EB 21 41 F7 C0 00 00 00 FC 75 0D C1 E8 18 41 BA 04 00 00 00 0C F8 EB 0B C1 E8 1E 41 BA 05 00 00 00 0C FC 43 8D 0C 52 41 88 01 03 C9 49 8D 41 01 83 E9 06 41 8B D0 D3 EA 45 2B D3 80 E2 3F 80 CA 80 88 10 49 03 C3 45 85 D2 7F E5 49 2B C1 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 10 5B C3 }
	condition:
		$1
}

rule file_473_1_0 {
	meta:
		name = "scaleFloat_2"
		size = 60
	strings:
		$1 = { 0F 28 D0 44 8B C2 8B C2 99 2B C2 D1 F8 44 2B C0 41 83 C0 7F 41 C1 E0 17 8D 48 7F C1 E1 17 89 4C 24 08 F3 0F 10 44 24 08 F3 0F 59 C2 44 89 44 24 08 F3 0F 10 4C 24 08 F3 0F 59 C1 C3 }
	condition:
		$1
}

rule file_473_2_0 {
	meta:
		name = "splitexpf"
		size = 256
		refs = "0008 __real@3f000000 002f __real@00000000 0047 __ImageBase 0061 ?two_to_jby32_lead_table@?1??splitexpf@@9@9 006a ?two_to_jby32_trail_table@?1??splitexpf@@9@9 00cf __real@3e2aaaab"
	strings:
		$1 = { 48 83 EC 38 F3 0F 10 2D ?? ?? ?? ?? 0F 28 E0 0F 29 74 24 20 0F 28 F0 0F 29 7C 24 10 0F 28 F9 F3 0F 59 E2 44 0F 29 04 24 44 0F 28 C3 0F 2F 25 ?? ?? ?? ?? 76 06 F3 0F 58 E5 EB 04 F3 0F 5C E5 F3 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 83 E1 1F 48 63 C1 66 41 0F 6E C0 0F 5B C0 F3 0F 10 9C 82 ?? ?? ?? ?? F3 0F 10 A4 82 ?? ?? ?? ?? 41 8B C0 2B C1 F3 41 0F 59 C0 48 8B 4C 24 68 99 44 0F 28 04 24 83 E2 1F 03 C2 F3 0F 5C F0 C1 F8 05 89 01 41 F7 D8 48 8B 44 24 70 F3 0F 59 F7 66 41 0F 6E C8 0F 5B C9 F3 0F 11 18 F3 0F 59 4C 24 60 48 8B 44 24 78 F3 0F 59 CF 0F 28 7C 24 10 0F 28 C1 F3 0F 58 C6 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 D5 F3 0F 59 D0 0F 28 C4 F3 0F 58 C3 F3 0F 58 D1 F3 0F 58 D6 0F 28 74 24 20 F3 0F 59 D0 F3 0F 58 D4 F3 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_473_3_0 {
	meta:
		name = "tanhf"
		size = 681
		refs = "0054 _set_statfp 0078 _handle_nanf 0086 __real@40000000 0090 __real@3f800000 00bb __real@41200000 00d3 __real@3f666666 00f5 __real@384d2b7d 00fd __real@3abfbc9e 0109 __real@3eaf769c 0111 __real@3e9058e0 0119 __real@3f588550 0123 __real@382089d8 012b __real@3aa18e00 0137 __real@3e95c65f 013f __real@3e7679b1 0147 __real@3f38db60 0162 __real@3f000000 0173 __real@4238aa3b 017a __real@00000000 01b1 __ImageBase 01ba ?two_to_jby32_lead_table@?1??splitexpf@@9@9 01c3 ?two_to_jby32_trail_table@?1??splitexpf@@9@9 01ce __real@3cb17000 01f6 __real@3585fdf4 0238 __real@3e2aaaab"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 28 F0 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 F3 0F 11 B4 24 90 00 00 00 8B 94 24 90 00 00 00 8B C2 0F BA F0 1F 3D 00 00 00 39 73 1A 85 C0 0F 84 31 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 1F 02 00 00 3D 00 00 80 7F 76 1A F3 0F 11 B4 24 90 00 00 00 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? E9 FE 01 00 00 F3 44 0F 10 1D ?? ?? ?? ?? 33 C9 F3 0F 10 3D ?? ?? ?? ?? 3B C2 44 0F 28 CF 0F 95 C1 66 0F 6E C1 0F 5B C0 F3 41 0F 59 C3 F3 44 0F 5C C8 45 0F 28 C1 F3 44 0F 59 C6 44 0F 2F 05 ?? ?? ?? ?? 0F 87 B2 01 00 00 41 0F 2F F8 0F 82 8E 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 41 0F 28 C8 F3 41 0F 59 C8 41 0F 2F C0 0F 28 C1 0F 28 F9 F3 41 0F 59 C0 76 2E F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? EB 2C F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 F8 F3 0F 5E F9 F3 41 0F 58 F8 E9 1A 01 00 00 F3 44 0F 10 15 ?? ?? ?? ?? F3 45 0F 59 C3 41 0F 28 C0 F3 0F 59 05 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? 76 07 F3 41 0F 58 C2 EB 05 F3 41 0F 5C C2 F3 44 0F 2C C0 41 8B C0 41 8B D0 F7 D8 83 E2 1F 48 63 CA 66 41 0F 6E C0 44 2B C2 0F 5B C0 66 0F 6E F0 48 8D 05 ?? ?? ?? ?? F3 0F 10 AC 88 ?? ?? ?? ?? F3 0F 10 A4 88 ?? ?? ?? ?? 41 8B C0 F3 0F 59 05 ?? ?? ?? ?? 99 83 E2 1F 03 C2 C1 F8 05 F3 44 0F 5C C0 44 8B C0 0F 5B F6 99 2B C2 D1 F8 44 2B C0 41 83 C0 7F F3 0F 59 35 ?? ?? ?? ?? 8D 48 7F C1 E1 17 89 8C 24 90 00 00 00 F3 0F 10 9C 24 90 00 00 00 0F 28 C6 F3 41 0F 58 C0 41 C1 E0 17 44 89 84 24 90 00 00 00 F3 0F 10 8C 24 90 00 00 00 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 41 0F 58 D2 F3 0F 59 D0 0F 28 C4 F3 0F 58 C5 F3 0F 58 D6 F3 41 0F 58 D0 F3 0F 59 D0 F3 0F 58 D4 F3 0F 58 D5 F3 0F 59 D3 F3 0F 59 D1 F3 0F 58 D7 F3 44 0F 5E DA F3 41 0F 5C FB F3 41 0F 59 F9 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_474_4_0 {
	meta:
		name = "_mbsncpy_s_l"
		size = 506
		refs = "005c _errno 0068 _invalid_parameter_noinfo 009b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b7 strncpy_s 00f1 _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F9 49 8B D8 4C 8B F2 48 8B F9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 21 EB E8 48 85 DB 75 35 44 88 21 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 44 39 60 08 75 18 4D 8B CF 4C 8B C3 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B D8 E9 1C 01 00 00 48 8B F7 49 8B EE 49 83 FF FF 75 1A 48 8B CF 48 2B CB 8A 03 88 04 19 48 FF C3 84 C0 74 71 48 83 ED 01 75 EE EB 69 0F B6 0B 48 8D 54 24 28 E8 ?? ?? ?? ?? 85 C0 74 24 44 38 63 01 74 3E 48 83 FD 02 76 34 8A 03 88 06 8A 43 01 48 83 C3 02 88 46 01 48 83 C6 02 48 83 ED 02 EB 14 8A 03 48 FF C3 88 06 48 FF C6 84 C0 74 1E 48 83 ED 01 74 18 49 83 EF 01 74 12 EB AF 33 ED EB 0C 44 88 26 48 FF C6 41 BC 01 00 00 00 4D 85 FF 75 03 44 88 3E 48 85 ED 75 73 49 83 FF FF 75 57 45 85 E4 74 0A E8 ?? ?? ?? ?? 8D 5D 2A 89 18 49 83 FE 01 76 35 49 8D 76 FE 48 03 F7 48 8B DE 48 3B F7 72 19 0F B6 0B 48 8D 54 24 28 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DF 73 E7 8B C6 2B C3 A8 01 74 05 C6 06 00 EB 06 42 C6 44 37 FF 00 BB 50 00 00 00 EB 2B C6 07 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 15 45 85 E4 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 83 FE FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 72 FE FF FF }
	condition:
		$1
}

rule file_475_8_0 {
	meta:
		name = "__acrt_lowio_create_handle_array"
		size = 149
		refs = "001c _calloc_base 0047 __acrt_InitializeCriticalSectionEx 0079 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 BA 40 00 00 00 8B CA E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 4C 48 8D A8 00 10 00 00 48 3B C5 74 3D 48 8D 78 30 48 8D 4F D0 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 83 4F F8 FF 48 89 37 C7 47 08 00 00 0A 0A C6 47 0C 0A 80 67 0D F8 40 88 77 0E 48 8D 7F 40 48 8D 47 D0 48 3B C5 75 C7 48 8B F3 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_475_9_0 {
	meta:
		name = "__acrt_lowio_destroy_handle_array"
		size = 80
		refs = "002b __imp_DeleteCriticalSection 003c _free_base"
	strings:
		$1 = { 48 85 C9 74 4A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 00 10 00 00 48 8B D9 48 8B F9 48 3B CE 74 12 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 40 48 3B FE 75 EE 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_475_10_0 {
	meta:
		name = "__acrt_lowio_ensure_fh_exists"
		size = 183
		refs = "0029 _errno 0035 _invalid_parameter_noinfo 0043 __acrt_lock 0052 _nhandle 005d __pioinfo 006a __acrt_lowio_create_handle_array 009b __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 57 48 83 EC 30 8B F1 33 DB 8B C3 81 F9 00 20 00 00 0F 92 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 64 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B FB 48 89 5C 24 20 8B 05 ?? ?? ?? ?? 3B F0 7C 3B 4C 8D 3D ?? ?? ?? ?? 49 39 1C FF 74 02 EB 22 E8 ?? ?? ?? ?? 49 89 04 FF 48 85 C0 75 05 8D 58 0C EB 19 8B 05 ?? ?? ?? ?? 83 C0 40 89 05 ?? ?? ?? ?? 48 FF C7 48 89 7C 24 20 EB C1 B9 07 00 00 00 E8 ?? ?? ?? ?? EB 98 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_475_11_0 {
	meta:
		name = "__acrt_lowio_ensure_fh_exists$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "__acrt_initialize_lowio$fin$0 _alloc_osfhnd$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 07 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_475_12_0 {
	meta:
		name = "__acrt_lowio_lock_fh"
		size = 35
		refs = "0006 __pioinfo 001f __imp_EnterCriticalSection"
	strings:
		$1 = { 48 63 C9 48 8D 15 ?? ?? ?? ?? 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 48 03 0C C2 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_475_14_0 {
	meta:
		name = "__acrt_lowio_unlock_fh"
		size = 35
		refs = "0006 __pioinfo 001f __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 C9 48 8D 15 ?? ?? ?? ?? 48 8B C1 83 E1 3F 48 C1 F8 06 48 C1 E1 06 48 03 0C C2 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_475_13_0 {
	meta:
		name = "__acrt_lowio_set_os_handle"
		size = 191
		refs = "0025 _nhandle 0031 __pioinfo 0050 _query_app_type 007d __imp_SetStdHandle 008f _errno 009a __doserrno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 63 D9 48 8B FA 85 C9 78 6B 3B 1D ?? ?? ?? ?? 73 63 48 8B F3 4C 8D 35 ?? ?? ?? ?? 83 E6 3F 48 8B EB 48 C1 FD 06 48 C1 E6 06 49 8B 04 EE 48 83 7C 30 28 FF 75 3F E8 ?? ?? ?? ?? 83 F8 01 75 28 85 DB 74 16 2B D8 74 0B 3B D8 75 1C B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF 48 8B D7 FF 15 ?? ?? ?? ?? 49 8B 04 EE 48 89 7C 30 28 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_475_15_0 {
	meta:
		name = "_alloc_osfhnd"
		size = 303
		refs = "001f __acrt_lock 002c __pioinfo 004d __acrt_lowio_create_handle_array 0060 _nhandle 006b __acrt_lowio_lock_fh 00af __imp_EnterCriticalSection 00be __imp_LeaveCriticalSection 010e __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 30 B9 07 00 00 00 E8 ?? ?? ?? ?? 49 83 CE FF 33 DB 4C 8D 25 ?? ?? ?? ?? 89 5C 24 20 81 FB 80 00 00 00 0F 8D C8 00 00 00 48 63 FB 49 8B 34 FC 48 85 F6 75 42 E8 ?? ?? ?? ?? 49 89 04 FC 48 85 C0 0F 84 AA 00 00 00 83 05 ?? ?? ?? ?? 40 C1 E3 06 8B CB E8 ?? ?? ?? ?? 48 63 CB 48 8B C1 48 C1 F8 06 83 E1 3F 48 C1 E1 06 49 8B 04 C4 C6 44 08 38 01 44 8B F3 EB 7A 4C 8D BE 00 10 00 00 48 8B FE 48 89 74 24 28 49 3B FF 74 5F F6 47 38 01 74 02 EB 18 48 8B CF FF 15 ?? ?? ?? ?? F6 47 38 01 74 14 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 40 48 89 7C 24 28 EB D0 48 2B FE 48 C1 FF 06 C1 E3 06 03 FB 48 63 D7 48 8B CA 48 C1 F9 06 83 E2 3F 48 C1 E2 06 49 8B 04 CC C6 44 02 38 01 49 8B 04 CC 4C 89 74 02 28 44 8B F7 EB 07 FF C3 E9 28 FF FF FF B9 07 00 00 00 E8 ?? ?? ?? ?? 41 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_475_17_0 {
	meta:
		name = "_free_osfhnd"
		size = 186
		refs = "001e _nhandle 002a __pioinfo 0050 _query_app_type 007c __imp_SetStdHandle 008f _errno 009a __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 63 D9 85 C9 78 72 3B 1D ?? ?? ?? ?? 73 6A 48 8B FB 4C 8D 35 ?? ?? ?? ?? 83 E7 3F 48 8B F3 48 C1 FE 06 48 C1 E7 06 49 8B 04 F6 F6 44 38 38 01 74 47 48 83 7C 38 28 FF 74 3F E8 ?? ?? ?? ?? 83 F8 01 75 27 85 DB 74 16 2B D8 74 0B 3B D8 75 1B B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF 33 D2 FF 15 ?? ?? ?? ?? 49 8B 04 F6 48 83 4C 38 28 FF 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_475_18_0 {
	meta:
		name = "_get_osfhandle"
		size = 117
		refs = "000a __doserrno 0012 _errno 0024 _nhandle 0030 __pioinfo 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 4E 85 C9 78 32 3B 0D ?? ?? ?? ?? 73 2A 48 63 D1 48 8D 0D ?? ?? ?? ?? 48 8B C2 83 E2 3F 48 C1 F8 06 48 C1 E2 06 48 8B 04 C1 F6 44 10 38 01 74 07 48 8B 44 10 28 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_475_19_0 {
	meta:
		name = "_open_osfhandle"
		size = 248
		refs = "003b __imp_GetFileType 0045 __imp_GetLastError 004c __acrt_errno_map_os_error 006b _alloc_osfhnd 007c _errno 0087 __doserrno 009b __acrt_lowio_set_os_handle 00af __pioinfo 00dc __acrt_lowio_unlock_fh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 30 48 8B F1 45 33 F6 F6 C2 08 41 0F B6 DE 41 8D 46 20 0F 45 D8 0F BA E2 0E 73 03 80 CB 80 84 D2 79 03 80 CB 10 FF 15 ?? ?? ?? ?? 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF E9 8A 00 00 00 83 F8 02 75 05 80 CB 40 EB 08 83 F8 03 75 03 80 CB 08 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 48 83 FF FF 75 15 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 44 89 30 EB C0 44 88 74 24 20 48 8B D6 8B CF E8 ?? ?? ?? ?? 80 CB 01 48 8B D7 48 8B CF 48 C1 F9 06 4C 8D 05 ?? ?? ?? ?? 83 E2 3F 48 C1 E2 06 49 8B 04 C8 88 5C 02 38 49 8B 04 C8 44 88 74 02 39 49 8B 04 C8 80 64 02 3D FE C6 44 24 20 01 8B CF E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_475_20_0 {
	meta:
		name = "_open_osfhandle$fin$0"
		size = 65
		refs = "001d __pioinfo 0035 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 75 22 48 63 4D 48 48 8B C1 48 C1 F8 06 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 48 8B 04 C2 80 64 08 38 FE 8B 4D 48 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_476_0_0 {
	meta:
		name = "__pctype_func"
		size = 47
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 8B 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "_aligned_free"
		size = 27
		refs = "0012 free"
		altNames = "_aligned_free_base"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0D 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_478_5_0 {
	meta:
		name = "_aligned_msize_base"
		size = 101
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0034 _msize"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B FA 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 2F 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? B9 08 00 00 00 48 C7 C2 F9 FF FF FF 48 3B F9 48 0F 47 CF 48 F7 DB 83 E3 07 48 2B D1 48 2B D3 48 03 C2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_478_7_0 {
	meta:
		name = "_aligned_offset_malloc_base"
		size = 184
		refs = "0059 _errno 0069 malloc 009c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 49 8B D8 48 85 D2 74 73 48 8D 42 FF 48 85 C2 75 6A 48 85 DB 74 05 48 3B D9 73 60 BF 08 00 00 00 48 8B F3 48 3B D7 48 0F 47 FA 48 F7 DE 48 FF CF 83 E6 07 4C 8D 77 08 4C 03 F6 49 8D 04 0E 48 3B C8 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 3B 48 8B C8 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 2B 49 03 C6 48 F7 D7 48 03 C3 48 23 C7 48 2B C3 48 8B C8 48 2B CE 48 89 51 F8 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_478_9_0 {
	meta:
		name = "_aligned_offset_realloc_base"
		size = 475
		refs = "003a _aligned_offset_malloc_base 0051 free 00b1 _msize 00de _errno 010f _expand 012a malloc 018f memmove 01b8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 E4 49 8B F1 4D 8B C8 48 8B FA 48 8B D9 48 85 C9 75 13 4C 8B C6 49 8B D1 48 8B CF E8 ?? ?? ?? ?? E9 7B 01 00 00 48 85 D2 75 12 48 83 E3 F8 48 8B 4B F8 E8 ?? ?? ?? ?? E9 62 01 00 00 4D 85 C0 0F 84 49 01 00 00 49 8D 40 FF 49 85 C0 0F 85 3C 01 00 00 48 85 F6 74 09 48 3B F2 0F 83 2E 01 00 00 48 8B C1 BD 08 00 00 00 48 83 E0 F8 4C 8B FE 4C 3B C5 49 0F 47 E8 49 F7 DF 4C 8B 70 F8 48 FF CD 48 8B C1 41 83 E7 07 49 2B C6 49 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C8 4C 8D 6D 08 49 8B C6 48 2B C3 48 03 C8 49 8D 04 3F 48 3B CF 48 0F 47 CF 4C 03 E8 48 89 4C 24 28 49 3B FD 76 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 CF 00 00 00 4B 8D 04 37 48 8D 55 08 48 03 D0 48 3B D3 72 29 E8 ?? ?? ?? ?? 49 8B D5 49 8B CE 8B 00 89 44 24 60 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 27 E8 ?? ?? ?? ?? 8B 4C 24 60 89 08 49 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 82 00 00 00 41 BC 01 00 00 00 EB 03 4C 8B F0 48 8B 54 24 20 48 8B C3 48 2B C2 48 3B F8 75 17 49 8D 0C 1F 48 8B C5 48 03 CE 48 F7 D0 48 85 C8 75 05 48 8B C3 EB 52 4C 8B 44 24 28 4A 8D 04 3F 48 03 C5 48 8D 5E 08 48 03 D8 48 F7 D5 48 23 DD 49 03 D6 48 2B DE 48 8B CB E8 ?? ?? ?? ?? 45 85 E4 74 08 49 8B CE E8 ?? ?? ?? ?? 48 8B CB 49 2B CF 48 89 79 F8 EB BB E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_478_11_0 {
	meta:
		name = "_aligned_offset_recalloc_base"
		size = 163
		refs = "0033 _errno 0053 _aligned_msize_base 0069 _aligned_offset_realloc_base 0087 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B E9 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 47 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 4D 49 0F AF D8 48 85 C9 74 10 4C 8B 44 24 50 49 8B D1 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 4C 24 50 4C 8B C5 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 38 4C 8B C3 33 D2 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "??$common_tcscat_s@_W@@YAHQEA_W_KQEB_W@Z"
		size = 134
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 66 44 39 11 74 0A 48 83 C1 02 48 83 EA 01 75 F0 48 85 D2 75 06 66 45 89 11 EB CC 4C 2B C1 41 0F B7 04 08 66 89 01 48 8D 49 02 66 85 C0 74 06 48 83 EA 01 75 E9 48 85 D2 75 10 66 45 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB A7 33 C0 EB AC }
	condition:
		$1
}

rule file_479_1_0 {
	meta:
		name = "wcscat_s"
		size = 127
		refs = "001e _errno 002a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B C9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 66 39 19 74 0A 48 83 C1 02 48 83 EA 01 75 F1 48 85 D2 75 06 66 41 89 19 EB CD 4C 2B C1 41 0F B7 04 08 66 89 01 48 8D 49 02 66 85 C0 74 06 48 83 EA 01 75 E9 48 85 D2 75 BF 66 41 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB A8 }
	condition:
		$1
}

rule file_480_6_0 {
	meta:
		name = "_ismbcalpha_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005b __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 2D 48 8B 44 24 28 BA 01 00 00 00 44 0F B6 C3 48 8B 08 B8 03 01 00 00 66 42 85 04 41 75 2A 48 8B 44 24 30 41 84 54 00 19 75 1E 33 D2 EB 1A 41 B8 03 01 00 00 48 8D 54 24 28 41 B9 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "clog"
		size = 591
		refs = "002f creal 0045 cimag 0053 _dtest 00b9 atan2 00e1 __xmm@80000000000000008000000000000000 0123 _fperrraise 012b _Inf_C 0147 __real@3feccccccccccccd 0159 __real@3fd999999999999a 0179 _d_int 01c8 __real@3ff0000000000000 01d9 log1p 01e1 __real@3fe0000000000000 020e log 0228 _Cbuild"
	strings:
		$1 = { 40 55 53 56 57 48 8B EC 48 83 EC 68 0F 10 02 48 8B F9 48 8D 4D B8 0F 29 74 24 50 48 8B DA 0F 29 7C 24 40 F3 0F 7F 45 B8 44 0F 29 4C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 28 48 8D 4D B8 0F 10 03 F3 0F 7F 45 B8 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 F0 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FE 02 75 1B F2 0F 10 55 28 48 8D 4D B8 66 83 F8 01 0F 84 A0 01 00 00 0F 28 CA E9 A0 01 00 00 66 83 FB 02 75 1B F2 0F 10 55 30 48 8D 4D B8 66 83 FE 01 0F 84 7F 01 00 00 0F 28 CA E9 7F 01 00 00 F2 0F 10 7D 28 F2 0F 10 75 30 0F 28 CF 0F 28 C6 E8 ?? ?? ?? ?? 44 0F 28 C8 66 83 FE 01 0F 84 4D 01 00 00 66 83 FB 01 0F 84 43 01 00 00 0F 57 C9 66 0F 2F CF 76 0C 0F 57 3D ?? ?? ?? ?? F2 0F 11 7D 28 66 0F 2F CE 76 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 30 66 0F 2F F7 76 13 0F 28 C7 F2 0F 11 75 28 0F 28 FE F2 0F 11 45 30 0F 28 F0 66 0F 2E F9 7A 28 75 26 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? 41 0F 28 D1 48 8D 4D B8 E9 E4 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 0F 82 98 00 00 00 66 0F 2F 35 ?? ?? ?? ?? 0F 82 8A 00 00 00 BB 1A 00 00 00 F2 0F 11 7D 40 8B D3 F2 0F 11 75 38 48 8D 4D 40 E8 ?? ?? ?? ?? 8B D3 48 8D 4D 38 E8 ?? ?? ?? ?? F2 0F 10 65 38 F2 0F 10 5D 40 0F 28 C4 F2 0F 58 45 30 F2 0F 10 6D 30 F2 0F 10 55 28 F2 0F 5C EC F2 0F 5C D3 F2 0F 59 E4 F2 0F 59 E8 0F 28 C3 F2 0F 58 45 28 F2 0F 59 DB F2 0F 59 C2 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 58 C5 F2 0F 58 DC F2 0F 58 C3 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 C8 E9 49 FF FF FF F2 0F 5E F7 F2 0F 59 F6 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 28 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 C6 EB CD 0F 28 D0 48 8D 4D B8 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 4C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 68 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_485_0_0 {
	meta:
		name = "?get_std_handle_id@@YAKH@Z"
		size = 27
	strings:
		$1 = { 85 C9 74 11 83 E9 01 74 06 B8 F4 FF FF FF C3 B8 F5 FF FF FF C3 B8 F6 FF FF FF C3 }
	condition:
		$1
}

rule file_485_1_0 {
	meta:
		name = "?initialize_inherited_file_handles_nolock@@YAXXZ"
		size = 235
		refs = "0022 __imp_GetStartupInfoW 005a __acrt_lowio_ensure_fh_exists 0060 _nhandle 008d __imp_GetFileType 009b __pioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 81 EC 90 00 00 00 48 8D 48 88 FF 15 ?? ?? ?? ?? 45 33 F6 66 44 39 74 24 62 0F 84 98 00 00 00 48 8B 44 24 68 48 85 C0 0F 84 8A 00 00 00 48 63 18 48 8D 70 04 BF 00 20 00 00 48 03 DE 39 38 0F 4C 38 8B CF E8 ?? ?? ?? ?? 3B 3D ?? ?? ?? ?? 0F 4F 3D ?? ?? ?? ?? 85 FF 74 5E 41 8B EE 48 83 3B FF 74 45 48 83 3B FE 74 3F F6 06 01 74 3A F6 06 08 75 0D 48 8B 0B FF 15 ?? ?? ?? ?? 85 C0 74 28 48 8B CD 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 8B C5 48 C1 F8 06 48 C1 E1 06 48 03 0C C2 48 8B 03 48 89 41 28 8A 06 88 41 38 48 FF C5 48 FF C6 48 83 C3 08 48 83 EF 01 75 A5 4C 8D 9C 24 90 00 00 00 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_485_2_0 {
	meta:
		name = "?initialize_stdio_handles_nolock@@YAXXZ"
		size = 251
		refs = "0020 __pioinfo 0074 __imp_GetStdHandle 008a __imp_GetFileType 00c2 __piob"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 33 FF 45 33 F6 48 63 DF 48 8D 0D ?? ?? ?? ?? 48 8B C3 83 E3 3F 48 C1 F8 06 48 C1 E3 06 48 03 1C C1 48 8B 43 28 48 83 C0 02 48 83 F8 01 76 09 80 4B 38 80 E9 89 00 00 00 C6 43 38 81 8B CF 85 FF 74 16 83 E9 01 74 0A 83 F9 01 B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF FF 15 ?? ?? ?? ?? 48 8B F0 48 8D 48 01 48 83 F9 01 76 0B 48 8B C8 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 1D 0F B6 C8 48 89 73 28 83 F9 02 75 06 80 4B 38 40 EB 2E 83 F9 03 75 29 80 4B 38 08 EB 23 80 4B 38 40 48 C7 43 28 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 0B 49 8B 04 06 C7 40 18 FE FF FF FF FF C7 49 83 C6 08 83 FF 03 0F 85 35 FF FF FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_485_3_0 {
	meta:
		name = "__acrt_initialize_lowio"
		size = 59
		refs = "000c __acrt_lock 0015 __acrt_lowio_ensure_fh_exists 001e ?initialize_inherited_file_handles_nolock@@YAXXZ 0023 ?initialize_stdio_handles_nolock@@YAXXZ 002f __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 07 00 00 00 E8 ?? ?? ?? ?? 33 DB 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 B9 07 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_485_5_0 {
	meta:
		name = "__acrt_uninitialize_lowio"
		size = 64
		refs = "000f __pioinfo 001d __acrt_lowio_destroy_handle_array"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8D 3D ?? ?? ?? ?? 48 8B 0C 3B 48 85 C9 74 0A E8 ?? ?? ?? ?? 48 83 24 3B 00 48 83 C3 08 48 81 FB 00 04 00 00 72 D9 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_486_1_0 {
	meta:
		name = "??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
		size = 107
		refs = "0017 _errno 0022 _invalid_parameter_noinfo 002c _lock_file 0037 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 005f _unlock_file"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 3A E8 ?? ?? ?? ?? 90 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 38 48 3D FF FF FF 7F 7E 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 CB FF 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_486_2_0 {
	meta:
		name = "?fin$0@?0???$common_ftell@J@@YAJV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "000e _unlock_file"
		altNames = "?fin$0@?0???$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z@4HA ?fin$0@?0??common_fseek@@YAHV__crt_stdio_stream@@_JH@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_486_3_0 {
	meta:
		name = "??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 82
		refs = "0017 _errno 0022 _invalid_parameter_noinfo 002d _lock_file 0038 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 0045 _unlock_file"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 33 C0 48 85 C9 0F 95 C0 85 C0 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 20 E8 ?? ?? ?? ?? 90 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_486_5_0 {
	meta:
		name = "??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
		size = 36
		refs = "0005 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 0012 _errno"
		altNames = "_ftell_nolock"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 3D FF FF FF 7F 7E 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_486_6_0 {
	meta:
		name = "??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 350
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0033 _fileno 0052 _lseeki64 0085 __pioinfo 00ce ?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z 00ef ?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z 013b ?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 1C 01 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 63 D8 83 79 10 00 7D 04 83 61 10 00 33 D2 8B CB 44 8D 42 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 78 CB 48 8B 44 24 30 8B 48 14 F6 C1 C0 75 14 48 8B 44 24 30 48 63 48 10 48 2B F9 48 8B C7 E9 CF 00 00 00 48 8B D3 4C 8D 0D ?? ?? ?? ?? 4C 8B C3 83 E2 3F 49 C1 F8 06 48 C1 E2 06 4B 8B 04 C1 40 8A 74 02 39 48 8B 44 24 30 48 8B 18 48 2B 58 08 8B 48 14 F6 C1 03 74 44 40 80 FE 01 75 1A 4B 8B 04 C1 F6 44 02 3D 02 74 0F 48 8B 4C 24 30 48 8B D7 E8 ?? ?? ?? ?? EB 7A 4B 8B 04 C1 F6 44 02 38 80 74 39 4C 8B 5C 24 30 44 8A C6 49 8B 13 49 8B 4B 08 E8 ?? ?? ?? ?? 48 03 D8 EB 25 48 8B 44 24 30 8B 48 14 C1 E9 02 F6 C1 01 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 11 FF FF FF 4C 8B 5C 24 30 48 85 FF 75 05 48 8B C3 EB 27 41 8B 43 14 A8 01 74 12 48 8B 4C 24 30 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? EB 0D 40 80 FE 01 75 03 48 D1 EB 48 8D 04 3B 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_486_7_0 {
	meta:
		name = "??$count_newlines_of_type@D@@YA_JQEBD0@Z"
		size = 51
	strings:
		$1 = { 33 C0 4C 8B CA 4C 2B C9 4C 8B C1 48 3B CA 4C 0F 47 C8 4D 85 C9 74 1B 48 8B D1 48 F7 DA 41 80 38 0A 75 03 48 FF C0 49 FF C0 4A 8D 0C 02 49 3B C9 75 EB C3 }
	condition:
		$1
}

rule file_486_8_0 {
	meta:
		name = "??$count_newlines_of_type@_W@@YA_JQEBD0@Z"
		size = 51
	strings:
		$1 = { 33 C0 4C 8B C2 4C 2B C1 44 8B C8 49 FF C0 49 D1 E8 48 3B CA 4C 0F 47 C0 4D 85 C0 74 15 66 83 39 0A 75 03 48 FF C0 48 83 C1 02 49 FF C1 4D 3B C8 75 EB C3 }
	condition:
		$1
}

rule file_486_12_0 {
	meta:
		name = "?buffer_character_size@@YA_KW4__crt_lowio_text_mode@@@Z"
		size = 20
	strings:
		$1 = { FE C9 80 F9 01 0F 96 C0 F6 D8 48 1B C0 48 F7 D8 48 FF C0 C3 }
	condition:
		$1
}

rule file_486_14_0 {
	meta:
		name = "?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
		size = 359
		refs = "0022 _fileno 0031 __pioinfo 008e _lseeki64 00a8 ?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 4C 63 E0 33 F6 4D 8B FC 48 8D 05 ?? ?? ?? ?? 41 83 E7 3F 44 8B F6 49 C1 E7 06 4D 8B EC 49 C1 FD 06 4A 8B 0C E8 48 8B 44 24 60 42 8A 7C 39 39 40 80 FF 01 41 0F 94 C6 49 FF C6 39 70 10 75 08 48 8B C5 E9 E5 00 00 00 48 63 58 10 48 2B 58 08 48 03 18 42 F6 44 39 38 80 0F 84 B3 00 00 00 33 D2 41 8B CC 44 8D 42 02 E8 ?? ?? ?? ?? 48 3B C5 75 23 4C 8B 5C 24 60 44 8A C7 49 8B 4B 08 48 8D 14 19 E8 ?? ?? ?? ?? 48 03 D8 41 8B 43 14 C1 E8 05 A8 01 EB 61 45 33 C0 48 8B D5 41 8B CC E8 ?? ?? ?? ?? 48 83 F8 FF 75 05 48 0B C0 EB 7F BA 00 02 00 00 48 3B DA 7F 24 48 8B 44 24 60 8B 48 14 C1 E9 06 F6 C1 01 74 14 48 8B 44 24 60 8B 48 14 C1 E9 08 F6 C1 01 75 04 8B DA EB 09 48 8B 44 24 60 48 63 58 20 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E8 42 F6 44 38 38 04 74 1A 40 FE CF 40 80 FF 01 40 0F 96 C6 40 F6 DE 48 1B C0 48 F7 D8 48 FF C0 48 03 D8 48 8B C3 48 99 49 F7 FE 48 8B C8 48 8B 44 24 70 48 99 49 F7 FE 48 2B C1 48 03 C5 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_486_15_0 {
	meta:
		name = "?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z"
		size = 373
		refs = "001b __chkstk 0025 __security_cookie 0038 _fileno 005c __ImageBase 008b __pioinfo 0095 _lseeki64 00d0 __imp_ReadFile 012c _lookuptrailbytes 0156 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 B8 50 10 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 10 00 00 48 8B F2 E8 ?? ?? ?? ?? 48 8B 8C 24 90 10 00 00 33 FF 4C 63 F8 39 79 10 75 08 48 8B C6 E9 F4 00 00 00 48 8B 01 4C 8D 2D ?? ?? ?? ?? 48 2B 41 08 4D 8B F7 48 99 49 8B DF 48 2B C2 48 C1 FB 06 48 D1 F8 41 83 E6 3F 49 C1 E6 06 45 33 C0 41 8B CF 48 8B E8 49 8B 94 DD ?? ?? ?? ?? 4A 8B 54 32 30 E8 ?? ?? ?? ?? 49 8B 8C DD ?? ?? ?? ?? 4C 8B E0 4A 3B 44 31 30 74 09 48 83 C8 FF E9 96 00 00 00 4A 8B 4C 31 28 4C 8D 4C 24 30 41 B8 00 10 00 00 48 89 7C 24 20 48 8D 54 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 D3 45 33 C0 48 8B D6 41 8B CF E8 ?? ?? ?? ?? 48 85 C0 78 C0 8B 44 24 30 48 3B E8 7F B7 48 8D 54 24 40 48 03 D0 48 8D 4C 24 40 48 85 ED 74 38 48 3B CA 73 33 80 39 0D 75 14 48 8D 42 FF 48 3B C8 73 1A 80 79 01 0A 75 14 48 FF C1 EB 0F 0F B6 01 4A 0F BE 84 28 ?? ?? ?? ?? 48 03 C8 48 FF C7 48 FF C1 48 3B FD 75 C8 48 8D 44 24 40 48 2B C8 49 8D 04 0C 48 8B 8C 24 40 10 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 10 00 00 48 81 C4 50 10 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_486_16_0 {
	meta:
		name = "?count_newline_bytes@@YA_JQEBD0W4__crt_lowio_text_mode@@@Z"
		size = 119
	strings:
		$1 = { 41 FE C8 4C 8B D2 48 8B C1 41 80 F8 01 77 38 45 33 C0 48 8B CA 48 2B C8 45 8B C8 48 FF C1 48 D1 E9 48 3B C2 49 0F 47 C8 48 85 C9 74 15 66 83 38 0A 75 03 49 FF C0 48 83 C0 02 49 FF C1 4C 3B C9 75 EB 4B 8D 04 00 C3 45 33 C0 48 2B D0 49 3B C2 49 0F 47 D0 48 85 D2 74 1A 4C 8B C9 49 F7 D9 80 38 0A 75 03 49 FF C0 48 FF C0 49 8D 0C 01 48 3B CA 75 EC 49 8B C0 C3 }
	condition:
		$1
}

rule file_487_0_0 {
	meta:
		name = "RoundDoubleToIntegral"
		size = 628
		refs = "0064 fp64_is_inf 0080 fp64_is_denormal"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 54 24 10 56 57 41 54 41 55 41 56 48 83 EC 20 B8 FF 07 00 00 48 8B F2 48 C1 EE 20 33 FF 8B EE 4D 8B E0 C1 ED 14 48 8B DA 23 E8 44 8B F1 3B E8 75 0A 0F BA E6 13 0F 82 0F 02 00 00 41 BD FF FF 0F 00 85 ED 75 0F 41 85 F5 75 0A 39 7C 24 58 0F 84 F6 01 00 00 48 8B CA E8 ?? ?? ?? ?? 85 C0 0F 85 E6 01 00 00 81 FD 33 04 00 00 0F 83 DA 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EF 00 00 00 81 FD FF 03 00 00 0F 82 E3 00 00 00 8B 44 24 58 44 8D 8D 01 FC FF FF B9 34 00 00 00 4C 8B D6 4D 23 D5 41 2B C9 49 C1 E2 20 48 BB 00 00 00 00 00 00 10 00 4C 0B D0 8B C7 4C 0B D3 4D 8B DA 49 D3 EB 49 8B D3 48 D3 E2 41 8D 49 0C 49 D3 E2 49 D3 EA B9 33 00 00 00 4D 85 D2 0F 95 C0 41 89 04 24 8D 41 CE 44 3B C9 74 06 41 2B C9 48 D3 E0 41 B8 00 00 00 80 45 85 F6 75 0D 4C 3B D0 72 3E 75 23 41 F6 C3 01 EB 1B 41 83 FE 01 75 07 41 85 F0 74 2B EB 0B 41 83 FE 02 75 23 41 85 F0 75 1E 4D 85 D2 74 19 48 8D 14 42 48 B8 00 00 00 00 00 00 20 00 48 3B D0 75 06 41 FF C1 48 8B D3 41 8D 89 FF 03 00 00 89 54 24 58 C1 E1 14 48 8B C2 48 C1 E8 20 81 E1 00 00 F0 7F 41 23 C5 41 23 F0 0B C8 0B CE 89 4C 24 5C 48 8B 44 24 58 E9 E2 00 00 00 45 85 F6 75 64 8B 4C 24 5C 41 B8 00 00 00 80 8B C1 25 00 00 F0 7F 41 85 C8 74 30 3D 00 00 E0 3F 75 1A 41 85 CD 75 06 39 7C 24 58 74 0F 48 BF 00 00 00 00 00 00 F0 BF E9 92 00 00 00 48 BF 00 00 00 00 00 00 00 80 E9 83 00 00 00 3D 00 00 E0 3F 75 7C 41 85 CD 75 06 39 7C 24 58 74 71 48 BF 00 00 00 00 00 00 F0 3F EB 65 41 83 FE 01 75 0C 48 BF 00 00 00 00 00 00 F0 BF EB 3E 41 83 FE 02 75 2E 8B 44 24 5C 41 B8 00 00 00 80 41 23 C0 48 BF 00 00 00 00 00 00 F0 3F F7 D8 48 B8 00 00 00 00 00 00 10 40 48 1B C9 48 23 C8 48 03 F9 EB 1F 48 BF 00 00 00 00 00 00 00 80 8B 44 24 5C 41 B8 00 00 00 80 41 23 C0 F7 D8 48 1B C9 48 23 F9 41 C7 04 24 01 00 00 00 48 8B C7 EB 07 48 8B C3 41 89 3C 24 48 8B 5C 24 50 48 8B 6C 24 60 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_487_1_0 {
	meta:
		name = "_XMMI2_FP_Emulation"
		size = 6222
		refs = "0022 __security_cookie 0046 __read_mxcsr 0055 __write_mxcsr 0147 __int_maxsd 015a __int_minsd 017b __Fill_FPIEEE_RECORD2 020f __int_sqrtsd 0395 __int_divsd 03a8 __int_mulsd 03b5 __int_subsd 03c2 __int_addsd 04d5 __TWO_TO_768 0ab2 __int_cmpsd 0b72 __int_ucomisd 0b7f __int_comisd 0d59 __int_cvtsd2ss 0de9 __int_cvtss2sd 11b6 __int_cvttsd2si 11bd __int64_cvttsd2si 11d1 __int_cvtsd2si 11df __int64_cvtsd2si 12e0 __int_cvtsi2ss 140f fp64_is_snan 1465 fp64_is_denormal 14e7 RoundDoubleToIntegral 1753 __int_cvttss2si 175c __int_cvtss2si 182c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 45 33 E4 4C 8B F1 45 8B EC 4C 89 65 E0 4C 89 65 D0 41 8B FC 44 89 65 D8 E8 ?? ?? ?? ?? BE 80 1F 00 00 89 45 E8 8B CE E8 ?? ?? ?? ?? 49 8B 4E 20 41 BF FF 0F 00 00 44 89 65 F0 8B 01 41 33 46 10 83 E0 03 31 01 49 8B 4E 20 41 8B 46 14 C1 E0 02 33 01 83 E0 1C 31 01 49 8B 56 20 8B 0A 8B C1 C1 E8 05 41 23 C7 83 F8 5D 0F 87 31 0C 00 00 0F 84 F4 14 00 00 83 F8 58 0F 87 6A 0A 00 00 83 F8 57 0F 83 CB 09 00 00 83 F8 49 0F 82 6F 0A 00 00 83 F8 50 0F 86 0E 02 00 00 83 F8 52 0F 86 EE 00 00 00 83 F8 56 0F 87 54 0A 00 00 45 39 66 0C 8D 46 40 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4D 8B 4E 20 41 8B 01 44 8B C0 49 8B 49 10 49 8B 51 30 41 C1 E8 05 45 23 C7 41 83 F8 53 72 25 41 83 F8 54 76 12 41 83 F8 56 77 19 25 1F 05 FE FF 0D 00 05 00 00 EB 0A 25 3F 05 FE FF 0D 20 05 00 00 41 89 01 49 8B 46 20 44 8B 00 41 C1 E8 05 45 23 C7 41 83 E8 28 74 19 41 83 F8 01 75 0A E8 ?? ?? ?? ?? E9 66 09 00 00 48 8B 5D E0 E9 60 09 00 00 E8 ?? ?? ?? ?? E9 53 09 00 00 41 BC 02 00 00 00 41 23 FC 74 09 45 84 26 0F 84 8F 09 00 00 49 8B CE E8 ?? ?? ?? ?? 85 FF 74 04 45 09 66 04 85 F6 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 58 50 E9 BA 08 00 00 45 39 66 0C B8 C0 1F 00 00 41 8B 4E 10 0F 45 F0 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 49 8B 56 20 8B 02 48 8B 4A 10 25 BF 00 FE FF 0D A0 00 00 00 89 02 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 8B F8 41 BF 01 00 00 00 83 E7 3F 8B F7 41 23 F7 74 09 45 84 3E 0F 84 A7 08 00 00 8B C7 41 BC 02 00 00 00 41 23 C4 74 04 45 09 66 04 85 C0 74 09 45 84 26 0F 84 B6 08 00 00 83 E7 20 74 48 41 F6 06 20 75 42 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 78 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 58 50 E9 78 15 00 00 49 8B CE E8 ?? ?? ?? ?? 85 FF 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 85 F6 0F 84 D5 FE FF FF 49 8B 46 20 83 48 0C 10 45 89 7E 04 E9 C4 FE FF FF 48 8B 5A 10 48 8B 7A 30 48 89 5D D0 48 89 7D D8 83 F8 49 72 41 83 F8 4A 76 31 83 F8 4C 76 21 83 F8 4E 76 11 83 F8 50 77 2D 81 E1 9F 00 FE FF 0F BA E9 07 EB 1F 81 E1 7F 00 FE FF 83 C9 60 EB 14 81 E1 5F 00 FE FF 83 C9 40 EB 09 81 E1 3F 00 FE FF 83 C9 20 89 0A 45 39 66 08 B8 80 9F 00 00 0F 45 F0 45 39 66 0C 74 03 83 CE 40 41 8B 4E 10 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 41 23 CF 83 E9 01 74 3C 83 E9 01 74 2A 83 E9 01 74 18 83 F9 01 75 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 2B 48 8B 75 E0 EB 2C 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 8B F0 E8 ?? ?? ?? ?? 44 8B E8 41 BF 01 00 00 00 41 83 E5 3F 45 84 3E 75 09 45 84 EF 0F 85 F0 06 00 00 41 BC 02 00 00 00 45 84 26 75 09 45 84 EC 0F 85 E5 0C 00 00 41 F6 06 04 75 28 41 F6 C5 04 74 22 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 83 48 0C 08 49 8B 46 20 41 83 4E 04 04 83 48 04 08 E9 CA 06 00 00 8B 4D E4 41 8B D5 C1 EA 04 B8 00 00 10 00 41 23 D7 81 E1 FF FF FF 7F 75 05 39 4D E0 74 06 3B C8 72 1F 75 0F 3B C8 75 0B 83 7D E0 00 75 18 41 3B D7 74 0E 85 C9 75 0F 39 4D E0 75 0A 41 3B D7 75 05 41 8B C7 EB 03 8B 45 F0 41 F6 06 10 0F 85 8A 02 00 00 85 C0 0F 84 82 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 41 2B CF 0F 84 70 01 00 00 41 2B CF 0F 84 C5 00 00 00 41 2B CF 74 54 41 3B CF 0F 85 F9 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB BE 00 00 F0 7F E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 85 75 D4 75 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 0E 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 AB 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 D4 75 1C 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 2F 85 75 DC 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 48 8B CF 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 3F 01 00 00 8B 45 D4 BE FF 07 00 00 C1 E8 14 41 BD FF FF 0F 80 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DD C1 E0 14 0B D8 89 5D D4 48 8B 5D D0 8B 45 DC C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FD 0B F8 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 45 D4 BE FF 07 00 00 C1 E8 14 41 BD FF FF 0F 80 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DD C1 E0 14 0B D8 89 5D D4 48 8B 5D D0 8B 45 DC C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FD 0B F8 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 E1 3F F6 C1 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 60 0C 49 8B 46 20 41 83 4E 04 10 44 09 60 04 41 84 CC E9 B1 02 00 00 41 F6 06 08 0F 85 55 02 00 00 41 F6 C5 08 0F 84 4B 02 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 41 2B CF 0F 84 3C 01 00 00 41 2B CF 0F 84 87 00 00 00 41 2B CF 74 51 41 3B CF 0F 85 CF 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 DC 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 48 8B CF 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 84 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 53 01 00 00 44 8B 6D DC BE FF 07 00 00 8B 45 D4 41 C1 ED 14 44 23 EE BE 00 00 F0 7F 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 15 48 C1 EB 20 23 DE 0F BA EB 14 83 65 D0 00 89 5D D4 48 8B 5D D0 41 81 FD 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 15 48 C1 EF 20 23 FE 0F BA EF 14 83 65 D8 00 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 A7 00 00 00 44 8B 6D DC BE FF 07 00 00 8B 45 D4 41 C1 ED 14 44 23 EE BE 00 00 F0 7F 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 15 48 C1 EB 20 23 DE 0F BA EB 14 83 65 D0 00 89 5D D4 48 8B 5D D0 41 81 FD 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 15 48 C1 EF 20 23 FE 0F BA EF 14 83 65 D8 00 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 E1 3F F6 C1 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 83 48 0C 04 49 8B 46 20 41 83 4E 04 08 83 48 04 04 E9 99 FD FF FF 41 F6 06 20 75 77 41 F6 C5 20 74 71 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 78 04 41 F6 C5 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 41 F6 C5 08 74 0D 49 8B 46 20 83 48 0C 04 41 83 4E 04 08 45 84 EC 74 04 45 09 66 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 70 50 E9 31 0E 00 00 49 8B CE E8 ?? ?? ?? ?? 41 F6 C5 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 41 F6 C5 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 41 F6 C5 08 74 0D 49 8B 46 20 83 48 0C 04 41 83 4E 04 08 41 F6 C5 04 74 0D 49 8B 46 20 83 48 0C 08 41 83 4E 04 04 45 84 EC 74 04 45 09 66 04 45 84 EF 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 70 50 45 33 FF E9 9B 0D 00 00 45 39 66 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 45 8B 46 18 41 83 E0 07 48 8B 48 10 48 8B 50 30 81 20 FF 00 FE FF 81 08 E0 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 8B F8 41 BF 01 00 00 00 83 E7 3F 8B F7 41 23 F7 0F 84 8F F6 FF FF 45 84 3E 0F 85 86 F6 FF FF 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 83 48 0C 10 49 8B 46 20 45 09 7E 04 83 48 04 10 49 8B 46 20 83 60 60 FE E9 13 0D 00 00 45 09 66 04 49 8B CE E8 ?? ?? ?? ?? EB E5 83 F8 5A 76 19 83 F8 5B 0F 84 73 0A 00 00 83 F8 5C 0F 84 ED 05 00 00 33 C0 E9 F2 0C 00 00 45 39 66 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 48 8B 58 10 48 8B 78 30 C1 E9 05 41 23 CF 48 89 5D D0 48 89 7D D8 83 E9 59 74 12 83 F9 01 75 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 49 8B 4E 20 44 8B E8 41 83 E5 3F 41 BF 01 00 00 00 45 8B E5 8B 01 25 FF 00 FE FF 0D E0 00 00 00 89 01 45 23 E7 74 09 45 84 3E 0F 84 25 FF FF FF 8B 45 D4 BE 00 00 F0 7F 23 C6 B9 FF FF 0F 00 3B C6 75 0B 85 4D D4 75 1A 83 7D D0 00 75 14 8B 45 DC 23 C6 3B C6 75 3E 85 4D DC 75 06 83 7D D8 00 74 33 41 81 66 1C 6F F7 FF FF 49 8B CE 41 83 4E 1C 45 E8 ?? ?? ?? ?? 45 85 E4 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 83 60 60 FE E9 59 FE FF FF 41 BC 02 00 00 00 45 23 EC 74 09 45 84 26 0F 84 D5 FE FF FF 45 8B C7 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 89 45 E0 83 CE FF 48 C1 E8 20 3B C6 75 0D 39 75 E0 75 08 41 81 66 1C 2A F7 FF FF 45 8B C7 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 C1 E8 20 3B C6 75 11 39 75 E0 75 0C 41 81 66 1C 2B F7 FF FF 45 09 7E 1C 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 C1 E8 20 3B C6 75 12 39 75 E0 75 0D 41 81 66 1C 6A F7 FF FF 41 83 4E 1C 40 49 8B CE E8 ?? ?? ?? ?? 45 85 ED 0F 84 4D FF FF FF 45 09 66 04 E9 44 FF FF FF 83 F8 63 0F 87 AA 06 00 00 0F 84 CE 05 00 00 83 F8 5E 0F 84 34 04 00 00 0F 86 41 FE FF FF 83 F8 60 0F 86 99 03 00 00 83 F8 62 0F 87 2F FE FF FF 48 8B 5A 10 81 E1 1F 01 FE FF 0F BA E9 08 48 89 5D D0 89 0A B8 80 9F 00 00 45 39 66 08 0F 45 F0 45 39 66 0C 74 03 83 CE 40 41 8B 4E 10 85 C9 74 21 83 E9 01 74 18 83 E9 01 74 0D 83 F9 01 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B D8 41 BF 01 00 00 00 83 E3 3F 8B D0 45 84 3E 75 09 41 84 DF 0F 85 5E FD FF FF 41 BC 02 00 00 00 45 84 26 75 16 41 84 DC 74 11 49 8B CE E8 ?? ?? ?? ?? 45 09 66 04 E9 59 FD FF FF 41 F6 06 08 0F 85 BF 00 00 00 F6 C3 08 0F 84 B6 00 00 00 8B 4D D4 83 E2 DF 44 21 6D D8 8B C1 0F BA F1 1E BE 00 00 F0 7F 81 C9 00 00 F0 3F 23 C6 89 4D D4 8B CA 89 45 DC E8 ?? ?? ?? ?? 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 D8 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 20 48 89 41 50 E8 ?? ?? ?? ?? 8B D8 49 8B CE 83 E3 3F E8 ?? ?? ?? ?? F6 C3 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 83 48 0C 04 41 8B 46 04 83 C8 08 41 89 46 04 41 84 DC 74 07 41 0B C4 41 89 46 04 49 8B 46 20 83 48 04 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 E9 B0 09 00 00 44 8B C7 8B CB 41 0F BA F0 1F C1 E9 04 41 23 CF 41 8D 40 FF 3D FE FF 7F 00 76 18 41 81 F8 00 00 80 00 75 05 41 3B CF 74 0A 45 85 C0 75 0A 41 3B CF 75 05 41 8B C7 EB 03 41 8B C5 41 F6 06 10 0F 85 14 01 00 00 85 C0 0F 84 0C 01 00 00 0F BA E2 0F 73 04 0F BA F2 0F 83 E2 DF 8B CA E8 ?? ?? ?? ?? 8B 4D D4 BE 00 00 F0 7F 85 CE 75 60 81 C9 00 00 F0 3F 89 4D D4 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 89 45 D0 48 C1 E8 20 8B C8 23 CE 81 F9 00 00 00 40 75 23 B9 FF FF 0F 00 85 C1 75 1A 44 39 6D D0 75 14 BE 00 00 10 80 23 C6 0F BA E8 14 44 21 6D D0 89 45 D4 EB 0A 41 BD FF FF 0F 80 44 21 6D D4 48 8B 45 D0 EB 34 44 21 6D D8 8B C1 0F BA F1 1E 23 C6 81 C9 00 00 F0 3F 89 45 DC 89 4D D4 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 D8 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 20 48 89 41 50 E8 ?? ?? ?? ?? 8B D8 49 8B CE 83 E3 3F E8 ?? ?? ?? ?? F6 C3 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 60 0C 41 8B 46 04 83 C8 10 41 89 46 04 41 84 DC 74 07 41 0B C4 41 89 46 04 49 8B 46 20 44 09 60 04 E9 8A FE FF FF 49 8B 46 20 89 78 50 41 F6 06 20 75 50 F6 C3 20 74 4B 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 F6 C3 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 F6 C3 08 74 0D }
	condition:
		$1
}

rule file_487_3_0 {
	meta:
		name = "__isnand"
		size = 37
	strings:
		$1 = { 41 B8 00 00 F0 7F 8B C2 41 23 C0 41 3B C0 75 12 F7 C2 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_487_4_0 {
	meta:
		name = "fp64_is_denormal"
		size = 34
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 11 A9 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_487_5_0 {
	meta:
		name = "fp64_is_inf"
		size = 42
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 10 F7 C2 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_487_6_0 {
	meta:
		name = "fp64_is_qnan"
		size = 32
	strings:
		$1 = { 48 C1 E9 20 BA 00 00 F0 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 13 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_487_7_0 {
	meta:
		name = "fp64_is_snan"
		size = 50
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 18 0F BA E2 13 72 12 F7 C2 FF FF 07 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_487_8_0 {
	meta:
		name = "fp64_is_zero"
		size = 32
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 0F A9 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_488_5_0 {
	meta:
		name = "_wcsicmp_l"
		size = 237
		refs = "0022 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0033 _errno 003e _invalid_parameter_noinfo 0094 _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B FA 48 8B F1 49 8B D0 48 8D 48 D8 E8 ?? ?? ?? ?? 33 ED 48 85 F6 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F EB 7C 48 8B 44 24 28 48 39 A8 38 01 00 00 75 34 48 2B F7 0F B7 1C 3E 8D 43 BF 66 83 F8 19 77 04 66 83 C3 20 0F B7 0F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 48 83 C7 02 66 85 DB 74 39 66 3B D9 74 D1 EB 32 0F B7 0E 48 8D 54 24 28 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 28 0F B7 D8 48 8D 76 02 E8 ?? ?? ?? ?? 48 8D 7F 02 0F B7 C8 66 85 DB 74 05 66 3B D8 74 CE 0F B7 C9 0F B7 C3 2B C1 40 38 6C 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "_fpclass"
		size = 173
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 08 48 8B 44 24 08 48 85 C1 48 8B D0 48 B9 00 00 00 00 00 00 F0 7F 74 3D 48 23 D1 48 3B D1 75 17 48 B9 00 00 00 00 00 00 08 00 48 23 C1 48 F7 D8 1B C0 F7 D8 FF C0 C3 48 B9 00 00 00 00 00 00 00 80 48 23 C1 48 85 D2 75 39 48 F7 D8 1B C0 83 E0 90 83 E8 80 C3 48 23 D1 48 3B D1 48 B9 00 00 00 00 00 00 00 80 75 13 48 23 C1 48 F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 48 23 C1 48 85 D2 74 10 48 F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 48 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_489_1_0 {
	meta:
		name = "_fpclassf"
		size = 118
	strings:
		$1 = { F3 0F 11 44 24 08 B9 00 00 80 7F 8B 44 24 08 8B D0 23 D1 A9 FF FF 7F 00 74 26 3B D1 75 0E 25 00 00 40 00 F7 D8 1B C0 F7 D8 FF C0 C3 25 00 00 00 80 85 D2 75 27 F7 D8 1B C0 83 E0 90 83 E8 80 C3 25 00 00 00 80 3B D1 75 0F F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 85 D2 74 0F F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_489_2_0 {
	meta:
		name = "_isnan"
		size = 43
	strings:
		$1 = { 48 B8 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 8B 4C 24 08 48 BA 00 00 00 00 00 00 F0 7F 48 23 C8 33 C0 48 3B CA 0F 97 C0 C3 }
	condition:
		$1
}

rule file_489_3_0 {
	meta:
		name = "_isnanf"
		size = 26
	strings:
		$1 = { 33 C0 F3 0F 11 44 24 08 8B 4C 24 08 0F BA F1 1F 81 F9 00 00 80 7F 0F 97 C0 C3 }
	condition:
		$1
}

rule file_489_6_0 {
	meta:
		name = "_scalb"
		size = 416
		refs = "005e _handle_nan 012d ??_C@_06HBLGGACK@_scalb?$AA@ 0166 _handle_error"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 60 48 B8 00 00 00 00 00 00 00 80 4C 8B 44 24 60 0F 28 C8 4D 8B D0 4C 23 D0 4D 3B C2 0F 84 6D 01 00 00 48 BB 00 00 00 00 00 00 F0 7F 49 8B C8 48 23 CB 48 3B CB 75 20 49 BB FF FF FF FF FF FF 0F 00 4D 85 C3 0F 84 3A 01 00 00 49 8B C8 48 83 C4 50 5B E9 ?? ?? ?? ?? 81 FA 00 00 00 80 75 08 4D 8B C2 E9 1D 01 00 00 45 33 C9 85 D2 0F 84 12 01 00 00 49 BB FF FF FF FF FF FF 0F 00 48 C1 E9 34 4D 23 C3 49 8B C0 85 D2 79 41 F7 DA 8B C2 48 3B C1 48 63 C2 76 26 48 2B C1 48 83 F8 34 73 C0 48 85 C9 74 0D 48 B9 00 00 00 00 00 00 10 00 4C 0B C1 8D 48 01 49 D3 E8 E9 C5 00 00 00 48 2B C8 48 C1 E1 34 4C 0B C1 E9 B6 00 00 00 48 85 C9 0F 85 97 00 00 00 4D 03 C0 41 FF C1 48 B9 00 00 00 00 00 00 F0 FF 4C 85 C1 74 EB 41 3B D1 7C 73 41 8D 81 FE 07 00 00 3B D0 7D 1E 49 63 C1 48 63 CA 48 2B C8 49 8B C0 48 FF C1 49 23 C3 48 C1 E1 34 4C 8B C1 4C 0B C0 EB 6A C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? 0F 57 C0 41 B9 03 00 00 00 F2 48 0F 2A C2 4C 0B D3 4D 8B C2 41 8D 51 16 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? EB 2E 8B CA 4C 8B C0 49 D3 E0 EB 16 4C 63 CA 4C 03 C9 49 81 F9 FF 07 00 00 73 9D 49 C1 E1 34 4D 0B C1 4D 0B C2 4C 89 44 24 60 F2 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_489_7_0 {
	meta:
		name = "_scalbf"
		size = 413
		refs = "0084 ??_C@_07OIGNLDJH@_scalbf?$AA@ 0089 _handle_errorf"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 28 C8 B8 00 00 00 80 F3 0F 11 4C 24 60 44 8B 44 24 60 45 8B D0 44 23 D0 45 3B C2 0F 84 6F 01 00 00 BB 00 00 80 7F 41 8B C8 23 CB 3B CB 75 5C 41 BB FF FF 7F 00 45 85 C3 0F 84 47 01 00 00 C7 44 24 40 02 00 00 00 0F 57 C0 F3 48 0F 2A C2 49 0F BA E8 16 45 33 C9 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 89 4C 24 20 41 B9 01 00 00 00 BA 19 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 01 00 00 3B D0 75 08 45 8B C2 E9 EE 00 00 00 45 33 C9 85 D2 0F 84 E3 00 00 00 41 BB FF FF 7F 00 C1 E9 17 45 23 C3 41 8B C0 85 D2 79 2E F7 DA 3B D1 7E 1B 2B D1 83 FA 17 7D CD 85 C9 74 05 41 0F BA E8 17 8D 4A 01 41 D3 E8 E9 AC 00 00 00 C1 E1 17 C1 E2 17 2B CA E9 9C 00 00 00 85 C9 0F 85 82 00 00 00 45 03 C0 41 FF C1 41 F7 C0 00 00 80 FF 74 F1 41 3B D1 7C 64 41 8D 81 FE 00 00 00 3B D0 7D 1C C1 E2 17 41 8B C0 41 C1 E1 17 41 23 C3 41 2B D1 44 8D 82 00 00 80 00 44 0B C0 EB 5C C7 44 24 40 02 00 00 00 0F 57 C0 F3 48 0F 2A C2 45 8B C2 41 B9 03 00 00 00 4C 0B C3 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 12 FF FF FF 8B CA 44 8B C0 41 D3 E0 EB 15 8D 04 11 3D FF 00 00 00 7D AF C1 E1 17 C1 E2 17 03 CA 44 0B C1 45 0B C2 44 89 44 24 60 F3 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_490_0_0 {
	meta:
		name = "truncf"
		size = 33
		refs = "0012 _fd_int"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_492_5_0 {
	meta:
		name = "_mbsbtype_l"
		size = 179
		refs = "001b _errno 0026 _invalid_parameter_noinfo 0038 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0066 _mbbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F2 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 74 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 78 08 00 75 04 33 DB EB 41 83 CB FF 8B D3 48 85 F6 75 05 40 38 37 74 32 8A 0F 84 C9 74 1C 4C 8D 44 24 28 E8 ?? ?? ?? ?? 8B D0 48 FF C7 48 8B C6 48 FF CE 48 85 C0 74 14 EB D4 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C2 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_494_9_0 {
	meta:
		name = "_commit"
		size = 145
		refs = "0011 _errno 0023 _nhandle 002f __pioinfo 0073 ??$?RV<lambda_a37b2b86f63e897a80ea819b0eb08c01>@@AEAV<lambda_38ce7e780aa69e748d6df282ebc68efe>@@V<lambda_99fb1378e971ab6e7edea83e3a7a83a2>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_a37b2b86f63e897a80ea819b0eb08c01>@@AEAV<lambda_38ce7e780aa69e748d6df282ebc68efe>@@$$QEAV<lambda_99fb1378e971ab6e7edea83e3a7a83a2>@@@Z 0085 _invalid_parameter_noinfo"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 38 48 63 D1 83 FA FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 6C 85 C9 78 58 3B 15 ?? ?? ?? ?? 73 50 48 8B CA 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C2 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 F6 44 08 38 01 74 2D 48 8D 44 24 40 89 54 24 50 89 54 24 58 4C 8D 4C 24 50 48 8D 54 24 58 48 89 44 24 20 4C 8D 44 24 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_495_0_0 {
	meta:
		name = "_byteswap_uint64"
		size = 113
	strings:
		$1 = { 4C 8B C1 48 8B D1 B9 00 FF 00 00 49 8B C0 48 C1 E0 10 48 23 D1 48 03 D0 41 BA 00 00 FF 00 48 C1 E2 10 49 8B C0 49 23 C2 41 B9 00 00 00 FF 48 03 D0 49 8B C0 49 23 C1 48 C1 E2 10 48 03 D0 49 8B C0 48 C1 E8 28 48 23 C1 48 C1 E2 08 48 03 C2 49 8B C8 48 C1 E9 08 49 23 C9 48 03 C1 49 8B C8 48 C1 E9 18 49 23 CA 49 C1 E8 38 48 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_495_1_0 {
	meta:
		name = "_byteswap_ulong"
		size = 37
	strings:
		$1 = { 8B C1 41 B8 00 FF 00 00 41 23 C0 8B D1 C1 E2 10 03 C2 8B D1 C1 E0 08 C1 EA 08 41 23 D0 C1 E9 18 03 C2 03 C1 C3 }
	condition:
		$1
}

rule file_495_2_0 {
	meta:
		name = "_byteswap_ushort"
		size = 22
	strings:
		$1 = { B8 00 01 00 00 0F B7 D0 0F B7 C1 0F AF C2 66 C1 E9 08 66 03 C1 C3 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "_abstract_cw"
		size = 156
	strings:
		$1 = { 33 C0 41 BA 00 02 00 00 F6 C1 80 8D 50 10 0F 45 C2 41 85 CA 74 03 83 C8 08 0F BA E1 0A 73 03 83 C8 04 0F BA E1 0B 73 03 83 C8 02 0F BA E1 0C 73 03 83 C8 01 41 B8 00 01 00 00 41 85 C8 74 04 0F BA E8 13 8B D1 41 B9 00 60 00 00 41 23 D1 74 24 81 FA 00 20 00 00 74 19 81 FA 00 40 00 00 74 0C 41 3B D1 75 0F 0D 00 03 00 00 EB 08 41 0B C2 EB 03 41 0B C0 81 E1 40 80 00 00 83 E9 40 74 18 81 E9 C0 7F 00 00 74 0A 83 F9 40 75 0F 0F BA E8 18 C3 0D 00 00 00 03 C3 0F BA E8 19 C3 }
	condition:
		$1
}

rule file_496_1_0 {
	meta:
		name = "_abstract_sw"
		size = 57
	strings:
		$1 = { 33 C0 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_496_2_0 {
	meta:
		name = "_clearfp"
		size = 80
		refs = "0007 _get_fpsr 000e _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 F6 C3 3F 74 31 F6 C3 01 8D 48 10 0F 45 C1 F6 C3 04 74 03 83 C8 08 F6 C3 08 74 03 83 C8 04 84 D9 74 03 83 C8 02 F6 C3 20 74 03 83 C8 01 F6 C3 02 74 04 0F BA E8 13 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_496_6_0 {
	meta:
		name = "_hw_cw"
		size = 156
	strings:
		$1 = { 33 C0 BA 80 00 00 00 F6 C1 10 41 BA 00 02 00 00 0F 45 C2 F6 C1 08 74 03 41 0B C2 F6 C1 04 74 04 0F BA E8 0A F6 C1 02 74 04 0F BA E8 0B F6 C1 01 74 04 0F BA E8 0C 41 B8 00 01 00 00 0F BA E1 13 73 03 41 0B C0 8B D1 41 B9 00 03 00 00 41 23 D1 74 20 41 3B D0 74 17 41 3B D2 74 0C 41 3B D1 75 11 0D 00 60 00 00 EB 0A 0F BA E8 0E EB 04 0F BA E8 0D BA 00 00 00 03 23 CA 81 F9 00 00 00 01 74 15 81 F9 00 00 00 02 74 09 3B CA 75 0E 0F BA E8 0F C3 83 C8 40 C3 0D 40 80 00 00 C3 }
	condition:
		$1
}

rule file_496_7_0 {
	meta:
		name = "_set_controlfp"
		size = 52
		refs = "002b common_control87"
	strings:
		$1 = { 48 83 EC 28 81 F9 1F 00 09 00 75 1A 83 FA FF 75 15 0F AE 5C 24 30 8B 44 24 30 25 C0 FE 00 00 3D 80 1E 00 00 74 09 0F BA F2 13 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_496_8_0 {
	meta:
		name = "_statusfp"
		size = 66
	strings:
		$1 = { 0F AE 5C 24 08 8B 4C 24 08 33 C0 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_496_9_0 {
	meta:
		name = "common_control87"
		size = 656
		refs = "0024 _get_fpsr 01a2 ?dazSupported@?1??common_control87@@9@9 01b0 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 20 8B DA 8B F1 81 E3 1F 03 08 03 E8 ?? ?? ?? ?? 44 8B C0 33 FF 41 BB 80 00 00 00 41 84 C3 8B C7 8D 4F 10 0F 45 C1 41 BC 00 02 00 00 45 85 C4 74 03 83 C8 08 41 0F BA E0 0A 73 03 83 C8 04 41 B9 00 08 00 00 45 85 C1 74 03 83 C8 02 41 BA 00 10 00 00 45 85 C2 74 03 83 C8 01 41 BE 00 01 00 00 45 85 C6 74 04 0F BA E8 13 41 8B C8 41 BF 00 60 00 00 41 23 CF 74 24 81 F9 00 20 00 00 74 19 81 F9 00 40 00 00 74 0C 41 3B CF 75 0F 0D 00 03 00 00 EB 08 41 0B C4 EB 03 41 0B C6 BA 40 80 00 00 44 23 C2 41 83 E8 40 74 1C 41 81 E8 C0 7F 00 00 74 0C 41 83 F8 40 75 11 0F BA E8 18 EB 0B 0D 00 00 00 03 EB 04 0F BA E8 19 8B CB F7 D1 23 C8 23 F3 0B CE 3B C8 0F 84 83 01 00 00 BE 10 00 00 00 40 84 CE 8B DF 41 0F 45 DB 89 5C 24 40 F6 C1 08 74 07 41 0B DC 89 5C 24 40 F6 C1 04 74 08 0F BA EB 0A 89 5C 24 40 F6 C1 02 74 07 41 0B D9 89 5C 24 40 F6 C1 01 74 07 41 0B DA 89 5C 24 40 0F BA E1 13 73 07 41 0B DE 89 5C 24 40 8B C1 25 00 03 00 00 74 24 41 3B C6 74 17 41 3B C4 74 0C 3D 00 03 00 00 75 13 41 0B DF EB 0A 0F BA EB 0E EB 04 0F BA EB 0D 89 5C 24 40 81 E1 00 00 00 03 81 F9 00 00 00 01 74 1B 81 F9 00 00 00 02 74 0E 81 F9 00 00 00 03 75 11 0F BA EB 0F EB 07 83 CB 40 EB 02 0B DA 89 5C 24 40 40 38 3D ?? ?? ?? ?? 74 3C F6 C3 40 74 37 8B CB E8 ?? ?? ?? ?? EB 2C C6 05 ?? ?? ?? ?? 00 8B 5C 24 40 83 E3 BF 8B CB E8 ?? ?? ?? ?? 33 FF 8D 77 10 41 BC 00 02 00 00 41 BE 00 01 00 00 41 BF 00 60 00 00 EB 0A 83 E3 BF 8B CB E8 ?? ?? ?? ?? F6 C3 80 0F 45 FE 41 85 DC 74 03 83 CF 08 0F BA E3 0A 73 03 83 CF 04 0F BA E3 0B 73 03 83 CF 02 0F BA E3 0C 73 03 83 CF 01 41 85 DE 74 04 0F BA EF 13 8B C3 41 23 C7 74 23 3D 00 20 00 00 74 19 3D 00 40 00 00 74 0D 41 3B C7 75 10 81 CF 00 03 00 00 EB 08 41 0B FC EB 03 41 0B FE 81 E3 40 80 00 00 83 EB 40 74 1B 81 EB C0 7F 00 00 74 0B 83 FB 40 75 12 0F BA EF 18 EB 0C 81 CF 00 00 00 03 EB 04 0F BA EF 19 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_498_5_0 {
	meta:
		name = "_mbsncoll_l"
		size = 311
		refs = "002d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0098 _strncoll_l 00a9 _mbsnbcnt_l 00ef __acrt_CompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 48 8B EA 4C 8B F1 49 8B D1 48 8D 48 D8 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 48 85 F6 75 07 33 FF E9 CA 00 00 00 4D 85 F6 74 05 48 85 ED 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BF FF FF FF 7F E9 A6 00 00 00 BF FF FF FF 7F 48 3B F7 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 48 8B 44 24 50 49 8B CE 83 78 08 00 75 12 4C 8B CB 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 8B F8 EB 67 4C 8D 44 24 48 48 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 48 48 8B D6 48 8B CD 48 8B D8 E8 ?? ?? ?? ?? 48 8B 54 24 50 4D 8B CE 41 B8 00 10 00 00 8B 4A 04 48 8B 92 20 02 00 00 89 4C 24 38 48 8D 4C 24 48 89 44 24 30 48 89 6C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 4C 8D 5C 24 60 8B C7 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "acoshf"
		size = 193
		refs = "0015 _fdtest 0041 __real@3f800000 0056 _fperrraise 005e _FNan_C 0074 __real@40000000 007c _FEps_C 0098 sqrtf 00a1 log1pf 00ab logf 00b3 __real@3f317218"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 E9 01 74 10 83 F9 01 75 17 F3 0F 10 44 24 40 E9 86 00 00 00 B8 00 80 00 00 66 85 44 24 42 EB E7 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 4C 24 40 0F 2F D1 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 53 0F 2E CA 7A 07 75 05 0F 57 C0 EB 47 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 05 ?? ?? ?? ?? 0F 2F C1 76 22 0F 28 F1 F3 0F 58 CA F3 0F 5C F2 F3 0F 59 CE 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 58 C6 E8 ?? ?? ?? ?? EB 10 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_500_4_0 {
	meta:
		name = "__ascii_stricmp"
		size = 57
	strings:
		$1 = { 4C 8B C9 45 0F B6 01 49 FF C1 41 8D 40 BF 83 F8 19 77 04 41 83 C0 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 45 85 C0 74 05 44 3B C1 74 D1 44 2B C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_500_5_0 {
	meta:
		name = "_stricmp"
		size = 70
		refs = "0006 __acrt_locale_changed_data 0013 _errno 001e _invalid_parameter_noinfo 0036 __ascii_stricmp 0042 _stricmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 2D 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_500_6_0 {
	meta:
		name = "_stricmp_l"
		size = 179
		refs = "001e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002d _errno 0038 _invalid_parameter_noinfo 0059 __ascii_stricmp 006e _tolower_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B FA 48 8B F1 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 F6 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 4B 48 8B 44 24 28 48 83 B8 38 01 00 00 00 75 0F 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 2D 48 2B F7 0F B6 0C 3E 48 8D 54 24 28 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 28 8B D8 E8 ?? ?? ?? ?? 48 FF C7 85 DB 74 04 3B D8 74 D8 2B D8 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_501_0_0 {
	meta:
		name = "_finite"
		size = 42
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 8B 44 24 08 48 23 C1 48 B9 00 00 00 00 00 00 F0 7F 48 2B C1 48 C1 E8 3F C3 }
	condition:
		$1
}

rule file_502_1_0 {
	meta:
		name = "_msize_base"
		size = 57
		refs = "000a _errno 0015 _invalid_parameter_noinfo 002a __acrt_heap 0035 __imp_HeapSize"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 4C 8B C1 33 D2 48 8B 0D ?? ?? ?? ?? 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_503_5_0 {
	meta:
		name = "clearerr_s"
		size = 182
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 0039 _lock_file 0047 _fileno 006f __pioinfo 008e __badioinfo 00a0 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 6E E8 ?? ?? ?? ?? 90 F0 83 67 14 E7 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 3B 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2E 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 C1 FB 06 48 8D 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 83 E0 3F 48 C1 E0 06 48 8B 14 DE 48 03 D0 EB 07 48 8D 15 ?? ?? ?? ?? 0F B6 42 38 83 E0 FD 88 42 38 48 8B CF E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "_fderfc"
		size = 133
		refs = "0008 __real@3b5c89bb 0021 __xmm@80000000800000008000000080000000 0032 __real@3f3cbe0b 003a __real@3947aef6 0042 __real@3fa3616e 0056 __real@3f578a1a 005e __real@3ec7ef8a 006a __real@3f53c766 0076 _fdexp"
	strings:
		$1 = { 48 83 EC 28 F3 0F 10 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 D8 0F 28 C8 F3 0F 59 CB 45 33 C0 0F 57 0D ?? ?? ?? ?? F3 0F 11 4C 24 30 0F 28 C8 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5C D1 F3 0F 59 C3 F3 0F 59 D3 F3 0F 58 05 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D0 0F 28 CA E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_505_1_0 {
	meta:
		name = "erff"
		size = 296
		refs = "0010 _fdtest 003b _fderf_small 0045 __xmm@7fffffff7fffffff7fffffff7fffffff 005f __real@39890dc7 0067 __real@3bd07f1f 006f __real@3d13aba6 0077 __real@3da7a219 0087 __real@3e0678ee 008f __real@3ee640de 009f __real@3f906ebb 00a7 __real@3f800000 00bc _fderf_one 00c9 _fderfc 00f4 __xmm@80000000800000008000000080000000 010d __real@bf800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 FE 00 00 00 83 E9 01 0F 84 D5 00 00 00 83 F9 01 0F 84 EC 00 00 00 F3 0F 10 5C 24 30 F3 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 0F 2F C2 76 6A 0F 28 CB F3 0F 59 CB 0F 28 D1 0F 28 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D1 F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D1 F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E D0 F3 0F 59 D3 0F 28 C2 EB 6B F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 5C 24 30 F3 0F 5C C8 EB 08 F3 0F 10 0D ?? ?? ?? ?? 0F 57 C0 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 10 F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "??$common_ftime_s@JU__timeb32@@@@YAHQEAU__timeb32@@@Z"
		size = 398
		refs = "0015 __security_cookie 002f _errno 0039 _invalid_parameter_noinfo 004b __security_check_cookie 0065 __tzset 0073 _get_timezone 00a0 __acrt_GetSystemTimePreciseAsFileTime 00bf ?elapsed_minutes_cache@@3JA 00cc __imp_GetTimeZoneInformation 00fc ?dstflag_cache@@3HA 0189 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FA 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 06 E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 3B 35 ?? ?? ?? ?? 74 43 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 75 05 83 CB FF EB 1B 83 F8 02 75 16 66 39 9C 24 DA 00 00 00 74 0C 39 9C 24 E8 00 00 00 74 03 8D 58 FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 08 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 48 C1 E8 09 48 03 D1 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E2 66 44 89 47 04 48 C1 EA 17 89 17 33 C0 E9 C6 FE FF FF 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_507_1_0 {
	meta:
		name = "??$common_ftime_s@_JU__timeb64@@@@YAHQEAU__timeb64@@@Z"
		size = 402
		refs = "0015 __security_cookie 002f _errno 0039 _invalid_parameter_noinfo 004b __security_check_cookie 0065 __tzset 0073 _get_timezone 00a0 __acrt_GetSystemTimePreciseAsFileTime 00bf ?elapsed_minutes_cache@@3JA 00cc __imp_GetTimeZoneInformation 00fc ?dstflag_cache@@3HA 018d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FE 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 0A E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 3B 35 ?? ?? ?? ?? 74 43 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 75 05 83 CB FF EB 1B 83 F8 02 75 16 66 39 9C 24 DA 00 00 00 74 0C 39 9C 24 E8 00 00 00 74 03 8D 58 FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 0C 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 48 C1 E8 09 48 03 D1 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E2 66 44 89 47 08 48 C1 EA 17 48 63 C2 48 89 07 33 C0 E9 C2 FE FF FF 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_507_3_0 {
	meta:
		name = "_ftime32_s"
		size = 408
		refs = "0015 __security_cookie 002f _errno 0039 _invalid_parameter_noinfo 0043 __tzset 0051 _get_timezone 007e __acrt_GetSystemTimePreciseAsFileTime 009d ?elapsed_minutes_cache@@3JA 00aa __imp_GetTimeZoneInformation 00d7 ?dstflag_cache@@3HA 016a __security_check_cookie 0193 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? E9 1A 01 00 00 E8 ?? ?? ?? ?? 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 26 01 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 06 E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 3B 35 ?? ?? ?? ?? 74 4F 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 75 05 83 C8 FF EB 1D 83 F8 02 75 20 66 39 9C 24 DA 00 00 00 74 16 39 9C 24 E8 00 00 00 74 0D B8 01 00 00 00 89 05 ?? ?? ?? ?? EB 08 8B C3 89 1D ?? ?? ?? ?? 48 8B 4C 24 38 89 35 ?? ?? ?? ?? EB 06 8B 05 ?? ?? ?? ?? 66 89 47 08 48 B8 4B 59 86 38 D6 C5 6D 34 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B CA 49 C1 E9 0B 49 F7 E1 4D 8B C1 48 B8 BD 42 7A E5 D5 94 BF D6 4C 2B C2 49 D1 E8 4C 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 49 C1 E8 09 48 03 D1 4D 69 C0 E8 03 00 00 48 F7 E2 4D 2B C8 66 44 89 4F 04 48 C1 EA 17 89 17 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_507_5_0 {
	meta:
		name = "_ftime64_s"
		size = 412
		refs = "0015 __security_cookie 002f _errno 0039 _invalid_parameter_noinfo 0043 __tzset 0051 _get_timezone 007e __acrt_GetSystemTimePreciseAsFileTime 009d ?elapsed_minutes_cache@@3JA 00aa __imp_GetTimeZoneInformation 00d7 ?dstflag_cache@@3HA 016e __security_check_cookie 0197 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F1 48 85 C9 75 14 E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? E9 1E 01 00 00 E8 ?? ?? ?? ?? 48 8D 4C 24 30 89 5C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 2A 01 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 56 0A E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B FA 48 C1 EF 1D 3B 3D ?? ?? ?? ?? 74 4F 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 75 05 83 C8 FF EB 1D 83 F8 02 75 20 66 39 9C 24 DA 00 00 00 74 16 39 9C 24 E8 00 00 00 74 0D B8 01 00 00 00 89 05 ?? ?? ?? ?? EB 08 8B C3 89 1D ?? ?? ?? ?? 48 8B 4C 24 38 89 3D ?? ?? ?? ?? EB 06 8B 05 ?? ?? ?? ?? 66 89 46 0C 48 B8 4B 59 86 38 D6 C5 6D 34 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B CA 49 C1 E9 0B 49 F7 E1 49 8B C1 48 2B C2 48 D1 E8 48 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 48 C1 E8 09 48 03 D1 4C 69 C0 E8 03 00 00 48 B8 BD 42 7A E5 D5 94 BF D6 4D 2B C8 48 F7 E2 66 44 89 4E 08 48 C1 EA 17 48 63 CA 48 89 0E 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 45 33 C9 48 89 5C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_509_0_0 {
	meta:
		name = "__read_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 0F AE 1C 24 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_1_0 {
	meta:
		name = "__write_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 89 0C 24 0F AE 14 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_2_0 {
	meta:
		name = "__int_addss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 58 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_3_0 {
	meta:
		name = "__int_subss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5C C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_4_0 {
	meta:
		name = "__int_mulss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 59 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_5_0 {
	meta:
		name = "__int_divss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5E C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_12_0 {
	meta:
		name = "__int_cmpss"
		size = 137
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA 49 83 F8 00 74 2B 49 83 F8 01 74 2F 49 83 F8 02 74 33 49 83 F8 03 74 37 49 83 F8 04 74 3B 49 83 F8 05 74 3F 49 83 F8 06 74 43 49 83 F8 07 74 47 C3 F3 0F C2 C1 00 66 0F 7E C0 C3 F3 0F C2 C1 01 66 0F 7E C0 C3 F3 0F C2 C1 02 66 0F 7E C0 C3 F3 0F C2 C1 03 66 0F 7E C0 C3 F3 0F C2 C1 04 66 0F 7E C0 C3 F3 0F C2 C1 05 66 0F 7E C0 C3 F3 0F C2 C1 06 66 0F 7E C0 C3 F3 0F C2 C1 07 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_15_0 {
	meta:
		name = "__int_maxss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5F C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_16_0 {
	meta:
		name = "__int_minss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5D C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_509_18_0 {
	meta:
		name = "__int_addsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 58 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_19_0 {
	meta:
		name = "__int_subsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5C C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_20_0 {
	meta:
		name = "__int_mulsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 59 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_21_0 {
	meta:
		name = "__int_divsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5E C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_22_0 {
	meta:
		name = "__int_cmpsd"
		size = 227
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 49 83 F8 00 74 2F 49 83 F8 01 74 3C 49 83 F8 02 74 49 49 83 F8 03 74 56 49 83 F8 04 74 63 49 83 F8 05 74 70 49 83 F8 06 74 7D 49 83 F8 07 0F 84 86 00 00 00 C3 F2 0F C2 C1 00 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 01 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 02 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 03 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 04 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 05 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 06 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 07 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_23_0 {
	meta:
		name = "__int_comisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2F C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_24_0 {
	meta:
		name = "__int_ucomisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2E C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_25_0 {
	meta:
		name = "__int_cvtsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_26_0 {
	meta:
		name = "__int64_cvtsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_27_0 {
	meta:
		name = "__int_cvttsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_28_0 {
	meta:
		name = "__int64_cvttsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_29_0 {
	meta:
		name = "__int_cvtss2sd"
		size = 26
	strings:
		$1 = { 48 83 EC 10 66 0F 6E C1 F3 0F 5A C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_30_0 {
	meta:
		name = "__int_cvtsd2ss"
		size = 26
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 5A C0 66 0F 7E C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_31_0 {
	meta:
		name = "__int_maxsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5F C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_32_0 {
	meta:
		name = "__int_minsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5D C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_509_33_0 {
	meta:
		name = "__int_sqrtsd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 51 C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "strncpy"
		size = 354
	strings:
		$1 = { 4C 8B D9 4D 0B C0 74 24 48 2B CA F6 C2 07 74 28 8A 02 84 C0 88 04 11 0F 84 E3 00 00 00 48 FF C2 49 FF C8 74 07 F6 C2 07 75 E6 EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 76 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 84 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 75 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 62 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 53 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 40 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 31 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 1F 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 10 48 FF C2 49 FF C8 0F 85 3C FF FF FF 49 8B C3 C3 48 03 CA 48 33 D2 49 83 F8 10 72 45 F6 C1 07 74 0A 48 FF C1 88 11 49 FF C8 EB F1 49 83 E8 20 72 19 48 89 11 48 89 51 08 48 89 51 10 48 89 51 18 48 83 C1 20 49 83 E8 20 73 E7 49 83 C0 20 49 83 E8 08 72 09 48 89 11 48 83 C1 08 EB F1 49 83 C0 08 49 83 E8 01 72 07 88 11 48 FF C1 EB F3 49 8B C3 C3 }
	condition:
		$1
}

rule file_511_2_0 {
	meta:
		name = "?initialize@?$dual_state_global@H@__crt_state_management@@QEAAXH@Z"
		size = 48
		altNames = "?initialize@?$dual_state_global@J@__crt_state_management@@QEAAXJ@Z"
	strings:
		$1 = { 45 33 C0 48 8D 41 04 4C 8B C8 4C 2B C9 49 83 C1 03 49 C1 E9 02 48 3B C8 4D 0F 47 C8 4D 85 C9 74 0E 49 FF C0 89 11 48 8D 49 04 4D 3B C1 75 F2 C3 }
	condition:
		$1
}

rule file_511_7_0 {
	meta:
		name = "__acrt_initialize_timeset"
		size = 47
		refs = "0003 ?tzname_states@@3PAY01PEADA 0009 ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0014 ?_tzname@@3V?$dual_state_global@PEAPEAD@__crt_state_management@@A 001c ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 0026 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 80 70 00 00 48 89 05 ?? ?? ?? ?? 33 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? F0 F1 FF FF C3 }
	condition:
		$1
}

rule file_511_12_0 {
	meta:
		name = "_get_daylight"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_511_13_0 {
	meta:
		name = "_get_dstbias"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_563_4_0 {
	meta:
		name = "_get_fmode"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _fmode"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_511_14_0 {
	meta:
		name = "_get_timezone"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_511_15_0 {
	meta:
		name = "_get_tzname"
		size = 157
		refs = "002a ?_tzname@@3V?$dual_state_global@PEAPEAD@__crt_state_management@@A 005b _errno 0066 _invalid_parameter_noinfo 0099 strcpy_s"
	strings:
		$1 = { 48 83 EC 28 4D 8B D8 4C 8B D2 48 85 D2 74 46 4D 85 C0 74 46 48 85 D2 74 03 C6 02 00 48 85 C9 74 39 41 83 F9 01 77 33 48 8B 05 ?? ?? ?? ?? 49 63 D1 4C 8B 04 D0 48 83 C8 FF 48 FF C0 41 80 3C 00 00 75 F6 48 FF C0 48 89 01 4D 85 D2 75 26 33 C0 48 83 C4 28 C3 4D 85 C0 74 BA E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 49 3B C3 76 0A B8 22 00 00 00 48 83 C4 28 C3 4C 8B 05 ?? ?? ?? ?? 49 8B CA 4D 8B 04 D0 49 8B D3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_512_1_0 {
	meta:
		name = "_wcsdup"
		size = 130
		refs = "004a malloc 0060 wcscpy_s 007d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 48 8B F9 48 85 C9 75 17 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 CB FF 48 FF C3 66 39 2C 59 75 F7 48 FF C3 48 8D 0C 1B E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 C8 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C6 EB B3 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_513_0_0 {
	meta:
		name = "_exphlp"
		size = 208
		refs = "001a __real@3ff71547652b8ecb 0025 _frnd 0033 __real@bf2bd0105c610ca8 003f __real@3fe6300000000000 005c __real@3ef152a46f58dc1c 0064 __real@3f403f996fde3809 006c __real@3f7c70e46fb3f6e0 0074 __real@3fac718e714251b3 0084 __real@3fd0000000000000 008c __real@3fe0000000000000 00a8 _get_exp"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 48 8B DA 0F 28 F0 0F 29 7C 24 30 F2 0F 59 05 ?? ?? ?? ?? 44 0F 29 44 24 20 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? 44 0F 28 C0 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C F1 F2 0F 5C F2 0F 28 CE F2 0F 59 CE 0F 28 F9 0F 28 D1 F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 3D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 FE F2 0F 5C D7 F2 0F 5E FA F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 C7 0F 28 7C 24 30 F2 41 0F 2C C8 44 0F 28 44 24 20 FF C1 03 C1 89 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_514_0_0 {
	meta:
		name = "__acrt_strtok_s_novalidation"
		size = 261
		refs = "0009 __security_cookie 00f5 __security_check_cookie 0100 __report_rangecheckfailure"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 45 33 D2 49 8B D8 41 8B C2 4C 8B DA 48 83 F8 20 4C 8B C9 0F 83 D1 00 00 00 44 88 54 04 20 48 FF C0 48 83 F8 20 7C EC 45 0F B6 03 49 FF C3 41 8B D0 41 8B C0 48 C1 EA 03 83 E0 07 0F B6 4C 14 20 0F AB C1 88 4C 14 20 45 84 C0 75 DB 4D 85 C9 75 03 4C 8B 0B 45 0F B6 01 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 74 29 45 8A 01 45 84 C0 74 21 49 FF C1 BA 01 00 00 00 45 0F B6 01 41 8B C0 41 8B C8 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 DA 4D 8B D9 EB 1F 45 0F B6 01 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 0A 49 FF C1 45 38 11 75 DC EB 06 45 88 11 49 FF C1 4D 3B CB 4C 89 0B 4D 0F 45 D3 49 8B C2 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_515_0_0 {
	meta:
		name = "??$common_lseek@J@@YAJHJH@Z"
		size = 236
		refs = "002a __doserrno 0032 _errno 0047 _nhandle 005a __pioinfo 0077 __acrt_lowio_lock_fh 00a8 ??$common_lseek_nolock@J@@YAJHJH@Z 00b1 __acrt_lowio_unlock_fh 00cd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 8B F8 44 8B E2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 90 00 00 00 85 C9 78 74 3B 1D ?? ?? ?? ?? 73 6C 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 2D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 44 F5 00 0F B6 4C 30 38 83 E1 01 74 45 8B CB E8 ?? ?? ?? ?? 83 CF FF 4B 8B 44 F5 00 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 0F 45 8B C7 41 8B D4 8B CB E8 ?? ?? ?? ?? 8B F8 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_515_2_0 {
	meta:
		name = "??$common_lseek@_J@@YA_JH_JH@Z"
		size = 240
		refs = "002a __doserrno 0032 _errno 0047 _nhandle 005a __pioinfo 0077 __acrt_lowio_lock_fh 00a9 ??$common_lseek_nolock@_J@@YA_JH_JH@Z 00b3 __acrt_lowio_unlock_fh 00d0 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 8B F8 4C 8B E2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 93 00 00 00 85 C9 78 77 3B 1D ?? ?? ?? ?? 73 6F 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 2D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 44 F5 00 0F B6 4C 30 38 83 E1 01 74 48 8B CB E8 ?? ?? ?? ?? 48 83 CF FF 4B 8B 44 F5 00 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 10 45 8B C7 49 8B D4 8B CB E8 ?? ?? ?? ?? 48 8B F8 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_515_4_0 {
	meta:
		name = "??$common_lseek_nolock@J@@YAJHJH@Z"
		size = 123
		refs = "001a _get_osfhandle 0025 _errno 003d ?common_lseek_do_seek_nolock@@YAJQEAXJH@Z 004e __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 63 D9 41 8B F8 8B CB 8B F2 E8 ?? ?? ?? ?? 48 83 F8 FF 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF EB 37 44 8B C7 8B D6 48 8B C8 E8 ?? ?? ?? ?? 8B D0 83 F8 FF 74 E7 48 8B CB 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 8B C3 48 C1 F8 06 48 C1 E1 06 49 8B 04 C0 80 64 08 38 FD 8B C2 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_515_5_0 {
	meta:
		name = "??$common_lseek_nolock@_J@@YA_JH_JH@Z"
		size = 153
		refs = "001b _get_osfhandle 0026 _errno 0046 __imp_SetFilePointerEx 0050 __imp_GetLastError 0057 __acrt_errno_map_os_error 006e __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 63 D9 41 8B F8 8B CB 48 8B F2 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 E8 ?? ?? ?? ?? C7 00 09 00 00 00 48 83 C8 FF EB 53 44 8B CF 4C 8D 44 24 48 48 8B D6 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 48 8B 44 24 48 48 83 F8 FF 74 C8 48 8B D3 4C 8D 05 ?? ?? ?? ?? 83 E2 3F 48 8B CB 48 C1 F9 06 48 C1 E2 06 49 8B 0C C8 80 64 11 38 FD 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_515_6_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YAJQEAXJH@Z"
		size = 175
		refs = "0032 __imp_SetFilePointerEx 003c __imp_GetLastError 0043 __acrt_errno_map_os_error 008f _errno"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 30 83 64 24 58 00 33 C0 41 8B F8 48 63 F2 89 44 24 5C 4D 8D 43 E8 49 8B 53 20 48 8B D9 44 8D 48 01 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 53 83 64 24 58 00 4C 8D 44 24 58 33 C0 48 8B D6 44 8B CF 89 44 24 5C 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 CB 48 81 7C 24 58 FF FF FF 7F 7E 21 48 8B 54 24 20 45 33 C9 45 33 C0 48 8B CB FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB AC 8B 44 24 58 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_515_7_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YA_JQEAX_JH@Z"
		size = 51
		refs = "000e __imp_SetFilePointerEx 0018 __imp_GetLastError 001f __acrt_errno_map_os_error"
	strings:
		$1 = { 48 83 EC 28 45 8B C8 4C 8D 44 24 48 FF 15 ?? ?? ?? ?? 85 C0 75 13 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 83 C8 FF EB 05 48 8B 44 24 48 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_516_0_0 {
	meta:
		name = "fetestexcept"
		size = 33
		refs = "0011 fegetexceptflag"
	strings:
		$1 = { 48 83 EC 28 83 64 24 38 00 8B D1 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8B 44 24 38 83 E0 1F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_517_4_0 {
	meta:
		name = "??$common_tempnam@D@@YAPEADQEBD0H0H@Z"
		size = 731
		refs = "0020 ?tmp_name@?1???$get_tmp_directory@D@@YAPEBDXZ@4QBDB 0035 _dupenv_s 005f _access_s 006d _free_base 00a8 _calloc_base 012c ?root_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB 0141 ?cwd_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB 0185 calloc 01a2 strcat_s 01d5 _mbsrchr 01f4 ?backslash@?6???$common_tempnam@D@@YAPEADQEBD0H0H@Z@4QBDB 0249 ??$compute_name@D@@YA_NQEBDQEAD_K2@Z 0260 free 0297 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B E2 4C 8D 05 ?? ?? ?? ?? 48 8B D9 45 33 ED 33 D2 4C 89 68 08 48 8D 48 08 E8 ?? ?? ?? ?? 45 8D 75 01 85 C0 74 0E 83 F8 16 0F 84 3D 02 00 00 41 8B F5 EB 77 48 8B 74 24 70 48 85 F6 74 6D 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 0F 33 C9 48 8B FE E8 ?? ?? ?? ?? E9 DA 00 00 00 8A 06 49 8B D5 49 8B CD 4C 8B C6 84 C0 74 36 3C 22 75 03 49 03 D6 4D 03 C6 49 03 CE 41 8A 00 84 C0 75 EC 48 85 D2 74 1D 48 2B CA 49 8B D6 49 03 CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2A 33 C9 E8 ?? ?? ?? ?? 49 8B FD 48 8B CF E8 ?? ?? ?? ?? 48 85 DB 74 5E 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 50 48 8B FB EB 67 48 8B C8 48 8B C6 44 38 2E 74 14 8A 10 80 FA 22 74 05 88 11 49 03 CE 49 03 C6 44 38 28 75 EC 44 88 29 33 C9 E8 ?? ?? ?? ?? 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 A9 33 C9 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F7 EB 27 48 8D 3D ?? ?? ?? ?? 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 07 48 8D 3D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 49 8B F5 48 83 CD FF 4D 85 E4 74 0E 4C 8B FD 49 FF C7 47 38 2C 3C 75 F7 EB 03 45 8B FD 48 8B C5 48 FF C0 44 38 2C 07 75 F7 83 C0 0C 49 8B D6 41 03 C7 8B C8 44 8B E0 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 C4 00 00 00 4C 8B C7 44 88 28 41 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 18 01 00 00 48 8B C5 48 FF C0 44 38 2C 07 75 F7 48 03 C7 48 3B F8 74 4D 4C 8D 68 FF BA 5C 00 00 00 41 38 55 00 75 11 48 8B CF E8 ?? ?? ?? ?? 4C 3B E8 41 0F 95 C6 EB 07 41 80 7D 00 2F 74 23 45 33 ED 45 84 F6 74 1E 4C 8D 05 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 08 E9 90 00 00 00 45 33 ED 4C 8B 44 24 78 4D 85 C0 74 13 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 48 FF C5 44 38 2C 2B 75 F7 48 03 EB 45 8B CF 4C 2B E5 48 8B D5 48 8B CB 4E 8D 04 23 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B FB 49 8B DD EB 03 49 8B FD 48 8B CB E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 8B C7 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_5_0 {
	meta:
		name = "??$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z"
		size = 725
		refs = "0022 ?tmp_name@?1???$get_tmp_directory@_W@@YAPEB_WXZ@4QB_WB 0037 _wdupenv_s 0061 _waccess_s 006f _free_base 00b0 _calloc_base 013a ?root_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB 014f ?cwd_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB 0197 calloc 01b5 wcscat_s 01e8 ?backslash@?6???$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z@4QB_WB 023e ??$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z 0255 free 0291 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B E2 4C 8D 05 ?? ?? ?? ?? 48 8B D9 45 33 ED 33 D2 4C 89 68 08 48 8D 48 08 E8 ?? ?? ?? ?? 41 8D 6D 02 85 C0 74 0E 83 F8 16 0F 84 35 02 00 00 41 8B FD EB 7D 48 8B 7C 24 60 48 85 FF 74 73 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0F 33 C9 48 8B F7 E8 ?? ?? ?? ?? E9 E6 00 00 00 0F B7 07 49 8B D5 49 8B CD 4C 8B C7 66 85 C0 74 3A 66 83 F8 22 75 03 48 FF C2 4C 03 C5 48 FF C1 41 0F B7 00 66 85 C0 75 E8 48 85 D2 74 1D 48 2B CA 48 8B D5 48 FF C1 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 2A 33 C9 E8 ?? ?? ?? ?? 49 8B F5 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 74 64 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 56 48 8B F3 EB 6D 48 8B C8 48 8B C7 66 44 39 2F 74 18 0F B7 10 66 83 FA 22 74 06 66 89 11 48 03 CD 48 03 C5 66 44 39 28 75 E8 66 44 89 29 33 C9 E8 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 A3 33 C9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B FE EB 27 48 8D 35 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 07 48 8D 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B FD 48 83 CD FF 4D 85 E4 74 0F 4C 8B F5 49 FF C6 66 47 39 2C 74 75 F6 EB 03 45 8B F5 48 8B C5 48 FF C0 66 44 39 2C 46 75 F6 83 C0 0C BA 02 00 00 00 41 03 C6 8B C8 44 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 A7 00 00 00 4C 8B C6 66 44 89 28 41 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 FF 00 00 00 48 8B C5 48 FF C0 66 44 39 2C 46 75 F6 48 8D 0C 46 48 3B F1 74 28 66 83 79 FE 5C 74 21 66 83 79 FE 2F 74 1A 4C 8D 05 ?? ?? ?? ?? 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 97 00 00 00 4D 85 E4 74 16 4D 8B C4 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 91 00 00 00 48 FF C5 66 44 39 2C 6B 75 F6 48 8D 14 6B 45 8B CE 48 8B C2 48 8B CB 48 2B C3 48 D1 F8 4C 2B F8 4D 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B F3 49 8B DD EB 03 49 8B F5 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B C6 48 8B 74 24 78 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_6_0 {
	meta:
		name = "??$compute_name@D@@YA_NQEBDQEAD_K2@Z"
		size = 252
		refs = "002f __acrt_lock 0036 _old_pfxlen 003c _tempoff 0058 _errno 0085 _ultoa_s 009a _access_s 00c6 _invoke_watson 00d7 __acrt_unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 30 49 8B F9 4D 8B F8 4C 8B E2 4C 8B F1 33 DB 8D 4B 0C E8 ?? ?? ?? ?? 90 8B 05 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 44 8D 6B 01 48 3B C7 41 0F 42 F5 89 35 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 8B 0D ?? ?? ?? ?? 41 03 CD 89 0D ?? ?? ?? ?? 8B C1 2B C6 3D FF FF FF 7F 77 52 41 B9 0A 00 00 00 4D 8B C7 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 89 18 33 D2 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 BC E8 ?? ?? ?? ?? 83 38 0D 74 B2 E8 ?? ?? ?? ?? 41 8A DD EB 19 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 38 B9 0C 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_517_8_0 {
	meta:
		name = "??$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z"
		size = 252
		refs = "002f __acrt_lock 0036 _old_pfxlen 003c _tempoff 0058 _errno 0085 _ultow_s 009a _waccess_s 00c6 _invoke_watson 00d7 __acrt_unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 30 49 8B F9 4D 8B F8 4C 8B E2 4C 8B F1 33 DB 8D 4B 0C E8 ?? ?? ?? ?? 90 8B 05 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 44 8D 6B 01 48 3B C7 41 0F 42 F5 89 35 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 8B 0D ?? ?? ?? ?? 41 03 CD 89 0D ?? ?? ?? ?? 8B C1 2B C6 3D FF FF FF 7F 77 52 41 B9 0A 00 00 00 4D 8B C7 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 89 18 33 D2 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 BC E8 ?? ?? ?? ?? 83 38 0D 74 B2 E8 ?? ?? ?? ?? 41 8A DD EB 19 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 38 B9 0C 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_517_7_0 {
	meta:
		name = "?fin$0@?0???$compute_name@D@@YA_NQEBDQEAD_K2@Z@4HA"
		size = 25
		refs = "0014 __acrt_unlock"
		altNames = "?fin$0@?0???$compute_name@_W@@YA_NQEB_WQEA_W_K2@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0C 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_10_0 {
	meta:
		name = "??$get_directory@D@@YAPEBDQEBDQEAPEBD@Z"
		size = 359
		refs = "001b ?tmp_name@?1???$get_tmp_directory@D@@YAPEBDXZ@4QBDB 002c _dupenv_s 0054 _access_s 0098 _calloc_base 00a7 _free_base 0110 ?root_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB 012a ?cwd_fallback@?1???$get_directory@D@@YAPEBDQEBDQEAPEBD@Z@4QBDB 0162 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 56 57 41 56 48 83 EC 30 48 83 60 18 00 4C 8D 05 ?? ?? ?? ?? 4C 8B F2 48 8B E9 33 D2 48 8D 48 18 E8 ?? ?? ?? ?? 85 C0 74 0D 83 F8 16 0F 84 14 01 00 00 33 DB EB 74 48 8B 5C 24 60 48 8B FB 48 85 DB 74 67 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 33 DB 49 89 3E E9 CD 00 00 00 8A 03 33 D2 33 C9 4C 8B C3 84 C0 74 38 3C 22 75 03 48 FF C2 49 FF C0 48 FF C1 41 8A 00 84 C0 75 EC 48 85 D2 74 1F 48 2B CA BA 01 00 00 00 48 FF C1 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 29 33 C9 E8 ?? ?? ?? ?? 33 F6 48 8B CE E8 ?? ?? ?? ?? 48 85 ED 74 53 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 45 49 89 2E EB 64 80 3B 00 74 14 8A 0F 80 F9 22 74 05 88 08 48 FF C0 48 FF C7 80 3F 00 75 EC 33 C9 C6 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 AF 33 C9 49 89 36 E8 ?? ?? ?? ?? 48 8B FE EB 26 48 8D 3D ?? ?? ?? ?? 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 49 89 3E EB 0A 48 8D 05 ?? ?? ?? ?? 49 89 06 33 FF 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C7 48 8B 6C 24 58 48 83 C4 30 41 5E 5F 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_11_0 {
	meta:
		name = "??$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z"
		size = 392
		refs = "001e ?tmp_name@?1???$get_tmp_directory@_W@@YAPEB_WXZ@4QB_WB 0033 _wdupenv_s 005c _waccess_s 00aa _calloc_base 00b9 _free_base 012b ?root_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB 0145 ?cwd_fallback@?1???$get_directory@_W@@YAPEB_WQEB_WQEAPEB_W@Z@4QB_WB 0183 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 57 41 56 41 57 48 83 EC 30 4C 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8B E9 45 33 FF 33 D2 4C 89 78 18 48 8D 48 18 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 84 2F 01 00 00 41 8B DF EB 7F 48 8B 5C 24 60 48 8B FB 48 85 DB 74 72 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0B 49 8B DF 49 89 3E E9 E0 00 00 00 0F B7 03 49 8B D7 49 8B CF 4C 8B C3 66 85 C0 74 3D 66 83 F8 22 75 03 48 FF C2 49 83 C0 02 48 FF C1 41 0F B7 00 66 85 C0 75 E7 48 85 D2 74 1F 48 2B CA BA 02 00 00 00 48 FF C1 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 2A 33 C9 E8 ?? ?? ?? ?? 49 8B F7 48 8B CE E8 ?? ?? ?? ?? 48 85 ED 74 5B 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 4D 49 89 2E EB 6C 66 44 39 3B 74 1A 0F B7 0F 66 83 F9 22 74 07 66 89 08 48 83 C0 02 48 83 C7 02 66 44 39 3F 75 E6 33 C9 66 44 89 38 E8 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 A7 33 C9 49 89 36 E8 ?? ?? ?? ?? 48 8B FE EB 27 48 8D 3D ?? ?? ?? ?? 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 49 89 3E EB 0A 48 8D 05 ?? ?? ?? ?? 49 89 06 49 8B FF 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C7 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 4C 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_12_0 {
	meta:
		name = "??$get_tmp_directory@D@@YAPEBDXZ"
		size = 74
		refs = "000d ?tmp_name@?1???$get_tmp_directory@D@@YAPEBDXZ@4QBDB 0019 _dupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_13_0 {
	meta:
		name = "??$get_comspec@D@@YAPEBDXZ"
		size = 74
		refs = "000d ?comspec_name@?1???$get_comspec@D@@YAPEBDXZ@4QBDB 0019 _dupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_14_0 {
	meta:
		name = "??$get_comspec@_W@@YAPEB_WXZ"
		size = 74
		refs = "000d ?comspec_name@?1???$get_comspec@_W@@YAPEB_WXZ@4QB_WB 0019 _wdupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_17_0 {
	meta:
		name = "??$get_path@D@@YAPEBDXZ"
		size = 74
		refs = "000d ?path_name@?1???$get_path@D@@YAPEBDXZ@4QBDB 0019 _dupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_18_4 {
	meta:
		name = "??$get_path@_W@@YAPEB_WXZ"
		size = 74
		refs = "000d ?path_name@?1???$get_path@_W@@YAPEB_WXZ@4QB_WB 0019 _wdupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_13_3 {
	meta:
		name = "??$get_tmp_directory@_W@@YAPEB_WXZ"
		size = 74
		refs = "000d ?tmp_name@?1???$get_tmp_directory@_W@@YAPEB_WXZ@4QB_WB 0019 _wdupenv_s 0045 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 40 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 09 83 F8 16 74 0E 33 C0 EB 05 48 8B 44 24 40 48 83 C4 38 C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_517_14_0 {
	meta:
		name = "??$strip_quotes@D@@YAPEBDQEBD@Z"
		size = 128
		refs = "0041 _calloc_base 006a _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 33 DB 8B D3 8B CB 4C 8B C7 8A 07 84 C0 74 57 3C 22 75 03 48 FF C2 49 FF C0 48 FF C1 41 8A 00 84 C0 75 EC 48 85 D2 74 3E 48 2B CA BA 01 00 00 00 48 FF C1 E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8B C8 EB 0F 8A 17 80 FA 22 74 05 88 11 48 FF C1 48 FF C7 38 1F 75 ED 88 19 48 8B D8 33 C9 E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_517_15_0 {
	meta:
		name = "??$strip_quotes@_W@@YAPEB_WQEB_W@Z"
		size = 142
		refs = "0048 _calloc_base 0078 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 33 DB 8B D3 8B CB 4C 8B C7 0F B7 07 66 85 C0 74 63 66 83 F8 22 75 03 48 FF C2 49 83 C0 02 48 FF C1 41 0F B7 00 66 85 C0 75 E7 48 85 D2 74 45 48 2B CA BA 02 00 00 00 48 FF C1 E8 ?? ?? ?? ?? 48 85 C0 74 24 48 8B C8 EB 14 0F B7 17 66 83 FA 22 74 07 66 89 11 48 83 C1 02 48 83 C7 02 66 39 1F 75 E7 66 89 19 48 8B D8 33 C9 E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_517_52_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEBD@Z"
		size = 76
		refs = "0032 _mbsrchr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 C8 FF 33 DB 48 FF C0 38 1C 01 75 F8 48 03 C1 48 3B C8 75 04 32 C0 EB 1D 48 8D 78 FF BA 5C 00 00 00 38 17 75 0A E8 ?? ?? ?? ?? 48 3B F8 EB 03 80 3F 2F 0F 95 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_517_53_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQEB_W@Z"
		size = 42
	strings:
		$1 = { 48 83 C8 FF 48 FF C0 66 83 3C 41 00 75 F6 48 8D 14 41 48 3B CA 75 03 32 C0 C3 66 83 7A FE 5C 74 F6 66 83 7A FE 2F 0F 95 C0 C3 }
	condition:
		$1
}

rule file_517_76_0 {
	meta:
		name = "_tempnam"
		size = 26
		refs = "0011 ??$common_tempnam@D@@YAPEADQEBD0H0H@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 45 33 C9 45 8D 41 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_517_77_0 {
	meta:
		name = "_wtempnam"
		size = 26
		refs = "0011 ??$common_tempnam@_W@@YAPEA_WQEB_W0HQEBDH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 45 33 C9 45 8D 41 01 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_518_0_0 {
	meta:
		name = "strspn"
		size = 192
		refs = "0007 __security_cookie 00ad __security_check_cookie 00bb __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 45 33 C9 4C 8B C2 41 8B C1 4C 8B D1 48 83 F8 20 45 8D 59 01 0F 83 8D 00 00 00 44 88 4C 04 20 49 03 C3 48 83 F8 20 7C EC 8A 02 EB 1F 0F B6 D0 48 C1 EA 03 0F B6 C0 83 E0 07 0F B6 4C 14 20 0F AB C1 4D 03 C3 88 4C 14 20 41 8A 00 84 C0 75 DD 45 38 0A 74 4F 41 0F B6 02 41 8B D3 41 0F B6 0A 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 74 20 4D 03 D3 41 8B D3 45 03 CB 45 0F B6 02 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 E0 49 63 C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 33 C0 EB EA E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "fdimf"
		size = 95
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 32 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 1A F3 0F 10 4C 24 38 F3 0F 10 44 24 30 0F 2F C8 72 05 0F 57 C0 EB 04 F3 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_0_0 {
	meta:
		name = "wcstok"
		size = 57
		refs = "0019 __acrt_getptd 0035 __acrt_wcstok_s_novalidation"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C0 48 8B DA 48 8B F9 4D 85 C0 75 09 E8 ?? ?? ?? ?? 48 83 C0 40 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_0_0 {
	meta:
		name = "??$cleanup_after_error@D@@YAHQEAD_K@Z"
		size = 33
		refs = "0008 _errno 0013 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 C6 01 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? B8 22 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_521_1_0 {
	meta:
		name = "??$cleanup_after_error@_W@@YAHQEA_W_K@Z"
		size = 35
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 33 C0 66 89 01 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? B8 22 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_521_2_0 {
	meta:
		name = "??$common_makepath_s@D@@YAHQEAD_KQEBD222@Z"
		size = 374
		refs = "005d _errno 00a1 _mbsdec 015b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B F1 48 85 C9 0F 84 2C 01 00 00 48 85 D2 0F 84 23 01 00 00 48 83 FA FF 48 8D 04 11 8B FD 48 8B D9 48 0F 45 F8 4D 85 C0 74 36 41 8A 08 84 C9 74 2F 48 85 FF 74 1E 48 8B C7 48 2B C3 48 83 F8 02 7D 12 40 88 2E E8 ?? ?? ?? ?? BB 22 00 00 00 E9 ED 00 00 00 48 8D 5E 01 88 0E C6 03 3A 48 FF C3 4D 85 C9 74 43 41 38 29 74 3E 49 8B D1 48 85 FF 74 05 48 3B DF 73 CB 8A 02 48 FF C2 88 03 48 FF C3 40 38 2A 75 E7 49 8B C9 E8 ?? ?? ?? ?? 80 38 2F 74 15 80 38 5C 74 10 48 85 FF 74 05 48 3B DF 73 A0 C6 03 5C 48 FF C3 48 8B 4C 24 50 48 85 C9 74 24 40 38 29 74 1F 48 2B CB 48 85 FF 74 09 48 3B DF 0F 83 7A FF FF FF 8A 04 19 88 03 48 FF C3 40 38 2C 19 75 E4 48 8B 4C 24 58 48 85 C9 74 42 8A 01 84 C0 74 18 3C 2E 74 14 48 85 FF 74 09 48 3B DF 0F 83 4A FF FF FF C6 03 2E 48 FF C3 40 38 29 74 1F 48 2B CB 48 85 FF 74 09 48 3B DF 0F 83 2E FF FF FF 8A 04 19 88 03 48 FF C3 40 38 2C 19 75 E4 48 85 FF 74 09 48 3B DF 0F 83 12 FF FF FF 40 88 2B 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_521_3_0 {
	meta:
		name = "??$common_makepath_s@_W@@YAHQEA_W_KQEB_W222@Z"
		size = 389
		refs = "0056 _errno 0179 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D9 48 85 C9 0F 84 58 01 00 00 48 85 D2 0F 84 4F 01 00 00 48 83 FA FF 48 8D 04 51 44 8B CB 4C 8B D1 4C 0F 45 C8 4D 85 C0 74 44 41 0F B7 10 66 85 D2 74 3B 4D 85 C9 74 22 49 8B C1 48 2B C1 48 83 E0 FE 48 83 F8 04 7D 12 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 12 01 00 00 4C 8D 51 02 66 89 11 B8 3A 00 00 00 66 41 89 02 49 83 C2 02 4D 85 DB 74 4C 66 41 39 1B 74 46 4D 85 C9 74 05 4D 3B D1 73 C5 41 0F B7 03 49 83 C3 02 66 41 89 02 49 83 C2 02 66 41 39 1B 75 E0 66 41 83 7B FE 2F 74 1E B8 5C 00 00 00 66 41 39 43 FE 74 12 4D 85 C9 74 05 4D 3B D1 73 91 66 41 89 02 49 83 C2 02 48 8B 54 24 50 48 85 D2 74 2A 66 39 1A 74 25 49 2B D2 4D 85 C9 74 09 4D 3B D1 0F 83 69 FF FF FF 42 0F B7 04 12 66 41 89 02 49 83 C2 02 66 42 39 1C 12 75 DE 48 8B 54 24 58 48 85 D2 74 4F 66 39 1A 74 4A B8 2E 00 00 00 66 39 02 74 16 4D 85 C9 74 09 4D 3B D1 0F 83 2E FF FF FF 66 41 89 02 49 83 C2 02 66 39 1A 74 25 49 2B D2 4D 85 C9 74 09 4D 3B D1 0F 83 10 FF FF FF 42 0F B7 04 12 66 41 89 02 49 83 C2 02 66 42 39 1C 12 75 DE 4D 85 C9 74 09 4D 3B D1 0F 83 EE FE FF FF 66 41 89 1A 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_521_6_0 {
	meta:
		name = "_makepath"
		size = 39
		refs = "001e _makepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_521_8_0 {
	meta:
		name = "_wmakepath"
		size = 39
		refs = "001e _wmakepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_521_7_0 {
	meta:
		name = "_makepath_s"
		size = 368
		refs = "005e _errno 00a2 _mbsdec 0154 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 33 DB 4C 8B F1 48 85 C9 0F 84 24 01 00 00 48 85 D2 0F 84 1B 01 00 00 48 83 FA FF 48 8D 04 11 8B F3 48 8B F9 48 0F 45 F0 4D 85 C0 74 37 41 8A 08 84 C9 74 30 48 85 F6 74 1E 48 8B C6 48 2B C7 48 83 F8 02 7D 12 41 88 1E E8 ?? ?? ?? ?? BB 22 00 00 00 E9 E5 00 00 00 49 8D 7E 01 41 88 0E C6 07 3A 48 FF C7 4D 85 C9 74 42 41 38 19 74 3D 49 8B D1 48 85 F6 74 05 48 3B FE 73 CA 8A 02 48 FF C2 88 07 48 FF C7 38 1A 75 E8 49 8B C9 E8 ?? ?? ?? ?? 80 38 2F 74 15 80 38 5C 74 10 48 85 F6 74 05 48 3B FE 73 A0 C6 07 5C 48 FF C7 48 8B 4C 24 50 48 85 C9 74 22 38 19 74 1E 48 2B CF 48 85 F6 74 09 48 3B FE 0F 83 7B FF FF FF 8A 04 39 88 07 48 FF C7 38 1C 39 75 E5 48 8B 4C 24 58 48 85 C9 74 3F 38 19 74 3B 80 39 2E 74 14 48 85 F6 74 09 48 3B FE 0F 83 4D FF FF FF C6 07 2E 48 FF C7 38 19 74 1E 48 2B CF 48 85 F6 74 09 48 3B FE 0F 83 32 FF FF FF 8A 04 39 88 07 48 FF C7 38 1C 39 75 E5 48 85 F6 74 09 48 3B FE 0F 83 17 FF FF FF 88 1F EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_521_9_0 {
	meta:
		name = "_wmakepath_s"
		size = 387
		refs = "0056 _errno 0177 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D9 48 85 C9 0F 84 56 01 00 00 48 85 D2 0F 84 4D 01 00 00 48 83 FA FF 48 8D 04 51 44 8B CB 4C 8B D1 4C 0F 45 C8 4D 85 C0 74 44 41 0F B7 10 66 85 D2 74 3B 4D 85 C9 74 22 49 8B C1 48 2B C1 48 83 E0 FE 48 83 F8 04 7D 12 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 10 01 00 00 4C 8D 51 02 66 89 11 B8 3A 00 00 00 66 41 89 02 49 83 C2 02 4D 85 DB 74 4C 66 41 39 1B 74 46 4D 85 C9 74 05 4D 3B D1 73 C5 41 0F B7 03 49 83 C3 02 66 41 89 02 49 83 C2 02 66 41 39 1B 75 E0 66 41 83 7B FE 2F 74 1E B8 5C 00 00 00 66 41 39 43 FE 74 12 4D 85 C9 74 05 4D 3B D1 73 91 66 41 89 02 49 83 C2 02 48 8B 54 24 50 48 85 D2 74 2A 66 39 1A 74 25 49 2B D2 4D 85 C9 74 09 4D 3B D1 0F 83 69 FF FF FF 42 0F B7 04 12 66 41 89 02 49 83 C2 02 66 42 39 1C 12 75 DE 48 8B 54 24 58 48 85 D2 74 4F 66 39 1A 74 4A B8 2E 00 00 00 66 39 02 74 16 4D 85 C9 74 09 4D 3B D1 0F 83 2E FF FF FF 66 41 89 02 49 83 C2 02 66 39 1A 74 25 49 2B D2 4D 85 C9 74 09 4D 3B D1 0F 83 10 FF FF FF 42 0F B7 04 12 66 41 89 02 49 83 C2 02 66 42 39 1C 12 75 DE 4D 85 C9 74 09 4D 3B D1 0F 83 EE FE FF FF 66 41 89 1A EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "logf"
		size = 1014
		refs = "0006 __use_fma3_lib 002c L_real_inf 003a L_mask_127 0055 L_real_mant 005d L_real_one 0064 L_real_neg127 0073 L_mask_mant_all7 007a L_mask_mant8 008b L_real_notsign 0092 L_real_threshold 00a3 L_real_half 00b2 __log_F_inv_dword 00ca L_real_1_over_3 00d6 L_real_1_over_2 00dd L_real_log2_tail 00e4 __log_128_tail 00eb __log_128_lead 00fe L_real_log2_lead 0123 L_real_two 0157 L_real_ca2 015f L_real_ca1 01a9 L_mask_253 01ba L_real_ninf 01c1 L_flag_x_zero 01c6 _logf_special 01cf L_real_neg_qnan 01d6 L_flag_x_neg 01f3 L_real_qnanbit 03e3 L_flag_x_nan"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 0F 85 EF 01 00 00 48 33 C0 66 0F 6F D8 0F 28 E0 66 0F 72 D3 17 66 0F 7E C0 8B C8 0F BA F1 1F 3B 0D ?? ?? ?? ?? 0F 83 AB 01 00 00 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 0F 57 C9 0F 2F C1 0F 86 64 01 00 00 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 12 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 66 0F 6E C8 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 84 00 00 00 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F3 0F 5C CA F3 41 0F 59 0C 81 0F 28 D1 0F 28 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA 0F 28 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 38 C3 90 0F 28 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 0F 28 C8 F3 0F 5E CA 0F 28 E0 F3 0F 59 E1 F3 0F 58 C9 0F 28 D1 F3 0F 59 D2 0F 28 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 F3 0F 58 C2 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 B9 FE FF FF 75 15 0F 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 0F 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 3B 05 ?? ?? ?? ?? 74 12 3B 05 ?? ?? ?? ?? 74 DB 0B 05 ?? ?? ?? ?? 66 0F 6E C0 48 83 C4 38 C3 C5 F8 28 25 ?? ?? ?? ?? 48 33 C0 C5 E1 72 D0 17 C5 F9 7E C0 C5 E1 FA 1D ?? ?? ?? ?? C5 F8 5B EB C5 F9 DB CC C5 F8 2F CC 0F 84 98 01 00 00 C5 F1 EF C9 C5 F8 2F C1 0F 86 56 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FA 5C 25 ?? ?? ?? ?? C5 F8 2F 2D ?? ?? ?? ?? 0F 84 06 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 72 F3 01 C5 E1 FE C9 C5 F9 7E C8 C5 D8 54 25 ?? ?? ?? ?? C5 F8 2F 25 ?? ?? ?? ?? 0F 82 83 00 00 00 C1 E8 10 C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F2 5C CA C4 C1 72 59 0C 81 C5 F8 28 15 ?? ?? ?? ?? C4 E2 71 A9 15 ?? ?? ?? ?? C5 F2 59 C1 C5 F8 28 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C4 E2 69 B9 C8 C4 E2 51 AB D9 C5 F8 28 05 ?? ?? ?? ?? C4 C2 51 A9 04 82 C4 C1 62 58 1C 81 C5 FA 58 C3 48 83 C4 38 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F8 28 15 ?? ?? ?? ?? C5 FA 5C 05 ?? ?? ?? ?? C5 EA 58 D0 C5 FA 5E CA C5 FA 59 E1 C5 F2 58 C9 C5 F2 59 D1 C5 F2 59 DA C5 F8 28 2D ?? ?? ?? ?? C4 E2 51 A9 15 ?? ?? ?? ?? C4 E2 61 AB D4 C5 FA 58 C2 48 83 C4 38 C3 66 0F 1F 84 00 00 00 00 00 C5 F8 28 1D ?? ?? ?? ?? C5 E9 EB D3 C5 EA 5C D3 C5 D1 72 D2 17 C5 E9 DB 15 ?? ?? ?? ?? C5 F8 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 F8 5B ED E9 C8 FE FF FF 75 19 C5 F8 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 C5 F8 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 3B 05 ?? ?? ?? ?? 74 23 3B 05 ?? ?? ?? ?? 74 D7 0B 05 ?? ?? ?? ?? C5 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "__remainder_piby2d2f_forAsm"
		size = 332
		refs = "0003 __L_2_by_pi_bits 0147 L__piby2"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 13 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 48 83 D0 00 48 83 E0 03 66 48 0F 6E C8 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 19 4D 8B D1 4D 8B C8 49 0F BD CA 49 83 EB 40 66 66 66 0F 1F 84 00 00 00 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 13 74 31 4D 8B C2 49 D3 EA EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 0F 1F 80 00 00 00 00 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 66 48 0F 7E C8 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "fmaxf"
		size = 108
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 3F 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 27 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 77 16 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 32 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_525_1_0 {
	meta:
		name = "_sleep"
		size = 17
		refs = "000d __imp_Sleep"
	strings:
		$1 = { 85 C9 B8 01 00 00 00 0F 44 C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_526_0_0 {
	meta:
		name = "logbf"
		size = 108
		refs = "0015 _fdunscale 0048 _FInf_C 0054 _fperrraise 0063 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2E 83 E9 01 74 1F 83 F9 01 74 12 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 0F 5B C0 EB 2B F3 0F 10 44 24 30 EB 23 F3 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "_heapmin"
		size = 33
		refs = "0007 __acrt_heap 000f __imp_HeapCompact"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_528_1_0 {
	meta:
		name = "_mbstok_l"
		size = 62
		refs = "0019 __acrt_getptd 003a _mbstok_s_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 4C 8B CB 48 8B D7 48 8B CE 4C 8D 40 38 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_529_0_0 {
	meta:
		name = "_fdrint"
		size = 303
		refs = "0013 fegetround 0037 _fd_int 006f __real@3f800000 00ea __real@c0000000 00f7 __real@40000000 0126 __real@bf800000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F3 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 53 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? F3 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 12 75 D5 F3 0F 10 45 10 F3 0F 58 05 ?? ?? ?? ?? EB CB 33 D2 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 74 B6 B8 00 80 00 00 66 85 45 12 74 AB F3 0F 10 45 10 E9 88 00 00 00 BA 01 00 00 00 48 8D 4D 10 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 83 CA FF 48 8D 4D 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F3 0F 10 45 10 B8 00 80 00 00 66 85 45 12 74 0D F3 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F3 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F3 0F 10 45 10 B8 00 80 00 00 66 85 45 12 0F 84 49 FF FF FF F3 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_529_1_0 {
	meta:
		name = "rintf"
		size = 79
		refs = "0015 _fdtest 0028 _fdrint 003e _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 0F BF C8 83 F9 02 76 1E E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_531_8_0 {
	meta:
		name = "_fgetc_nolock"
		size = 67
		refs = "000d _errno 0018 _invalid_parameter_noinfo 002c __acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1D 83 69 10 01 79 09 48 83 C4 28 E9 ?? ?? ?? ?? 48 8B 01 0F B6 08 48 FF C0 48 89 02 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_531_9_0 {
	meta:
		name = "_fgetchar"
		size = 23
		refs = "0007 __acrt_iob_func 0013 fgetc"
		altNames = "getchar"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_535_8_0 {
	meta:
		name = "_fgetwchar"
		size = 23
		refs = "0007 __acrt_iob_func 0013 fgetwc"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_535_13_0 {
	meta:
		name = "getwchar"
		size = 23
		refs = "0007 __acrt_iob_func 0013 fgetwc"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_11_0 {
	meta:
		name = "fgetc"
		size = 259
		refs = "0024 _errno 002f _invalid_parameter_noinfo 003c _lock_file 0053 _fileno 0061 __pioinfo 0082 __badioinfo 00d9 _local_unwind 00e8 _fgetc_nolock 00f2 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 57 48 83 EC 30 48 89 64 24 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 BD 00 00 00 E8 ?? ?? ?? ?? 90 8B 43 14 C1 E8 0C A8 01 0F 85 95 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 06 83 E2 3F 48 C1 E2 06 49 03 14 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B D1 80 7A 39 00 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 06 83 E1 3F 48 C1 E1 06 49 03 0C C1 F6 41 3D 01 74 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 83 C8 FF EB 14 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "_chgsign"
		size = 36
	strings:
		$1 = { F2 0F 11 44 24 08 48 B9 00 00 00 00 00 00 00 80 48 8B 44 24 08 48 33 C1 48 89 44 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_533_2_0 {
	meta:
		name = "sinhf"
		size = 680
		refs = "004c _set_statfp 007d _handle_nanf 0099 __xmm@80000000000000008000000000000000 00a1 __real@40565a9f84f82e63 00c6 ??_C@_05PJDDOCIG@sinhf?$AA@ 00ea _handle_errorf 00ff __real@40420fd21b95825f 010d __real@3dcf473de6af278e 011d __real@3f962e42fe000000 0128 __real@40471547652b82fe 0152 __real@3ff0000000000000 0157 splitexp 01a9 __ImageBase 01c6 __real@3d6b4125921ea08b 01d2 __real@3de611cb2bdcb7be 01de __real@3e5ae6460fbe61c0 01ea __real@3ec71de3a4e13e7d 01f6 __real@3f2a01a01a01ee80 0202 __real@3f811111111110fd 020e __real@3fc5555555555555 021d __real@3da9984b7f63fcd7 0229 __real@3e21ee56385b7b20 0232 ?cosh_lead@?1??sinhf@@9@9 023e __real@3e927e5069f1cb55 024a __real@3efa01a019079011 0256 __real@3f56c16c16c212e5 0262 __real@3fa5555555555502 026e __real@3fe0000000000000 0283 ?sinh_lead@?1??sinhf@@9@9"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 50 0F 28 F0 0F 57 E4 F3 0F 5A E6 F2 0F 11 64 24 78 48 8B 4C 24 78 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 1B 48 85 C0 0F 84 58 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 46 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 20 76 18 F3 0F 11 74 24 78 8B 4C 24 78 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? F3 0F 58 F6 EB C9 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 54 C7 44 24 40 01 00 00 00 0F 57 C0 F3 0F 11 44 24 38 BA 1F 00 00 00 F3 0F 11 74 24 30 48 8D 0D ?? ?? ?? ?? C7 44 24 28 22 00 00 00 C7 44 24 20 01 00 00 00 44 8D 4A E4 4D 85 D2 74 10 41 B8 00 00 80 FF E8 ?? ?? ?? ?? E9 AB 01 00 00 41 B8 00 00 80 7F EB EE 66 0F 2F 25 ?? ?? ?? ?? 0F 82 92 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 8D 84 24 88 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 0F 28 C4 F2 0F 10 15 ?? ?? ?? ?? 48 89 44 24 38 48 8D 84 24 80 00 00 00 48 89 44 24 30 48 8D 44 24 70 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 70 41 FF C9 49 63 C1 48 05 FF 03 00 00 44 89 4C 24 70 48 C1 E0 34 48 89 44 24 78 F2 0F 10 44 24 78 F2 0F 10 94 24 80 00 00 00 F2 0F 58 94 24 88 00 00 00 F2 0F 59 D0 E9 F0 00 00 00 F2 0F 2C C4 48 63 C8 66 0F 6E C0 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 59 CC 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 4D 85 D2 74 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_534_5_0 {
	meta:
		name = "_mbsdec_l"
		size = 150
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 003c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 62 48 85 D2 74 E7 48 3B CA 73 F2 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 83 79 08 00 75 05 48 FF CB EB 25 48 8D 53 FF 48 FF CA 48 3B FA 77 0A 0F B6 02 F6 44 08 19 04 75 EE 48 8B CB 48 2B CA 83 E1 01 48 2B D9 48 FF CB 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_535_7_0 {
	meta:
		name = "_fgetwc_nolock"
		size = 417
		refs = "0017 __pioinfo 0023 __badioinfo 002d _fileno 007c _getc_nolock 0108 __pctype_func 0132 ungetc 0154 mbtowc 015e _errno 0192 __acrt_stdio_refill_and_read_wide_nolock"
	strings:
		$1 = { 40 53 55 56 57 41 57 48 83 EC 20 48 8B F9 8B 41 14 C1 E8 0C 4C 8D 3D ?? ?? ?? ?? BE 01 00 00 00 48 8D 2D ?? ?? ?? ?? 40 84 C6 75 76 E8 ?? ?? ?? ?? 83 F8 FF 74 34 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 27 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 8B CF 48 C1 FB 06 E8 ?? ?? ?? ?? 49 8B 14 DF 83 E0 3F 48 C1 E0 06 48 03 D0 EB 03 48 8B D5 80 7A 39 00 74 2F 48 8D 5C 24 50 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 0F 84 AD 00 00 00 88 03 48 03 DE 48 8D 44 24 52 48 3B D8 75 E0 0F B7 44 24 50 E9 F4 00 00 00 8B 47 14 C1 E8 0C 40 84 C6 0F 85 C0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 32 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 25 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 8B CF 48 C1 FB 06 E8 ?? ?? ?? ?? 49 8B 2C DF 83 E0 3F 48 C1 E0 06 48 03 E8 F6 45 38 80 74 7B 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 33 88 44 24 60 E8 ?? ?? ?? ?? 0F B6 4C 24 60 BA 00 80 00 00 66 85 14 48 74 2A 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 14 0F BE 4C 24 60 48 8B D7 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 59 88 44 24 61 BE 02 00 00 00 4C 63 C6 48 8D 54 24 60 48 8D 4C 24 58 E8 ?? ?? ?? ?? 83 F8 FF 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB CC 0F B7 44 24 58 EB 25 8B 47 10 83 F8 02 7C 15 83 C0 FE 89 47 10 48 8B 0F 0F B7 01 48 83 C1 02 48 89 0F EB 08 48 8B CF E8 ?? ?? ?? ?? 48 83 C4 20 41 5F 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_535_10_0 {
	meta:
		name = "fgetwc"
		size = 92
		refs = "001f _errno 002a _invalid_parameter_noinfo 0036 _lock_file 003f _fgetwc_nolock 004a _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 1C E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "??$common_filelength@J@@YAJH@Z"
		size = 268
		refs = "0020 __doserrno 0028 _errno 0041 _nhandle 0058 __pioinfo 0074 __acrt_lowio_lock_fh 00a4 _lseek_nolock 00d5 __acrt_lowio_unlock_fh 00f1 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 30 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 BE 00 00 00 85 C9 0F 88 9E 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 92 00 00 00 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 3D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 04 F7 0F B6 4C 30 38 83 E1 01 74 6C 8B CB E8 ?? ?? ?? ?? 83 CF FF 4B 8B 04 F7 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 37 33 D2 44 8D 42 01 8B CB E8 ?? ?? ?? ?? 8B F0 3B C7 74 24 33 D2 44 8D 42 02 8B CB E8 ?? ?? ?? ?? 8B F8 89 44 24 20 3B F0 74 0D 45 33 C0 8B D6 8B CB E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_537_2_0 {
	meta:
		name = "??$common_filelength@_J@@YA_JH@Z"
		size = 277
		refs = "0020 __doserrno 0028 _errno 0041 _nhandle 0058 __pioinfo 0074 __acrt_lowio_lock_fh 00a5 _lseeki64_nolock 00dc __acrt_lowio_unlock_fh 00f9 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 30 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C6 00 00 00 85 C9 0F 88 A6 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 9A 00 00 00 48 8B F3 4C 8B F3 49 C1 FE 06 4C 8D 3D ?? ?? ?? ?? 83 E6 3F 48 C1 E6 06 4B 8B 04 F7 0F B6 4C 30 38 83 E1 01 74 74 8B CB E8 ?? ?? ?? ?? 48 83 CF FF 4B 8B 04 F7 F6 44 30 38 01 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 EB 3D 33 D2 44 8D 42 01 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 3B C7 74 28 33 D2 44 8D 42 02 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 20 48 3B F0 74 0E 45 33 C0 48 8B D6 8B CB E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_538_0_0 {
	meta:
		name = "wcsncpy"
		size = 72
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 8B F9 33 C9 4D 85 C0 74 2D 48 2B D7 0F B7 04 3A 66 89 07 48 83 C7 02 66 85 C0 74 06 49 83 E8 01 75 EA 4D 85 C0 74 0F 49 83 E8 01 74 09 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_539_0_0 {
	meta:
		name = "??$common_tcscat_s@D@@YAHQEAD_KQEBD@Z"
		size = 125
		refs = "001f _errno 002b _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 44 38 11 74 09 48 FF C1 48 83 EA 01 75 F2 48 85 D2 75 05 45 88 11 EB CF 4C 2B C1 41 8A 04 08 88 01 48 FF C1 84 C0 74 06 48 83 EA 01 75 ED 48 85 D2 75 0F 45 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB AF 33 C0 EB B4 }
	condition:
		$1
}

rule file_539_1_0 {
	meta:
		name = "strcat_s"
		size = 118
		refs = "001d _errno 0029 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B C9 48 85 C9 74 0C 48 85 D2 74 07 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 38 19 74 09 48 FF C1 48 83 EA 01 75 F3 48 85 D2 75 05 41 88 19 EB D0 4C 2B C1 41 8A 04 08 88 01 48 FF C1 84 C0 74 06 48 83 EA 01 75 ED 48 85 D2 75 C6 41 88 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB B0 }
	condition:
		$1
}

rule file_540_0_0 {
	meta:
		name = "ldexp"
		size = 371
		refs = "002b _ctrlfp 0048 _sptype 006a _handle_qnan2 007f __real@3ff0000000000000 008c __real@0000000000000000 00a1 _decomp 00df _set_exp 0130 _d_inf 0135 _copysign 015a _except2"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 20 F2 0F 11 40 08 57 48 83 EC 40 8B DA 0F 29 70 E8 BE C0 FF 00 00 B9 80 1F 00 00 8B D6 0F 28 F0 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B F8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 44 0F 28 C6 E8 ?? ?? ?? ?? 85 C0 7E 23 83 F8 02 0F 8E C0 00 00 00 83 F8 03 75 15 66 0F 6E CB 0F 28 C6 F3 0F E6 C9 E8 ?? ?? ?? ?? E9 EB 00 00 00 0F 28 C6 B9 08 00 00 00 F2 0F 58 05 ?? ?? ?? ?? E9 B6 00 00 00 66 0F 2E 35 ?? ?? ?? ?? 7A 06 0F 84 81 00 00 00 48 8D 54 24 60 0F 28 C6 E8 ?? ?? ?? ?? 8B 4C 24 60 85 DB 79 0D B8 00 00 00 80 2B C3 3B C8 7C 35 EB 0B B8 FF FF FF 7F 2B C3 3B C8 7F 64 8D 14 19 81 FA 00 0A 00 00 7F 59 81 FA 00 04 00 00 7E 0D 81 C2 00 FA FF FF E8 ?? ?? ?? ?? EB 54 81 FA 03 F6 FF FF 7D 0F F2 0F 59 05 ?? ?? ?? ?? B9 12 00 00 00 EB 42 81 FA 03 FC FF FF 7D 0D 81 C2 00 06 00 00 E8 ?? ?? ?? ?? EB E4 E8 ?? ?? ?? ?? 0F 28 F0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 0F 28 C6 EB 35 0F 28 C8 F2 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 11 00 00 00 66 0F 6E DB 0F 28 D6 F3 0F E6 DB 48 89 7C 24 28 BA 19 00 00 00 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 68 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "remquof"
		size = 476
		refs = "002c _fdtest 0070 __xmm@80000000800000008000000080000000 00b9 _fdunscale 00f9 _fdscale 0147 __real@3f000000 01ba _fperrraise 01c2 _FNan_C"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 3D 01 00 00 66 44 3B E8 0F 8E 33 01 00 00 F3 0F 10 45 50 0F 57 F6 0F 2F F0 BB 01 00 00 00 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F3 0F 11 45 50 EB 03 45 8B FD F3 0F 10 4D 48 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 66 41 2B C7 F3 0F 11 4D 48 44 0F B7 F8 44 0F B7 E3 EB 03 45 8B E5 48 8D 55 D8 F3 0F 11 45 D8 48 8D 4D 60 E8 ?? ?? ?? ?? F3 0F 10 45 48 41 8B F5 F3 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 58 0F BF 7D 58 0F BF 45 60 2B F8 78 4C F3 0F 10 45 50 48 8D 4D D8 8B D7 F3 0F 11 45 D8 E8 ?? ?? ?? ?? F3 0F 10 45 48 0F 2F 45 D8 73 06 2B FB 79 DC EB 1B F3 0F 5C 45 D8 48 63 C7 F3 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F3 0F 11 45 D8 85 FF 79 98 EB 05 F3 0F 10 45 48 0F 2F C6 76 2A F3 0F 10 4D 50 F3 0F 59 0D ?? ?? ?? ?? 0F 2F C1 76 05 0F 2F CE 77 0C 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F3 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F3 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F3 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_543_4_0 {
	meta:
		name = "_mbsset_s_l"
		size = 322
		refs = "0039 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0052 _strset_s 00df _errno 00eb _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 33 ED 41 8B F0 48 8B DA 48 8B F9 48 85 C9 0F 84 F2 00 00 00 48 85 D2 0F 84 E9 00 00 00 49 8B D1 48 8D 48 D8 E8 ?? ?? ?? ?? 4C 8B 44 24 30 48 8B CF 41 39 68 08 75 12 44 8B C6 48 8B D3 E8 ?? ?? ?? ?? 8B D8 E9 A8 00 00 00 8B D6 C1 EA 08 84 D2 74 49 40 84 F6 74 50 0F B6 C2 42 F6 44 00 19 04 74 45 40 38 2F 74 5B 48 83 EB 01 74 55 48 8D 41 01 40 38 28 74 18 88 11 48 8B C8 48 83 EB 01 74 46 48 FF C1 40 88 30 40 38 29 75 DB EB 34 40 88 29 48 FF C3 BD 01 00 00 00 EB 27 40 0F B6 C6 42 F6 44 00 19 04 74 05 40 88 2F EB 35 40 38 2F 74 11 48 83 EB 01 74 0B 40 88 31 48 FF C1 40 38 29 75 EF 48 85 DB 75 16 C6 07 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 14 85 ED 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 74 1F 48 8B 4C 24 20 83 A1 A8 03 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 6C 24 58 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_545_0_0 {
	meta:
		name = "_chgsignf"
		size = 25
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F8 1F 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_546_0_0 {
	meta:
		name = "tan"
		size = 1472
		refs = "0015 __use_fma3_lib 0033 L_piby4_lead 0040 L_two_to_neg_13 0049 L_two_to_neg_27 0052 L_zero 0060 L_near_one 0068 L_one 007c L_point_333 00c2 L_inf_mask_64 00c9 _tan_special 0101 L_sign_mask 0109 L_moderate_arg_cw 0177 L_twobypi 017f L_point_five 019b L_piby2_1 01a3 L_piby2_1tail 01cf L_piby2_2 01d7 L_piby2_2tail 01fe L_piby2_3 0206 L_piby2_3tail 0242 L_signbit 0269 __remainder_piby2_forAsm 02a6 L_piby4_tail 02b5 L_point_68 02d0 L_tan_q6 02d8 L_tan_p4 02e5 L_tan_q4 02ee L_tan_p2 02f7 L_tan_q2 0300 L_tan_p0 0309 L_tan_q0 033d L_two 037b L_moderate_arg_bdl 0386 __remainder_piby2_fma3_bdl 03d4 L_n_point_68 03de L_n_one 04bb L_half_mask 0591 __remainder_piby2_fma3"
	strings:
		$1 = { 48 81 EC 88 00 00 00 66 0F 7F 74 24 20 66 0F 7F 7C 24 30 83 3D ?? ?? ?? ?? 00 0F 85 60 02 00 00 66 48 0F 7E C2 0F 28 F0 48 8B CA 48 0F BA F1 3F 48 3B 0D ?? ?? ?? ?? 0F 87 82 00 00 00 48 3B 0D ?? ?? ?? ?? 73 5A 48 3B 0D ?? ?? ?? ?? 73 21 48 3B 0D ?? ?? ?? ?? 74 53 F2 0F 10 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? EB 3D 66 90 F2 0F 59 C0 F2 0F 59 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C6 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 0F 1F 84 00 00 00 00 00 0F 57 C9 45 33 C0 E8 15 05 00 00 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 48 3B 0D ?? ?? ?? ?? 72 28 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 45 33 C0 4D 33 D2 48 3B CA 41 0F 95 C2 66 0F 54 35 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 0F 86 49 01 00 00 48 8B D1 48 B8 5E 38 55 29 7A 6A 0F 40 48 C1 EA 34 48 3B C8 77 16 48 B8 D2 21 33 7F 7C D9 02 40 48 3B C8 41 0F 97 C0 41 FF C0 EB 45 48 B8 BB B2 CC BE 3A 46 1C 40 48 3B C8 77 1E 48 B8 75 A7 BB E9 BB FD 15 40 48 3B C8 41 0F 97 C0 41 83 C0 03 EB 1F 0F 1F 80 00 00 00 00 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 44 0F 2C C0 66 41 0F 6E D8 F3 0F E6 DB 0F 28 D3 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 66 48 0F 7E F0 48 C1 E8 34 25 FF 07 00 00 48 2B D0 48 83 FA 0F 76 58 0F 28 CE 0F 28 C3 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 48 83 FA 30 76 29 0F 28 CE 0F 28 C3 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 0F 28 C6 41 83 E0 03 F2 0F 5C C2 F2 0F 5C F0 F2 0F 5C F2 41 83 E0 01 0F 28 CE E8 87 03 00 00 45 85 D2 74 08 66 0F 57 05 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 0F 1F 44 00 00 0F 28 C6 4C 89 54 24 50 E8 ?? ?? ?? ?? 4C 8B 54 24 50 66 0F 28 F1 44 8B C0 EB B2 0F 1F 44 00 00 C4 C1 F9 7E C1 49 8B D1 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 83 C6 00 00 00 C5 FB 10 2D ?? ?? ?? ?? C5 FB 10 35 ?? ?? ?? ?? C5 F1 57 C9 C5 C1 57 FF 4C 3B 0D ?? ?? ?? ?? 0F 87 91 02 00 00 4C 3B 0D ?? ?? ?? ?? 0F 8C 54 02 00 00 C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 1D ?? ?? ?? ?? C5 FB 59 D0 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 25 ?? ?? ?? ?? C5 E3 5E DC C5 E3 59 DA C4 E2 F9 99 C3 66 0F 2F 3D ?? ?? ?? ?? 74 21 C5 FB 10 1D ?? ?? ?? ?? C5 FB 58 25 ?? ?? ?? ?? C5 FB 5E F4 C4 E2 C9 BD 1D ?? ?? ?? ?? C5 E3 59 C7 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 0F 1F 80 00 00 00 00 4C 3B 0D ?? ?? ?? ?? 0F 83 2D 02 00 00 C5 F9 29 44 24 40 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 8D 0B 02 00 00 E8 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 10 35 ?? ?? ?? ?? C5 C1 57 FF C5 F9 2F 05 ?? ?? ?? ?? 76 28 C5 FB 10 3D ?? ?? ?? ?? C5 D3 5C C0 C5 CB 5C D1 C5 FB 58 C2 C5 F0 57 C9 EB 30 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 2F 05 ?? ?? ?? ?? 73 18 C5 FB 10 3D ?? ?? ?? ?? C5 D3 58 C0 C5 CB 58 D1 C5 FB 58 C2 C5 F0 57 C9 C5 FB 59 D0 C5 F3 59 E8 C4 E2 E9 99 2D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 D1 A9 15 ?? ?? ?? ?? C4 E2 D1 A9 15 ?? ?? ?? ?? C5 FB 10 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C5 EB 5E D4 C5 EB 59 D5 C4 E2 F9 A9 D1 C5 FB 58 CA C5 C9 57 F6 C5 F9 2F FE 74 55 C5 F3 58 F1 C5 FB 10 25 ?? ?? ?? ?? C5 F3 58 D4 C5 F3 5C EC 48 0F BA E0 00 72 1A C5 F3 58 D4 C5 F3 5E D2 C4 E2 D9 9D 15 ?? ?? ?? ?? C5 EB 59 CF EB 65 0F 1F 00 C5 F3 5C D4 C5 F3 5E D2 C4 E2 D9 9B 15 ?? ?? ?? ?? C5 EB 59 CF EB 4B 66 0F 1F 84 00 00 00 00 00 48 0F BA E0 00 73 3B C5 F1 54 3D ?? ?? ?? ?? C5 C3 5C E0 C5 EB 5C E4 C5 FB 10 15 ?? ?? ?? ?? C5 EB 5E D1 C5 E9 54 2D ?? ?? ?? ?? C4 E2 D1 A9 3D ?? ?? ?? ?? C4 E2 D9 B9 FD C4 E2 E9 A9 FD C5 F9 28 CF C5 F9 28 C1 C5 F9 28 4C 24 40 C5 F1 54 0D ?? ?? ?? ?? C5 F9 57 C1 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 0F 1F 40 00 66 0F 2F 05 ?? ?? ?? ?? 0F 84 17 FE FF FF C5 FB 59 0D ?? ?? ?? ?? C5 FB 58 0D ?? ?? ?? ?? E9 02 FE FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 2F 05 ?? ?? ?? ?? 72 15 C5 FB 10 3D ?? ?? ?? ?? C5 D3 5C C0 C5 FB 58 C6 E9 5D FD FF FF C5 FB 10 3D ?? ?? ?? ?? C5 D3 58 C0 C5 FB 58 C6 E9 48 FD FF FF 66 66 66 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? E9 F0 FD FF FF E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_546_1_0 {
	meta:
		name = "_tan_piby4"
		size = 472
		refs = "0010 L_point_68 0020 L_piby4_lead 0031 L_piby4_tail 0049 L_n_point_68 0090 L_tan_p4 0098 L_tan_q6 00a4 L_tan_p2 00b0 L_tan_p0 00bc L_tan_q4 00cc L_tan_q2 00d8 L_tan_q0 00f8 L_one 015e L_n_one"
	strings:
		$1 = { 48 83 EC 48 66 0F 7F 74 24 30 33 C0 66 0F 2F 05 ?? ?? ?? ?? 0F 28 D9 0F 28 F0 76 29 F2 0F 10 15 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C1 0F 28 F2 F2 0F 58 F0 0F 57 DB EB 28 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 76 1A F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? 83 C8 FF F2 0F 58 F3 0F 57 DB 0F 28 C6 0F 28 D6 F2 0F 59 C6 F2 0F 58 D2 F2 0F 59 D3 F2 0F 58 D0 0F 28 C2 0F 28 EA 0F 28 CA F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E E8 F2 0F 58 EB 85 C0 74 6D F2 0F 58 EE 45 85 C0 74 32 0F 28 C5 F2 0F 5C 2D ?? ?? ?? ?? 66 0F 6E C8 F2 0F 58 C0 F2 0F 5E C5 F3 0F E6 C9 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C1 66 0F 6F 74 24 30 48 83 C4 48 C3 F2 0F 10 05 ?? ?? ?? ?? 0F 28 CD F2 0F 58 E8 F2 0F 58 C9 F2 0F 5E CD F2 0F 5C C1 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 C1 66 0F 6F 74 24 30 48 83 C4 48 C3 45 85 C0 74 6C F2 0F 10 25 ?? ?? ?? ?? 0F 28 C5 48 B9 00 00 00 00 FF FF FF FF F2 0F 58 C6 66 48 0F 7E C0 F2 0F 5E E0 48 23 C1 66 48 0F 6E D8 0F 28 CB F2 0F 5C CE 66 48 0F 7E E0 F2 0F 5C E9 48 23 C1 66 48 0F 6E D0 0F 28 C2 F2 0F 59 EA F2 0F 59 C3 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C2 66 0F 6F 74 24 30 48 83 C4 48 C3 F2 0F 58 EE 0F 28 C5 66 0F 6F 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "mbrtoc16"
		size = 468
		refs = "001f ?internal_pst@?1??mbrtoc16@@9@4U_Mbstatet@@A 0042 ??_C@_00CNPNBAHC@?$AA@ 014f _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 45 33 D2 4C 8D 1D ?? ?? ?? ?? 4D 85 C9 48 8B F2 48 8B F9 4D 0F 45 D9 41 8A 5B 06 45 8B 0B 48 85 D2 75 0E 41 8B FA 48 8D 35 ?? ?? ?? ?? 44 8D 42 01 41 BF 10 00 00 00 48 8B D6 41 3A DF 0F 84 B0 00 00 00 49 83 CE FF 4D 85 C0 0F 84 54 01 00 00 84 DB 7E 23 8A 02 24 C0 3C 80 0F 85 D5 00 00 00 0F B6 0A 41 8B C1 83 E1 3F C1 E0 06 44 8B C9 44 0B C8 41 02 DE EB 69 F6 02 80 75 06 44 0F B6 0A EB 5E 8A 02 24 E0 3C C0 75 0C 44 0F B6 0A B3 01 41 83 E1 1F EB 4E 8A 02 24 F0 3C E0 75 0C 44 0F B6 0A B3 02 41 83 E1 0F EB 3A 8A 02 24 F8 3C F0 75 0C 44 0F B6 0A B3 03 41 83 E1 07 EB 26 8A 02 24 FC 3C F8 75 0C 44 0F B6 0A B3 04 41 83 E1 03 EB 12 3C FC 75 5F 44 0F B6 0A B3 05 41 83 E1 03 84 DB 74 61 48 FF C2 49 FF C8 41 3A DF 0F 85 54 FF FF FF 48 85 FF 74 16 B8 FF 03 00 00 66 44 23 C8 B8 00 DC 00 00 66 44 0B C8 66 44 89 0F 66 45 89 53 06 48 C7 C0 FD FF FF FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 49 8B C6 EB D5 41 81 F9 FF FF 10 00 77 E7 41 81 F9 FF FF 00 00 76 29 48 85 FF 74 16 41 C1 E9 0A B9 00 D8 00 00 66 41 83 E9 40 66 44 0B C9 66 44 89 0F 48 2B D6 66 45 89 7B 06 48 8D 42 01 EB 9A 48 85 FF 74 04 66 44 89 0F 66 45 89 53 06 45 85 C9 74 09 4C 8B D2 4C 2B D6 49 FF C2 49 8B C2 E9 76 FF FF FF 0F BE C3 66 41 89 43 06 48 C7 C0 FE FF FF FF 45 89 0B E9 5F FF FF FF }
	condition:
		$1
}

rule file_549_0_0 {
	meta:
		name = "modff"
		size = 172
		refs = "0076 __real@80000000"
	strings:
		$1 = { 0F 28 C8 F3 0F 11 4C 24 08 44 8B 44 24 08 41 8B C0 C1 E8 17 0F B6 C8 83 E9 7F 79 1A 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 F3 0F 11 02 0F 28 C1 C3 41 B9 17 00 00 00 41 3B C9 7D 40 44 2B C9 B8 01 00 00 00 41 8A C9 D3 E0 FF C8 F7 D0 41 23 C0 89 44 24 08 F3 0F 10 54 24 08 0F 2E CA F3 0F 11 12 7A 13 75 11 0F 57 C0 0F 2F C1 76 09 F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 5C CA EB B1 41 8B C0 F3 0F 11 0A 0F BA F0 1F 3D 00 00 80 7F 76 06 F3 0F 58 C9 EB 99 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_550_0_0 {
	meta:
		name = "_logbf"
		size = 224
		refs = "005f ??_C@_06NFPIKLH@_logbf?$AA@ 0064 _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 0F 28 C8 F3 0F 11 4C 24 60 8B 4C 24 60 8B C1 C1 E8 17 0F B6 D0 83 EA 7F F7 C1 FF FF FF 7F 75 46 C7 44 24 40 01 00 00 00 0F 57 C0 F3 0F 11 44 24 38 41 B9 02 00 00 00 F3 0F 11 4C 24 30 41 B8 00 00 80 FF C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 BA 25 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 B8 82 FF FF FF 3B D0 7C 0B 83 FA 7F 7F 0B 66 0F 6E C2 EB 5A 83 FA 7F 7E 3C F7 C1 FF FF 7F 00 74 50 C7 44 24 40 01 00 00 00 0F 57 C0 F3 0F 11 44 24 38 4C 8B C1 F3 0F 11 4C 24 30 49 0F BA E8 16 C7 44 24 28 21 00 00 00 41 B9 01 00 00 00 83 64 24 20 00 EB 98 81 E1 FF FF 7F 00 BA 00 00 80 00 EB 04 03 C9 FF C8 3B CA 72 F8 66 0F 6E C0 0F 5B C0 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "log1pf"
		size = 207
		refs = "001a _fdtest 0043 __real@bf800000 005a _fperrraise 0062 _FNan_C 007e _FInf_C 0085 __xmm@80000000800000008000000080000000 0093 __real@3f800000 009b logf"
	strings:
		$1 = { 48 8B C4 F3 0F 11 40 08 48 83 EC 48 0F 29 78 E8 48 8D 48 08 44 0F 29 40 D8 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 90 00 00 00 83 E9 01 74 05 83 F9 01 EB 0A B8 00 80 00 00 66 85 44 24 52 74 7A F3 0F 10 05 ?? ?? ?? ?? F3 44 0F 10 44 24 50 41 0F 2F C0 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 57 44 0F 2E C0 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 34 41 0F 28 F8 F3 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F3 0F 5C 0D ?? ?? ?? ?? F3 41 0F 5C C8 F3 0F 5E CF F3 0F 5C C1 EB 06 F3 0F 10 44 24 50 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "cabsf"
		size = 50
		refs = "000f cimagf 001c crealf 0024 _hypotf"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_554_5_0 {
	meta:
		name = "_mbsspnp_l"
		size = 221
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002f strspn 004e _errno 0059 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 30 83 7A 08 00 75 1B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 0C 18 8A 01 F6 D8 48 1B C0 48 23 C1 EB 7C 48 85 DB 74 05 48 85 FF 75 63 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5E 80 3F 00 48 8B CF 74 2D 0F B6 01 F6 44 10 19 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 80 39 00 75 D3 80 39 00 74 1A 0F B6 03 F6 44 10 19 04 74 08 48 FF C3 80 3B 00 74 08 48 FF C3 80 3B 00 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "_d_int"
		size = 279
		refs = "00ae __ImageBase 00bf ?mask@?3??_d_int@@9@9 00cb ?sub@?3??_d_int@@9@9"
	strings:
		$1 = { B8 FF 07 00 00 4C 8B C1 0F B7 49 06 44 0F B7 DA 44 0F B7 C9 66 41 C1 E9 04 66 44 23 C8 66 44 3B C8 75 28 F6 C1 0F 75 1D 33 D2 66 41 39 50 04 75 14 66 41 39 50 02 75 0D 8D 42 01 66 41 39 10 0F 84 D1 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 18 66 41 39 50 04 75 11 66 41 39 50 02 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 BA 33 04 00 00 66 45 2B D1 66 45 2B D3 66 45 85 D2 7E E8 B8 35 00 00 00 66 41 3B C2 7F 19 B8 00 80 00 00 41 89 50 02 66 23 C8 66 41 89 10 66 41 89 48 06 83 C8 FF C3 49 0F BF C2 48 8D 0D ?? ?? ?? ?? 83 E0 0F 66 41 C1 FA 04 44 0F B7 8C 41 ?? ?? ?? ?? 49 0F BF C2 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 C8 66 41 33 C1 66 41 89 04 48 41 0F BF CA 83 E9 01 74 1E 83 E9 01 74 0F 83 F9 01 75 1C 66 45 0B 48 04 66 41 89 50 04 66 45 0B 48 02 66 41 89 50 02 66 45 0B 08 66 41 89 10 66 41 F7 D9 1B C0 C3 }
	condition:
		$1
}

rule file_555_1_0 {
	meta:
		name = "_dtest"
		size = 94
	strings:
		$1 = { 0F B7 51 06 B8 F0 7F 00 00 66 23 D0 66 3B D0 75 24 F6 41 06 0F 75 18 33 C0 66 39 41 04 75 10 66 39 41 02 75 0A 66 39 01 B8 01 00 00 00 74 2E B8 02 00 00 00 C3 0F B7 41 06 A9 FF 7F FF FF 75 13 33 C0 66 39 41 04 75 0B 66 39 41 02 75 05 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_555_2_0 {
	meta:
		name = "_fd_int"
		size = 214
		refs = "008e __ImageBase 009f ?mask@?3??_fd_int@@9@9 00ab ?sub@?3??_fd_int@@9@9"
	strings:
		$1 = { B8 FF 00 00 00 4C 8B C1 0F B7 49 02 44 0F B7 DA 44 0F B7 D1 66 41 C1 EA 07 66 44 23 D0 66 44 3B D0 75 1A F6 C1 7F 75 0F 33 D2 8D 42 01 66 41 39 10 0F 84 9E 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 B9 96 00 00 00 66 45 2B CA 66 45 2B CB 66 45 85 C9 7E E8 B8 18 00 00 00 66 41 3B C1 7F 15 B8 00 80 00 00 66 41 89 10 66 23 C8 66 41 89 48 02 83 C8 FF C3 49 0F BF C1 48 8D 0D ?? ?? ?? ?? 83 E0 0F 66 41 C1 F9 04 44 0F B7 94 41 ?? ?? ?? ?? 49 0F BF C1 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 D0 66 41 33 C2 66 41 89 04 48 66 41 3B D1 7D 08 66 45 0B 10 66 41 89 10 66 41 F7 DA 1B C0 C3 }
	condition:
		$1
}

rule file_555_3_0 {
	meta:
		name = "_fdtest"
		size = 70
	strings:
		$1 = { 0F B7 51 02 B8 80 7F 00 00 66 23 D0 66 3B D0 75 18 F6 41 02 7F 75 0C 33 C0 66 39 01 B8 01 00 00 00 74 22 B8 02 00 00 00 C3 0F B7 41 02 A9 FF 7F FF FF 75 07 33 C0 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_555_4_0 {
	meta:
		name = "_fperrraise"
		size = 158
		refs = "0017 fegetexceptflag 005b __acrt_fenv_get_fp_status_word_from_exception_mask 006e fesetexceptflag 0077 _errno"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 8B D9 BA 1F 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 30 F6 C3 18 74 03 83 CB 20 B9 00 00 00 00 F6 C3 20 8D 41 01 0F 45 C8 F6 C3 10 74 03 83 C9 02 F6 C3 08 74 03 83 C9 04 F6 C3 04 74 03 83 C9 08 8B FB 23 F8 74 03 83 C9 10 E8 ?? ?? ?? ?? 09 44 24 30 48 8D 4C 24 30 BA 1F 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C3 1C 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_555_7_0 {
	meta:
		name = "fperrraise_with"
		size = 139
		refs = "0048 __acrt_fenv_get_fp_status_word_from_exception_mask 005b fesetexceptflag 0064 _errno"
	strings:
		$1 = { 48 89 5C 24 08 89 54 24 10 57 48 83 EC 20 8B D9 F6 C1 18 74 03 83 CB 20 B9 00 00 00 00 F6 C3 20 8D 41 01 0F 45 C8 F6 C3 10 74 03 83 C9 02 F6 C3 08 74 03 83 C9 04 F6 C3 04 74 03 83 C9 08 8B FB 23 F8 74 03 83 C9 10 E8 ?? ?? ?? ?? 09 44 24 38 48 8D 4C 24 38 BA 1F 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C3 1C 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_0_0 {
	meta:
		name = "??$common_fopen_s@D@@YAHQEAPEAU_iobuf@@QEBD1@Z"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 ??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_1_0 {
	meta:
		name = "??$common_fopen_s@_W@@YAHQEAPEAU_iobuf@@QEB_W1@Z"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 ??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_2_0 {
	meta:
		name = "??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
		size = 205
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 006a ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0095 _openfile 00ac ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 00b6 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B F0 48 8B DA 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 82 00 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DD 33 C0 38 02 0F 95 C0 85 C0 74 D2 80 39 00 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 4C 24 40 4D 85 C9 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB AF 48 83 64 24 20 00 44 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 20 48 85 C0 75 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_556_3_0 {
	meta:
		name = "?fin$0@?0???$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z@4HA"
		size = 43
		refs = "0015 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 001f _unlock_file"
		altNames = "?fin$0@?0???$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 83 7D 20 00 75 0A 48 8B 4D 40 E8 ?? ?? ?? ?? 90 48 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_556_4_0 {
	meta:
		name = "??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
		size = 225
		refs = "002f _errno 003a _invalid_parameter_noinfo 0079 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 00a3 _wopenfile 00ba ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 00c4 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 30 41 8B F0 48 8B DA 48 8B F9 45 33 F6 41 8B C6 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 86 00 00 00 41 8B C6 48 85 D2 0F 95 C0 85 C0 74 DC 41 8B C6 66 44 39 32 0F 95 C0 85 C0 74 CE 66 44 39 31 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB CB 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 4C 24 40 4D 85 C9 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB AA 4C 89 74 24 20 44 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 20 48 85 C0 75 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_556_13_0 {
	meta:
		name = "_wfopen_s"
		size = 88
		refs = "001b _errno 0025 _invalid_parameter_noinfo 0038 ??$common_fsopen@_W@@YAPEAU_iobuf@@QEB_W0H@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 49 8B C0 4C 8B CA 48 8B F9 48 85 C9 75 11 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? EB 20 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 07 E8 ?? ?? ?? ?? 8B 18 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_16_0 {
	meta:
		name = "fopen_s"
		size = 88
		refs = "001b _errno 0025 _invalid_parameter_noinfo 0038 ??$common_fsopen@D@@YAPEAU_iobuf@@QEBD0H@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 49 8B C0 4C 8B CA 48 8B F9 48 85 C9 75 11 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? EB 20 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 07 E8 ?? ?? ?? ?? 8B 18 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_557_5_0 {
	meta:
		name = "_strncoll_l"
		size = 255
		refs = "002f _errno 003a _invalid_parameter_noinfo 0072 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0091 strncmp 00bc __acrt_CompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 60 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 C0 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 A1 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 7E 49 8B D1 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 8B 90 30 01 00 00 48 85 D2 75 12 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 3B 8B 40 14 48 8D 4C 24 48 89 44 24 38 4C 8B CD 89 7C 24 30 41 B8 00 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_558_4_0 {
	meta:
		name = "_mbccpy_s_l"
		size = 255
		refs = "003c _errno 0048 _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B D8 48 8B EA 48 8B F9 4D 85 C0 74 04 41 83 20 00 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C9 75 2B 44 88 09 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 6C 24 58 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 48 8B 54 24 70 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B6 0E 48 8B 44 24 30 F6 44 01 19 04 74 53 80 7E 01 00 75 1C C6 07 00 48 85 DB 74 06 C7 03 01 00 00 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 40 48 83 FD 02 73 16 C6 07 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 24 88 0F 8A 46 01 88 47 01 48 85 DB 74 15 C7 03 02 00 00 00 EB 0D 88 0F 48 85 DB 74 06 C7 03 01 00 00 00 33 DB 80 7C 24 38 00 0F 84 5E FF FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 4D FF FF FF }
	condition:
		$1
}

rule file_559_0_0 {
	meta:
		name = "fgetpos"
		size = 75
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 002f _ftelli64"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 17 48 85 D2 74 E6 E8 ?? ?? ?? ?? 48 83 F8 FF 48 89 07 0F 95 C3 8D 43 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_561_0_0 {
	meta:
		name = "wcscpy"
		size = 27
	strings:
		$1 = { 4C 8B C1 4C 2B C2 0F B7 02 66 41 89 04 10 48 8D 52 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_562_9_0 {
	meta:
		name = "_fclose_nolock"
		size = 131
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0035 __acrt_stdio_flush_nolock 003f __acrt_stdio_free_buffer_nolock 0047 _fileno 004e _close 0065 _free_base 0072 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 51 83 CF FF 8B 41 14 C1 E8 0D A8 01 74 3A E8 ?? ?? ?? ?? 48 8B CB 8B F8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 79 05 83 CF FF EB 13 48 8B 4B 28 48 85 C9 74 0A E8 ?? ?? ?? ?? 48 83 63 28 00 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_562_10_0 {
	meta:
		name = "fclose"
		size = 105
		refs = "001f _errno 002a _invalid_parameter_noinfo 003e ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0045 _lock_file 004e _fclose_nolock 0058 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2B 8B 41 14 C1 E8 0C A8 01 74 07 E8 ?? ?? ?? ?? EB EA E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_563_5_0 {
	meta:
		name = "_set_fmode"
		size = 61
		refs = "001b _fmode 0024 _errno 002f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8D 81 00 C0 FF FF A9 FF 3F FF FF 75 12 81 F9 00 C0 00 00 74 0A 87 0D ?? ?? ?? ?? 33 C0 EB 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_563_6_0 {
	meta:
		name = "_setmode"
		size = 246
		refs = "0043 _errno 006a _nhandle 007d __pioinfo 009b __acrt_lowio_lock_fh 00c0 _setmode_nolock 00c9 __acrt_lowio_unlock_fh 00dd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 41 56 41 57 48 83 EC 20 8B F2 48 63 F9 81 FA 00 00 02 00 74 30 81 FA 00 00 01 00 74 28 81 FA 00 80 00 00 74 20 81 FA 00 40 00 00 74 18 81 FA 00 00 04 00 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 8A 00 00 00 83 FF FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 7D 85 C9 78 69 3B 3D ?? ?? ?? ?? 73 61 4C 8B F7 4C 8B FF 49 C1 FF 06 4C 8D 25 ?? ?? ?? ?? 41 83 E6 3F 49 C1 E6 06 4B 8B 04 FC 41 0F B6 4C 06 38 83 E1 01 74 39 8B CF E8 ?? ?? ?? ?? 83 CB FF 4B 8B 04 FC 41 F6 44 06 38 01 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 0B 8B D6 8B CF E8 ?? ?? ?? ?? 8B D8 8B CF E8 ?? ?? ?? ?? 8B C3 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 60 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_563_8_0 {
	meta:
		name = "_setmode_nolock"
		size = 223
		refs = "0015 __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 74 24 18 4C 63 C1 48 8D 3D ?? ?? ?? ?? 4D 8B D0 41 BE 00 00 04 00 49 C1 FA 06 41 83 E0 3F 49 C1 E0 06 4E 8B 0C D7 43 0F B6 4C 01 38 47 8A 5C 01 39 8B D9 81 E3 80 00 00 00 81 FA 00 40 00 00 74 4C 81 FA 00 80 00 00 74 3A 8D 82 00 00 FF FF A9 FF FF FE FF 74 19 41 3B D6 75 44 80 C9 80 43 88 4C 01 38 4A 8B 04 D7 42 C6 44 00 39 01 EB 30 80 C9 80 43 88 4C 01 38 4A 8B 04 D7 42 C6 44 00 39 02 EB 1C 80 E1 7F 43 88 4C 01 38 EB 12 80 C9 80 43 88 4C 01 38 4A 8B 0C D7 42 C6 44 01 39 00 85 DB 75 07 B8 00 80 00 00 EB 19 45 84 DB 75 07 B8 00 40 00 00 EB 0D 41 80 FB 01 B8 00 00 01 00 41 0F 44 C6 48 8B 5C 24 08 48 8B 7C 24 10 4C 8B 74 24 18 C3 }
	condition:
		$1
}

rule file_564_15_0 {
	meta:
		name = "call_wsetlocale"
		size = 229
		refs = "0021 _wsetlocale 0051 mbstowcs_s 006a _calloc_base 00af _free_base 00cb _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 33 FF 48 8B F2 8B E9 48 85 D2 75 1A E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 4C 8B CA 48 C7 44 24 20 FF FF FF 7F 33 D2 48 8D 4C 24 48 45 33 C0 E8 ?? ?? ?? ?? 83 F8 16 74 76 83 F8 22 74 71 48 8B 4C 24 48 BA 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 35 4C 8B 44 24 48 4C 8B CE 48 83 4C 24 20 FF 48 8B D0 33 C9 E8 ?? ?? ?? ?? 85 C0 74 0C 83 F8 16 74 24 83 F8 22 75 0F EB 1D 48 8B D3 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 E9 6A FF FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_564_16_0 {
	meta:
		name = "setlocale"
		size = 76
		refs = "0012 __acrt_eagerly_load_locale_apis 0042 ??$?RV<lambda_9bd929c17696992ce54f1d748594fc62>@@AEAV<lambda_082c17da81b0962e08c0587ee0fac50c>@@V<lambda_9c08ac857f4975304d44e9f601d9b878>@@@?$__crt_seh_guarded_call@PEAD@@QEAAPEAD$$QEAV<lambda_9bd929c17696992ce54f1d748594fc62>@@AEAV<lambda_082c17da81b0962e08c0587ee0fac50c>@@$$QEAV<lambda_9c08ac857f4975304d44e9f601d9b878>@@@Z"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 48 8B EC 48 83 EC 40 E8 ?? ?? ?? ?? 48 8D 45 10 48 89 45 E8 4C 8D 4D 28 48 8D 45 18 48 89 45 F0 4C 8D 45 E8 B8 04 00 00 00 48 8D 55 E0 48 8D 4D 20 89 45 28 89 45 E0 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_567_0_0 {
	meta:
		name = "cbrtl"
		size = 379
		refs = "0021 _ldunscale 008c _ldscale 00ac __xmm@80000000000000008000000000000000 00b9 __real@3fe0000000000000 00c4 __real@3fcf3482be8bc16a 00d2 __real@3ff8000000000000 00da __real@3fd1e54b48d3ae68 00e2 __real@3feea8826aa8eb46 00f5 __real@3fb43419e30014f9"
	strings:
		$1 = { 48 89 5C 24 20 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 30 48 8D 55 10 0F 29 74 24 20 48 8D 4D 18 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F2 0F 10 45 10 E9 34 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 F7 E8 41 8D 59 01 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 41 0F BF C8 44 2B CB F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 41 8B D1 48 8D 4D 10 E8 ?? ?? ?? ?? 44 0F B7 45 18 F2 0F 10 6D 10 B8 00 80 00 00 66 85 45 16 75 04 33 DB EB 0C 0F 57 2D ?? ?? ?? ?? F2 0F 11 6D 10 F2 0F 10 1D ?? ?? ?? ?? 0F 28 E5 F2 0F 59 25 ?? ?? ?? ?? 0F 28 C5 0F 28 F5 F2 0F 59 35 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 25 ?? ?? ?? ?? 0F 28 D6 F2 0F 59 E5 F2 0F 59 EB F2 0F 58 25 ?? ?? ?? ?? 0F 28 CD F2 0F 5E E0 0F 28 C4 F2 0F 59 C4 F2 0F 5E CC F2 0F 58 C8 F2 0F 5E D1 F2 0F 58 D4 F2 0F 59 D3 0F 28 C2 F2 0F 59 C2 F2 0F 5E EA F2 0F 58 E8 F2 0F 5E F5 F2 0F 58 F2 F2 0F 59 F3 F2 0F 11 75 20 85 DB 74 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F2 0F 10 45 20 48 8B 5C 24 58 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_717_0_0 {
	meta:
		name = "cbrt"
		size = 379
		refs = "0021 _dunscale 008c _dscale 00ac __xmm@80000000000000008000000000000000 00b9 __real@3fe0000000000000 00c4 __real@3fcf3482be8bc16a 00d2 __real@3ff8000000000000 00da __real@3fd1e54b48d3ae68 00e2 __real@3feea8826aa8eb46 00f5 __real@3fb43419e30014f9"
	strings:
		$1 = { 48 89 5C 24 20 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 30 48 8D 55 10 0F 29 74 24 20 48 8D 4D 18 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F2 0F 10 45 10 E9 34 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 F7 E8 41 8D 59 01 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 41 0F BF C8 44 2B CB F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 41 8B D1 48 8D 4D 10 E8 ?? ?? ?? ?? 44 0F B7 45 18 F2 0F 10 6D 10 B8 00 80 00 00 66 85 45 16 75 04 33 DB EB 0C 0F 57 2D ?? ?? ?? ?? F2 0F 11 6D 10 F2 0F 10 1D ?? ?? ?? ?? 0F 28 E5 F2 0F 59 25 ?? ?? ?? ?? 0F 28 C5 0F 28 F5 F2 0F 59 35 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 25 ?? ?? ?? ?? 0F 28 D6 F2 0F 59 E5 F2 0F 59 EB F2 0F 58 25 ?? ?? ?? ?? 0F 28 CD F2 0F 5E E0 0F 28 C4 F2 0F 59 C4 F2 0F 5E CC F2 0F 58 C8 F2 0F 5E D1 F2 0F 58 D4 F2 0F 59 D3 0F 28 C2 F2 0F 59 C2 F2 0F 5E EA F2 0F 58 E8 F2 0F 5E F5 F2 0F 58 F2 F2 0F 59 F3 F2 0F 11 75 20 85 DB 74 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F2 0F 10 45 20 48 8B 5C 24 58 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_568_6_0 {
	meta:
		name = "??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 653
		refs = "0033 _errno 003e _invalid_parameter_noinfo 0083 strrchr 00dc _calloc_base 00eb _free_base 00fa ?dot_slash@?CB@???$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z@4QBDB 0105 strcpy_s 011b strcat_s 0168 _access_s 0181 ??$execute_command@D@@YA_JHQEBDQEBQEBD1@Z 01d1 ?extensions@?CP@???$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z@4QAY04$$CBDA 0248 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 FF 4D 8B E9 4D 8B F8 4C 8B F2 44 8B E1 48 85 D2 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 40 38 3A 74 CA 4D 85 C0 74 C5 49 8B 00 48 85 C0 74 BD 40 38 38 74 B8 BA 5C 00 00 00 49 8B CE E8 ?? ?? ?? ?? BA 2F 00 00 00 49 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 83 CE FF 49 8B EE 48 85 C0 0F 85 8D 00 00 00 48 85 DB 0F 85 91 00 00 00 8D 56 3B 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 7E 48 8B DE 48 FF C3 41 38 3C 1E 75 F7 48 83 C3 03 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 0F 33 C9 E8 ?? ?? ?? ?? 48 8B C6 E9 4F FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 3C 01 00 00 4D 8B C6 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 11 01 00 00 48 8D 5D 02 E8 ?? ?? ?? ?? EB 0D 48 85 DB 74 05 48 3B C3 76 03 48 8B D8 4C 3B F5 48 8B FD 41 BE 00 00 00 00 48 8B CB 49 0F 44 FE 41 8D 56 2E E8 ?? ?? ?? ?? 48 85 C0 74 2B 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 BE 00 00 00 4D 8B CD 4D 8B C7 48 8B D5 41 8B CC E8 ?? ?? ?? ?? 48 8B F0 E9 A5 00 00 00 4C 8B F6 45 33 E4 49 FF C6 45 38 24 2E 75 F7 BA 01 00 00 00 49 8D 4E 05 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 78 4C 8B C5 49 8D 56 05 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 AF 00 00 00 E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 44 8B 20 4C 8B C5 49 8D 0C 1E BA 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 75 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 12 48 83 C5 05 48 8D 05 ?? ?? ?? ?? 48 3B E8 75 CD EB 1D E8 ?? ?? ?? ?? 8B 4C 24 60 4D 8B CD 4D 8B C7 48 8B D3 44 89 20 E8 ?? ?? ?? ?? 48 8B F0 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E9 B0 FE FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_568_7_0 {
	meta:
		name = "??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 659
		refs = "0033 _errno 003e _invalid_parameter_noinfo 0083 wcsrchr 00dd _calloc_base 00ec _free_base 00fb ?dot_slash@?CB@???$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z@4QB_WB 0106 wcscpy_s 011c wcscat_s 0169 _waccess_s 0182 ??$execute_command@_W@@YA_JHQEB_WQEBQEB_W1@Z 01d8 ?extensions@?CP@???$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z@4QAY04$$CB_WA 024e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 FF 4D 8B E9 4D 8B F8 4C 8B F2 44 8B E1 48 85 D2 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 66 39 3A 74 CA 4D 85 C0 74 C5 49 8B 00 48 85 C0 74 BD 66 39 38 74 B8 BA 5C 00 00 00 49 8B CE E8 ?? ?? ?? ?? BA 2F 00 00 00 49 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 83 CE FF 49 8B EE 48 85 C0 0F 85 8E 00 00 00 48 85 DB 0F 85 92 00 00 00 8D 56 3B 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 7F 48 8B DE 48 FF C3 66 41 39 3C 5E 75 F6 48 83 C3 03 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 0F 33 C9 E8 ?? ?? ?? ?? 48 8B C6 E9 4E FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 41 01 00 00 4D 8B C6 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 16 01 00 00 48 8D 5D 04 E8 ?? ?? ?? ?? EB 0D 48 85 DB 74 05 48 3B C3 76 03 48 8B D8 4C 3B F5 48 8B FD 41 BE 00 00 00 00 48 8B CB 49 0F 44 FE 41 8D 56 2E E8 ?? ?? ?? ?? 48 85 C0 74 2B 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 C3 00 00 00 4D 8B CD 4D 8B C7 48 8B D5 41 8B CC E8 ?? ?? ?? ?? 48 8B F0 E9 AA 00 00 00 4C 8B F6 45 33 E4 49 FF C6 66 46 39 64 75 00 75 F5 BA 02 00 00 00 49 8D 4E 05 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 7B 4C 8B C5 49 8D 56 05 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B2 00 00 00 4E 8D 34 73 E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 44 8B 20 4C 8B C5 BA 05 00 00 00 49 8B CE E8 ?? ?? ?? ?? 85 C0 75 75 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 12 48 83 C5 0A 48 8D 05 ?? ?? ?? ?? 48 3B E8 75 CE EB 1D E8 ?? ?? ?? ?? 8B 4C 24 60 4D 8B CD 4D 8B C7 48 8B D3 44 89 20 E8 ?? ?? ?? ?? 48 8B F0 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E9 AB FE FF FF 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_568_8_0 {
	meta:
		name = "??$create_process@PEADPEAD$$T$$THAEAKPEAD$$TPEAU_STARTUPINFOA@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAH$$QEAPEAD0$$QEA$$T1$$QEAHAEAK01$$QEAPEAU_STARTUPINFOA@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 102
		refs = "0062 __imp_CreateProcessA"
		altNames = "??$create_process@AEBQEBDPEAD$$T$$THH$$T$$TPEAU_STARTUPINFOA@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAHAEBQEBD$$QEAPEAD$$QEA$$T2$$QEAH322$$QEAPEAU_STARTUPINFOA@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
	strings:
		$1 = { 40 53 48 8B 44 24 58 48 8B D9 4D 8B 00 4D 8B D9 48 8B 12 4C 8B 10 48 8B 44 24 50 4C 89 54 24 58 4C 8B 10 48 8B 44 24 48 4C 89 54 24 50 4C 8B 10 48 8B 44 24 40 4C 89 54 24 48 4C 8B 08 48 8B 44 24 38 4C 89 4C 24 40 4D 8B 0B 8B 08 48 8B 44 24 30 89 4C 24 38 8B 08 89 4C 24 30 48 8B 0B 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_603_12_0 {
	meta:
		name = "??$create_process@AEBQEB_WPEA_W$$T$$THH$$T$$TPEAU_STARTUPINFOW@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAHAEBQEB_W$$QEAPEA_W$$QEA$$T2$$QEAH322$$QEAPEAU_STARTUPINFOW@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 102
		refs = "0062 __imp_CreateProcessW"
	strings:
		$1 = { 40 53 48 8B 44 24 58 48 8B D9 4D 8B 00 4D 8B D9 48 8B 12 4C 8B 10 48 8B 44 24 50 4C 89 54 24 58 4C 8B 10 48 8B 44 24 48 4C 89 54 24 50 4C 8B 10 48 8B 44 24 40 4C 89 54 24 48 4C 8B 08 48 8B 44 24 38 4C 89 4C 24 40 4D 8B 0B 8B 08 48 8B 44 24 30 89 4C 24 38 8B 08 89 4C 24 30 48 8B 0B 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_9_0 {
	meta:
		name = "??$create_process@PEA_WPEA_W$$T$$THAEAKPEA_W$$TPEAU_STARTUPINFOW@@PEAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAH$$QEAPEA_W0$$QEA$$T1$$QEAHAEAK01$$QEAPEAU_STARTUPINFOW@@$$QEAPEAU_PROCESS_INFORMATION@@@Z"
		size = 102
		refs = "0062 __imp_CreateProcessW"
	strings:
		$1 = { 40 53 48 8B 44 24 58 48 8B D9 4D 8B 00 4D 8B D9 48 8B 12 4C 8B 10 48 8B 44 24 50 4C 89 54 24 58 4C 8B 10 48 8B 44 24 48 4C 89 54 24 50 4C 8B 10 48 8B 44 24 40 4C 89 54 24 48 4C 8B 08 48 8B 44 24 38 4C 89 4C 24 40 4D 8B 0B 8B 08 48 8B 44 24 30 89 4C 24 38 8B 08 89 4C 24 30 48 8B 0B 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_10_0 {
	meta:
		name = "??$execute_command@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 603
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0057 __doserrno 0077 __acrt_pack_narrow_command_line_and_environment 0088 _free_base 00b6 ?accumulate_inheritable_handles@@YA_NQEAPEAEQEA_K_N@Z 00ef memset 0145 __imp_CreateProcessA 0157 __imp_GetLastError 015e __acrt_errno_map_os_error 016c __imp_CloseHandle 019e __imp_WaitForSingleObject 01ac __imp_GetExitCodeProcess 0256 _exit"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 55 41 54 41 56 48 8D 68 A1 48 81 EC 00 01 00 00 45 33 E4 4D 8B D1 49 8B C0 48 8B F2 44 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 EA 01 00 00 48 85 C0 74 E2 83 F9 04 76 0A E8 ?? ?? ?? ?? 44 89 20 EB D3 4C 8D 4D 97 4C 89 65 A7 4C 8D 45 A7 4C 89 65 97 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 48 83 CF FF 3B C7 75 1E 48 8B 4D 97 E8 ?? ?? ?? ?? 48 8B 4D A7 4C 89 65 97 E8 ?? ?? ?? ?? 48 8B C7 E9 95 01 00 00 41 83 FE 04 4C 89 65 9F 48 8D 55 AF 41 0F 95 C0 48 8D 4D 9F E8 ?? ?? ?? ?? 84 C0 75 0F 48 8B 4D 9F E8 ?? ?? ?? ?? 4C 89 65 9F EB B6 B8 08 00 00 00 41 83 FE 04 41 8B DC 0F 44 D8 E8 ?? ?? ?? ?? 33 D2 48 8D 4D D7 44 89 20 44 8D 42 68 E8 ?? ?? ?? ?? 0F B7 45 AF 45 33 C9 48 8B 55 A7 45 33 C0 66 89 45 19 48 8B CE 48 8B 45 9F 48 89 45 1F 48 8D 45 B7 48 89 44 24 48 48 8D 45 D7 48 89 44 24 40 48 8B 45 97 4C 89 64 24 38 48 89 44 24 30 89 5C 24 28 C7 44 24 20 01 00 00 00 C7 45 D7 68 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 75 B7 48 8B 5D BF 85 C0 75 32 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 0F 84 45 FF FF FF 48 8B CE FF 15 ?? ?? ?? ?? E9 37 FF FF FF 41 83 FE 02 0F 84 C2 00 00 00 45 85 F6 75 42 83 CA FF 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4D B7 48 8D 55 6F FF 15 ?? ?? ?? ?? 4C 63 75 6F 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 74 09 48 8B CE FF 15 ?? ?? ?? ?? 49 8B FE E9 E6 FE FF FF 41 83 FE 04 75 24 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 74 09 48 8B CE FF 15 ?? ?? ?? ?? 49 8B FC E9 BC FE FF FF 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 4D 9F E8 ?? ?? ?? ?? 48 8B 4D 97 4C 89 65 9F E8 ?? ?? ?? ?? 48 8B 4D A7 4C 89 65 97 E8 ?? ?? ?? ?? 48 8B C6 4C 8D 9C 24 00 01 00 00 49 8B 5B 20 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5C 5D C3 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_568_11_0 {
	meta:
		name = "??$execute_command@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 607
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0057 __doserrno 0077 __acrt_pack_wide_command_line_and_environment 0088 _free_base 00b6 ?accumulate_inheritable_handles@@YA_NQEAPEAEQEA_K_N@Z 00f3 memset 0149 __imp_CreateProcessW 015b __imp_GetLastError 0162 __acrt_errno_map_os_error 0170 __imp_CloseHandle 01a2 __imp_WaitForSingleObject 01b0 __imp_GetExitCodeProcess 025a _exit"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 55 41 54 41 56 48 8D 68 A1 48 81 EC 00 01 00 00 45 33 E4 4D 8B D1 49 8B C0 48 8B F2 44 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 EE 01 00 00 48 85 C0 74 E2 83 F9 04 76 0A E8 ?? ?? ?? ?? 44 89 20 EB D3 4C 8D 4D 97 4C 89 65 A7 4C 8D 45 A7 4C 89 65 97 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 48 83 CF FF 3B C7 75 1E 48 8B 4D 97 E8 ?? ?? ?? ?? 48 8B 4D A7 4C 89 65 97 E8 ?? ?? ?? ?? 48 8B C7 E9 99 01 00 00 41 83 FE 04 4C 89 65 9F 48 8D 55 AF 41 0F 95 C0 48 8D 4D 9F E8 ?? ?? ?? ?? 84 C0 75 0F 48 8B 4D 9F E8 ?? ?? ?? ?? 4C 89 65 9F EB B6 B8 08 00 00 00 41 83 FE 04 41 8B DC 0F 44 D8 0F BA EB 0A E8 ?? ?? ?? ?? 33 D2 48 8D 4D D7 44 89 20 44 8D 42 68 E8 ?? ?? ?? ?? 0F B7 45 AF 45 33 C9 48 8B 55 A7 45 33 C0 66 89 45 19 48 8B CE 48 8B 45 9F 48 89 45 1F 48 8D 45 B7 48 89 44 24 48 48 8D 45 D7 48 89 44 24 40 48 8B 45 97 4C 89 64 24 38 48 89 44 24 30 89 5C 24 28 C7 44 24 20 01 00 00 00 C7 45 D7 68 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 75 B7 48 8B 5D BF 85 C0 75 32 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 0F 84 41 FF FF FF 48 8B CE FF 15 ?? ?? ?? ?? E9 33 FF FF FF 41 83 FE 02 0F 84 C2 00 00 00 45 85 F6 75 42 83 CA FF 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4D B7 48 8D 55 6F FF 15 ?? ?? ?? ?? 4C 63 75 6F 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 74 09 48 8B CE FF 15 ?? ?? ?? ?? 49 8B FE E9 E2 FE FF FF 41 83 FE 04 75 24 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 3B F7 74 09 48 8B CE FF 15 ?? ?? ?? ?? 49 8B FC E9 B8 FE FF FF 48 3B DF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 4D 9F E8 ?? ?? ?? ?? 48 8B 4D 97 4C 89 65 9F E8 ?? ?? ?? ?? 48 8B 4D A7 4C 89 65 97 E8 ?? ?? ?? ?? 48 8B C6 4C 8D 9C 24 00 01 00 00 49 8B 5B 20 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5C 5D C3 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_568_54_0 {
	meta:
		name = "?accumulate_inheritable_handles@@YA_NQEAPEAEQEA_K_N@Z"
		size = 85
		refs = "004b ??$?RV<lambda_a22f0c497e5168315e06dae667770027>@@AEAV<lambda_a094494068278ba5130ab06e1292f60a>@@V<lambda_24dc10c13f43218c635520766e23e324>@@@?$__crt_seh_guarded_call@_N@@QEAA_N$$QEAV<lambda_a22f0c497e5168315e06dae667770027>@@AEAV<lambda_a094494068278ba5130ab06e1292f60a>@@$$QEAV<lambda_24dc10c13f43218c635520766e23e324>@@@Z"
	strings:
		$1 = { 44 88 44 24 18 48 89 54 24 10 48 89 4C 24 08 55 48 8B EC 48 83 EC 40 48 8D 45 10 48 89 45 E8 4C 8D 4D E0 48 8D 45 18 48 89 45 F0 4C 8D 45 E8 48 8D 45 20 48 89 45 F8 48 8D 55 E4 B8 07 00 00 00 48 8D 4D 28 89 45 E0 89 45 E4 E8 ?? ?? ?? ?? 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_568_77_0 {
	meta:
		name = "_execv"
		size = 18
		refs = "000e ??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 45 33 C9 4C 8B C2 48 8B D1 41 8D 49 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_48_0 {
	meta:
		name = "_execvp"
		size = 18
		refs = "000e ??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 45 33 C9 4C 8B C2 48 8B D1 41 8D 49 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_82_0 {
	meta:
		name = "_wexecv"
		size = 18
		refs = "000e ??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 45 33 C9 4C 8B C2 48 8B D1 41 8D 49 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_54_0 {
	meta:
		name = "_wexecvp"
		size = 18
		refs = "000e ??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 45 33 C9 4C 8B C2 48 8B D1 41 8D 49 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_78_0 {
	meta:
		name = "_execve"
		size = 19
		refs = "000f ??$common_spawnv@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 B9 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_49_0 {
	meta:
		name = "_execvpe"
		size = 19
		refs = "000f ??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 B9 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_568_83_0 {
	meta:
		name = "_wexecve"
		size = 19
		refs = "000f ??$common_spawnv@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 B9 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_55_0 {
	meta:
		name = "_wexecvpe"
		size = 19
		refs = "000f ??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 B9 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_569_6_0 {
	meta:
		name = "_ismbcblank_l"
		size = 127
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0062 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 36 83 FB 09 75 05 8D 43 37 EB 42 48 8B 44 24 28 0F B6 D3 48 8B 08 B8 40 00 00 00 84 04 51 75 10 48 8B 44 24 30 F6 44 02 19 02 75 04 33 C0 EB 1D B8 01 00 00 00 EB 16 41 B8 40 00 00 00 48 8D 54 24 28 8B CB 45 8D 48 C1 E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_569_8_0 {
	meta:
		name = "_ismbcpunct_l"
		size = 113
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0054 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 28 48 8B 44 24 28 0F B6 D3 48 8B 08 F6 04 51 10 75 10 48 8B 44 24 30 F6 44 02 19 02 75 04 33 C0 EB 1D B8 01 00 00 00 EB 16 41 B8 10 00 00 00 48 8D 54 24 28 8B CB 45 8D 48 F1 E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_570_4_0 {
	meta:
		name = "__ascii_memicmp"
		size = 76
	strings:
		$1 = { 45 33 C9 33 C0 4C 8B D1 4D 85 C0 74 38 4C 2B D2 41 8A 0C 12 49 FF C8 3A 0A 74 22 8D 41 BF 44 0F B6 C9 3C 19 77 04 41 83 C1 20 8A 02 2C 41 3C 19 0F B6 02 77 03 83 C0 20 44 3B C8 75 08 48 FF C2 4D 85 C0 75 CB 44 2B C8 41 8B C1 C3 }
	condition:
		$1
}

rule file_570_5_0 {
	meta:
		name = "_memicmp"
		size = 80
		refs = "0006 __acrt_locale_changed_data 0018 _errno 0023 _invalid_parameter_noinfo 0040 __ascii_memicmp 004c _memicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 37 48 85 C9 75 1F 4D 85 C0 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 75 05 4D 85 C0 75 DC 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_570_6_0 {
	meta:
		name = "_memicmp_l"
		size = 224
		refs = "002e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0075 __ascii_memicmp 008e _tolower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B F2 4C 8B F1 49 8B D1 48 8D 48 D8 49 8B F8 33 DB 33 ED E8 ?? ?? ?? ?? 4D 85 F6 75 05 48 85 FF 75 0A 48 85 F6 75 1C 48 85 FF 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 53 48 8B 44 24 28 48 39 98 38 01 00 00 75 3E 4C 8B C7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 8B D8 EB 33 48 FF CF 3B DD 75 2A 41 0F B6 0E 48 8D 54 24 28 E8 ?? ?? ?? ?? 0F B6 0E 48 8D 54 24 28 8B D8 49 FF C6 E8 ?? ?? ?? ?? 8B E8 48 FF C6 48 85 FF 75 CF 2B DD 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 6C 24 58 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_571_2_0 {
	meta:
		name = "??$common_fullpath@D@@YAPEADQEADQEBD_KH1H@Z"
		size = 225
		refs = "0034 ??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z 004a __imp_GetFullPathNameA 0054 __imp_GetLastError 005b __acrt_errno_map_os_error 0073 calloc 0080 _errno 008d free 00c8 _getcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B D8 48 8B F2 48 85 D2 0F 84 95 00 00 00 40 38 3A 0F 84 8C 00 00 00 48 85 C9 74 0A E8 ?? ?? ?? ?? E9 8F 00 00 00 45 33 C9 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 54 8B E8 BA 01 00 00 00 48 3B DD 48 0F 47 EB 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 22 44 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB E1 33 C9 E8 ?? ?? ?? ?? 48 8B FB 48 8B C7 EB 12 B8 FF FF FF 7F 48 3B D8 0F 42 C3 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_3_0 {
	meta:
		name = "??$common_fullpath@_W@@YAPEA_WQEA_WQEB_W_KHQEBDH@Z"
		size = 225
		refs = "0034 ??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z 004a __imp_GetFullPathNameW 0054 __imp_GetLastError 005b __acrt_errno_map_os_error 0073 calloc 0080 _errno 008d free 00c8 _wgetcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B D8 48 8B F2 48 85 D2 0F 84 95 00 00 00 66 39 3A 0F 84 8C 00 00 00 48 85 C9 74 0A E8 ?? ?? ?? ?? E9 8F 00 00 00 45 33 C9 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 54 8B E8 BA 02 00 00 00 48 3B DD 48 0F 47 EB 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 22 44 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB E1 33 C9 E8 ?? ?? ?? ?? 48 8B FB 48 8B C7 EB 12 B8 FF FF FF 7F 48 3B D8 0F 42 C3 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_4_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@D@@YAPEADQEBD_KH0H@Z"
		size = 166
		refs = "0024 __imp_GetFullPathNameA 0030 __imp_GetLastError 0037 __acrt_errno_map_os_error 0051 calloc 005e _errno 0074 ??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z 008a free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B DA 45 33 C9 33 D2 45 33 C0 48 8B E9 FF 15 ?? ?? ?? ?? 33 FF 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 52 8B F0 BA 01 00 00 00 48 3B DE 48 0F 47 F3 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 1C 44 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB 48 8B DF 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_5_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@_W@@YAPEA_WQEB_W_KHQEBDH@Z"
		size = 166
		refs = "0024 __imp_GetFullPathNameW 0030 __imp_GetLastError 0037 __acrt_errno_map_os_error 0051 calloc 005e _errno 0074 ??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z 008a free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B DA 45 33 C9 33 D2 45 33 C0 48 8B E9 FF 15 ?? ?? ?? ?? 33 FF 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 52 8B F0 BA 02 00 00 00 48 3B DE 48 0F 47 F3 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 1C 44 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB 48 8B DF 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_6_0 {
	meta:
		name = "??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z"
		size = 124
		refs = "0019 _errno 0024 _invalid_parameter_noinfo 0050 __imp_GetFullPathNameA 0061 __imp_GetLastError 0068 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B C2 48 8B F9 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 45 B9 FF FF FF FF 48 3B D9 76 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E5 45 33 C9 4C 8B C7 8B D3 48 8B C8 FF 15 ?? ?? ?? ?? 8B C8 48 3B CB 73 DB 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB BA 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_7_0 {
	meta:
		name = "??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z"
		size = 124
		refs = "0019 _errno 0024 _invalid_parameter_noinfo 0050 __imp_GetFullPathNameW 0061 __imp_GetLastError 0068 __acrt_errno_map_os_error"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B C2 48 8B F9 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 45 B9 FF FF FF FF 48 3B D9 76 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E5 45 33 C9 4C 8B C7 8B D3 48 8B C8 FF 15 ?? ?? ?? ?? 8B C8 48 3B CB 73 DB 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB BA 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_26_0 {
	meta:
		name = "_fullpath"
		size = 228
		refs = "0034 ??$common_fullpath_user_buffer@D@@YAPEADQEADQEBD_K@Z 004a __imp_GetFullPathNameA 0054 __imp_GetLastError 005b __acrt_errno_map_os_error 0073 calloc 0080 _errno 008d free 00c5 _getcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B D8 48 8B F2 48 85 D2 0F 84 92 00 00 00 40 38 3A 0F 84 89 00 00 00 48 85 C9 74 0A E8 ?? ?? ?? ?? E9 8C 00 00 00 45 33 C9 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 6B 8B E8 BA 01 00 00 00 48 3B DD 48 0F 47 EB 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 39 44 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB E1 33 C9 E8 ?? ?? ?? ?? 48 8B FB EB 15 B8 FF FF FF 7F 48 3B D8 0F 42 C3 8B D0 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5C 24 30 48 8B C7 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_27_0 {
	meta:
		name = "_wfullpath"
		size = 228
		refs = "0034 ??$common_fullpath_user_buffer@_W@@YAPEA_WQEA_WQEB_W_K@Z 004a __imp_GetFullPathNameW 0054 __imp_GetLastError 005b __acrt_errno_map_os_error 0073 calloc 0080 _errno 008d free 00c5 _wgetcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B D8 48 8B F2 48 85 D2 0F 84 92 00 00 00 66 39 3A 0F 84 89 00 00 00 48 85 C9 74 0A E8 ?? ?? ?? ?? E9 8C 00 00 00 45 33 C9 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 6B 8B E8 BA 02 00 00 00 48 3B DD 48 0F 47 EB 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 14 E8 ?? ?? ?? ?? 33 C9 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? EB 39 44 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 8B CB EB E1 33 C9 E8 ?? ?? ?? ?? 48 8B FB EB 15 B8 FF FF FF 7F 48 3B D8 0F 42 C3 8B D0 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5C 24 30 48 8B C7 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_0_0 {
	meta:
		name = "rand_s"
		size = 76
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0029 __acrt_RtlGenRandom"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 27 83 21 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_575_16_0 {
	meta:
		name = "__acrt_stdio_begin_temporary_buffering_nolock"
		size = 207
		refs = "000e _fileno 0015 _isatty 0027 __acrt_iob_func 0033 __acrt_stdout_buffer 004b __acrt_stderr_buffer 0051 _cflush 0075 _malloc_base 007f _free_base"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 A1 00 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 09 48 8D 3D ?? ?? ?? ?? EB 16 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 7A 48 8D 3D ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 8B 43 14 A9 C0 04 00 00 75 63 F0 81 4B 14 82 02 00 00 48 8B 07 48 85 C0 75 39 B9 00 10 00 00 E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 75 1D 48 8D 4B 1C C7 43 10 02 00 00 00 48 89 4B 08 48 89 0B C7 43 20 02 00 00 00 B0 01 EB 1C 48 89 43 08 48 8B 07 48 89 03 C7 43 10 00 10 00 00 C7 43 20 00 10 00 00 EB E2 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_575_17_0 {
	meta:
		name = "__acrt_stdio_end_temporary_buffering_nolock"
		size = 57
		refs = "001a __acrt_stdio_flush_nolock"
	strings:
		$1 = { 84 C9 74 34 53 48 83 EC 20 48 8B DA 8B 42 14 C1 E8 09 A8 01 74 1D 48 8B CA E8 ?? ?? ?? ?? F0 81 63 14 7F FD FF FF 83 63 20 00 48 83 63 08 00 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_576_0_0 {
	meta:
		name = "feclearexcept"
		size = 80
		refs = "0016 _getfpstatusword 0023 __acrt_fenv_get_fp_status_word_from_exception_mask 002e _setfpstatusword 0038 fetestexcept"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 83 E3 1F 75 04 33 C0 EB 30 E8 ?? ?? ?? ?? 8B F8 85 C3 74 F1 8B CB E8 ?? ?? ?? ?? F7 D0 23 F8 8B CF E8 ?? ?? ?? ?? 83 E7 1F 8B CF E8 ?? ?? ?? ?? 33 C9 3B C7 0F 95 C1 8B C1 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_578_0_0 {
	meta:
		name = "__acrt_execute_initializers"
		size = 128
		refs = "002b __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 48 3B CA 75 04 B0 01 EB 52 48 8B D9 48 8B 03 48 85 C0 74 0A FF 15 ?? ?? ?? ?? 84 C0 74 09 48 83 C3 10 48 3B DE 75 E5 48 3B DE 74 D9 48 3B DF 74 28 48 83 C3 F8 48 83 7B F8 00 74 10 48 8B 03 48 85 C0 74 08 33 C9 FF 15 ?? ?? ?? ?? 48 83 EB 10 48 8D 43 08 48 3B C7 75 DC 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_578_1_0 {
	meta:
		name = "__acrt_execute_uninitializers"
		size = 64
		refs = "0022 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 3B CA 74 21 48 8D 5A F8 48 8B 03 48 85 C0 74 08 33 C9 FF 15 ?? ?? ?? ?? 48 83 EB 10 48 8D 43 08 48 3B C7 75 E3 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_5_0 {
	meta:
		name = "_mbsnbicoll_l"
		size = 255
		refs = "002d ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0092 _strnicoll_l 00c4 __acrt_CompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 48 8B F2 48 8B E9 49 8B D1 48 8D 48 D8 4D 8B F1 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 07 33 DB E9 92 00 00 00 48 85 ED 74 05 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 71 BB FF FF FF 7F 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 55 48 8B 54 24 50 83 7A 08 00 75 15 4D 8B CE 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 35 8B 42 04 48 8D 4C 24 48 48 8B 92 20 02 00 00 4C 8B CD 89 44 24 38 41 B8 01 10 00 00 89 7C 24 30 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 40 83 A0 A8 03 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_581_0_0 {
	meta:
		name = "wcsspn"
		size = 65
	strings:
		$1 = { 44 0F B7 01 4C 8B D2 48 8B C1 66 45 85 C0 74 2A 4D 8B CA 66 45 3B 02 74 17 41 0F B7 12 66 85 D2 74 18 49 83 C1 02 41 0F B7 11 66 44 3B C2 75 ED 48 83 C0 02 44 0F B7 00 EB D0 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "__acrt_GetTempPathA"
		size = 167
		refs = "0010 __security_cookie 0032 memset 0042 __imp_GetTempPathW 004f __acrt_AreFileApisANSI 007c __imp_WideCharToMultiByte 0092 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 8B D9 33 D2 48 8D 4C 24 40 41 B8 0A 02 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 40 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 38 E8 ?? ?? ?? ?? 33 C9 4C 8D 44 24 40 85 C0 0F 94 C1 48 83 64 24 38 00 48 83 64 24 30 00 41 83 C9 FF 89 5C 24 28 33 D2 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 C6 FF C8 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_583_4_0 {
	meta:
		name = "__ascii_strnicmp"
		size = 71
	strings:
		$1 = { 4C 8B D1 4D 85 C0 74 3C 45 0F B6 0A 49 FF C2 41 8D 41 BF 83 F8 19 77 04 41 83 C1 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 49 83 E8 01 74 0A 45 85 C9 74 05 44 3B C9 74 CB 44 2B C9 41 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_583_6_0 {
	meta:
		name = "_strnicmp_l"
		size = 218
		refs = "002e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0071 __ascii_strnicmp 0086 _tolower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B F1 4D 85 C0 0F 84 9D 00 00 00 49 8B D1 48 8D 48 D8 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 85 F6 74 0A 48 85 FF 74 05 48 3B EB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 54 48 8B 44 24 28 48 83 B8 38 01 00 00 00 75 12 4C 8B C5 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 33 48 2B F7 0F B6 0C 3E 48 8D 54 24 28 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 28 8B D8 E8 ?? ?? ?? ?? 48 FF C7 48 83 ED 01 74 08 85 DB 74 04 3B D8 74 D2 2B D8 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 8B C3 EB 02 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_584_1_0 {
	meta:
		name = "_recalloc_base"
		size = 149
		refs = "0031 _errno 0045 _msize 005b _realloc_base 0079 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 42 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 41 48 85 C9 74 0A E8 ?? ?? ?? ?? 48 8B F8 EB 02 33 FF 48 0F AF DD 48 8B CE 48 8B D3 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 38 4C 8B C3 33 D2 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_585_0_0 {
	meta:
		name = "ax0"
		size = 24
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 B8 00 00 00 EB 04 48 8B 42 78 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_1_0 {
	meta:
		name = "ax8"
		size = 34
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 B8 00 00 00 EB 04 48 8B 52 78 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_2_0 {
	meta:
		name = "ax32"
		size = 33
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 B8 00 00 00 EB 04 48 8B 52 78 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_3_0 {
	meta:
		name = "cx0"
		size = 27
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 C0 00 00 00 EB 07 48 8B 82 80 00 00 00 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_4_0 {
	meta:
		name = "cx8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 C0 00 00 00 EB 07 48 8B 92 80 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_5_0 {
	meta:
		name = "cx32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 C0 00 00 00 EB 07 48 8B 92 80 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_6_0 {
	meta:
		name = "dx0"
		size = 27
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 C8 00 00 00 EB 07 48 8B 82 88 00 00 00 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_7_0 {
	meta:
		name = "dx8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 C8 00 00 00 EB 07 48 8B 92 88 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_8_0 {
	meta:
		name = "dx32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 C8 00 00 00 EB 07 48 8B 92 88 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_9_0 {
	meta:
		name = "bx0"
		size = 27
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 D0 00 00 00 EB 07 48 8B 82 90 00 00 00 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_10_0 {
	meta:
		name = "bx8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 D0 00 00 00 EB 07 48 8B 92 90 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_11_0 {
	meta:
		name = "bx32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 D0 00 00 00 EB 07 48 8B 92 90 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_12_0 {
	meta:
		name = "sib0"
		size = 693
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 48 8B D9 0F B6 44 24 28 45 8B D3 41 C1 EA 03 41 8B CB 41 83 E2 07 C1 E9 06 BF 01 00 00 00 41 03 C2 D3 E7 49 8B F0 48 83 F8 04 75 08 45 33 C0 E9 0D 01 00 00 83 E0 0F 48 83 F8 08 0F 87 95 00 00 00 0F 84 86 00 00 00 48 85 C0 74 7B 48 83 E8 01 74 6C 48 83 E8 01 74 5A 48 83 E8 01 74 48 48 83 E8 01 74 36 48 83 E8 01 74 24 48 83 E8 01 74 12 48 83 F8 01 75 B6 4C 8B 82 B0 00 00 00 E9 BF 00 00 00 4C 8B 82 A8 00 00 00 E9 B3 00 00 00 4C 8B 82 A0 00 00 00 E9 A7 00 00 00 4C 8B 82 98 00 00 00 E9 9B 00 00 00 4C 8B 82 90 00 00 00 E9 8F 00 00 00 4C 8B 82 88 00 00 00 E9 83 00 00 00 4C 8B 82 80 00 00 00 EB 7A 4C 8B 42 78 EB 74 4C 8B 82 B8 00 00 00 EB 6B 48 83 E8 09 74 5E 48 83 E8 01 74 4F 48 83 E8 01 74 40 48 83 E8 01 74 31 48 83 E8 01 74 22 48 83 E8 01 74 13 48 83 F8 01 0F 85 28 FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 05 75 17 8B 46 01 8B CF 49 0F AF C8 48 03 C8 41 8B C3 48 89 0B E9 29 01 00 00 41 83 FB 04 75 15 8B C7 49 0F AF C0 48 03 82 98 00 00 00 48 89 03 E9 09 01 00 00 41 83 E3 0F 41 83 FB 08 0F 87 82 00 00 00 74 77 45 85 DB 74 69 41 83 EB 01 74 5A 41 83 EB 01 74 4B 41 83 EB 01 74 3C 41 83 EB 01 74 2D 41 83 EB 01 74 1E 41 83 EB 01 74 0F 41 83 FB 01 75 7B 48 8B 82 B0 00 00 00 EB 3A 48 8B 82 A8 00 00 00 EB 31 48 8B 82 A0 00 00 00 EB 28 48 8B 82 98 00 00 00 EB 1F 48 8B 82 90 00 00 00 EB 16 48 8B 82 88 00 00 00 EB 0D 48 8B 82 80 00 00 00 EB 04 48 8B 42 78 48 89 03 EB 79 48 8B 82 B8 00 00 00 EB F2 41 83 EB 09 74 60 41 83 EB 01 74 51 41 83 EB 01 74 42 41 83 EB 01 74 33 41 83 EB 01 74 24 41 83 EB 01 74 15 41 83 FB 01 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB B9 48 8B 82 E8 00 00 00 EB B0 48 8B 82 E0 00 00 00 EB A7 48 8B 82 D8 00 00 00 EB 9E 48 8B 82 D0 00 00 00 EB 95 48 8B 82 C8 00 00 00 EB 8C 48 8B 8A C0 00 00 00 48 89 0B 8B CF 49 0F AF C8 48 01 0B B8 01 00 00 00 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_585_13_0 {
	meta:
		name = "sib8"
		size = 701
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 48 8B D9 0F B6 44 24 28 45 8B D3 41 C1 EA 03 41 8B CB 41 83 E2 07 C1 E9 06 BF 01 00 00 00 41 03 C2 D3 E7 49 8B F0 48 83 F8 04 75 08 45 33 C0 E9 0D 01 00 00 83 E0 0F 48 83 F8 08 0F 87 95 00 00 00 0F 84 86 00 00 00 48 85 C0 74 7B 48 83 E8 01 74 6C 48 83 E8 01 74 5A 48 83 E8 01 74 48 48 83 E8 01 74 36 48 83 E8 01 74 24 48 83 E8 01 74 12 48 83 F8 01 75 B6 4C 8B 82 B0 00 00 00 E9 BF 00 00 00 4C 8B 82 A8 00 00 00 E9 B3 00 00 00 4C 8B 82 A0 00 00 00 E9 A7 00 00 00 4C 8B 82 98 00 00 00 E9 9B 00 00 00 4C 8B 82 90 00 00 00 E9 8F 00 00 00 4C 8B 82 88 00 00 00 E9 83 00 00 00 4C 8B 82 80 00 00 00 EB 7A 4C 8B 42 78 EB 74 4C 8B 82 B8 00 00 00 EB 6B 48 83 E8 09 74 5E 48 83 E8 01 74 4F 48 83 E8 01 74 40 48 83 E8 01 74 31 48 83 E8 01 74 22 48 83 E8 01 74 13 48 83 F8 01 0F 85 28 FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 04 75 1C 0F B6 46 01 8B CF 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 48 89 0B E9 27 01 00 00 41 83 E3 0F 41 83 FB 08 0F 87 99 00 00 00 0F 84 8A 00 00 00 45 85 DB 74 7F 41 83 EB 01 74 70 41 83 EB 01 74 5E 41 83 EB 01 74 4C 41 83 EB 01 74 3A 41 83 EB 01 74 28 41 83 EB 01 74 16 41 83 FB 01 0F 85 8A 00 00 00 48 8B 82 B0 00 00 00 E9 C1 00 00 00 48 8B 82 A8 00 00 00 E9 B5 00 00 00 48 8B 82 A0 00 00 00 E9 A9 00 00 00 48 8B 82 98 00 00 00 E9 9D 00 00 00 48 8B 82 90 00 00 00 E9 91 00 00 00 48 8B 82 88 00 00 00 E9 85 00 00 00 48 8B 82 80 00 00 00 EB 7C 48 8B 42 78 EB 76 48 8B 82 B8 00 00 00 EB 6D 41 83 EB 09 74 60 41 83 EB 01 74 51 41 83 EB 01 74 42 41 83 EB 01 74 33 41 83 EB 01 74 24 41 83 EB 01 74 15 41 83 FB 01 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB 34 48 8B 82 E8 00 00 00 EB 2B 48 8B 82 E0 00 00 00 EB 22 48 8B 82 D8 00 00 00 EB 19 48 8B 82 D0 00 00 00 EB 10 48 8B 82 C8 00 00 00 EB 07 48 8B 82 C0 00 00 00 48 89 03 0F B6 46 01 8B CF 49 0F AF C8 48 03 C8 48 01 0B 48 8B 5C 24 08 B8 02 00 00 00 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_585_14_0 {
	meta:
		name = "sib32"
		size = 699
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 48 8B D9 0F B6 44 24 28 45 8B D3 41 C1 EA 03 41 8B CB 41 83 E2 07 C1 E9 06 BF 01 00 00 00 41 03 C2 D3 E7 49 8B F0 48 83 F8 04 75 08 45 33 C0 E9 0D 01 00 00 83 E0 0F 48 83 F8 08 0F 87 95 00 00 00 0F 84 86 00 00 00 48 85 C0 74 7B 48 83 E8 01 74 6C 48 83 E8 01 74 5A 48 83 E8 01 74 48 48 83 E8 01 74 36 48 83 E8 01 74 24 48 83 E8 01 74 12 48 83 F8 01 75 B6 4C 8B 82 B0 00 00 00 E9 BF 00 00 00 4C 8B 82 A8 00 00 00 E9 B3 00 00 00 4C 8B 82 A0 00 00 00 E9 A7 00 00 00 4C 8B 82 98 00 00 00 E9 9B 00 00 00 4C 8B 82 90 00 00 00 E9 8F 00 00 00 4C 8B 82 88 00 00 00 E9 83 00 00 00 4C 8B 82 80 00 00 00 EB 7A 4C 8B 42 78 EB 74 4C 8B 82 B8 00 00 00 EB 6B 48 83 E8 09 74 5E 48 83 E8 01 74 4F 48 83 E8 01 74 40 48 83 E8 01 74 31 48 83 E8 01 74 22 48 83 E8 01 74 13 48 83 F8 01 0F 85 28 FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 04 75 1B 8B 46 01 8B CF 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 48 89 0B E9 26 01 00 00 41 83 E3 0F 41 83 FB 08 0F 87 99 00 00 00 0F 84 8A 00 00 00 45 85 DB 74 7F 41 83 EB 01 74 70 41 83 EB 01 74 5E 41 83 EB 01 74 4C 41 83 EB 01 74 3A 41 83 EB 01 74 28 41 83 EB 01 74 16 41 83 FB 01 0F 85 8A 00 00 00 48 8B 82 B0 00 00 00 E9 C1 00 00 00 48 8B 82 A8 00 00 00 E9 B5 00 00 00 48 8B 82 A0 00 00 00 E9 A9 00 00 00 48 8B 82 98 00 00 00 E9 9D 00 00 00 48 8B 82 90 00 00 00 E9 91 00 00 00 48 8B 82 88 00 00 00 E9 85 00 00 00 48 8B 82 80 00 00 00 EB 7C 48 8B 42 78 EB 76 48 8B 82 B8 00 00 00 EB 6D 41 83 EB 09 74 60 41 83 EB 01 74 51 41 83 EB 01 74 42 41 83 EB 01 74 33 41 83 EB 01 74 24 41 83 EB 01 74 15 41 83 FB 01 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB 34 48 8B 82 E8 00 00 00 EB 2B 48 8B 82 E0 00 00 00 EB 22 48 8B 82 D8 00 00 00 EB 19 48 8B 82 D0 00 00 00 EB 10 48 8B 82 C8 00 00 00 EB 07 48 8B 82 C0 00 00 00 48 89 03 8B 46 01 8B CF 49 0F AF C8 48 03 C8 48 01 0B 48 8B 5C 24 08 B8 05 00 00 00 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_585_15_0 {
	meta:
		name = "d32"
		size = 19
	strings:
		$1 = { 49 63 00 49 8D 50 04 48 03 D0 B8 04 00 00 00 48 89 11 C3 }
	condition:
		$1
}

rule file_585_16_0 {
	meta:
		name = "bp8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 E0 00 00 00 EB 07 48 8B 92 A0 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_17_0 {
	meta:
		name = "bp32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 E0 00 00 00 EB 07 48 8B 92 A0 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_18_0 {
	meta:
		name = "si0"
		size = 27
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 E8 00 00 00 EB 07 48 8B 82 A8 00 00 00 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_19_0 {
	meta:
		name = "si8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 E8 00 00 00 EB 07 48 8B 92 A8 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_20_0 {
	meta:
		name = "si32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 E8 00 00 00 EB 07 48 8B 92 A8 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_21_0 {
	meta:
		name = "di0"
		size = 27
	strings:
		$1 = { 45 84 C9 74 09 48 8B 82 F0 00 00 00 EB 07 48 8B 82 B0 00 00 00 48 89 01 33 C0 C3 }
	condition:
		$1
}

rule file_585_22_0 {
	meta:
		name = "di8"
		size = 37
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 F0 00 00 00 EB 07 48 8B 92 B0 00 00 00 41 0F B6 00 48 03 C2 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_585_23_0 {
	meta:
		name = "di32"
		size = 36
	strings:
		$1 = { 45 84 C9 74 09 48 8B 92 F0 00 00 00 EB 07 48 8B 92 B0 00 00 00 41 8B 00 48 03 C2 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_585_25_0 {
	meta:
		name = "AdjustExceptionResult"
		size = 497
	strings:
		$1 = { 4C 8B 4A 20 41 8B 41 60 A8 01 0F 84 9E 01 00 00 83 E0 1E 3C 0E 0F 85 93 01 00 00 83 F9 39 0F 82 8A 01 00 00 41 BB 02 00 00 00 45 33 C0 45 8D 53 05 83 F9 3A 76 67 83 F9 3C 76 1B 83 F9 56 0F 86 6A 01 00 00 83 F9 58 0F 86 AE 00 00 00 83 F9 5A 0F 87 58 01 00 00 41 8B 49 50 85 C9 74 33 83 E9 01 74 26 83 E9 01 74 15 83 F9 01 0F 85 3D 01 00 00 81 62 1C 6F F7 FF FF 83 4A 1C 45 C3 81 62 1C 2B F7 FF FF 83 4A 1C 01 C3 81 62 1C 2A F7 FF FF C3 81 62 1C 6A F7 FF FF 83 4A 1C 40 C3 41 8B 49 50 85 C9 0F 84 A2 00 00 00 83 E9 01 0F 84 8B 00 00 00 83 E9 01 74 1D 83 F9 01 75 3F 44 39 5A 18 76 0C 83 7A 18 06 76 2E 44 39 52 18 75 2D 45 89 41 50 EB 27 8B 42 18 85 C0 74 F3 41 3B C3 76 16 83 F8 03 74 E9 83 F8 04 74 0C 76 0F 83 F8 06 76 DD 41 3B C2 75 05 41 83 49 50 FF 48 8B 4A 20 44 8B 49 50 45 85 C9 0F 84 B1 00 00 00 41 83 E9 01 0F 84 99 00 00 00 41 83 E9 01 74 6B 41 83 F9 01 0F 85 88 00 00 00 44 39 5A 18 76 0C 83 7A 18 06 76 77 44 39 52 18 75 76 4C 89 41 50 C3 83 7A 18 03 76 8B 44 39 52 18 77 B2 EB AB 8B 42 18 85 C0 74 A4 83 F8 01 0F 84 73 FF FF FF 41 3B C3 74 96 76 99 83 F8 04 0F 86 63 FF FF FF 83 F8 05 74 86 83 F8 06 0F 84 55 FF FF FF 41 3B C2 0F 84 74 FF FF FF E9 74 FF FF FF 8B 42 18 85 C0 74 AA 41 3B C3 76 16 83 F8 03 74 A0 83 F8 04 74 0C 76 0F 83 F8 06 76 94 41 3B C2 75 05 48 83 49 50 FF C3 83 7A 18 03 76 83 44 39 52 18 77 F3 EB EC 8B 42 18 85 C0 74 E5 83 F8 01 0F 84 6B FF FF FF 41 3B C3 74 D7 76 DA 83 F8 04 0F 86 5B FF FF FF 83 F8 05 74 C7 83 F8 06 0F 84 4D FF FF FF 41 3B C2 74 B9 C3 }
	condition:
		$1
}

rule file_585_26_0 {
	meta:
		name = "DppxEmulationWrapper"
		size = 518
		refs = "0095 LoopDppxSimdValue"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 84 24 98 00 00 00 45 33 E4 33 FF 4D 8B E9 4D 8B F8 48 8B DA 44 8B F1 8B 28 C1 ED 1E FF C5 83 7A 28 6D 41 0F 95 C4 41 FF C4 33 F6 83 7B 28 48 74 14 83 7B 28 6D 75 1A 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 4D EB 0C 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 2F 48 8B 84 24 90 00 00 00 4D 8B CD 89 7C 24 38 4D 8B C7 89 74 24 30 48 8B D3 89 6C 24 28 41 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C8 45 85 F6 74 4B 41 83 FE 01 0F 85 D9 00 00 00 85 F6 0F 85 D1 00 00 00 48 8D 4B 50 8D 56 02 48 8B 41 60 48 89 01 48 8D 49 08 48 83 EA 01 75 EF 48 8B 83 B8 00 00 00 48 89 83 80 00 00 00 48 8B 83 B0 00 00 00 48 89 83 88 00 00 00 E9 98 00 00 00 8B C6 85 F6 74 4A 83 F8 01 0F 85 89 00 00 00 44 8B 83 B8 00 00 00 8B 93 BC 00 00 00 8B 8B B0 00 00 00 8B 83 B4 00 00 00 44 89 43 50 89 53 54 89 4B 58 89 43 5C 89 83 80 00 00 00 89 8B 84 00 00 00 89 93 88 00 00 00 44 89 83 8C 00 00 00 EB 48 48 8D 4B 50 BA 04 00 00 00 8B 41 60 89 01 48 8D 49 04 48 83 EA 01 75 F1 8B 83 B4 00 00 00 89 83 80 00 00 00 8B 83 B0 00 00 00 89 83 84 00 00 00 8B 83 BC 00 00 00 89 83 88 00 00 00 8B 83 B8 00 00 00 89 83 8C 00 00 00 FF C6 41 3B F4 0F 86 BA FE FF FF 45 85 F6 74 2D 41 83 FE 01 75 4B 33 C9 85 ED 74 45 48 81 C3 B0 00 00 00 41 8B 47 18 D3 E8 A8 01 75 04 48 83 23 00 FF C1 48 83 C3 08 3B CD 72 E8 EB 24 33 C9 85 ED 74 1E 48 81 C3 B0 00 00 00 41 8B 47 18 D3 E8 A8 01 75 03 83 23 00 FF C1 48 83 C3 04 3B CD 72 E9 4C 8D 5C 24 40 41 8B C1 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_585_27_0 {
	meta:
		name = "LoadOperand"
		size = 816
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 10 48 8B 5C 24 40 44 8B DA 4D 89 19 49 83 FB 1F 75 0A 41 83 61 20 FE E9 00 03 00 00 41 BB 08 00 00 00 83 FA 1B 77 25 B8 00 00 B0 08 0F A3 D0 73 1B 84 C9 74 0D 49 8B 01 83 FA 14 49 0F 44 C3 49 89 01 8B 44 24 48 41 89 41 08 EB 3A 84 C9 74 36 83 FA 1F 74 31 49 8B 01 83 FA 12 41 BA 0D 00 00 00 49 0F 44 C2 83 FA 13 41 8D 4A 0C 48 0F 44 C1 83 FA 0E 49 0F 44 C2 49 89 01 83 FA 0C 75 07 49 C7 01 0B 00 00 00 49 83 61 10 00 49 83 61 18 00 41 8B 51 20 49 8B 01 83 CA 01 41 89 51 20 48 83 F8 13 0F 87 A1 01 00 00 0F 84 93 01 00 00 49 2B C3 74 6D 48 83 E8 03 74 5F 48 83 E8 01 74 51 48 83 E8 01 74 32 48 83 E8 01 74 12 48 83 F8 04 0F 85 47 02 00 00 83 E2 E1 E9 B8 01 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 48 8B 08 49 89 49 10 E9 25 02 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 8B 08 41 89 49 10 E9 0C 02 00 00 83 E2 EB 83 CA 0A EB C8 83 E2 EB 83 CA 0A EB DA 83 E2 EB 83 CA 0A 41 89 51 20 45 3B C3 0F 87 8C 00 00 00 74 7E 45 85 C0 74 70 41 83 E8 01 74 5E 41 83 E8 01 74 4C 41 83 E8 01 74 3A 41 83 E8 02 74 28 41 83 E8 01 74 16 41 83 F8 01 0F 85 BA 01 00 00 48 8B 83 B0 00 00 00 E9 AA 01 00 00 48 8B 83 A8 00 00 00 E9 9E 01 00 00 48 8B 83 A0 00 00 00 E9 92 01 00 00 48 8B 83 90 00 00 00 E9 86 01 00 00 48 8B 83 88 00 00 00 E9 7A 01 00 00 48 8B 83 80 00 00 00 E9 6E 01 00 00 48 8B 43 78 E9 65 01 00 00 48 8B 83 B8 00 00 00 E9 59 01 00 00 41 83 E8 09 74 70 41 83 E8 01 74 5E 41 83 E8 01 74 4C 41 83 E8 01 74 3A 41 83 E8 01 74 28 41 83 E8 01 74 16 41 83 F8 01 0F 85 2F 01 00 00 48 8B 83 F0 00 00 00 E9 1F 01 00 00 48 8B 83 E8 00 00 00 E9 13 01 00 00 48 8B 83 E0 00 00 00 E9 07 01 00 00 48 8B 83 D8 00 00 00 E9 FB 00 00 00 48 8B 83 D0 00 00 00 E9 EF 00 00 00 48 8B 83 C8 00 00 00 E9 E3 00 00 00 48 8B 83 C0 00 00 00 E9 D7 00 00 00 83 E2 E3 83 CA 02 EB 4C 48 83 E8 14 0F 84 AD 00 00 00 48 83 E8 01 74 72 48 83 E8 02 74 57 48 83 E8 02 74 46 48 83 E8 01 74 24 48 83 F8 01 0F 85 A7 00 00 00 41 8B C0 83 E2 EB 48 83 C0 1A 48 03 C0 83 CA 0A 48 8B 04 C3 41 89 41 10 EB 6B 83 E2 EB 83 CA 0A 41 89 51 20 48 8B 83 A0 04 00 00 0F 28 00 F3 41 0F 7F 41 10 EB 71 83 E2 E3 83 CA 02 E9 2A FE FF FF 41 8B C8 83 E2 E3 48 8D 41 1A 48 03 C9 48 03 C0 83 CA 02 EB 10 41 8B C8 48 8D 41 1A 48 03 C9 48 03 C0 83 E2 E1 48 8B 04 C3 48 89 04 24 48 8B 84 CB A8 01 00 00 48 89 44 24 08 0F 28 04 24 F3 41 0F 7F 41 10 41 89 51 20 EB 1C 41 8B C0 83 E2 EB 48 83 C0 12 48 03 C0 83 CA 0A 48 8B 04 C3 41 89 51 20 49 89 41 10 48 8B 5C 24 20 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_585_28_0 {
	meta:
		name = "LoopDppxSimdValue"
		size = 620
		refs = "0189 _XMMI_FP_Emulation 0190 _XMMI2_FP_Emulation 01eb __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 83 CD FF 45 33 E4 49 8B F9 49 8B F0 48 8B DA 44 8B E9 44 39 64 24 78 0F 86 14 02 00 00 4C 8D BA B0 00 00 00 4C 8D 72 08 83 BC 24 80 00 00 00 00 75 3B 8B 46 18 41 8D 4C 24 04 D3 E8 A8 01 75 2D 41 8B C5 45 85 ED 74 0B 83 F8 01 75 0E 49 83 27 00 EB 08 41 83 A6 A8 00 00 00 00 83 8B C0 00 00 00 01 8B 46 1C 89 43 30 E9 AE 01 00 00 83 66 04 00 83 67 04 E0 83 67 08 E0 83 67 0C E0 8B 46 10 33 07 8B 94 24 88 00 00 00 83 E0 03 31 07 81 E2 FF 0F 00 00 8B 46 14 8B 0F 83 E0 07 C1 E2 03 81 E1 03 00 FE FF 0B D0 8B 47 20 C1 E2 02 0B D1 89 17 33 43 60 83 E0 01 31 47 20 8B 47 20 33 43 60 83 E0 1E 31 47 20 41 8B C5 45 85 ED 74 0F 83 F8 01 75 11 49 8B 47 A0 48 89 47 10 EB 07 41 8B 46 48 89 47 10 8B 83 90 00 00 00 83 E0 01 74 18 83 67 40 FE 09 47 40 8B 47 40 33 83 90 00 00 00 83 E0 1E 31 47 40 EB 04 83 67 40 FE 41 8B C5 45 85 ED 74 0F 83 F8 01 75 11 49 8B 47 D0 48 89 47 30 EB 07 41 8B 46 78 89 47 30 83 67 60 FE 41 8B C5 45 85 ED 74 0E 83 F8 01 75 13 49 8B 07 48 89 47 50 EB 0A 41 8B 86 A8 00 00 00 89 47 50 8B 47 60 48 8B CE 33 83 C0 00 00 00 83 E0 1E 31 47 60 41 8D 45 FF 48 89 7E 20 83 F8 01 76 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B C8 41 89 06 8B 46 04 41 89 46 10 83 F9 01 75 51 F6 46 04 20 74 04 83 4B 04 20 F6 46 04 10 74 04 83 4B 04 10 F6 46 04 08 74 04 83 4B 04 08 F6 46 04 04 74 04 83 4B 04 04 F6 46 04 02 74 04 83 4B 04 02 F6 46 04 01 74 04 83 4B 04 01 48 8B 44 24 70 48 8B CF FF 15 ?? ?? ?? ?? 8B E8 83 F8 FF 75 59 8B 8B C0 00 00 00 33 4F 60 83 E1 01 31 8B C0 00 00 00 F6 83 C0 00 00 00 01 8B 4E 1C 89 4B 30 74 20 41 8B C5 45 85 ED 74 0E 83 F8 01 75 13 48 8B 47 50 49 89 07 EB 0A 8B 47 50 41 89 86 A8 00 00 00 41 FF C4 49 83 C7 08 49 83 C6 04 44 3B 64 24 78 0F 82 F7 FD FF FF 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_585_29_0 {
	meta:
		name = "SetPniOperation"
		size = 98
	strings:
		$1 = { 83 E9 43 74 49 83 E9 01 74 3C 83 E9 01 74 2F 83 E9 23 74 1D 83 E9 01 74 10 83 F9 01 74 03 32 C0 C3 C7 02 4B 00 00 00 EB 36 C7 02 49 00 00 00 EB 2E 41 F7 D8 1B C0 83 E0 FE 83 C0 4B EB 1F C7 02 2D 00 00 00 EB 19 C7 02 2B 00 00 00 EB 11 41 83 E0 FD 41 F7 D8 1B C0 83 E0 FE 83 C0 2D 89 02 B0 01 C3 }
	condition:
		$1
}

rule file_585_30_0 {
	meta:
		name = "UpdateResult"
		size = 500
	strings:
		$1 = { 4C 8B 09 4C 8B D2 8B 41 08 4C 8B D9 49 83 F9 13 0F 87 74 01 00 00 49 83 F9 12 0F 83 B4 01 00 00 49 83 E9 08 74 43 49 83 E9 01 0F 84 55 01 00 00 49 83 E9 02 74 25 49 83 E9 01 74 10 49 83 E9 01 74 19 49 83 F9 01 0F 85 A7 01 00 00 48 8B 8A A0 04 00 00 49 8B 43 10 48 89 01 C3 48 8B 8A A0 04 00 00 41 8B 43 10 89 01 C3 83 F8 08 0F 87 9E 00 00 00 0F 84 8C 00 00 00 85 C0 74 7C 83 E8 01 74 68 83 E8 01 74 54 83 E8 01 74 40 83 E8 02 74 2C 83 E8 01 74 18 83 F8 01 0F 85 E7 00 00 00 8B 41 10 48 89 82 B0 00 00 00 E9 D8 00 00 00 8B 41 10 48 89 82 A8 00 00 00 E9 C9 00 00 00 8B 41 10 48 89 82 A0 00 00 00 E9 BA 00 00 00 8B 41 10 48 89 82 90 00 00 00 E9 AB 00 00 00 8B 41 10 48 89 82 88 00 00 00 E9 9C 00 00 00 8B 41 10 48 89 82 80 00 00 00 E9 8D 00 00 00 8B 41 10 48 89 42 78 E9 81 00 00 00 8B 41 10 48 89 82 B8 00 00 00 EB 75 83 E8 09 74 66 83 E8 01 74 55 83 E8 01 74 44 83 E8 01 74 33 83 E8 01 74 22 83 E8 01 74 11 83 F8 01 75 52 8B 41 10 48 89 82 F0 00 00 00 EB 46 8B 41 10 48 89 82 E8 00 00 00 EB 3A 8B 41 10 48 89 82 E0 00 00 00 EB 2E 8B 41 10 48 89 82 D8 00 00 00 EB 22 8B 41 10 48 89 82 D0 00 00 00 EB 16 8B 41 10 48 89 82 C8 00 00 00 EB 0A 8B 41 10 48 89 82 C0 00 00 00 44 89 42 44 C3 49 83 E9 14 74 54 49 83 E9 01 74 1C 49 83 E9 02 74 16 49 83 E9 02 0F 84 A6 FE FF FF 49 83 E9 01 74 28 49 83 F9 01 75 41 48 8D 48 1A 48 8B D0 49 8B 43 10 48 03 C9 48 03 D2 49 89 04 CA 49 8B 43 18 49 89 84 D2 A8 01 00 00 C3 48 8B 82 A0 04 00 00 0F 10 41 10 F3 0F 7F 00 C3 48 8D 48 12 49 8B 43 10 48 03 C9 48 89 04 CA C3 }
	condition:
		$1
}

rule file_585_31_0 {
	meta:
		name = "_fpieee_flt_simd"
		size = 4965
		refs = "001d __security_cookie 00a9 __guard_dispatch_icall_fptr 0502 InstInfoTableEX 050e InstInfoTableDX 0531 InstInfoTableCX 053d InstInfoTable7X 0546 InstInfoTable5X 05a9 InstInfoTable4X 05b2 InstInfoTable0X 05bb InstInfoTable2X 06f7 __ImageBase 0708 InstInfoTableX 081c __acrt_can_use_xstate_apis 082c __acrt_GetEnabledXStateFeatures 084f __acrt_GetXStateFeaturesMask 086c __acrt_LocateXStateFeature 092d modrm32 0940 d32 0ac8 LoadOperand 1058 _XMMI_FP_Emulation 105f _XMMI2_FP_Emulation 112b AdjustExceptionResult 120e DppxEmulationWrapper 122d UpdateResult 1344 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC 80 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 03 00 00 49 8B F0 4C 89 84 24 00 01 00 00 83 C8 FF 89 84 24 8C 00 00 00 45 33 E4 45 8A DC 44 88 64 24 53 45 8A CC 44 88 64 24 3C 41 8A DC 88 5C 24 50 45 8B D4 44 89 A4 24 94 00 00 00 41 8A FC 89 7C 24 54 4C 89 64 24 58 45 8B C4 44 89 64 24 38 44 89 A4 24 90 00 00 00 44 89 64 24 78 4C 89 A4 24 B0 00 00 00 4C 89 A4 24 A8 00 00 00 48 8B 02 48 8B 48 20 48 85 C9 74 11 48 8B C6 48 8B 15 ?? ?? ?? ?? FF D2 E9 84 12 00 00 48 8B 7A 08 48 89 7C 24 68 48 8B 87 A0 04 00 00 48 89 84 24 20 01 00 00 4C 89 A4 24 F8 00 00 00 45 8B F4 44 89 64 24 34 44 89 64 24 4C 44 89 64 24 40 41 8A CC 88 4C 24 30 45 8A EC 44 88 64 24 51 41 8A C4 89 44 24 70 88 44 24 52 45 8A FC 44 88 64 24 44 B8 01 00 00 00 8A D0 88 44 24 45 41 8A C4 89 44 24 48 88 44 24 31 41 8A F4 44 88 64 24 61 44 88 64 24 60 48 8B BF F8 00 00 00 48 89 BC 24 80 00 00 00 33 C0 84 D2 0F 84 E6 02 00 00 44 0F B6 1F 44 88 5C 24 53 48 FF C7 48 89 BC 24 80 00 00 00 41 8B CB 41 83 FB 66 0F 8F 9B 00 00 00 83 F9 66 74 75 8D 41 DA A9 E7 FF FF FF 0F 84 9C 02 00 00 83 F9 3F 0F 8E 86 02 00 00 83 F9 4F 7E 15 8D 41 9C B9 01 00 00 00 3B C1 0F 86 7E 02 00 00 E9 6C 02 00 00 B8 01 00 00 00 44 03 C0 44 89 44 24 38 44 8B F9 41 83 E7 04 45 03 FF 44 88 7C 24 44 44 8B E9 41 83 E5 02 41 C1 E5 02 44 88 6C 24 51 23 C8 8B C1 C1 E0 03 89 44 24 70 88 44 24 52 8A 4C 24 30 E9 44 02 00 00 B9 01 00 00 00 44 8B F1 89 4C 24 34 89 4C 24 4C 44 03 C1 44 89 44 24 38 8A 4C 24 30 E9 25 02 00 00 83 E9 67 0F 84 0B 02 00 00 83 E9 5D 0F 84 F2 00 00 00 83 E9 01 74 48 83 E9 2B 0F 84 F4 01 00 00 83 E9 02 74 22 83 E9 01 0F 85 D9 01 00 00 B9 01 00 00 00 8A C1 88 4C 24 31 89 44 24 48 44 03 C1 44 89 44 24 38 EB 8F B9 01 00 00 00 8A C1 88 4C 24 31 44 8B F1 89 4C 24 34 89 4C 24 4C EB DA 41 B9 01 00 00 00 45 8A E1 44 88 4C 24 60 8A 0F 49 03 F9 48 89 BC 24 80 00 00 00 8A C1 24 03 41 3A C1 45 0F 44 F1 44 89 74 24 34 44 89 74 24 4C 8B 54 24 48 0F B6 D2 3C 02 41 0F 44 D1 89 54 24 48 88 54 24 31 3C 03 75 18 41 8A C1 89 44 24 48 88 44 24 31 45 8B F1 44 89 4C 24 34 44 89 4C 24 4C 0F B6 C1 8B D8 C1 EB 02 41 23 D9 88 5C 24 50 44 8B D0 41 F7 D2 41 C1 FA 03 41 83 E2 0F 44 89 94 24 94 00 00 00 C1 E8 04 F7 D0 83 E0 08 44 8A F8 88 44 24 44 41 B1 0F 44 88 4C 24 3C 41 FF C0 E9 FE 00 00 00 BB 01 00 00 00 40 8A F3 88 5C 24 61 44 8A 07 48 03 FB 48 89 BC 24 80 00 00 00 8A 17 48 03 FB 48 89 BC 24 80 00 00 00 8A CA 80 E1 03 3A CB 44 0F 44 F3 44 89 74 24 34 44 89 74 24 4C 0F B6 44 24 48 80 F9 02 0F 44 C3 44 8A C8 44 89 4C 24 48 88 44 24 31 80 F9 03 75 15 8A C3 89 44 24 48 88 5C 24 31 44 8B F3 89 5C 24 34 89 5C 24 4C 44 0F B6 D2 41 8B C2 C1 E8 02 23 C3 8A D8 88 44 24 50 41 F7 D2 41 C1 FA 03 41 83 E2 0F 44 89 94 24 94 00 00 00 41 0F B6 C8 8B C1 C1 E8 04 F7 D0 83 E0 08 44 8A F8 88 44 24 44 8B C1 C1 E8 03 F7 D0 83 E0 08 44 8A E8 88 44 24 51 8B C1 C1 E8 02 F7 D0 83 E0 08 89 44 24 70 88 44 24 52 83 E1 0F 83 E9 01 74 1B 83 E9 01 74 11 83 E9 01 74 07 33 C0 E9 51 0F 00 00 41 B1 3A EB 08 41 B1 38 EB 03 41 B1 0F 44 88 4C 24 3C 44 8B 44 24 38 41 83 C0 02 44 89 44 24 38 33 C0 8A D0 88 44 24 45 E9 E3 FD FF FF B8 01 00 00 00 88 44 24 32 88 44 24 30 8A C8 33 C0 E9 12 FD FF FF 84 C9 74 07 33 C0 E9 03 0F 00 00 48 89 BC 24 B8 00 00 00 8B 17 44 8B C2 41 83 E0 0F 44 89 84 24 A0 00 00 00 8B CA C1 E9 04 83 E1 0F 89 8C 24 98 00 00 00 45 84 E4 75 46 40 84 F6 75 41 C1 EA 0B 83 E2 07 41 0F B6 C7 03 D0 89 54 24 74 89 94 24 9C 00 00 00 41 80 FB 0F 74 54 BA 01 00 00 00 44 8A EA 88 54 24 30 88 54 24 32 44 8B 64 24 38 4C 8B 5C 24 58 44 8B 54 24 54 E9 30 05 00 00 41 80 F9 0F 74 1C B9 03 00 00 00 89 8C 24 98 00 00 00 45 0F B6 C1 41 83 E0 0F 44 89 84 24 A0 00 00 00 41 8B C2 89 44 24 74 89 84 24 9C 00 00 00 83 E9 02 0F 84 D7 00 00 00 83 E9 01 74 66 83 E9 02 74 58 83 E9 02 74 4A 83 E9 05 74 39 83 E9 01 74 11 83 F9 01 75 85 48 8D 15 ?? ?? ?? ?? E9 B4 00 00 00 48 8D 15 ?? ?? ?? ?? 33 C0 38 44 24 48 0F 84 A1 00 00 00 44 8B F0 89 44 24 34 89 44 24 4C E9 91 00 00 00 48 8D 15 ?? ?? ?? ?? E9 85 00 00 00 48 8D 15 ?? ?? ?? ?? EB CF 48 8D 15 ?? ?? ?? ?? EB 73 BA 01 00 00 00 41 83 F8 0A 0F 85 2E FF FF FF 44 8B CA 40 8A C6 41 0A C4 75 0F 48 03 FA 48 89 BC 24 80 00 00 00 01 54 24 38 48 89 BC 24 B8 00 00 00 8B 07 44 8B C0 41 83 E0 0F 44 89 84 24 A0 00 00 00 C1 E8 04 83 E0 0F 89 84 24 98 00 00 00 74 12 83 F8 04 0F 85 E3 FE FF FF 48 8D 15 ?? ?? ?? ?? EB 15 48 8D 15 ?? ?? ?? ?? EB 0C 48 8D 15 ?? ?? ?? ?? 44 8B 4C 24 40 8B 07 B9 00 C0 00 00 23 C1 45 33 DB 45 8B D3 3B C1 41 0F 95 C2 44 89 54 24 54 44 88 94 24 88 00 00 00 41 0F B6 C2 C1 E0 04 41 0B C0 83 F8 20 76 1F BA 01 00 00 00 44 8A EA 88 54 24 30 88 54 24 32 44 8B 64 24 38 4C 8B 5C 24 58 E9 C4 03 00 00 B9 01 00 00 00 41 B8 FF 0F 00 00 44 3B C9 0F 85 9F 00 00 00 48 8D 14 82 48 89 54 24 58 48 89 94 24 F0 00 00 00 8B 0A 41 23 C8 8D 41 95 83 F8 02 76 17 8D 41 BA 83 F8 02 77 A7 45 8B F3 44 89 5C 24 34 44 89 5C 24 4C EB 10 B8 01 00 00 00 44 8B F0 89 44 24 34 89 44 24 4C 8D 41 BA 83 F8 27 77 21 49 BB 05 00 00 00 A0 00 00 00 49 0F A3 C3 73 11 33 C0 44 8A D8 44 89 5C 24 48 44 88 5C 24 31 EB 50 83 F9 6C 74 24 83 F9 47 74 1F BA 01 00 00 00 44 8A EA 88 54 24 30 88 54 24 32 44 8B 64 24 38 4C 8B 5C 24 58 E9 1E 03 00 00 41 BB 01 00 00 00 EB C3 41 8D 04 46 48 8D 14 82 48 89 54 24 58 48 89 94 24 F0 00 00 00 44 8B 74 24 34 44 8B 5C 24 48 8B 0A 41 85 C8 74 B3 8B C1 25 00 F0 01 00 4C 8D 35 ?? ?? ?? ?? 3D 00 E0 01 00 75 46 45 33 D2 49 8D 96 ?? ?? ?? ?? 45 84 DB 74 0A C1 E9 11 83 E1 1F FF C1 EB 07 48 C1 E9 11 83 E1 1F 48 8D 14 8A 48 89 94 24 F0 00 00 00 48 89 54 24 58 45 8A DA 44 88 54 24 31 41 BA 02 00 00 00 44 89 54 24 4C EB 05 44 8B 54 24 34 8B 12 41 23 D0 8D 42 BD 41 0F B6 CB 83 F8 02 41 B8 00 00 00 00 41 0F 46 C8 89 4C 24 48 88 4C 24 31 8D 42 98 83 F8 02 45 8D 58 01 45 0F 46 D3 44 89 54 24 34 44 89 54 24 4C 45 85 C9 75 0E 0F B6 C1 03 C2 89 84 24 C8 01 00 00 EB 07 89 94 24 C8 01 00 00 45 84 E4 75 05 40 84 F6 74 31 83 C2 CD 83 FA 38 77 29 48 B9 01 A3 08 40 C0 5F 1F 01 48 0F A3 D1 73 19 8B 0F C1 E9 0B 83 E1 07 41 0F B6 C7 03 C8 89 4C 24 74 89 8C 24 9C 00 00 00 44 8B 64 24 38 41 83 C4 03 44 89 64 24 38 49 8B C0 48 89 84 24 B0 00 00 00 48 89 84 24 10 01 00 00 48 8B 74 24 68 84 DB 0F 84 A9 00 00 00 8B 46 30 B9 40 00 10 00 23 C1 3B C1 0F 85 97 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 0D 0B 00 00 E8 ?? ?? ?? ?? 48 89 84 24 08 01 00 00 A8 04 75 07 33 C0 E9 F5 0A 00 00 48 8D 94 24 08 01 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 DD 0A 00 00 4C 8D 84 24 EC 00 00 00 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 89 84 24 A8 00 00 00 48 89 84 24 18 01 00 00 45 33 C0 41 8D 58 02 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 89 84 24 B0 00 00 00 48 89 84 24 10 01 00 00 89 5C 24 78 89 9C 24 E8 00 00 00 44 8D 5B FF EB 25 41 8B C3 89 44 24 78 89 84 24 E8 00 00 00 48 8D 86 A0 01 00 00 48 89 84 24 A8 00 00 00 48 89 84 24 18 01 00 00 44 8B 54 24 54 45 84 D2 0F 84 A7 00 00 00 48 89 BC 24 80 00 00 00 49 03 FB 48 89 BC 24 80 00 00 00 0F B6 07 88 44 24 53 49 03 FB 48 89 BC 24 80 00 00 00 8B D8 41 0F B6 C5 44 0F B6 4C 24 70 89 44 24 20 4C 8B C7 48 8B 54 24 68 48 8D 8E A0 04 00 00 49 8B 84 DE ?? ?? ?? ?? 4C 8B 15 ?? ?? ?? ?? 41 FF D2 8B C8 48 8D 05 ?? ?? ?? ?? 4C 8B 5C 24 58 49 39 84 DE ?? ?? ?? ?? 75 1B 41 8B 03 25 00 00 C0 01 3D 00 00 40 00 75 0C B8 01 00 00 00 48 01 86 A0 04 00 00 48 8B 86 A0 04 00 00 48 89 84 24 F8 00 00 00 48 89 84 24 28 01 00 00 44 8B 54 24 54 EB 0C 8B 8C 24 90 00 00 00 4C 8B 5C 24 58 44 03 E1 44 89 64 24 38 41 8B 03 25 00 00 C0 01 BA 01 00 00 00 3D 00 00 40 00 75 1F 8B C1 48 03 F8 48 89 BC 24 80 00 00 00 0F B6 07 89 84 24 CC 01 00 00 44 03 E2 44 89 64 24 38 44 8A 6C 24 30 44 8B 74 24 34 33 DB 8B CB 89 5C 24 34 48 8B 7C 24 68 39 5C 24 78 0F 8E C4 08 00 00 41 0F B6 C7 89 84 24 90 00 00 00 44 8D 7B 10 8B 84 24 EC 00 00 00 89 44 24 40 85 C9 74 70 48 8B 84 24 A8 00 00 00 48 8D 48 08 48 8D 94 24 70 02 00 00 48 2B D0 4C 8B 84 24 B0 00 00 00 4C 2B C0 4D 8B CF 4C 8B 54 24 68 8B 7C 24 54 48 8B 41 F8 48 89 44 0A F8 48 8B 01 48 89 04 0A 49 8B 44 08 F8 48 89 41 F8 49 8B 04 08 48 89 01 40 84 FF 74 12 48 8B 84 24 F8 00 00 00 49 03 C7 49 89 82 A0 04 00 00 49 03 CF 49 83 E9 01 75 C0 EB 19 45 84 D2 4C 8B 54 24 68 74 0F 48 8B 84 24 F8 00 00 00 48 89 87 A0 04 00 00 41 8B 3B 8B DF C1 EB 0C 83 E3 1F 8B 44 24 74 89 44 24 28 4C 89 54 24 20 4C 8D 8C 24 E0 01 00 00 44 8B C0 8B D3 8B 74 24 48 40 8A CE E8 ?? ?? ?? ?? 48 8B 84 24 B8 00 00 00 8B D7 40 8A CE 44 8B 00 C1 EA 11 41 C1 E8 08 0F B6 44 24 70 83 E2 1F 41 83 E0 07 44 03 C0 44 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 83 FB 1F 75 17 4C 8D 8C 24 E0 01 00 00 E8 ?? ?? ?? ?? 83 A4 24 30 02 00 00 FE EB 0D 4C 8D 8C 24 10 02 00 00 E8 ?? ?? ?? ?? 48 8B 84 24 B8 00 00 00 8B 00 C1 E8 0B 83 E0 07 03 84 24 90 00 00 00 C1 EF 19 83 E7 1F 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 4C 8D 8C 24 40 02 00 00 44 8B 44 24 74 8B D7 40 8A CE E8 ?? ?? ?? ?? 45 33 C9 45 84 ED 0F 85 B6 F8 FF FF 48 8B 7C 24 68 8B 47 34 B9 00 03 00 00 23 C1 45 8D 51 01 74 1F 3D 00 02 00 00 74 0E 3B C1 75 1F 44 89 8C 24 D4 00 00 00 EB 15 44 89 94 24 D4 00 00 00 EB 0B C7 84 24 D4 00 00 00 02 00 00 00 8B 47 34 8B C8 C1 E9 0D 83 E1 03 74 33 83 E9 01 74 24 83 E9 01 74 12 83 F9 01 75 2C C7 84 24 D0 00 00 00 03 00 00 00 EB 1F C7 84 24 D0 00 00 00 02 00 00 00 EB 12 44 89 94 24 D0 00 00 00 EB 08 44 89 8C 24 D0 00 00 00 8B C8 C1 E9 07 83 E1 3F 89 8C 24 C0 00 00 00 8B C8 C1 E9 0F 41 23 CA 89 8C 24 C8 00 00 00 8B C8 C1 E9 06 41 23 CA 89 8C 24 CC 00 00 00 8B 4F 44 89 8C 24 DC 00 00 00 8B 8C 24 CC 01 00 00 89 8C 24 D8 00 00 00 83 E0 3F 89 84 24 A0 01 00 00 44 89 8C 24 A4 01 00 00 48 8B 44 24 58 44 8B 28 41 C1 ED 1E 45 03 EA 40 84 F6 45 0F 45 EA 8B 9C 24 C8 01 00 00 83 FB 48 0F 84 64 05 00 00 83 FB 6D 0F 84 5B 05 00 00 41 8B F1 45 85 ED 0F 84 88 05 00 00 49 8B F9 44 8B 84 24 90 01 00 00 44 89 8C 24 C4 00 00 00 41 BB E0 FF FF FF 44 21 9C 24 34 01 00 00 44 21 9C 24 38 01 00 00 44 21 9C 24 3C 01 00 00 8B 8C 24 D4 00 00 00 83 E1 07 C1 E1 02 8B 84 24 30 01 00 00 41 23 C3 0B C8 8B 84 24 D0 00 00 00 83 E0 03 0B C8 8B C3 83 E8 43 74 50 83 E8 01 74 44 83 E8 01 74 38 83 E8 23 74 25 83 E8 01 74 19 83 E8 01 74 09 41 8A C1 8B 54 24 40 EB 44 BA 4B 00 00 00 89 54 24 40 EB 3D BA 49 00 00 00 EB F3 8B C6 F7 D8 1B D2 83 E2 FE 83 C2 4B EB E5 BA 2D 00 00 00 EB DE BA 2B 00 00 00 EB D7 8B C6 83 E0 FD F7 D8 1B D2 83 E2 FE 83 C2 2D 89 54 24 40 41 8A C2 84 C0 74 04 8B C2 EB 02 8B C3 C1 E0 05 33 C1 25 E0 FF 01 00 33 C8 89 8C 24 30 01 00 00 8B 94 24 00 02 00 00 83 E2 1F 8B 8C 24 50 01 00 00 41 23 CB 0B CA 89 8C 24 50 01 00 00 41 8B C6 45 85 F6 0F 84 9B 00 00 00 83 F8 01 74 53 83 FB 5F 0F 82 F0 00 00 00 83 FB 60 76 3C 83 FB 62 76 22 83 FB 65 76 0A 83 FB 67 76 18 E9 D7 00 00 00 8B 84 BC F0 01 00 00 89 84 24 40 01 00 00 E9 C4 00 00 00 48 8B 84 FC F0 01 00 00 48 89 84 24 40 01 00 00 E9 AF 00 00 00 8B 84 BC F0 01 00 00 EB EA 48 8B 84 FC F0 01 00 00 48 89 84 24 40 01 00 00 8D 43 97 41 3B C2 0F 87 8A 00 00 00 41 3B F2 0F 85 81 00 00 00 48 8B 84 24 20 02 00 00 48 89 84 24 40 01 00 00 8B C1 33 84 24 30 02 00 00 83 E0 1F EB 5A 8B 84 BC F0 01 00 00 89 84 24 40 01 00 00 8D 43 BC 41 3B C2 77 4D 8B C6 83 E8 01 74 23 83 E8 01 74 15 83 F8 01 75 3C 8B 84 24 28 02 00 00 89 84 24 40 01 00 00 EB BB 8B 84 24 20 02 00 00 EB EE 8B 84 24 F8 01 00 00 89 84 24 40 01 00 00 8B C1 33 84 24 00 02 00 00 83 E0 1E 33 C8 89 8C 24 50 01 00 00 8B 8C 24 70 01 00 00 44 84 94 24 30 02 00 00 74 10 8B C1 33 84 24 30 02 00 00 83 E0 1F 33 C8 EB 03 83 E1 FE 89 8C 24 70 01 00 00 41 8B C6 45 85 F6 0F 84 8C 00 00 00 83 F8 01 74 4C 83 FB 5F 0F 82 EC 00 00 00 83 FB 60 76 35 83 FB 62 76 1B 83 FB 65 76 0A 83 FB 67 76 11 E9 D3 00 00 00 8B 84 BC 20 02 00 00 E9 C0 00 00 00 48 8B 84 FC 20 02 00 00 48 89 84 24 60 01 00 00 E9 B2 00 00 00 8B 84 BC 20 02 00 00 EB EA 48 8B 84 FC 20 02 00 00 48 89 84 24 60 01 00 00 8D 43 97 41 3B C2 0F 87 8D 00 00 00 85 F6 0F 85 85 00 00 00 48 8B 84 24 F8 01 00 00 48 89 84 24 60 01 00 00 41 23 CB 0B CA EB 42 8B 84 BC 20 02 00 00 89 84 24 60 01 00 00 8D 43 BC 41 3B C2 77 58 8B C6 85 F6 74 38 83 E8 01 74 2A 83 F8 01 75 48 8B 84 24 24 02 00 00 89 84 24 60 01 00 00 8B C1 33 84 24 30 02 00 00 83 E0 1F 33 C8 89 8C 24 70 01 00 00 EB 23 8B 84 24 FC 01 00 00 EB 07 8B 84 24 F4 01 00 00 41 23 CB 0B CA 89 8C 24 70 01 00 00 89 84 24 60 01 00 00 41 83 E0 FE 41 8B C6 45 85 F6 74 3B 83 F8 01 74 2C 83 FB 5F 72 3F 83 FB 60 76 11 83 FB 62 76 1D 83 FB 65 76 22 83 FB 67 77 2B EB 11 8B 84 BC 50 02 00 00 48 89 84 24 }
	condition:
		$1
}

rule file_586_0_0 {
	meta:
		name = "??$common_tcsnset_s@D@@YAHQEAD_KD1@Z"
		size = 124
		refs = "0063 _errno 006e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 4C 33 C0 EB 5D 48 85 C9 74 43 48 85 D2 74 3E 48 8B C1 44 38 11 74 19 4D 85 C9 74 24 48 83 EA 01 74 0E 44 88 00 49 FF C9 48 FF C0 44 38 10 75 E7 4D 85 C9 75 10 EB 09 48 83 EA 01 74 08 48 FF C0 44 38 10 75 F2 48 85 D2 75 B7 44 88 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_586_1_0 {
	meta:
		name = "_strnset_s"
		size = 116
		refs = "005b _errno 0066 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 33 C0 4C 8B D1 4D 85 C9 75 0C 48 85 C9 75 0C 48 85 D2 75 42 EB 55 48 85 C9 74 3B 48 85 D2 74 36 EB 14 4D 85 C9 74 23 48 83 EA 01 74 0D 44 88 01 48 FF C1 49 FF C9 38 01 75 E8 4D 85 C9 75 0F EB 09 48 83 EA 01 74 07 48 FF C1 38 01 75 F3 48 85 D2 75 18 41 88 02 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_587_7_0 {
	meta:
		name = "_getch"
		size = 42
		refs = "000c __acrt_lock 0012 _getch_nolock 001e __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_11_0 {
	meta:
		name = "_getche"
		size = 42
		refs = "000c __acrt_lock 0012 _getche_nolock 001e __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_15_0 {
	meta:
		name = "_kbhit"
		size = 42
		refs = "000c __acrt_lock 0012 _kbhit_nolock 001e __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_9_0 {
	meta:
		name = "_getch_nolock"
		size = 270
		refs = "0012 __security_cookie 0020 ?chbuf@@3HA 003d __dcrt_lowio_console_input_handle 0048 __dcrt_lowio_initialize_console_input 006e __imp_GetConsoleMode 0079 __imp_SetConsoleMode 0095 __imp_ReadConsoleInputA 00c5 _getextendedkeycode 00fa __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B 05 ?? ?? ?? ?? 48 83 CB FF 3B C3 74 0E 0F B6 C0 89 1D ?? ?? ?? ?? E9 B7 00 00 00 48 8B 3D ?? ?? ?? ?? 48 83 FF FE 75 0C E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 3B FB 75 07 8B C3 E9 92 00 00 00 48 89 7C 24 28 48 8D 54 24 20 48 8B CF FF 15 ?? ?? ?? ?? 33 D2 48 8B CF FF 15 ?? ?? ?? ?? 90 BE 01 00 00 00 4C 8D 4C 24 24 44 8B C6 48 8D 54 24 30 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 42 83 7C 24 24 00 74 3B 66 39 74 24 30 75 32 83 7C 24 34 00 74 2B 8A 44 24 3E 84 C0 74 05 0F B6 D8 EB 20 48 8D 4C 24 34 E8 ?? ?? ?? ?? 48 85 C0 74 0F 0F B6 48 01 89 0D ?? ?? ?? ?? 0F B6 18 EB 02 EB A4 8B 54 24 20 48 8B CF FF 15 ?? ?? ?? ?? E9 67 FF FF FF 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_587_13_0 {
	meta:
		name = "_getche_nolock"
		size = 74
		refs = "000c ?chbuf@@3HA 0023 _getch_nolock 0034 _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 05 ?? ?? ?? ?? 83 CF FF 3B C7 74 0B 0F B6 C0 89 3D ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? 8B D8 3B C7 75 04 8B C7 EB 0E 8B C8 E8 ?? ?? ?? ?? 3B C7 0F 44 DF 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_587_14_0 {
	meta:
		name = "_getextendedkeycode"
		size = 188
		refs = "0011 ?EnhancedKeys@@3QBUEnhKeyVals@?A0x85a4bdeb@@B 006e ?NormalKeys@@3QBUNormKeyVals@?A0x85a4bdeb@@B"
	strings:
		$1 = { 8B 51 0C 0F BA E2 08 73 5E 44 0F B7 49 08 4C 8D 15 ?? ?? ?? ?? 49 8B CA 45 33 C0 66 44 39 09 74 15 41 FF C0 48 83 C1 0A 49 63 C0 48 83 F8 0C 72 EA E9 83 00 00 00 49 63 C0 48 8D 04 80 F6 C2 03 74 09 48 8D 40 04 49 8D 04 42 C3 F6 C2 0C 74 06 48 8D 40 03 EB F0 F6 C2 10 74 06 48 8D 40 02 EB E5 48 8D 40 01 EB DF 0F B7 41 08 48 8D 0D ?? ?? ?? ?? F6 C2 03 74 0A 48 8D 04 C5 06 00 00 00 EB 1C F6 C2 0C 74 0A 48 8D 04 C5 04 00 00 00 EB 0D F6 C2 10 74 0D 48 8D 04 C5 02 00 00 00 48 03 C1 EB 04 48 8D 04 C1 8A 08 80 C1 20 F6 C1 DF 75 09 45 33 C0 44 38 40 01 75 02 33 C0 C3 }
	condition:
		$1
}

rule file_587_17_0 {
	meta:
		name = "_kbhit_nolock"
		size = 430
		refs = "001e __security_cookie 002b ?chbuf@@3HA 003f __dcrt_lowio_console_input_handle 004a __dcrt_lowio_initialize_console_input 006b __imp_GetNumberOfConsoleInputEvents 00cd __chkstk 00f4 _malloc_base 0123 __imp_PeekConsoleInputA 015c _getextendedkeycode 0186 _free_base 0194 __security_check_cookie"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8D 6C 24 20 48 89 5D 20 48 89 75 28 48 89 7D 30 4C 89 75 38 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 83 3D ?? ?? ?? ?? FF 74 0A B8 01 00 00 00 E9 50 01 00 00 48 8B 3D ?? ?? ?? ?? 48 83 FF FE 75 0C E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 83 FF FF 75 07 33 C0 E9 2A 01 00 00 48 8D 55 00 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 E8 44 8B 45 00 45 85 C0 74 DF 4B 8D 14 80 48 C1 E2 02 48 8D 4A 10 48 3B D1 48 1B C0 48 85 C1 74 7D 48 8D 4A 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 48 8D 42 10 77 3E 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 0F 84 90 00 00 00 C7 03 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C3 10 44 8B 45 00 EB 02 33 DB 48 85 DB 74 5B 4C 8D 4D 04 48 8B D3 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 47 8B 75 04 85 F6 74 40 3B 75 00 77 3B 85 F6 74 37 4C 8D 73 04 BF 01 00 00 00 66 41 39 7E FC 75 1A 41 83 3E 00 74 14 41 80 7E 0A 00 75 1C 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 0F FF CE 49 83 C6 14 89 75 04 85 F6 75 D2 33 FF 48 85 DB 74 11 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 20 48 8B 75 28 48 8B 7D 30 4C 8B 75 38 48 8D 65 10 5D C3 }
	condition:
		$1
}

rule file_587_18_0 {
	meta:
		name = "_ungetch"
		size = 46
		refs = "000e __acrt_lock 0016 _ungetch_nolock 0022 __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B D8 B9 09 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_20_0 {
	meta:
		name = "_ungetch_nolock"
		size = 25
		refs = "0009 ?chbuf@@3HA"
	strings:
		$1 = { 83 C8 FF 3B C8 74 11 39 05 ?? ?? ?? ?? 75 09 0F B6 C1 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_588_0_0 {
	meta:
		name = "_FSinh"
		size = 382
		refs = "0020 _fdtest 0054 __xmm@80000000800000008000000080000000 0069 _FRteps_C 007a __real@3f0c9f54 0094 __real@3af12b62 00a0 __real@3d7a00dc 00a8 __real@3dd854ec 00b8 __real@3f800000 00c9 _FXbig_C 00e3 _fdexp 00f0 __real@3e800000 014f _fperrraise 0157 _FNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E E8 00 00 00 66 3B F0 0F 8E DF 00 00 00 F3 0F 10 5D 20 0F 57 C0 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F3 0F 11 5D 20 EB 03 0F B7 DE F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 0F 87 86 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 76 42 0F 28 CB F3 0F 59 CB 0F 28 D1 0F 28 C1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C 05 ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 D3 F3 0F 58 05 ?? ?? ?? ?? 0F 28 DA F3 0F 5E D8 EB 37 F3 0F 10 05 ?? ?? ?? ?? 48 8D 4D 20 41 83 C8 FF 0F 2F C3 76 29 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 5D 20 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E C3 F3 0F 5C D8 F3 0F 59 5D 28 EB 0F F3 0F 10 4D 28 E8 ?? ?? ?? ?? F3 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F3 0F 10 45 20 EB 41 66 83 F8 02 75 07 F3 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F3 0F 10 45 20 F3 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_588_1_0 {
	meta:
		name = "csinhf"
		size = 278
		refs = "0015 crealf 0023 cimagf 0031 _fdtest 004b _FNan_C 006b _fperrraise 00b0 sinf 00c0 _FInf_C 00c5 cosf 00e3 _FCosh 00fd _FSinh 0105 _FCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 0F 29 74 24 30 48 89 4D E0 E8 ?? ?? ?? ?? 48 8B 4D E0 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 17 F3 0F 10 05 ?? ?? ?? ?? 66 85 C0 75 28 F3 0F 10 4D 28 E9 A6 00 00 00 BF 01 00 00 00 66 3B C7 75 2B 8B CF E8 ?? ?? ?? ?? 66 3B DF 76 10 F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 E9 80 00 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 45 30 EB 71 66 83 F8 02 74 D6 66 3B DF 75 32 66 85 C0 75 07 F3 0F 10 4D 28 EB E2 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 F3 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 59 45 30 EB 31 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "?dup2_nolock@@YAHHH@Z"
		size = 337
		refs = "0022 __pioinfo 0047 _errno 0052 __doserrno 0082 _close_nolock 0088 __imp_GetCurrentProcess 0092 _get_osfhandle 00c7 __imp_DuplicateHandle 00d1 __imp_GetLastError 00d8 __acrt_errno_map_os_error 00ed __acrt_lowio_set_os_handle"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 63 D9 4C 8D 2D ?? ?? ?? ?? 48 8B EB 4C 63 E2 83 E5 3F 4C 8B FB 49 C1 FF 06 48 C1 E5 06 4B 8B 44 FD 00 F6 44 28 38 01 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF E9 D2 00 00 00 49 8B F4 4D 8B F4 49 C1 FE 06 83 E6 3F 48 C1 E6 06 4B 8B 44 F5 00 F6 44 30 38 01 74 08 41 8B CC E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 4C 8D 8C 24 80 00 00 00 48 8B C8 C7 44 24 28 01 00 00 00 83 64 24 20 00 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 78 FF FF FF 48 8B 94 24 80 00 00 00 41 8B CC E8 ?? ?? ?? ?? 4B 8B 44 FD 00 8A 4C 28 38 4B 8B 44 F5 00 80 E1 EF 88 4C 30 38 4B 8B 44 FD 00 4B 8B 4C F5 00 8A 44 28 39 88 44 31 39 4B 8B 44 FD 00 4B 8B 54 F5 00 8A 4C 28 3D 32 4C 32 3D 80 E1 01 30 4C 32 3D 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_591_1_0 {
	meta:
		name = "_dup2"
		size = 257
		refs = "001a __doserrno 0023 _errno 003e _nhandle 0057 __pioinfo 0092 __acrt_lowio_ensure_fh_exists 00a7 __acrt_lowio_lock_fh 00c7 ?dup2_nolock@@YAHHH@Z 00d0 __acrt_lowio_unlock_fh 00f2 _invalid_parameter_noinfo"
	strings:
		$1 = { 89 54 24 10 89 4C 24 08 53 56 57 48 83 EC 20 8B DA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 F6 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C4 00 00 00 33 F6 85 C9 0F 88 A3 00 00 00 8B 15 ?? ?? ?? ?? 3B FA 0F 83 95 00 00 00 48 8B CF 48 8B C7 48 C1 F8 06 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 49 8B 04 C0 0F B6 4C 08 38 83 E1 01 74 6F 83 FB FE 75 07 E8 ?? ?? ?? ?? EB A4 8B C6 81 FB 00 20 00 00 0F 92 C0 85 C0 74 54 3B DA 7C 0B 8B CB E8 ?? ?? ?? ?? 85 C0 75 5C 3B FB 75 04 33 C0 EB 57 7D 0B 8B CF E8 ?? ?? ?? ?? 8B CB EB 0D 3B FB 7E 0F 8B CB E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B D3 8B CF E8 ?? ?? ?? ?? 8B F0 8B CF E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 8B C6 EB 1A E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule file_591_2_0 {
	meta:
		name = "_dup2$fin$0"
		size = 31
		refs = "000d __acrt_lowio_unlock_fh"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 E8 ?? ?? ?? ?? 8B 4D 48 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_592_0_0 {
	meta:
		name = "__remainder_piby2_fma3"
		size = 496
		refs = "0007 __L_2_by_pi_bits 018a L_fff800 0196 L_piby2_lead 019e L_piby2_part1 01b4 L_piby2_part2 01ce L_piby2_part3"
	strings:
		$1 = { 48 83 EC 38 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 C5 F9 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1F 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 48 89 44 24 20 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 19 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 40 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E D2 49 0F BD C9 48 83 E9 40 48 F7 D9 49 D3 E1 49 C1 E9 0C 48 83 C1 34 4C 2B D9 49 C1 E3 34 4C 0B CA 4D 0B CB C4 C1 F9 6E C9 C5 E9 54 25 ?? ?? ?? ?? C5 EB 5C C4 C5 EB 59 2D ?? ?? ?? ?? C5 DB 59 1D ?? ?? ?? ?? C5 E3 5C DD C4 E2 F9 B9 1D ?? ?? ?? ?? C4 E2 D9 B9 1D ?? ?? ?? ?? C4 E2 F9 B9 1D ?? ?? ?? ?? C5 F3 59 25 ?? ?? ?? ?? C4 E2 E9 B9 25 ?? ?? ?? ?? C5 E3 58 DC C5 D3 58 C3 C5 D3 5C C8 C5 F3 58 CB 48 8B 44 24 20 48 83 C4 38 C3 0F 1F 40 00 }
	condition:
		$1
}

rule file_592_1_0 {
	meta:
		name = "__remainder_piby2_fma3_bdl"
		size = 119
		refs = "0008 L_xc2 0010 L_sigma 0019 L_r 0033 L_xc1 006e L_xc3"
	strings:
		$1 = { C5 F9 28 C8 C5 F9 28 25 ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 E9 99 0D ?? ?? ?? ?? C5 F3 5C CA C5 F9 E6 E9 C4 E1 F9 7E E8 C5 F9 28 D1 C4 E2 F9 9D 15 ?? ?? ?? ?? C5 F3 59 DC C5 F9 28 C1 C4 E2 D9 AB C3 C5 EB 5C EB C5 EB 5C E5 C5 DB 5C E3 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 D3 5C EA C5 D3 58 EC C5 D3 5C E8 C5 F9 28 C2 C4 E2 D1 9D 0D ?? ?? ?? ?? 48 83 E0 03 C3 }
	condition:
		$1
}

rule file_593_0_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 94
		altNames = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 4D 8B 11 48 8B 44 24 30 4C 8B 18 48 8B 44 24 28 48 8B 10 49 8B 00 45 33 C0 4C 89 41 10 4C 89 41 28 4C 89 41 30 44 89 41 38 66 44 89 41 40 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 89 01 48 8B C1 48 89 51 08 4C 89 51 18 4C 89 59 20 44 89 81 70 04 00 00 C3 }
	condition:
		$1
}

rule file_593_1_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@D@__crt_stdio_output@@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@AEB_KAEBQEBDAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 123
	strings:
		$1 = { 4D 8B 19 48 8B 44 24 30 4C 8B 10 48 8B 44 24 28 48 8B 10 49 8B 00 45 33 C0 4C 89 41 10 4C 89 41 28 4C 89 41 30 44 89 41 38 66 44 89 41 40 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 89 01 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 48 89 51 08 4C 89 59 18 4C 89 51 20 44 89 81 70 04 00 00 4C 89 81 78 04 00 00 4C 89 99 80 04 00 00 C3 }
	condition:
		$1
}

rule file_593_3_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 98
		altNames = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
	strings:
		$1 = { 4D 8B 11 48 8B 44 24 30 4C 8B 18 48 8B 44 24 28 48 8B 10 49 8B 00 45 33 C0 4C 89 41 10 4C 89 41 28 4C 89 41 30 44 89 41 38 44 88 41 40 66 44 89 41 42 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 89 01 48 8B C1 48 89 51 08 4C 89 51 18 4C 89 59 20 44 89 81 70 04 00 00 C3 }
	condition:
		$1
}

rule file_593_4_0 {
	meta:
		name = "??$?0AEBV?$console_output_adapter@_W@__crt_stdio_output@@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@AEB_KAEBQEB_WAEBQEAU__crt_locale_pointers@@AEBQEAD@Z"
		size = 127
	strings:
		$1 = { 4D 8B 19 48 8B 44 24 30 4C 8B 10 48 8B 44 24 28 48 8B 10 49 8B 00 45 33 C0 4C 89 41 10 4C 89 41 28 4C 89 41 30 44 89 41 38 44 88 41 40 66 44 89 41 42 44 89 41 50 44 88 41 54 4C 89 81 58 04 00 00 4C 89 81 60 04 00 00 48 89 01 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 48 89 51 08 4C 89 59 18 4C 89 51 20 44 89 81 70 04 00 00 4C 89 81 78 04 00 00 4C 89 99 80 04 00 00 C3 }
	condition:
		$1
}

rule file_593_7_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 241
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00aa _free_base 00d5 __security_check_cookie"
		altNames = "__conio_common_vcprintf_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 66 44 89 75 80 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_11_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 241
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00aa _free_base 00d5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 66 44 89 75 80 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_473_0 {
	meta:
		name = "__conio_common_vcprintf"
		size = 241
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00aa _free_base 00d5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 66 44 89 75 80 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_8_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 245
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a0 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00ae _free_base 00d9 __security_check_cookie"
		altNames = "__conio_common_vcwprintf_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 44 88 75 80 66 44 89 75 82 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_12_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 245
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a0 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00ae _free_base 00d9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 44 88 75 80 66 44 89 75 82 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_476_0 {
	meta:
		name = "__conio_common_vcwprintf"
		size = 245
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a0 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00ae _free_base 00d9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 8D 4C 24 40 48 89 44 24 48 4C 89 74 24 68 4C 89 74 24 70 44 89 74 24 78 44 88 75 80 66 44 89 75 82 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 7C 24 58 48 89 74 24 60 44 89 B5 B0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 04 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_9_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 270
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b9 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00c7 _free_base 00f2 __security_check_cookie"
		altNames = "__conio_common_vcprintf_p"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 C0 F2 FF FF 48 81 EC 40 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 30 0D 00 00 48 8B F2 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F9 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 89 44 24 48 48 8D 4C 24 40 83 C8 FF 4C 89 74 24 68 89 85 28 0D 00 00 89 85 2C 0D 00 00 4C 89 74 24 70 44 89 74 24 78 66 44 89 75 80 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 74 24 58 48 89 7C 24 60 44 89 B5 B0 03 00 00 4C 89 B5 B8 03 00 00 48 89 B5 C0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D 30 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 0E 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_10_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 274
		refs = "0020 __security_cookie 0040 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00bd ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ 00cb _free_base 00f6 __security_check_cookie"
		altNames = "__conio_common_vcwprintf_p"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8D AC 24 C0 F2 FF FF 48 81 EC 40 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 30 0D 00 00 48 8B F2 48 8B D9 49 8B D0 48 8D 4C 24 20 49 8B F9 E8 ?? ?? ?? ?? 45 33 F6 48 89 5C 24 40 48 8D 44 24 28 4C 89 74 24 50 48 89 44 24 48 48 8D 4C 24 40 83 C8 FF 4C 89 74 24 68 89 85 28 0D 00 00 89 85 2C 0D 00 00 4C 89 74 24 70 44 89 74 24 78 44 88 75 80 66 44 89 75 82 44 89 75 90 44 88 75 94 4C 89 B5 98 03 00 00 4C 89 B5 A0 03 00 00 48 89 74 24 58 48 89 7C 24 60 44 89 B5 B0 03 00 00 4C 89 B5 B8 03 00 00 48 89 B5 C0 03 00 00 E8 ?? ?? ?? ?? 48 8B 8D A0 03 00 00 8B D8 E8 ?? ?? ?? ?? 4C 89 B5 A0 03 00 00 44 38 74 24 38 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 8B C3 48 8B 8D 30 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 0E 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_593_144_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@D@0@DHQEAH@Z"
		size = 87
		refs = "0027 _putch_nolock"
	strings:
		$1 = { 45 85 C0 7E 51 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D9 0F BE EA 41 8B F0 33 FF 8B CD E8 ?? ?? ?? ?? 83 F8 FF 74 0F FF 03 83 3B FF 74 0B FF C7 3B FE 7D 05 EB E5 83 0B FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_145_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXAEBV?$console_output_adapter@_W@0@DHQEAH@Z"
		size = 93
		refs = "0028 _putwch_nolock"
	strings:
		$1 = { 45 85 C0 7E 57 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D9 0F BE EA 41 8B F0 33 FF 0F B7 CD E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0F FF 03 83 3B FF 74 0B FF C7 3B FE 7D 05 EB DF 83 0B FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_593_149_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 70
	strings:
		$1 = { 33 C0 48 89 41 10 48 89 41 28 48 89 41 30 89 41 38 66 89 41 40 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 C3 }
	condition:
		$1
}

rule file_593_150_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 73
	strings:
		$1 = { 33 C0 48 89 41 10 48 89 41 28 48 89 41 30 89 41 38 88 41 40 66 89 41 42 89 41 50 88 41 54 48 89 81 58 04 00 00 48 89 81 60 04 00 00 48 8B 44 24 28 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 C3 }
	condition:
		$1
}

rule file_593_151_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 76
		altNames = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 48 8B 44 24 28 33 D2 48 89 51 10 48 89 51 28 48 89 51 30 89 51 38 66 89 51 40 89 51 50 88 51 54 48 89 91 58 04 00 00 48 89 91 60 04 00 00 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 89 91 70 04 00 00 C3 }
	condition:
		$1
}

rule file_593_152_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 105
	strings:
		$1 = { 48 8B 44 24 28 33 D2 48 89 51 10 48 89 51 28 48 89 51 30 89 51 38 66 89 51 40 89 51 50 88 51 54 48 89 91 58 04 00 00 48 89 91 60 04 00 00 48 89 41 08 48 8B 44 24 30 48 89 41 20 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 4C 89 01 4C 89 49 18 89 91 70 04 00 00 48 89 91 78 04 00 00 4C 89 89 80 04 00 00 C3 }
	condition:
		$1
}

rule file_593_154_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 79
		altNames = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
	strings:
		$1 = { 48 8B 44 24 28 33 D2 48 89 51 10 48 89 51 28 48 89 51 30 89 51 38 88 51 40 66 89 51 42 89 51 50 88 51 54 48 89 91 58 04 00 00 48 89 91 60 04 00 00 48 89 41 08 48 8B 44 24 30 48 89 41 20 48 8B C1 4C 89 01 4C 89 49 18 89 91 70 04 00 00 C3 }
	condition:
		$1
}

rule file_593_155_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAA@AEBV?$console_output_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 108
	strings:
		$1 = { 48 8B 44 24 28 33 D2 48 89 51 10 48 89 51 28 48 89 51 30 89 51 38 88 51 40 66 89 51 42 89 51 50 88 51 54 48 89 91 58 04 00 00 48 89 91 60 04 00 00 48 89 41 08 48 8B 44 24 30 48 89 41 20 83 C8 FF 89 81 E8 0D 00 00 89 81 EC 0D 00 00 48 8B C1 4C 89 01 4C 89 49 18 89 91 70 04 00 00 48 89 91 78 04 00 00 4C 89 89 80 04 00 00 C3 }
	condition:
		$1
}

rule file_593_241_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 556
		refs = "001a _errno 0025 _invalid_parameter_noinfo 004a format_validation_lookup_table 00e1 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00ee ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0105 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01ae ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 01bb _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 79 18 00 48 8B D9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D7 01 00 00 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 C1 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 83 63 50 00 83 63 2C 00 E9 76 01 00 00 48 FF 43 18 83 7B 28 00 0F 8C 7D 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 14 29 83 E2 0F EB 02 33 D2 41 8D 04 D0 03 D0 8B C2 0F B6 0C 2A C1 E9 04 89 4B 2C 83 F9 08 0F 84 72 01 00 00 85 C9 0F 84 FA 00 00 00 83 E9 01 0F 84 D8 00 00 00 83 E9 01 0F 84 9A 00 00 00 83 E9 01 74 6B 83 E9 01 74 5D 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 4B 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E3 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 D6 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 BF 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 A4 00 00 00 83 63 38 00 E9 A1 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 7C 83 4B 30 04 F7 D9 89 4B 34 EB 71 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 60 83 4B 30 08 EB 5A 83 4B 30 04 EB 54 83 4B 30 01 EB 4E 83 4B 30 20 EB 48 83 4B 30 02 EB 42 83 63 34 00 83 63 30 00 83 63 3C 00 C6 43 40 00 89 7B 38 C6 43 54 00 EB 29 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 62 0F BE 4B 41 E8 ?? ?? ?? ?? 3B C7 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 57 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 79 FE FF FF 48 FF 43 18 83 7B 2C 00 74 06 83 7B 2C 07 75 26 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 49 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB DC }
	condition:
		$1
}

rule file_593_242_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 652
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0041 format_validation_lookup_table 00ee ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0141 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 014e ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0164 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 016e ?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01ae ?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 022e ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 024f ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 ED 48 8B D9 48 39 69 18 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 38 02 00 00 83 CF FF 4C 8D 3D ?? ?? ?? ?? FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 16 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 04 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 8A 00 88 43 41 84 C0 0F 84 9E 01 00 00 48 FF 43 18 39 6B 28 0F 8C 95 01 00 00 8A 43 41 44 8B 43 2C 2C 20 3C 5A 77 14 0F BE 43 41 83 E8 20 48 63 C8 42 0F B6 14 39 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 3A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 72 01 00 00 8B 43 2C 83 F8 08 0F 84 56 01 00 00 85 C0 0F 84 1C 01 00 00 83 E8 01 0F 84 FE 00 00 00 83 E8 01 0F 84 C0 00 00 00 83 E8 01 74 7A 83 E8 01 74 6E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 2F 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E8 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 DB 00 00 00 80 7B 41 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 C5 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F2 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 A6 00 00 00 39 2E 7D 48 89 3E EB 44 89 2E E9 97 00 00 00 80 7B 41 2A 48 8B CB 74 05 49 8B D6 EB B6 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 83 BB 78 04 00 00 01 75 09 83 BB 7C 04 00 00 01 75 6A 41 8B 06 85 C0 79 09 83 4B 30 04 F7 D8 41 89 06 B0 01 EB 52 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 3F 83 4B 30 08 EB 39 83 4B 30 04 EB 33 83 4B 30 01 EB 2D 83 4B 30 20 EB 27 83 4B 30 02 EB 21 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 36 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 62 FE FF FF 48 FF 43 18 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 E9 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_593_243_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 538
		refs = "001a _errno 0025 _invalid_parameter_noinfo 004a standard_lookup_table 00db ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00e8 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00ff ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01a8 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 01b5 _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 79 18 00 48 8B D9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C5 01 00 00 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 AF 01 00 00 83 CF FF 48 8D 2D ?? ?? ?? ?? 83 63 50 00 83 63 2C 00 E9 70 01 00 00 48 FF 43 18 83 7B 28 00 0F 8C 77 01 00 00 8A 43 41 8B 53 2C 2C 20 3C 5A 77 13 0F BE 43 41 83 E8 20 48 63 C8 0F B6 04 29 83 E0 0F EB 02 33 C0 8D 04 C2 0F B6 04 28 C1 E8 04 89 43 2C 83 F8 08 0F 84 66 01 00 00 85 C0 0F 84 FA 00 00 00 83 E8 01 0F 84 D8 00 00 00 83 E8 01 0F 84 9A 00 00 00 83 E8 01 74 6B 83 E8 01 74 5D 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 3F 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 E3 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 D6 00 00 00 80 7B 41 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 BF 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 A4 00 00 00 83 63 38 00 E9 A1 00 00 00 80 7B 41 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 7C 83 4B 30 04 F7 D9 89 4B 34 EB 71 8A 43 41 3C 20 74 28 3C 23 74 1E 3C 2B 74 14 3C 2D 74 0A 3C 30 75 60 83 4B 30 08 EB 5A 83 4B 30 04 EB 54 83 4B 30 01 EB 4E 83 4B 30 20 EB 48 83 4B 30 02 EB 42 83 63 34 00 83 63 30 00 83 63 3C 00 C6 43 40 00 89 7B 38 C6 43 54 00 EB 29 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 56 0F BE 4B 41 E8 ?? ?? ?? ?? 3B C7 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 4B 48 8B 43 18 8A 08 88 4B 41 84 C9 0F 85 7F FE FF FF 48 FF 43 18 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 5B FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB DC }
	condition:
		$1
}

rule file_593_244_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 581
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 0055 format_validation_lookup_table 00f0 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00fd ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0115 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01c0 _putwch_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 48 8B D9 48 39 71 18 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 DA 01 00 00 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 C4 01 00 00 83 CF FF 4C 8D 35 ?? ?? ?? ?? 8D 6F 21 89 73 50 89 73 2C E9 75 01 00 00 48 83 43 18 02 39 73 28 0F 8C 80 01 00 00 0F B7 43 42 44 8B 43 2C 66 2B C5 66 83 F8 5A 77 13 0F B7 43 42 2B C5 48 63 C8 42 0F B6 14 31 83 E2 0F EB 02 8B D6 41 8D 04 D0 03 D0 42 0F B6 0C 32 C1 E9 04 89 4B 2C 83 F9 08 0F 84 7C 01 00 00 85 C9 0F 84 FA 00 00 00 83 E9 01 0F 84 DD 00 00 00 83 E9 01 0F 84 9B 00 00 00 83 E9 01 74 6B 83 E9 01 74 5E 83 E9 01 74 28 83 E9 01 74 16 83 F9 01 0F 85 55 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 DF 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 D2 00 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 BA 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 9F 00 00 00 89 73 38 E9 9D 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 77 83 4B 30 04 F7 D9 89 4B 34 EB 6C 0F B7 43 42 3B C5 74 2B 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 56 83 4B 30 08 EB 50 83 4B 30 04 EB 4A 83 4B 30 01 EB 44 09 6B 30 EB 3F 83 4B 30 02 EB 39 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 25 0F B7 4B 42 C6 43 54 01 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 65 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 77 FE FF FF 48 83 43 18 02 39 73 2C 74 06 83 7B 2C 07 75 31 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 49 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_593_245_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 766
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0046 format_validation_lookup_table 0100 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0157 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0164 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 017b ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 0185 ?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 01cd ?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ 0282 _putwch_nolock 02bb ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 ED 48 8B D9 48 39 69 18 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 9F 02 00 00 83 CF FF 4C 8D 2D ?? ?? ?? ?? 44 8D 67 21 FF 83 78 04 00 00 8B 83 78 04 00 00 83 F8 03 0F 84 79 02 00 00 83 F8 02 75 0D 83 BB 7C 04 00 00 01 0F 84 67 02 00 00 48 8B 83 80 04 00 00 4C 8D 73 34 48 8D 73 38 89 AB 7C 04 00 00 89 BB E8 0D 00 00 89 BB EC 0D 00 00 41 89 2E 89 2E 48 89 43 18 89 6B 50 89 6B 2C 0F B7 00 66 89 43 42 66 85 C0 0F 84 FD 01 00 00 48 83 43 18 02 39 6B 28 0F 8C F4 01 00 00 0F B7 43 42 44 8B 43 2C 66 41 2B C4 66 83 F8 5A 77 14 0F B7 43 42 41 2B C4 48 63 C8 42 0F B6 14 29 83 E2 0F EB 02 8B D5 41 8D 04 D0 03 D0 42 0F B6 0C 2A C1 E9 04 89 4B 2C 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 CC 01 00 00 8B 43 2C 83 F8 08 0F 84 B0 01 00 00 85 C0 0F 84 38 01 00 00 83 E8 01 0F 84 1A 01 00 00 83 E8 01 0F 84 D6 00 00 00 83 E8 01 0F 84 82 00 00 00 83 E8 01 74 76 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 85 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 3A 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 2D 01 00 00 66 83 7B 42 2A 48 8B CB 74 0D 48 8B D6 E8 ?? ?? ?? ?? E9 16 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 47 01 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 F7 00 00 00 39 2E 0F 8D E9 00 00 00 89 3E E9 E2 00 00 00 89 2E E9 E1 00 00 00 66 83 7B 42 2A 48 8B CB 74 05 49 8B D6 EB AE E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 83 BB 78 04 00 00 01 75 0D 83 BB 7C 04 00 00 01 0F 85 AF 00 00 00 41 8B 06 85 C0 0F 89 9E 00 00 00 83 4B 30 04 F7 D8 41 89 06 E9 90 00 00 00 0F B7 43 42 41 3B C4 74 2C 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 79 83 4B 30 08 EB 73 83 4B 30 04 EB 6D 83 4B 30 01 EB 67 44 09 63 30 EB 61 83 4B 30 02 EB 5B 41 89 2E 40 88 6B 40 89 6B 30 89 3E 89 6B 3C 40 88 6B 54 EB 46 8B 83 78 04 00 00 83 F8 01 75 09 83 BB 7C 04 00 00 02 74 32 83 F8 02 75 08 39 AB 7C 04 00 00 74 25 0F B7 4B 42 C6 43 54 01 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 3A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 03 FE FF FF 48 83 43 18 02 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 15 E9 86 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 03 8B 43 28 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_593_246_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QEAAHXZ"
		size = 566
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 0055 standard_lookup_table 00ec ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 00f9 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ 0111 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NQEAH@Z 01bc _putwch_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 48 8B D9 48 39 71 18 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 CB 01 00 00 FF 81 70 04 00 00 83 B9 70 04 00 00 02 0F 84 B5 01 00 00 83 CF FF 4C 8D 35 ?? ?? ?? ?? 8D 6F 21 89 73 50 89 73 2C E9 71 01 00 00 48 83 43 18 02 39 73 28 0F 8C 7C 01 00 00 0F B7 43 42 8B 53 2C 66 2B C5 66 83 F8 5A 77 13 0F B7 43 42 2B C5 48 63 C8 42 0F B6 04 31 83 E0 0F EB 02 8B C6 8D 04 C2 42 0F B6 04 30 C1 E8 04 89 43 2C 83 F8 08 0F 84 71 01 00 00 85 C0 0F 84 FA 00 00 00 83 E8 01 0F 84 DD 00 00 00 83 E8 01 0F 84 9B 00 00 00 83 E8 01 74 6B 83 E8 01 74 5E 83 E8 01 74 28 83 E8 01 74 16 83 F8 01 0F 85 4A 01 00 00 48 8B CB E8 ?? ?? ?? ?? E9 DF 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 D2 00 00 00 66 83 7B 42 2A 74 11 48 8D 53 38 48 8B CB E8 ?? ?? ?? ?? E9 BA 00 00 00 48 83 43 20 08 48 8B 43 20 8B 48 F8 85 C9 0F 48 CF 89 4B 38 E9 9F 00 00 00 89 73 38 E9 9D 00 00 00 66 83 7B 42 2A 74 06 48 8D 53 34 EB C5 48 83 43 20 08 48 8B 43 20 8B 48 F8 89 4B 34 85 C9 79 77 83 4B 30 04 F7 D9 89 4B 34 EB 6C 0F B7 43 42 3B C5 74 2B 83 F8 23 74 21 83 F8 2B 74 16 83 F8 2D 74 0B 83 F8 30 75 56 83 4B 30 08 EB 50 83 4B 30 04 EB 4A 83 4B 30 01 EB 44 09 6B 30 EB 3F 83 4B 30 02 EB 39 48 89 73 30 40 88 73 40 89 7B 38 89 73 3C 40 88 73 54 EB 25 0F B7 4B 42 C6 43 54 01 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 89 7B 28 EB 03 FF 43 28 B0 01 84 C0 74 5A 48 8B 43 18 0F B7 08 66 89 4B 42 66 85 C9 0F 85 7B FE FF FF 48 83 43 18 02 FF 83 70 04 00 00 83 BB 70 04 00 00 02 0F 85 58 FE FF FF 8B 43 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB D1 }
	condition:
		$1
}

rule file_593_278_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 70
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0019 _putch_nolock 002f _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 1A 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_280_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 70
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0019 _putch_nolock 002f _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 1A 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_279_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 109
		refs = "0035 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0042 _putch_nolock 0056 _errno 0061 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 89 78 04 00 00 83 F9 01 75 09 83 BB 7C 04 00 00 02 74 0E 83 F9 02 75 0D 83 BB 7C 04 00 00 00 75 04 B0 01 EB 38 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 18 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB DB FF 43 28 EB D6 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_281_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 49
		refs = "0012 _putwch_nolock"
		altNames = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 41 54 01 0F B7 49 42 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_282_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 83
		refs = "0034 _putwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 89 78 04 00 00 83 F9 01 75 09 83 BB 7C 04 00 00 02 74 2E 83 F9 02 75 09 83 BB 7C 04 00 00 00 74 20 0F B7 4B 42 C6 43 54 01 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_284_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0019 _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 18 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_285_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0019 _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 18 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_286_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z 0019 _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 18 0F BE 4B 41 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_290_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
		size = 107
		refs = "002a _putch_nolock 0050 _errno 005b _invalid_parameter_noinfo"
		altNames = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 C6 41 54 00 48 8B D9 0F B6 49 41 BA 00 80 00 00 48 8B 43 08 48 8B 00 48 8B 00 66 85 14 48 74 3D 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 75 05 09 43 28 EB 03 FF 43 28 48 8B 43 18 8A 08 48 FF C0 88 4B 41 48 89 43 18 84 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_461_0 {
	meta:
		name = "?write_character@?$console_output_adapter@D@__crt_stdio_output@@QEBAXDQEAH@Z"
		size = 34
		refs = "000d _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BE CA 49 8B D8 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_462_0 {
	meta:
		name = "?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QEBAX_WQEAH@Z"
		size = 40
		refs = "000d _putwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 CA 49 8B D8 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_593_466_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
		size = 185
		refs = "0046 _mbtowc_l 0057 _putwch_nolock 00a0 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AEAA_N_W@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 45 33 F6 48 8B D9 44 38 71 54 75 65 8B 41 50 85 C0 7E 5E 48 8B 71 48 41 8B FE 4C 8B 4B 08 48 8D 4C 24 50 66 44 89 74 24 50 48 8B D6 49 8B 01 4C 63 40 08 E8 ?? ?? ?? ?? 48 63 E8 85 C0 7E 2C 0F B7 4C 24 50 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 06 83 4B 28 FF EB 03 FF 43 28 48 03 F5 FF C7 48 8B C5 3B 7B 50 75 B1 EB 27 83 4B 28 FF EB 21 44 8B 43 50 48 8D 41 10 48 8B 53 48 4C 8D 49 28 48 81 C1 68 04 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 58 B0 01 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_593_469_0 {
	meta:
		name = "?write_string@?$console_output_adapter@D@__crt_stdio_output@@QEBAXQEBDHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 181
		refs = "002d _errno 0047 _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 7C 24 60 49 8B D9 49 63 E8 48 8B F2 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 4C 8B 37 45 8B 3E 41 83 26 00 48 03 EE EB 46 0F BE 0E E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 07 FF 03 83 3B FF 75 2B 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 48 8B 07 83 38 2A 75 1D B9 3F 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 FF C6 48 3B F5 75 B5 41 83 3E 00 75 08 45 85 FF 74 03 45 89 3E 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_593_470_0 {
	meta:
		name = "?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QEBAXQEB_WHQEAHAEAV__crt_deferred_errno_cache@@@Z"
		size = 200
		refs = "002d _errno 0054 _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 56 41 57 48 83 EC 20 48 8B 7C 24 60 49 8B D9 4D 63 F8 48 8B F2 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 4C 8B 37 4E 8D 3C 7E 41 8B 2E 41 83 26 00 89 6C 24 50 49 3B F7 74 57 BD FF FF 00 00 0F B7 0E E8 ?? ?? ?? ?? 66 3B C5 75 05 83 0B FF EB 07 FF 03 83 3B FF 75 2C 48 83 3F 00 75 08 E8 ?? ?? ?? ?? 48 89 07 48 8B 07 83 38 2A 75 1F B9 3F 00 00 00 E8 ?? ?? ?? ?? 66 3B C5 75 05 83 0B FF EB 02 FF 03 48 83 C6 02 49 3B F7 75 B2 8B 6C 24 50 41 83 3E 00 75 07 85 ED 74 03 41 89 2E 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_594_5_0 {
	meta:
		name = "?fp_format_a@@YAHQEBNPEAD_KQEAD2H_NIQEAU__crt_locale_pointers@@@Z"
		size = 861
		refs = "0049 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0059 _errno 0065 _invalid_parameter_noinfo 00b5 ?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z 00d0 strrchr 022b memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 70 8B 9C 24 B8 00 00 00 45 33 E4 48 8B FA 44 88 22 48 8B 94 24 D0 00 00 00 48 8B F1 85 DB 48 8D 48 C8 4D 8B F1 49 8B E8 41 0F 48 DC E8 ?? ?? ?? ?? 8D 43 0B 48 63 D0 48 3B EA 77 16 E8 ?? ?? ?? ?? 41 8D 5C 24 22 89 18 E8 ?? ?? ?? ?? E9 BB 02 00 00 48 8B 06 B9 FF 07 00 00 48 C1 E8 34 48 23 C1 48 3B C1 75 77 8B 84 24 C8 00 00 00 4D 8B CE 4C 89 64 24 40 4C 8B C5 89 44 24 38 48 8B D7 48 8B 84 24 B0 00 00 00 48 8B CE 44 88 64 24 30 89 5C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 08 44 88 27 E9 62 02 00 00 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 84 49 02 00 00 8A 8C 24 C0 00 00 00 F6 D9 1A D2 80 E2 E0 80 C2 70 88 10 44 88 60 03 E9 2D 02 00 00 48 B8 00 00 00 00 00 00 00 80 48 85 06 74 06 C6 07 2D 48 FF C7 44 8A BC 24 C0 00 00 00 BD FF 03 00 00 41 8A C7 41 BA 30 00 00 00 F6 D8 49 BB FF FF FF FF FF FF 0F 00 48 B8 00 00 00 00 00 00 F0 7F 1B D2 83 E2 E0 83 EA D9 48 85 06 75 1A 44 88 17 48 FF C7 48 8B 06 49 23 C3 48 F7 D8 48 1B ED 81 E5 FE 03 00 00 EB 06 C6 07 31 48 FF C7 4C 8B F7 48 FF C7 85 DB 75 05 45 88 26 EB 14 48 8B 44 24 58 48 8B 88 F8 00 00 00 48 8B 01 8A 08 41 88 0E 4C 85 1E 0F 86 8A 00 00 00 45 0F B7 C2 49 B9 00 00 00 00 00 00 0F 00 85 DB 7E 2E 48 8B 06 41 8A C8 49 23 C1 49 23 C3 48 D3 E8 66 41 03 C2 66 83 F8 39 76 03 66 03 C2 88 07 FF CB 48 FF C7 49 C1 E9 04 66 41 83 C0 FC 79 CE 66 45 85 C0 78 44 48 8B 06 41 8A C8 49 23 C1 49 23 C3 48 D3 E8 66 83 F8 08 76 2F 48 8D 4F FF 8A 01 2C 46 A8 DF 75 08 44 88 11 48 FF C9 EB F0 49 3B CE 74 13 8A 01 3C 39 75 07 80 C2 3A 88 11 EB 09 FE C0 88 01 EB 03 FE 41 FF 85 DB 7E 17 4C 8B C3 41 8A D2 48 8B CF E8 ?? ?? ?? ?? 48 03 FB 41 BA 30 00 00 00 45 38 26 49 0F 44 FE 41 F6 DF 1A C0 24 E0 04 70 88 07 48 8B 0E 48 C1 E9 34 81 E1 FF 07 00 00 48 2B CD 78 0A C6 47 01 2B 48 83 C7 02 EB 0B C6 47 01 2D 48 83 C7 02 48 F7 D9 44 88 17 4C 8B C7 48 81 F9 E8 03 00 00 7C 33 48 B8 CF F7 53 E3 A5 9B C4 20 48 F7 E9 48 C1 FA 07 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 FF C7 48 69 C2 18 FC FF FF 48 03 C8 49 3B F8 75 06 48 83 F9 64 7C 2E 48 B8 0B D7 A3 70 3D 0A D7 A3 48 F7 E9 48 03 D1 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 FF C7 48 6B C2 9C 48 03 C8 49 3B F8 75 06 48 83 F9 0A 7C 2B 48 B8 67 66 66 66 66 66 66 66 48 F7 E9 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 FF C7 48 6B C2 F6 48 03 C8 41 02 CA 88 0F 44 88 67 01 41 8B DC 44 38 64 24 68 74 0C 48 8B 4C 24 50 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 8B C3 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_594_6_0 {
	meta:
		name = "?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z"
		size = 205
		refs = "0038 __acrt_fltout 006e __acrt_fp_strflt_to_string 00b4 ?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 57 48 83 EC 50 48 8B 84 24 80 00 00 00 49 8B F0 8B AC 24 88 00 00 00 4D 8D 43 E8 48 8B 09 48 8B FA 49 89 43 C8 8D 55 01 E8 ?? ?? ?? ?? 33 C9 4C 8D 4C 24 40 83 7C 24 40 2D 44 8D 45 01 48 8B D6 0F 94 C1 33 C0 85 ED 0F 9F C0 48 2B D0 48 2B D1 48 83 FE FF 48 0F 44 D6 48 03 C8 48 03 CF E8 ?? ?? ?? ?? 85 C0 74 05 C6 07 00 EB 3D 48 8B 84 24 A0 00 00 00 44 8B C5 44 8A 8C 24 90 00 00 00 48 8B D6 48 89 44 24 38 48 8B CF 48 8D 44 24 40 C6 44 24 30 00 48 89 44 24 28 8B 84 24 98 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_594_7_0 {
	meta:
		name = "?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z"
		size = 475
		refs = "0038 _errno 0044 _invalid_parameter_noinfo 0073 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b7 memmove 00ee ??_C@_05KLBDPFGC@e?$CL000?$AA@ 0115 strcpy_s 01d6 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 50 33 C0 49 63 D8 45 85 C0 45 8A F9 48 8B EA 48 8B F9 0F 4F C3 83 C0 09 48 98 48 3B D0 77 2E E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5F C3 48 8B 94 24 98 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 BC 24 90 00 00 00 00 48 8B B4 24 88 00 00 00 74 32 33 D2 83 3E 2D 0F 94 C2 33 C0 48 03 D7 85 DB 0F 9F C0 85 C0 74 1C 49 83 C8 FF 49 FF C0 42 80 3C 02 00 75 F6 48 63 C8 49 FF C0 48 03 CA E8 ?? ?? ?? ?? 83 3E 2D 48 8B D7 75 07 C6 07 2D 48 8D 57 01 85 DB 7E 1B 8A 42 01 88 02 48 FF C2 48 8B 44 24 38 48 8B 88 F8 00 00 00 48 8B 01 8A 08 88 0A 33 C9 4C 8D 05 ?? ?? ?? ?? 38 8C 24 90 00 00 00 0F 94 C1 48 03 DA 48 03 D9 48 2B FB 48 8B CB 48 83 FD FF 48 8D 14 2F 48 0F 44 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 48 8D 4B 02 45 84 FF 74 03 C6 03 45 48 8B 46 08 80 38 30 74 57 44 8B 46 04 41 83 E8 01 79 07 41 F7 D8 C6 43 01 2D 41 83 F8 64 7C 1B B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 00 53 02 6B C2 9C 44 03 C0 41 83 F8 0A 7C 1B B8 67 66 66 66 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 00 53 03 6B C2 F6 44 03 C0 44 00 43 04 83 BC 24 80 00 00 00 02 75 14 80 39 30 75 0F 48 8D 51 01 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 44 24 30 83 A0 A8 03 00 00 FD 33 C0 E9 85 FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_594_8_0 {
	meta:
		name = "?fp_format_f@@YAHQEBNQEAD_K12HQEAU__crt_locale_pointers@@@Z"
		size = 166
		refs = "0037 __acrt_fltout 0064 __acrt_fp_strflt_to_string 0092 ?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 40 8B 74 24 78 33 C0 48 8B 09 49 8B F8 49 89 43 E8 4D 8D 43 E8 49 89 43 F0 48 8B DA 48 8B 44 24 70 8B D6 49 89 43 D8 E8 ?? ?? ?? ?? 44 8B 44 24 34 4C 8D 4C 24 30 33 C9 48 8B D7 83 7C 24 30 2D 0F 94 C1 44 03 C6 48 2B D1 48 83 FF FF 48 0F 44 D7 48 03 CB E8 ?? ?? ?? ?? 85 C0 74 05 C6 03 00 EB 25 48 8B 84 24 80 00 00 00 4C 8D 4C 24 30 48 89 44 24 28 44 8B C6 48 8B D7 C6 44 24 20 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_594_9_0 {
	meta:
		name = "?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z"
		size = 328
		refs = "002c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0085 memmove 0114 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B 54 24 78 48 8B D9 48 8D 48 D8 4D 8B F1 41 8B F8 E8 ?? ?? ?? ?? 41 8B 4E 04 FF C9 80 7C 24 70 00 74 19 3B CF 75 15 33 C0 48 63 C9 41 83 3E 2D 0F 94 C0 48 03 C3 66 C7 04 01 30 00 41 83 3E 2D 75 06 C6 03 2D 48 FF C3 48 83 CE FF 41 83 7E 04 00 7F 24 4C 8B C6 49 FF C0 42 80 3C 03 00 75 F6 49 FF C0 48 8D 4B 01 48 8B D3 E8 ?? ?? ?? ?? C6 03 30 48 FF C3 EB 07 49 63 46 04 48 03 D8 85 FF 7E 7C 48 8D 6B 01 4C 8B C6 49 FF C0 42 80 3C 03 00 75 F6 49 FF C0 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 48 8B 44 24 28 48 8B 88 F8 00 00 00 48 8B 01 8A 08 88 0B 41 8B 4E 04 85 C9 79 42 80 7C 24 70 00 75 08 8B C1 F7 D8 3B C7 7D 04 8B F9 F7 DF 85 FF 74 1B 48 FF C6 80 3C 2E 00 75 F7 48 63 CF 4C 8D 46 01 48 03 CD 48 8B D5 E8 ?? ?? ?? ?? 4C 63 C7 BA 30 00 00 00 48 8B CD E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 48 8B 5C 24 50 33 C0 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_594_10_0 {
	meta:
		name = "?fp_format_g@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z"
		size = 311
		refs = "0040 __acrt_fltout 0079 __acrt_fp_strflt_to_string 00d9 ?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z 011d ?fp_format_e_internal@@YAHQEAD_KH_NIQEAU_strflt@@2QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 41 56 48 83 EC 50 48 8B 09 33 C0 49 89 43 E8 49 8B E8 49 89 43 F0 4D 8D 43 E8 48 8B 84 24 80 00 00 00 48 8B F2 8B 94 24 88 00 00 00 49 89 43 C8 E8 ?? ?? ?? ?? 44 8B 74 24 44 4C 8D 4C 24 40 44 8B 84 24 88 00 00 00 33 C9 83 7C 24 40 2D 48 8B D5 0F 94 C1 41 FF CE 48 2B D1 48 83 FD FF 48 8D 1C 31 48 0F 44 D5 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 08 C6 06 00 E9 98 00 00 00 8B 44 24 44 FF C8 44 3B F0 0F 9C C1 83 F8 FC 7C 45 3B 84 24 88 00 00 00 7D 3C 84 C9 74 0C 8A 03 48 FF C3 84 C0 75 F7 88 43 FE 48 8B 84 24 A0 00 00 00 4C 8D 4C 24 40 44 8B 84 24 88 00 00 00 48 8B D5 48 89 44 24 28 48 8B CE C6 44 24 20 01 E8 ?? ?? ?? ?? EB 42 48 8B 84 24 A0 00 00 00 48 8B D5 44 8A 8C 24 90 00 00 00 48 8B CE 44 8B 84 24 88 00 00 00 48 89 44 24 38 48 8D 44 24 40 C6 44 24 30 01 48 89 44 24 28 8B 84 24 98 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_594_11_0 {
	meta:
		name = "?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPEAD_K1@Z"
		size = 322
		refs = "0011 __security_cookie 003f __security_check_cookie 0064 ??_C@_03LKNCIKJB@NAN?$AA@ 006b ??_C@_03LHCJEHON@nan?$AA@ 0076 ??_C@_03OEIAHPBN@INF?$AA@ 0089 ??_C@_03OJHLLCGB@inf?$AA@ 0098 ??_C@_09OFJJIMPC@NAN?$CISNAN?$CJ?$AA@ 00a3 ??_C@_09IPFBKMDL@nan?$CIsnan?$CJ?$AA@ 00ae ??_C@_08IKHNHAJ@NAN?$CIIND?$CJ?$AA@ 00b9 ??_C@_08OFCDMILK@nan?$CIind?$CJ?$AA@ 0120 strcpy_s 013d _invoke_watson"
	strings:
		$1 = { 40 55 48 8D 6C 24 B1 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 3F 4D 8B D1 0F B6 C2 48 83 C0 04 4D 8B C8 4C 3B D0 73 1E 41 C6 00 00 B8 0C 00 00 00 48 8B 4D 3F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 00 00 00 5D C3 84 D2 74 0E 49 FF C1 41 C6 00 2D 49 FF CA 41 C6 01 00 F6 5D 7F 48 8D 15 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 89 55 DF 48 8D 05 ?? ?? ?? ?? 48 89 55 E7 48 89 45 BF 48 89 45 C7 48 8D 05 ?? ?? ?? ?? 48 89 45 CF 48 89 45 D7 48 8D 05 ?? ?? ?? ?? 48 89 45 FF 48 8D 05 ?? ?? ?? ?? 48 89 45 0F 48 8D 05 ?? ?? ?? ?? 48 89 45 1F 48 8D 05 ?? ?? ?? ?? 48 89 45 2F 48 89 55 07 48 89 55 27 8D 51 FF 1B C9 4C 89 45 EF 48 C1 E2 02 F7 D1 83 E1 02 4C 89 45 F7 8B C1 48 03 C2 4C 89 45 17 4C 89 45 37 4C 8B 44 C5 BF 48 83 C8 FF 48 FF C0 41 80 3C 00 00 75 F6 4C 3B D0 0F 97 C0 45 33 C0 84 C0 41 0F 94 C0 44 03 C1 49 8B C9 4C 03 C2 49 8B D2 4E 8B 44 C5 BF E8 ?? ?? ?? ?? 85 C0 0F 84 0B FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_594_12_0 {
	meta:
		name = "?shift_bytes@@YAXQEAD_K0H@Z"
		size = 48
		refs = "0027 memmove"
	strings:
		$1 = { 48 83 EC 28 49 8B C0 45 85 C9 74 1F 49 83 C8 FF 49 FF C0 42 80 3C 00 00 75 F6 49 63 C9 49 FF C0 48 03 C8 48 8B D0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_594_14_0 {
	meta:
		name = "__acrt_fp_format"
		size = 577
		refs = "002e _errno 003a _invalid_parameter_noinfo 0087 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@AEBN@Z 00a7 ?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPEAD_K1@Z 0120 ?fp_format_g@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z 014f __acrt_fltout 017c __acrt_fp_strflt_to_string 01ad ?fp_format_f_internal@@YAHQEAD_KHQEAU_strflt@@_NQEAU__crt_locale_pointers@@@Z 01e6 ?fp_format_e@@YAHQEBNQEAD_K12H_NIQEAU__crt_locale_pointers@@@Z 021f ?fp_format_a@@YAHQEBNPEAD_KQEAD2H_NIQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 4D 8B E9 49 8B E8 48 8B F2 4C 8B F9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 DE 01 00 00 4D 85 C0 74 E3 4D 85 C9 74 DE 4C 8B A4 24 B0 00 00 00 4D 85 E4 74 D1 8B 9C 24 B8 00 00 00 83 FB 41 74 0D 8D 43 BB 83 F8 02 76 05 45 32 F6 EB 03 41 B6 01 48 8B BC 24 C8 00 00 00 40 F6 C7 08 75 2A E8 ?? ?? ?? ?? 85 C0 74 21 49 8B 17 4C 8B CD 48 C1 EA 3F 4C 8B C6 80 E2 01 44 88 74 24 20 8B C8 E8 ?? ?? ?? ?? E9 73 01 00 00 48 C1 EF 04 83 E7 01 83 CF 02 83 EB 41 0F 84 29 01 00 00 83 EB 04 0F 84 E7 00 00 00 83 EB 01 74 58 83 EB 01 74 17 83 EB 1A 0F 84 0D 01 00 00 83 EB 04 0F 84 CB 00 00 00 83 FB 01 74 3C 48 8B 84 24 D0 00 00 00 4D 8B CD 48 89 44 24 40 4C 8B C5 8B 84 24 C0 00 00 00 48 8B D6 89 7C 24 38 49 8B CF 44 88 74 24 30 89 44 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 9C 24 C0 00 00 00 4C 8D 44 24 50 49 8B 0F 33 C0 8B D3 48 89 44 24 50 4D 8B CD 48 89 44 24 58 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B 44 24 54 4C 8D 4C 24 50 33 C9 48 8B D5 83 7C 24 50 2D 0F 94 C1 44 03 C3 48 2B D1 48 83 FD FF 48 0F 44 D5 48 03 CE E8 ?? ?? ?? ?? 85 C0 74 08 C6 06 00 E9 97 00 00 00 48 8B 84 24 D0 00 00 00 4C 8D 4C 24 50 48 89 44 24 28 44 8B C3 48 8B D5 C6 44 24 20 00 48 8B CE E8 ?? ?? ?? ?? EB 70 48 8B 84 24 D0 00 00 00 4D 8B CD 48 89 44 24 40 4C 8B C5 8B 84 24 C0 00 00 00 48 8B D6 89 7C 24 38 49 8B CF 44 88 74 24 30 89 44 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? EB 37 48 8B 84 24 D0 00 00 00 4D 8B CD 48 89 44 24 40 4C 8B C5 8B 84 24 C0 00 00 00 48 8B D6 89 7C 24 38 49 8B CF 44 88 74 24 30 89 44 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_595_0_0 {
	meta:
		name = "acos"
		size = 704
		refs = "0072 _handle_nan 007f __real@3ff921fb54442d18 0091 __real@3ff0000000000000 00a5 __real@bff0000000000000 00b1 __real@400921fb54442d18 00bb _set_statfp 00d0 ??_C@_04PDIFKINK@acos?$AA@ 0104 _handle_error 0118 __xmm@80000000000000008000000000000000 0138 __real@3fe0000000000000 0176 __real@3f0951665d321061 017e __real@3fbb1a422982ce76 0186 __real@3f51e5f887a62135 018e __real@3fee324ab418f78d 019e __real@3fac28d390c29690 01a6 __real@40062021571dccfc 01b6 __real@3fd1a2bec1b7ef59 01be __real@400a4646f903cdea 01ce __real@3fdc7b297e269eac 01d6 __real@3ff5d6b12001f228 01e2 __real@3fcd1e4180029834 020b __real@3c91a62633145c07 0217 __real@4000000000000000"
	strings:
		$1 = { 48 83 EC 68 48 B8 00 00 00 00 00 00 00 80 0F 29 74 24 50 49 B9 FF FF FF FF FF FF FF 7F 0F 57 C9 F2 0F 11 4C 24 70 0F 28 D8 F2 0F 11 84 24 80 00 00 00 48 8B 8C 24 80 00 00 00 4C 8B C1 48 8B D1 4C 23 C0 48 C1 EA 34 81 E2 FF 07 00 00 48 8B C1 49 23 C1 81 EA FF 03 00 00 49 B9 00 00 00 00 00 00 F0 7F 49 3B C1 76 0E 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 83 FA C8 7D 0A F2 0F 10 35 ?? ?? ?? ?? EB 30 85 D2 0F 88 80 00 00 00 66 0F 2E 05 ?? ?? ?? ?? 7A 0A 75 08 0F 28 C1 E9 15 02 00 00 66 0F 2E 05 ?? ?? ?? ?? 7A 1C 75 1A F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 EF 01 00 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? 44 89 4C 24 40 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 8D 51 0C C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? E9 A9 01 00 00 0F 28 F0 4D 85 C0 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 FA FF 0F 9D C0 85 C0 74 31 F2 0F 10 25 ?? ?? ?? ?? F2 0F 5C E6 F2 0F 59 25 ?? ?? ?? ?? F2 0F 11 64 24 78 F2 0F 51 54 24 78 F2 0F 11 54 24 70 F2 0F 10 4C 24 70 0F 28 F1 EB 13 F2 0F 10 4C 24 70 0F 28 E6 F2 0F 59 E6 F2 0F 11 64 24 78 0F 28 EC 0F 28 C4 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EC F2 0F 59 C4 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EC F2 0F 59 C4 F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EC F2 0F 59 C4 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EC F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EC F2 0F 5E E8 85 C0 0F 84 A0 00 00 00 4D 85 C0 74 29 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 E9 F2 0F 59 2D ?? ?? ?? ?? F2 0F 5C C5 E9 92 00 00 00 F2 0F 10 15 ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF F2 0F 11 8C 24 80 00 00 00 48 8B 84 24 80 00 00 00 48 23 C1 F2 0F 59 F2 48 89 84 24 80 00 00 00 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 5C 24 78 0F 28 C4 F2 0F 59 C4 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 F5 F2 0F 5C D8 F2 0F 59 E2 F2 0F 5E D9 F2 0F 59 DA F2 0F 58 DE F2 0F 58 DC 0F 28 C3 EB 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 5C C5 F2 0F 5C D8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C3 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_596_0_0 {
	meta:
		name = "_heapchk"
		size = 37
		refs = "0007 __acrt_heap 0012 __imp_HeapValidate"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? F7 D8 1B C0 83 E0 02 83 C0 FC 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_598_0_0 {
	meta:
		name = "remquol"
		size = 483
		refs = "002c _ldtest 0071 __xmm@80000000000000008000000000000000 00bb _ldunscale 00fb _ldscale 014b __real@3fe0000000000000 01c1 _fperrraise 01c9 _LNan_C"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 44 01 00 00 66 44 3B E8 0F 8E 3A 01 00 00 F2 0F 10 45 50 0F 57 F6 66 0F 2F F0 BB 01 00 00 00 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F2 0F 11 45 50 EB 03 45 8B FD F2 0F 10 4D 48 66 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 66 41 2B C7 F2 0F 11 4D 48 44 0F B7 F8 44 0F B7 E3 EB 03 45 8B E5 48 8D 55 D8 F2 0F 11 45 D8 48 8D 4D 60 E8 ?? ?? ?? ?? F2 0F 10 45 48 41 8B F5 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 59 0F BF 7D 58 0F BF 45 60 2B F8 78 4D F2 0F 10 45 50 48 8D 4D D8 8B D7 F2 0F 11 45 D8 E8 ?? ?? ?? ?? F2 0F 10 45 48 66 0F 2F 45 D8 73 06 2B FB 79 DB EB 1B F2 0F 5C 45 D8 48 63 C7 F2 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F2 0F 11 45 D8 85 FF 79 97 EB 05 F2 0F 10 45 48 66 0F 2F C6 76 2D F2 0F 10 4D 50 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 06 66 0F 2F CE 77 0D 66 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F2 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F2 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F2 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "remquo"
		size = 483
		refs = "002c _dtest 0071 __xmm@80000000000000008000000000000000 00bb _dunscale 00fb _dscale 014b __real@3fe0000000000000 01c1 _fperrraise 01c9 _Nan_C"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 44 01 00 00 66 44 3B E8 0F 8E 3A 01 00 00 F2 0F 10 45 50 0F 57 F6 66 0F 2F F0 BB 01 00 00 00 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F2 0F 11 45 50 EB 03 45 8B FD F2 0F 10 4D 48 66 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 66 41 2B C7 F2 0F 11 4D 48 44 0F B7 F8 44 0F B7 E3 EB 03 45 8B E5 48 8D 55 D8 F2 0F 11 45 D8 48 8D 4D 60 E8 ?? ?? ?? ?? F2 0F 10 45 48 41 8B F5 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 59 0F BF 7D 58 0F BF 45 60 2B F8 78 4D F2 0F 10 45 50 48 8D 4D D8 8B D7 F2 0F 11 45 D8 E8 ?? ?? ?? ?? F2 0F 10 45 48 66 0F 2F 45 D8 73 06 2B FB 79 DB EB 1B F2 0F 5C 45 D8 48 63 C7 F2 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F2 0F 11 45 D8 85 FF 79 97 EB 05 F2 0F 10 45 48 66 0F 2F C6 76 2D F2 0F 10 4D 50 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 06 66 0F 2F CE 77 0D 66 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F2 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F2 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F2 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "_fdquad"
		size = 1010
		refs = "0026 __security_cookie 003c __real@c522f983 0052 __real@4522f983 0063 __real@3f22f983 0073 __real@3f000000 007d __real@bf000000 008d _fd_int 00b0 __real@3e800000 00bb __real@3f30000000000000 00cd __real@46c90000 00d5 __real@40fda000 00e4 __real@3aa22000 00f3 __real@33340000 00fb __real@2ec23000 0127 _fdunscale 0141 _fdxp_setw 0165 _fdscale 0183 __b 01aa _fdxp_mulh 01ee _fdxp_addx 01f5 __c 0223 __real@3e22f983 023d __xmm@80000000800000008000000080000000 026d memcpy 0293 get_acsize 0357 __real@be800000 038a _fdxp_getw 039b __real@cf000000 03a6 __real@4f000000 03b5 fmodf 03cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 F3 0F 10 09 48 8B F9 F3 0F 10 3D ?? ?? ?? ?? 0F 2F CF F3 0F 11 4D CF 0F 86 C6 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 0F 86 B5 00 00 00 F3 0F 59 0D ?? ?? ?? ?? 0F 57 F6 0F 2F CE 72 0A F3 0F 58 0D ?? ?? ?? ?? EB 08 F3 0F 58 0D ?? ?? ?? ?? 33 D2 F3 0F 11 4D C7 48 8D 4D C7 E8 ?? ?? ?? ?? F3 0F 10 65 C7 0F 2E E6 7A 09 75 07 F3 0F 10 5D CF EB 67 F3 0F 10 5D CF 0F 28 C4 F3 0F 59 05 ?? ?? ?? ?? 0F 5A C8 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 0F 28 C2 0F 28 CA F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C D8 0F 28 C2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C D9 0F 28 CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C D8 F3 0F 5C D9 F3 0F 5C DA F3 0F 11 1F E9 83 02 00 00 48 8D 55 C7 F3 0F 11 4D C7 48 8D 4D CB BB 05 00 00 00 E8 ?? ?? ?? ?? 66 83 7D CB 21 0F 57 F6 7D 15 F3 0F 10 55 CF 48 8D 4D DF 8B D3 E8 ?? ?? ?? ?? E9 A8 00 00 00 0F BF 45 CB 48 8D 4D CF 83 E8 19 C1 F8 03 0F BF D0 C1 E2 03 F7 DA 66 89 45 CB E8 ?? ?? ?? ?? F3 0F 10 55 CF 48 8D 4D D7 BA 02 00 00 00 E8 ?? ?? ?? ?? 0F BF 45 CB 48 8D 35 ?? ?? ?? ?? F3 0F 10 55 D7 FF C8 48 98 8B D3 48 8D 0C 80 0F 10 04 8E 8B 44 8E 10 48 8D 4D DF 89 45 EF 0F 11 45 DF E8 ?? ?? ?? ?? F3 0F 10 55 DB 0F 2E D6 7A 02 74 38 0F BF 45 CB 8B D3 FF C8 48 98 48 8D 0C 80 0F 10 04 8E 8B 44 8E 10 48 8D 4D F7 89 45 07 0F 11 45 F7 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 F7 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? F3 0F 10 4D DF 0F 2F F9 77 0D 0F 2F 0D ?? ?? ?? ?? 0F 86 D6 00 00 00 F3 0F 10 45 E3 48 8D 4D C7 F3 0F 58 C1 33 D2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 11 45 C7 E8 ?? ?? ?? ?? F3 0F 10 45 C7 48 8D 4D D7 0F 57 05 ?? ?? ?? ?? 0F 57 C9 F3 0F 5A C8 BA 02 00 00 00 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 E8 ?? ?? ?? ?? 4C 63 C3 48 8D 4D F7 49 C1 E0 02 48 8B D6 E8 ?? ?? ?? ?? F3 0F 10 55 D7 48 8D 4D F7 8B D3 E8 ?? ?? ?? ?? F3 0F 10 45 DB 0F 2E C6 7A 02 74 42 F3 0F 10 45 DF E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D 0F 4C 8B C3 48 8B D6 49 C1 E0 02 E8 ?? ?? ?? ?? F3 0F 10 55 DB 48 8D 4D 0F 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 0F 8B D3 48 8D 4D F7 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 F7 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? E9 13 FF FF FF F3 0F 10 45 E3 F3 0F 58 C1 F3 0F 59 05 ?? ?? ?? ?? 0F 2F C6 72 0A F3 0F 58 05 ?? ?? ?? ?? EB 08 F3 0F 58 05 ?? ?? ?? ?? 33 D2 F3 0F 11 45 C7 48 8D 4D C7 E8 ?? ?? ?? ?? F3 0F 10 45 C7 0F 2E C6 7A 02 74 59 F3 0F 10 45 DF E8 ?? ?? ?? ?? 48 63 D8 48 8D 4D 0F 4C 8B C3 48 8B D6 49 C1 E0 02 E8 ?? ?? ?? ?? F3 0F 10 45 C7 48 8D 4D 0F F3 0F 59 05 ?? ?? ?? ?? 8B D3 0F 5A C8 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 0F 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? F3 0F 10 65 C7 F3 0F 11 07 F3 0F 10 15 ?? ?? ?? ?? 0F 2F D4 F3 0F 10 0D ?? ?? ?? ?? 77 05 0F 2F E1 76 0B 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F3 0F 2C C4 83 E0 03 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_601_1_0 {
	meta:
		name = "_fdquadph"
		size = 206
		refs = "0016 _fdquad 002d _fd_int 003b __real@ce800000 004a __real@4e800000 0056 fmodf 005e __real@40000000 0069 __real@40490fdb 0081 __real@3f490fdb 008b __real@3f000000 0097 __real@bf490fdb"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? BA 01 00 00 00 F3 0F 11 74 24 48 48 8D 4C 24 48 8B D8 E8 ?? ?? ?? ?? F3 0F 10 44 24 48 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C F0 0F 2F D0 F3 0F 10 0D ?? ?? ?? ?? 77 05 0F 2F C1 76 05 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 0F 28 CE F3 0F 10 15 ?? ?? ?? ?? F3 0F 59 CA F3 0F 2C C0 F3 0F 58 0F 83 E0 03 03 D8 0F 2F 0D ?? ?? ?? ?? 72 0C F3 0F 5C 35 ?? ?? ?? ?? FF C3 EB 17 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 72 18 F3 0F 58 35 ?? ?? ?? ?? FF CB F3 0F 59 F2 F3 0F 58 37 F3 0F 11 37 EB 04 F3 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_601_2_0 {
	meta:
		name = "_fdsin"
		size = 302
		refs = "0013 _fdtest 003a _fdquad 0042 _FRteps_C 004c __xmm@80000000800000008000000080000000 006f __real@3f800000 0088 __real@3ab24993 0090 __real@3d2aa036 00a0 __real@3effffdf 00b6 __real@394c8c6e 00be __real@3c088342 00d2 __real@3e2aaaa1 00f9 _fperrraise 0101 _FNan_C"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 E5 00 00 00 83 E9 01 0F 84 C8 00 00 00 83 F9 01 0F 84 B7 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 03 D8 F3 0F 10 25 ?? ?? ?? ?? 0F 28 C1 F3 0F 10 54 24 30 0F 57 C4 0F 2F D0 76 14 0F 2F CA 76 0F F6 C3 01 74 73 F3 0F 10 15 ?? ?? ?? ?? EB 69 0F 28 DA F3 0F 59 DA 0F 28 C3 F6 C3 01 74 2E F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D0 F3 0F 59 D3 F3 0F 5C 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? EB 2C F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 5C C8 F3 0F 59 CB F3 0F 59 DA F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 CB F3 0F 58 D1 F6 C3 02 74 03 0F 57 D4 0F 28 C2 EB 3D F3 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_601_3_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _fdunscale"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 05 00 00 00 8D 14 55 04 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_601_4_0 {
	meta:
		name = "lgamma_big"
		size = 185
		refs = "001b _fdlog 0023 __real@3f800000 0039 __real@3f000000 004b _fdunscale 006a _fdscale 0082 __real@3daaaaab 008a __real@3ed67f1d 009a _fperrraise"
	strings:
		$1 = { 48 83 EC 58 0F 29 74 24 40 33 D2 0F 29 7C 24 30 44 0F 29 44 24 20 44 0F 28 C0 E8 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 48 8D 54 24 68 41 0F 28 C8 48 8D 4C 24 60 F3 0F 5C 0D ?? ?? ?? ?? 0F 28 F0 F3 0F 5C F7 F3 0F 11 4C 24 68 E8 ?? ?? ?? ?? F3 0F 10 4C 24 68 48 8D 4C 24 68 0F BF 54 24 60 F3 0F 59 CE F3 0F 11 4C 24 68 E8 ?? ?? ?? ?? 66 85 C0 79 21 F3 0F 10 44 24 68 F3 41 0F 5E F8 F3 0F 59 3D ?? ?? ?? ?? F3 0F 58 3D ?? ?? ?? ?? F3 0F 58 C7 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 68 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_601_5_0 {
	meta:
		name = "lgammaf"
		size = 570
		refs = "0021 _fd_int 0053 _fperrraise 005b _FInf_C 0068 _fdgamma_big 0072 __xmm@80000000800000008000000080000000 0084 __real@40490fdb 008c _fdsin 00a7 _fdlog 00bb lgamma_big 00e3 rootapprox 0139 _fdpoly 0145 __real@3f99999a 014f __real@3fc00000 015b approx 01c7 _fdtgamma 01da __xmm@7fffffff7fffffff7fffffff7fffffff 01fe __real@3f317216 0206 __real@33fbe8e8 021d log1pf"
	strings:
		$1 = { F3 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 30 33 D2 F3 0F 11 45 30 48 8D 4D 30 0F 29 74 24 20 E8 ?? ?? ?? ?? F3 0F 10 4D 20 33 D2 0F BF C8 85 C9 74 12 83 E9 01 74 1F 83 F9 01 75 27 0F 28 C1 E9 E8 01 00 00 0F 57 C0 0F 2F C1 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 C9 01 00 00 F3 0F 10 15 ?? ?? ?? ?? 0F 28 C2 0F 57 05 ?? ?? ?? ?? 0F 2F C1 76 50 F3 0F 5C 4D 30 F3 0F 59 0D ?? ?? ?? ?? 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 59 45 20 33 D2 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 5C F0 0F 28 C6 E9 62 01 00 00 0F 2F CA 72 0D 0F 28 C1 E8 ?? ?? ?? ?? E9 50 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 0F 2F 49 FC 76 09 F3 0F 10 01 0F 2F C1 77 10 41 FF C0 48 83 C1 20 49 63 C0 48 83 F8 0C 72 E1 49 63 C0 48 83 F8 0C 73 33 48 C1 E0 05 48 8D 15 ?? ?? ?? ?? F3 0F 5C 4C 10 08 44 8B 44 10 18 F3 0F 5C 4C 10 0C 48 8B 54 10 10 0F 28 C1 F3 0F 11 4D 30 E8 ?? ?? ?? ?? E9 EB 00 00 00 0F 2F 0D ?? ?? ?? ?? 76 73 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 76 66 48 8D 3D ?? ?? ?? ?? 48 8B CF F3 0F 10 01 0F 2F C1 77 0F FF C2 48 83 C1 28 48 63 C2 48 83 F8 01 72 E8 48 63 C2 48 8D 1C 80 F3 0F 5C 4C DF 04 44 8B 44 DF 10 48 8B 54 DF 08 0F 28 C1 F3 0F 11 4D 30 E8 ?? ?? ?? ?? 44 8B 44 DF 20 0F 28 F0 F3 0F 10 45 30 48 8B 54 DF 18 E8 ?? ?? ?? ?? F3 0F 5E F0 E9 05 FF FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? F3 0F 11 45 30 33 D2 F3 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F BF 45 28 F7 D8 66 0F 6E C8 0F 5B C9 0F 28 D1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 45 30 F3 0F 58 D1 F3 0F 11 55 20 E8 ?? ?? ?? ?? F3 0F 10 4D 20 F3 0F 58 C8 0F 28 C1 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_603_3_0 {
	meta:
		name = "??$common_popen@D@@YAPEAU_iobuf@@QEBD0@Z"
		size = 391
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 00e5 _pipe 011c __acrt_lock 0139 ??$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z 0168 _close 0178 __acrt_unlock"
	strings:
		$1 = { 40 53 56 57 48 83 EC 30 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 51 01 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DD 33 FF 66 89 7C 24 50 B0 20 EB 03 48 FF C2 38 02 74 F9 8A 1A 80 FB 72 74 1F 80 FB 77 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8A 4C 24 51 8A 5C 24 50 EB 35 88 5C 24 50 48 FF C2 38 02 74 F9 8A 0A 80 F9 62 74 1F 84 C9 74 1B 80 F9 74 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8A 4C 24 51 EB 04 88 4C 24 51 0F B7 44 24 50 66 89 44 24 60 40 88 7C 24 62 84 DB 0F 84 69 FF FF FF B8 80 40 00 00 41 B8 80 00 00 00 80 F9 74 44 0F 44 C0 80 F9 62 75 05 41 0F BA E8 0F BA 00 04 00 00 48 8D 4C 24 68 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 35 FF FF FF 80 7C 24 60 77 40 0F 95 C7 8B 4C 24 6C 48 8B 44 24 68 85 FF 0F 44 C8 89 4C 24 50 0F 44 44 24 6C 89 44 24 54 B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B 18 4C 8D 4C 24 50 44 8B C7 48 8D 54 24 60 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 89 18 48 85 FF 75 26 48 8D 74 24 58 48 8D 5C 24 50 48 89 5C 24 20 48 3B DE 74 12 83 3B FF 74 07 8B 0B E8 ?? ?? ?? ?? 48 83 C3 04 EB E4 B9 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule file_603_4_0 {
	meta:
		name = "?fin$0@?0???$common_popen@D@@YAPEAU_iobuf@@QEBD0@Z@4HA"
		size = 27
		refs = "000f __acrt_unlock"
		altNames = "?fin$0@?0???$common_popen@_W@@YAPEAU_iobuf@@QEB_W0@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_603_5_0 {
	meta:
		name = "??$common_popen@_W@@YAPEAU_iobuf@@QEB_W0@Z"
		size = 470
		refs = "0018 __security_cookie 0038 _errno 0043 _invalid_parameter_noinfo 0118 _pipe 0150 __acrt_lock 016d ??$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z 019c _close 01ac __acrt_unlock 01bc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B F1 45 33 F6 41 8B C6 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 65 01 00 00 41 8B C6 48 85 D2 0F 95 C0 85 C0 74 DC 33 FF 89 7C 24 20 66 B8 20 00 EB 04 48 83 C2 02 66 39 02 74 F7 0F B7 1A 66 83 FB 72 74 22 66 83 FB 77 74 1C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 22 0F B7 5C 24 20 EB 3E 66 89 5C 24 20 48 83 C2 02 66 39 02 74 F7 0F B7 0A 66 83 F9 62 74 22 66 85 C9 74 1D 66 83 F9 74 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 22 EB 05 66 89 4C 24 22 8B 44 24 20 89 44 24 38 66 89 7C 24 3C 66 85 DB 0F 84 58 FF FF FF B8 80 40 00 00 41 B8 80 00 00 00 66 83 F9 74 44 0F 44 C0 66 83 F9 62 75 05 41 0F BA E8 0F BA 00 04 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 22 FF FF FF 66 83 7C 24 38 77 40 0F 95 C7 8B 4C 24 2C 48 8B 44 24 28 85 FF 0F 44 C8 89 4C 24 20 0F 44 44 24 2C 89 44 24 24 B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B 18 4C 8D 4C 24 20 44 8B C7 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 89 18 48 85 FF 75 26 48 8D 74 24 28 48 8D 5C 24 20 48 89 5C 24 30 48 3B DE 74 12 83 3B FF 74 07 8B 0B E8 ?? ?? ?? ?? 48 83 C3 04 EB E4 B9 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_603_7_0 {
	meta:
		name = "??$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z"
		size = 851
		refs = "0031 __imp_GetCurrentProcess 003b __pioinfo 0080 __imp_DuplicateHandle 0093 _close 00a1 _fdopen 00b0 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 00c7 ?comspec_name@?1???$get_comspec@D@@YAPEBDXZ@4QBDB 00d6 _dupenv_s 00fb ?default_cmd_exe@?1???$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z@4QBDB 010a memset 0177 ?slash_c@?1???$common_popen_nolock@D@@YAPEAU_iobuf@@QEBD0HAEAY01H@Z@4QBDB 0197 _calloc_base 01b1 strcpy_s 01cb strcat_s 01f4 ??$get_executable_path@D@@YAPEBDQEBD@Z 0262 __imp_CreateProcessA 027b __imp_CloseHandle 0291 _free_base 02c5 fclose 030d _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 00 01 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B E9 FF 15 ?? ?? ?? ?? 4C 63 1B 48 8D 15 ?? ?? ?? ?? 48 83 4D 7F FF 4C 8D 4D 7F 4D 8B D3 C7 44 24 30 02 00 00 00 49 C1 FA 06 41 83 E3 3F 49 C1 E3 06 45 33 F6 C7 44 24 28 01 00 00 00 4C 8B C0 48 8B C8 44 89 74 24 20 4A 8B 14 D2 4A 8B 54 1A 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 4D 8B FE E9 39 02 00 00 8B 0B E8 ?? ?? ?? ?? 8B 4B 04 48 8B D6 83 0B FF E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 DB 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 4D 8B FE E9 F8 01 00 00 4C 8D 05 ?? ?? ?? ?? 4C 89 75 87 33 D2 48 8D 4D 87 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 84 16 02 00 00 4D 8B E6 EB 0C 4C 8B 65 87 4D 8B FC 4D 85 E4 75 07 4C 8D 3D ?? ?? ?? ?? 33 D2 48 8D 4D CF 44 8D 42 60 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? C7 45 C7 68 00 00 00 C7 45 03 00 01 00 00 85 FF 75 0A 48 8B 45 7F 48 89 45 17 EB 11 48 8B 41 28 48 89 45 17 48 8B 45 7F 83 FF 01 74 04 48 8B 41 68 48 89 45 1F 48 83 CA FF 48 8B 81 A8 00 00 00 48 89 45 27 48 8B C2 48 FF C0 45 38 34 07 75 F7 48 8B CA 48 FF C1 46 38 34 29 75 F7 48 03 C1 4C 8D 05 ?? ?? ?? ?? 48 8B CA 48 FF C1 45 38 34 08 75 F7 4C 8D 71 01 BA 01 00 00 00 4C 03 F0 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 F3 00 00 00 4D 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 80 01 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 50 01 00 00 4D 8B C5 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 F6 85 C0 0F 85 22 01 00 00 49 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 84 9C 00 00 00 49 3B C7 48 8B D7 4C 0F 45 F0 33 C9 48 89 4D 8F 45 33 ED 48 89 4D 97 45 33 C9 0F 10 45 8F 48 89 4D 9F 45 33 C0 F2 0F 10 4D 9F 48 8D 4D A7 48 89 4C 24 48 48 8D 4D C7 48 89 4C 24 40 48 8B C8 4C 89 6C 24 38 4C 89 6C 24 30 44 89 6C 24 28 C7 44 24 20 01 00 00 00 0F 11 45 A7 F2 0F 11 4D B7 FF 15 ?? ?? ?? ?? 85 C0 75 05 45 8B FD EB 1E 48 8B 4D AF 4C 8B FE 49 8B F5 FF 15 ?? ?? ?? ?? 48 8B 45 A7 48 89 43 08 4C 89 3B 49 8B DD 49 8B CE E8 ?? ?? ?? ?? 45 33 F6 EB 06 45 33 F6 4D 8B FE 48 8B CF E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 85 DB 74 07 4C 89 73 08 4C 89 33 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 4D 7F 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_8_0 {
	meta:
		name = "??$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z"
		size = 855
		refs = "0031 __imp_GetCurrentProcess 003b __pioinfo 0080 __imp_DuplicateHandle 0093 _close 00a1 _wfdopen 00b0 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 00c7 ?comspec_name@?1???$get_comspec@_W@@YAPEB_WXZ@4QB_WB 00d6 _wdupenv_s 00fb ?default_cmd_exe@?1???$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z@4QB_WB 010a memset 017a ?slash_c@?1???$common_popen_nolock@_W@@YAPEAU_iobuf@@QEB_W0HAEAY01H@Z@4QB_WB 019b _calloc_base 01b5 wcscpy_s 01cf wcscat_s 01f8 ??$get_executable_path@_W@@YAPEB_WQEB_W@Z 0266 __imp_CreateProcessW 027f __imp_CloseHandle 0295 _free_base 02c9 fclose 0311 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 00 01 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B E9 FF 15 ?? ?? ?? ?? 4C 63 1B 48 8D 15 ?? ?? ?? ?? 48 83 4D 7F FF 4C 8D 4D 7F 4D 8B D3 C7 44 24 30 02 00 00 00 49 C1 FA 06 41 83 E3 3F 49 C1 E3 06 45 33 F6 C7 44 24 28 01 00 00 00 4C 8B C0 48 8B C8 44 89 74 24 20 4A 8B 14 D2 4A 8B 54 1A 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 4D 8B FE E9 3D 02 00 00 8B 0B E8 ?? ?? ?? ?? 8B 4B 04 48 8B D6 83 0B FF E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 DB 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 4D 8B FE E9 FC 01 00 00 4C 8D 05 ?? ?? ?? ?? 4C 89 75 87 33 D2 48 8D 4D 87 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 84 1A 02 00 00 4D 8B E6 EB 0C 4C 8B 65 87 4D 8B FC 4D 85 E4 75 07 4C 8D 3D ?? ?? ?? ?? 33 D2 48 8D 4D CF 44 8D 42 60 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? C7 45 C7 68 00 00 00 C7 45 03 00 01 00 00 85 FF 75 0A 48 8B 45 7F 48 89 45 17 EB 11 48 8B 41 28 48 89 45 17 48 8B 45 7F 83 FF 01 74 04 48 8B 41 68 48 89 45 1F 49 83 C8 FF 48 8B 81 A8 00 00 00 48 89 45 27 49 8B C0 48 FF C0 66 45 39 34 47 75 F6 49 8B C8 48 FF C1 66 45 39 74 4D 00 75 F5 48 03 C1 48 8D 15 ?? ?? ?? ?? 49 8B C8 48 FF C1 66 44 39 34 4A 75 F6 4C 8D 71 01 BA 02 00 00 00 4C 03 F0 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 F3 00 00 00 4D 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 80 01 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 50 01 00 00 4D 8B C5 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 F6 85 C0 0F 85 22 01 00 00 49 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 84 9C 00 00 00 49 3B C7 48 8B D7 4C 0F 45 F0 33 C9 48 89 4D 8F 45 33 ED 48 89 4D 97 45 33 C9 0F 10 45 8F 48 89 4D 9F 45 33 C0 F2 0F 10 4D 9F 48 8D 4D A7 48 89 4C 24 48 48 8D 4D C7 48 89 4C 24 40 48 8B C8 4C 89 6C 24 38 4C 89 6C 24 30 44 89 6C 24 28 C7 44 24 20 01 00 00 00 0F 11 45 A7 F2 0F 11 4D B7 FF 15 ?? ?? ?? ?? 85 C0 75 05 45 8B FD EB 1E 48 8B 4D AF 4C 8B FE 49 8B F5 FF 15 ?? ?? ?? ?? 48 8B 45 A7 48 89 43 08 4C 89 3B 49 8B DD 49 8B CE E8 ?? ?? ?? ?? 45 33 F6 EB 06 45 33 F6 4D 8B FE 48 8B CF E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 85 DB 74 07 4C 89 73 08 4C 89 33 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 4D 7F 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_9_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QEBD@Z"
		size = 91
		refs = "0027 _errno 0032 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 66 89 0B 88 4B 02 B1 20 EB 03 48 FF C2 38 0A 74 F9 8A 02 3C 72 74 16 3C 77 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 1A 88 03 48 FF C2 38 0A 74 F9 8A 02 3C 62 74 08 84 C0 74 04 3C 74 75 D7 88 43 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_603_10_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QEB_W@Z"
		size = 110
		refs = "0030 _errno 003b _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 89 0B 66 89 4B 04 66 B9 20 00 EB 04 48 83 C2 02 66 39 0A 74 F7 0F B7 02 66 83 F8 72 74 18 66 83 F8 77 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 24 66 89 03 48 83 C2 02 66 39 0A 74 F7 0F B7 02 66 83 F8 62 74 0B 66 85 C0 74 06 66 83 F8 74 75 CE 66 89 43 02 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_603_15_0 {
	meta:
		name = "??$get_executable_path@D@@YAPEBDQEBD@Z"
		size = 469
		refs = "0022 _access_s 0043 _calloc_base 0056 ?path_name@?1???$get_path@D@@YAPEBDXZ@4QBDB 0067 _dupenv_s 008f __acrt_getpath 00c9 _mbsrchr 00e3 ?backslash@?L@???$get_executable_path@D@@YAPEBDQEBD@Z@4QBDB 00ee strcat_s 015f _free_base 01a6 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 D2 48 8B E9 E8 ?? ?? ?? ?? 33 FF 85 C0 75 08 48 8B C5 E9 3A 01 00 00 41 BC 04 01 00 00 BA 01 00 00 00 41 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 10 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 89 7C 24 68 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 84 1E 01 00 00 4C 8B F7 EB 05 4C 8B 74 24 68 41 B8 03 01 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 BC 00 00 00 49 83 CD FF 49 8B CD 48 FF C1 40 38 3C 0B 75 F7 48 03 CB 48 3B D9 74 43 48 8D 71 FF 80 3E 5C 75 15 BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B F0 0F 95 C0 EB 07 80 3E 2F 74 20 B0 01 84 C0 74 1A 4C 8D 05 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 49 8B C5 48 FF C0 40 38 3C 03 75 F7 49 8B CD 48 FF C1 40 38 3C 29 75 F7 48 03 C1 49 3B C4 73 41 4C 8B C5 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 90 00 00 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 4D 41 B8 03 01 00 00 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 85 48 FF FF FF 49 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8B C3 48 8B DF 48 8B F8 EB C5 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_16_0 {
	meta:
		name = "??$get_executable_path@_W@@YAPEB_WQEB_W@Z"
		size = 431
		refs = "001c _waccess_s 003d _calloc_base 0050 ?path_name@?1???$get_path@_W@@YAPEB_WXZ@4QB_WB 0061 _wdupenv_s 0089 __acrt_wgetpath 00c3 ?backslash@?L@???$get_executable_path@_W@@YAPEB_WQEB_W@Z@4QB_WB 00ce wcscat_s 013f _free_base 0180 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 30 33 D2 48 8B F1 E8 ?? ?? ?? ?? 33 FF 85 C0 75 08 48 8B C6 E9 20 01 00 00 41 BF 04 01 00 00 BA 02 00 00 00 41 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 F6 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 89 7C 24 68 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 84 FE 00 00 00 48 8B EF EB 05 48 8B 6C 24 68 41 B8 03 01 00 00 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 A2 00 00 00 49 83 CC FF 49 8B CC 48 FF C1 66 39 3C 4B 75 F7 48 8D 04 4B 48 3B D8 74 28 66 83 78 FE 5C 74 21 66 83 78 FE 2F 74 1A 4C 8D 05 ?? ?? ?? ?? 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 AB 00 00 00 49 8B C4 48 FF C0 66 39 3C 43 75 F7 49 8B CC 48 FF C1 66 39 3C 4E 75 F7 48 03 C1 49 3B C7 73 41 4C 8B C6 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 8A 00 00 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 47 41 B8 03 01 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 85 62 FF FF FF 48 8B CD E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5E 41 5C 5F 5E C3 48 8B C3 48 8B DF 48 8B F8 EB CB 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_603_56_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEAA@XZ"
		size = 21
		altNames = "?close@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QEAAXXZ"
	strings:
		$1 = { 48 8B 01 33 D2 48 85 C0 74 0A 48 89 50 08 48 89 10 48 89 11 C3 }
	condition:
		$1
}

rule file_603_57_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEAA@XZ"
		size = 32
		refs = "0012 fclose"
		altNames = "?close@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_603_88_0 {
	meta:
		name = "?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z"
		size = 152
		refs = "0009 ?__idpairs@@3PEAUprocess_handle_pair@?A0xe43b7539@@EA 0010 ?__idtabsiz@@3IA 0061 _recalloc_base 006b _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? 49 8B C1 41 8B D0 48 C1 E2 04 49 03 D1 4C 3B CA 74 0E 48 39 08 74 67 48 83 C0 10 48 3B C2 75 F2 48 85 C9 74 04 33 C0 EB 55 41 8D 40 01 41 3B C0 72 F3 8B D0 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 73 E2 41 B8 10 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 48 85 DB 74 C5 8B 0D ?? ?? ?? ?? 8B C1 48 89 1D ?? ?? ?? ?? 48 C1 E0 04 48 03 C3 FF C1 89 0D ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_603_98_0 {
	meta:
		name = "_pclose"
		size = 220
		refs = "001f _errno 002a _invalid_parameter_noinfo 003f __acrt_lock 0048 ?idtab@@YAPEAUprocess_handle_pair@?A0xe43b7539@@QEAU_iobuf@@@Z 0065 fclose 0099 _cwait 00c6 __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 95 00 00 00 48 83 CF FF 8D 4F 0B E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 5F 48 8B CB E8 ?? ?? ?? ?? 48 8B 5E 08 48 83 26 00 48 83 66 08 00 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 83 20 00 83 64 24 30 00 41 B8 01 00 00 00 48 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 3B C7 75 13 E8 ?? ?? ?? ?? 83 38 04 74 09 E8 ?? ?? ?? ?? 89 30 EB 0B E8 ?? ?? ?? ?? 89 30 8B 7C 24 30 B9 0A 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_603_99_0 {
	meta:
		name = "_pclose$fin$0"
		size = 25
		refs = "0014 __acrt_unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0A 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_604_3_0 {
	meta:
		name = "?LongLongSub@@YAJ_J0PEA_J@Z"
		size = 66
	strings:
		$1 = { 45 33 C9 4C 8B D1 4C 2B D2 45 8B D9 48 85 C9 41 8B C1 41 0F 98 C3 48 85 D2 0F 98 C0 44 3B D8 74 1A 4D 85 D2 41 8B C1 0F 98 C0 44 3B D8 74 0C 49 83 08 FF 41 B9 16 02 07 80 EB 03 4D 89 10 41 8B C1 C3 }
	condition:
		$1
}

rule file_604_6_0 {
	meta:
		name = "?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 106
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 004d ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z 0059 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 41 8B D8 48 8B FA 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 29 83 FB 02 77 E6 E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_8_0 {
	meta:
		name = "?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z"
		size = 272
		refs = "0055 __pioinfo 008e _lseeki64_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B FA 41 83 F8 02 0F 84 E7 00 00 00 8B 41 14 A9 C0 04 00 00 0F 84 D9 00 00 00 48 8B 44 24 30 8B 48 14 F6 C1 06 0F 85 C8 00 00 00 48 8B 44 24 30 33 DB 39 58 10 0F 8E B8 00 00 00 48 63 48 18 48 8B D1 4C 8D 0D ?? ?? ?? ?? 83 E2 3F 48 8B C1 48 C1 F8 06 48 C1 E2 06 4D 8B 0C C1 41 F6 44 11 38 80 0F 85 8C 00 00 00 41 38 5C 11 39 0F 85 81 00 00 00 45 85 C0 75 4C 33 D2 44 8D 43 01 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 78 69 48 8B 44 24 30 44 8B CB 48 8B D7 48 63 48 10 4C 2B C1 8B CB 49 2B D0 48 85 FF 41 0F 98 C1 4D 85 C0 0F 98 C1 44 3B C9 74 0B 48 85 D2 0F 98 C3 44 3B CB 75 35 48 8B FA EB 05 48 8B 44 24 30 48 8B 10 48 8B 48 08 48 2B CA 48 3B CF 7F 1C 48 63 48 10 48 3B F9 7F 13 48 8D 0C 3A 48 89 08 B0 01 48 8B 4C 24 30 29 79 10 EB 02 32 C0 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_9_0 {
	meta:
		name = "?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 247
		refs = "002c _errno 004c ?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z 0067 _ftelli64_nolock 0075 __acrt_stdio_flush_nolock 00d4 _lseeki64_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 48 8B EC 48 83 EC 20 8B 41 14 41 8B F8 48 8B F2 C1 E8 0D A8 01 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A4 00 00 00 48 8B 45 10 F0 83 60 14 F7 48 8B 4D 10 E8 ?? ?? ?? ?? 33 DB 84 C0 74 07 33 C0 E9 85 00 00 00 83 FF 01 75 0E 48 8B 4D 10 E8 ?? ?? ?? ?? 48 03 F0 8B FB 48 8B 4D 10 E8 ?? ?? ?? ?? 48 8B 45 10 48 8B 48 08 48 89 08 89 58 10 48 8B 45 10 8B 48 14 48 8B 45 10 C1 E9 02 F6 C1 01 74 07 F0 83 60 14 FC EB 25 8B 48 14 83 E1 41 80 F9 41 75 1A 48 8B 45 10 8B 48 14 C1 E9 08 F6 C1 01 75 0B 48 8B 45 10 C7 40 20 00 02 00 00 48 8B 4D 10 8B 49 18 44 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 95 C3 8D 43 FF 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_608_9_0 {
	meta:
		name = "__acrt_stdio_free_buffer_nolock"
		size = 64
		refs = "0022 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 41 14 C1 E8 0D A8 01 74 27 8B 41 14 C1 E8 06 A8 01 74 1D 48 8B 49 08 E8 ?? ?? ?? ?? F0 81 63 14 BF FE FF FF 33 C0 48 89 43 08 48 89 03 89 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_609_3_0 {
	meta:
		name = "sinh"
		size = 953
		refs = "0059 _set_statfp 0077 _handle_nan 009b __xmm@80000000000000008000000000000000 00a3 __real@408633ce8fb9f87e 00c8 ??_C@_04COOMCNPB@sinh?$AA@ 00f0 _handle_error 0109 __real@40420fd21b95825f 0117 __real@3dcf473de6af278e 0127 __real@3f962e42fe000000 0132 __real@40471547652b82fe 015f __real@3ff0000000000000 0164 splitexp 026d __ImageBase 027b __real@3d6b4125921ea08b 0283 __real@3da9984b7f63fcd7 028c ?cosh_tail@?1??sinh@@9@9 0294 __real@3de611cb2bdcb7be 029d ?sinh_lead@?1??sinh@@9@9 02a9 __real@3e21ee56385b7b20 02bd __real@3e5ae6460fbe61c0 02c5 __real@3e927e5069f1cb55 02d5 __real@3ec71de3a4e13e7d 02dd __real@3efa01a019079011 02ed __real@3f2a01a01a01ee80 02f5 __real@3f56c16c16c212e5 0305 __real@3f811111111110fd 030d __real@3fa5555555555502 031d __real@3fc5555555555555 0325 __real@3fe0000000000000 033e ?sinh_tail@?1??sinh@@9@9 0352 ?cosh_lead@?1??sinh@@9@9"
	strings:
		$1 = { 48 81 EC 88 00 00 00 0F 29 74 24 70 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 A8 00 00 00 0F 28 F0 48 8B 8C 24 A8 00 00 00 48 8B C1 0F 29 7C 24 60 48 23 C2 44 0F 29 44 24 50 48 BA 00 00 00 00 00 00 30 3E 48 3B C2 73 1B 48 85 C0 0F 84 4E 03 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 3C 03 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 12 76 0A E8 ?? ?? ?? ?? E9 21 03 00 00 F2 0F 58 F6 EB D7 45 33 D2 0F 28 E0 48 3B C1 41 0F 95 C2 4D 85 D2 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 5C C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 BA 1F 00 00 00 F2 0F 11 74 24 30 48 8D 0D ?? ?? ?? ?? C7 44 24 28 22 00 00 00 C7 44 24 20 01 00 00 00 44 8D 4A E4 4D 85 D2 74 14 49 B8 00 00 00 00 00 00 F0 FF E8 ?? ?? ?? ?? E9 A8 02 00 00 49 B8 00 00 00 00 00 00 F0 7F EB EA 66 0F 2F 25 ?? ?? ?? ?? 0F 82 15 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 0F 28 C4 F2 0F 10 15 ?? ?? ?? ?? 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 36 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 EB 5F 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 F2 0F 10 8C 24 A8 00 00 00 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 F2 44 0F 59 C1 F2 44 0F 59 C0 E9 68 01 00 00 F2 0F 2C CC 66 0F 6E C1 F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 11 A4 24 A8 00 00 00 48 8B 84 24 A8 00 00 00 F2 0F 59 CC 48 25 00 00 00 F8 48 89 84 24 A8 00 00 00 F2 0F 10 B4 24 A8 00 00 00 48 63 C1 48 8D 0D ?? ?? ?? ?? 0F 28 F9 0F 28 E9 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 10 9C C1 ?? ?? ?? ?? 44 0F 28 C2 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D6 F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 CC F2 0F 5C E6 F2 0F 59 E9 F2 0F 10 8C C1 ?? ?? ?? ?? 0F 28 C1 F2 0F 59 C7 F2 0F 58 EC F2 0F 10 A4 C1 ?? ?? ?? ?? F2 44 0F 59 C5 F2 44 0F 58 C0 0F 28 C4 F2 0F 59 C5 F2 0F 59 E6 F2 44 0F 58 C2 F2 44 0F 58 C1 0F 28 CB F2 0F 59 CF F2 44 0F 58 C0 F2 44 0F 58 C1 F2 44 0F 58 C4 F2 44 0F 58 C3 4D 85 D2 74 08 44 0F 57 05 ?? ?? ?? ?? 41 0F 28 C0 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "_wcsnset"
		size = 39
	strings:
		$1 = { 45 33 D2 48 8B C1 45 8B CA 4D 85 C0 74 15 66 44 39 10 74 0F 66 89 10 49 FF C1 48 83 C0 02 4D 3B C8 75 EB 48 8B C1 C3 }
	condition:
		$1
}

rule file_611_0_0 {
	meta:
		name = "??$common_tcsset_s@_W@@YAHQEA_W_K_W@Z"
		size = 85
		refs = "0038 _errno 0043 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 2B 48 85 D2 74 26 48 8B C1 66 44 39 09 74 14 48 83 EA 01 74 0E 66 44 89 00 48 83 C0 02 66 44 39 08 75 EC 48 85 D2 75 1E 66 44 89 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_611_1_0 {
	meta:
		name = "_wcsset_s"
		size = 78
		refs = "0036 _errno 0042 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 C9 74 28 48 85 D2 74 23 48 8B C1 66 39 19 74 13 48 83 EA 01 74 0D 66 44 89 00 48 83 C0 02 66 39 18 75 ED 48 85 D2 75 14 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_612_0_0 {
	meta:
		name = "??$common_mktemp@D@@YAPEADQEAD@Z"
		size = 80
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0038 ??$common_mktemp_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1D 48 83 CA FF 48 FF C2 38 1C 11 75 F8 48 FF C2 E8 ?? ?? ?? ?? 85 C0 48 0F 44 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_612_1_0 {
	meta:
		name = "??$common_mktemp@_W@@YAPEA_WQEA_W@Z"
		size = 81
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0039 ??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1E 48 83 CA FF 48 FF C2 66 39 1C 51 75 F7 48 FF C2 E8 ?? ?? ?? ?? 85 C0 48 0F 44 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_612_2_0 {
	meta:
		name = "??$common_mktemp_s@D@@YAHQEAD_K@Z"
		size = 323
		refs = "0032 strnlen 0057 __imp_GetCurrentThreadId 0070 _ismbstrail 00c6 _errno 00e8 _access_s 0122 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B FA 48 8B D9 48 85 C9 0F 84 ED 00 00 00 48 85 D2 0F 84 E4 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 3B C7 0F 83 D0 00 00 00 48 83 F8 06 0F 82 C6 00 00 00 48 3B F8 0F 86 BD 00 00 00 FF 15 ?? ?? ?? ?? 33 ED 48 8D 7B FF 44 8B F0 48 03 FE EB 46 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 3C 80 3F 58 0F 85 91 00 00 00 48 83 FD 05 73 2D B8 CD CC CC CC 48 FF C5 41 F7 E6 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A F1 41 80 C6 30 44 88 37 44 8B F2 48 FF CF 48 3B FB 73 B5 80 3F 58 75 59 48 83 FD 05 72 53 C6 07 61 40 B6 62 E8 ?? ?? ?? ?? 8B 28 EB 0C 40 80 FE 7B 74 27 40 88 37 40 FE C6 E8 ?? ?? ?? ?? 33 D2 48 8B CB 83 20 00 E8 ?? ?? ?? ?? 85 C0 74 DE E8 ?? ?? ?? ?? 89 28 33 C0 EB 2D C6 03 00 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 16 C6 03 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_612_3_0 {
	meta:
		name = "??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
		size = 331
		refs = "0034 wcsnlen 0059 __imp_GetCurrentThreadId 00cd _errno 00f0 _waccess_s 012c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 F6 48 8B FA 48 8B D9 48 85 C9 0F 84 F5 00 00 00 48 85 D2 0F 84 EC 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 3B C7 0F 83 D7 00 00 00 48 83 F8 06 0F 82 CD 00 00 00 48 3B F8 0F 86 C4 00 00 00 FF 15 ?? ?? ?? ?? 48 8D 7B FE 45 8B C6 44 8B C8 48 8D 3C 77 45 8D 7E 01 EB 3F 66 83 3F 58 0F 85 A0 00 00 00 49 83 F8 05 73 34 B8 CD CC CC CC 4D 03 C7 41 F7 E1 C1 EA 03 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B C9 66 41 83 C1 30 66 44 89 0F 44 8B CA 48 83 EF 02 48 3B FB 73 BC 66 83 3F 58 75 60 49 83 F8 05 72 5A B8 61 00 00 00 66 89 07 8D 70 01 E8 ?? ?? ?? ?? 8B 28 EB 0D 66 83 FE 7B 74 28 66 89 37 66 41 03 F7 E8 ?? ?? ?? ?? 33 D2 48 8B CB 44 89 30 E8 ?? ?? ?? ?? 85 C0 74 DD E8 ?? ?? ?? ?? 89 28 33 C0 EB 2F 66 44 89 33 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 17 66 44 89 33 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_612_10_0 {
	meta:
		name = "?common_mktemp_s_continue@@YA_NQEBD0@Z"
		size = 19
		refs = "0005 _ismbstrail"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_612_12_0 {
	meta:
		name = "_mktemp"
		size = 78
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0036 ??$common_mktemp_s@D@@YAHQEAD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 1A 48 83 CA FF 48 FF C2 38 1C 11 75 F8 48 FF C2 E8 ?? ?? ?? ?? 85 C0 48 0F 44 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_612_14_0 {
	meta:
		name = "_wmktemp"
		size = 79
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0037 ??$common_mktemp_s@_W@@YAHQEA_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 1B 48 83 CA FF 48 FF C2 66 39 1C 51 75 F7 48 FF C2 E8 ?? ?? ?? ?? 85 C0 48 0F 44 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_613_0_0 {
	meta:
		name = "cacoshf"
		size = 743
		refs = "0032 crealf 0040 cimagf 004e _fdtest 0086 _FInf_C 00e1 __real@4016cbe4 00eb __real@3f490fdb 00fb __real@40490fdb 0127 __real@bfc90fdb 0134 __real@3fc90fdb 014b __real@3f800000 0152 __xmm@80000000800000008000000080000000 0157 _FCbuild 015f csqrtf 01c8 __real@5e7fe80a 0224 asinhf 022b __real@00000000 023a logf 0298 atan2f 02a0 __real@40000000"
	strings:
		$1 = { 48 8B C4 55 53 57 48 8D 68 A1 48 81 EC 90 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 48 89 4D D7 E8 ?? ?? ?? ?? 48 8B 4D D7 F3 0F 11 45 77 E8 ?? ?? ?? ?? 48 8D 4D 77 F3 0F 11 45 6F E8 ?? ?? ?? ?? 48 8D 4D 6F 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 37 66 3B C7 75 0F F3 0F 10 75 77 F3 0F 10 45 6F E9 37 02 00 00 BB 01 00 00 00 66 3B C3 75 12 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 45 77 E9 1B 02 00 00 F3 0F 10 75 77 EB 1F BB 01 00 00 00 66 83 F8 02 75 1C 66 3B FB 75 0A F3 0F 10 35 ?? ?? ?? ?? EB B9 F3 0F 10 75 6F 0F 28 C6 E9 ED 01 00 00 66 3B FB 75 46 F3 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C3 75 1A 0F 2F 45 77 76 0A F3 0F 10 05 ?? ?? ?? ?? EB 18 F3 0F 10 05 ?? ?? ?? ?? EB 0E 0F 2F 45 77 76 08 F3 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 71 E9 99 01 00 00 66 3B C3 75 2B F3 0F 10 35 ?? ?? ?? ?? 0F 57 C0 0F 2F 45 6F 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 7F 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 72 01 00 00 F3 0F 10 45 77 F3 0F 10 4D 6F F3 0F 5C 05 ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? F3 0F 10 45 77 F3 0F 58 05 ?? ?? ?? ?? F3 0F 10 4D 6F 66 48 0F 6E F8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 66 48 0F 7E F9 66 48 0F 6E F0 E8 ?? ?? ?? ?? 66 48 0F 7E F9 44 0F 28 D0 E8 ?? ?? ?? ?? 66 48 0F 7E F1 44 0F 28 C8 E8 ?? ?? ?? ?? 66 48 0F 7E F1 44 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 28 D8 F3 0F 10 05 ?? ?? ?? ?? 44 0F 2F D0 76 0F 41 0F 28 FA 41 0F 28 C3 F3 45 0F 5E C2 EB 38 44 0F 2F C8 41 0F 28 F9 76 10 41 0F 28 C3 F3 41 0F 5E C1 F3 41 0F 59 C2 EB 23 0F 57 3D ?? ?? ?? ?? 0F 2F F8 41 0F 28 C3 76 06 F3 0F 5E C7 EB E3 0F 57 FF F3 41 0F 59 C2 F3 45 0F 59 C1 F3 41 0F 5C C0 E8 ?? ?? ?? ?? 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1B 0F 28 C7 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 F3 0F 10 4D 6F B8 00 80 00 00 66 85 45 71 74 0E 0F 57 0D ?? ?? ?? ?? F3 0F 11 4D 6F EB 02 33 DB F3 0F 10 45 77 F3 0F 5C 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 41 0F 28 CB E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 49 8B E3 5F 5B 5D C3 }
	condition:
		$1
}

rule file_614_6_0 {
	meta:
		name = "_wperror"
		size = 235
		refs = "0040 wcstombs_s 0064 _calloc_base 009c perror 00a4 _free_base 00d1 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 30 33 F6 48 8B F9 48 85 C9 0F 84 8C 00 00 00 66 39 31 0F 84 83 00 00 00 4C 8B C9 48 89 70 08 48 8D 48 08 48 C7 40 E8 FF FF FF 7F 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 F8 16 0F 84 89 00 00 00 83 F8 22 0F 84 80 00 00 00 48 8B 4C 24 40 48 85 C9 74 51 8D 56 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 30 4C 8B 44 24 40 4C 8B CF 48 83 4C 24 20 FF 48 8B D0 33 C9 E8 ?? ?? ?? ?? 85 C0 74 0C 83 F8 16 74 30 83 F8 22 75 0A EB 29 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 07 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_615_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z"
		size = 94
	strings:
		$1 = { 4C 8D 41 FF 49 BA 0B D7 A3 70 3D 0A D7 A3 48 81 C1 2B 01 00 00 49 8B C2 48 F7 E9 49 8B C2 4C 8D 0C 11 49 F7 E8 49 C1 F9 08 49 8B C0 49 03 D0 49 8B C9 48 C1 FA 06 48 C1 E9 3F 4C 03 C9 48 8B CA 48 C1 E9 3F 48 03 D1 4C 2B CA 48 99 83 E2 03 48 03 C2 48 C1 F8 02 48 83 C0 EF 49 03 C1 C3 }
	condition:
		$1
}

rule file_615_3_0 {
	meta:
		name = "??$__crt_time_is_leap_year@_J@@YA_N_J@Z"
		size = 114
	strings:
		$1 = { 48 8B C1 4C 8B C1 48 99 49 B9 0B D7 A3 70 3D 0A D7 A3 83 E2 03 48 03 C2 83 E0 03 48 3B C2 75 26 49 8B C1 49 F7 E8 48 03 D1 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 49 8B C0 48 6B CA 64 48 2B C1 74 03 B0 01 C3 49 8D 88 6C 07 00 00 49 8B C1 48 F7 E9 48 03 D1 48 C1 FA 08 48 8B C2 48 C1 E8 3F 48 03 D0 48 69 C2 90 01 00 00 48 3B C8 0F 94 C0 C3 }
	condition:
		$1
}

rule file_615_4_0 {
	meta:
		name = "??$common_mktime@J@@YAJQEAUtm@@_N@Z"
		size = 790
		refs = "0018 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 00b1 _days 00bb ??$__crt_time_is_leap_year@J@@YA_NJ@Z 014b __security_check_cookie 024e __tzset 025f _get_dstbias 0270 _get_timezone 0287 _localtime32_s 02e4 _gmtime32_s 02fb _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 44 8A F2 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 79 14 89 7D C0 83 FF 45 0F 8C E3 00 00 00 41 B8 8B 00 00 00 41 3B F8 0F 87 D4 00 00 00 8B 49 10 83 F9 0B 76 41 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 03 FA 89 7D C0 8D 04 52 C1 E0 02 2B C8 89 4B 10 85 C9 79 0B 8D 41 0C FF CF 89 43 10 89 7D C0 83 FF 45 0F 8C 94 00 00 00 41 3B F8 0F 87 8B 00 00 00 48 63 43 10 48 8D 0D ?? ?? ?? ?? 8B 34 81 8B CF E8 ?? ?? ?? ?? 84 C0 74 08 83 7B 10 01 7E 02 FF C6 41 BA 1F 85 EB 51 8D 8F 2B 01 00 00 44 8D 47 FF 41 8B C2 F7 E9 41 8B C2 44 8B CA 41 F7 E8 41 C1 F9 07 41 8B C0 C1 FA 05 41 8B C9 C1 E9 1F 44 03 C9 8B CA C1 E9 1F 03 D1 69 CF 6D 01 00 00 44 2B CA 99 83 E2 03 03 C2 8B 53 0C C1 F8 02 03 C6 81 C1 21 9C FF FF 41 03 C1 03 C8 8D 0C 11 89 4D C0 78 37 85 D2 78 3B 85 C9 79 37 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 85 D2 79 04 85 C9 79 C9 44 8D 04 49 41 C1 E0 03 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 18 0F 95 C1 EB 02 33 C9 85 C9 75 A7 8B 43 08 42 8D 0C 00 89 4D C0 45 85 C0 78 0A 85 C0 78 0E 85 C9 78 90 EB 08 85 C0 79 04 85 C9 79 86 44 6B C1 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 64 FF FF FF 8B 43 04 42 8D 0C 00 89 4D C0 45 85 C0 78 0E 85 C0 78 16 85 C9 0F 88 49 FF FF FF EB 0C 85 C0 79 08 85 C9 0F 89 3B FF FF FF 44 6B C1 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 19 FF FF FF 8B 0B 42 8D 04 01 89 45 C0 45 85 C0 78 0E 85 C9 78 16 85 C0 0F 88 FF FE FF FF EB 0C 85 C9 79 08 85 C0 0F 89 F1 FE FF FF 45 84 F6 0F 84 8E 00 00 00 E8 ?? ?? ?? ?? 83 65 C8 00 48 8D 4D C8 83 65 C4 00 E8 ?? ?? ?? ?? 85 C0 0F 85 95 00 00 00 48 8D 4D C4 E8 ?? ?? ?? ?? 85 C0 75 72 8B 45 C4 48 8D 55 C0 01 45 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 FE FF FF 8B 43 20 85 C0 7F 09 79 22 8B 45 F0 85 C0 7E 1E 8B 45 C8 48 8D 55 C0 01 45 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 77 FE FF FF 8B 45 F0 0F 10 45 D0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 8B 45 C0 E9 68 FE FF FF 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? EB CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_615_5_0 {
	meta:
		name = "??$common_mktime@_J@@YA_JQEAUtm@@_N@Z"
		size = 861
		refs = "0018 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 00bc _days 00c8 ??$__crt_time_is_leap_year@_J@@YA_N_J@Z 0175 __security_check_cookie 0290 __tzset 02a1 _get_dstbias 02b2 _get_timezone 02cb _localtime64_s 032b _gmtime64_s 0342 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 44 8A F2 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 26 01 00 00 48 63 79 14 48 89 7D C0 48 83 FF 45 0F 8C 09 01 00 00 41 B8 4E 04 00 00 49 3B F8 0F 87 FA 00 00 00 8B 49 10 83 F9 0B 76 49 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 48 63 C2 48 03 F8 89 4B 10 48 89 7D C0 85 C9 79 0D 8D 41 0C 48 FF CF 89 43 10 48 89 7D C0 48 83 FF 45 0F 8C B2 00 00 00 49 3B F8 0F 87 A9 00 00 00 48 63 43 10 48 8D 0D ?? ?? ?? ?? 48 63 34 81 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 09 83 7B 10 01 7E 03 48 FF C6 48 8D 8F 2B 01 00 00 49 BA 0B D7 A3 70 3D 0A D7 A3 4C 8D 47 FF 49 8B C2 48 F7 E9 49 8B C2 4C 8D 0C 11 49 F7 E8 49 C1 F9 08 49 8B C0 49 03 D0 49 8B C9 48 C1 E9 3F 4C 03 C9 48 C1 FA 06 48 8B CA 48 C1 E9 3F 48 03 D1 4C 2B CA 48 99 83 E2 03 48 03 C2 48 63 53 0C 48 C1 F8 02 48 69 CF 6D 01 00 00 48 03 C6 48 81 C1 21 9C FF FF 49 03 C1 48 03 C8 48 8D 0C 11 48 89 4D C0 78 3A 48 85 D2 78 3F 48 85 C9 79 3A E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 48 85 D2 79 05 48 85 C9 79 C6 4C 8D 04 49 49 C1 E0 03 48 85 C9 74 11 49 8B C0 48 99 48 F7 F9 33 C9 48 83 F8 18 0F 95 C1 85 C9 75 A4 48 63 43 08 4A 8D 0C 00 48 89 4D C0 4D 85 C0 78 0C 48 85 C0 78 15 48 85 C9 78 89 EB 0E 48 85 C0 79 09 48 85 C9 0F 89 79 FF FF FF 4C 6B C1 3C 48 85 C9 74 11 49 8B C0 48 99 48 F7 F9 33 C9 48 83 F8 3C 0F 95 C1 85 C9 0F 85 57 FF FF FF 48 63 43 04 4A 8D 0C 00 48 89 4D C0 4D 85 C0 78 10 48 85 C0 78 19 48 85 C9 0F 88 38 FF FF FF EB 0E 48 85 C0 79 09 48 85 C9 0F 89 28 FF FF FF 4C 6B C1 3C 48 85 C9 74 11 49 8B C0 48 99 48 F7 F9 33 C9 48 83 F8 3C 0F 95 C1 85 C9 0F 85 06 FF FF FF 48 63 0B 4A 8D 04 01 48 89 45 C0 4D 85 C0 78 10 48 85 C9 78 19 48 85 C0 0F 88 E8 FE FF FF EB 0E 48 85 C9 79 09 48 85 C0 0F 89 D8 FE FF FF 45 84 F6 0F 84 93 00 00 00 E8 ?? ?? ?? ?? 83 65 CC 00 48 8D 4D CC 83 65 C8 00 E8 ?? ?? ?? ?? 85 C0 0F 85 9A 00 00 00 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 75 77 48 63 45 C8 48 8D 55 C0 48 01 45 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 87 FE FF FF 8B 43 20 85 C0 7F 09 79 24 8B 45 F0 85 C0 7E 20 48 63 45 CC 48 8D 55 C0 48 01 45 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 5A FE FF FF 8B 45 F0 0F 10 45 D0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 48 8B 45 C0 E9 4B FE FF FF 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? EB CB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_619_13_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION2"
		size = 88
		refs = "0025 ??_C@_0CP@LOMHEIAG@ERROR?3?5expected?5res?5?$DN?5?$CFx?5got?5res@ 0032 printf 0044 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION2"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 20 41 8B D8 48 8B F9 44 8B 48 50 41 3B D1 74 19 F3 0F 10 50 50 48 8D 0D ?? ?? ?? ?? 0F 5A D2 66 49 0F 7E D0 E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 8B D3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_14_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION3"
		size = 71
		refs = "001c ??_C@_0CN@GELCHFEH@ERROR?3?5expected?5eflags?5?$DN?5?$CFx?5got?5@ 0021 printf 0033 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION3"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B D8 48 8B F9 44 8B 41 1C 41 3B D0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 8B D3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_26_0 {
	meta:
		name = "printf"
		size = 81
		refs = "0027 __acrt_iob_func 002f __local_stdio_printf_options 0045 __stdio_common_vfprintf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 53 56 57 48 83 EC 30 48 8B F9 48 8D 70 10 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 45 33 C9 48 89 74 24 20 4C 8B C7 48 8B D3 48 8B 08 E8 ?? ?? ?? ?? 48 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "llrintf"
		size = 121
		refs = "0015 _fdtest 002c nearbyintf 0042 _fperrraise 0049 __real@df000000 0053 __real@5f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 4F FF C8 83 F8 01 76 3E F3 0F 10 44 24 40 E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 14 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 72 07 F3 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_621_2_0 {
	meta:
		name = "??$common_loctotime_t@J@@YAJHHHHHHH@Z"
		size = 592
		refs = "0017 __security_cookie 0067 _days 007c ??$__crt_time_is_leap_year@H@@YA_NH@Z 00e3 __tzset 00fb _get_daylight 010c _get_dstbias 011d _get_timezone 01d7 _isindst 01e7 _errno 01fc __security_check_cookie 0221 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 8D 99 94 F8 FF FF 45 8B E9 41 8B F0 44 8B F2 83 FB 46 0F 8C AC 01 00 00 81 FB 8A 00 00 00 0F 87 A0 01 00 00 8D 42 FF 83 F8 0B 0F 87 94 01 00 00 8D 7A FF 45 85 C0 0F 8E 88 01 00 00 8D 47 01 48 63 C8 48 8D 15 ?? ?? ?? ?? 48 63 C7 8B 0C 8A 2B 0C 82 44 3B C1 7E 28 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 5E 01 00 00 83 FF 01 0F 85 55 01 00 00 83 FE 1D 0F 8F 4C 01 00 00 48 8D 15 ?? ?? ?? ?? 41 83 FD 17 0F 87 3B 01 00 00 44 8B 7D 68 41 83 FF 3B 0F 87 2D 01 00 00 44 8B 65 70 41 83 FC 3B 0F 87 1F 01 00 00 48 63 C7 8B CB 8B 04 82 03 F0 E8 ?? ?? ?? ?? 84 C0 74 08 41 83 FE 02 7E 02 FF C6 E8 ?? ?? ?? ?? 45 33 F6 48 8D 4D C0 44 89 75 C0 44 89 75 BC 44 89 75 B8 E8 ?? ?? ?? ?? 85 C0 0F 85 34 01 00 00 48 8D 4D BC E8 ?? ?? ?? ?? 85 C0 0F 85 0E 01 00 00 48 8D 4D B8 E8 ?? ?? ?? ?? 85 C0 0F 85 E8 00 00 00 44 8B 75 BC 8D 8B 2B 01 00 00 41 BA 1F 85 EB 51 44 8D 43 FF 41 8B C2 F7 E9 41 8B C2 44 8B CA 41 F7 E8 41 C1 F9 07 41 8B C0 C1 FA 05 41 8B C9 C1 E9 1F 44 03 C9 8B CA C1 E9 1F 03 D1 69 CB 6D 01 00 00 44 2B CA 99 83 E2 03 03 C2 C1 F8 02 03 C6 41 03 C1 03 C8 8D 04 49 8D 0C C5 00 00 00 00 41 03 CD 6B C1 3C 41 03 C7 6B C8 3C 81 C1 80 81 55 7C 03 4D B8 41 03 CC 44 03 F1 89 4D C4 83 7D 78 01 75 05 41 8B C6 EB 43 83 7D 78 FF 89 75 E4 89 5D DC 89 7D D8 44 89 6D D0 44 89 7D CC 44 89 65 C8 75 16 83 7D C0 00 74 10 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 75 CD 8B 4D C4 8B C1 EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_621_3_0 {
	meta:
		name = "??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
		size = 629
		refs = "001c __security_cookie 006f _days 0084 ??$__crt_time_is_leap_year@H@@YA_NH@Z 00eb __tzset 0103 _get_daylight 0114 _get_dstbias 0125 _get_timezone 01f6 _isindst 0208 _errno 021e __security_check_cookie 0246 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 8D 99 94 F8 FF FF 4D 63 E9 41 8B F0 44 8B F2 83 FB 46 0F 8C C8 01 00 00 48 63 C3 48 3D 4D 04 00 00 0F 87 B9 01 00 00 8D 42 FF 83 F8 0B 0F 87 AD 01 00 00 8D 7A FF 45 85 C0 0F 8E A1 01 00 00 8D 47 01 48 63 C8 48 8D 15 ?? ?? ?? ?? 48 63 C7 8B 0C 8A 2B 0C 82 44 3B C1 7E 28 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 77 01 00 00 83 FF 01 0F 85 6E 01 00 00 83 FE 1D 0F 8F 65 01 00 00 48 8D 15 ?? ?? ?? ?? 41 83 FD 17 0F 87 54 01 00 00 4C 63 7D 6F 41 83 FF 3B 0F 87 46 01 00 00 4C 63 65 77 41 83 FC 3B 0F 87 38 01 00 00 48 63 C7 8B CB 8B 04 82 03 F0 E8 ?? ?? ?? ?? 84 C0 74 08 41 83 FE 02 7E 02 FF C6 E8 ?? ?? ?? ?? 45 33 F6 48 8D 4D B7 44 89 75 B7 44 89 75 B3 44 89 75 AF E8 ?? ?? ?? ?? 85 C0 0F 85 51 01 00 00 48 8D 4D B3 E8 ?? ?? ?? ?? 85 C0 0F 85 2B 01 00 00 48 8D 4D AF E8 ?? ?? ?? ?? 85 C0 0F 85 05 01 00 00 4C 63 75 B3 8D 8B 2B 01 00 00 41 BA 1F 85 EB 51 44 8D 43 FF 41 8B C2 F7 E9 41 8B C2 44 8B CA 41 F7 E8 41 C1 F9 07 41 8B C0 C1 FA 05 41 8B C9 C1 E9 1F 44 03 C9 8B CA C1 E9 1F 03 D1 44 2B CA 99 83 E2 03 8D 0C 02 48 63 C3 C1 F9 02 48 83 C0 BA 83 C1 EF 41 03 C9 48 63 D1 48 69 C8 6D 01 00 00 48 63 C6 48 03 D1 48 03 D0 48 63 45 AF 48 8D 0C 52 48 8D 0C CD 00 00 00 00 49 03 CD 48 6B D1 3C 49 03 D7 48 6B CA 3C 48 03 C8 49 03 CC 4C 03 F1 48 89 4D BF 83 7D 7F 01 75 05 49 8B C6 EB 46 83 7D 7F FF 89 75 E3 89 5D DB 89 7D D7 44 89 6D CF 44 89 7D CB 44 89 65 C7 75 17 83 7D B7 00 74 11 48 8D 4D C7 E8 ?? ?? ?? ?? 85 C0 75 CD 48 8B 4D BF 48 8B C1 EB 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 4C 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_621_4_0 {
	meta:
		name = "?__crt_time_is_day_valid@@YA_NHHH@Z"
		size = 89
		refs = "0020 _days 003a ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 FA 8B D1 41 8B D8 45 85 C0 7E 35 8D 47 01 48 63 C8 4C 8D 05 ?? ?? ?? ?? 48 8B C7 41 8B 0C 88 41 2B 0C B8 3B D9 7F 04 B0 01 EB 17 8B CA E8 ?? ?? ?? ?? 84 C0 74 0A 83 FF 01 75 05 83 FB 1D 7E E7 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_622_3_0 {
	meta:
		name = "?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
		size = 228
		refs = "0022 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0038 strnlen 005c __imp_MultiByteToWideChar 0065 _errno 008c _isleadbyte_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B EA 48 8B F1 49 8B D0 48 8D 48 D8 E8 ?? ?? ?? ?? 48 8B 44 24 38 83 78 08 01 75 10 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 EB 78 83 64 24 28 00 44 8B CD 8B 48 0C 4C 8B C6 48 83 64 24 20 00 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 11 E8 ?? ?? ?? ?? 48 83 CB FF C7 00 2A 00 00 00 EB 44 33 DB 33 FF 48 85 ED 74 34 80 3E 00 74 2F 0F B6 0E 48 8D 54 24 38 E8 ?? ?? ?? ?? 85 C0 74 10 48 FF C7 48 3B FD 73 19 48 FF C6 80 3E 00 74 0E 48 FF C3 48 FF C6 48 FF C7 48 3B FD 72 CC 48 3B FD 48 0F 43 DD 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_622_5_0 {
	meta:
		name = "_mbstrlen"
		size = 34
		refs = "0006 __acrt_locale_changed_data 001e ?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 83 CA FF 83 3D ?? ?? ?? ?? 00 75 0D 48 FF C2 80 3C 11 00 75 F7 48 8B C2 C3 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_622_8_0 {
	meta:
		name = "_mbstrnlen_l"
		size = 52
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0030 ?common_mbstrlen_l@@YA_KQEBD_KQEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 48 81 FA FF FF FF 7F 77 DE 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_623_27_0 {
	meta:
		name = "_getmaxstdio"
		size = 46
		refs = "0025 ??$?RV<lambda_1c6ca64d9ae1cace63c84520b332f29a>@@AEAV<lambda_310477c8b9c73405e9396a64630870ce>@@V<lambda_f40f30ba3dc10a24f20dfcf11c9cb86d>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_1c6ca64d9ae1cace63c84520b332f29a>@@AEAV<lambda_310477c8b9c73405e9396a64630870ce>@@$$QEAV<lambda_f40f30ba3dc10a24f20dfcf11c9cb86d>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 28 B8 08 00 00 00 4D 8D 4B 10 4D 8D 43 08 89 44 24 38 49 8D 53 18 89 44 24 40 49 8D 4B 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_623_28_0 {
	meta:
		name = "_setmaxstdio"
		size = 92
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0053 ??$?RV<lambda_d265a56fd53178511ad8d53ccbe8cacc>@@AEAV<lambda_e7c03df1dbe441d4546fa0d4addf2a3b>@@V<lambda_2bb2bbfcf70780ed7695a5eb217f139a>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_d265a56fd53178511ad8d53ccbe8cacc>@@AEAV<lambda_e7c03df1dbe441d4546fa0d4addf2a3b>@@$$QEAV<lambda_2bb2bbfcf70780ed7695a5eb217f139a>@@@Z"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 38 8D 41 FD 3D FD 1F 00 00 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 30 48 8D 44 24 40 48 89 44 24 20 4C 8D 4C 24 50 B8 08 00 00 00 4C 8D 44 24 20 48 8D 54 24 58 89 44 24 50 48 8D 4C 24 48 89 44 24 58 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_626_2_0 {
	meta:
		name = "??$common_putenv@D@@YAHQEBD0@Z"
		size = 63
		refs = "0016 __acrt_lock 0022 ??$common_putenv_nolock@D@@YAHQEBD0@Z 002e __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 8B D8 B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_626_4_0 {
	meta:
		name = "??$common_putenv@_W@@YAHQEB_W0@Z"
		size = 63
		refs = "0016 __acrt_lock 0022 ??$common_putenv_nolock@_W@@YAHQEB_W0@Z 002e __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 8B D8 B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_626_6_0 {
	meta:
		name = "??$common_putenv_nolock@D@@YAHQEBD0@Z"
		size = 148
		refs = "0017 _environ_table 0023 _wenviron_table 0034 _errno 003f _invalid_parameter_noinfo 0046 ??$create_environment_string@D@@YAPEADQEBD0@Z 0058 __dcrt_set_variable_in_narrow_environment_nolock 0070 ??$set_variable_in_other_environment@D@@YA_NQEBD0@Z 007e _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F2 48 39 1D ?? ?? ?? ?? 48 8B F9 75 0E 48 39 1D ?? ?? ?? ?? 75 05 83 C8 FF EB 56 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E4 E8 ?? ?? ?? ?? 48 85 C0 74 29 BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 18 48 39 1D ?? ?? ?? ?? 74 12 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 03 83 CB FF 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_626_7_0 {
	meta:
		name = "??$common_putenv_nolock@_W@@YAHQEB_W0@Z"
		size = 148
		refs = "0017 _environ_table 0023 _wenviron_table 0034 _errno 003f _invalid_parameter_noinfo 0046 ??$create_environment_string@_W@@YAPEA_WQEB_W0@Z 0058 __dcrt_set_variable_in_wide_environment_nolock 0070 ??$set_variable_in_other_environment@_W@@YA_NQEB_W0@Z 007e _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F2 48 39 1D ?? ?? ?? ?? 48 8B F9 75 0E 48 39 1D ?? ?? ?? ?? 75 05 83 C8 FF EB 56 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E4 E8 ?? ?? ?? ?? 48 85 C0 74 29 BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 18 48 39 1D ?? ?? ?? ?? 74 12 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 03 83 CB FF 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_626_8_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@D@@YA_KQEBD0@Z"
		size = 123
		refs = "0025 __imp_MultiByteToWideChar 0031 _errno"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 28 00 48 8B FA 48 83 64 24 20 00 4C 8B C1 33 D2 33 C9 41 83 C9 FF FF 15 ?? ?? ?? ?? 48 63 D8 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C0 EB 31 48 85 FF 75 05 48 8B C3 EB 27 83 64 24 28 00 41 83 C9 FF 48 83 64 24 20 00 4C 8B C7 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 74 C4 48 8D 04 19 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_626_9_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@_W@@YA_KQEB_W0@Z"
		size = 145
		refs = "002f __imp_WideCharToMultiByte 003b _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 40 48 83 60 F0 00 48 8B FA 48 83 60 E8 00 4C 8B C1 83 60 E0 00 41 83 C9 FF 48 83 60 D8 00 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 D8 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C0 EB 3D 48 85 FF 75 05 48 8B C3 EB 33 48 83 64 24 38 00 41 83 C9 FF 48 83 64 24 30 00 4C 8B C7 83 64 24 28 00 33 D2 48 83 64 24 20 00 33 C9 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 74 B8 48 8D 04 19 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_626_10_0 {
	meta:
		name = "??$create_environment_string@D@@YAPEADQEBD0@Z"
		size = 320
		refs = "0036 strnlen 0050 _errno 005b _invalid_parameter_noinfo 007a _calloc_base 0096 strcpy_s 00b5 strchr 011a _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 FF 48 8B F2 48 8B E9 48 85 D2 0F 84 81 00 00 00 BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B F8 E8 ?? ?? ?? ?? 4C 8B F0 4C 3B FB 72 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 BB 00 00 00 48 3B C3 73 E4 4E 8D 24 38 BA 01 00 00 00 49 8D 4C 24 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 8D 00 00 00 4C 8B C5 49 8D 54 24 02 48 8B C8 E8 ?? ?? ?? ?? 49 8D 4F 01 42 C6 04 3B 3D 48 03 CB 49 8D 56 01 4C 8B C6 EB 60 BA 3D 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 24 48 8B C8 BB FF 7F 00 00 48 2B CD 48 3B CB 7D 81 48 8D 48 01 8B D3 E8 ?? ?? ?? ?? 48 3B C3 0F 83 6D FF FF FF 48 83 CE FF 48 FF C6 40 38 3C 2E 75 F7 BA 01 00 00 00 48 8D 4E 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 12 4C 8B C5 48 8D 56 01 48 8B C8 E8 ?? ?? ?? ?? 48 8B FB 33 C9 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_626_11_0 {
	meta:
		name = "??$create_environment_string@_W@@YAPEA_WQEB_W0@Z"
		size = 339
		refs = "0036 wcsnlen 0050 _errno 005b _invalid_parameter_noinfo 007a _calloc_base 0096 wcscpy_s 00bb wcschr 012d _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 FF 48 8B F2 48 8B E9 48 85 D2 0F 84 87 00 00 00 BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B F8 E8 ?? ?? ?? ?? 4C 8B F0 4C 3B FB 72 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 CE 00 00 00 48 3B C3 73 E4 4E 8D 24 38 BA 02 00 00 00 49 8D 4C 24 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 A0 00 00 00 4C 8B C5 49 8D 54 24 02 48 8B C8 E8 ?? ?? ?? ?? BA 3D 00 00 00 49 8D 4F 01 66 42 89 14 7B 48 8D 0C 4B 49 8D 56 01 4C 8B C6 EB 6D BA 3D 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 30 48 8B C8 48 2B CD 48 83 E1 FE 48 81 F9 FE FF 00 00 0F 8D 74 FF FF FF BB FF 7F 00 00 48 8D 48 02 8B D3 E8 ?? ?? ?? ?? 48 3B C3 0F 83 5B FF FF FF 48 83 CE FF 48 FF C6 66 39 7C 75 00 75 F6 BA 02 00 00 00 48 8D 4E 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 12 4C 8B C5 48 8D 56 01 48 8B C8 E8 ?? ?? ?? ?? 48 8B FB 33 C9 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_626_14_0 {
	meta:
		name = "??$set_variable_in_other_environment@D@@YA_NQEBD0@Z"
		size = 295
		refs = "0035 __imp_MultiByteToWideChar 0041 _errno 0082 _calloc_base 00f7 __dcrt_set_variable_in_wide_environment_nolock 0105 _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 33 FF 48 8B EA 4C 8B F1 89 78 F0 4C 8B C1 48 89 78 E8 41 83 C9 FF 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 75 10 E8 ?? ?? ?? ?? 48 8B F7 C7 00 2A 00 00 00 EB 29 48 85 ED 74 24 89 7C 24 28 41 83 C9 FF 4C 8B C5 48 89 7C 24 20 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 74 CA 48 03 F1 BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 73 89 74 24 28 41 83 C9 FF 4D 8B C6 48 89 44 24 20 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 45 48 85 ED 74 2D 48 8D 04 4B BA 3D 00 00 00 2B F1 66 89 50 FE 33 D2 89 74 24 28 41 83 C9 FF 48 89 44 24 20 4C 8B C5 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 C1 48 8B CB 33 D2 48 8B DF E8 ?? ?? ?? ?? 85 C0 40 0F 94 C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 40 40 8A C7 48 8B 7C 24 58 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_626_15_0 {
	meta:
		name = "??$set_variable_in_other_environment@_W@@YA_NQEB_W0@Z"
		size = 332
		refs = "003d __imp_WideCharToMultiByte 0049 _errno 0094 _calloc_base 011c __dcrt_set_variable_in_narrow_environment_nolock 012a _free_base"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 33 FF 48 8B EA 48 89 78 F0 4C 8B F1 48 89 78 E8 4C 8B C1 89 78 E0 41 83 C9 FF 33 D2 48 89 78 D8 33 C9 FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 75 10 E8 ?? ?? ?? ?? 48 8B F7 C7 00 2A 00 00 00 EB 33 48 85 ED 74 2E 48 89 7C 24 38 41 83 C9 FF 48 89 7C 24 30 4C 8B C5 89 7C 24 28 33 D2 33 C9 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 74 C0 48 03 F1 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 82 00 00 00 48 89 7C 24 38 41 83 C9 FF 48 89 7C 24 30 4D 8B C6 89 74 24 28 33 D2 33 C9 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 4A 48 85 ED 74 32 48 8D 04 19 48 89 7C 24 38 2B F1 48 89 7C 24 30 89 74 24 28 41 83 C9 FF 4C 8B C5 48 89 44 24 20 33 D2 C6 40 FF 3D 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 BC 48 8B CB 33 D2 48 8B DF E8 ?? ?? ?? ?? 85 C0 40 0F 94 C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 40 8A C7 48 8B 7C 24 68 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_626_52_0 {
	meta:
		name = "_putenv_s"
		size = 56
		refs = "000e _errno 001a _invalid_parameter_noinfo 0021 ??$common_putenv@D@@YAHQEBD0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 D2 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 10 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_626_54_0 {
	meta:
		name = "_wputenv_s"
		size = 56
		refs = "000e _errno 001a _invalid_parameter_noinfo 0021 ??$common_putenv@_W@@YAHQEB_W0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 85 D2 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 10 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_627_5_0 {
	meta:
		name = "_mbsnbcat_l"
		size = 328
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006d strncat 009f _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 09 01 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 ED 00 00 00 48 85 D2 74 E4 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 78 08 00 75 16 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 E9 A4 00 00 00 48 8B F3 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 48 3B DE 74 1E 8B C3 4C 8D 44 24 28 2B C6 48 8B CE FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 03 48 FF CB 0F B6 0F 48 FF CD 48 8B 44 24 30 F6 44 01 19 04 88 0B 74 20 48 FF C3 48 85 ED 74 29 8A 47 01 48 FF CD 88 03 48 83 C7 02 48 FF C3 84 C0 75 0F 88 43 FE EB 15 48 FF C3 48 FF C7 84 C9 74 0B 48 85 ED 74 06 EB BB C6 43 FF 00 48 3B DE 74 21 8B C3 4C 8D 44 24 28 2B C6 48 8B CE FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 06 C6 43 FF 00 EB 03 C6 03 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "strtok"
		size = 46
		refs = "0011 __acrt_getptd 002a __acrt_strtok_s_novalidation"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8D 40 30 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_629_4_0 {
	meta:
		name = "_mbsnbcat_s_l"
		size = 644
		refs = "005a _errno 0066 _invalid_parameter_noinfo 0099 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00b5 strncat_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 FF 49 8B D9 4D 8B F0 48 8B F2 48 8B F9 41 8B EF 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 48 85 DB 74 3A 4D 85 C0 75 35 44 88 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 54 24 30 48 8B D6 48 8B CF 45 39 7A 08 75 12 4C 8B CB 4D 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 A8 01 00 00 41 BC 01 00 00 00 44 38 39 74 08 49 03 CC 49 2B D4 75 F3 48 85 D2 75 12 44 88 3F E8 ?? ?? ?? ?? BB 16 00 00 00 E9 2D 01 00 00 48 3B D6 73 37 4C 8D 49 FF 4D 8B C1 4C 3B CF 72 14 41 0F B6 00 42 F6 44 10 19 04 74 08 4D 2B C4 4C 3B C7 73 EC 41 8B C1 41 2B C0 41 84 C4 74 0C 49 8B C9 45 88 39 49 03 D4 41 8B EC 48 83 FB FF 75 16 41 8A 06 4D 03 F4 88 01 49 03 CC 84 C0 74 30 49 2B D4 75 EC EB 29 48 85 DB 74 1E 41 8A 06 4D 03 F4 88 01 49 03 CC 84 C0 74 0A 49 2B D4 74 05 49 2B DC 75 E7 48 85 DB 75 06 44 88 39 49 03 CC 48 85 D2 0F 85 AC 00 00 00 45 38 3E 74 05 49 3B DC 75 30 48 8D 51 FF 48 8B CA 48 3B D7 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CC 48 3B CF 73 ED 8B C2 2B C1 41 84 C4 74 08 44 88 3A E9 A9 00 00 00 48 83 FB FF 75 56 85 ED 74 11 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 4C 8B 54 24 30 49 3B F4 76 30 48 8D 56 FE 48 03 D7 48 8B CA 48 3B D7 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CC 48 3B CF 73 ED 8B C2 2B C1 41 84 C4 74 05 44 88 3A EB 05 44 88 7C 37 FF BB 50 00 00 00 EB 5E 44 88 3F E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 48 48 3B D6 73 2E 48 8D 51 FE 48 8B CA 48 3B D7 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CC 48 3B CF 73 ED 8B C2 2B C1 41 84 C4 74 06 44 88 3A 41 8B EC 85 ED 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DF 44 38 7C 24 38 0F 84 F7 FD FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 E6 FD FF FF }
	condition:
		$1
}

rule file_631_0_0 {
	meta:
		name = "??$common_difftime@J@@YANJJ@Z"
		size = 43
		refs = "0019 _errno"
		altNames = "_difftime32"
	strings:
		$1 = { 48 83 EC 28 85 D2 78 10 85 C9 78 0C 2B CA 66 0F 6E C1 F3 0F E6 C0 EB 0E E8 ?? ?? ?? ?? 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_631_1_0 {
	meta:
		name = "??$common_difftime@_J@@YAN_J0@Z"
		size = 46
		refs = "001c _errno"
		altNames = "_difftime64"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 78 12 48 85 C9 78 0D 48 2B CA 0F 57 C0 F2 48 0F 2A C1 EB 0E E8 ?? ?? ?? ?? 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_632_4_0 {
	meta:
		name = "__iswcsym"
		size = 44
		refs = "000f iswctype"
		altNames = "_iswcsym_l"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 07 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_632_5_0 {
	meta:
		name = "__iswcsymf"
		size = 44
		refs = "000f iswctype"
		altNames = "_iswcsymf_l"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 03 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_632_6_0 {
	meta:
		name = "_isleadbyte_l"
		size = 63
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 0F B6 D3 48 8B 08 0F B7 04 51 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_632_9_0 {
	meta:
		name = "_iswblank_l"
		size = 22
		refs = "0012 iswctype"
		altNames = "iswblank"
	strings:
		$1 = { 66 83 F9 09 75 06 B8 40 00 00 00 C3 BA 40 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_632_21_0 {
	meta:
		name = "isleadbyte"
		size = 65
		refs = "0010 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 33 D2 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 0F B6 D3 48 8B 08 0F B7 04 51 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_633_1_0 {
	meta:
		name = "csinh"
		size = 339
		refs = "0027 creal 003d cimag 004b _dtest 0065 _Nan_C 0089 _fperrraise 00d7 sin 00e7 _Inf_C 00ec cos 010a _Cosh 0124 _Sinh 0133 _Cbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? F2 0F 11 45 28 48 8D 4D E0 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 66 85 C0 75 2C F2 0F 10 55 20 E9 B6 00 00 00 BE 01 00 00 00 66 3B C6 75 2F 8B CE E8 ?? ?? ?? ?? 48 8D 4D E0 66 3B DE 76 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 8C 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4D 28 EB 7D 66 83 F8 02 74 D2 66 3B DE 75 37 66 85 C0 75 0C F2 0F 10 55 20 F2 0F 10 4D 28 EB 5D F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 45 28 EB 31 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_635_15_0 {
	meta:
		name = "_Getdays_l"
		size = 345
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0072 _malloc_base 009d strcpy_s 00f9 _free_base 013e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 56 48 83 EC 50 48 8B D1 48 8D 48 C8 E8 ?? ?? ?? ?? 48 8B 44 24 38 33 ED 33 C9 49 83 CC FF 4C 8B B0 20 01 00 00 49 8B 44 CE 38 49 8B D4 48 FF C2 80 3C 10 00 75 F7 4D 8B 04 CE 49 8B C4 48 FF C0 41 80 3C 00 00 75 F6 48 03 C5 48 FF C1 48 8D 6A 02 48 03 E8 48 83 F9 07 72 CB 48 8D 4D 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 78 48 8B D8 33 F6 C6 03 3A 48 8B D7 4D 8B 04 F6 48 FF C3 48 2B D3 48 8B CB 48 FF C2 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 9A 00 00 00 49 8B C4 48 FF C0 80 3C 03 00 75 F7 48 03 D8 48 8B D7 C6 03 3A 48 FF C3 4D 8B 44 F6 38 48 2B D3 48 FF C2 48 8B CB 48 03 D5 E8 ?? ?? ?? ?? 85 C0 75 52 49 8B C4 48 FF C0 80 3C 03 00 75 F7 48 03 D8 48 FF C6 48 83 FE 07 72 90 C6 03 00 33 C9 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5E 41 5C 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_635_17_0 {
	meta:
		name = "_Getmonths_l"
		size = 364
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0078 _malloc_base 00ae strcpy_s 010c _free_base 0151 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 56 48 83 EC 50 48 8B D1 48 8D 48 C8 E8 ?? ?? ?? ?? 48 8B 44 24 38 45 33 F6 49 83 CC FF 48 8B B0 20 01 00 00 45 8D 4E 0C 48 8D 56 70 48 8B 42 60 49 8B CC 48 FF C1 80 3C 08 00 75 F7 4C 8B 02 49 8B C4 48 FF C0 41 80 3C 00 00 75 F6 49 03 C6 48 83 C2 08 4C 8D 71 02 4C 03 F0 49 83 E9 01 75 CC 49 8D 4E 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 81 00 00 00 33 ED 48 8B D8 48 81 C6 D0 00 00 00 C6 03 3A 48 8B D7 4C 8B 46 A0 48 FF C3 48 2B D3 48 8B CB 48 FF C2 49 03 D6 E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 49 8B C4 48 FF C0 80 3C 03 00 75 F7 48 03 D8 48 8B D7 C6 03 3A 48 FF C3 4C 8B 06 48 2B D3 48 FF C2 48 8B CB 49 03 D6 E8 ?? ?? ?? ?? 85 C0 75 56 49 8B C4 48 FF C0 80 3C 03 00 75 F7 48 03 D8 48 FF C5 48 83 C6 08 48 83 FD 0C 72 8E C6 03 00 33 C9 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5E 41 5C 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_635_20_0 {
	meta:
		name = "_Strftime_l"
		size = 425
		refs = "0038 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005e _errno 0069 _invalid_parameter_noinfo 0088 __imp_MultiByteToWideChar 0095 __imp_GetLastError 009c __acrt_errno_map_os_error 00ab _malloc_base 00eb _free_base 0153 _Wcsftime_l 017e __imp_WideCharToMultiByte"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 4C 8B AC 24 B8 00 00 00 48 8B F2 4C 8B F1 49 8B D5 48 8D 48 B8 4D 8B E1 49 8B D8 E8 ?? ?? ?? ?? 48 8B 44 24 48 44 8B 78 18 4D 85 F6 74 13 48 85 F6 74 0E 41 C6 06 00 48 85 DB 74 05 4D 85 E4 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 31 83 64 24 28 00 41 83 C9 FF 48 83 64 24 20 00 4C 8B C3 33 D2 41 8B CF FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 F6 EB 4B 48 8B CD 48 03 C9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 2E 89 6C 24 28 4C 8B C3 83 CD FF 48 89 44 24 20 44 8B CD 33 D2 41 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 4B FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 F6 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 4C 8D 5C 24 60 48 8B C6 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0C 36 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 5F 48 8B 84 24 B0 00 00 00 4D 8B CC 4C 89 6C 24 28 4C 8B C7 48 8B D6 48 89 44 24 20 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 37 48 83 64 24 38 00 44 8B CD 48 83 64 24 30 00 4C 8B C3 89 74 24 28 33 D2 41 8B CF 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1C FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 F6 48 8B CB E8 ?? ?? ?? ?? E9 45 FF FF FF FF C8 48 63 F0 EB EC }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "__fpe_flt_rounds"
		size = 64
		refs = "0005 _getfpcontrolword"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B9 00 03 00 00 23 C1 74 24 3D 00 01 00 00 74 16 3D 00 02 00 00 74 08 2B C1 F7 D8 1B C0 EB 13 B8 02 00 00 00 EB 0C B8 03 00 00 00 EB 05 B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_636_1_0 {
	meta:
		name = "fegetround"
		size = 19
		refs = "0005 _getfpcontrolword"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 25 00 03 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_637_0_0 {
	meta:
		name = "expf"
		size = 679
		refs = "0006 __use_fma3_lib 001b __real_inf 002d __real_64_by_log2 0039 __real_p8192 0047 __real_m9600 0058 __two_to_jby64_table 0064 __real_log2_by_64 008a __real_1_by_6 009a __real_1_by_2 00ea __flag_y_zero 00ef _expf_special 010e __flag_y_inf 014e __real_ninf 0156 __real_qnanbit 0161 __flag_x_nan"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 0F 85 5F 01 00 00 66 0F 7E C2 0F BA F2 1F 3B 15 ?? ?? ?? ?? 0F 8D 1B 01 00 00 F3 0F 5A C0 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 D8 66 0F 2F 1D ?? ?? ?? ?? 0F 83 BD 00 00 00 66 0F 2F 1D ?? ?? ?? ?? 0F 82 8F 00 00 00 F2 0F E6 E3 4C 8D 15 ?? ?? ?? ?? F3 0F E6 CC 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 66 0F 5C C2 66 0F 28 C8 2B C8 C1 F9 06 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C0 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C3 66 0F 58 C1 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 14 C2 66 0F 59 C2 66 0F 58 C2 66 48 0F 6E C9 66 0F 59 C1 F2 0F 5A C0 48 83 C4 38 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 0F 57 C9 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 66 66 66 0F 1F 84 00 00 00 00 00 0F 28 0D ?? ?? ?? ?? 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 0F 1F 80 00 00 00 00 0F 57 C0 48 83 C4 38 C3 0F 1F 84 00 00 00 00 00 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 7E C2 3B 15 ?? ?? ?? ?? 74 E4 3B 15 ?? ?? ?? ?? 74 CC 0B 15 ?? ?? ?? ?? 66 0F 6E CA 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB C4 0F 1F 40 00 C5 F9 7E C2 0F BA F2 1F 3B 15 ?? ?? ?? ?? 0F 8D EC 00 00 00 C5 FA 5A C0 C5 FB 59 1D ?? ?? ?? ?? C5 F9 2F 1D ?? ?? ?? ?? 0F 83 A2 00 00 00 C5 F9 2E 1D ?? ?? ?? ?? 72 78 C5 FB E6 E3 4C 8D 15 ?? ?? ?? ?? C5 FA E6 CC C4 E2 F1 BD 05 ?? ?? ?? ?? C5 F9 7E E1 48 C7 C0 3F 00 00 00 23 C1 C5 F9 28 C8 2B C8 C1 F9 06 C5 F9 28 1D ?? ?? ?? ?? C5 FB 59 C0 C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 E1 A9 C1 48 81 C1 FF 03 00 00 48 C1 E1 34 C4 C1 7B 10 14 C2 C4 E2 E9 A9 C2 C4 E1 F9 6E D1 C5 FB 59 C2 C5 FB 5A C0 48 83 C4 38 C3 0F 1F 84 00 00 00 00 00 C5 F0 57 C9 C5 F9 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 66 66 0F 1F 84 00 00 00 00 00 C5 F8 28 0D ?? ?? ?? ?? C5 F9 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 00 48 83 C4 38 C3 C5 F8 57 C0 EB AE 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 7E C2 3B 15 ?? ?? ?? ?? 0F 84 B0 FE FF FF 3B 15 ?? ?? ?? ?? 0F 84 94 FE FF FF 0B 15 ?? ?? ?? ?? C5 F9 6E CA 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 FE FF FF }
	condition:
		$1
}

rule file_638_4_0 {
	meta:
		name = "_mbscat_s_l"
		size = 409
		refs = "002b _errno 0037 _invalid_parameter_noinfo 0056 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0070 strcat_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 26 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 54 24 30 48 8B CB 41 83 7A 08 00 75 12 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 8B D8 E9 02 01 00 00 45 33 C9 45 8D 59 01 44 38 09 74 08 49 03 CB 49 2B FB 75 F3 48 85 FF 75 10 44 88 0B E8 ?? ?? ?? ?? 8D 5F 16 E9 8D 00 00 00 4C 8D 41 FF 49 8B D0 4C 3B C3 72 13 0F B6 02 42 F6 44 10 19 04 74 08 49 2B D3 48 3B D3 73 ED 41 8B C0 2B C2 41 84 C3 74 0D 45 8B CB 41 C6 00 00 49 8B C8 49 03 FB 8A 06 49 03 F3 88 01 49 03 CB 84 C0 74 05 49 2B FB 75 ED 48 85 FF 75 48 40 38 3E 75 2D 48 8D 51 FF 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CB 48 3B CB 73 ED 8B C2 2B C1 41 84 C3 74 05 C6 02 00 EB 49 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 43 48 8D 51 FE 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 10 19 04 74 08 49 2B CB 48 3B CB 73 ED 8B C2 2B C1 41 84 C3 74 06 C6 02 00 45 8B CB 45 85 C9 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 B3 FE FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 A2 FE FF FF }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "erfcl"
		size = 617
		refs = "001d _ldtest 0044 __real@3fde861fbb24c00a 0057 erfl 005f __real@3ff0000000000000 0073 __real@3ff85e353f7ced91 0098 __real@bfe8000000000000 00a0 __real@3f2ae308ebe29ba9 00a7 s00 00c0 __real@becfb31f5ac7b849 00c7 c00 00ee __real@bff4800000000000 00f6 __real@3ee0332f18362059 00fd s01 0116 __real@3f215bbcc2cdf4ec 011d c01 013c approx 0162 _fperrraise 01e1 _ld_int 0205 __xmm@80000000000000008000000000000000 020f exp 0226 _ldexp 024b __real@4000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 0F 29 74 24 30 48 8D 4D 10 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 33 D2 85 C9 0F 84 23 02 00 00 83 E9 01 0F 84 01 02 00 00 83 F9 01 0F 84 F1 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 10 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 0F 28 C1 E9 EA 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B8 00 00 00 F2 0F 10 05 ?? ?? ?? ?? B8 07 00 00 00 66 0F 2F C2 76 56 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 F2 0F 59 C2 83 E8 01 F2 0F 58 01 79 EF F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 F2 0F 59 CA 83 E9 01 F2 0F 58 08 79 EF F2 0F 5E C1 E9 6F 01 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 F2 0F 59 C2 83 E8 01 F2 0F 58 01 79 EF F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 F2 0F 59 CA 83 E9 01 F2 0F 58 08 79 EF EB A8 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F2 0F 10 01 66 0F 2F C2 77 21 FF C2 48 83 C1 30 48 63 C2 48 83 F8 06 72 E7 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 EB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 63 C2 F2 0F 5E C2 48 8D 0C 40 48 03 C9 49 8B 44 C8 10 41 8B 54 C8 18 F2 41 0F 5C 44 C8 08 F2 0F 11 45 18 F2 0F 10 38 EB 0C F2 0F 59 F8 48 83 C0 08 F2 0F 58 38 83 EA 01 79 EF 49 8B 44 C8 20 41 8B 4C C8 28 F2 0F 10 30 EB 0C F2 0F 59 F0 48 83 C0 08 F2 0F 58 30 83 E9 01 79 EF BA 11 00 00 00 F2 0F 11 55 18 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 55 18 0F 28 C2 0F 28 CA F2 0F 5C 45 10 F2 0F 58 4D 10 F2 0F 59 D2 F2 0F 59 C1 0F 57 15 ?? ?? ?? ?? F2 0F 11 55 18 E8 ?? ?? ?? ?? F2 0F 5E FE 45 33 C0 48 8D 4D 18 F2 0F 59 C7 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 45 18 EB 28 F2 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 16 0F 84 1F FF FF FF F2 0F 10 05 ?? ?? ?? ?? EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_640_1_0 {
	meta:
		name = "??$thread_start@P6AIPEAX@Z@@YAKQEAX@Z"
		size = 102
		refs = "0010 __imp_GetLastError 0018 __imp_ExitThread 001e __acrt_getptd 002a __acrt_get_begin_thread_init_policy 0037 __acrt_RoInitialize 004c __guard_dispatch_icall_fptr 0053 _endthreadex 005b _exit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0F FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 89 98 C0 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 75 10 8D 48 FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 43 20 48 8B 4B 08 48 8B 03 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_640_2_0 {
	meta:
		name = "?filt$0@?0???$thread_start@P6AIPEAX@Z@@YAKQEAX@Z@4HA"
		size = 30
		refs = "0012 _seh_filter_exe"
		altNames = "?filt$0@?0???$thread_start@P6AXPEAX@Z@@YAKQEAX@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 48 8B D1 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_640_3_0 {
	meta:
		name = "??$thread_start@P6AXPEAX@Z@@YAKQEAX@Z"
		size = 102
		refs = "0010 __imp_GetLastError 0018 __imp_ExitThread 001e __acrt_getptd 002a __acrt_get_begin_thread_init_policy 0037 __acrt_RoInitialize 004c __guard_dispatch_icall_fptr 0053 _endthreadex 005b _exit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0F FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 89 98 C0 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 75 10 8D 48 FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 43 20 48 8B 4B 08 48 8B 03 FF 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_640_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAA@XZ"
		size = 74
		refs = "0020 __imp_CloseHandle 002f __imp_FreeLibrary 0037 _free_base"
		altNames = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 19 48 8B F9 48 85 DB 74 26 48 8B 4B 10 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 27 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_640_10_0 {
	meta:
		name = "??Rthread_parameter_free_policy@?A0x4e93fcdd@@QEAAXQEAU__acrt_thread_parameter@@@Z"
		size = 57
		refs = "0018 __imp_CloseHandle 0027 __imp_FreeLibrary 002f _free_base"
	strings:
		$1 = { 48 85 D2 74 33 53 48 83 EC 20 48 8B 4A 10 48 8B DA 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_640_11_0 {
	meta:
		name = "?common_end_thread@@YAXI@Z"
		size = 115
		refs = "000d __acrt_getptd_noexit 001a __imp_ExitThread 003b __acrt_RoUninitialize 004f __imp_CloseHandle 0065 __imp_FreeLibraryAndExitThread"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 09 8B CB FF 15 ?? ?? ?? ?? CC 48 8B B8 C0 03 00 00 48 85 FF 75 09 8B CB FF 15 ?? ?? ?? ?? CC 80 7F 20 00 74 05 E8 ?? ?? ?? ?? 48 8B 4F 10 48 8D 41 FF 48 83 F8 FD 77 06 FF 15 ?? ?? ?? ?? 48 8B 4F 18 48 8D 41 FF 48 83 F8 FD 77 09 8B D3 FF 15 ?? ?? ?? ?? CC 8B CB FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_640_12_0 {
	meta:
		name = "?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z"
		size = 93
		refs = "001e _calloc_base 0028 _free_base 0046 __imp_GetModuleHandleExW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 BA 28 00 00 00 8D 4A D9 E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 33 C0 48 85 DB 74 1A 4C 8D 43 18 48 89 3B 48 8B D7 48 89 73 08 8D 48 04 FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_640_17_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AXPEAX@ZQEAX@Z"
		size = 23
		refs = "000c __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B CA FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_640_21_0 {
	meta:
		name = "_beginthread"
		size = 206
		refs = "0012 _errno 001d _invalid_parameter_noinfo 002e ?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z 004c ??$thread_start@P6AXPEAX@Z@@YAKQEAX@Z 0062 __imp_CreateThread 0070 __imp_GetLastError 0077 __acrt_errno_map_os_error 008f __imp_CloseHandle 009e __imp_FreeLibrary 00a6 _free_base 00c1 __imp_ResumeThread"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 8B FA 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 83 00 00 00 49 8B D0 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 41 83 64 24 40 00 48 8D 44 24 40 48 89 44 24 28 4C 8D 05 ?? ?? ?? ?? 48 8B D7 C7 44 24 20 04 00 00 00 4C 8B CB 33 C9 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 4A FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 83 CF FF 48 85 DB 74 26 48 8B 4B 10 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 48 8B C8 48 89 43 10 FF 15 ?? ?? ?? ?? 83 F8 FF 74 A4 33 DB EB B1 }
	condition:
		$1
}

rule file_640_22_0 {
	meta:
		name = "_beginthreadex"
		size = 212
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0037 ?create_thread_parameter@@YAPEAU__acrt_thread_parameter@@QEAX0@Z 0053 ??$thread_start@P6AIPEAX@Z@@YAKQEAX@Z 0067 __imp_CreateThread 0075 __imp_GetLastError 007c __acrt_errno_map_os_error 0092 __imp_CloseHandle 00a1 __imp_FreeLibrary 00a9 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 8B FA 48 8B F1 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 80 00 00 00 49 8B D1 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3D 48 8D 44 24 50 48 8B D7 48 89 44 24 28 4C 8D 05 ?? ?? ?? ?? 8B 44 24 60 4C 8B CB 48 8B CE 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 4D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 FF 48 85 DB 74 26 48 8B 4B 10 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 8B 4C 24 68 48 85 C9 74 06 8B 44 24 50 89 01 33 DB EB AE }
	condition:
		$1
}

rule file_641_7_0 {
	meta:
		name = "??$common_expand_argv_wildcards@D@@YAHQEAPEADQEAPEAPEAD@Z"
		size = 521
		refs = "0027 _errno 0031 _invalid_parameter_noinfo 0062 strpbrk 0078 ??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z 0086 ??$expand_argument_wildcards@D@@YAHQEAD0AEAV?$argument_list@D@?A0x5f5c8891@@@Z 0116 __acrt_allocate_buffer_for_argv 0163 strncpy_s 019c _free_base 0204 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 33 FF 48 8B D9 48 85 D2 75 16 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 E9 A0 01 00 00 0F 57 C0 48 89 3A 48 39 39 F3 0F 7F 45 E0 48 89 7D F0 74 57 48 8B 0B 48 8D 55 50 66 C7 45 50 2A 3F 40 88 7D 52 E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 75 10 4C 8D 4D E0 45 33 C0 33 D2 E8 ?? ?? ?? ?? EB 0C 4C 8D 45 E0 48 8B D0 E8 ?? ?? ?? ?? 44 8B F0 85 C0 75 09 48 83 C3 08 48 39 3B EB B4 4C 8B 65 E8 48 8B 75 E0 E9 F9 00 00 00 48 8B 75 E0 4C 8B CF 4C 8B 65 E8 48 8B D6 49 8B C4 48 89 7D 50 48 2B C6 4C 8B C7 4C 8B F8 49 C1 FF 03 49 FF C7 48 8D 48 07 48 C1 E9 03 49 3B F4 48 0F 47 CF 49 83 CE FF 48 85 C9 74 25 4C 8B 12 49 8B C6 48 FF C0 41 38 3C 02 75 F7 49 FF C1 48 83 C2 08 4C 03 C8 49 FF C0 4C 3B C1 75 DF 4C 89 4D 50 41 B8 01 00 00 00 49 8B D1 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 77 4A 8D 14 F8 4C 8B FE 48 89 55 D8 48 8B C2 48 89 55 58 49 3B F4 74 56 48 8B CB 48 2B CE 48 89 4D D0 4D 8B 07 4D 8B EE 49 FF C5 43 38 3C 28 75 F7 48 2B D0 49 FF C5 48 03 55 50 4D 8B CD 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 48 8B 45 58 48 8B 4D D0 48 8B 55 D8 4A 89 04 39 49 03 C5 49 83 C7 08 48 89 45 58 4D 3B FC 75 B4 48 8B 45 48 44 8B F7 48 89 18 33 C9 E8 ?? ?? ?? ?? 49 8B DC 4C 8B FE 48 2B DE 48 83 C3 07 48 C1 EB 03 49 3B F4 48 0F 47 DF 48 85 DB 74 14 49 8B 0F E8 ?? ?? ?? ?? 48 FF C7 4D 8D 7F 08 48 3B FB 75 EC 48 8B CE E8 ?? ?? ?? ?? 41 8B C6 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_641_8_0 {
	meta:
		name = "??$common_expand_argv_wildcards@_W@@YAHQEAPEA_WQEAPEAPEA_W@Z"
		size = 559
		refs = "001d __security_cookie 0037 _errno 0041 _invalid_parameter_noinfo 0073 wcspbrk 0089 ??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z 0097 ??$expand_argument_wildcards@_W@@YAHQEA_W0AEAV?$argument_list@_W@?A0x5f5c8891@@@Z 0128 __acrt_allocate_buffer_for_argv 0179 wcsncpy_s 01b3 _free_base 01fb __security_check_cookie 022a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 FF 48 89 55 E0 48 8B D9 48 85 D2 75 16 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 E9 A7 01 00 00 0F 57 C0 48 89 3A 48 39 39 F3 0F 7F 45 B8 48 89 7D C8 74 58 48 8B 0B 48 8D 55 E8 C7 45 E8 2A 00 3F 00 66 89 7D EC E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 75 10 4C 8D 4D B8 45 33 C0 33 D2 E8 ?? ?? ?? ?? EB 0C 4C 8D 45 B8 48 8B D0 E8 ?? ?? ?? ?? 44 8B F0 85 C0 75 09 48 83 C3 08 48 39 3B EB B3 4C 8B 65 C0 48 8B 75 B8 E9 FF 00 00 00 48 8B 75 B8 4C 8B CF 4C 8B 65 C0 48 8B D6 49 8B C4 48 89 7D E8 48 2B C6 4C 8B C7 4C 8B F8 49 C1 FF 03 49 FF C7 48 8D 48 07 48 C1 E9 03 49 3B F4 48 0F 47 CF 49 83 CE FF 48 85 C9 74 26 4C 8B 12 49 8B C6 48 FF C0 66 41 39 3C 42 75 F6 49 FF C1 48 83 C2 08 4C 03 C8 49 FF C0 4C 3B C1 75 DE 4C 89 4D E8 41 B8 02 00 00 00 49 8B D1 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 7C 4A 8D 14 F8 4C 8B FE 48 89 55 D8 48 8B CA 48 89 55 B0 49 3B F4 74 5B 48 2B C6 48 89 45 D0 4D 8B 07 4D 8B EE 49 FF C5 66 43 39 3C 68 75 F6 48 8B C1 49 FF C5 48 2B C2 4D 8B CD 48 8B 55 E8 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 95 00 00 00 48 8B 4D B0 48 8B 45 D0 48 8B 55 D8 4A 89 0C 38 49 83 C7 08 4A 8D 0C 69 48 89 4D B0 4D 3B FC 75 AC 48 8B 45 E0 44 8B F7 48 89 18 33 C9 E8 ?? ?? ?? ?? 49 8B DC 4C 8B FE 48 2B DE 48 83 C3 07 48 C1 EB 03 49 3B F4 48 0F 47 DF 48 85 DB 74 14 49 8B 0F E8 ?? ?? ?? ?? 48 FF C7 4D 8D 7F 08 48 3B FB 75 EC 48 8B CE E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_641_9_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 405
		refs = "0075 _calloc_base 008e strncpy_s 00db _free_base 0130 _recalloc_base 017b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 83 C8 FF 49 8B F1 48 8B E8 33 FF 4D 8B F0 4C 8B EA 4C 8B E1 48 FF C5 40 38 3C 29 75 F7 BA 01 00 00 00 49 2B C0 48 03 EA 48 3B E8 76 20 8D 42 0B 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 4D 8D 78 01 4C 03 FD 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 4D 85 F6 74 19 4D 8B CE 4D 8B C5 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 D1 00 00 00 4D 2B FE 4A 8D 0C 33 49 8B D7 4C 8B CD 4D 8B C4 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 00 00 00 4C 8B 76 10 44 8D 78 08 4C 39 76 08 75 2E 48 39 3E 75 42 41 8B D7 8D 48 04 E8 ?? ?? ?? ?? 33 C9 48 89 06 E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 74 59 48 89 46 08 48 83 C0 20 48 89 46 10 48 8B 4E 08 48 89 19 4C 01 7E 08 33 C9 E8 ?? ?? ?? ?? 8B C7 E9 41 FF FF FF 4C 2B 36 48 B8 FF FF FF FF FF FF FF 7F 49 C1 FE 03 4C 3B F0 77 1E 48 8B 0E 4B 8D 2C 36 48 8B D5 4D 8B C7 E8 ?? ?? ?? ?? 48 85 C0 75 16 33 C9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? BF 0C 00 00 00 EB AF 4A 8D 0C F0 48 89 06 48 89 4E 08 48 8D 0C E8 48 89 4E 10 33 C9 E8 ?? ?? ?? ?? EB 88 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_641_10_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 407
		refs = "0077 _calloc_base 0090 wcsncpy_s 00dd _free_base 0132 _recalloc_base 017d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 83 C8 FF 49 8B F1 48 8B E8 33 FF 4D 8B F0 4C 8B EA 4C 8B E1 48 FF C5 66 39 3C 69 75 F7 48 FF C5 49 2B C0 48 3B E8 76 22 B8 0C 00 00 00 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 4D 8D 78 01 BA 02 00 00 00 4C 03 FD 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 4D 85 F6 74 19 4D 8B CE 4D 8B C5 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 D1 00 00 00 4D 2B FE 4A 8D 0C 73 49 8B D7 4C 8B CD 4D 8B C4 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 00 00 00 4C 8B 76 10 44 8D 78 08 4C 39 76 08 75 2E 48 39 3E 75 42 41 8B D7 8D 48 04 E8 ?? ?? ?? ?? 33 C9 48 89 06 E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 74 59 48 89 46 08 48 83 C0 20 48 89 46 10 48 8B 4E 08 48 89 19 4C 01 7E 08 33 C9 E8 ?? ?? ?? ?? 8B C7 E9 3C FF FF FF 4C 2B 36 48 B8 FF FF FF FF FF FF FF 7F 49 C1 FE 03 4C 3B F0 77 1E 48 8B 0E 4B 8D 2C 36 48 8B D5 4D 8B C7 E8 ?? ?? ?? ?? 48 85 C0 75 16 33 C9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? BF 0C 00 00 00 EB AF 4A 8D 0C F0 48 89 06 48 89 4E 08 48 8D 0C E8 48 89 4E 10 33 C9 E8 ?? ?? ?? ?? EB 88 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_641_11_0 {
	meta:
		name = "??$expand_argument_wildcards@D@@YAHQEAD0AEAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 428
		refs = "0016 __security_cookie 0050 _mbsdec 0078 ??$copy_and_add_argument_to_buffer@D@@YAHQEBD0_KAEAV?$argument_list@D@?A0x5f5c8891@@@Z 00b6 memset 00d2 __imp_FindFirstFileExA 00fc __imp_FindClose 010e __security_check_cookie 016f __imp_FindNextFileA 0198 ?<lambda_invoker_cdecl>@<lambda_c2303d2482d7c3675ea2e24c4cfb6115>@@CAHPEBX0@Z 01a3 qsort"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 56 41 57 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 4D 8B F0 48 8B F1 48 BB 01 08 00 00 00 20 00 00 48 3B D1 74 22 8A 02 2C 2F 3C 2D 77 0A 48 0F BE C0 48 0F A3 C3 72 10 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 3B C6 75 DE 8A 0A 80 F9 3A 75 1E 48 8D 46 01 48 3B D0 74 15 4D 8B CE 45 33 C0 33 D2 48 8B CE E8 ?? ?? ?? ?? E9 81 00 00 00 80 E9 2F 33 FF 80 F9 2D 77 0D 48 0F BE C1 48 0F A3 C3 8D 47 01 72 02 8B C7 48 2B D6 48 8D 4C 24 30 48 FF C2 41 B8 40 01 00 00 F6 D8 4D 1B FF 4C 23 FA 33 D2 E8 ?? ?? ?? ?? 45 33 C9 89 7C 24 28 4C 8D 44 24 30 48 89 7C 24 20 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 4A 4D 8B CE 45 33 C0 33 D2 48 8B CE E8 ?? ?? ?? ?? 8B F8 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C7 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 01 00 00 48 81 C4 80 01 00 00 41 5F 41 5E 5F 5E 5D C3 49 8B 6E 08 49 2B 2E 48 C1 FD 03 80 7C 24 5C 2E 75 13 8A 44 24 5D 84 C0 74 22 3C 2E 75 07 40 38 7C 24 5E 74 17 4D 8B CE 48 8D 4C 24 5C 4D 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 8A 48 8D 54 24 30 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 75 BD 49 8B 06 49 8B 56 08 48 2B D0 48 C1 FA 03 48 3B EA 0F 84 63 FF FF FF 48 2B D5 48 8D 0C E8 4C 8D 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? E9 45 FF FF FF }
	condition:
		$1
}

rule file_641_12_0 {
	meta:
		name = "??$expand_argument_wildcards@_W@@YAHQEA_W0AEAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 432
		refs = "0016 __security_cookie 0074 ??$copy_and_add_argument_to_buffer@_W@@YAHQEB_W0_KAEAV?$argument_list@_W@?A0x5f5c8891@@@Z 00b6 memset 00d2 __imp_FindFirstFileExW 00fc __imp_FindClose 010e __security_check_cookie 0173 __imp_FindNextFileW 019c ?<lambda_invoker_cdecl>@<lambda_12d38c6669c8ed1a74067c1f99674cc4>@@CAHPEBX0@Z 01a7 qsort"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 56 41 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 4D 8B F0 48 8B E9 49 B8 01 08 00 00 00 20 00 00 EB 1A 0F B7 02 66 83 E8 2F 66 83 F8 2D 77 09 0F B7 C0 49 0F A3 C0 72 09 48 83 EA 02 48 3B D1 75 E1 0F B7 0A 66 83 F9 3A 75 1E 48 8D 45 02 48 3B D0 74 15 4D 8B CE 45 33 C0 33 D2 48 8B CD E8 ?? ?? ?? ?? E9 85 00 00 00 66 83 E9 2F 33 FF 66 83 F9 2D 77 0C 0F B7 C1 49 0F A3 C0 8D 47 01 72 02 8B C7 48 2B D5 48 8D 4C 24 30 48 D1 FA 41 B8 50 02 00 00 48 FF C2 F6 D8 4D 1B FF 4C 23 FA 33 D2 E8 ?? ?? ?? ?? 45 33 C9 89 7C 24 28 4C 8D 44 24 30 48 89 7C 24 20 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 4A 4D 8B CE 45 33 C0 33 D2 48 8B CD E8 ?? ?? ?? ?? 8B F8 48 83 FB FF 74 09 48 8B CB FF 15 ?? ?? ?? ?? 8B C7 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 02 00 00 48 81 C4 90 02 00 00 41 5F 41 5E 5F 5E 5D C3 49 8B 76 08 49 2B 36 48 C1 FE 03 66 83 7C 24 5C 2E 75 16 66 39 7C 24 5E 74 26 66 83 7C 24 5E 2E 75 07 66 39 7C 24 60 74 17 4D 8B CE 48 8D 4C 24 5C 4D 8B C7 48 8B D5 E8 ?? ?? ?? ?? 85 C0 75 86 48 8D 54 24 30 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 75 B9 49 8B 06 49 8B 56 08 48 2B D0 48 C1 FA 03 48 3B F2 0F 84 5F FF FF FF 48 2B D6 48 8D 0C F0 4C 8D 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? E9 41 FF FF FF }
	condition:
		$1
}

rule file_641_13_0 {
	meta:
		name = "??$find_first_file_ex@AEBQEADW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPEAXAEBQEAD$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAA@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z"
		size = 44
		refs = "0028 __imp_FindFirstFileExA"
	strings:
		$1 = { 48 8B 44 24 30 45 8B 09 4D 8B 00 8B 12 44 8B 10 48 8B 44 24 28 48 8B 09 44 89 54 24 30 4C 8B 10 4C 89 54 24 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_14_0 {
	meta:
		name = "??$find_first_file_ex@AEBQEA_WW4_FINDEX_INFO_LEVELS@@PEAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPEAXAEBQEA_W$$QEAW4_FINDEX_INFO_LEVELS@@$$QEAPEAU_WIN32_FIND_DATAW@@$$QEAW4_FINDEX_SEARCH_OPS@@$$QEA$$T$$QEAH@Z"
		size = 44
		refs = "0028 __imp_FindFirstFileExW"
	strings:
		$1 = { 48 8B 44 24 30 45 8B 09 4D 8B 00 8B 12 44 8B 10 48 8B 44 24 28 48 8B 09 44 89 54 24 30 4C 8B 10 4C 89 54 24 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_35_0 {
	meta:
		name = "??0?$argument_list@D@?A0x5f5c8891@@QEAA@XZ"
		size = 17
		altNames = "??0?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_641_43_0 {
	meta:
		name = "??1?$argument_list@D@?A0x5f5c8891@@QEAA@XZ"
		size = 58
		refs = "001a _free_base"
		altNames = "??1?$argument_list@_W@?A0x5f5c8891@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 19 48 8B F9 48 3B 59 08 74 12 48 8B 0B E8 ?? ?? ?? ?? 48 83 C3 08 48 3B 5F 08 75 EE 48 8B 0F 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_54_0 {
	meta:
		name = "?append@?$argument_list@D@?A0x5f5c8891@@QEAAHQEAD@Z"
		size = 218
		refs = "0033 _calloc_base 003d _free_base 009c _recalloc_base"
		altNames = "?append@?$argument_list@_W@?A0x5f5c8891@@QEAAHQEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 79 10 48 8B F2 48 8B D9 48 39 79 08 75 31 48 8B 09 48 85 C9 75 4C 8D 51 08 8D 4A FC E8 ?? ?? ?? ?? 33 C9 48 89 03 E8 ?? ?? ?? ?? 48 8B 03 48 85 C0 74 63 48 89 43 08 48 83 C0 20 48 89 43 10 48 8B 43 08 48 89 30 48 83 43 08 08 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 2B F9 48 B8 FF FF FF FF FF FF FF 7F 48 C1 FF 03 48 3B F8 77 1E 48 8D 2C 3F 41 B8 08 00 00 00 48 8B D5 E8 ?? ?? ?? ?? 48 85 C0 75 16 33 C9 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? B8 0C 00 00 00 EB A8 48 8D 0C F8 48 89 03 48 89 4B 08 48 8D 0C E8 48 89 4B 10 33 C9 E8 ?? ?? ?? ?? E9 7B FF FF FF }
	condition:
		$1
}

rule file_641_67_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AEAAHXZ"
		size = 199
		refs = "0036 _calloc_base 0040 _free_base 0088 _recalloc_base"
		altNames = "?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 10 48 8B F9 48 39 71 08 74 07 33 C0 E9 8A 00 00 00 33 DB 48 39 19 75 32 8D 53 08 8D 4B 04 E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 75 07 B8 0C 00 00 00 EB 5F 48 89 47 08 48 83 C0 20 48 89 47 10 EB C0 48 2B 31 48 B8 FF FF FF FF FF FF FF 7F 48 C1 FE 03 48 3B F0 77 D5 48 8B 09 48 8D 2C 36 48 8B D5 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 05 8D 58 0C EB 13 48 8D 0C F0 48 89 07 48 89 4F 08 48 8D 0C E8 48 89 4F 10 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_642_4_0 {
	meta:
		name = "_mbsnbset_s_l"
		size = 571
		refs = "006c ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0088 _strnset_s 01cc _errno 01d8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 E4 41 8B E8 49 8B F9 48 8B DA 4C 8B F1 45 8B FC 41 8B F4 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 C4 01 00 00 33 C0 E9 D0 01 00 00 48 85 C9 0F 84 B4 01 00 00 48 85 D2 0F 84 AB 01 00 00 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 49 8B CE 45 39 60 08 75 15 4C 8B CF 44 8B C5 48 8B D3 E8 ?? ?? ?? ?? 8B D8 E9 61 01 00 00 44 8B CD 41 BA 01 00 00 00 41 C1 E9 08 45 84 C9 0F 84 9B 00 00 00 40 84 ED 0F 84 9E 00 00 00 41 0F B6 C1 42 F6 44 00 19 04 0F 84 8E 00 00 00 41 84 FA 74 06 49 2B FA 45 8B FA 48 D1 EF 45 38 26 0F 84 B1 00 00 00 48 85 FF 0F 84 AD 00 00 00 49 2B DA 0F 84 9F 00 00 00 48 8D 51 01 44 38 22 74 45 85 F6 74 05 41 8B F4 EB 0C 0F B6 01 42 0F B6 74 00 19 83 E6 04 44 88 09 48 8B CA 49 2B DA 74 76 85 F6 74 05 41 8B F4 EB 0C 0F B6 02 42 0F B6 74 00 19 83 E6 04 49 03 CA 40 88 2A 49 2B FA 44 38 21 75 A2 EB 51 44 88 21 49 03 DA 45 8B FA EB 46 40 0F B6 C5 42 F6 44 00 19 04 74 08 45 88 26 E9 8B 00 00 00 45 38 26 74 2D 48 85 FF 74 2D 49 2B DA 74 23 85 F6 74 05 41 8B F4 EB 0C 0F B6 01 42 0F B6 74 00 19 83 E6 04 40 88 29 49 2B FA 49 03 CA 44 38 21 75 D3 48 85 FF 75 34 85 F6 74 2B 44 38 21 74 2B 49 2B DA 74 21 45 8B FA 44 38 61 01 75 08 44 88 21 49 03 DA EB 10 C6 01 20 48 FF C1 EB 08 49 2B DA 74 08 49 03 CA 44 38 21 75 F3 48 85 DB 75 16 45 88 26 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 45 85 FF 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DC 44 38 64 24 38 74 1F 48 8B 4C 24 20 83 A1 A8 03 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_643_1_0 {
	meta:
		name = "ccoshl"
		size = 445
		refs = "002c creall 0042 cimagl 0050 _ldtest 006a _LNan_C 008e _fperrraise 00a5 _LZero_C 00ac __xmm@80000000000000008000000000000000 00d2 _LInf_C 012d sin 013a cos 0176 _LSinh 0186 _LCosh 0195 _LCbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA F3 0F 7F 45 D0 0F 29 7C 24 30 E8 ?? ?? ?? ?? F2 0F 11 45 28 48 8D 4D D0 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D0 66 85 C0 75 6C F2 0F 10 55 20 E9 13 01 00 00 BE 01 00 00 00 66 3B C6 75 60 8B CE E8 ?? ?? ?? ?? 66 85 DB 75 26 0F 57 D2 66 0F 2F 55 20 76 0F F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 D3 00 00 00 48 8D 4D D0 66 3B DE 75 15 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 A9 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 C7 F2 0F 10 55 28 EB B3 66 3B DE 75 51 66 85 C0 75 20 F2 0F 10 55 20 0F 57 C0 66 0F 2F 45 28 76 07 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? EB 69 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 F2 0F 59 C8 F2 0F 59 D6 EB 3D F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 CE F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 0F 28 CF F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_644_6_0 {
	meta:
		name = "_ismbcgraph_l"
		size = 116
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0057 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 B8 17 01 00 00 81 FB FF 00 00 00 77 29 48 8B 44 24 28 0F B6 D3 48 8B 08 66 44 85 04 51 75 10 48 8B 44 24 30 F6 44 02 19 03 75 04 33 C0 EB 19 B8 01 00 00 00 EB 12 41 B9 01 00 00 00 48 8D 54 24 28 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_645_1_0 {
	meta:
		name = "GetLocaleNameFromDefault"
		size = 165
		refs = "0010 __security_cookie 0034 __acrt_GetUserDefaultLocaleName 0067 wcsncpy_s 007b __security_check_cookie 00a0 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 81 EC F0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 81 49 10 04 01 00 00 48 8B D9 48 8D 4C 24 30 BA 55 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 7E 32 49 83 C9 FF 48 8D 44 24 30 33 FF 49 FF C1 66 42 39 3C 48 75 F6 49 FF C1 48 8D 8B 58 02 00 00 4C 8D 44 24 30 BA 55 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 21 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 01 00 00 48 81 C4 F0 00 00 00 5F C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_645_2_0 {
	meta:
		name = "GetLocaleNameFromLangCountry"
		size = 205
		refs = "0095 LangCountryEnumProcEx 009e __acrt_EnumSystemLocalesEx"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 11 49 83 C8 FF 49 8B C0 33 FF 48 8B D9 48 FF C0 66 39 3C 42 75 F7 48 83 F8 03 8B CF 48 8B 43 08 0F 94 C1 89 4B 18 49 FF C0 66 42 39 3C 40 75 F6 49 83 F8 03 8B C7 0F 94 C0 89 43 1C 85 C9 74 07 B9 02 00 00 00 EB 36 44 8B CF 48 85 D2 75 04 8B CF EB 2A B9 02 00 00 00 44 0F B7 02 48 03 D1 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B C9 45 33 C9 89 4B 14 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 51 03 E8 ?? ?? ?? ?? 8B 4B 10 F6 C1 07 0F 95 C2 0F BA E1 09 0F 92 C0 22 D0 0F BA E1 08 0F 92 C0 84 D0 75 03 89 7B 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_3_0 {
	meta:
		name = "GetLocaleNameFromLanguage"
		size = 154
		refs = "0079 LanguageEnumProcEx 0082 __acrt_EnumSystemLocalesEx"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 11 49 83 C8 FF 33 FF 48 8B D9 49 FF C0 66 42 39 3C 42 75 F6 8B C7 49 83 F8 03 0F 94 C0 89 41 18 85 C0 74 07 B9 02 00 00 00 EB 36 44 8B CF 48 85 D2 75 04 8B CF EB 2A B9 02 00 00 00 44 0F B7 02 48 03 D1 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B C9 45 33 C9 89 4B 14 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 51 03 E8 ?? ?? ?? ?? F6 43 10 04 75 03 89 7B 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_4_0 {
	meta:
		name = "GetPrimaryLen"
		size = 47
	strings:
		$1 = { 33 D2 48 85 C9 75 03 33 C0 C3 44 0F B7 01 48 83 C1 02 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 04 FF C2 EB DE 8B C2 C3 }
	condition:
		$1
}

rule file_645_5_0 {
	meta:
		name = "LangCountryEnumProcEx"
		size = 947
		refs = "0018 __security_cookie 002b __acrt_getptd 0058 __acrt_GetLocaleInfoEx 0079 _wcsicmp 00eb wcsncpy_s 0118 _wcsnicmp 0159 TestDefaultCountry 0319 __security_check_cookie 0345 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 48 8B F1 E8 ?? ?? ?? ?? 41 B9 40 00 00 00 4C 8D 44 24 30 48 8D 98 98 00 00 00 8B 4B 1C F7 D9 48 8B CE 1B D2 81 E2 05 F0 FF FF 81 C2 02 10 00 00 E8 ?? ?? ?? ?? 33 ED 85 C0 75 0D 89 6B 10 B8 01 00 00 00 E9 9E 02 00 00 48 8B 4B 08 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 CF FF 44 8D 6F 56 85 C0 0F 85 02 01 00 00 8B 43 18 44 8D 4F 41 F7 D8 4C 8D 44 24 30 48 8B CE 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 AD 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 36 81 4B 10 04 03 00 00 4C 8B CF 49 FF C1 66 42 39 2C 4E 75 F6 49 FF C1 48 8D 8B 58 02 00 00 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 E9 39 02 00 00 F6 43 10 02 0F 85 89 00 00 00 39 6B 14 74 44 4C 63 43 14 48 8D 54 24 30 48 8B 0B E8 ?? ?? ?? ?? 85 C0 75 2F 83 4B 10 02 4C 8B CF 49 FF C1 66 42 39 2C 4E 75 F6 49 FF C1 48 8D 8B 58 02 00 00 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 74 45 E9 FB 01 00 00 F6 43 10 01 75 3A 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 2E 83 4B 10 01 4C 8B CF 49 FF C1 66 42 39 2C 4E 75 F6 49 FF C1 48 8D 8B 58 02 00 00 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 85 D0 01 00 00 8B 43 10 B9 00 03 00 00 23 C1 3B C1 0F 84 61 01 00 00 8B 43 18 4C 8D 44 24 30 F7 D8 41 B9 40 00 00 00 48 8B CE 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 93 FE FF FF 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 1E 01 00 00 0F BA 6B 10 09 8B 43 10 39 6B 18 74 3C 0F BA E8 08 48 8D 8B 58 02 00 00 89 43 10 66 39 29 0F 85 FA 00 00 00 48 FF C7 66 39 2C 7E 75 F7 4C 8D 4F 01 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 84 DA 00 00 00 E9 47 01 00 00 39 6B 14 0F 84 99 00 00 00 48 8B 13 48 8B CF 48 FF C1 66 39 2C 4A 75 F7 3B 4B 14 0F 85 81 00 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 43 4C 8B 0B 44 8B C5 49 8B C9 4D 85 C9 74 23 41 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 08 0F B7 11 41 FF C0 EB E1 48 8B C7 48 FF C0 66 41 39 2C 41 75 F6 44 3B C0 74 65 0F BA 6B 10 08 48 8D 8B 58 02 00 00 66 39 29 75 54 48 FF C7 66 39 2C 7E 75 F7 4C 8D 4F 01 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 74 38 E9 BA 00 00 00 0F BA E8 08 48 8D 8B 58 02 00 00 89 43 10 66 39 29 75 20 48 FF C7 66 39 2C 7E 75 F7 4C 8D 4F 01 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 8B 43 10 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5D 5F 5E C3 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_645_6_0 {
	meta:
		name = "LanguageEnumProcEx"
		size = 234
		refs = "0015 __security_cookie 0028 __acrt_getptd 0055 __acrt_GetLocaleInfoEx 0070 _wcsicmp 0099 wcsncpy_s 00bc __security_check_cookie 00e5 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 30 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 01 00 00 48 8B F9 E8 ?? ?? ?? ?? 41 B9 78 00 00 00 4C 8D 44 24 30 48 8D 98 98 00 00 00 8B 4B 18 F7 D9 48 8B CF 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 33 F6 85 C0 75 08 89 73 10 8D 46 01 EB 49 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 2D 49 83 C9 FF 49 FF C1 66 42 39 34 4F 75 F6 49 FF C1 48 8D 8B 58 02 00 00 4C 8B C7 BA 55 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 34 83 4B 10 04 8B 43 10 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 20 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 30 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_645_7_0 {
	meta:
		name = "ProcessCodePage"
		size = 180
		refs = "0024 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0029 wcscmp 0034 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 005a __acrt_GetLocaleInfoEx 006c _wtol 00a0 __imp_GetACP"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 74 56 66 39 31 74 51 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 41 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 24 48 8D 8F 58 02 00 00 BA 0B 00 00 20 44 8D 4E 02 4C 8D 44 24 30 E8 ?? ?? ?? ?? 85 C0 74 30 8B 44 24 30 EB 3C 48 8B CB E8 ?? ?? ?? ?? EB 32 48 8D 8F 58 02 00 00 41 B9 02 00 00 00 4C 8D 44 24 30 BA 04 10 00 20 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0E 8B 44 24 30 85 C0 75 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_8_0 {
	meta:
		name = "TestDefaultCountry"
		size = 104
		refs = "000d __security_cookie 002c __acrt_GetLocaleInfoEx 0045 wcsncmp 0059 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 41 B9 09 00 00 00 4C 8D 44 24 20 48 8B F9 41 8D 51 50 E8 ?? ?? ?? ?? 33 DB 85 C0 74 1A 41 B8 09 00 00 00 48 8D 4C 24 20 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_645_9_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 119
		refs = "0010 TestDefaultCountry"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B F8 8B DA E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 4C 85 DB 74 48 4C 8B 0F 45 8B C2 49 8B C9 4D 85 C9 74 23 41 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 08 0F B7 11 41 FF C0 EB E1 48 83 C8 FF 48 FF C0 66 45 39 14 41 75 F6 44 3B C0 75 04 33 C0 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_10_0 {
	meta:
		name = "TranslateName"
		size = 153
		refs = "0050 _wcsicmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 DB 4D 8B F8 8B FA 4C 8B E1 B8 01 00 00 00 8B F3 85 D2 78 41 85 C0 74 3F 49 8B 0F 8D 04 3E 99 2B C2 D1 F8 48 63 E8 4C 8B F5 49 C1 E6 04 4B 8B 14 26 E8 ?? ?? ?? ?? 85 C0 75 0D 49 8D 4C 24 08 49 03 CE 49 89 0F EB 0A 79 05 8D 7D FF EB 03 8D 75 01 3B F7 7E BF 85 C0 48 8B 6C 24 48 0F 94 C3 48 8B 74 24 50 8B C3 48 8B 5C 24 40 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_645_11_0 {
	meta:
		name = "__acrt_get_qualified_locale"
		size = 541
		refs = "0027 __acrt_getptd 0066 __acrt_rg_country 006b TranslateName 0085 GetLocaleNameFromLangCountry 008c GetLocaleNameFromLanguage 009c __acrt_rg_language 00c9 GetLocaleNameFromDefault 00e2 ProcessCodePage 0104 __imp_IsValidCodePage 0148 wcsncpy_s 0164 __acrt_GetLocaleInfoEx 0196 wcschr 01dc _itow_s 0218 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 8B E8 48 8B F2 4C 8B F1 E8 ?? ?? ?? ?? 45 33 E4 48 8D 98 98 00 00 00 49 8D 86 80 00 00 00 44 89 63 10 4C 8D BB 58 02 00 00 4C 89 33 48 8D 7B 08 66 45 89 27 48 89 07 66 44 39 20 74 14 4C 8B C7 41 8D 54 24 16 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 03 48 8B CB 66 44 39 20 74 4D 48 8B 07 66 44 39 20 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 44 39 63 10 75 41 4C 8B C3 48 8D 0D ?? ?? ?? ?? BA 40 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 1F 48 8B 07 48 8B CB 66 44 39 20 74 07 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 44 39 63 10 0F 84 10 01 00 00 49 8D 8E 00 01 00 00 48 8B D3 E8 ?? ?? ?? ?? 8B D8 85 C0 0F 84 F7 00 00 00 8D 88 18 02 FF FF 83 F9 01 0F 86 E8 00 00 00 0F B7 C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D7 00 00 00 48 85 F6 74 02 89 1E 48 85 ED 0F 84 C0 00 00 00 48 8D B5 20 01 00 00 49 83 C9 FF 66 44 89 26 49 FF C1 66 47 39 24 4F 75 F6 49 FF C1 4D 8B C7 BA 55 00 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B4 00 00 00 44 8D 48 40 4C 8B C5 BA 01 10 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 7B 48 8D BD 80 00 00 00 41 B9 40 00 00 00 4C 8B C7 BA 02 10 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 5A BA 5F 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 10 8D 50 2E 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 19 41 B9 40 00 00 00 4C 8B C7 48 8B CE 41 8D 51 C7 E8 ?? ?? ?? ?? 85 C0 74 1F 41 B9 0A 00 00 00 48 8D 95 00 01 00 00 8B CB 45 8D 41 06 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 45 33 C9 4C 89 64 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "??$common_splitpath@D@@YAXQEBDQEAD111@Z"
		size = 112
		refs = "0067 ??$common_splitpath_internal@DV<lambda_53a6356d19cc262edbc98b4248a685b4>@@V<lambda_040cbb5784310d69116e1bf4e70bcac8>@@@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@V<lambda_53a6356d19cc262edbc98b4248a685b4>@@V<lambda_040cbb5784310d69116e1bf4e70bcac8>@@@Z"
		altNames = "_splitpath"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 49 89 53 B8 48 F7 DA BA 00 01 00 00 4D 89 43 C8 48 1B C0 4D 89 4B D8 83 E0 03 49 89 43 C0 49 F7 D8 48 1B C0 48 23 C2 49 89 43 D0 49 F7 D9 48 1B C0 48 23 C2 49 89 43 E0 48 8B 84 24 90 00 00 00 49 89 43 E8 48 F7 D8 48 1B C0 48 23 C2 33 D2 49 89 43 F0 44 8A CA 33 C0 49 8D 53 B8 44 8A C0 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_647_1_0 {
	meta:
		name = "??$common_splitpath@_W@@YAXQEB_WQEA_W111@Z"
		size = 112
		refs = "0067 ??$common_splitpath_internal@_WV<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@V<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 49 89 53 B8 48 F7 DA BA 00 01 00 00 4D 89 43 C8 48 1B C0 4D 89 4B D8 83 E0 03 49 89 43 C0 49 F7 D8 48 1B C0 48 23 C2 49 89 43 D0 49 F7 D9 48 1B C0 48 23 C2 49 89 43 E0 48 8B 84 24 90 00 00 00 49 89 43 E8 48 F7 D8 48 1B C0 48 23 C2 33 D2 49 89 43 F0 44 8A CA 33 C0 49 8D 53 B8 44 8A C0 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_647_28_0 {
	meta:
		name = "_wsplitpath"
		size = 112
		refs = "0067 ??$common_splitpath_internal@_WV<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@V<lambda_9fe510dc9fc28f0f48835de8b1506c83>@@V<lambda_215ce41ea8e549d39a53f9f91343d9df>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 49 89 53 B8 48 F7 DA BA 00 01 00 00 4D 89 43 C8 48 1B C0 4D 89 4B D8 83 E0 03 49 89 43 C0 49 F7 D8 48 1B C0 48 23 C2 49 89 43 D0 49 F7 D9 48 1B C0 48 23 C2 49 89 43 E0 48 8B 84 24 90 00 00 00 49 89 43 E8 48 F7 D8 48 1B C0 48 23 C2 33 D2 49 89 43 F0 44 8A CA 33 C0 49 8D 53 B8 44 8A C0 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_647_27_0 {
	meta:
		name = "_splitpath_s"
		size = 103
		refs = "005e ??$common_splitpath_internal@DV<lambda_0a29fbdbce7e818b875cecd280c47f0b>@@V<lambda_7224c10e0d9cf27ffd5accaa7469d6af>@@@@YAHQEBDQEAU?$component_buffers@D@?A0x95109fda@@V<lambda_0a29fbdbce7e818b875cecd280c47f0b>@@V<lambda_7224c10e0d9cf27ffd5accaa7469d6af>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 48 8B 84 24 90 00 00 00 49 89 43 D0 48 8B 84 24 98 00 00 00 49 89 43 D8 48 8B 84 24 A0 00 00 00 49 89 43 E0 48 8B 84 24 A8 00 00 00 49 89 43 E8 48 8B 84 24 B0 00 00 00 49 89 53 B8 33 D2 49 89 43 F0 33 C0 4D 89 4B C8 44 8A CA 4D 89 43 C0 49 8D 53 B8 44 8A C0 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_647_29_0 {
	meta:
		name = "_wsplitpath_s"
		size = 103
		refs = "005e ??$common_splitpath_internal@_WV<lambda_f4d89ce576adf8640f5662d60a8d4afb>@@V<lambda_b90d8f84996fccaedfcae156869b1630>@@@@YAHQEB_WQEAU?$component_buffers@_W@?A0x95109fda@@V<lambda_f4d89ce576adf8640f5662d60a8d4afb>@@V<lambda_b90d8f84996fccaedfcae156869b1630>@@@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 48 8B 84 24 90 00 00 00 49 89 43 D0 48 8B 84 24 98 00 00 00 49 89 43 D8 48 8B 84 24 A0 00 00 00 49 89 43 E0 48 8B 84 24 A8 00 00 00 49 89 43 E8 48 8B 84 24 B0 00 00 00 49 89 53 B8 33 D2 49 89 43 F0 33 C0 4D 89 4B C8 44 8A CA 4D 89 43 C0 49 8D 53 B8 44 8A C0 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "_cgetws"
		size = 116
		refs = "001a __doserrno 0021 _errno 002c _invalid_parameter_noinfo 004e _cgetws_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B F1 48 85 C9 75 1B E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 30 66 39 39 76 E0 0F B7 11 48 8D 59 04 48 8B CB 48 89 7C 24 30 4C 8D 44 24 30 E8 ?? ?? ?? ?? 0F B7 4C 24 30 85 C0 66 89 4E 02 48 0F 44 FB 48 8B C7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_649_1_0 {
	meta:
		name = "_cgetws_s"
		size = 462
		refs = "0025 __doserrno 002c _errno 0038 _invalid_parameter_noinfo 0064 __acrt_lock 0082 __console_wchar_buffer_used 008b __console_wchar_buffer 00d1 __dcrt_lowio_console_input_handle 00dc __dcrt_lowio_initialize_console_input 00ef __imp_GetLastError 00f6 __acrt_errno_map_os_error 010d __imp_GetConsoleMode 011f __imp_SetConsoleMode 013c __imp_ReadConsoleW 01b7 __acrt_unlock"
	strings:
		$1 = { 48 89 5C 24 10 56 57 41 56 48 83 EC 40 49 8B F0 4C 8B F2 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 7D 01 00 00 8B C3 48 85 D2 0F 95 C0 85 C0 74 D5 66 89 19 8B C3 4D 85 C0 0F 95 C0 85 C0 74 C6 B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 89 7C 24 38 49 83 EE 01 4C 89 74 24 30 48 89 1E 0F 84 31 01 00 00 39 1D ?? ?? ?? ?? 74 3D 0F B7 05 ?? ?? ?? ?? 66 89 07 48 83 C7 02 48 89 7C 24 38 49 FF CE 4C 89 74 24 30 48 FF 06 0F B7 05 ?? ?? ?? ?? 66 F7 D8 48 1B C9 49 23 CE 4C 8B F1 48 89 4C 24 30 66 89 1D ?? ?? ?? ?? 4D 85 F6 0F 84 E3 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 E9 AB 00 00 00 48 8D 54 24 78 FF 15 ?? ?? ?? ?? BA 07 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 5C 24 20 4C 8D 4C 24 60 45 8B C6 48 8B D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 A9 8B 4C 24 60 83 F9 02 72 15 8D 41 FE 8B D0 66 83 3C 47 0D 75 09 48 01 16 66 89 1C 47 EB 3D 49 3B CE 75 1B 8D 41 FF 66 83 3C 47 0D 75 11 66 89 1C 47 8B 44 24 60 FF C8 8B C8 48 01 0E EB 1D 83 F9 01 75 11 66 83 3F 0A 75 0B 66 89 1F 48 8B 06 48 89 06 EB 07 48 01 0E 66 89 1C 4F 8B 54 24 78 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 90 B9 09 00 00 00 E8 ?? ?? ?? ?? E9 7C FE FF FF 48 8B 5C 24 68 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "?scale_count@@YA_J_J@Z"
		size = 42
		refs = "0008 ?source_frequency@@3_JA"
	strings:
		$1 = { 48 8B C1 48 99 48 F7 3D ?? ?? ?? ?? 48 8B C8 48 69 C2 E8 03 00 00 48 69 C9 E8 03 00 00 48 99 48 F7 3D ?? ?? ?? ?? 48 03 C1 C3 }
	condition:
		$1
}

rule file_650_1_0 {
	meta:
		name = "__acrt_initialize_clock"
		size = 83
		refs = "000b __imp_QueryPerformanceFrequency 001a __imp_QueryPerformanceCounter 002f ?source_frequency@@3_JA 0048 ?start_count@@3_JA"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 85 C0 74 27 48 8D 4C 24 38 FF 15 ?? ?? ?? ?? 85 C0 74 18 48 8B 44 24 30 48 85 C0 74 0E 48 89 05 ?? ?? ?? ?? 48 8B 44 24 38 EB 0B 48 83 C8 FF 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_650_2_0 {
	meta:
		name = "clock"
		size = 105
		refs = "000d ?start_count@@3_JA 001e __imp_QueryPerformanceCounter 0039 ?source_frequency@@3_JA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 CB FF 48 39 1D ?? ?? ?? ?? 75 04 8B C3 EB 4C 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 85 C0 74 ED 48 8B 44 24 30 48 2B 05 ?? ?? ?? ?? 78 DF 48 99 48 F7 3D ?? ?? ?? ?? 48 8B C8 48 69 C2 E8 03 00 00 48 69 C9 E8 03 00 00 48 99 48 F7 3D ?? ?? ?? ?? 48 03 C1 48 3D FF FF FF 7F 0F 4F C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_651_0_0 {
	meta:
		name = "__remainder_piby2f"
		size = 648
		refs = "0017 __security_cookie 002c ?pibits@?1??__remainder_piby2f@@9@9 025a __real@3ff921fb54442d18 026c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 83 64 24 30 00 4C 8D 35 ?? ?? ?? ?? 49 8B F0 48 8B EA 48 8B D9 4C 8B D9 48 C1 EB 34 48 B8 00 00 00 E0 FF FF 0F 00 4C 23 D8 81 E3 FF 07 00 00 81 EB FF 03 00 00 49 BC FF FF FF FF 0F 00 00 00 B8 39 8E E3 38 49 BD 00 00 00 00 00 00 10 00 F7 EB 4D 0B DD 41 BF 01 00 00 00 44 8B D2 49 C1 EB 1D 41 C1 FA 03 41 8B C2 C1 E8 1F 44 03 D0 45 8D 4A 03 43 8D 04 D2 C1 E0 02 2B D8 49 63 C1 49 8B 14 C6 49 0F AF D3 48 8B C2 48 C1 EA 24 49 23 C4 48 89 44 24 28 41 8D 41 FF 48 63 C8 4D 8B 04 CE 4D 0F AF C3 4C 03 C2 49 8B C0 49 C1 E8 24 49 23 C4 48 89 44 24 20 41 8D 41 FE 48 63 C8 45 8B CF 49 63 C2 49 8B 14 CE B9 23 00 00 00 49 0F AF D3 2B CB 49 03 D0 4D 8B 04 C6 4D 0F AF C3 48 8B FA 45 8D 5F 23 48 C1 EA 24 49 23 FC 4C 03 C2 48 89 7C 24 18 4D 23 C4 41 8B D7 4C 89 44 24 10 49 C1 E0 24 4C 0B C7 49 D3 E8 41 8B CB 41 83 E0 07 45 8B F0 45 23 F7 74 61 41 D1 F8 2B CB 45 03 C7 48 D3 E2 41 83 E0 03 49 2B D7 48 F7 D7 44 89 06 41 B8 00 00 01 00 48 23 D7 49 3B D0 73 27 4C 8D 54 24 18 48 8B C2 4D 8D 52 08 49 8B 0A 45 03 CF 48 C1 E0 24 48 F7 D1 49 23 CC 48 8B D1 48 0B D0 49 3B D0 72 DE 41 8D 41 01 48 63 C8 4C 8B 44 CC 10 49 F7 D0 4D 23 C4 EB 40 41 D1 F8 2B CB 48 D3 E2 49 2B D7 44 89 06 48 23 D7 41 B8 00 00 01 00 49 3B D0 73 18 48 8D 44 24 18 48 C1 E2 24 48 8D 40 08 48 0B 10 45 03 CF 49 3B D0 72 ED 41 8D 41 01 48 63 C8 4C 8B 44 CC 10 45 33 D2 48 B8 00 00 00 00 00 40 00 00 EB 08 41 83 C2 06 48 C1 E2 06 48 3B D0 72 F3 EB 06 45 03 D7 48 03 D2 49 3B D5 72 F5 43 8D 04 C9 45 2B DA C1 E0 02 41 8A CB 2B D8 49 D3 E8 41 2B DA 4C 0B C2 48 B9 FF FF FF FF FF FF 0F 00 4C 23 C1 8D 43 34 48 98 48 05 FF 03 00 00 48 C1 E0 34 49 0B C0 45 85 F6 74 0D 48 B9 00 00 00 00 00 00 00 80 48 0B C1 48 89 04 24 F2 0F 10 04 24 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 45 00 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_654_7_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHQEAD_KQEAU__crt_locale_pointers@@@Z"
		size = 549
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0097 __acrt_LCMapStringA 013a __chkstk 015d _malloc_base 01d7 strcpy_s 01fd _free_base 020b __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B F0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 B4 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 06 48 8B 90 38 01 00 00 48 85 D2 74 60 8B 40 0C 4C 8B CB C7 44 24 40 01 00 00 00 41 B8 00 02 00 00 89 44 24 38 49 8B CE 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF E8 ?? ?? ?? ?? 4C 63 F8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 49 01 00 00 8A 0B 8D 41 9F 3C 19 77 05 80 E9 20 88 0B 48 FF C3 80 3B 00 75 EA 33 C0 E9 2C 01 00 00 49 8B D7 49 3B F7 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 50 FF FF FF 49 8D 4F 10 48 3B D1 48 1B C0 48 85 C1 74 75 49 8D 4F 10 48 3B D1 48 1B C0 48 23 C1 48 3D 00 04 00 00 49 8D 47 10 77 3A 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 31 C7 07 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 5B 49 8B 16 4C 8B CB C7 44 24 40 01 00 00 00 41 B8 00 02 00 00 49 8B CE 8B 42 0C 48 8B 92 38 01 00 00 89 44 24 38 44 89 7C 24 30 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_654_13_0 {
	meta:
		name = "_strupr"
		size = 88
		refs = "000f __acrt_locale_changed_data 001b _errno 0026 _invalid_parameter_noinfo 004b _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 31 48 85 C9 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 24 8A 11 8D 42 9F 3C 19 77 05 80 EA 20 88 11 48 FF C1 44 38 01 75 EA EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_655_5_0 {
	meta:
		name = "_ismbcl0_l"
		size = 99
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 81 79 04 A4 03 00 00 75 28 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 19 0F B6 C3 F6 44 08 19 08 74 0F 81 FB 9F 88 00 00 73 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_655_7_0 {
	meta:
		name = "_ismbcl1_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1E 0F B6 C3 F6 44 08 19 08 74 14 8D 83 61 77 FF FF 3D D3 0F 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_655_9_0 {
	meta:
		name = "_ismbcl2_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1E 0F B6 C3 F6 44 08 19 08 74 14 8D 83 61 67 FF FF 3D 05 52 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "_j0"
		size = 353
		refs = "0037 __xmm@80000000000000008000000000000000 003f __real@401e000000000000 0052 J0q 0067 J0p 0070 evaluate 007e __real@4020000000000000 0085 P0q 009f P0p 00c0 __real@3fe921fb54442d18 00c8 cos 00e4 Q0q 00f1 Q0p 0106 sin 010f __real@400921fb54442d18 011b __real@4000000000000000 012a sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 98 00 00 00 0F 29 70 E8 0F 57 C9 66 0F 2F C8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 44 0F 28 D8 76 08 44 0F 57 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F CB 72 2F F2 45 0F 59 DB 4C 8D 0D ?? ?? ?? ?? 41 B8 0B 00 00 00 C7 44 24 20 04 00 00 00 48 8D 15 ?? ?? ?? ?? 41 0F 28 C3 E8 ?? ?? ?? ?? E9 BE 00 00 00 F2 44 0F 10 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 45 0F 5E D3 41 B8 05 00 00 00 C7 44 24 20 05 00 00 00 48 8D 15 ?? ?? ?? ?? 45 0F 28 C2 F2 45 0F 59 C2 41 0F 28 C0 E8 ?? ?? ?? ?? 41 0F 28 FB 0F 28 F0 F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 28 C8 C7 44 24 20 05 00 00 00 41 0F 28 C0 F2 44 0F 59 CE 4C 8D 0D ?? ?? ?? ?? 41 B8 05 00 00 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 0F 28 C7 F2 41 0F 59 F2 E8 ?? ?? ?? ?? F2 44 0F 59 1D ?? ?? ?? ?? F2 0F 59 F0 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C3 F2 44 0F 5C CE E8 ?? ?? ?? ?? F2 44 0F 59 C8 41 0F 28 C1 0F 28 7C 24 70 4C 8D 9C 24 98 00 00 00 41 0F 28 73 E8 45 0F 28 43 C8 45 0F 28 4B B8 45 0F 28 53 A8 45 0F 28 5B 98 49 8B E3 C3 }
	condition:
		$1
}

rule file_656_1_0 {
	meta:
		name = "_j1"
		size = 392
		refs = "003d __xmm@80000000000000008000000000000000 0048 __real@401e000000000000 0067 J1q 0074 J1p 0079 evaluate 0098 __real@4020000000000000 009f P1q 00b9 P1p 00da __real@4002d97c7f3321d2 00e2 cos 00fe Q1q 010b Q1p 0120 sin 0129 __real@400921fb54442d18 0135 __real@4000000000000000 0144 sqrt"
	strings:
		$1 = { 48 8B C4 53 48 81 EC 90 00 00 00 0F 29 70 E8 0F 57 C9 66 0F 2F C8 BB 01 00 00 00 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 44 0F 28 D8 76 0B 44 0F 57 1D ?? ?? ?? ?? 83 CB FF F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F CB 72 40 41 0F 28 C3 C7 44 24 20 04 00 00 00 F2 41 0F 59 C3 4C 8D 0D ?? ?? ?? ?? 41 B8 0A 00 00 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 41 0F 59 CB F2 0F 59 C1 E9 CA 00 00 00 F2 44 0F 10 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 45 0F 5E CB 41 B8 05 00 00 00 C7 44 24 20 05 00 00 00 48 8D 15 ?? ?? ?? ?? 45 0F 28 C1 F2 45 0F 59 C1 41 0F 28 C0 E8 ?? ?? ?? ?? 41 0F 28 FB 0F 28 F0 F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 28 D0 C7 44 24 20 05 00 00 00 41 0F 28 C0 F2 44 0F 59 D6 4C 8D 0D ?? ?? ?? ?? 41 B8 05 00 00 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 0F 28 C7 F2 41 0F 59 F1 E8 ?? ?? ?? ?? F2 44 0F 59 1D ?? ?? ?? ?? F2 0F 59 F0 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C3 F2 44 0F 5C D6 E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 0F 59 C1 F2 44 0F 59 D0 41 0F 28 C2 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 49 8B E3 5B C3 }
	condition:
		$1
}

rule file_656_2_0 {
	meta:
		name = "_jn"
		size = 371
		refs = "0020 __xmm@80000000000000008000000000000000 002e _j0 0040 _j1 0066 __xmm@7fffffffffffffff7fffffffffffffff 0096 __real@4000000000000000 0116 __real@3ff0000000000000"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 0F 29 7C 24 30 0F 28 F9 44 0F 29 44 24 20 85 C9 79 0B 0F 57 3D ?? ?? ?? ?? F7 D9 85 C9 75 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 26 01 00 00 83 F9 01 75 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 14 01 00 00 0F 57 D2 66 0F 2E FA 7A 0A 75 08 0F 28 C2 E9 01 01 00 00 66 0F 6E C9 0F 28 C7 0F 54 05 ?? ?? ?? ?? F3 0F E6 C9 66 0F 2F C1 76 5B 0F 28 C7 8D 1C 09 E8 ?? ?? ?? ?? 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 D0 B8 04 00 00 00 F2 0F 59 15 ?? ?? ?? ?? 0F 28 D8 F2 0F 5E D7 F2 0F 5C D6 3B D8 74 AB 66 0F 6E C0 0F 28 CB 0F 28 DA 83 C0 02 F3 0F E6 C0 F2 0F 59 C2 0F 28 D0 F2 0F 5E D7 F2 0F 5C D1 3B C3 75 DC EB 85 03 C9 0F 28 CF F2 0F 59 CF 8D 41 24 EB 16 66 0F 6E C0 83 E8 02 F3 0F E6 C0 F2 0F 5C C2 0F 28 D1 F2 0F 5E D0 3B C1 7F E6 66 0F 6E C1 44 0F 28 C7 83 C1 FE F3 0F E6 C0 66 0F 6E F1 F3 0F E6 F6 F2 0F 5C C2 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5E F7 F2 44 0F 5E C0 F2 41 0F 5C F0 EB 1D 0F 28 CA 66 0F 6E C1 0F 28 D6 F3 0F E6 C0 F2 0F 59 C6 0F 28 F0 F2 0F 5E F7 F2 0F 5C F1 83 E9 02 75 DE 0F 28 C7 E8 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 5E C6 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_656_3_0 {
	meta:
		name = "_y0"
		size = 420
		refs = "0026 _dclass 0039 _handle_qnan2 0050 _d_ind 005e domain_err 006b __real@401e000000000000 007f Y0q 0094 Y0p 0099 evaluate 00a5 _j0 00b4 __real@3fe45f306dc9c883 00b9 log 00cf __real@4020000000000000 00d6 P0q 00f0 P0p 0118 Q0q 0120 __real@3fe921fb54442d18 012a Q0p 0145 cos 0151 sin 015a __real@400921fb54442d18 016b __real@4000000000000000 0175 sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 28 D0 E8 ?? ?? ?? ?? 66 83 F8 02 75 12 41 0F 28 CA 41 0F 28 C2 E8 ?? ?? ?? ?? E9 3E 01 00 00 0F 57 C0 66 41 0F 2F C2 76 1B F2 0F 10 15 ?? ?? ?? ?? 41 0F 28 CA B9 22 00 00 00 E8 ?? ?? ?? ?? E9 19 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 72 54 41 B8 08 00 00 00 4C 8D 0D ?? ?? ?? ?? 41 0F 28 C2 44 89 44 24 20 F2 41 0F 59 C2 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F8 41 0F 28 C2 E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 F0 F2 0F 58 FE E9 B3 00 00 00 F2 44 0F 10 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 45 0F 5E CA 41 B8 05 00 00 00 C7 44 24 20 05 00 00 00 48 8D 15 ?? ?? ?? ?? 41 0F 28 F9 F2 41 0F 59 F9 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 28 C0 C7 44 24 20 05 00 00 00 41 0F 28 F2 4C 8D 0D ?? ?? ?? ?? F2 0F 5C 35 ?? ?? ?? ?? 0F 28 C7 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 0F 59 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 F8 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_656_4_0 {
	meta:
		name = "_y1"
		size = 448
		refs = "0026 _dclass 0039 _handle_qnan2 0050 _d_ind 005e domain_err 006b __real@401e000000000000 008a Y1q 0097 Y1p 009c evaluate 00ad _j1 00b9 log 00c1 __real@3ff0000000000000 00d6 __real@3fe45f306dc9c883 00eb __real@4020000000000000 00f2 P1q 010c P1p 0134 Q1q 013c __real@4002d97c7f3321d2 0146 Q1p 0161 cos 016d sin 0176 __real@400921fb54442d18 0187 __real@4000000000000000 0191 sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 28 D0 E8 ?? ?? ?? ?? 66 83 F8 02 75 12 41 0F 28 CA 41 0F 28 C2 E8 ?? ?? ?? ?? E9 5A 01 00 00 0F 57 C0 66 41 0F 2F C2 76 1B F2 0F 10 15 ?? ?? ?? ?? 41 0F 28 CA B9 23 00 00 00 E8 ?? ?? ?? ?? E9 35 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 72 70 41 0F 28 C2 C7 44 24 20 08 00 00 00 F2 41 0F 59 C2 4C 8D 0D ?? ?? ?? ?? 41 B8 07 00 00 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F8 41 0F 28 C2 F2 41 0F 59 FA E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 F0 F2 41 0F 5E CA F2 0F 5C F1 F2 0F 59 35 ?? ?? ?? ?? F2 0F 58 F7 0F 28 C6 E9 B6 00 00 00 F2 44 0F 10 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 45 0F 5E CA 41 B8 05 00 00 00 C7 44 24 20 05 00 00 00 48 8D 15 ?? ?? ?? ?? 41 0F 28 F9 F2 41 0F 59 F9 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 28 C0 C7 44 24 20 05 00 00 00 41 0F 28 F2 4C 8D 0D ?? ?? ?? ?? F2 0F 5C 35 ?? ?? ?? ?? 0F 28 C7 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 0F 59 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 F8 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_656_5_0 {
	meta:
		name = "_yn"
		size = 231
		refs = "002b _d_ind 0035 domain_err 005a _y0 0072 _y1 008d __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 50 0F 29 70 E8 8B D9 0F 29 78 D8 0F 57 F6 66 0F 2F F1 44 0F 29 40 C8 0F 28 F9 76 17 F2 0F 10 15 ?? ?? ?? ?? B9 24 00 00 00 E8 ?? ?? ?? ?? E9 8E 00 00 00 BF 01 00 00 00 85 C9 79 0B F7 DB 8D 47 FE 40 84 DF 0F 45 F8 0F 28 C1 85 DB 75 13 E8 ?? ?? ?? ?? 66 0F 6E CF F3 0F E6 C9 F2 0F 59 C1 EB 60 83 FB 01 75 07 E8 ?? ?? ?? ?? EB E6 E8 ?? ?? ?? ?? 44 0F 28 C0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E CF 3B D8 7E 22 66 0F 6E F0 FF C0 F3 0F E6 F6 F2 0F 59 F1 F2 0F 59 F0 F2 41 0F 5C F0 44 0F 28 C0 0F 28 C6 3B C3 7C DE 66 0F 6E C7 F3 0F E6 C0 F2 0F 59 C6 48 8B 5C 24 60 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_656_6_0 {
	meta:
		name = "domain_err"
		size = 78
		refs = "0023 _ctrlfp 003a _except1"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 8B D9 0F 29 7C 24 30 B9 80 1F 00 00 BA C0 FF 00 00 0F 28 F9 0F 28 F2 E8 ?? ?? ?? ?? 0F 28 DE 48 89 44 24 20 0F 28 D7 8B D3 B9 08 00 00 00 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_656_7_0 {
	meta:
		name = "evaluate"
		size = 129
		refs = "0070 _invalid_parameter_noinfo 0078 __real@bff0000000000000"
	strings:
		$1 = { 48 83 EC 28 0F 28 D0 45 85 C0 7E 63 4C 63 54 24 50 45 85 D2 7E 59 49 63 C0 F2 0F 59 04 C2 41 8D 40 FF 48 63 C8 85 C0 7E 11 F2 0F 58 04 CA 48 FF C9 F2 0F 59 C2 48 85 C9 7F EF F2 0F 58 02 41 8D 42 FF 0F 28 CA F2 43 0F 59 0C D1 48 63 C8 85 C0 7E 12 F2 41 0F 58 0C C9 48 FF C9 F2 0F 59 CA 48 85 C9 7F EE F2 41 0F 58 09 F2 0F 5E C1 EB 0D E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "cargf"
		size = 52
		refs = "000f cimagf 001c crealf 0030 atan2f"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 48 89 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 0F 28 74 24 30 48 83 C4 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_658_4_0 {
	meta:
		name = "_mbsnbcpy_s_l"
		size = 488
		refs = "0050 _errno 005c _invalid_parameter_noinfo 0082 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 009f strncpy_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F9 49 8B F0 48 8B EA 48 8B D9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 09 EB E8 4D 85 C0 75 2B 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 8B 54 24 70 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 30 48 8B D5 48 8B CB 41 83 78 08 00 75 12 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 22 01 00 00 48 83 FF FF 75 16 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 2D 48 83 EA 01 75 EC EB 25 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 0C 48 83 EA 01 74 06 48 83 EF 01 75 E6 48 85 FF 75 06 40 88 39 48 FF C1 48 85 D2 0F 85 92 00 00 00 38 16 74 06 48 83 FF 01 75 2B 48 8D 51 FF 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 00 19 04 74 08 48 FF C9 48 3B CB 73 ED 8B C2 2B C1 A8 01 0F 85 90 00 00 00 48 83 FF FF 75 41 48 83 FD 01 76 2F 48 8D 55 FE 48 03 D3 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 00 19 04 74 08 48 FF C9 48 3B CB 73 ED 8B C2 2B C1 A8 01 74 05 C6 02 00 EB 05 C6 44 2B FF 00 BB 50 00 00 00 EB 5C C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 46 48 8B C1 48 2B C3 48 83 F8 02 7C 38 48 8D 51 FE 48 8B CA 48 3B D3 72 13 0F B6 01 42 F6 44 00 19 04 74 08 48 FF C9 48 3B CB 73 ED 8B C2 2B C1 A8 01 74 11 C6 02 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 89 FE FF FF 48 8B 4C 24 20 83 A1 A8 03 00 00 FD E9 78 FE FF FF }
	condition:
		$1
}

rule file_659_4_0 {
	meta:
		name = "_towlower_l"
		size = 196
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 005b iswctype 009a __acrt_LCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 A3 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 45 E8 4C 8B 90 38 01 00 00 4D 85 D2 75 13 0F B7 55 10 8D 42 BF 66 83 F8 19 77 69 66 83 C2 20 EB 63 0F B7 4D 10 BA 00 01 00 00 66 3B CA 73 29 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 55 10 EB 41 48 8B 45 E8 0F B7 55 10 48 8B 88 10 01 00 00 0F B6 14 11 EB 2C 41 B9 01 00 00 00 48 8D 45 20 44 89 4C 24 28 4C 8D 45 10 49 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? 0F B7 55 10 85 C0 74 04 0F B7 55 20 80 7D F8 00 74 0B 48 8B 4D E0 83 A1 A8 03 00 00 FD 0F B7 C2 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_660_0_0 {
	meta:
		name = "copysignl"
		size = 56
		altNames = "copysign"
	strings:
		$1 = { F2 0F 11 44 24 08 BA FF 7F 00 00 F2 0F 11 4C 24 10 48 8B 44 24 10 48 8B C8 48 C1 E8 30 48 C1 E9 30 66 33 4C 24 0E 66 23 CA 66 33 C8 66 89 4C 24 0E F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_661_24_0 {
	meta:
		name = "?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		size = 188
		refs = "0021 __imp_GetModuleHandleW 0063 ?try_cor_exit_process@@YAXI@Z 009f ??$?RV<lambda_d80eeec6fff315bfe5c115232f3240e3>@@AEAV<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@V<lambda_2358e3775559c9db80273638284d5e45>@@@?$__crt_seh_guarded_call@X@@QEAAX$$QEAV<lambda_d80eeec6fff315bfe5c115232f3240e3>@@AEAV<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@$$QEAV<lambda_2358e3775559c9db80273638284d5e45>@@@Z 00b7 ?exit_or_terminate_process@@YAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 89 44 24 18 89 54 24 10 55 48 8B EC 48 83 EC 50 8B D9 45 85 C0 75 4A 33 C9 FF 15 ?? ?? ?? ?? 48 85 C0 74 3D B9 4D 5A 00 00 66 39 08 75 33 48 63 48 3C 48 03 C8 81 39 50 45 00 00 75 24 B8 0B 02 00 00 66 39 41 18 75 19 83 B9 84 00 00 00 0E 76 10 83 B9 F8 00 00 00 00 74 07 8B CB E8 ?? ?? ?? ?? 48 8D 45 18 C6 45 28 00 48 89 45 E0 4C 8D 4D D4 48 8D 45 20 48 89 45 E8 4C 8D 45 E0 48 8D 45 28 48 89 45 F0 48 8D 55 D8 B8 02 00 00 00 48 8D 4D D0 89 45 D4 89 45 D8 E8 ?? ?? ?? ?? 83 7D 20 00 74 0B 48 8B 5C 24 60 48 83 C4 50 5D C3 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_661_25_0 {
	meta:
		name = "?exit_or_terminate_process@@YAXI@Z"
		size = 74
		refs = "0009 __acrt_get_process_end_policy 002b __imp_GetCurrentProcess 0036 __imp_TerminateProcess 003d ?try_cor_exit_process@@YAXI@Z 0045 __imp_ExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 83 F8 01 74 28 65 48 8B 04 25 60 00 00 00 8B 90 BC 00 00 00 C1 EA 08 F6 C2 01 75 11 FF 15 ?? ?? ?? ?? 48 8B C8 8B D3 FF 15 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 8B CB FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_661_29_0 {
	meta:
		name = "?is_managed_app@@YA_NXZ"
		size = 84
		refs = "0008 __imp_GetModuleHandleW"
	strings:
		$1 = { 48 83 EC 28 33 C9 FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 04 32 C0 EB 37 B8 4D 5A 00 00 66 39 01 75 F2 48 63 41 3C 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 83 B8 84 00 00 00 0E 76 CF 83 B8 F8 00 00 00 00 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_661_30_0 {
	meta:
		name = "?should_call_terminate_process@@YA_NXZ"
		size = 45
		refs = "0005 __acrt_get_process_end_policy"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 01 75 04 32 C0 EB 16 65 48 8B 04 25 60 00 00 00 8B 80 BC 00 00 00 C1 E8 08 F6 D0 24 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_661_31_0 {
	meta:
		name = "?try_cor_exit_process@@YAXI@Z"
		size = 91
		refs = "0016 ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 001e __imp_GetModuleHandleExW 002e ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 0034 __imp_GetProcAddress 0041 __guard_dispatch_icall_fptr 0051 __imp_FreeLibrary"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 64 24 38 00 4C 8D 44 24 38 8B D9 48 8D 15 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 1F 48 8B 4C 24 38 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 08 8B CB FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_661_34_0 {
	meta:
		name = "_c_exit"
		size = 16
		refs = "000c ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { BA 02 00 00 00 33 C9 44 8D 42 FF E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_661_38_0 {
	meta:
		name = "_register_thread_local_exe_atexit_callback"
		size = 68
		refs = "0007 __security_cookie 0026 ?thread_local_exit_callback_func@@3P6AXPEAXK0@ZEA 003f terminate"
	strings:
		$1 = { 48 83 EC 28 4C 8B 05 ?? ?? ?? ?? 48 8B D1 41 8B C0 B9 40 00 00 00 83 E0 3F 2B C8 33 C0 48 D3 C8 49 33 C0 48 39 05 ?? ?? ?? ?? 75 12 48 D3 CA 49 33 D0 48 89 15 ?? ?? ?? ?? 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_662_0_0 {
	meta:
		name = "expm1f"
		size = 215
		refs = "0010 _fdtest 003a __real@bf317218 0044 __real@3ecf991f 0057 __real@3b208034 005f __real@3d05beec 0067 __real@3cfa14bd 006f __real@3ea405b8 007f __real@3e1d7e72 0087 __real@3f72c4f4 00a8 expf 00b0 __real@3f800000 00c6 __real@bf800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 AD 00 00 00 83 E9 01 0F 84 8E 00 00 00 83 F9 01 0F 84 9B 00 00 00 F3 0F 10 5C 24 30 0F 2F 1D ?? ?? ?? ?? 76 64 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 76 57 0F 28 D3 0F 28 CB F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 59 CB F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D1 F3 0F 59 D3 0F 28 C2 EB 2E 0F 28 C3 E8 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_664_4_0 {
	meta:
		name = "_mbslwr"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_684_4_0 {
	meta:
		name = "_mbsupr"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_664_5_0 {
	meta:
		name = "_mbslwr_l"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 F7 D8 48 8B D9 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_684_5_0 {
	meta:
		name = "_mbsupr_l"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 F7 D8 48 8B D9 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_664_7_0 {
	meta:
		name = "_mbslwr_s_l"
		size = 348
		refs = "0034 _errno 0040 _invalid_parameter_noinfo 004c strnlen 0063 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00cb __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 11 48 85 D2 74 11 48 85 C9 75 24 33 C0 E9 05 01 00 00 48 85 D2 74 EF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 E8 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 05 C6 07 00 EB D9 48 8B D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 A5 00 00 00 48 8B 4C 24 60 0F B6 16 4C 8D 04 0A 41 F6 40 19 04 74 6E 8B 41 04 4C 8B CE 48 8B 91 20 02 00 00 41 B8 00 01 00 00 C7 44 24 40 01 00 00 00 48 8D 4C 24 58 89 44 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 02 00 00 00 48 89 44 24 28 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 72 8A 8C 24 80 00 00 00 48 FF C6 88 0B 48 FF C3 48 8B 4C 24 60 83 F8 01 7E 23 8A 84 24 81 00 00 00 88 03 EB 15 8D 42 01 48 98 F6 44 08 18 10 74 07 41 8A 90 19 01 00 00 88 13 48 FF C3 48 FF C6 80 3E 00 0F 85 60 FF FF FF C6 03 00 33 C0 80 7C 24 68 00 74 0C 48 8B 4C 24 50 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 8B 00 EB C4 }
	condition:
		$1
}

rule file_665_0_0 {
	meta:
		name = "??$common_ctime@JD@@YAPEADQEBJ@Z"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0047 _localtime32_s 0055 asctime 0062 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2D 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB EA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_665_1_0 {
	meta:
		name = "??$common_ctime@J_W@@YAPEA_WQEBJ@Z"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0047 _localtime32_s 0055 _wasctime 0062 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2D 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB EA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_665_2_0 {
	meta:
		name = "??$common_ctime@_JD@@YAPEADQEB_J@Z"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0048 _localtime64_s 0056 asctime 0063 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2E 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB E9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_665_3_0 {
	meta:
		name = "??$common_ctime@_J_W@@YAPEA_WQEB_J@Z"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0048 _localtime64_s 0056 _wasctime 0063 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2E 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB E9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_665_4_0 {
	meta:
		name = "??$common_ctime_s@JD@@YAHQEAD_KQEBJ@Z"
		size = 153
		refs = "000d __security_cookie 003e _errno 0054 _localtime32_s 0068 asctime_s 007b _invalid_parameter_noinfo 008a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B DA 48 8B F9 48 85 C9 74 4A 48 85 D2 74 45 C6 01 00 48 83 FA 1A 72 3C 4D 85 C0 74 37 41 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 34 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_665_5_0 {
	meta:
		name = "??$common_ctime_s@J_W@@YAHQEA_W_KQEBJ@Z"
		size = 147
		refs = "000b __security_cookie 003d _errno 0051 _localtime32_s 0065 _wasctime_s 0078 _invalid_parameter_noinfo 0087 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B DA 48 8B F9 48 85 C9 74 47 48 85 D2 74 42 66 89 31 48 83 FA 1A 72 39 4D 85 C0 74 34 41 39 30 7D 0C E8 ?? ?? ?? ?? 8D 5E 16 89 18 EB 34 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_665_6_0 {
	meta:
		name = "??$common_ctime_s@_JD@@YAHQEAD_KQEB_J@Z"
		size = 153
		refs = "000d __security_cookie 003e _errno 0054 _localtime64_s 0068 asctime_s 007b _invalid_parameter_noinfo 008a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B DA 48 8B F9 48 85 C9 74 4A 48 85 D2 74 45 C6 01 00 48 83 FA 1A 72 3C 4D 85 C0 74 37 49 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 34 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_665_7_0 {
	meta:
		name = "??$common_ctime_s@_J_W@@YAHQEA_W_KQEB_J@Z"
		size = 147
		refs = "000b __security_cookie 003d _errno 0051 _localtime64_s 0065 _wasctime_s 0078 _invalid_parameter_noinfo 0087 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B DA 48 8B F9 48 85 C9 74 47 48 85 D2 74 42 66 89 31 48 83 FA 1A 72 39 4D 85 C0 74 34 49 39 30 7D 0C E8 ?? ?? ?? ?? 8D 5E 16 89 18 EB 34 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_665_14_0 {
	meta:
		name = "_ctime32"
		size = 115
		refs = "0009 __security_cookie 001d _errno 0028 _invalid_parameter_noinfo 0048 _localtime32_s 0056 asctime 0069 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 DB 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2F 39 19 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 1E 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_665_18_0 {
	meta:
		name = "_wctime32"
		size = 115
		refs = "0009 __security_cookie 001d _errno 0028 _invalid_parameter_noinfo 0048 _localtime32_s 0056 _wasctime 0069 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 DB 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2F 39 19 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 1E 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_665_15_0 {
	meta:
		name = "_ctime32_s"
		size = 152
		refs = "000b __security_cookie 003c _errno 0052 _localtime32_s 0068 asctime_s 007d _invalid_parameter_noinfo 008c __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B F1 48 85 C9 74 4E 48 85 D2 74 49 C6 01 00 48 83 FA 1A 72 40 4D 85 C0 74 3B 41 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 38 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_665_16_0 {
	meta:
		name = "_ctime64"
		size = 116
		refs = "0009 __security_cookie 001d _errno 0028 _invalid_parameter_noinfo 0049 _localtime64_s 0057 asctime 006a __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 DB 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 30 48 39 19 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 1E 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_665_20_0 {
	meta:
		name = "_wctime64"
		size = 116
		refs = "0009 __security_cookie 001d _errno 0028 _invalid_parameter_noinfo 0049 _localtime64_s 0057 _wasctime 006a __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 DB 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 30 48 39 19 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 1E 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_665_17_0 {
	meta:
		name = "_ctime64_s"
		size = 152
		refs = "000b __security_cookie 003c _errno 0052 _localtime64_s 0068 asctime_s 007d _invalid_parameter_noinfo 008c __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B F1 48 85 C9 74 4E 48 85 D2 74 49 C6 01 00 48 83 FA 1A 72 40 4D 85 C0 74 3B 49 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 38 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_665_19_0 {
	meta:
		name = "_wctime32_s"
		size = 163
		refs = "000f __security_cookie 0041 _errno 0055 _localtime32_s 006b _wasctime_s 0080 _invalid_parameter_noinfo 008f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 ED 48 8B FA 48 8B F1 48 85 C9 74 4B 48 85 D2 74 46 66 89 29 48 83 FA 1A 72 3D 4D 85 C0 74 38 41 39 28 7D 0C E8 ?? ?? ?? ?? 8D 5D 16 89 18 EB 38 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_665_21_0 {
	meta:
		name = "_wctime64_s"
		size = 163
		refs = "000f __security_cookie 0041 _errno 0055 _localtime64_s 006b _wasctime_s 0080 _invalid_parameter_noinfo 008f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 ED 48 8B FA 48 8B F1 48 85 C9 74 4B 48 85 D2 74 46 66 89 29 48 83 FA 1A 72 3D 4D 85 C0 74 38 49 39 28 7D 0C E8 ?? ?? ?? ?? 8D 5D 16 89 18 EB 38 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "atan"
		size = 540
		refs = "0037 __xmm@80000000000000008000000000000000 0063 _handle_nan 006b __real@43d0dc0000000000 007a __real@bff921fb54442d18 0084 __real@3ff921fb54442d18 008e _set_statfp 009e __real@bff0000000000000 00ae __real@3c91a62633145c06 00d1 __real@3ff8000000000000 00e1 __real@3fef730bd281f69b 00e9 __real@3c7007887af0cbbc 00f1 __real@3ff0000000000000 011e __real@3fe921fb54442d18 0126 __real@3c81a62633145c06 0143 __real@4000000000000000 0153 __real@3fddac670561bb4f 015b __real@3c7a2b7f222f65e0 0184 __real@3f22a75ce41b9f87 018f __real@3fa3f197f1e85ed9 019b __real@3f9f2d2116f053f2 01a3 __real@3fdb2cb05bf9beff 01b3 __real@3fcc3de43db425c0 01bb __real@3ff699c644c48d2e 01cb __real@3fdca6be4c993b3c 01d3 __real@3ffd372a17cdf5a0 01e3 __real@3fd12bcb0a9169f3 01eb __real@3fe9c1b08fda1eec"
	strings:
		$1 = { 48 83 EC 38 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 44 24 40 48 8B 4C 24 40 0F 28 C8 48 8B C1 0F 29 74 24 20 48 23 C2 33 D2 48 3B C8 0F 95 C2 48 85 D2 74 07 0F 57 0D ?? ?? ?? ?? 49 B8 00 00 00 00 00 80 03 40 49 3B C0 76 71 49 B8 00 00 00 00 00 00 F0 7F 49 3B C0 76 0E 0F 28 74 24 20 48 83 C4 38 E9 ?? ?? ?? ?? 66 0F 2F 0D ?? ?? ?? ?? 76 29 48 85 D2 74 0A F2 0F 10 35 ?? ?? ?? ?? EB 08 F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 78 01 00 00 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 E9 B8 00 00 00 48 B9 00 00 00 00 00 00 F3 3F 0F 28 E1 48 3B C1 76 2E F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E E1 EB 78 48 B9 00 00 00 00 00 00 E6 3F 48 3B C1 76 26 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 EB 43 48 B9 00 00 00 00 00 00 DC 3F 48 3B C1 76 2E F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5E E1 EB 06 0F 57 ED 0F 28 F5 0F 28 D4 F2 0F 59 D4 0F 28 DA 0F 28 CA F2 0F 59 1D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DE F2 0F 5C DC F2 0F 5C EB 48 85 D2 74 07 0F 57 2D ?? ?? ?? ?? 0F 28 C5 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_17_0 {
	meta:
		name = "?set_buffer@@YAHV__crt_stdio_stream@@QEAD_KH@Z"
		size = 47
	strings:
		$1 = { 48 89 4C 24 08 F0 44 09 49 14 4C 8B DC 49 8B 43 08 44 89 40 20 49 8B 43 08 48 89 10 49 8B 43 08 48 89 50 08 49 8B 43 08 83 60 10 00 33 C0 C3 }
	condition:
		$1
}

rule file_667_21_0 {
	meta:
		name = "setvbuf"
		size = 158
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0094 ??$?RV<lambda_84ec643ea9557e2f7dc01bb0e9624395>@@AEAV<lambda_ca71763b3c0644891230e4f79ea54fa6>@@V<lambda_439a761618c59b0600e24586724d733b>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_84ec643ea9557e2f7dc01bb0e9624395>@@AEAV<lambda_ca71763b3c0644891230e4f79ea54fa6>@@$$QEAV<lambda_439a761618c59b0600e24586724d733b>@@@Z"
	strings:
		$1 = { 4C 89 4C 24 20 44 89 44 24 18 48 89 54 24 10 55 48 8B EC 48 83 EC 60 48 89 4D C0 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 63 41 83 F8 04 74 0B 45 85 C0 74 0F 41 83 F8 40 75 DA 41 F7 C0 BF FF FF FF 75 0C 49 8D 41 FE 48 3D FD FF FF 7F 77 C5 48 8D 45 28 48 89 4D C8 48 89 45 D8 4C 8D 4D C8 48 8D 45 C0 48 89 4D D0 48 89 45 E0 4C 8D 45 D8 48 8D 45 20 48 89 45 E8 48 8D 55 D0 48 8D 45 18 48 8D 4D 10 48 89 45 F0 E8 ?? ?? ?? ?? 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_670_7_0 {
	meta:
		name = "feof"
		size = 43
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 09 8B 41 14 C1 E8 03 83 E0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_670_8_0 {
	meta:
		name = "ferror"
		size = 43
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 09 8B 41 14 C1 E8 04 83 E0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_671_0_0 {
	meta:
		name = "fegetexceptflag"
		size = 65
		refs = "001e _getfpstatusword 0027 __acrt_fenv_get_fp_status_word_from_exception_mask"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 83 E7 1F 75 04 21 39 EB 12 E8 ?? ?? ?? ?? 8B CF 8B D8 E8 ?? ?? ?? ?? 23 C3 89 06 48 8B 5C 24 30 33 C0 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "_fdexp"
		size = 611
		refs = "0027 _fdtest 0059 __real@c3650000 0069 __real@43650000 0073 _FInf_C 0085 _fperrraise 0096 __real@3f000000 00a1 __real@3fb8aa3b 00b1 __real@bf000000 00be _FEps_C 00d8 __real@3990bfbf 00e0 __real@3f316000 00ee __xmm@80000000800000008000000080000000 0119 __real@3c085413 0121 __real@3dccbf9e 013c __real@3f800000 01aa _FNan_C 01f9 _fdscale 023e __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F3 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 16 01 00 00 66 44 3B F0 0F 8E 0C 01 00 00 F3 0F 10 23 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C4 0F 87 CF 01 00 00 0F 2F 25 ?? ?? ?? ?? 76 23 F3 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F3 0F 59 45 28 F3 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 B8 01 00 00 F3 0F 10 2D ?? ?? ?? ?? 0F 28 CC F3 0F 59 0D ?? ?? ?? ?? 0F 57 C0 0F 2F C1 76 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F3 0F 10 15 ?? ?? ?? ?? F3 0F 58 C1 F3 0F 2C C0 66 0F 6E C8 0F 5B C9 0F 28 C1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C E0 0F 28 C2 0F 57 05 ?? ?? ?? ?? F3 0F 5C E1 0F 2F E0 76 10 0F 2F D4 76 0B F3 0F 10 45 28 F3 0F 11 03 EB 4A 0F 28 D4 F3 0F 59 D4 0F 28 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 1D ?? ?? ?? ?? F3 0F 58 D5 F3 0F 59 D4 0F 28 CA F3 0F 58 CB F3 0F 5C DA F3 0F 58 0D ?? ?? ?? ?? F3 0F 58 1D ?? ?? ?? ?? F3 0F 5E CB F3 0F 59 4D 28 F3 0F 11 0B 8D 14 30 E9 98 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 D8 00 00 00 66 41 3B CF 75 0E F3 0F 10 45 28 41 0F B7 C7 E9 C0 00 00 00 66 85 C9 75 2F F3 0F 10 03 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB CD F3 0F 10 45 28 E9 88 00 00 00 B8 01 00 00 00 66 3B C8 75 21 F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F3 0F 10 03 0F 2E C1 7A 02 74 C1 F3 0F 10 45 28 EB 61 66 85 FF 75 35 F3 0F 10 45 28 8B D6 F3 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 0A 83 FB 01 75 0F 8D 4B 07 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2B F3 0F 10 03 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F3 0F 59 45 28 EB 11 F3 0F 10 45 28 F3 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F3 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_672_1_0 {
	meta:
		name = "exp2f"
		size = 227
		refs = "0013 _fdtest 003b __real@cf000000 004c __real@4f000000 005e _fd_int 0075 __real@3f000000 007f __real@bf800000 008c __real@bf000000 0099 __real@3f800000 00a4 __real@3f317218 00ba _fdexp"
	strings:
		$1 = { F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF C8 45 33 C0 85 C9 0F 84 B0 00 00 00 83 E9 01 0F 84 97 00 00 00 83 F9 01 0F 84 87 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4D 10 0F 2F C1 73 57 0F 2F 0D ?? ?? ?? ?? 73 4E 33 D2 F3 0F 11 4D 18 48 8D 4D 18 E8 ?? ?? ?? ?? F3 0F 10 4D 10 F3 0F 5C 4D 18 F3 44 0F 2C 45 18 0F 2F 0D ?? ?? ?? ?? 76 0D F3 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 18 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 76 0B F3 0F 58 0D ?? ?? ?? ?? 41 FF C8 F3 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F3 0F 11 4D 10 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 12 74 EE 0F 57 C0 EB 08 F3 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_673_3_0 {
	meta:
		name = "??$common_asctime@D@@YAPEADQEBUtm@@@Z"
		size = 134
		refs = "0018 __acrt_getptd_noexit 003b _calloc_base 0045 _free_base 0054 ?static_buffer@?1???$common_asctime@D@@YAPEADQEBUtm@@@Z@4PADA 0064 ??$common_asctime_s@D@@YAHQEAD_KQEBUtm@@@Z"
		altNames = "asctime"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 ED 48 85 C0 74 2E 48 8D 78 58 48 85 FF 74 25 48 8B 1F 48 85 DB 75 24 8D 55 01 8D 4D 1A E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 1F 48 85 DB 75 07 48 8D 1D ?? ?? ?? ?? 4C 8B C6 BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 40 85 C0 48 0F 45 DD 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_673_4_0 {
	meta:
		name = "??$common_asctime@_W@@YAPEA_WQEBUtm@@@Z"
		size = 134
		refs = "0018 __acrt_getptd_noexit 003b _calloc_base 0045 _free_base 0054 ?static_buffer@?1???$common_asctime@_W@@YAPEA_WQEBUtm@@@Z@4PA_WA 0064 ??$common_asctime_s@_W@@YAHQEA_W_KQEBUtm@@@Z"
		altNames = "_wasctime"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 33 ED 48 85 C0 74 2E 48 8D 78 60 48 85 FF 74 25 48 8B 1F 48 85 DB 75 24 8D 55 02 8D 4D 1A E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 1F 48 85 DB 75 07 48 8D 1D ?? ?? ?? ?? 4C 8B C6 BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 40 85 C0 48 0F 45 DD 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_673_5_0 {
	meta:
		name = "??$common_asctime_s@D@@YAHQEAD_KQEBUtm@@@Z"
		size = 558
		refs = "009e _days 00b6 ??$__crt_time_is_leap_year@H@@YA_NH@Z 00df __dnames 0127 __mnames 016b ??$common_asctime_s_write_value@D@@YAPEADPEADH_N@Z 0201 _errno 020d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 45 33 FF 49 8B F8 48 8B D9 48 85 C9 0F 84 D5 01 00 00 48 85 D2 0F 84 CC 01 00 00 44 88 39 48 83 FA 1A 0F 82 BF 01 00 00 4D 85 C0 0F 84 B6 01 00 00 41 8B 48 14 85 C9 0F 88 AA 01 00 00 49 63 70 10 83 FE 0B 0F 87 9D 01 00 00 41 83 78 08 17 0F 87 92 01 00 00 41 83 78 04 3B 0F 87 87 01 00 00 41 83 38 3C 0F 87 7D 01 00 00 45 8B 70 18 41 83 FE 06 0F 87 6F 01 00 00 45 39 78 0C 0F 8E 65 01 00 00 4C 8D 05 ?? ?? ?? ?? 8D 46 01 48 63 D0 41 8B 14 90 41 2B 14 B0 39 57 0C 7E 20 E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 83 FE 01 0F 85 35 01 00 00 83 7F 0C 1D 0F 8F 2B 01 00 00 43 8D 04 76 48 63 C8 48 8D 05 ?? ?? ?? ?? 48 03 C8 48 8D 41 03 48 8B D0 48 2B D1 48 3B C8 49 0F 47 D7 48 85 D2 74 19 4C 8B C1 49 F7 D8 8A 01 48 FF C1 88 03 48 FF C3 49 8D 04 08 48 3B C2 75 ED C6 03 20 48 FF C3 8B 47 10 8D 0C 40 48 63 D1 48 8D 05 ?? ?? ?? ?? 48 03 D0 48 8D 42 03 48 8B C8 48 2B CA 48 3B D0 49 0F 47 CF 48 85 C9 74 19 4C 8B C2 49 F7 D8 8A 02 48 FF C2 88 03 48 FF C3 49 8D 04 10 48 3B C1 75 ED C6 03 20 48 8D 4B 01 8B 57 0C 45 33 C0 E8 ?? ?? ?? ?? 41 B0 01 C6 00 20 48 8D 48 01 8B 57 08 E8 ?? ?? ?? ?? C6 00 3A 48 8D 48 01 8B 57 04 E8 ?? ?? ?? ?? C6 00 3A 48 8D 48 01 8B 17 E8 ?? ?? ?? ?? 4C 8B C0 BB 6C 07 00 00 BE 1F 85 EB 51 C6 00 20 8B C6 8B 4F 14 03 CB F7 E9 C1 FA 05 8B CA C1 E9 1F 03 D1 49 8D 48 01 41 B0 01 E8 ?? ?? ?? ?? 44 8B 4F 14 4C 8B D0 44 03 CB 8B C6 41 F7 E9 C1 FA 05 8B CA C1 E9 1F 03 D1 6B CA 64 44 2B C9 49 8B CA 41 8B D1 E8 ?? ?? ?? ?? 66 C7 00 0A 00 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_673_6_0 {
	meta:
		name = "??$common_asctime_s@_W@@YAHQEA_W_KQEBUtm@@@Z"
		size = 577
		refs = "009f _days 00b7 ??$__crt_time_is_leap_year@H@@YA_NH@Z 00e0 __dnames 0131 __mnames 0178 ??$common_asctime_s_write_value@_W@@YAPEA_WPEA_WH_N@Z 0214 _errno 0220 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 45 33 FF 49 8B F8 48 8B D9 48 85 C9 0F 84 E8 01 00 00 48 85 D2 0F 84 DF 01 00 00 66 44 89 39 48 83 FA 1A 0F 82 D1 01 00 00 4D 85 C0 0F 84 C8 01 00 00 41 8B 48 14 85 C9 0F 88 BC 01 00 00 49 63 70 10 83 FE 0B 0F 87 AF 01 00 00 41 83 78 08 17 0F 87 A4 01 00 00 41 83 78 04 3B 0F 87 99 01 00 00 41 83 38 3C 0F 87 8F 01 00 00 45 8B 70 18 41 83 FE 06 0F 87 81 01 00 00 45 39 78 0C 0F 8E 77 01 00 00 4C 8D 05 ?? ?? ?? ?? 8D 46 01 48 63 D0 41 8B 14 90 41 2B 14 B0 39 57 0C 7E 20 E8 ?? ?? ?? ?? 84 C0 0F 84 50 01 00 00 83 FE 01 0F 85 47 01 00 00 83 7F 0C 1D 0F 8F 3D 01 00 00 43 8D 04 76 48 63 C8 48 8D 05 ?? ?? ?? ?? 48 03 C8 48 8D 41 03 48 8B D0 48 2B D1 48 3B C8 49 0F 47 D7 48 85 D2 74 1C 4C 8B C1 49 F7 D8 0F BE 01 48 FF C1 66 89 03 48 83 C3 02 49 8D 04 08 48 3B C2 75 EA BE 20 00 00 00 66 89 33 48 83 C3 02 8B 47 10 8D 0C 40 48 63 D1 48 8D 05 ?? ?? ?? ?? 48 03 D0 48 8D 42 03 48 8B C8 48 2B CA 48 3B D0 49 0F 47 CF 48 85 C9 74 1C 4C 8B C2 49 F7 D8 0F BE 02 48 FF C2 66 89 03 48 83 C3 02 49 8D 04 10 48 3B C1 75 EA 66 89 33 48 8D 4B 02 8B 57 0C 45 33 C0 E8 ?? ?? ?? ?? 41 B0 01 66 89 30 48 8D 48 02 8B 57 08 E8 ?? ?? ?? ?? BB 3A 00 00 00 66 89 18 48 8D 48 02 8B 57 04 E8 ?? ?? ?? ?? 66 89 18 48 8D 48 02 8B 17 E8 ?? ?? ?? ?? 4C 8B C0 BB 6C 07 00 00 66 89 30 BE 1F 85 EB 51 8B 4F 14 8B C6 03 CB F7 E9 C1 FA 05 8B CA C1 E9 1F 03 D1 49 8D 48 02 41 B0 01 E8 ?? ?? ?? ?? 44 8B 4F 14 4C 8B D0 44 03 CB 8B C6 41 F7 E9 C1 FA 05 8B CA C1 E9 1F 03 D1 6B CA 64 44 2B C9 49 8B CA 41 8B D1 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_673_7_0 {
	meta:
		name = "??$common_asctime_s_write_value@D@@YAPEADPEADH_N@Z"
		size = 92
	strings:
		$1 = { 44 8B D2 4C 8B C9 41 BB 67 66 66 66 83 FA 0A 7D 0A 45 84 C0 75 05 C6 01 20 EB 16 41 8B C3 41 F7 EA C1 FA 02 8B CA C1 E9 1F 03 D1 80 C2 30 41 88 11 41 8B C3 49 FF C1 41 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 8A C2 C0 E0 02 02 D0 49 8D 41 01 02 D2 44 2A D2 41 80 C2 30 45 88 11 C3 }
	condition:
		$1
}

rule file_673_8_0 {
	meta:
		name = "??$common_asctime_s_write_value@_W@@YAPEA_WPEA_WH_N@Z"
		size = 107
	strings:
		$1 = { 44 8B D2 4C 8B C9 41 BB 67 66 66 66 83 FA 0A 7D 0F 45 84 C0 75 0A B8 20 00 00 00 66 89 01 EB 18 41 8B C3 41 F7 EA C1 FA 02 8B CA C1 E9 1F 03 D1 66 83 C2 30 66 41 89 11 41 8B C3 49 83 C1 02 41 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 66 03 D0 49 8D 41 02 66 03 D2 66 44 2B D2 66 41 83 C2 30 66 45 89 11 C3 }
	condition:
		$1
}

rule file_673_16_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPEAPEADD@Z"
		size = 23
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 58 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_673_17_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPEAPEA_W_W@Z"
		size = 23
		refs = "0005 __acrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 60 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_674_4_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@D@@YAHQEADH@Z"
		size = 801
		refs = "0025 _errno 0041 strchr 0061 _environ_table 006c __dcrt_initial_narrow_environment 007b ??$copy_environment@D@@YAPEAPEADQEAPEAD@Z 009f _wenviron_table 00a6 __dcrt_get_or_create_narrow_environment_nolock 00ed _calloc_base 00fb _free_base 0165 _strnicoll 01d9 _recalloc_base 028d strcpy_s 02b4 __imp_SetEnvironmentVariableA 031c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 F6 8B DA 4C 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF E9 BC 02 00 00 BA 3D 00 00 00 48 8B F9 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 82 02 00 00 49 3B C7 0F 84 79 02 00 00 40 38 70 01 4C 8B 35 ?? ?? ?? ?? 40 0F 94 C5 4C 3B 35 ?? ?? ?? ?? 40 88 6C 24 70 75 12 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 89 05 ?? ?? ?? ?? 41 BC 01 00 00 00 4D 85 F6 0F 85 B5 00 00 00 85 DB 74 3F 48 39 35 ?? ?? ?? ?? 74 36 E8 ?? ?? ?? ?? 48 85 C0 0F 84 20 02 00 00 4C 8B 35 ?? ?? ?? ?? 4C 3B 35 ?? ?? ?? ?? 0F 85 81 00 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 89 05 ?? ?? ?? ?? EB 6D 40 84 ED 0F 85 FE 01 00 00 BA 08 00 00 00 49 8B CC E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 35 ?? ?? ?? ?? 4D 85 F6 75 09 48 83 CD FF E9 D0 01 00 00 48 39 35 ?? ?? ?? ?? 75 2B BA 08 00 00 00 49 8B CC E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 74 CA 4C 8B 35 ?? ?? ?? ?? 4D 85 F6 74 BE 4D 8B E5 49 8B DE 4D 2B E7 49 39 36 74 34 48 8B 13 4D 8B C4 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 10 48 8B 03 41 80 3C 04 3D 74 0F 41 38 34 04 74 09 48 83 C3 08 48 39 33 EB D3 49 2B DE 48 C1 FB 03 EB 0A 49 2B DE 48 C1 FB 03 48 F7 DB 48 85 DB 78 57 49 39 36 74 52 49 8B 0C DE E8 ?? ?? ?? ?? 40 84 ED 75 15 4D 89 3C DE E9 95 00 00 00 49 8B 44 DE 08 49 89 04 DE 48 FF C3 49 39 34 DE 75 EE 41 B8 08 00 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 48 85 DB 74 66 48 89 1D ?? ?? ?? ?? EB 5D 40 84 ED 0F 85 E8 00 00 00 48 F7 DB 48 8D 53 02 48 3B D3 73 09 48 83 CD FF E9 D5 00 00 00 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 73 E8 41 B8 08 00 00 00 49 8B CE E8 ?? ?? ?? ?? 33 C9 4C 8B F0 E8 ?? ?? ?? ?? 4D 85 F6 74 CB 4D 89 3C DE 49 89 74 DE 08 4C 89 35 ?? ?? ?? ?? 48 8B FE 39 74 24 78 0F 84 8E 00 00 00 48 83 CD FF 4C 8B F5 49 FF C6 43 38 34 37 75 F7 BA 01 00 00 00 49 8D 4E 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 47 4D 8B C7 49 8D 56 02 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 77 48 8B C3 49 8D 55 01 49 2B C7 48 8B CB 48 03 D0 40 38 74 24 70 40 88 72 FF 48 0F 45 D6 FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? 8B F5 C7 00 2A 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 17 E8 ?? ?? ?? ?? 48 83 CE FF C7 00 16 00 00 00 8B EE 8B F5 8B EE 8B F5 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_674_5_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@_W@@YAHQEA_WH@Z"
		size = 797
		refs = "0029 _errno 0045 wcschr 0065 _wenviron_table 0070 __dcrt_initial_wide_environment 007a ??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z 0099 _environ_table 00a7 __dcrt_get_or_create_wide_environment_nolock 00ed _calloc_base 00fb _free_base 015c _wcsnicoll 01d6 _recalloc_base 028a wcscpy_s 02ab __imp_SetEnvironmentVariableW 0318 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 F6 8B EA 4C 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF E9 AF 02 00 00 BA 3D 00 00 00 48 8B F9 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 75 02 00 00 49 3B C7 0F 84 6C 02 00 00 66 39 70 02 4C 8B 35 ?? ?? ?? ?? 41 0F 94 C5 4C 3B 35 ?? ?? ?? ?? 75 12 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 89 05 ?? ?? ?? ?? BB 01 00 00 00 4D 85 F6 0F 85 AE 00 00 00 48 8B 05 ?? ?? ?? ?? 85 ED 74 37 48 85 C0 74 32 E8 ?? ?? ?? ?? 48 85 C0 0F 84 16 02 00 00 4C 8B 35 ?? ?? ?? ?? 4C 3B 35 ?? ?? ?? ?? 75 7B 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 89 05 ?? ?? ?? ?? EB 67 45 84 ED 0F 85 F8 01 00 00 48 85 C0 75 37 8D 50 08 48 8B CB E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 09 48 83 CD FF E9 CA 01 00 00 4C 8B 35 ?? ?? ?? ?? 4D 85 F6 75 27 BA 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 33 C9 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 35 ?? ?? ?? ?? 4D 85 F6 74 C4 4D 2B E7 49 8B DE 49 D1 FC 49 39 36 74 3A 48 8B 13 4D 8B C4 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 16 48 8B 03 B9 3D 00 00 00 66 42 39 0C 60 74 10 66 42 39 34 60 74 09 48 83 C3 08 48 39 33 EB CD 49 2B DE 48 C1 FB 03 EB 0A 49 2B DE 48 C1 FB 03 48 F7 DB 48 85 DB 78 57 49 39 36 74 52 49 8B 0C DE E8 ?? ?? ?? ?? 45 84 ED 75 15 4D 89 3C DE E9 95 00 00 00 49 8B 44 DE 08 49 89 04 DE 48 FF C3 49 39 34 DE 75 EE 41 B8 08 00 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 8B D8 E8 ?? ?? ?? ?? 48 85 DB 74 66 48 89 1D ?? ?? ?? ?? EB 5D 45 84 ED 0F 85 E2 00 00 00 48 F7 DB 48 8D 53 02 48 3B D3 73 09 48 83 CD FF E9 CF 00 00 00 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 73 E8 41 B8 08 00 00 00 49 8B CE E8 ?? ?? ?? ?? 33 C9 4C 8B F0 E8 ?? ?? ?? ?? 4D 85 F6 74 CB 4D 89 3C DE 49 89 74 DE 08 4C 89 35 ?? ?? ?? ?? 48 8B FE 85 ED 0F 84 8A 00 00 00 48 83 CD FF 4C 8B F5 49 FF C6 66 43 39 34 77 75 F6 BA 02 00 00 00 4C 03 F2 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 40 4D 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 76 49 8D 54 24 01 45 84 ED 48 8D 14 53 48 8B CB 66 89 72 FE 48 0F 45 D6 FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? 8B F5 C7 00 2A 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 17 E8 ?? ?? ?? ?? 48 83 CE FF C7 00 16 00 00 00 8B EE 8B F5 8B EE 8B F5 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 48 89 74 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_674_6_0 {
	meta:
		name = "??$copy_environment@D@@YAPEAPEADQEAPEAD@Z"
		size = 234
		refs = "0044 _calloc_base 0081 _free_base 0096 strcpy_s 00c9 abort 00df _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 30 48 8B F9 48 85 C9 75 07 33 C0 E9 8E 00 00 00 33 C9 48 8B C7 48 39 0F 74 0D 48 FF C1 48 8D 40 08 48 83 38 00 75 F3 48 FF C1 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 78 48 83 3F 00 74 52 4C 8B F0 4C 2B F7 48 8B 07 48 83 CE FF 48 FF C6 80 3C 30 00 75 F7 BA 01 00 00 00 48 8D 4E 01 E8 ?? ?? ?? ?? 33 C9 49 89 04 3E E8 ?? ?? ?? ?? 49 8B 0C 3E 48 85 C9 74 56 4C 8B 07 48 8D 56 01 E8 ?? ?? ?? ?? 85 C0 75 30 48 83 C7 08 48 83 3F 00 75 B4 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_674_7_0 {
	meta:
		name = "??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z"
		size = 242
		refs = "004a _calloc_base 0086 _free_base 009b wcscpy_s 00d2 abort 00e7 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 33 ED 48 8B F9 48 85 C9 75 07 33 C0 E9 8C 00 00 00 48 8B CD 48 8B C7 48 39 2F 74 0C 48 FF C1 48 8D 40 08 48 39 28 75 F4 48 FF C1 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 7B 48 39 2F 74 51 4C 8B F0 4C 2B F7 48 8B 07 48 83 CE FF 48 FF C6 66 39 2C 70 75 F7 BA 02 00 00 00 48 8D 4E 01 E8 ?? ?? ?? ?? 33 C9 49 89 04 3E E8 ?? ?? ?? ?? 49 8B 0C 3E 48 85 C9 74 59 4C 8B 07 48 8D 56 01 E8 ?? ?? ?? ?? 85 C0 75 34 48 83 C7 08 48 39 2F 75 B5 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 6C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_674_8_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@D@@YAXXZ"
		size = 37
		refs = "0007 _environ_table 000e __dcrt_initial_narrow_environment 0015 ??$copy_environment@D@@YAPEAPEADQEAPEAD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 3B 0D ?? ?? ?? ?? 75 0C E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_674_9_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@_W@@YAXXZ"
		size = 37
		refs = "0007 _wenviron_table 000e __dcrt_initial_wide_environment 0015 ??$copy_environment@_W@@YAPEAPEA_WQEAPEA_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 3B 0D ?? ?? ?? ?? 75 0C E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_674_10_0 {
	meta:
		name = "??$find_in_environment_nolock@D@@YA_JQEBD_K@Z"
		size = 128
		refs = "0017 _environ_table 0034 _strnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 48 8B F2 48 8B E9 48 8B DF 48 83 3F 00 74 34 48 8B 13 4C 8B C6 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 0F 48 8B 03 80 3C 06 3D 74 10 80 3C 06 00 74 0A 48 83 C3 08 48 83 3B 00 EB D3 48 2B DF 48 C1 FB 03 EB 0A 48 2B DF 48 C1 FB 03 48 F7 DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_674_11_0 {
	meta:
		name = "??$find_in_environment_nolock@_W@@YA_JQEB_W_K@Z"
		size = 142
		refs = "001c _wenviron_table 003b _wcsnicoll"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 45 33 F6 48 8B F2 48 8B E9 48 8B DF 4C 39 37 74 35 48 8B 13 4C 8B C6 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 11 48 8B 03 66 83 3C 70 3D 74 10 66 44 39 34 70 74 09 48 83 C3 08 4C 39 33 EB D2 48 2B DF 48 C1 FB 03 EB 0A 48 2B DF 48 C1 FB 03 48 F7 DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_675_4_0 {
	meta:
		name = "_wctomb_l"
		size = 114
		refs = "0019 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0042 _wctomb_s_l"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 0F B7 DA 48 8B F9 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 38 48 8D 4C 24 78 83 64 24 78 00 44 0F B7 CB 48 8B D7 4C 63 40 08 48 8D 44 24 38 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 54 24 78 83 C9 FF 85 C0 0F 45 D1 80 7C 24 48 00 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 8B C2 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_675_5_0 {
	meta:
		name = "_wctomb_s_l"
		size = 388
		refs = "0048 _errno 0054 _invalid_parameter_noinfo 0068 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a0 memset 0127 __imp_WideCharToMultiByte 014a __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 66 44 89 4C 24 20 57 48 83 EC 60 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 13 4D 85 C0 74 0E 48 85 C9 74 02 21 11 33 C0 E9 8F 00 00 00 48 85 C9 74 03 83 09 FF 49 81 F8 FF FF FF 7F 76 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 69 48 8B 94 24 90 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 B8 38 01 00 00 00 75 79 0F B7 84 24 88 00 00 00 B9 FF 00 00 00 66 3B C1 76 4A 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 80 7C 24 58 00 74 0C 48 8B 4C 24 40 83 A1 A8 03 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 48 85 F6 74 0B 48 85 FF 0F 84 89 00 00 00 88 06 48 85 DB 74 55 C7 03 01 00 00 00 EB 4D 83 64 24 78 00 48 8D 4C 24 78 48 89 4C 24 38 4C 8D 84 24 88 00 00 00 48 83 64 24 30 00 41 B9 01 00 00 00 8B 48 0C 33 D2 89 7C 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 19 83 7C 24 78 00 0F 85 6A FF FF FF 48 85 DB 74 02 89 03 33 DB E9 68 FF FF FF FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 4D FF FF FF 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? E9 2C FF FF FF }
	condition:
		$1
}

rule file_675_6_0 {
	meta:
		name = "wctomb"
		size = 77
		refs = "0016 ___mb_cur_max_func 0030 _wctomb_s_l"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 50 00 0F B7 DA 48 8B F9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8D 4C 24 50 4C 63 C0 44 0F B7 CB 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 50 83 CA FF 48 8B 5C 24 40 85 C0 0F 45 CA 8B C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "strcspn"
		size = 160
		refs = "0007 __security_cookie 0091 __security_check_cookie 009b __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 45 33 C9 4C 8B C2 41 8B C1 4C 8B D1 48 83 F8 20 45 8D 59 01 73 71 44 88 4C 04 20 49 03 C3 48 83 F8 20 7C F0 8A 02 EB 1F 0F B6 D0 48 C1 EA 03 0F B6 C0 83 E0 07 0F B6 4C 14 20 0F AB C1 4D 03 C3 88 4C 14 20 41 8A 00 84 C0 75 DD 44 08 5C 24 20 EB 06 45 03 CB 4D 03 D3 45 0F B6 02 41 8B D3 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 74 E0 49 63 C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_679_1_0 {
	meta:
		name = "_pipe"
		size = 681
		refs = "002e __doserrno 0036 _errno 0041 _invalid_parameter_noinfo 00ce __imp_CreatePipe 00d8 __imp_GetLastError 00df __acrt_errno_map_os_error 00e6 _alloc_osfhnd 0110 __imp_CloseHandle 0131 __pioinfo 015b __acrt_lowio_unlock_fh 01ed _get_fmode 025d __acrt_lowio_set_os_handle 028a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 41 8B F0 4C 8B F9 45 33 E4 41 8B C4 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 42 02 00 00 83 CB FF 89 59 04 89 19 41 F7 C0 7F 3F FF FF 41 8B C4 0F 94 C0 85 C0 75 1F E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 0A 02 00 00 41 8B C0 41 B8 00 C0 00 00 41 23 C0 41 8B CC 41 3B C0 0F 95 C1 85 C9 74 C8 BF 18 00 00 00 89 7C 24 48 4C 89 64 24 50 8B C6 C1 E8 07 F7 D0 83 E0 01 89 44 24 58 44 8B CA 4C 8D 44 24 48 48 8D 54 24 40 48 8D 4C 24 38 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 99 E8 ?? ?? ?? ?? 4C 63 F0 44 89 B4 24 A8 00 00 00 44 3B F3 75 2A E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 44 89 20 48 8B 4C 24 38 FF 15 ?? ?? ?? ?? 48 8B 4C 24 40 FF 15 ?? ?? ?? ?? E9 5A FF FF FF 49 8B FE 4D 8B EE 49 C1 FD 06 48 8D 0D ?? ?? ?? ?? 83 E7 3F 48 C1 E7 06 4A 8B 04 E9 C6 44 38 38 89 4A 8B 04 E9 44 88 64 38 39 4A 8B 04 E9 80 64 38 3D FE 41 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 63 E0 44 89 A4 24 A8 00 00 00 44 3B E3 75 28 48 8D 15 ?? ?? ?? ?? 4A 8B 04 EA C6 44 38 38 00 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 83 20 00 E9 6D FF FF FF 49 8B DC 49 8B CC 48 C1 F9 06 48 89 4C 24 30 83 E3 3F 48 C1 E3 06 48 8D 15 ?? ?? ?? ?? 48 8B 04 CA C6 44 18 38 89 48 8B 04 CA C6 44 18 39 00 48 8B 04 CA 80 64 18 3D FE 41 8B CC E8 ?? ?? ?? ?? 83 A4 24 90 00 00 00 00 48 8D 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 80 00 00 00 B8 00 80 00 00 85 F0 75 0F 0F BA E6 0E 72 29 39 84 24 90 00 00 00 75 20 48 8D 15 ?? ?? ?? ?? 4A 8B 04 EA 80 64 38 38 7F 48 8B 4C 24 30 48 8B 04 CA 80 64 18 38 7F EB 0C 48 8D 15 ?? ?? ?? ?? 48 8B 4C 24 30 40 84 F6 79 12 4A 8B 04 EA 80 4C 38 38 10 48 8B 04 CA 80 4C 18 38 10 48 8B 54 24 38 41 8B CE E8 ?? ?? ?? ?? 48 8B 54 24 40 41 8B CC E8 ?? ?? ?? ?? 45 89 37 45 89 67 04 33 C0 EB 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_679_2_0 {
	meta:
		name = "_pipe$fin$1"
		size = 28
		refs = "0010 __acrt_lowio_unlock_fh"
		altNames = "_pipe$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_680_4_0 {
	meta:
		name = "_mbtowc_l"
		size = 328
		refs = "0063 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0093 _isleadbyte_l 00d0 __imp_MultiByteToWideChar 0121 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 45 33 F6 49 8B E8 48 8B F2 48 8B F9 48 85 D2 74 13 4D 85 C0 74 0E 44 38 32 75 26 48 85 C9 74 04 66 44 89 31 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 49 8B D1 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 38 4C 39 B0 38 01 00 00 75 15 48 85 FF 74 06 0F B6 06 66 89 07 BB 01 00 00 00 E9 A4 00 00 00 0F B6 0E 48 8D 54 24 38 E8 ?? ?? ?? ?? BB 01 00 00 00 85 C0 74 51 48 8B 4C 24 38 44 8B 49 08 44 3B CB 7E 2F 41 3B E9 7C 2A 8B 49 0C 8D 53 08 41 8B C6 48 85 FF 4C 8B C6 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 85 C0 75 0F 48 63 41 08 48 3B E8 72 3A 44 38 76 01 74 34 8B 59 08 EB 3D 41 8B C6 48 85 FF 44 8B CB 4C 8B C6 0F 95 C0 BA 09 00 00 00 89 44 24 28 48 8B 44 24 38 48 89 7C 24 20 8B 48 0C FF 15 ?? ?? ?? ?? 85 C0 75 0E E8 ?? ?? ?? ?? 83 CB FF C7 00 2A 00 00 00 44 38 74 24 48 74 0C 48 8B 4C 24 30 83 A1 A8 03 00 00 FD 8B C3 E9 F7 FE FF FF }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "acosf"
		size = 621
		refs = "0052 _handle_nanf 005f __real@3fc90fdb 006c __real@3f800000 007f __real@bf800000 008b __real@40490fdb 0095 _set_statfp 00aa ??_C@_05FFFCHCED@acosf?$AA@ 00da _handle_errorf 00ee __xmm@80000000800000008000000080000000 010e __real@3f000000 0146 __real@bc5b3fe1 0151 __real@3b81ce6b 015d __real@3f8d6fa5 0169 __real@3d678bdd 0175 __real@3e3c94dc 0181 __real@3f561f0d 01a8 __real@3c91a62633145c07 01b4 __real@400921fb54442d18 01bc __real@4000000000000000 01d1 __real@40000000 024c __real@3ff921fb54442d18"
	strings:
		$1 = { 48 83 EC 68 83 64 24 70 00 0F 28 D0 F3 0F 11 94 24 80 00 00 00 0F 57 C9 8B 94 24 80 00 00 00 8B C2 0F 29 74 24 50 C1 E8 17 44 8B C2 0F B6 C8 41 81 E0 00 00 00 80 8B C2 83 E9 7F 0F BA F0 1F 3D 00 00 80 7F 76 10 8B CA 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 83 F9 E6 7D 0A F3 0F 10 35 ?? ?? ?? ?? EB 2A 85 C9 78 7A 0F 2E 15 ?? ?? ?? ?? 7A 0A 75 08 0F 28 C1 E9 E7 01 00 00 0F 2E 15 ?? ?? ?? ?? 7A 1C 75 1A F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 C2 01 00 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? 44 89 4C 24 40 41 B8 00 00 C0 FF F3 0F 11 4C 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 41 8D 51 0C C7 44 24 20 08 00 00 00 E8 ?? ?? ?? ?? E9 80 01 00 00 0F 28 F0 45 85 C0 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F3 0F 10 1D ?? ?? ?? ?? F3 0F 5C DE F3 0F 59 1D ?? ?? ?? ?? F3 0F 11 5C 24 78 F3 0F 51 4C 24 78 F3 0F 11 4C 24 70 F3 0F 10 64 24 70 0F 28 F4 EB 13 F3 0F 10 64 24 70 0F 28 DE F3 0F 59 DE F3 0F 11 5C 24 78 F3 0F 10 2D ?? ?? ?? ?? 0F 28 C3 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C E8 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 EB F3 0F 5C 2D ?? ?? ?? ?? F3 0F 59 EB F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 EB F3 0F 59 1D ?? ?? ?? ?? F3 0F 5C C3 F3 0F 5E E8 85 C0 0F 84 A0 00 00 00 45 85 C0 74 33 0F 5A C4 F3 0F 59 EE 0F 5A CD F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C C1 66 0F 5A C0 E9 96 00 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 11 A4 24 80 00 00 00 8B 84 24 80 00 00 00 25 00 00 FF FF F3 0F 59 F2 89 84 24 80 00 00 00 F3 0F 10 A4 24 80 00 00 00 F3 0F 10 5C 24 78 0F 28 C4 F3 0F 59 C4 0F 28 CC F3 0F 58 4C 24 70 F3 0F 59 F5 F3 0F 5C D8 F3 0F 59 E2 F3 0F 5E D9 F3 0F 59 DA F3 0F 58 DE F3 0F 58 DC 0F 28 C3 EB 2E F2 0F 10 0D ?? ?? ?? ?? 0F 57 DB F3 0F 59 EA F3 0F 5A DA F2 0F 10 15 ?? ?? ?? ?? 0F 5A C5 F2 0F 5C C8 F2 0F 5C D9 F2 0F 5C D3 66 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_682_0_0 {
	meta:
		name = "_dnorm"
		size = 412
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 0F B7 41 06 41 BE 01 00 00 00 48 8B D1 0F B7 F8 B9 00 80 00 00 45 33 DB 66 23 F9 45 0F B7 CE 41 8D 6E 0E 23 C5 66 89 42 06 66 85 C0 75 53 66 44 39 5A 04 75 11 66 44 39 5A 02 75 0A 66 44 39 1A 0F 84 22 01 00 00 66 85 C0 75 36 0F B7 42 04 0F B7 4A 02 44 0F B7 12 44 0F B7 C0 66 41 83 C1 F0 0F B7 C1 41 0F B7 CA 45 8B D3 66 45 85 C0 74 E7 66 44 89 42 06 66 89 42 04 66 89 4A 02 66 44 89 1A 44 0F B7 5A 06 66 41 83 FB 10 73 5F 0F B7 4A 04 44 0F B7 42 02 0F B7 1A 0F B7 C1 45 0F B7 D3 66 C1 E8 0F 66 45 03 D2 66 44 0B D0 66 03 C9 41 0F B7 C0 66 41 FF C9 66 C1 E8 0F 66 45 03 C0 66 0B C8 45 0F B7 DA 0F B7 C3 66 03 DB 66 C1 E8 0F 66 44 0B C0 66 41 83 FA 10 72 BE 66 44 89 52 06 66 89 4A 04 66 44 89 42 02 66 89 1A 44 0F B7 42 06 BE 20 00 00 00 66 41 3B F0 77 68 44 0F B7 5A 04 44 0F B7 52 02 0F B7 1A 41 0F B7 CA 0F B7 C3 66 D1 E8 66 45 03 CE 66 C1 E1 0F 0F B7 D9 66 41 D1 EA 66 0B D8 41 0F B7 C8 41 0F B7 C3 66 C1 E1 0F 66 C1 E0 0F 66 44 0B D0 66 41 D1 E8 41 0F B7 C3 44 0F B7 D9 66 D1 E8 66 44 0B D8 66 41 3B F0 76 B7 66 44 89 42 06 66 44 89 5A 04 66 44 89 52 02 66 89 1A 66 21 6A 06 66 09 7A 06 41 0F B7 C1 48 8B 7C 24 28 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 41 5E C3 }
	condition:
		$1
}

rule file_682_1_0 {
	meta:
		name = "_fdnorm"
		size = 233
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 0F B7 41 02 BE 01 00 00 00 44 0F B7 D8 BA 00 80 00 00 66 44 23 DA 44 0F B7 CE 33 D2 8D 7E 7E 23 C7 66 89 41 02 66 85 C0 75 1C 66 39 11 0F 84 8E 00 00 00 66 85 C0 75 0E 0F B7 01 44 8D 4E F0 66 89 41 02 66 89 11 44 0F B7 51 02 BB 80 00 00 00 66 44 3B D3 73 2F 44 0F B7 01 41 0F B7 D2 41 0F B7 C0 66 03 D2 66 C1 E8 0F 66 0B D0 66 45 03 C0 66 41 FF C9 44 0F B7 D2 66 3B D3 72 DD 66 89 51 02 66 44 89 01 0F B7 51 02 41 BA 00 01 00 00 66 44 3B D2 77 28 44 0F B7 01 0F B7 C2 66 41 D1 E8 66 C1 E0 0F 66 44 03 CE 66 44 0B C0 66 D1 EA 66 44 3B D2 76 E4 66 89 51 02 66 44 89 01 66 21 79 02 66 44 09 59 02 41 0F B7 C1 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "_copysignf"
		size = 44
	strings:
		$1 = { F3 0F 11 44 24 08 BA 00 00 00 80 8B 4C 24 08 F3 0F 11 4C 24 08 8B 44 24 08 33 C1 85 C2 74 0C 33 CA 89 4C 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_684_7_0 {
	meta:
		name = "_mbsupr_s_l"
		size = 348
		refs = "0034 _errno 0040 _invalid_parameter_noinfo 004c strnlen 0063 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00cb __acrt_LCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 11 48 85 D2 74 11 48 85 C9 75 24 33 C0 E9 05 01 00 00 48 85 D2 74 EF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 E8 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 05 C6 07 00 EB D9 48 8B D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 A5 00 00 00 48 8B 4C 24 60 0F B6 16 4C 8D 04 0A 41 F6 40 19 04 74 6E 8B 41 04 4C 8B CE 48 8B 91 20 02 00 00 41 B8 00 02 00 00 C7 44 24 40 01 00 00 00 48 8D 4C 24 58 89 44 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 02 00 00 00 48 89 44 24 28 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 72 8A 8C 24 80 00 00 00 48 FF C6 88 0B 48 FF C3 48 8B 4C 24 60 83 F8 01 7E 23 8A 84 24 81 00 00 00 88 03 EB 15 8D 42 01 48 98 F6 44 08 18 20 74 07 41 8A 90 19 01 00 00 88 13 48 FF C3 48 FF C6 80 3E 00 0F 85 60 FF FF FF C6 03 00 33 C0 80 7C 24 68 00 74 0C 48 8B 4C 24 50 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 8B 00 EB C4 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "__acrt_LCMapStringW"
		size = 135
		refs = "002b wcsnlen 006e __acrt_LCMapStringEx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 49 63 D9 49 8B F8 8B F2 48 8B E9 45 85 C9 7E 14 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 3B C3 8D 58 01 7C 02 8B D8 48 83 64 24 40 00 44 8B CB 48 83 64 24 38 00 4C 8B C7 48 83 64 24 30 00 8B D6 8B 84 24 88 00 00 00 48 8B CD 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_686_13_0 {
	meta:
		name = "??$common_cscanf@D@@YAH_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 220
		refs = "0022 __security_cookie 003e ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0064 memset 009e ?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 00bb __security_check_cookie"
		altNames = "__conio_common_vcscanf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8D 68 A1 48 81 EC E0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 47 48 8B FA 48 8B D9 49 8B D0 48 8D 4D 97 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5D B7 33 D2 4C 89 75 BF 48 8D 4D FB 48 89 5D C7 48 89 7D CF 45 8D 46 20 44 89 75 D7 E8 ?? ?? ?? ?? 48 8D 45 9F 44 89 75 DB 48 8D 4D B7 48 89 45 1F 66 44 89 75 DF 44 88 75 E1 4C 89 75 E7 44 89 75 EF 44 88 75 F3 44 89 75 F7 48 89 75 27 4C 89 75 2F 4C 89 75 37 E8 ?? ?? ?? ?? 44 38 75 AF 74 0B 48 8B 4D 97 83 A1 A8 03 00 00 FD 48 8B 4D 47 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_686_14_0 {
	meta:
		name = "??$common_cscanf@_W@@YAH_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 195
		refs = "0030 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0080 ?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ 008b _free_base"
		altNames = "__conio_common_vcwscanf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4D 37 49 8B F1 E8 ?? ?? ?? ?? 45 33 F6 48 89 5D C7 48 8D 45 3F 4C 89 75 CF 48 8D 4D C7 48 89 45 17 48 89 5D D7 48 89 7D DF 4C 89 75 E7 4C 89 75 0F 44 89 75 EF 44 88 75 F3 4C 89 75 F7 44 89 75 FF 44 88 75 03 44 89 75 07 48 89 75 1F 4C 89 75 27 4C 89 75 2F E8 ?? ?? ?? ?? 48 8B 4D 0F 8B D8 E8 ?? ?? ?? ?? 4C 89 75 0F 44 38 75 4F 74 0B 48 8B 4D 37 83 A1 A8 03 00 00 FD 4C 8D 9C 24 B0 00 00 00 8B C3 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_686_34_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 2028
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 006c _getche_nolock 009e _isctype_l 00b4 __pctype_func 0207 _ungetch_nolock 07bf ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z 07d0 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 32 33 FF 4D 8B E0 48 8B DA 4C 8B F9 48 85 F6 74 06 48 39 7A 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 85 07 00 00 4C 8B 6A 10 4C 89 6D F0 49 8D 45 01 48 89 42 10 48 39 7A 08 74 06 48 3B 42 08 77 11 E8 ?? ?? ?? ?? 8B D0 83 F8 FF 74 05 48 FF 06 EB 03 40 8A D7 88 55 48 0F B6 F2 4D 85 FF 74 29 49 8B 07 83 78 08 01 7E 11 4D 8B C7 BA 08 00 00 00 8B CE E8 ?? ?? ?? ?? EB 1B 48 8B 00 48 63 CE 0F B7 04 48 83 E0 08 EB 0F E8 ?? ?? ?? ?? 0F B7 04 70 83 E0 08 8A 55 48 85 C0 74 30 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A D0 88 45 48 EB 8C 80 FA 2D 49 8D 8C 24 08 03 00 00 48 89 4D F8 0F 94 C0 88 01 8D 42 D5 A8 FD 75 2E 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A D0 88 45 48 8D 42 B7 A8 DF 0F 84 7B 06 00 00 8D 42 B2 A8 DF 0F 84 5F 06 00 00 40 88 7D 58 44 8A F7 80 FA 30 0F 85 AC 00 00 00 4C 8B 73 10 49 8D 46 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 5D 48 8B 33 E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 4B 48 FF 06 83 C0 A8 A8 DF 75 3C 48 FF 43 10 48 8B 43 10 C6 45 58 01 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 4C 89 75 F0 8A D0 44 8A 75 58 88 45 48 EB 3F 8A 55 48 EB 06 8A 55 48 40 8A CF 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1D 8D 41 01 3C 01 76 16 48 8B 03 0F BE C9 83 F9 FF 74 0B 48 FF 08 E8 ?? ?? ?? ?? 8A 55 48 44 8A F7 89 7D E0 49 8D 44 24 08 48 89 45 E8 48 8B C8 44 8B C7 44 8A E7 80 FA 30 75 3F 41 B4 01 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 0E 48 FF 06 8A D0 88 45 48 3C 30 75 08 EB D1 40 8A D7 88 55 48 48 8B 4D E8 44 8B C7 4C 8B 6D F8 41 8A C6 F6 D8 45 1B F6 41 83 E6 06 41 83 C6 09 8D 42 D0 3C 09 77 08 0F BE C2 83 E8 30 EB 21 8D 42 9F 3C 19 77 08 0F BE C2 83 E8 57 EB 12 8D 42 BF 3C 19 77 08 0F BE C2 83 E8 37 EB 03 83 C8 FF 41 3B C6 77 53 41 B4 01 49 3B CD 74 09 88 01 48 FF C1 48 89 4D E8 48 FF 43 10 41 FF C0 48 8B 43 10 44 89 45 E0 48 39 7B 08 74 06 48 3B 43 08 77 1A 48 8B 33 E8 ?? ?? ?? ?? 48 8B 4D E8 44 8B 45 E0 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A D0 88 45 48 E9 78 FF FF FF 49 8B 07 4C 8B 6D F0 48 8B 88 F8 00 00 00 48 8B 01 3A 10 0F 85 FD 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 48 8B 4D 50 8A D0 4C 8B 7D E8 48 83 C1 08 88 45 48 4C 3B F9 75 3F 3C 30 75 3B 41 B4 01 48 FF 43 10 FF 4D E0 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 0E 48 FF 06 8A D0 88 45 48 3C 30 75 08 EB CE 40 8A D7 88 55 48 4C 8B 6D F8 8D 42 D0 3C 09 77 08 0F BE C2 83 E8 30 EB 21 8D 42 9F 3C 19 77 08 0F BE C2 83 E8 57 EB 12 8D 42 BF 3C 19 77 08 0F BE C2 83 E8 37 EB 03 83 C8 FF 41 3B C6 77 3E 41 B4 01 4D 3B FD 74 06 41 88 07 49 FF C7 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A D0 88 45 48 EB 8D 4C 8B 6D F0 4C 89 7D E8 48 FF 4B 10 48 8B 43 10 45 84 E4 75 48 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 42 01 3C 01 76 13 48 8B 03 0F BE CA 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 4C 3B 6B 10 74 0C 48 8B 43 18 40 88 38 E9 E4 FB FF FF F6 5D 58 1B C0 83 E0 FB 83 C0 07 E9 63 03 00 00 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 42 01 3C 01 76 13 48 8B 03 0F BE CA 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 4C 8B 6B 10 49 8D 45 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 14 48 8B 33 E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 05 48 FF 06 EB 03 40 8A CF 88 4D 48 40 8A C7 80 F9 45 74 14 80 F9 50 74 0A 80 F9 65 74 0A 80 F9 70 75 0C 8A 45 58 EB 07 40 38 7D 58 0F 94 C0 44 8B F7 84 C0 0F 84 05 02 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 3C 2D 88 45 48 8A C8 41 0F 94 C4 2C 2B A8 FD 75 2E 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A C8 88 45 48 44 8A FF 80 F9 30 75 38 41 B7 01 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1B 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 0E 48 FF 06 8A C8 88 45 48 3C 30 75 08 EB D1 40 8A CF 88 4D 48 8D 41 D0 3C 09 77 08 0F BE D1 83 EA 30 EB 21 8D 41 9F 3C 19 77 08 0F BE D1 83 EA 57 EB 12 8D 41 BF 3C 19 77 08 0F BE D1 83 EA 37 EB 03 83 CA FF 83 FA 0A 73 4A 43 8D 04 B6 41 B7 01 44 8D 34 42 41 81 FE 50 14 00 00 7F 30 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A C8 88 45 48 EB 87 41 BE 51 14 00 00 8D 41 D0 3C 09 77 08 0F BE C1 83 E8 30 EB 21 8D 41 9F 3C 19 77 08 0F BE C1 83 E8 57 EB 12 8D 41 BF 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 30 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A C8 88 45 48 EB 9B 45 84 E4 74 03 41 F7 DE 45 84 FF 75 6C 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 48 8B 43 10 40 88 7D 48 4C 3B E8 0F 85 86 FD FF FF 48 FF C0 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 03 40 8A C7 8A C8 88 45 48 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 4C 8B 55 50 48 8B 55 E8 4D 8D 42 08 49 3B D0 74 72 48 8D 42 FF 40 38 38 75 08 48 8B D0 49 3B C0 75 EF 49 3B D0 74 5C 41 81 FE 50 14 00 00 7E 07 B8 09 00 00 00 EB 73 41 BB B0 EB FF FF 45 3B F3 7D 07 B8 08 00 00 00 EB 61 44 8A 4D 58 41 8A C1 F6 D8 1B C9 83 E1 03 FF C1 0F AF 4D E0 44 03 F1 41 81 FE 50 14 00 00 7F C7 45 3B F3 7C D4 41 2B D0 45 89 32 45 84 C9 41 89 52 04 40 0F 95 C7 8B C7 EB 27 B8 02 00 00 00 EB 20 4D 8B C5 48 8D 4D 48 48 8B D3 E8 ?? ?? ?? ?? EB 0F 4D 8B C5 48 8D 4D 48 48 8B D3 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_686_35_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QEAU__crt_locale_pointers@@AEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AEAUfloating_point_string@0@@Z"
		size = 4405
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0076 _getwche_nolock 0099 iswctype 025a _ungetwch_nolock 110f ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 1120 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 58 48 8B 3A 45 33 F6 4D 8B E0 48 8B DA 48 85 FF 74 06 4C 39 72 18 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 D6 10 00 00 BE 01 00 00 00 4C 8B 6A 10 4C 89 6D D8 49 8D 45 01 48 89 42 10 4C 39 72 08 74 0C 48 3B 42 08 76 06 41 0F B7 C6 EB 17 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 05 48 01 37 EB 03 41 8B C6 BA 08 00 00 00 66 89 45 CC 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4B 41 BF FF FF 00 00 48 01 73 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 16 48 8B 3B E8 ?? ?? ?? ?? 66 41 3B C7 74 05 48 01 37 EB 03 41 8B C6 BA 08 00 00 00 66 89 45 CC 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 BB 0F B7 55 CC 49 8D 8C 24 08 03 00 00 66 83 FA 2D 48 89 4D E8 0F 94 C0 88 01 8D 42 D5 B9 FD FF 00 00 66 85 C1 75 3B 48 01 73 10 48 8B 43 10 4C 39 73 08 74 0B 48 3B 43 08 76 05 41 8B D6 EB 1E 48 8B 3B E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 08 48 01 37 0F B7 D0 EB 04 41 0F B7 D6 66 89 55 CC 8D 42 B7 B9 DF FF 00 00 66 85 C1 0F 84 B7 0F 00 00 8D 42 B2 66 85 C1 0F 84 9A 0F 00 00 B8 30 00 00 00 44 88 75 50 45 8A E6 66 3B D0 0F 85 E3 00 00 00 48 8B 73 10 48 8D 46 01 48 89 43 10 4C 39 73 08 74 0F 48 3B 43 08 76 09 41 0F B7 CE E9 86 00 00 00 48 8B 3B E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 6A 41 B8 01 00 00 00 8D 41 A8 4C 01 07 BA DF FF 00 00 66 85 C2 75 4E 4C 01 43 10 45 8A E0 48 8B 43 10 44 88 45 50 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 D6 EB 23 48 8B 3B E8 ?? ?? ?? ?? 0F B7 D0 B8 FF FF 00 00 66 3B D0 74 0B 41 B8 01 00 00 00 4C 01 07 EB 03 41 8B D6 66 89 55 CC 48 89 75 D8 EB 49 0F B7 55 CC EB 0D 0F B7 55 CC 41 8B CE 41 B8 01 00 00 00 48 FF 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 22 0F B7 C1 66 41 2B C0 41 B8 FD FF 00 00 66 41 3B C0 77 0F 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 0F B7 55 CC 48 8B 45 58 41 BA 30 00 00 00 48 83 C0 08 44 89 75 D0 48 89 45 E0 48 8B C8 45 8B C6 41 8A F6 45 8D 4A D1 66 41 3B D2 75 54 41 8A F1 4C 01 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 2E 48 8B 3B E8 ?? ?? ?? ?? 41 B9 01 00 00 00 B9 FF FF 00 00 45 8D 51 2F 66 3B C1 74 12 4C 01 0F 0F B7 D0 66 89 45 CC 66 41 3B C2 75 0A EB BE 41 0F B7 D6 66 89 55 CC 48 8B 4D E0 45 8B C6 4C 8B 6D E8 41 8A C4 F6 D8 C7 45 60 6A 06 00 00 BF 60 06 00 00 41 BB 10 FF 00 00 45 1B E4 41 BF FF FF 00 00 41 83 E4 06 41 83 C4 09 B8 F0 06 00 00 66 41 3B D2 0F 82 5C 02 00 00 66 83 FA 3A 73 0B 0F B7 C2 41 2B C2 E9 46 02 00 00 66 41 3B D3 0F 83 27 02 00 00 66 3B D7 0F 82 38 02 00 00 66 3B 55 60 73 0A 0F B7 C2 2B C7 E9 23 02 00 00 66 3B D0 0F 82 1F 02 00 00 B8 FA 06 00 00 66 3B D0 73 0D 0F B7 C2 2D F0 06 00 00 E9 03 02 00 00 B8 66 09 00 00 66 3B D0 0F 82 FA 01 00 00 B8 70 09 00 00 66 3B D0 73 0D 0F B7 C2 2D 66 09 00 00 E9 DE 01 00 00 B8 E6 09 00 00 66 3B D0 0F 82 D5 01 00 00 B8 F0 09 00 00 66 3B D0 73 0D 0F B7 C2 2D E6 09 00 00 E9 B9 01 00 00 B8 66 0A 00 00 66 3B D0 0F 82 B0 01 00 00 B8 70 0A 00 00 66 3B D0 73 0D 0F B7 C2 2D 66 0A 00 00 E9 94 01 00 00 B8 E6 0A 00 00 66 3B D0 0F 82 8B 01 00 00 B8 F0 0A 00 00 66 3B D0 73 0D 0F B7 C2 2D E6 0A 00 00 E9 6F 01 00 00 B8 66 0B 00 00 66 3B D0 0F 82 66 01 00 00 B8 70 0B 00 00 66 3B D0 73 0D 0F B7 C2 2D 66 0B 00 00 E9 4A 01 00 00 B8 66 0C 00 00 66 3B D0 0F 82 41 01 00 00 B8 70 0C 00 00 66 3B D0 73 0D 0F B7 C2 2D 66 0C 00 00 E9 25 01 00 00 B8 E6 0C 00 00 66 3B D0 0F 82 1C 01 00 00 B8 F0 0C 00 00 66 3B D0 73 0D 0F B7 C2 2D E6 0C 00 00 E9 00 01 00 00 B8 66 0D 00 00 66 3B D0 0F 82 F7 00 00 00 B8 70 0D 00 00 66 3B D0 73 0D 0F B7 C2 2D 66 0D 00 00 E9 DB 00 00 00 B8 50 0E 00 00 66 3B D0 0F 82 D2 00 00 00 B8 5A 0E 00 00 66 3B D0 73 0D 0F B7 C2 2D 50 0E 00 00 E9 B6 00 00 00 B8 D0 0E 00 00 66 3B D0 0F 82 AD 00 00 00 B8 DA 0E 00 00 66 3B D0 73 0D 0F B7 C2 2D D0 0E 00 00 E9 91 00 00 00 B8 20 0F 00 00 66 3B D0 0F 82 88 00 00 00 B8 2A 0F 00 00 66 3B D0 73 0A 0F B7 C2 2D 20 0F 00 00 EB 6F B8 40 10 00 00 66 3B D0 72 6A B8 4A 10 00 00 66 3B D0 73 0A 0F B7 C2 2D 40 10 00 00 EB 51 B8 E0 17 00 00 66 3B D0 72 4C B8 EA 17 00 00 66 3B D0 73 0A 0F B7 C2 2D E0 17 00 00 EB 33 B8 10 18 00 00 66 3B D0 72 2E B8 1A 18 00 00 66 3B D0 73 24 0F B7 C2 2D 10 18 00 00 EB 15 B8 1A FF 00 00 66 3B D0 73 08 0F B7 C2 41 2B C3 EB 03 83 C8 FF 83 F8 FF 75 29 8D 42 BF 66 83 F8 19 76 0E 8D 42 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 42 9F 66 83 F8 19 0F B7 C2 77 03 83 E8 20 83 C0 C9 41 3B C4 77 71 41 8A F1 49 3B CD 74 09 88 01 49 03 C9 48 89 4D E0 4C 01 4B 10 45 03 C1 48 8B 43 10 44 89 45 D0 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 D6 EB 36 48 8B 3B E8 ?? ?? ?? ?? 48 8B 4D E0 41 B9 01 00 00 00 44 8B 45 D0 0F B7 D0 41 BB 10 FF 00 00 45 8D 51 2F 66 41 3B C7 74 05 4C 01 0F EB 03 41 8B D6 BF 60 06 00 00 66 89 55 CC E9 F6 FC FF FF 4C 8B 7D 48 4C 8B 6D D8 49 8B 07 48 8B 88 F8 00 00 00 48 8B 01 0F BE 08 0F B7 C2 3B C1 0F 85 EC 02 00 00 4C 01 4B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 24 48 8B 3B E8 ?? ?? ?? ?? 41 B9 01 00 00 00 B9 FF FF 00 00 45 8D 51 2F 66 3B C1 74 05 4C 01 0F EB 03 41 8B C6 4C 8B 45 58 0F B7 D0 4C 8B 7D E0 66 89 45 CC 49 8D 48 08 4C 3B F9 75 56 66 41 3B C2 75 50 41 8A F1 4C 01 4B 10 44 29 4D D0 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 2D 48 8B 3B E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 1B 41 B9 01 00 00 00 0F B7 D0 4C 01 0F 66 89 45 CC 41 8D 49 2F 66 3B C1 75 0A EB BB 41 0F B7 D6 66 89 55 CC 4C 8B 6D E8 B9 30 00 00 00 66 3B D1 0F 82 9F 01 00 00 66 83 FA 3A 73 0A 0F B7 C2 2B C1 E9 8A 01 00 00 B9 10 FF 00 00 66 3B D1 0F 83 6B 01 00 00 B9 60 06 00 00 66 3B D1 0F 82 73 01 00 00 8D 41 0A 66 3B D0 72 D2 B9 F0 06 00 00 66 3B D1 0F 82 5D 01 00 00 8D 41 0A 66 3B D0 72 BC B9 66 09 00 00 66 3B D1 0F 82 47 01 00 00 8D 41 0A 66 3B D0 72 A6 8D 48 76 66 3B D1 0F 82 33 01 00 00 8D 41 0A 66 3B D0 72 92 8D 48 76 66 3B D1 0F 82 1F 01 00 00 8D 41 0A 66 3B D0 0F 82 7A FF FF FF 8D 48 76 66 3B D1 0F 82 07 01 00 00 8D 41 0A 66 3B D0 0F 82 62 FF FF FF 8D 48 76 66 3B D1 0F 82 EF 00 00 00 8D 41 0A 66 3B D0 0F 82 4A FF FF FF B9 66 0C 00 00 66 3B D1 0F 82 D5 00 00 00 8D 41 0A 66 3B D0 0F 82 30 FF FF FF 8D 48 76 66 3B D1 0F 82 BD 00 00 00 8D 41 0A 66 3B D0 0F 82 18 FF FF FF 8D 48 76 66 3B D1 0F 82 A5 00 00 00 8D 41 0A 66 3B D0 0F 82 00 FF FF FF B9 50 0E 00 00 66 3B D1 0F 82 8B 00 00 00 8D 41 0A 66 3B D0 0F 82 E6 FE FF FF 8D 48 76 66 3B D1 72 77 8D 41 0A 66 3B D0 0F 82 D2 FE FF FF 8D 48 46 66 3B D1 72 63 8D 41 0A 66 3B D0 0F 82 BE FE FF FF B9 40 10 00 00 66 3B D1 72 4D 8D 41 0A 66 3B D0 0F 82 A8 FE FF FF B9 E0 17 00 00 66 3B D1 72 37 8D 41 0A 66 3B D0 0F 82 92 FE FF FF 8D 48 26 66 3B D1 72 23 8D 41 0A 66 3B D0 73 1B E9 7D FE FF FF B8 1A FF 00 00 66 3B D0 0F 82 6F FE FF FF 83 C8 FF 83 F8 FF 75 29 8D 42 BF 66 83 F8 19 76 0E 8D 42 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 42 9F 66 83 F8 19 0F B7 C2 77 03 83 E8 20 83 C0 C9 41 3B C4 77 59 B9 01 00 00 00 40 8A F1 4D 3B FD 74 06 41 88 07 4C 03 F9 48 01 4B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 D6 EB 23 48 8B 3B E8 ?? ?? ?? ?? 0F B7 D0 B8 FF FF 00 00 66 3B D0 74 0B 41 B8 01 00 00 00 4C 01 07 EB 03 41 8B D6 66 89 55 CC E9 CC FD FF FF 4C 8B 6D D8 4C 89 7D E0 48 FF 4B 10 48 8B 43 10 40 84 F6 75 49 4C 39 73 08 74 06 48 3B 43 08 77 1B 8D 42 FF B9 FD FF 00 00 66 3B C1 77 0E 48 8B 03 0F B7 CA 48 FF 08 E8 ?? ?? ?? ?? 4C 3B 6B 10 74 0C 48 8B 43 18 44 88 30 E9 DA F6 FF FF F6 5D 50 1B C0 83 E0 FB 83 C0 07 E9 AA 07 00 00 4C 39 73 08 74 06 48 3B 43 08 77 27 0F B7 C2 41 BF 01 00 00 00 66 41 2B C7 B9 FD FF 00 00 66 3B C1 77 16 48 8B 03 0F B7 CA 48 FF 08 E8 ?? ?? ?? ?? EB 06 41 BF 01 00 00 00 4C 8B 6B 10 4C 89 6D E8 49 8D 45 01 48 89 43 10 4C 39 73 08 74 12 48 3B 43 08 76 0C 41 0F B7 CE 41 BC FF FF 00 00 EB 1F 48 8B 3B E8 ?? ?? ?? ?? 41 BC FF FF 00 00 0F B7 C8 66 41 3B C4 74 05 4C 01 3F EB 03 41 8B CE 0F B7 C1 41 8A D6 66 89 4D CC 83 F8 45 74 14 83 F8 50 74 0A 83 F8 65 74 0A 83 F8 70 75 0C 8A 55 50 EB 07 44 38 75 50 0F 94 C2 44 89 75 D8 41 8B F6 84 D2 0F 84 0E 06 00 00 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 16 48 8B 3B E8 ?? ?? ?? ?? 66 41 3B C4 74 05 4C 01 3F EB 03 41 8B C6 66 83 F8 2D 66 89 45 CC 0F B7 C8 BA FD FF 00 00 41 0F 94 C4 66 83 E8 2B 44 88 65 C8 66 85 C2 75 3B 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 CE EB 1D 48 8B 3B E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 05 4C 01 3F EB 03 41 8B CE 66 89 4D CC 41 B9 30 00 00 00 44 88 75 60 45 8D 41 D1 66 41 3B C9 75 52 44 88 45 60 4C 01 43 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 2E 48 8B 3B E8 ?? ?? ?? ?? 41 B8 01 00 00 00 B9 FF FF 00 00 45 8D 48 2F 66 3B C1 74 12 4C 01 07 0F B7 C8 66 89 45 CC 66 41 3B C1 75 0A EB BE 41 0F B7 CE 66 89 4D CC 66 41 3B C9 0F 82 A2 01 00 00 66 83 F9 3A 73 0B 0F B7 D1 41 2B D1 E9 8C 01 00 00 B8 10 FF 00 00 66 3B C8 0F 83 6D 01 00 00 B8 60 06 00 00 66 3B C8 0F 82 75 01 00 00 8D 50 0A 66 3B CA 73 0A 0F B7 D1 2B D0 E9 5E 01 00 00 B8 F0 06 00 00 66 3B C8 0F 82 55 01 00 00 8D 50 0A 66 3B CA 72 E0 B8 66 09 00 00 66 3B C8 0F 82 3F 01 00 00 8D 50 0A 66 3B CA 72 CA 8D 42 76 66 3B C8 0F 82 2B 01 00 00 8D 50 0A 66 3B CA 72 B6 8D 42 76 66 3B C8 0F 82 17 01 00 00 8D 50 0A 66 3B CA 72 A2 8D 42 76 66 3B C8 0F 82 03 01 00 00 8D 50 0A 66 3B CA 72 8E 8D 42 76 66 3B C8 0F 82 EF 00 00 00 8D 50 0A 66 3B CA 0F 82 76 FF FF FF B8 66 0C 00 00 66 3B C8 0F 82 D5 00 00 00 8D 50 0A 66 3B CA 0F 82 5C FF FF FF 8D 42 76 66 3B C8 0F 82 BD 00 00 00 8D 50 0A 66 3B CA 0F 82 44 FF FF FF 8D 42 76 66 3B C8 0F 82 A5 00 00 00 8D 50 0A 66 3B CA 0F 82 2C FF FF FF B8 50 0E 00 00 66 3B C8 0F 82 8B 00 00 00 8D 50 0A 66 3B CA 0F 82 12 FF FF FF 8D 42 76 66 3B C8 72 77 8D 50 0A 66 3B CA 0F 82 FE FE FF FF 8D 42 46 66 3B C8 72 63 8D 50 0A 66 3B CA 0F 82 EA FE FF FF B8 40 10 00 00 66 3B C8 72 4D 8D 50 0A 66 3B CA 0F 82 D4 FE FF FF B8 E0 17 00 00 66 3B C8 72 37 8D 50 0A 66 3B CA 0F 82 BE FE FF FF 8D 42 26 66 3B C8 72 23 8D 50 0A 66 3B CA 73 1B E9 A9 FE FF FF BA 1A FF 00 00 66 3B CA 0F 82 9B FE FF FF 83 CA FF 83 FA FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 CA FF EB 12 8D 41 9F 0F B7 D1 66 83 F8 19 77 03 83 EA 20 83 C2 C9 83 FA 0A 73 64 8D 04 B6 44 88 45 60 8D 34 42 89 75 D8 81 FE 50 14 00 00 7F 47 4C 01 43 10 48 8B 43 10 4C 39 73 08 74 0A 48 3B 43 08 0F 87 F1 FD FF FF 48 8B 3B E8 ?? ?? ?? ?? 0F B7 C8 41 B8 01 00 00 00 B8 FF FF 00 00 45 8D 48 2F 66 3B C8 74 08 4C 01 07 E9 CE FD FF FF 41 8B CE E9 C6 FD FF FF BE 51 14 00 00 89 75 D8 BE F0 06 00 00 41 BD FF FF 00 00 41 BC 10 FF 00 00 41 BF 60 06 00 00 66 41 3B C9 0F 82 AC 01 00 00 66 83 F9 3A 73 0B 0F B7 C1 41 2B C1 E9 96 01 00 00 66 41 3B CC 0F 83 77 01 00 00 66 41 3B CF 0F 82 87 01 00 00 B8 6A 06 00 00 66 3B C8 73 0B 0F B7 C1 41 2B C7 E9 6D 01 00 00 66 3B CE 0F 82 69 01 00 00 B8 FA 06 00 00 66 3B C8 73 0A 0F B7 C1 2B C6 E9 50 01 00 00 BA 66 09 00 00 66 3B CA 0F 82 47 01 00 00 8D 42 0A 66 3B C8 73 0A 0F B7 C1 2B C2 E9 30 01 00 00 BA E6 09 00 00 66 3B CA 0F 82 27 01 00 00 8D 42 0A 66 3B C8 72 E0 8D 50 76 66 3B CA 0F 82 13 01 00 00 8D 42 0A 66 3B C8 72 CC 8D 50 76 66 3B CA 0F 82 FF 00 00 00 8D 42 0A 66 3B C8 72 B8 8D 50 76 66 3B CA 0F 82 EB 00 00 00 8D 42 0A 66 3B C8 72 A4 BA 66 0C 00 00 66 3B CA 0F 82 D5 00 00 00 8D 42 0A 66 3B C8 72 8E 8D 50 76 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 0F 82 76 FF FF FF 8D 50 76 66 3B CA 0F 82 A9 00 00 00 8D 42 0A 66 3B C8 0F 82 5E FF FF FF BA 50 0E 00 00 66 3B CA 0F 82 8F 00 00 00 8D 42 0A 66 3B C8 0F 82 44 FF FF FF 8D 50 76 66 3B CA 72 7B 8D 42 0A 66 3B C8 0F 82 30 FF FF FF 8D 50 46 66 3B CA 72 67 8D 42 0A 66 3B C8 0F 82 1C FF FF FF BA 40 10 00 00 66 3B CA 72 51 8D 42 0A 66 3B C8 0F 82 06 FF FF FF BA E0 17 00 00 66 3B CA 72 3B 8D 42 0A 66 3B C8 0F 82 F0 FE FF FF 8D 50 26 66 3B CA 72 27 8D 42 0A 66 3B C8 73 1F E9 DB FE FF FF B8 1A FF 00 00 66 3B C8 73 08 0F B7 C1 41 2B C4 EB 03 83 C8 FF 83 F8 FF 75 29 8D 41 BF 66 83 F8 19 76 0E 8D 41 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 41 9F 66 83 F8 19 0F B7 C1 77 03 83 E8 20 83 C0 C9 83 F8 0A 73 46 4C 01 43 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 CE EB 23 48 8B 3B E8 ?? ?? ?? ?? 41 B8 01 00 00 00 0F B7 C8 45 8D 48 2F 66 41 3B C5 74 05 4C 01 07 EB 03 41 8B CE 66 89 4D CC E9 D6 FD FF FF 44 8A 65 C8 8B 75 D8 44 8A 7D 60 4C 8B 6D E8 45 84 E4 74 02 F7 DE 45 84 FF 0F 85 82 00 00 00 48 FF 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 1C 0F B7 C1 BA FD FF 00 00 66 41 2B C0 66 3B C2 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 48 8B 43 10 66 44 89 75 CC 4C 3B E8 0F 85 5D F9 FF }
	condition:
		$1
}

rule file_686_36_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 564
		refs = "001d __ImageBase 0032 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 003b ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 005d _getche_nolock 00b5 _ungetch_nolock 013d ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0146 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 FF 48 8D 2D ?? ?? ?? ?? 8B F7 4D 8B F8 48 8B DA 4C 8B F1 41 8A 06 3A 84 2E ?? ?? ?? ?? 74 0D 3A 84 2E ?? ?? ?? ?? 0F 85 9E 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 23 48 8B 2B E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 0D 48 FF 45 00 48 8D 2D ?? ?? ?? ?? EB 0A 48 8D 2D ?? ?? ?? ?? 40 8A CF 48 FF C6 41 88 0E 48 83 FE 03 75 A1 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 4C 8B 7B 10 49 8D 47 01 48 89 43 10 48 39 7B 08 74 06 48 3B 43 08 77 5D 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 50 48 FF 06 EB 4E 41 8A 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 41 88 3E 4C 3B 7B 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 9A 00 00 00 40 8A C7 41 88 06 48 8B F7 41 8A 06 3A 84 2E ?? ?? ?? ?? 74 0D 3A 84 2E ?? ?? ?? ?? 0F 85 91 00 00 00 48 FF 43 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 21 48 8B 2B E8 ?? ?? ?? ?? 83 F8 FF 74 0D 48 FF 45 00 48 8D 2D ?? ?? ?? ?? EB 0A 48 8D 2D ?? ?? ?? ?? 40 8A C7 48 FF C6 41 88 06 48 83 FE 05 75 A3 48 FF 4B 10 48 8B 4B 10 48 39 7B 08 74 06 48 3B 4B 08 77 1B 8D 48 01 80 F9 01 76 13 48 8B 13 0F BE C8 83 F9 FF 74 08 48 FF 0A E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 41 8A 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 41 88 3E 4C 3B 7B 10 74 09 48 8B 43 18 40 88 38 EB 03 40 B7 01 40 F6 DF 1B C0 83 E0 FC 83 C0 07 EB 94 }
	condition:
		$1
}

rule file_686_37_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 599
		refs = "003a __ImageBase 0042 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 004c ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0073 _getwche_nolock 00c2 _ungetwch_nolock 0161 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 016b ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B F8 48 8B DA 4C 8B F1 8B F7 41 BD FF FF 00 00 44 8D 67 01 41 0F B7 06 48 8D 0D ?? ?? ?? ?? 66 3B 84 0E ?? ?? ?? ?? 74 0E 66 3B 84 0E ?? ?? ?? ?? 0F 85 8D 00 00 00 4C 01 63 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 19 48 8B 2B E8 ?? ?? ?? ?? 0F B7 C8 66 41 3B C5 74 06 4C 01 65 00 EB 02 8B CF 48 83 C6 02 66 41 89 0E 48 83 FE 06 75 9D 48 FF 4B 10 BD FD FF 00 00 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 17 0F B7 C1 66 41 2B C4 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 4C 8B 6B 10 49 8D 45 01 48 89 43 10 48 39 7B 08 74 5A 48 3B 43 08 76 54 0F B7 C7 EB 68 41 0F B7 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 1C 0F B7 C1 BD FD FF 00 00 66 41 2B C4 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 66 41 89 3E 4C 3B 7B 10 74 07 48 8B 43 18 40 88 38 B8 07 00 00 00 E9 B6 00 00 00 48 8B 33 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 05 4C 01 26 EB 02 8B C7 66 41 89 06 48 8B F7 41 0F B7 06 48 8D 0D ?? ?? ?? ?? 66 3B 84 0E ?? ?? ?? ?? 74 0E 66 3B 84 0E ?? ?? ?? ?? 0F 85 90 00 00 00 4C 01 63 10 48 8B 43 10 48 39 7B 08 74 0B 48 3B 43 08 76 05 0F B7 CF EB 1C 4C 8B 3B E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 05 4D 01 27 EB 02 8B CF 48 83 C6 02 66 41 89 0E 48 83 FE 0A 75 9A 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 17 0F B7 C1 66 41 2B C4 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 41 0F B7 0E 48 FF 4B 10 48 8B 43 10 48 39 7B 08 74 06 48 3B 43 08 77 17 0F B7 C1 66 41 2B C4 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 66 41 89 3E 4C 3B 6B 10 74 09 48 8B 43 18 40 88 38 EB 03 41 8A FC 40 F6 DF 1B C0 83 E0 FC 83 C0 07 EB 91 }
	condition:
		$1
}

rule file_686_38_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 600
		refs = "0026 __ImageBase 003c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0046 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0069 _getche_nolock 00b2 _ungetch_nolock 00eb ??R<lambda_010354a0ba624beda16b647d91afbe6e>@@QEBA_NXZ 014c ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z 0196 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 4D 89 43 18 56 57 41 55 48 83 EC 40 49 8D 43 18 49 89 53 C8 49 89 43 D8 4C 8D 2D ?? ?? ?? ?? 48 8B DA 49 89 4B D0 48 8B F9 33 F6 8A 07 42 3A 84 2E ?? ?? ?? ?? 74 0E 42 3A 84 2E ?? ?? ?? ?? 0F 85 95 00 00 00 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 15 48 8B 2B E8 ?? ?? ?? ?? 8B C8 83 F8 FF 74 06 48 FF 45 00 EB 02 32 C9 48 FF C6 88 0F 48 83 FE 03 75 AF 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 44 24 70 48 FF C0 48 83 7B 08 00 48 89 43 10 74 06 48 3B 43 08 77 26 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 19 48 FF 06 EB 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 4C 01 00 00 32 C0 88 07 3C 28 74 19 48 8D 4C 24 20 E8 ?? ?? ?? ?? F6 D8 1B C0 83 E0 FD 83 C0 07 E9 2B 01 00 00 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 02 32 C0 48 8B D3 88 07 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 3B 8A 0F 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 B6 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 38 8A 0F 48 FF 4B 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 1A 8D 41 01 3C 01 76 13 48 8B 03 0F BE C9 83 F9 FF 74 08 48 FF 08 E8 ?? ?? ?? ?? B8 06 00 00 00 EB 6F 40 B5 29 40 38 2F 74 62 80 3F 00 74 54 0F BE 0F 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 FA FE FF FF 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 06 48 3B 43 08 77 12 48 8B 33 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 02 32 C0 88 07 40 3A C5 75 A7 40 38 2F 0F 85 C1 FE FF FF B8 04 00 00 00 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 40 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_686_39_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 672
		refs = "003c __ImageBase 0055 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0060 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0088 _getwche_nolock 00d7 _ungetwch_nolock 0106 ??R<lambda_a100d704ae63dafb338e20f72ea9fde9>@@QEBA_NXZ 0186 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z 01cd ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 4D 89 43 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 F6 49 89 53 B8 49 8D 43 18 49 89 4B C0 48 8B DA 49 89 43 C8 48 8B F9 4C 8D 25 ?? ?? ?? ?? 45 8D 7E 01 41 8B F6 41 BD FF FF 00 00 0F B7 07 66 42 3B 84 26 ?? ?? ?? ?? 74 0F 66 42 3B 84 26 ?? ?? ?? ?? 0F 85 96 00 00 00 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 CE EB 1A 48 8B 2B E8 ?? ?? ?? ?? 0F B7 C8 66 41 3B C5 74 06 4C 01 7D 00 EB 03 41 8B CE 48 83 C6 02 66 89 0F 48 83 FE 06 75 A2 48 FF 4B 10 BD FD FF 00 00 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 17 0F B7 C1 66 41 2B C7 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 84 24 80 00 00 00 48 FF C0 48 89 43 10 4C 39 73 08 74 20 48 3B 43 08 76 1A 41 0F B7 C6 EB 2A 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 6E 01 00 00 48 8B 33 E8 ?? ?? ?? ?? 66 41 3B C5 74 05 4C 01 3E EB 03 41 8B C6 66 89 07 66 83 F8 28 74 19 48 8D 4C 24 20 E8 ?? ?? ?? ?? F6 D8 1B C0 83 E0 FD 83 C0 07 E9 36 01 00 00 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 16 48 8B 33 E8 ?? ?? ?? ?? 66 41 3B C5 74 05 4C 01 3E EB 03 41 8B C6 48 8B D3 66 89 07 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 38 0F B7 0F 48 FF 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 17 0F B7 C1 66 41 2B C7 66 3B C5 77 0B 48 8B 03 48 FF 08 E8 ?? ?? ?? ?? B8 05 00 00 00 E9 BC 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 35 0F B7 0F 48 FF 4B 10 48 8B 43 10 4C 39 73 08 74 06 48 3B 43 08 77 17 0F B7 D1 66 41 2B D7 66 3B D5 77 0B 48 8B 13 48 FF 0A E8 ?? ?? ?? ?? B8 06 00 00 00 EB 78 66 83 3F 29 74 6D 66 44 39 37 74 5D 0F B7 0F 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 F9 FE FF FF 4C 01 7B 10 48 8B 43 10 4C 39 73 08 74 0C 48 3B 43 08 76 06 41 0F B7 C6 EB 16 48 8B 33 E8 ?? ?? ?? ?? 66 41 3B C5 74 05 4C 01 3E EB 03 41 8B C6 66 89 07 66 83 F8 29 75 9D 66 83 3F 29 0F 85 B6 FE FF FF B8 04 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_686_40_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 146
		refs = "001d __ImageBase 0030 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 003a ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0058 _getche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 4C 8D 3D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F1 41 8A 06 42 3A 84 3F ?? ?? ?? ?? 74 0A 42 3A 84 3F ?? ?? ?? ?? 75 37 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 06 48 3B 46 08 77 13 48 8B 2E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 45 00 EB 02 8A C3 48 FF C7 41 88 06 48 83 FF 04 75 B4 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_686_41_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 161
		refs = "001d __ImageBase 0032 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003d ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0060 _getwche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 4C 8D 3D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F1 41 0F B7 06 66 42 3B 84 3F ?? ?? ?? ?? 74 0B 66 42 3B 84 3F ?? ?? ?? ?? 75 43 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 0B 48 3B 46 08 76 05 0F B7 C3 EB 1A 48 8B 2E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 48 FF 45 00 EB 02 8B C3 48 83 C7 02 66 41 89 06 48 83 FF 08 75 A5 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_686_42_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 146
		refs = "001d __ImageBase 0030 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 003a ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0058 _getche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 4C 8D 3D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F1 41 8A 06 42 3A 84 3F ?? ?? ?? ?? 74 0A 42 3A 84 3F ?? ?? ?? ?? 75 37 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 06 48 3B 46 08 77 13 48 8B 2E E8 ?? ?? ?? ?? 83 F8 FF 74 06 48 FF 45 00 EB 02 8A C3 48 FF C7 41 88 06 48 83 FF 05 75 B4 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_686_43_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 161
		refs = "001d __ImageBase 0032 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003d ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0060 _getwche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 4C 8D 3D ?? ?? ?? ?? 8B FB 48 8B F2 4C 8B F1 41 0F B7 06 66 42 3B 84 3F ?? ?? ?? ?? 74 0B 66 42 3B 84 3F ?? ?? ?? ?? 75 43 48 FF 46 10 48 8B 46 10 48 39 5E 08 74 0B 48 3B 46 08 76 05 0F B7 C3 EB 1A 48 8B 2E E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 06 48 FF 45 00 EB 02 8B C3 48 83 C7 02 66 41 89 06 48 83 FF 0A 75 A5 B3 01 48 8B 6C 24 48 8A C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_686_46_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1150
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 0075 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0098 _getche_nolock 00c7 _isctype_l 0264 _ungetch_nolock 03af ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 ED 45 8A E1 45 8B F8 48 8B DA 4C 39 2A 74 06 4C 39 6A 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 74 09 4C 39 6B 10 75 03 44 88 28 33 C0 E9 01 04 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B 43 10 48 89 45 D0 48 FF C0 48 89 43 10 4C 39 6B 08 74 06 48 3B 43 08 77 14 48 8B 33 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 74 05 48 FF 06 EB 03 41 8A FD 41 BE 08 00 00 00 48 8B 45 E0 40 0F B6 CF 83 78 08 01 7E 0E 4C 8D 45 E0 41 8B D6 E8 ?? ?? ?? ?? EB 11 48 8B 45 E0 48 8B D1 48 8B 08 0F B7 04 51 41 23 C6 85 C0 74 2E 48 FF 43 10 48 8B 43 10 4C 39 6B 08 74 0B 48 3B 43 08 76 05 41 8A FD EB B6 48 8B 3B E8 ?? ?? ?? ?? 83 F8 FF 74 EE 48 FF 07 40 8A F8 EB A1 45 84 E4 41 8B F5 40 0F 95 C6 40 80 FF 2D 75 05 83 CE 02 EB 06 40 80 FF 2B 75 2C 48 FF 43 10 48 8B 43 10 4C 39 6B 08 74 06 48 3B 43 08 77 15 48 8B 3B E8 ?? ?? ?? ?? 83 F8 FF 74 08 48 FF 07 40 8A F8 EB 03 41 8A FD 4D 8B F5 41 F7 C7 EF FF FF FF 0F 85 01 01 00 00 8D 47 D0 3C 09 77 09 40 0F BE C7 83 C0 D0 EB 23 8D 47 9F 3C 19 77 09 40 0F BE C7 83 C0 A9 EB 13 8D 47 BF 3C 19 77 09 40 0F BE C7 83 C0 C9 EB 03 83 C8 FF 85 C0 74 18 41 B9 08 00 00 00 45 85 FF 0F 85 C1 00 00 00 45 8D 79 02 E9 B8 00 00 00 48 FF 43 10 48 8B 43 10 4C 39 6B 08 74 06 48 3B 43 08 77 60 4C 8B 23 E8 ?? ?? ?? ?? 8B D0 83 F8 FF 74 51 49 FF 04 24 8D 48 A8 F6 C1 DF 75 48 45 85 FF B8 10 00 00 00 44 0F 44 F8 48 FF 43 10 48 8B 43 10 4C 39 6B 08 74 0B 48 3B 43 08 76 05 41 8A FD EB 5E 48 8B 3B E8 ?? ?? ?? ?? 41 B9 08 00 00 00 83 F8 FF 74 08 48 FF 07 40 8A F8 EB 49 41 8A FD EB 44 41 8A D5 45 85 FF 41 B9 08 00 00 00 45 0F 44 F9 48 FF 4B 10 48 8B 43 10 4C 39 6B 08 74 06 48 3B 43 08 77 20 8D 42 01 3C 01 76 19 48 8B 03 0F BE CA 83 F9 FF 74 0E 48 FF 08 E8 ?? ?? ?? ?? 41 B9 08 00 00 00 4D 63 EF 33 D2 48 83 C8 FF 49 F7 F5 48 89 55 38 4C 8B E0 8D 4F D0 80 F9 09 77 0A 44 0F BE C7 41 83 C0 D0 EB 26 8D 47 9F 3C 19 77 0A 44 0F BE C7 41 83 C0 A9 EB 15 8D 47 BF 3C 19 77 0A 44 0F BE C7 41 83 C0 C9 EB 04 41 83 C8 FF 41 83 F8 FF 74 6D 45 3B C7 73 68 41 0B F1 4D 3B F4 72 0F 75 08 41 8B C0 48 3B C2 76 05 83 CE 04 EB 0D 49 8B CD 49 0F AF CE 45 8B F0 4C 03 F1 48 FF 43 10 48 83 7B 08 00 48 8B 43 10 74 0E 48 3B 43 08 76 08 40 32 FF E9 7C FF FF FF 48 8B 3B E8 ?? ?? ?? ?? 83 F8 FF 74 15 48 FF 07 40 8A F8 48 8B 55 38 41 B9 08 00 00 00 E9 5A FF FF FF 40 32 FF EB EC 49 83 CC FF 45 33 FF 4C 01 63 10 48 8B 43 10 4C 39 7B 08 74 06 48 3B 43 08 77 1B 8D 47 01 3C 01 76 14 48 8B 03 40 0F BE CF 41 3B CC 74 08 4C 01 20 E8 ?? ?? ?? ?? 40 F6 C6 08 75 41 48 8B 45 D0 48 3B 43 10 74 07 48 8B 43 18 44 88 38 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 0F 84 C1 FC FF FF 4C 39 7B 10 0F 85 B7 FC FF FF 44 88 38 E9 AF FC FF FF 49 8B D6 8B CE E8 ?? ?? ?? ?? 84 C0 74 7A E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C6 01 75 05 4D 8B F4 EB 6D 40 F6 C6 02 74 2F 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 7B 10 75 03 44 88 38 48 B8 00 00 00 00 00 00 00 80 EB 5E 44 38 7D F0 74 0B 48 8B 45 D8 83 A0 A8 03 00 00 FD 48 8B 43 18 48 85 C0 74 09 4C 39 7B 10 75 03 44 88 38 48 B8 FF FF FF FF FF FF FF 7F EB 2F 40 F6 C6 02 74 03 49 F7 DE 44 38 7D F0 74 0B 48 8B 4D D8 83 A1 A8 03 00 00 FD 48 8B 4B 18 48 85 C9 74 09 4C 39 7B 10 75 03 44 88 39 49 8B C6 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_686_47_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 2389
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 0079 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00ae _getwche_nolock 0108 iswctype 0556 _ungetwch_nolock 0862 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 45 33 F6 41 8A E9 45 8B E8 48 8B FA 4C 39 32 74 06 4C 39 72 18 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 18 48 85 C0 74 09 4C 39 77 10 75 03 44 88 30 33 C0 E9 D5 08 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 C9 48 8B D1 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 10 4D 8B E6 48 89 84 24 A0 00 00 00 BE 01 00 00 00 48 FF C0 41 BF FF FF 00 00 48 89 47 10 4C 39 77 08 74 06 48 3B 47 08 77 51 48 8B 37 E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C7 74 0C B8 01 00 00 00 48 01 06 8B F0 EB 38 41 8B DE BE 01 00 00 00 EB 2E 48 01 77 10 48 8B 47 10 4C 39 77 08 74 06 48 3B 47 08 77 16 48 8B 1F E8 ?? ?? ?? ?? 66 41 3B C7 74 08 48 01 33 0F B7 D8 EB 04 41 0F B7 DE BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 C1 40 84 ED 45 8B FE 41 0F 95 C7 66 83 FB 2D 75 06 41 83 CF 02 EB 06 66 83 FB 2B 75 20 48 01 77 10 48 8B 47 10 4C 39 77 08 0F 84 21 01 00 00 48 3B 47 08 0F 86 17 01 00 00 41 0F B7 DE BD FF FF 00 00 C7 84 24 E8 00 00 00 70 0A 00 00 B8 66 0A 00 00 C7 44 24 20 E6 0A 00 00 B9 30 00 00 00 C7 44 24 24 F0 0A 00 00 BA 10 FF 00 00 C7 44 24 28 66 0B 00 00 41 B8 60 06 00 00 C7 44 24 2C 70 0B 00 00 44 8D 58 80 C7 44 24 30 66 0C 00 00 41 B9 F0 06 00 00 C7 44 24 34 70 0C 00 00 41 BA 66 09 00 00 C7 44 24 38 E6 0C 00 00 C7 44 24 3C F0 0C 00 00 C7 44 24 40 66 0D 00 00 C7 44 24 44 70 0D 00 00 C7 44 24 48 50 0E 00 00 C7 44 24 4C 5A 0E 00 00 C7 44 24 50 D0 0E 00 00 C7 44 24 54 DA 0E 00 00 C7 44 24 58 20 0F 00 00 C7 44 24 5C 2A 0F 00 00 C7 44 24 60 40 10 00 00 C7 44 24 64 4A 10 00 00 C7 44 24 68 E0 17 00 00 C7 44 24 6C EA 17 00 00 C7 44 24 70 10 18 00 00 C7 44 24 74 1A 18 00 00 C7 44 24 78 1A FF 00 00 41 F7 C5 EF FF FF FF 0F 85 14 03 00 00 66 3B D9 0F 82 E6 01 00 00 66 83 FB 3A 73 30 0F B7 C3 2B C1 E9 D1 01 00 00 48 8B 1F E8 ?? ?? ?? ?? BD FF FF 00 00 66 3B C5 74 0B 48 01 33 0F B7 D8 E9 D5 FE FF FF 41 0F B7 DE E9 CC FE FF FF 66 3B DA 0F 83 91 01 00 00 66 41 3B D8 0F 82 9D 01 00 00 B9 6A 06 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C0 E9 83 01 00 00 66 41 3B D9 0F 82 7E 01 00 00 B9 FA 06 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C1 E9 64 01 00 00 66 41 3B DA 0F 82 5F 01 00 00 B9 70 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C2 E9 45 01 00 00 66 41 3B DB 0F 82 40 01 00 00 B9 F0 09 00 00 66 3B D9 73 0B 0F B7 C3 41 2B C3 E9 26 01 00 00 66 3B D8 0F 82 22 01 00 00 66 3B 9C 24 E8 00 00 00 73 0D 0F B7 C3 2D 66 0A 00 00 E9 06 01 00 00 8B 4C 24 20 66 3B D9 0F 82 FE 00 00 00 66 3B 5C 24 24 0F 82 13 FF FF FF 8B 4C 24 28 66 3B D9 0F 82 E6 00 00 00 66 3B 5C 24 2C 0F 82 FB FE FF FF 8B 4C 24 30 66 3B D9 0F 82 CE 00 00 00 66 3B 5C 24 34 0F 82 E3 FE FF FF 8B 4C 24 38 66 3B D9 0F 82 B6 00 00 00 66 3B 5C 24 3C 0F 82 CB FE FF FF 8B 4C 24 40 66 3B D9 0F 82 9E 00 00 00 66 3B 5C 24 44 0F 82 B3 FE FF FF 8B 4C 24 48 66 3B D9 0F 82 86 00 00 00 66 3B 5C 24 4C 0F 82 9B FE FF FF 8B 4C 24 50 66 3B D9 72 72 66 3B 5C 24 54 0F 82 87 FE FF FF 8B 4C 24 58 66 3B D9 72 5E 66 3B 5C 24 5C 0F 82 73 FE FF FF 8B 4C 24 60 66 3B D9 72 4A 66 3B 5C 24 64 0F 82 5F FE FF FF 8B 4C 24 68 66 3B D9 72 36 66 3B 5C 24 6C 0F 82 4B FE FF FF 8B 4C 24 70 66 3B D9 72 22 66 3B 5C 24 74 73 1B E9 36 FE FF FF 66 3B 5C 24 78 73 07 0F B7 C3 2B C2 EB 03 83 C8 FF 83 F8 FF 75 29 8D 43 BF 66 83 F8 19 76 0E 8D 43 9F 66 83 F8 19 76 05 83 C8 FF EB 12 8D 43 9F 66 83 F8 19 0F B7 C3 77 03 83 E8 20 83 C0 C9 85 C0 74 1C 41 B9 01 00 00 00 45 8D 51 07 45 85 ED 0F 85 F1 00 00 00 45 8D 69 09 E9 E8 00 00 00 48 01 77 10 48 8B 47 10 4C 39 77 08 74 0F 48 3B 47 08 76 09 41 0F B7 CE E9 81 00 00 00 48 8B 37 E8 ?? ?? ?? ?? 0F B7 C8 66 3B C5 74 64 41 B9 01 00 00 00 8D 41 A8 4C 01 0E BA DF FF 00 00 66 85 C2 75 58 45 85 ED 41 8D 41 0F 44 0F 44 E8 4C 01 4F 10 48 8B 47 10 4C 39 77 08 74 10 48 3B 47 08 76 0A 41 0F B7 DE 45 8D 51 07 EB 7C 48 8B 1F E8 ?? ?? ?? ?? 41 B9 01 00 00 00 45 8D 51 07 66 3B C5 74 08 4C 01 0B 0F B7 D8 EB 5D 41 0F B7 DE EB 57 41 8B CE BE 01 00 00 00 EB 03 49 8B F1 45 85 ED 41 BA 08 00 00 00 45 0F 44 EA 48 FF 4F 10 48 8B 47 10 4C 39 77 08 74 06 48 3B 47 08 77 23 0F B7 C1 41 BB FD FF 00 00 66 2B C6 66 41 3B C3 77 11 48 8B 07 48 FF 08 E8 ?? ?? ?? ?? 41 BA 08 00 00 00 41 B9 01 00 00 00 33 D2 49 63 ED 48 83 C8 FF 48 F7 F5 33 C9 4C 8B F2 48 8B F0 B8 30 00 00 00 66 3B D8 0F 82 9A 01 00 00 66 83 FB 3A 73 0C 44 0F B7 C3 44 2B C0 E9 82 01 00 00 B8 10 FF 00 00 66 3B D8 0F 83 65 01 00 00 B8 60 06 00 00 66 3B D8 0F 82 6C 01 00 00 8D 50 0A 66 3B DA 72 D0 B8 F0 06 00 00 66 3B D8 0F 82 56 01 00 00 8D 50 0A 66 3B DA 72 BA B8 66 09 00 00 66 3B D8 0F 82 40 01 00 00 8D 50 0A 66 3B DA 72 A4 8D 42 76 66 3B D8 0F 82 2C 01 00 00 8D 50 0A 66 3B DA 72 90 8D 42 76 66 3B D8 0F 82 18 01 00 00 66 3B 9C 24 E8 00 00 00 0F 82 76 FF FF FF 8B 44 24 20 66 3B D8 0F 82 FD 00 00 00 66 3B 5C 24 24 0F 82 5E FF FF FF 8B 44 24 28 66 3B D8 0F 82 E5 00 00 00 66 3B 5C 24 2C 0F 82 46 FF FF FF 8B 44 24 30 66 3B D8 0F 82 CD 00 00 00 66 3B 5C 24 34 0F 82 2E FF FF FF 8B 44 24 38 66 3B D8 0F 82 B5 00 00 00 66 3B 5C 24 3C 0F 82 16 FF FF FF 8B 44 24 40 66 3B D8 0F 82 9D 00 00 00 66 3B 5C 24 44 0F 82 FE FE FF FF 8B 44 24 48 66 3B D8 0F 82 85 00 00 00 66 3B 5C 24 4C 0F 82 E6 FE FF FF 8B 44 24 50 66 3B D8 72 71 66 3B 5C 24 54 0F 82 D2 FE FF FF 8B 44 24 58 66 3B D8 72 5D 66 3B 5C 24 5C 0F 82 BE FE FF FF 8B 44 24 60 66 3B D8 72 49 66 3B 5C 24 64 0F 82 AA FE FF FF 8B 44 24 68 66 3B D8 72 35 66 3B 5C 24 6C 0F 82 96 FE FF FF 8B 44 24 70 66 3B D8 72 21 66 3B 5C 24 74 73 1A E9 81 FE FF FF 66 3B 5C 24 78 0F 82 76 FE FF FF 41 83 C8 FF 41 83 F8 FF 75 2D 8D 43 BF 66 83 F8 19 76 0F 8D 43 9F 66 83 F8 19 76 06 41 83 C8 FF EB 15 8D 43 9F 44 0F B7 C3 66 83 F8 19 77 04 41 83 E8 20 41 83 C0 C9 41 83 F8 FF 74 7A 45 3B C5 73 75 45 0B FA 4C 3B E6 72 10 75 08 41 8B C0 49 3B C6 76 06 41 83 CF 04 EB 0F 48 8B CD 49 0F AF CC 45 8B E0 4C 03 E1 33 C9 4C 01 4F 10 48 8B 47 10 48 39 4F 08 74 0E 48 3B 47 08 76 08 0F B7 D9 E9 DD FD FF FF 48 8B 1F E8 ?? ?? ?? ?? B9 FF FF 00 00 41 B9 01 00 00 00 66 3B C1 74 13 4C 01 0B 0F B7 D8 33 C9 41 BA 08 00 00 00 E9 B2 FD FF FF 33 C9 0F B7 D9 EB EE 48 FF 4F 10 33 F6 48 8B 47 10 48 39 77 08 74 06 48 3B 47 08 77 1F 0F B7 C3 B9 FD FF 00 00 66 41 2B C1 66 3B C1 77 0E 48 8B 07 0F B7 CB 48 FF 08 E8 ?? ?? ?? ?? B8 08 00 00 00 44 84 F8 75 4D 48 8B 84 24 A0 00 00 00 48 3B 47 10 74 07 48 8B 47 18 40 88 30 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 0F 84 0F F8 FF FF 48 39 77 10 0F 85 05 F8 FF FF 40 88 30 E9 FD F7 FF FF 49 8B D4 41 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 01 00 00 00 44 84 F8 75 06 49 83 CC FF EB 7D 41 F6 C7 02 74 37 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 48 39 77 10 75 03 40 88 30 48 B8 00 00 00 00 00 00 00 80 EB 6E 40 38 B4 24 98 00 00 00 74 0F 48 8B 84 24 80 00 00 00 83 A0 A8 03 00 00 FD 48 8B 47 18 48 85 C0 74 09 48 39 77 10 75 03 40 88 30 48 B8 FF FF FF FF FF FF FF 7F EB 37 41 F6 C7 02 74 03 49 F7 DC 40 38 B4 24 98 00 00 00 74 0F 48 8B 8C 24 80 00 00 00 83 A1 A8 03 00 00 FD 48 8B 4F 18 48 85 C9 74 09 48 39 77 10 75 03 40 88 31 49 8B C4 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_686_48_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEBD0_KAEADAEAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 165
		refs = "0061 _getche_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F1 4D 8B E0 48 8B DA 48 8B E9 4D 85 C0 74 52 48 8B 7C 24 60 48 2B EA 4C 8B FA 49 F7 DF 41 8A 06 3A 04 2B 74 04 3A 03 75 59 48 FF 47 10 48 83 7F 08 00 48 8B 47 10 74 06 48 3B 47 08 77 12 48 8B 37 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 06 EB 02 32 C0 48 FF C3 41 88 06 49 8D 04 1F 49 3B C4 75 BC B0 01 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 32 C0 EB DD }
	condition:
		$1
}

rule file_686_49_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQEB_W0_KAEA_WAEAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 178
		refs = "0069 _getwche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 ED 4D 8B F9 4D 8B E0 48 8B DA 4C 8B F1 41 8B ED 4D 85 C0 74 5C 48 8B 7C 24 70 4C 2B F2 41 0F B7 07 66 41 3B 04 1E 74 05 66 3B 03 75 63 48 FF 47 10 48 8B 47 10 4C 39 6F 08 74 0C 48 3B 47 08 76 06 41 0F B7 C5 EB 1A 48 8B 37 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 05 48 FF 06 EB 03 41 8B C5 48 FF C5 66 41 89 07 48 83 C3 02 49 3B EC 75 AC B0 01 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 32 C0 EB DF }
	condition:
		$1
}

rule file_686_50_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 156
		refs = "002e ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAM@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 30 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 68 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 45 83 F8 01 74 40 40 38 7B 2A 74 04 B0 01 EB 38 48 83 43 70 08 48 8B 43 70 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 FF 43 78 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_51_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 156
		refs = "002e ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAM@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 30 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F3 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 50 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 45 83 F8 01 74 40 40 38 7B 2C 74 04 B0 01 EB 38 48 83 43 58 08 48 8B 43 58 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 FF 43 60 40 B7 01 8B 44 24 58 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_52_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 158
		refs = "002e ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAN@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 30 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 68 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 47 83 F8 01 74 42 40 38 7B 2A 74 04 B0 01 EB 3A 48 83 43 70 08 48 8B 43 70 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0F 48 8B 44 24 58 40 B7 01 48 FF 43 78 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_53_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 158
		refs = "002e ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 003f ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAN@Z 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 18 57 48 83 EC 40 4C 8B 41 30 48 8D 51 08 48 8B D9 4C 8D 48 08 0F 57 C0 48 8D 48 D8 33 FF F2 0F 11 40 10 40 88 78 08 E8 ?? ?? ?? ?? 48 8B 4B 50 4C 8D 44 24 58 48 8B D0 E8 ?? ?? ?? ?? 40 38 7C 24 50 74 47 83 F8 01 74 42 40 38 7B 2C 74 04 B0 01 EB 3A 48 83 43 58 08 48 8B 43 58 48 8B 48 F8 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 0F 48 8B 44 24 58 40 B7 01 48 FF 43 60 48 89 01 40 8A C7 EB 02 32 C0 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_54_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 417
		refs = "003d _errno 0048 _invalid_parameter_noinfo 0074 _getche_nolock 014e _ungetch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 F6 44 8B F2 48 8B D9 40 38 71 2A 75 3B 48 83 41 70 08 48 8B 41 70 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 31 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 70 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 23 F6 01 04 74 11 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 08 C6 06 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BB 4C 8B 69 30 4C 8B E6 4C 8B FF 85 D2 74 0A 48 83 FF FF 74 04 4C 8D 7F FF 33 ED 4D 85 ED 74 09 49 3B ED 0F 84 99 00 00 00 E8 ?? ?? ?? ?? 44 8B C0 83 F8 FF 74 7A 48 FF 43 08 41 8B CE 45 85 F6 74 42 83 E9 01 74 2E 83 F9 07 75 64 41 0F B6 C0 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 41 0F B6 C0 48 C1 E8 03 D3 E2 84 54 18 44 EB 0D 41 8D 40 F7 83 F8 04 76 32 41 83 F8 20 74 2C 80 7B 2A 00 75 0F 4D 85 FF 74 12 45 88 04 24 49 FF C4 49 FF CF 48 FF C5 E9 7A FF FF FF 48 83 FF FF 0F 84 49 FF FF FF E9 41 FF FF FF 41 83 F8 FF 74 0C 48 FF 4B 08 41 8B C8 E8 ?? ?? ?? ?? 48 85 ED 0F 84 F1 FE FF FF 45 85 F6 75 0E 49 3B ED 74 09 F6 03 04 0F 84 DE FE FF FF 80 7B 2A 00 75 0E 45 85 F6 74 05 41 C6 04 24 00 48 FF 43 78 B0 01 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_686_55_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
		size = 482
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 006c _getwche_nolock 0109 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z 014c ?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEAD_KAEAPEADAEA_K_W@Z 0189 _ungetwch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 F6 44 8B E2 48 8B D9 40 38 71 2C 75 3B 48 83 41 58 08 48 8B 41 58 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 7F 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 58 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 2A F6 01 04 74 18 E8 ?? ?? ?? ?? 41 BD FF FF 00 00 66 41 3B C5 74 04 48 FF 43 08 C6 06 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B4 48 8B 41 30 4C 8B F7 48 89 84 24 80 00 00 00 48 89 74 24 30 48 89 BC 24 98 00 00 00 85 D2 74 12 48 83 FF FF 74 0C 4C 8D 77 FF 4C 89 B4 24 98 00 00 00 45 33 FF 41 BD FF FF 00 00 48 85 C0 74 09 4C 3B F8 0F 84 BC 00 00 00 E8 ?? ?? ?? ?? 0F B7 E8 66 41 3B C5 0F 84 90 00 00 00 48 FF 43 08 41 8B CC 45 85 E4 74 29 83 E9 01 74 15 83 F9 07 75 7A 48 8D 4B 48 0F B7 D0 E8 ?? ?? ?? ?? 84 C0 EB 0D 8D 45 F7 66 83 F8 04 76 61 66 83 FD 20 74 5B 80 7B 2C 00 75 36 4D 85 F6 74 41 48 8D 84 24 98 00 00 00 66 89 6C 24 28 4C 8D 4C 24 30 48 89 44 24 20 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 39 4C 8B B4 24 98 00 00 00 48 8B 84 24 80 00 00 00 49 FF C7 E9 5F FF FF FF 48 83 FF FF 0F 84 0D FF FF FF E9 05 FF FF FF 66 41 3B ED 74 0C 48 FF 4B 08 0F B7 CD E8 ?? ?? ?? ?? 48 8B 84 24 80 00 00 00 4D 85 FF 0F 84 A6 FE FF FF 45 85 E4 75 0E 4C 3B F8 74 09 F6 03 04 0F 84 93 FE FF FF 80 7B 2C 00 75 11 45 85 E4 74 08 48 8B 44 24 30 C6 00 00 48 FF 43 60 B0 01 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_686_56_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 473
		refs = "0039 _errno 0044 _invalid_parameter_noinfo 0070 _getche_nolock 0155 ?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z 0187 _ungetch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 44 8B FA 48 8B D9 41 8B F5 44 38 69 2A 75 3B 48 83 41 70 08 48 8B 41 70 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 75 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 70 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 24 F6 01 04 74 12 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 08 66 44 89 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BA 4C 8B 61 30 48 8B EF 48 89 B4 24 88 00 00 00 48 89 7C 24 70 85 D2 74 0F 48 83 FF FF 74 09 48 8D 6F FF 48 89 6C 24 70 4D 8B F5 4D 85 E4 74 09 4D 3B F4 0F 84 C5 00 00 00 E8 ?? ?? ?? ?? 44 8B C0 83 F8 FF 0F 84 A2 00 00 00 48 FF 43 08 41 8B CF 45 85 FF 74 46 83 E9 01 74 32 83 F9 07 0F 85 88 00 00 00 41 0F B6 C0 25 07 00 00 80 7D 07 FF C8 83 C8 F8 FF C0 8A C8 BA 01 00 00 00 41 0F B6 C0 48 C1 E8 03 D3 E2 84 54 18 44 EB 0D 41 8D 40 F7 83 F8 04 76 56 41 83 F8 20 74 50 44 38 6B 2A 75 33 48 85 ED 74 36 44 88 44 24 28 48 8D 44 24 70 4C 8B C7 48 89 44 24 20 4C 8D 8C 24 88 00 00 00 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 2E 48 8B 6C 24 70 49 FF C6 E9 4E FF FF FF 48 83 FF FF 0F 84 0D FF FF FF E9 04 FF FF FF 41 83 F8 FF 74 0C 48 FF 4B 08 41 8B C8 E8 ?? ?? ?? ?? 4D 85 F6 0F 84 B4 FE FF FF 45 85 FF 75 0E 4D 3B F4 74 09 F6 03 04 0F 84 A1 FE FF FF 44 38 6B 2A 75 15 45 85 FF 74 0C 48 8B 84 24 88 00 00 00 66 44 89 28 48 FF 43 78 B0 01 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_686_57_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z"
		size = 442
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 006d _getwche_nolock 00fb ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z 0166 _ungetwch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 44 8B FA 48 8B D9 33 D2 8B F2 38 51 2C 75 3B 48 83 41 58 08 48 8B 41 58 48 8B 70 F8 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 E9 59 01 00 00 F6 01 01 74 0D 48 83 C0 08 48 89 41 58 8B 78 F8 EB 04 48 83 CF FF 48 85 FF 75 2C F6 01 04 74 1A E8 ?? ?? ?? ?? 41 BC FF FF 00 00 66 41 3B C4 74 04 48 FF 43 08 33 C0 66 89 06 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B2 48 8B 49 30 48 8B C6 48 89 4C 24 78 4C 8B EF 48 89 44 24 60 45 85 FF 74 0A 48 83 FF FF 74 04 4C 8D 6F FF 4C 8B F2 41 BC FF FF 00 00 48 85 C9 74 09 4C 3B F1 0F 84 A9 00 00 00 E8 ?? ?? ?? ?? 33 D2 0F B7 E8 66 41 3B C4 74 7B 48 FF 43 08 41 8B CF 45 85 FF 74 2B 83 E9 01 74 17 83 F9 07 75 65 48 8D 4B 48 0F B7 D0 E8 ?? ?? ?? ?? 33 D2 84 C0 EB 0D 8D 45 F7 66 83 F8 04 76 4A 66 83 FD 20 74 44 38 53 2C 75 1B 4D 85 ED 74 28 48 8B 44 24 60 66 89 28 48 83 C0 02 48 89 44 24 60 49 FF CD EB 05 48 8B 44 24 60 48 8B 4C 24 78 49 FF C6 E9 79 FF FF FF 48 83 FF FF 0F 84 36 FF FF FF 66 89 16 E9 2E FF FF FF 66 41 3B EC 74 0E 48 FF 4B 08 0F B7 CD E8 ?? ?? ?? ?? 33 D2 48 8B 4C 24 78 48 8B 44 24 60 4D 85 F6 0F 84 C6 FE FF FF 45 85 FF 75 0E 4C 3B F1 74 09 F6 03 04 0F 84 B3 FE FF FF 38 53 2C 75 0C 45 85 FF 74 03 66 89 10 48 FF 43 60 B0 01 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_686_62_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
		size = 127
		refs = "001b _getche_nolock 0046 _isctype_l 0059 __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B FA 48 8B E9 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 42 48 FF 45 00 0F B6 F3 48 85 FF 74 26 48 8B 07 83 78 08 01 7E 11 4C 8B C7 BA 08 00 00 00 8B CE E8 ?? ?? ?? ?? EB 18 48 8B 00 48 63 CE 0F B7 04 48 EB 09 E8 ?? ?? ?? ?? 0F B7 04 70 83 E0 08 85 C0 75 B2 48 8B 6C 24 38 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_63_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
		size = 65
		refs = "000e _getwche_nolock 002b iswctype"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 14 48 FF 07 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 DA 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_68_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 58
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 70 08 48 8B 41 70 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0B 48 FF 41 78 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_69_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBM@Z"
		size = 58
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 58 08 48 8B 41 58 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0B 48 FF 41 60 B0 01 8B 0A 41 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_70_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 59
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 70 08 48 8B 41 70 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0C 48 FF 41 78 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_71_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NAEBN@Z"
		size = 59
		refs = "0017 _errno 0022 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 83 41 58 08 48 8B 41 58 4C 8B 40 F8 4D 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 0C 48 FF 41 60 B0 01 48 8B 0A 49 89 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_85_0 {
	meta:
		name = "??0?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$console_input_adapter@D@1@_KQEBDQEAU__crt_locale_pointers@@QEAD@Z"
		size = 116
		refs = "002a memset"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 89 01 48 8B D9 48 8B 02 33 D2 48 89 41 08 83 61 20 00 4C 89 41 10 4C 89 49 18 44 8D 42 20 48 83 C1 44 E8 ?? ?? ?? ?? 83 63 24 00 66 83 63 28 00 48 83 63 30 00 83 63 38 00 83 63 40 00 48 8B 44 24 50 C6 43 2A 00 C6 43 3C 00 48 83 63 78 00 48 83 A3 80 00 00 00 00 48 89 43 68 48 8B 44 24 58 48 89 43 70 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_86_0 {
	meta:
		name = "??0?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@AEBV?$console_input_adapter@_W@1@_KQEB_WQEAU__crt_locale_pointers@@QEAD@Z"
		size = 77
	strings:
		$1 = { 4C 89 01 48 8B 02 33 D2 48 89 41 08 48 8B 44 24 28 4C 89 41 10 4C 89 49 18 48 89 51 20 48 89 51 48 89 51 28 88 51 2C 48 89 51 30 89 51 38 88 51 3C 89 51 40 48 89 41 50 48 8B 44 24 30 48 89 41 58 48 8B C1 48 89 51 60 48 89 51 68 C3 }
	condition:
		$1
}

rule file_686_100_0 {
	meta:
		name = "??1?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAA@XZ"
		size = 29
		refs = "000e _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 48 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_143_0 {
	meta:
		name = "?get@?$console_input_adapter@D@__crt_stdio_input@@QEAAHXZ"
		size = 28
		refs = "000a _getche_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 F8 FF 74 03 48 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_144_0 {
	meta:
		name = "?get@?$console_input_adapter@_W@__crt_stdio_input@@QEAAGXZ"
		size = 33
		refs = "000a _getwche_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 03 48 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_145_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAADXZ"
		size = 53
		refs = "001f _getche_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 FF 41 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 12 48 8B 19 E8 ?? ?? ?? ?? 83 F8 FF 74 05 48 FF 03 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_146_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAA_WXZ"
		size = 69
		refs = "0024 _getwche_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 FF 41 10 33 FF 48 8B 51 10 48 39 79 08 74 06 48 3B 51 08 77 17 48 8B 19 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 05 48 FF 03 EB 03 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_149_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@H@Z"
		size = 91
	strings:
		$1 = { 4C 8B C9 41 83 F8 FF 75 03 32 C0 C3 85 D2 74 45 83 EA 01 74 2F 83 FA 07 75 EF 41 0F B6 C0 BA 01 00 00 00 25 07 00 00 80 7D 07 2B C2 83 C8 F8 03 C2 8A C8 41 0F B6 C0 48 C1 E8 03 D2 E2 42 84 54 08 44 EB 0D 41 8D 40 F7 83 F8 04 76 BC 41 83 F8 20 0F 95 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_686_150_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEBA_NW4conversion_mode@2@G@Z"
		size = 77
		refs = "002a ?test@?$scanset_buffer@_W@__crt_stdio_input@@QEBA_N_W@Z"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 44 3B C0 75 04 32 C0 EB 35 85 D2 74 2F 83 EA 01 74 16 83 FA 07 75 EE 48 83 C1 48 41 0F B7 D0 E8 ?? ?? ?? ?? 84 C0 EB 0F 41 8D 40 F7 66 83 F8 04 76 D3 66 41 83 F8 20 0F 95 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_182_0 {
	meta:
		name = "?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 170
		refs = "001a _errno 0034 ?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0041 ?advance@?$format_string_parser@D@__crt_stdio_input@@QEAA_NXZ 0057 _getche_nolock 0076 _ungetch_nolock 0090 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 79 18 00 48 8B D9 75 11 E8 ?? ?? ?? ?? 48 83 CF FF C7 00 16 00 00 00 EB 65 48 83 C1 10 EB 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 10 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 BB 80 00 00 00 00 8B 73 78 75 24 E8 ?? ?? ?? ?? 48 83 CF FF 3B C7 74 06 48 FF 43 08 EB 02 8B F7 3B C7 74 0B 48 01 7B 08 8B C8 E8 ?? ?? ?? ?? F6 03 01 74 19 8B 5B 20 85 DB 74 12 E8 ?? ?? ?? ?? 8B FE 89 18 E8 ?? ?? ?? ?? 8B C7 EB 02 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_183_0 {
	meta:
		name = "?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QEAAHXZ"
		size = 175
		refs = "001a _errno 0034 ?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0041 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QEAA_NXZ 0054 _getwche_nolock 007b _ungetwch_nolock 0095 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 79 18 00 48 8B D9 75 11 E8 ?? ?? ?? ?? 48 83 CF FF C7 00 16 00 00 00 EB 6A 48 83 C1 10 EB 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0D 48 8D 4B 10 E8 ?? ?? ?? ?? 84 C0 75 E7 48 83 7B 68 00 8B 73 60 75 2C E8 ?? ?? ?? ?? B9 FF FF 00 00 48 83 CF FF 66 3B C1 74 06 48 FF 43 08 EB 02 8B F7 66 3B C1 74 0C 48 01 7B 08 0F B7 C8 E8 ?? ?? ?? ?? F6 03 01 74 19 8B 5B 20 85 DB 74 12 E8 ?? ?? ?? ?? 8B FE 89 18 E8 ?? ?? ?? ?? 8B C7 EB 02 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_184_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 21
		refs = "0011 ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 2A 00 74 03 B0 01 C3 48 8B 51 08 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_686_185_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 21
		refs = "0011 ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 80 79 2C 00 74 03 B0 01 C3 48 8B 51 08 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_686_186_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 389
		refs = "005f ?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 006d ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0086 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0095 ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00e5 ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 012b ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 013a _ungetch_nolock 0157 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0164 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0176 ?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 40 48 8B D9 83 FA 05 0F 8F 95 00 00 00 0F 84 85 00 00 00 33 FF 85 D2 74 43 83 EA 01 74 2F 83 EA 01 74 26 83 EA 01 74 11 83 FA 01 0F 85 89 00 00 00 8D 57 08 E9 2D 01 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 20 01 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 12 01 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 E9 D6 00 00 00 BA 0A 00 00 00 E9 C4 00 00 00 83 EA 06 0F 84 B6 00 00 00 83 EA 01 74 63 83 EA 01 74 2D 83 FA 01 74 07 32 C0 E9 AD 00 00 00 33 FF 40 38 79 2A 74 08 8D 47 01 E9 9D 00 00 00 48 8B 51 08 45 33 C0 E8 ?? ?? ?? ?? E9 8C 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 16 48 83 E8 01 74 04 33 FF EB 95 45 33 C0 41 8D 50 08 E9 6F FF FF FF 45 33 C0 41 8D 50 08 E9 72 FF FF FF 48 8B 51 68 48 8D 79 08 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 0A 48 FF 0F 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 83 F8 04 74 13 48 83 F8 08 75 B0 48 8B CB E8 ?? ?? ?? ?? E9 39 FF FF FF 48 8B CB E8 ?? ?? ?? ?? E9 2C FF FF FF BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_187_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 285
		refs = "0057 ?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z 0065 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 007e ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 008d ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z 00cd ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z 00ff ?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 010e ?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 40 48 8B D9 83 FA 05 0F 8F 87 00 00 00 74 7E 33 FF 85 D2 74 3F 83 EA 01 74 2B 83 EA 01 74 22 83 EA 01 74 0D 83 FA 01 75 7F 8D 57 08 E9 CD 00 00 00 BA 0A 00 00 00 41 B8 01 00 00 00 E9 C0 00 00 00 33 D2 EB F1 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 15 48 83 E8 01 75 1F 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 40 8A C7 EB 79 BA 0A 00 00 00 EB 6A 83 EA 06 74 60 83 EA 01 74 54 83 EA 01 74 24 83 FA 01 74 04 32 C0 EB 5A 33 FF 40 38 79 2C 74 05 8D 47 01 EB 4D 48 8B 51 08 45 33 C0 E8 ?? ?? ?? ?? EB 3F 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 13 48 83 E8 01 74 04 33 FF EB A8 45 33 C0 41 8D 50 08 EB 85 45 33 C0 41 8D 50 08 EB 8B E8 ?? ?? ?? ?? EB 0D BA 10 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_188_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 96
		refs = "0016 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0026 _ungetch_nolock 002f ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0047 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0051 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 68 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0B 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_189_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 102
		refs = "0016 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 002c _ungetwch_nolock 0035 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 004d ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 0057 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 50 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0C 48 FF 4B 08 0F B7 C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 83 F8 04 74 14 48 83 F8 08 74 04 32 C0 EB 12 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_190_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 160
		refs = "0028 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0037 _ungetch_nolock 0052 ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QEAV?$console_input_adapter@D@__crt_stdio_input@@_KQEA_N@Z 0064 ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0087 ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 68 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 48 FF 0F 8B C8 E8 ?? ?? ?? ?? 4C 8B 43 30 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 68 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 2A 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_191_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NI_N@Z"
		size = 166
		refs = "0028 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 003d _ungetwch_nolock 0058 ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QEAV?$console_input_adapter@_W@__crt_stdio_input@@_KQEA_N@Z 006a ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQEAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 008d ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 8B EA 48 8D 79 08 48 8B 51 50 48 8B D9 48 8B CF 41 8A F0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0B 48 FF 0F 0F B7 C8 E8 ?? ?? ?? ?? 4C 8B 43 30 4C 8D 4C 24 50 48 8B D7 C6 44 24 50 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 50 48 8B D0 44 8A CE 44 8B C5 E8 ?? ?? ?? ?? 80 7C 24 50 00 75 04 32 C0 EB 18 80 7B 2C 00 74 04 B0 01 EB 0E 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_686_192_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 65
		refs = "000a _getche_nolock 0026 _ungetch_nolock 003d ?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 F8 FF 74 17 48 FF 43 08 0F B6 53 28 3B C2 74 13 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 8A D0 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_686_193_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 58
		refs = "000a _getwche_nolock 002a _ungetwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 16 48 FF 43 08 66 3B 43 28 74 14 48 FF 4B 08 0F B7 C8 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 B0 01 EB F6 }
	condition:
		$1
}

rule file_686_194_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z"
		size = 105
		refs = "0011 __pctype_func 0021 _getche_nolock 0042 _ungetch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B6 FA 48 8B D9 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 3C E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 08 0F B6 4B 29 3B C1 74 26 83 F8 FF 74 0B 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? 40 0F BE CF 83 F9 FF 74 09 48 FF 4B 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_196_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 149
		refs = "0023 ?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 003b _getche_nolock 0057 _ungetch_nolock 0065 ?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_ND@Z 0074 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 24 83 E9 02 74 56 83 E9 01 74 20 83 F9 01 75 3C 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 07 48 FF 83 80 00 00 00 8A C1 EB 50 E8 ?? ?? ?? ?? 83 F8 FF 74 17 48 FF 43 08 0F B6 4B 28 3B C1 74 0F 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? 32 C0 EB 2B 8A D0 48 8B CB E8 ?? ?? ?? ?? EB 1F 48 8B 53 68 48 8D 4B 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0B 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_197_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 157
		refs = "0023 ?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ 003d _getwche_nolock 0062 _ungetwch_nolock 0073 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 49 24 83 E9 02 74 55 83 E9 01 74 22 83 F9 01 75 47 48 8B CB E8 ?? ?? ?? ?? 8A C8 32 C0 84 C9 74 09 B8 01 00 00 00 48 01 43 68 8A C1 EB 56 E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 18 B8 01 00 00 00 48 01 43 08 66 3B 4B 28 74 35 48 FF 4B 08 E8 ?? ?? ?? ?? 32 C0 EB 28 48 8B 53 50 48 8D 4B 08 E8 ?? ?? ?? ?? 0F B7 C8 B8 FF FF 00 00 66 3B C8 74 09 48 FF 4B 08 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_198_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 123
		refs = "0022 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0032 _ungetch_nolock 003b ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ 0058 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 0067 ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B D9 83 FA 01 75 1D 48 8B 51 68 48 83 C1 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0B 48 FF 4B 08 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_199_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@2@@Z"
		size = 129
		refs = "0022 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0038 _ungetwch_nolock 0041 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ 005e ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@_W@Z 006d ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B D9 83 FA 01 75 23 48 8B 51 50 48 83 C1 08 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0C 48 FF 4B 08 0F B7 C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 19 48 83 E8 01 74 04 32 C0 EB 1C 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0D 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_200_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 45
		refs = "0012 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAEAV?$console_input_adapter@D@0@QEAU__crt_locale_pointers@@@Z 0021 _ungetch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 68 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 0A 48 FF 0B 8B C8 E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_201_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NXZ"
		size = 51
		refs = "0012 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAEAV?$console_input_adapter@_W@0@QEAU__crt_locale_pointers@@@Z 0027 _ungetwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 50 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0B 48 FF 0B 0F B7 C8 E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_686_248_0 {
	meta:
		name = "?unget@?$console_input_adapter@D@__crt_stdio_input@@QEAAXH@Z"
		size = 24
		refs = "000f _ungetch_nolock"
	strings:
		$1 = { 48 83 EC 28 83 FA FF 74 0A 48 FF 09 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_249_0 {
	meta:
		name = "?unget@?$console_input_adapter@_W@__crt_stdio_input@@QEAAXG@Z"
		size = 30
		refs = "0015 _ungetwch_nolock"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 3B D0 74 0B 48 FF 09 0F B7 CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_250_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QEAAXD@Z"
		size = 58
		refs = "0031 _ungetch_nolock"
	strings:
		$1 = { 48 83 EC 28 48 FF 49 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 1C 8D 42 01 3C 01 76 15 48 8B 01 0F BE D2 83 FA FF 74 0A 48 FF 08 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_251_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QEAAX_W@Z"
		size = 59
		refs = "0032 _ungetwch_nolock"
	strings:
		$1 = { 48 83 EC 28 48 FF 49 10 48 83 79 08 00 48 8B 41 10 74 06 48 3B 41 08 77 1D 8D 42 FF 41 B8 FD FF 00 00 66 41 3B C0 77 0E 48 8B 01 0F B7 CA 48 FF 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_686_262_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_NQEFA_W_KAEAPEFA_WAEA_KD@Z"
		size = 145
		refs = "0024 __pctype_func 0034 _getche_nolock 0065 _mbtowc_l"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 20 0F B6 7C 24 58 49 8B F1 40 88 78 30 48 8B D9 C6 40 31 00 E8 ?? ?? ?? ?? B9 00 80 00 00 66 85 0C 78 74 12 E8 ?? ?? ?? ?? 83 F8 FF 74 04 48 FF 43 08 88 44 24 59 4C 8B 4B 68 48 8D 54 24 58 B9 3F 00 00 00 66 89 4C 24 30 49 8B 09 4C 63 41 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 0E B0 01 48 8B 5C 24 38 40 0F BE D7 66 89 11 48 83 06 02 48 8B 4C 24 50 48 8B 74 24 40 48 FF 09 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_265_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 123
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0041 ?length@?$format_string_parser@D@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 41 70 08 48 8B FA 48 8B 41 70 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 3D 45 84 C0 74 04 48 FF 41 78 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 D2 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_686_266_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AEAA_N_K_N@Z"
		size = 123
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0041 ?length@?$format_string_parser@_W@__crt_stdio_input@@QEBA_KXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 41 58 08 48 8B FA 48 8B 41 58 48 8B 58 F8 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 32 C0 EB 3D 45 84 C0 74 04 48 FF 41 60 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 E8 01 74 20 48 83 E8 01 74 15 48 83 E8 02 74 0B 48 83 E8 04 75 D2 48 89 3B EB 0C 89 3B EB 08 66 89 3B EB 03 40 88 3B B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_687_0_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z"
		size = 667
		refs = "000c _commode 01d8 ?ccs@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 01e0 strncmp 0210 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 0218 _strnicmp 0233 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 0256 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z@4QBDB 027e _errno 0289 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 8B 05 ?? ?? ?? ?? 48 8B F9 33 C9 48 8B DA 80 3A 20 48 89 4C 24 20 F2 0F 10 44 24 20 F2 0F 11 07 89 4F 08 89 47 04 75 08 48 FF C3 80 3B 20 74 F8 80 3B 61 74 21 80 3B 72 74 11 80 3B 77 0F 85 30 02 00 00 C7 07 01 03 00 00 EB 11 21 0F C7 47 04 01 00 00 00 EB 0D C7 07 09 01 00 00 C7 47 04 02 00 00 00 48 FF C3 45 32 C9 45 32 DB 45 32 D2 45 32 C0 B2 01 80 3B 00 0F 84 24 01 00 00 0F BE 0B 83 F9 53 0F 8F 99 00 00 00 0F 84 83 00 00 00 83 E9 20 0F 84 F7 00 00 00 83 E9 0B 74 49 83 E9 01 74 3C 83 E9 18 74 25 83 E9 0A 74 17 83 F9 04 0F 85 BE 01 00 00 45 84 D2 0F 85 C5 00 00 00 83 0F 10 EB 57 0F BA 2F 07 E9 C1 00 00 00 8B 07 A8 40 0F 85 AD 00 00 00 83 C8 40 E9 AD 00 00 00 41 B0 01 E9 9D 00 00 00 45 84 DB 0F 85 94 00 00 00 8B 07 41 B3 01 A8 02 0F 85 87 00 00 00 83 E0 FE 83 C8 02 89 07 8B 47 04 83 E0 FC 83 C8 04 89 47 04 EB 7B 45 84 D2 75 6C 83 0F 20 41 B2 01 41 8A D2 EB 6D 83 E9 54 74 54 83 E9 0E 74 40 83 E9 01 74 29 83 E9 0B 74 18 83 F9 06 0F 85 34 01 00 00 8B 07 A9 00 C0 00 00 75 3B 0F BA E8 0E EB 3D 45 84 C9 75 30 0F BA 77 04 0B EB 0A 45 84 C9 75 24 0F BA 6F 04 0B 41 B1 01 41 8A D1 EB 23 8B 07 A9 00 C0 00 00 75 0E 0F BA E8 0F EB 10 8B 07 0F BA E0 0C 73 04 32 D2 EB 08 0F BA E8 0C 89 07 B2 01 33 C0 84 D2 0F 95 C0 48 03 D8 84 D2 0F 85 D3 FE FF FF 45 84 C0 74 03 48 FF C3 80 3B 20 74 F8 45 84 C0 75 12 80 3B 00 0F 85 B7 00 00 00 C6 47 08 01 E9 BE 00 00 00 41 B8 03 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 91 00 00 00 48 83 C3 03 EB 03 48 FF C3 80 3B 20 74 F8 80 3B 3D 75 7E 48 FF C3 80 3B 20 74 F8 41 B8 05 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 05 0F BA 2F 12 EB 49 41 B8 08 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 08 0F BA 2F 11 EB 26 41 B8 07 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 17 48 83 C3 07 0F BA 2F 10 EB 03 48 FF C3 80 3B 20 74 F8 E9 40 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_687_1_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z"
		size = 705
		refs = "0027 _commode 01ec ?ccs@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 01f4 wcsncmp 022b ?utf8_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 0233 _wcsnicmp 024e ?utf16_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 0271 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z@4QB_WB 029a _errno 02a5 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 30 48 8B F9 48 8B DA 33 C9 48 89 48 E8 F2 0F 10 40 E8 8B 05 ?? ?? ?? ?? F2 0F 11 07 8D 69 20 89 4F 08 89 47 04 66 39 2A 75 09 48 83 C3 02 66 39 2B 74 F7 0F B7 03 33 F6 83 F8 61 74 21 83 F8 72 74 11 83 F8 77 0F 85 3B 02 00 00 C7 07 01 03 00 00 EB 11 89 37 C7 47 04 01 00 00 00 EB 0D C7 07 09 01 00 00 C7 47 04 02 00 00 00 48 83 C3 02 44 8A C6 44 8A DE 44 8A CE 44 8A D6 B2 01 66 39 33 0F 84 25 01 00 00 0F B7 0B 83 F9 53 0F 8F 97 00 00 00 0F 84 82 00 00 00 2B CD 0F 84 F7 00 00 00 83 E9 0B 74 49 83 E9 01 74 3C 83 E9 18 74 25 83 E9 0A 74 17 83 F9 04 0F 85 C9 01 00 00 45 84 C9 0F 85 C4 00 00 00 83 0F 10 EB 56 0F BA 2F 07 E9 C1 00 00 00 8B 07 A8 40 0F 85 AC 00 00 00 83 C8 40 E9 AD 00 00 00 41 B2 01 E9 9C 00 00 00 45 84 DB 0F 85 93 00 00 00 8B 07 41 B3 01 A8 02 0F 85 86 00 00 00 83 E0 FE 83 C8 02 89 07 8B 47 04 83 E0 FC 83 C8 04 89 47 04 EB 7B 45 84 C9 75 6B 09 2F 41 B1 01 41 8A D1 EB 6E 83 E9 54 74 54 83 E9 0E 74 40 83 E9 01 74 29 83 E9 0B 74 18 83 F9 06 0F 85 40 01 00 00 8B 07 A9 00 C0 00 00 75 3B 0F BA E8 0E EB 3E 45 84 C0 75 30 0F BA 77 04 0B EB 0A 45 84 C0 75 24 0F BA 6F 04 0B 41 B0 01 41 8A D0 EB 24 8B 07 A9 00 C0 00 00 75 0E 0F BA E8 0F EB 11 8B 07 0F BA E0 0C 73 05 40 8A D6 EB 08 0F BA E8 0C 89 07 B2 01 84 D2 48 8B C6 0F 95 C0 48 8D 1C 43 84 D2 0F 85 D2 FE FF FF 45 84 D2 74 04 48 83 C3 02 66 39 2B 74 F7 45 84 D2 75 12 66 39 33 0F 85 BF 00 00 00 C6 47 08 01 E9 C6 00 00 00 41 B8 03 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 99 00 00 00 48 83 C3 06 EB 04 48 83 C3 02 66 39 2B 74 F7 66 83 3B 3D 0F 85 80 00 00 00 48 83 C3 02 66 39 2B 74 F7 41 B8 05 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 0A 0F BA 2F 12 EB 4A 41 B8 08 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 10 0F BA 2F 11 EB 27 41 B8 07 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 18 48 83 C3 0E 0F BA 2F 10 EB 04 48 83 C3 02 66 39 2B 74 F7 E9 38 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_687_2_0 {
	meta:
		name = "??$common_openfile@D@@YAPEAU_iobuf@@QEBD0HV__crt_stdio_stream@@@Z"
		size = 173
		refs = "0022 ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z 0054 _sopen_s 005e _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 4C 24 20 55 48 8B EC 48 83 EC 60 48 8B F9 41 8B D8 48 8D 4D E8 E8 ?? ?? ?? ?? F2 0F 10 00 8B 40 08 F2 0F 11 45 D8 89 45 E0 84 C0 75 04 33 C0 EB 60 44 8B 45 D8 48 8D 4D D0 44 8B CB C7 44 24 20 80 01 00 00 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 DD FF 05 ?? ?? ?? ?? 48 8B 4D 28 8B 45 DC F0 09 41 14 48 8B 45 28 83 60 10 00 48 8B 45 28 48 83 60 28 00 48 8B 45 28 48 83 60 08 00 48 8B 45 28 48 83 20 00 8B 45 D0 48 8B 4D 28 89 41 18 48 8B 45 28 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_687_3_0 {
	meta:
		name = "??$common_openfile@_W@@YAPEAU_iobuf@@QEB_W0HV__crt_stdio_stream@@@Z"
		size = 173
		refs = "0022 ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z 0054 _wsopen_s 005e _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 4C 24 20 55 48 8B EC 48 83 EC 60 48 8B F9 41 8B D8 48 8D 4D E8 E8 ?? ?? ?? ?? F2 0F 10 00 8B 40 08 F2 0F 11 45 D8 89 45 E0 84 C0 75 04 33 C0 EB 60 44 8B 45 D8 48 8D 4D D0 44 8B CB C7 44 24 20 80 01 00 00 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 DD FF 05 ?? ?? ?? ?? 48 8B 4D 28 8B 45 DC F0 09 41 14 48 8B 45 28 83 60 10 00 48 8B 45 28 48 83 60 28 00 48 8B 45 28 48 83 60 08 00 48 8B 45 28 48 83 20 00 8B 45 D0 48 8B 4D 28 89 41 18 48 8B 45 28 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_687_16_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_D@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 17
	strings:
		$1 = { 8B 01 A8 40 74 03 32 C0 C3 83 C8 40 89 01 B0 01 C3 }
	condition:
		$1
}

rule file_687_18_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_R@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 17
	strings:
		$1 = { 80 3A 00 74 03 32 C0 C3 C6 02 01 B0 01 83 09 10 C3 }
	condition:
		$1
}

rule file_687_19_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_S@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 17
	strings:
		$1 = { 80 3A 00 74 03 32 C0 C3 C6 02 01 B0 01 83 09 20 C3 }
	condition:
		$1
}

rule file_687_20_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_T@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 21
	strings:
		$1 = { 8B 01 BA 00 10 00 00 85 C2 74 03 32 C0 C3 0B C2 89 01 B0 01 C3 }
	condition:
		$1
}

rule file_687_21_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_b@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 21
	strings:
		$1 = { 8B 01 A9 00 C0 00 00 74 03 32 C0 C3 0F BA E8 0F 89 01 B0 01 C3 }
	condition:
		$1
}

rule file_687_22_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_c@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 19
	strings:
		$1 = { 80 3A 00 74 03 32 C0 C3 C6 02 01 B0 01 0F BA 69 04 0B C3 }
	condition:
		$1
}

rule file_687_23_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_n@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 19
	strings:
		$1 = { 80 3A 00 74 03 32 C0 C3 C6 02 01 B0 01 0F BA 71 04 0B C3 }
	condition:
		$1
}

rule file_687_24_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_plus@@YA_NAEAU__acrt_stdio_stream_mode@@AEA_N@Z"
		size = 44
	strings:
		$1 = { 80 3A 00 4C 8B C1 74 03 32 C0 C3 C6 02 01 8B 01 A8 02 75 F4 83 E0 FE 83 C8 02 89 01 B0 01 8B 49 04 83 E1 FC 83 C9 04 41 89 48 04 C3 }
	condition:
		$1
}

rule file_687_25_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_t@@YA_NAEAU__acrt_stdio_stream_mode@@@Z"
		size = 21
	strings:
		$1 = { 8B 01 A9 00 C0 00 00 74 03 32 C0 C3 0F BA E8 0E 89 01 B0 01 C3 }
	condition:
		$1
}

rule file_687_28_0 {
	meta:
		name = "_openfile"
		size = 156
		refs = "0022 ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z 0056 _sopen_s 0060 _cflush"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 57 48 83 EC 50 48 8B E9 49 8B F9 48 8D 48 E8 41 8B F0 E8 ?? ?? ?? ?? 33 DB F2 0F 10 00 8B 40 08 F2 0F 11 44 24 30 89 44 24 38 3A C3 74 47 44 8B 44 24 30 48 8D 4C 24 70 44 8B CE C7 44 24 20 80 01 00 00 48 8B D5 E8 ?? ?? ?? ?? 85 C0 75 26 FF 05 ?? ?? ?? ?? 8B 44 24 34 F0 09 47 14 8B 44 24 70 89 5F 10 48 89 5F 28 48 89 5F 08 48 89 1F 48 8B DF 89 47 18 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_687_29_0 {
	meta:
		name = "_wopenfile"
		size = 156
		refs = "0022 ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z 0056 _wsopen_s 0060 _cflush"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 57 48 83 EC 50 48 8B E9 49 8B F9 48 8D 48 E8 41 8B F0 E8 ?? ?? ?? ?? 33 DB F2 0F 10 00 8B 40 08 F2 0F 11 44 24 30 89 44 24 38 3A C3 74 47 44 8B 44 24 30 48 8D 4C 24 70 44 8B CE C7 44 24 20 80 01 00 00 48 8B D5 E8 ?? ?? ?? ?? 85 C0 75 26 FF 05 ?? ?? ?? ?? 8B 44 24 34 F0 09 47 14 8B 44 24 70 89 5F 10 48 89 5F 28 48 89 5F 08 48 89 1F 48 8B DF 89 47 18 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_691_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z"
		size = 247
		refs = "002b ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00a2 __imp_WideCharToMultiByte 00c5 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 66 44 89 48 20 57 48 83 EC 70 48 8B FA 48 8B D9 48 8B 94 24 A8 00 00 00 48 8D 48 D0 49 8B F0 E8 ?? ?? ?? ?? 48 8B 84 24 A0 00 00 00 48 85 C0 74 03 83 20 00 48 8B 44 24 50 48 83 B8 38 01 00 00 00 75 21 0F B7 84 24 98 00 00 00 B9 FF 00 00 00 66 3B C1 77 5C 88 07 48 85 DB 74 51 C7 03 01 00 00 00 EB 49 83 64 24 40 00 48 8D 4C 24 40 48 89 4C 24 38 4C 8D 84 24 98 00 00 00 48 83 64 24 30 00 41 B9 01 00 00 00 8B 48 0C 33 D2 89 74 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 12 83 7C 24 40 00 75 0B 48 85 DB 74 02 89 03 33 D2 EB 14 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7C 24 60 00 74 0C 48 8B 4C 24 48 83 A1 A8 03 00 00 FD 4C 8D 5C 24 70 8B C2 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_691_5_0 {
	meta:
		name = "internal_wcsrtombs"
		size = 439
		refs = "0018 __security_cookie 0039 _errno 0044 _invalid_parameter_noinfo 0061 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 00ae ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0147 memcpy 01a1 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 89 4D C0 4D 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 48 01 00 00 48 8B 32 48 8D 4D C8 83 65 B0 00 33 D2 33 DB E8 ?? ?? ?? ?? 48 85 FF 0F 84 9A 00 00 00 4D 85 F6 0F 84 0B 01 00 00 48 8B 45 D0 41 B8 05 00 00 00 44 0F B7 0E 48 63 48 08 48 8D 45 E8 4C 3B F1 48 8D 4D D0 48 89 4C 24 28 48 8D 4D B0 48 0F 43 C7 4C 89 6C 24 20 48 8B D0 48 89 45 B8 E8 ?? ?? ?? ?? 4C 63 6D B0 45 85 ED 0F 8E BF 00 00 00 48 3B 7D B8 0F 84 82 00 00 00 4D 8B C5 4D 3B F5 0F 82 AD 00 00 00 45 85 ED 74 71 48 85 FF 75 60 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5A 8D 42 FF 48 63 C8 48 63 C2 80 7C 0D E8 00 74 39 48 03 D8 48 83 C6 02 44 0F B7 0E 48 8D 45 D0 48 89 44 24 28 48 8D 55 E8 41 B8 05 00 00 00 4C 89 6C 24 20 48 8D 4D B0 E8 ?? ?? ?? ?? 8B 55 B0 85 D2 7F BD 48 83 CB FF EB 4B 48 FF CB EB 3A 48 8D 55 E8 48 8B CF E8 ?? ?? ?? ?? 41 8D 45 FF 48 63 C8 80 3C 39 00 74 19 49 03 DD 49 03 FD 48 83 C6 02 4D 2B F5 4C 8B 6D C0 0F 85 08 FF FF FF EB 11 49 83 27 00 49 8D 45 FF 48 03 D8 EB 07 48 83 CB FF 49 89 37 80 7D E0 00 74 0B 48 8B 4D C8 83 A1 A8 03 00 00 FD 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_691_7_0 {
	meta:
		name = "wcrtomb"
		size = 58
		refs = "002c wcrtomb_s"
	strings:
		$1 = { 48 83 EC 38 48 83 4C 24 40 FF 4D 8B C8 48 8B C1 4C 89 4C 24 20 48 F7 D8 44 0F B7 CA 48 8B D1 48 8D 4C 24 40 4D 1B C0 41 83 E0 05 E8 ?? ?? ?? ?? 48 8B 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_691_8_0 {
	meta:
		name = "wcrtomb_s"
		size = 139
		refs = "0009 __security_cookie 002b _errno 0037 _invalid_parameter_noinfo 0063 ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0081 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B 84 24 80 00 00 00 48 8B D9 48 85 D2 75 1A 4D 85 C0 74 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 39 48 83 64 24 28 00 48 8D 4C 24 30 83 4C 24 30 FF 48 89 44 24 20 48 85 D2 75 09 44 8D 42 05 48 8D 54 24 34 E8 ?? ?? ?? ?? 8B C8 48 85 DB 74 08 48 63 44 24 30 48 89 03 8B C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_691_10_0 {
	meta:
		name = "wcsrtombs_s"
		size = 192
		refs = "0036 _errno 0042 _invalid_parameter_noinfo 006a internal_wcsrtombs"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B C1 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 66 C6 02 00 48 85 C0 74 E3 4C 8B 44 24 50 48 8B D0 4C 8B 4C 24 58 4C 3B C6 48 8B CB 4C 0F 47 C6 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 C6 03 00 E8 ?? ?? ?? ?? 8B 00 EB 2B 48 FF C0 48 85 DB 74 19 48 3B C6 76 0F C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 9E C6 44 18 FF 00 48 85 FF 74 03 48 89 07 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_691_11_0 {
	meta:
		name = "wctob"
		size = 109
		refs = "000a __security_cookie 0042 ?_wcrtomb_s_l@@YAHQEAHQEAD_K_WQEAU_Mbstatet@@QEAU__crt_locale_pointers@@@Z 0064 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 B8 FF FF 00 00 66 3B C8 74 38 49 83 63 D0 00 49 8D 53 DC 83 4C 24 30 FF 44 0F B7 C9 49 83 63 C8 00 49 8D 4B D8 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 83 7C 24 30 01 75 07 0F BE 44 24 34 EB 03 83 C8 FF 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_692_5_0 {
	meta:
		name = "__acrt_get_msvcrt_heap_handle"
		size = 91
		refs = "0009 ?global_msvcrt_heap_handle_cache@?1??__acrt_get_msvcrt_heap_handle@@9@4PEAXEA 0016 ??_C@_1BG@HHIFPOEK@?$AAm?$AAs?$AAv?$AAc?$AAr?$AAt?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 001c __imp_GetModuleHandleW 003c __imp_GetProcAddress 0047 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 83 F8 01 75 42 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 DB 48 85 C0 75 0B 48 87 1D ?? ?? ?? ?? 33 C0 EB 23 BA 56 01 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 E2 FF 15 ?? ?? ?? ?? 48 8B C8 48 87 0D ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_692_6_0 {
	meta:
		name = "_free_base"
		size = 61
		refs = "0012 __acrt_heap 0018 __imp_HeapFree 0021 _errno 002a __imp_GetLastError 0031 __acrt_errno_from_os_error"
	strings:
		$1 = { 48 85 C9 74 37 53 48 83 EC 20 4C 8B C1 33 D2 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 17 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_693_0_0 {
	meta:
		name = "??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z"
		size = 506
		refs = "001d __security_cookie 0034 _errno 004f _nhandle 005f __pioinfo 008a _time32 00a1 _localtime32_s 0106 __imp_TzSpecificLocalTimeToSystemTime 0118 __imp_SystemTimeToFileTime 01a0 _get_osfhandle 01b3 __imp_SetFileTime 01cf _invalid_parameter_noinfo 01de __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 56 48 8D 6C 24 B9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 90 01 00 00 33 F6 85 C9 0F 88 76 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 6A 01 00 00 48 8B CB 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 8B C3 48 C1 F8 06 48 C1 E1 06 48 8B 04 C2 F6 44 08 38 01 0F 84 43 01 00 00 48 85 FF 75 13 48 8D 4D DB E8 ?? ?? ?? ?? 8B 45 DB 48 8D 7D D7 89 45 D7 48 8D 57 04 48 8D 4D FF E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 1A 01 00 00 0F B7 45 13 4C 8D 45 27 41 BE 6C 07 00 00 66 89 75 FD 66 41 03 C6 48 8D 55 EF 66 89 45 EF 33 C9 0F B7 45 0F 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 74 9B 48 8D 55 DF 48 8D 4D 27 FF 15 ?? ?? ?? ?? 85 C0 74 89 48 8B D7 48 8D 4D FF E8 ?? ?? ?? ?? 85 C0 0F 85 75 FF FF FF 0F B7 45 13 4C 8D 45 27 66 41 03 C6 66 89 75 FD 66 89 45 EF 48 8D 55 EF 0F B7 45 0F 33 C9 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 0F 84 22 FF FF FF 48 8D 55 E7 48 8D 4D 27 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0C FF FF FF 8B CB E8 ?? ?? ?? ?? 48 8B C8 4C 8D 4D DF 4C 8D 45 E7 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EA FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_693_1_0 {
	meta:
		name = "??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z"
		size = 508
		refs = "001d __security_cookie 0034 _errno 004f _nhandle 005f __pioinfo 008a _time64 00a3 _localtime64_s 0108 __imp_TzSpecificLocalTimeToSystemTime 011a __imp_SystemTimeToFileTime 01a2 _get_osfhandle 01b5 __imp_SetFileTime 01d1 _invalid_parameter_noinfo 01e0 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 56 48 8D 6C 24 B9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 3F 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 92 01 00 00 33 F6 85 C9 0F 88 78 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 6C 01 00 00 48 8B CB 48 8D 15 ?? ?? ?? ?? 83 E1 3F 48 8B C3 48 C1 F8 06 48 C1 E1 06 48 8B 04 C2 F6 44 08 38 01 0F 84 45 01 00 00 48 85 FF 75 15 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8B 45 27 48 8D 7D 1F 48 89 45 1F 48 8D 57 08 48 8D 4D F7 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 1A 01 00 00 0F B7 45 0B 4C 8D 45 2F 41 BE 6C 07 00 00 66 89 75 F5 66 41 03 C6 48 8D 55 E7 66 89 45 E7 33 C9 0F B7 45 07 66 FF C0 66 89 45 E9 0F B7 45 03 66 89 45 ED 0F B7 45 FF 66 89 45 EF 0F B7 45 FB 66 89 45 F1 0F B7 45 F7 66 89 45 F3 FF 15 ?? ?? ?? ?? 85 C0 74 9B 48 8D 55 D7 48 8D 4D 2F FF 15 ?? ?? ?? ?? 85 C0 74 89 48 8B D7 48 8D 4D F7 E8 ?? ?? ?? ?? 85 C0 0F 85 75 FF FF FF 0F B7 45 0B 4C 8D 45 2F 66 41 03 C6 66 89 75 F5 66 89 45 E7 48 8D 55 E7 0F B7 45 07 33 C9 66 FF C0 66 89 45 E9 0F B7 45 03 66 89 45 ED 0F B7 45 FF 66 89 45 EF 0F B7 45 FB 66 89 45 F1 0F B7 45 F7 66 89 45 F3 FF 15 ?? ?? ?? ?? 85 C0 0F 84 22 FF FF FF 48 8D 55 DF 48 8D 4D 2F FF 15 ?? ?? ?? ?? 85 C0 0F 84 0C FF FF FF 8B CB E8 ?? ?? ?? ?? 48 8B C8 4C 8D 4D D7 4C 8D 45 DF 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EA FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D 3F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_693_2_0 {
	meta:
		name = "??$common_utime@JDU__utimbuf32@@@@YAHQEBDQEAU__utimbuf32@@@Z"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _sopen_s 0052 ??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 89 5C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_3_0 {
	meta:
		name = "??$common_utime@J_WU__utimbuf32@@@@YAHQEB_WQEAU__utimbuf32@@@Z"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _wsopen_s 0052 ??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 89 5C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_4_0 {
	meta:
		name = "??$common_utime@_JDU__utimbuf64@@@@YAHQEBDQEAU__utimbuf64@@@Z"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _sopen_s 0052 ??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 89 5C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_5_0 {
	meta:
		name = "??$common_utime@_J_WU__utimbuf64@@@@YAHQEB_WQEAU__utimbuf64@@@Z"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _wsopen_s 0052 ??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 89 5C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_16_0 {
	meta:
		name = "_utime32"
		size = 147
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0047 _sopen_s 0057 ??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z 0070 _close"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 33 FF 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF EB 53 48 8B D1 89 7C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 83 CB FF 8B F0 3B C3 75 07 E8 ?? ?? ?? ?? 8B 38 8B 4C 24 40 E8 ?? ?? ?? ?? 3B F3 75 07 E8 ?? ?? ?? ?? 89 38 8B DE 48 8B 74 24 50 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_17_0 {
	meta:
		name = "_utime64"
		size = 147
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0047 _sopen_s 0057 ??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z 0070 _close"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 33 FF 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF EB 53 48 8B D1 89 7C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 83 CB FF 8B F0 3B C3 75 07 E8 ?? ?? ?? ?? 8B 38 8B 4C 24 40 E8 ?? ?? ?? ?? 3B F3 75 07 E8 ?? ?? ?? ?? 89 38 8B DE 48 8B 74 24 50 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_18_0 {
	meta:
		name = "_wutime32"
		size = 147
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0047 _wsopen_s 0057 ??$common_futime@JU__utimbuf32@@@@YAHHPEAU__utimbuf32@@@Z 0070 _close"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 33 FF 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF EB 53 48 8B D1 89 7C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 83 CB FF 8B F0 3B C3 75 07 E8 ?? ?? ?? ?? 8B 38 8B 4C 24 40 E8 ?? ?? ?? ?? 3B F3 75 07 E8 ?? ?? ?? ?? 89 38 8B DE 48 8B 74 24 50 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_693_19_0 {
	meta:
		name = "_wutime64"
		size = 147
		refs = "001a _errno 0025 _invalid_parameter_noinfo 0047 _wsopen_s 0057 ??$common_futime@_JU__utimbuf64@@@@YAHHPEAU__utimbuf64@@@Z 0070 _close"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 33 FF 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF EB 53 48 8B D1 89 7C 24 20 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 83 CB FF 8B F0 3B C3 75 07 E8 ?? ?? ?? ?? 8B 38 8B 4C 24 40 E8 ?? ?? ?? ?? 3B F3 75 07 E8 ?? ?? ?? ?? 89 38 8B DE 48 8B 74 24 50 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_694_2_0 {
	meta:
		name = "??$common_fdopen@D@@YAPEAU_iobuf@@HQEBD@Z"
		size = 243
		refs = "0016 _errno 0044 _nhandle 005b __pioinfo 007a ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QEBD@Z 0099 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 00b6 _cflush 00d0 _unlock_file 00e7 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 33 C0 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 C1 00 00 00 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 B1 00 00 00 85 C9 0F 88 99 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 8D 00 00 00 48 8B CB 48 8B C3 48 C1 F8 06 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 49 8B 04 C0 0F B6 4C 08 38 83 E1 01 74 67 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 00 F2 0F 11 44 24 20 8B 40 08 89 44 24 28 84 C0 74 58 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 37 FF 05 ?? ?? ?? ?? 8B 4C 24 24 F0 09 48 14 48 8B 44 24 58 89 58 18 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B 44 24 58 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_694_4_0 {
	meta:
		name = "??$common_fdopen@_W@@YAPEAU_iobuf@@HQEB_W@Z"
		size = 243
		refs = "0016 _errno 0044 _nhandle 005b __pioinfo 007a ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QEB_W@Z 0099 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 00b6 _cflush 00d0 _unlock_file 00e7 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 33 C0 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 C1 00 00 00 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 B1 00 00 00 85 C9 0F 88 99 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 8D 00 00 00 48 8B CB 48 8B C3 48 C1 F8 06 4C 8D 05 ?? ?? ?? ?? 83 E1 3F 48 C1 E1 06 49 8B 04 C0 0F B6 4C 08 38 83 E1 01 74 67 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 00 F2 0F 11 44 24 20 8B 40 08 89 44 24 28 84 C0 74 58 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 37 FF 05 ?? ?? ?? ?? 8B 4C 24 24 F0 09 48 14 48 8B 44 24 58 89 58 18 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B 44 24 58 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_695_5_0 {
	meta:
		name = "_mbsncat_l"
		size = 301
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 006d strncat 0094 _ismbslead_l 00df _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 EE 00 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 D2 00 00 00 48 85 D2 74 E4 49 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 78 08 00 75 16 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 E9 89 00 00 00 48 8B F3 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 4C 8D 44 24 28 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 03 48 FF CB 48 8B 4C 24 30 0F B6 07 48 FF CD F6 44 08 19 04 88 03 74 3B 8A 47 01 48 83 C7 02 88 43 01 48 83 C3 02 84 C0 75 33 88 43 FE 48 3B DE 74 32 8B C3 4C 8D 44 24 28 2B C6 48 8B CE FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 17 C6 43 FF 00 EB 14 48 FF C3 48 FF C7 84 C0 74 D0 48 85 ED 74 CB EB A5 C6 03 00 80 7C 24 38 00 74 0C 48 8B 44 24 20 83 A0 A8 03 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_696_5_0 {
	meta:
		name = "_mbsset_l"
		size = 204
		refs = "0020 ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 002a _errno 0035 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B FA 48 8B D9 48 8B F1 49 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 6B 48 8B 44 24 30 83 78 08 00 75 15 80 3B 00 48 8B C3 74 58 40 88 38 48 FF C0 80 38 00 75 F5 EB 4B 8B C7 C1 E8 08 84 C0 74 3A 40 84 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B0 20 40 8A F8 EB 16 88 03 48 FF C3 80 3B 00 74 08 40 88 3B 48 FF C3 EB 04 C6 43 FF 20 80 3B 00 75 E5 EB 0B 40 88 3B 48 FF C3 80 3B 00 75 F5 48 8B DE 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_698_0_0 {
	meta:
		name = "_putw"
		size = 158
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0049 _lock_file 0069 _fputc_nolock 0076 ferror 0084 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 89 48 08 57 41 56 41 57 48 83 EC 30 48 8B FA 44 8B F1 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 48 83 CE FF 48 8B CA E8 ?? ?? ?? ?? 90 4C 8D 7C 24 54 48 8D 5C 24 50 48 89 5C 24 20 49 3B DF 74 10 0F BE 0B 48 8B D7 E8 ?? ?? ?? ?? 48 FF C3 EB E6 48 8B CF E8 ?? ?? ?? ?? 85 C0 41 0F 44 F6 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_698_1_0 {
	meta:
		name = "_putw$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 58 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_699_0_0 {
	meta:
		name = "_exp_special"
		size = 152
		refs = "0078 ??_C@_03KHJOGHMM@exp?$AA@ 0087 _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 28 F1 0F 28 D8 41 83 E8 02 74 2B 41 83 F8 01 75 6E 44 89 40 D8 45 8D 48 02 0F 57 D2 F2 0F 11 50 D0 F2 0F 11 40 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 2D C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 04 00 00 00 F2 0F 11 5C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 F2 0F 11 4C 24 78 48 8D 0D ?? ?? ?? ?? 4C 8B 44 24 78 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_699_1_0 {
	meta:
		name = "_expf_special"
		size = 167
		refs = "007b ??_C@_04KBNCNMNN@expf?$AA@ 0096 _handle_errorf"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 28 F1 0F 28 D0 41 83 E8 02 74 2B 41 83 F8 01 75 7D 44 89 40 D8 45 8D 48 02 0F 57 C9 F3 0F 11 48 D0 F3 0F 11 50 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 2D C7 44 24 40 01 00 00 00 0F 57 C0 F3 0F 11 44 24 38 41 B9 04 00 00 00 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 48 83 A4 24 88 00 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 B4 24 88 00 00 00 BA 14 00 00 00 4C 8B 84 24 88 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_702_0_0 {
	meta:
		name = "__remainder_piby2d2f_forC"
		size = 396
		refs = "0022 L__2_by_pi_bits 0172 L__piby2"
	strings:
		$1 = { 48 81 EC 88 00 00 00 48 89 7C 24 20 48 89 74 24 30 48 8B F9 48 8B F2 49 8B D0 66 48 0F 6E C7 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 8B FA 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 21 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 89 07 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1C 4D 8B D1 4D 8B C8 49 0F BD CA 49 83 EB 40 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 13 74 31 4D 8B C2 49 D3 EA EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 0F 1F 80 00 00 00 00 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 06 48 8B 74 24 30 48 8B 7C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "log2"
		size = 840
		refs = "004c _handle_nan 00a2 ??_C@_04KGLCPMCP@log2?$AA@ 00a7 _handle_error 012f __real@3ff0000000000000 0152 __real@4000000000000000 0185 __real@3f3c8034c85dfff0 018d __real@3f62492307f1519f 0199 __real@3f89999999bac6d4 01a9 __real@3fb55555555554e6 01bc __real@3ecb295c17f0bbbe 01c4 __real@3ff7154400000000 021d __real@03d0000000000000 0298 __ImageBase 02a1 ?ln_lead_table@?1??log2@@9@9 02a9 __real@3f80000000000000 02b8 __real@3fe0000000000000 02db __real@3f6249423bd94741 02e3 __real@3f89999999865ede 02ef __real@3fb5555555555557 031b ?ln_tail_table@?1??log2@@9@9"
	strings:
		$1 = { 48 83 EC 68 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 70 4C 8B 44 24 70 0F 28 E8 49 8B C0 0F 29 74 24 50 48 23 C1 48 3B C1 0F 85 80 00 00 00 48 B9 FF FF FF FF FF FF 0F 00 4C 85 C1 74 11 49 8B C8 0F 28 74 24 50 48 83 C4 68 E9 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 00 80 4C 85 C0 0F 84 DB 02 00 00 C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 01 00 00 00 F2 0F 11 6C 24 30 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 BA 1A 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8E 02 00 00 48 B8 FF FF FF FF FF FF FF 7F 4C 85 C0 75 39 C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 41 B9 02 00 00 00 F2 0F 11 6C 24 30 49 B8 00 00 00 00 00 00 F0 FF C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 EB A2 48 B8 00 00 00 00 00 00 00 80 4C 85 C0 0F 85 58 FF FF FF 48 B8 00 00 00 00 56 F0 11 C0 48 B9 00 00 00 00 82 F8 02 00 49 03 C0 48 3B C1 0F 87 C1 00 00 00 F2 0F 5C 2D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF 0F 28 CD F2 0F 11 6C 24 70 48 8B 44 24 70 0F 28 C5 F2 0F 58 05 ?? ?? ?? ?? 48 23 C1 48 89 44 24 70 F2 0F 10 64 24 70 F2 0F 5E C8 0F 28 D1 F2 0F 58 C9 F2 0F 59 D5 F2 0F 5C EC 0F 28 C1 F2 0F 59 C1 0F 28 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C DA 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 DD 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C2 F2 0F 58 C3 E9 4E 01 00 00 48 B8 00 00 00 00 00 00 10 00 4C 3B C0 73 33 48 B8 00 00 00 00 00 00 D0 03 41 B9 3C 00 00 00 4C 0B C0 4C 89 44 24 70 F2 0F 10 44 24 70 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 44 24 70 4C 8B 44 24 70 EB 03 45 33 C9 49 8B C0 48 B9 FF FF FF FF FF FF 0F 00 48 23 C1 48 B9 00 00 00 00 00 00 E0 3F 48 0B C1 49 8B C8 48 89 44 24 70 49 8B C0 F2 0F 10 54 24 70 48 C1 E9 2E 48 C1 E8 2D 83 E1 3F 83 E0 01 49 C1 E8 34 83 C9 40 41 81 E0 FF 07 00 00 03 C8 45 2B C1 41 81 E8 FF 03 00 00 66 0F 6E C9 8D 41 C0 F3 0F E6 C9 48 63 D0 48 8D 05 ?? ?? ?? ?? F2 0F 10 B4 D0 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D1 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E D0 66 41 0F 6E C0 0F 28 CA F2 0F 59 CA F3 0F E6 C0 0F 28 E9 F2 0F 59 2D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 0F 28 CE F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 C1 F2 0F 58 EA F2 0F 58 AC D0 ?? ?? ?? ?? 0F 28 E5 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 E6 F2 0F 58 E5 F2 0F 58 C4 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_704_2_0 {
	meta:
		name = "??$common_spawnvp@D@@YA_JHQEBDQEBQEBD1@Z"
		size = 812
		refs = "0017 __security_cookie 003d _errno 0048 _invalid_parameter_noinfo 0088 _spawnve 00ad strchr 00f0 _dupenv_s 011e _calloc_base 013c __acrt_getpath 0172 strrchr 01a0 strcat_s 021d __doserrno 02a6 _free_base 02d5 __security_check_cookie 02fb _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E8 33 F6 4C 89 4D D8 89 4D BC 49 8B F9 4D 8B E0 4C 8B F2 44 8B F9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 78 02 00 00 40 38 32 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 40 38 30 74 D0 E8 ?? ?? ?? ?? 4C 8B CF 4D 8B C4 49 8B D6 41 8B CF 4C 8B E8 8B 18 89 5D C8 89 30 E8 ?? ?? ?? ?? 48 83 CE FF 48 8B F8 48 3B C6 0F 85 1F 02 00 00 E8 ?? ?? ?? ?? 83 38 02 75 27 8D 56 5D 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 17 8D 56 30 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 07 41 80 7E 01 3A 75 08 48 8B FE E9 E6 01 00 00 48 83 65 C0 00 4C 8D 45 E0 33 D2 C7 45 E0 50 41 54 48 48 8D 4D C0 C6 45 E4 00 E8 ?? ?? ?? ?? 48 8B 4D C0 85 C0 74 0A 83 F8 16 75 0A E9 E4 01 00 00 48 85 C9 75 08 48 8B FE E9 9E 01 00 00 BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 71 01 00 00 48 8B 4D C0 48 8B D0 41 B8 03 01 00 00 E8 ?? ?? ?? ?? 48 89 45 D0 48 85 C0 0F 84 52 01 00 00 80 3B 00 0F 84 49 01 00 00 48 8B CE 48 FF C1 80 3C 0B 00 75 F7 48 8D 7B FF BA 5C 00 00 00 48 03 F9 48 8B CB E8 ?? ?? ?? ?? 48 3B F8 74 31 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B F8 74 1F 4C 8D 45 B8 66 C7 45 B8 5C 00 BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 54 01 00 00 48 8B C6 48 FF C0 41 80 3C 06 00 75 F6 48 8B CE 48 FF C1 80 3C 0B 00 75 F7 48 03 C1 48 3D 04 01 00 00 0F 83 CB 00 00 00 4D 8B C6 BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 2A 01 00 00 E8 ?? ?? ?? ?? 4C 8B 4D D8 4D 8B C4 48 8B D3 41 8B CF 83 20 00 E8 ?? ?? ?? ?? 48 8B F8 48 3B C6 0F 85 90 00 00 00 E8 ?? ?? ?? ?? 83 38 02 74 77 E8 ?? ?? ?? ?? 83 38 15 74 6D 41 BF 2F 00 00 00 48 8B CB 41 8B D7 E8 ?? ?? ?? ?? 48 3B C3 75 19 48 8D 7B 01 41 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 3B C7 75 05 41 B7 01 EB 03 45 32 FF BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B C3 75 1A 48 8D 7B 01 BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B C7 75 04 B0 01 EB 02 32 C0 45 84 FF 75 04 84 C0 74 10 44 8B 7D BC 48 8B 4D D0 48 8B D3 E9 96 FE FF FF 48 8B FE 48 8B CB E8 ?? ?? ?? ?? 48 8B 4D C0 8B 5D C8 E8 ?? ?? ?? ?? 48 83 65 C0 00 41 83 7D 00 00 75 08 85 DB 74 04 41 89 5D 00 48 8B C7 48 8B 4D E8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_704_3_0 {
	meta:
		name = "??$common_spawnvp@_W@@YA_JHQEB_WQEBQEB_W1@Z"
		size = 831
		refs = "0017 __security_cookie 003d _errno 0048 _invalid_parameter_noinfo 0088 _wspawnve 00ad wcschr 00f9 _wdupenv_s 0127 _calloc_base 0145 __acrt_wgetpath 017b wcsrchr 01ac wcscat_s 022a __doserrno 02bc _free_base 02eb __security_check_cookie 0310 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 F6 4C 89 4D D8 89 4D BC 49 8B F9 4D 8B E0 4C 8B F2 44 8B F9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 8E 02 00 00 66 39 32 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 66 39 30 74 D0 E8 ?? ?? ?? ?? 4C 8B CF 4D 8B C4 49 8B D6 41 8B CF 4C 8B E8 8B 18 89 5D C8 89 30 E8 ?? ?? ?? ?? 48 83 CE FF 48 8B F8 48 3B C6 0F 85 35 02 00 00 E8 ?? ?? ?? ?? 83 38 02 75 2A 8D 56 5D 49 8B CE E8 ?? ?? ?? ?? 33 FF 48 85 C0 75 18 8D 56 30 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 08 66 41 83 7E 02 3A 75 08 48 8B FE E9 F9 01 00 00 4C 8D 45 E0 C7 45 E0 50 00 41 00 33 D2 C7 45 E4 54 00 48 00 48 8D 4D C0 66 89 7D E8 48 89 7D C0 E8 ?? ?? ?? ?? 48 8B 4D C0 85 C0 74 0A 83 F8 16 75 0A E9 F1 01 00 00 48 85 C9 75 08 48 8B FE E9 AB 01 00 00 BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 7E 01 00 00 48 8B 4D C0 48 8B D0 41 B8 03 01 00 00 E8 ?? ?? ?? ?? 48 89 45 D0 48 85 C0 0F 84 5F 01 00 00 66 39 3B 0F 84 56 01 00 00 48 8B CE 48 FF C1 66 39 3C 4B 75 F7 48 FF C9 BA 5C 00 00 00 48 8D 3C 4B 48 8B CB E8 ?? ?? ?? ?? 48 3B F8 74 35 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B F8 74 23 4C 8D 45 B8 C7 45 B8 5C 00 00 00 BA 04 01 00 00 48 8B CB 33 FF E8 ?? ?? ?? ?? 85 C0 74 07 E9 5C 01 00 00 33 FF 48 8B C6 48 FF C0 66 41 39 3C 46 75 F6 48 8B CE 48 FF C1 66 39 3C 4B 75 F7 48 03 C1 B9 04 01 00 00 48 3B C1 0F 83 D0 00 00 00 8B D1 4D 8B C6 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 30 01 00 00 E8 ?? ?? ?? ?? 4C 8B 4D D8 4D 8B C4 48 8B D3 41 8B CF 89 38 E8 ?? ?? ?? ?? 48 8B F8 48 3B C6 0F 85 99 00 00 00 E8 ?? ?? ?? ?? 83 38 02 74 7E E8 ?? ?? ?? ?? 83 38 15 74 74 41 BF 2F 00 00 00 48 8B CB 41 8B D7 E8 ?? ?? ?? ?? 48 3B C3 75 19 48 8D 7B 02 41 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 3B C7 75 05 41 B7 01 EB 03 45 32 FF BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B C3 75 1C 48 8D 7B 02 BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B C7 75 06 B0 01 33 FF EB 05 33 FF 40 8A C7 45 84 FF 75 04 84 C0 74 14 44 8B 7D BC EB 02 33 FF 48 8B 4D D0 48 8B D3 E9 89 FE FF FF 48 8B FE 48 8B CB E8 ?? ?? ?? ?? 48 8B 4D C0 8B 5D C8 E8 ?? ?? ?? ?? 48 83 65 C0 00 41 83 7D 00 00 75 08 85 DB 74 04 41 89 5D 00 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 48 89 7C 24 20 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_705_9_0 {
	meta:
		name = "_ismbcspace_l"
		size = 115
		refs = "000f ??0_LocaleUpdate@@QEAA@QEAU__crt_locale_pointers@@@Z 0033 _isctype_l 0056 __dcrt_multibyte_check_type"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 2A 48 8B 44 24 28 83 78 08 01 7E 13 4C 8D 44 24 28 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? EB 21 48 8B 00 0F B7 04 58 83 E0 08 EB 15 41 B8 08 00 00 00 48 8D 54 24 28 41 B1 01 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 20 83 A1 A8 03 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_706_26_0 {
	meta:
		name = "?enum_system_locales_ex_nolock@@YAHQ6AHPEA_WK_J@Z@Z"
		size = 98
		refs = "0009 __security_cookie 0025 ?<lambda_invoker_cdecl>@<lambda_795c6bd18aed400428efeb9a5f0e1479>@@CAHPEA_W@Z 0032 ?static_enum_proc@?1??enum_system_locales_ex_nolock@@YAHQ6AHPEA_WK_J@Z@Z@4P6AH0K1@ZEA 0038 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 05 ?? ?? ?? ?? 4C 8B C9 41 8B D0 BB 40 00 00 00 83 E2 3F 8B CB 2B CA 49 D3 C9 48 8D 0D ?? ?? ?? ?? 4D 33 C8 8D 53 C1 4C 89 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 41 8B D0 83 E2 3F 2B DA 33 D2 8A CB 48 D3 CA 49 33 D0 48 89 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_28_0 {
	meta:
		name = "?try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0CF@OJOFEIGO@AppPolicyGetProcessTerminationMe@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1C 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_29_0 {
	meta:
		name = "?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0CE@OICFMIKE@AppPolicyGetShowDeveloperDiagnos@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_30_0 {
	meta:
		name = "?try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0CF@NNDFDCOC@AppPolicyGetThreadInitialization@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1D 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_31_0 {
	meta:
		name = "?try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BL@ODDJNEDA@AppPolicyGetWindowingModel?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1F 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_32_0 {
	meta:
		name = "?try_get_AreFileApisANSI@@YAP6AHXZXZ"
		size = 28
		refs = "0003 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6AHXZXZ@4QBW4module_id@?A0x391cf84c@@B 0013 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 0018 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_33_0 {
	meta:
		name = "?try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_34_0 {
	meta:
		name = "?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 02 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_35_0 {
	meta:
		name = "?try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 03 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_36_0 {
	meta:
		name = "?try_get_FlsFree@@YAP6AHK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_07PEJMOBNF@FlsFree?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_37_0 {
	meta:
		name = "?try_get_FlsGetValue@@YAP6APEAXK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 05 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_38_0 {
	meta:
		name = "?try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 06 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_39_0 {
	meta:
		name = "?try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 07 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_40_0 {
	meta:
		name = "?try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 08 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_41_0 {
	meta:
		name = "?try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 09 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_42_0 {
	meta:
		name = "?try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU1@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU2@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0A 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_43_0 {
	meta:
		name = "?try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0B 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_44_0 {
	meta:
		name = "?try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0C 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_45_0 {
	meta:
		name = "?try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0D 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_46_0 {
	meta:
		name = "?try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_47_0 {
	meta:
		name = "?try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 0F 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_48_0 {
	meta:
		name = "?try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 10 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_49_0 {
	meta:
		name = "?try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 11 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_50_0 {
	meta:
		name = "?try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 12 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_51_0 {
	meta:
		name = "?try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 13 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_52_0 {
	meta:
		name = "?try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 15 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_53_0 {
	meta:
		name = "?try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 14 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_54_0 {
	meta:
		name = "?try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 16 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_55_0 {
	meta:
		name = "?try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 17 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_56_0 {
	meta:
		name = "?try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 18 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_57_0 {
	meta:
		name = "?try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 19 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_58_0 {
	meta:
		name = "?try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1A 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_59_0 {
	meta:
		name = "?try_get_RoUninitialize@@YAP6AXXZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_RoUninitialize@@YAP6AXXZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 1B 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_60_0 {
	meta:
		name = "?try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 20 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_61_0 {
	meta:
		name = "?try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0016 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 21 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_62_0 {
	meta:
		name = "?try_get_first_available_module@@YAPEAUHINSTANCE__@@QEBW4module_id@?A0x391cf84c@@0@Z"
		size = 281
		refs = "002a __ImageBase 0034 ?module_handles@@3PAPEAUHINSTANCE__@@A 0050 ?module_names@?A0x391cf84c@@3QBQEB_WB 0061 __imp_LoadLibraryExW 006f __imp_GetLastError 0082 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 0087 wcsncmp 0099 ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 00e3 __imp_FreeLibrary"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 4C 8B F2 48 8B F9 48 3B CA 0F 84 D2 00 00 00 4C 8D 3D ?? ?? ?? ?? 8B 37 49 8B 9C F7 ?? ?? ?? ?? 48 85 DB 74 0F 48 83 FB FF 0F 84 A5 00 00 00 E9 9B 00 00 00 49 8B AC F7 ?? ?? ?? ?? 33 D2 48 8B CD 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 4E FF 15 ?? ?? ?? ?? 83 F8 57 75 41 44 8D 43 07 48 8B CD 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2A 44 8D 43 07 48 8B CD 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 13 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 48 85 DB 75 0E 48 83 C8 FF 49 87 84 F7 ?? ?? ?? ?? EB 1E 48 8B C3 49 87 84 F7 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 85 DB 75 28 48 83 C7 04 49 3B FE 0F 85 35 FF FF FF 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B C3 EB E2 }
	condition:
		$1
}

rule file_706_63_0 {
	meta:
		name = "?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
		size = 470
		refs = "0022 __ImageBase 0033 ?encoded_function_pointers@@3PAPEAXA 003a __security_cookie 0079 ?module_handles@@3PAPEAUHINSTANCE__@@A 0094 ?module_names@?A0x391cf84c@@3QBQEB_WB 00a5 __imp_LoadLibraryExW 00b3 __imp_GetLastError 00c8 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 00cd wcsncmp 00db ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 012e __imp_FreeLibrary 015a __imp_GetProcAddress"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 44 8B F9 4C 8D 35 ?? ?? ?? ?? 4D 8B E1 49 8B E8 4C 8B EA 4B 8B 8C FE ?? ?? ?? ?? 4C 8B 15 ?? ?? ?? ?? 48 83 CF FF 41 8B C2 49 8B D2 48 33 D1 83 E0 3F 8A C8 48 D3 CA 48 3B D7 0F 84 5B 01 00 00 48 85 D2 74 08 48 8B C2 E9 50 01 00 00 4D 3B C1 0F 84 D9 00 00 00 8B 75 00 49 8B 9C F6 ?? ?? ?? ?? 48 85 DB 74 0E 48 3B DF 0F 84 AC 00 00 00 E9 A2 00 00 00 4D 8B B4 F6 ?? ?? ?? ?? 33 D2 49 8B CE 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 4F FF 15 ?? ?? ?? ?? 83 F8 57 75 42 8D 58 B0 49 8B CE 44 8B C3 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 29 44 8B C3 48 8D 15 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 13 45 33 C0 33 D2 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 4C 8D 35 ?? ?? ?? ?? 48 85 DB 75 0D 48 8B C7 49 87 84 F6 ?? ?? ?? ?? EB 1E 48 8B C3 49 87 84 F6 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 85 DB 75 55 48 83 C5 04 49 3B EC 0F 85 2E FF FF FF 4C 8B 15 ?? ?? ?? ?? 33 DB 48 85 DB 74 4A 49 8B D5 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 74 32 4C 8B 05 ?? ?? ?? ?? BA 40 00 00 00 41 8B C8 83 E1 3F 2B D1 8A CA 48 8B D0 48 D3 CA 49 33 D0 4B 87 94 FE ?? ?? ?? ?? EB 2D 4C 8B 15 ?? ?? ?? ?? EB B8 4C 8B 15 ?? ?? ?? ?? 41 8B C2 B9 40 00 00 00 83 E0 3F 2B C8 48 D3 CF 49 33 FA 4B 87 BC FE ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_706_64_0 {
	meta:
		name = "?try_get_module@@YAPEAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
		size = 254
		refs = "001e __ImageBase 0026 ?module_handles@@3PAPEAUHINSTANCE__@@A 0045 ?module_names@?A0x391cf84c@@3QBQEB_WB 0056 __imp_LoadLibraryExW 0064 __imp_GetLastError 0079 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 007e wcsncmp 008c ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 00dc __imp_FreeLibrary"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B F9 4C 8D 35 ?? ?? ?? ?? 49 8B 84 FE ?? ?? ?? ?? 33 ED 48 85 C0 74 10 48 83 C9 FF 48 3B C1 48 0F 44 C5 E9 A2 00 00 00 49 8B B4 FE ?? ?? ?? ?? 33 D2 48 8B CE 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 50 FF 15 ?? ?? ?? ?? 83 F8 57 75 42 8D 58 B0 48 8B CE 44 8B C3 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 29 44 8B C3 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 13 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 EB 03 48 8B DD 48 85 DB 75 10 48 83 C9 FF 49 87 8C FE ?? ?? ?? ?? 33 C0 EB 1C 48 8B C3 49 87 84 FE ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_706_65_0 {
	meta:
		name = "?try_get_proc_address_from_first_available_module@@YAPEAXQEBDQEBW4module_id@?A0x391cf84c@@1@Z"
		size = 311
		refs = "0032 __ImageBase 003c ?module_handles@@3PAPEAUHINSTANCE__@@A 0058 ?module_names@?A0x391cf84c@@3QBQEB_WB 0069 __imp_LoadLibraryExW 0077 __imp_GetLastError 008a ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 008f wcsncmp 00a1 ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 00eb __imp_FreeLibrary 0114 __imp_GetProcAddress"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F0 48 8B FA 4C 8B F9 49 3B D0 0F 84 D2 00 00 00 4C 8D 25 ?? ?? ?? ?? 8B 37 49 8B 9C F4 ?? ?? ?? ?? 48 85 DB 74 0F 48 83 FB FF 0F 84 A5 00 00 00 E9 9B 00 00 00 49 8B AC F4 ?? ?? ?? ?? 33 D2 48 8B CD 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 4E FF 15 ?? ?? ?? ?? 83 F8 57 75 41 44 8D 43 07 48 8B CD 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2A 44 8D 43 07 48 8B CD 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 13 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 48 85 DB 75 0E 48 83 C8 FF 49 87 84 F4 ?? ?? ?? ?? EB 1E 48 8B C3 49 87 84 F4 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 85 DB 75 18 48 83 C7 04 49 3B FE 0F 85 35 FF FF FF 33 DB 48 85 DB 75 04 33 C0 EB 0C 49 8B D7 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_706_66_0 {
	meta:
		name = "?try_load_library_from_system_directory@@YAPEAUHINSTANCE__@@QEB_W@Z"
		size = 115
		refs = "0013 __imp_LoadLibraryExW 001e __imp_GetLastError 0031 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 0036 wcsncmp 0047 ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 41 B8 00 08 00 00 48 8B D9 FF 15 ?? ?? ?? ?? 48 85 C0 75 51 FF 15 ?? ?? ?? ?? 83 F8 57 75 44 44 8D 40 B0 48 8B CB 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2D 41 B8 07 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 14 45 33 C0 33 D2 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_68_0 {
	meta:
		name = "__acrt_AppPolicyGetProcessTerminationMethodInternal"
		size = 78
		refs = "000c ?candidate_modules@?1??try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPEAXPEAW4AppPolicyProcessTerminationMethod@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0CF@OJOFEIGO@AppPolicyGetProcessTerminationMe@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 1C 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 16 48 8B D3 48 C7 C1 FA FF FF FF 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? B8 25 02 00 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_69_0 {
	meta:
		name = "__acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
		size = 78
		refs = "000c ?candidate_modules@?1??try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPEAXPEAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0CE@OICFMIKE@AppPolicyGetShowDeveloperDiagnos@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 1E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 16 48 8B D3 48 C7 C1 FA FF FF FF 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? B8 25 02 00 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_70_0 {
	meta:
		name = "__acrt_AppPolicyGetThreadInitializationTypeInternal"
		size = 78
		refs = "000c ?candidate_modules@?1??try_get_AppPolicyGetThreadInitializationType@@YAP6AJPEAXPEAW4AppPolicyThreadInitializationType@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0CF@NNDFDCOC@AppPolicyGetThreadInitialization@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 1D 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 16 48 8B D3 48 C7 C1 FA FF FF FF 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? B8 25 02 00 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_71_0 {
	meta:
		name = "__acrt_AppPolicyGetWindowingModelInternal"
		size = 78
		refs = "000c ?candidate_modules@?1??try_get_AppPolicyGetWindowingModel@@YAP6AJPEAXPEAW4AppPolicyWindowingModel@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0BL@ODDJNEDA@AppPolicyGetWindowingModel?$AA@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003f __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 1F 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 16 48 8B D3 48 C7 C1 FA FF FF FF 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? B8 25 02 00 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_72_0 {
	meta:
		name = "__acrt_AreFileApisANSI"
		size = 58
		refs = "0007 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6AHXZXZ@4QBW4module_id@?A0x391cf84c@@B 0017 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 001c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 002c __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_706_73_0 {
	meta:
		name = "__acrt_CompareStringEx"
		size = 220
		refs = "001f ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 008f __guard_dispatch_icall_fptr 009b __acrt_LocaleNameToLCID 00c3 __imp_CompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 41 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 52 4C 8B 84 24 A0 00 00 00 44 8B CB 48 8B 8C 24 98 00 00 00 8B D6 4C 89 44 24 40 4C 8B C7 48 89 4C 24 38 48 8B 8C 24 90 00 00 00 48 89 4C 24 30 8B 8C 24 88 00 00 00 89 4C 24 28 48 8B 8C 24 80 00 00 00 48 89 4C 24 20 48 8B CD FF 15 ?? ?? ?? ?? EB 32 33 D2 48 8B CD E8 ?? ?? ?? ?? 8B C8 44 8B CB 8B 84 24 88 00 00 00 4C 8B C7 89 44 24 28 8B D6 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_706_74_0 {
	meta:
		name = "__acrt_EnumSystemLocalesEx"
		size = 149
		refs = "001f ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0032 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 0037 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 004f __guard_dispatch_icall_fptr 0081 ??$?RV<lambda_bd00b5aa228bd7e7e5b2b5db5fd2933b>@@AEAV<lambda_777d11615145f89ee95b9466d285deeb>@@V<lambda_6e5e48fbd24f9f8f81b203eb3d877683>@@@?$__crt_seh_guarded_call@H@@QEAAH$$QEAV<lambda_bd00b5aa228bd7e7e5b2b5db5fd2933b>@@AEAV<lambda_777d11615145f89ee95b9466d285deeb>@@$$QEAV<lambda_6e5e48fbd24f9f8f81b203eb3d877683>@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 50 49 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? B9 02 00 00 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 48 8B 4C 24 60 4C 8B CB 4C 8B C7 8B D6 FF 15 ?? ?? ?? ?? EB 30 48 8D 44 24 60 48 89 44 24 40 4C 8D 4C 24 34 B8 04 00 00 00 4C 8D 44 24 40 48 8D 54 24 38 89 44 24 34 48 8D 4C 24 30 89 44 24 38 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_706_75_0 {
	meta:
		name = "__acrt_FlsAlloc"
		size = 72
		refs = "000c ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0038 __guard_dispatch_icall_fptr 0044 __imp_TlsAlloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 03 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0F 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_76_0 {
	meta:
		name = "__acrt_FlsFree"
		size = 70
		refs = "000b ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001e ??_C@_07PEJMOBNF@FlsFree?$AA@ 0023 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0036 __guard_dispatch_icall_fptr 0042 __imp_TlsFree"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 4C 8D 0D ?? ?? ?? ?? B9 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 48 85 C0 74 0C 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_77_0 {
	meta:
		name = "__acrt_FlsGetValue"
		size = 70
		refs = "000b ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001e ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0023 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0036 __guard_dispatch_icall_fptr 0042 __imp_TlsGetValue"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 4C 8D 0D ?? ?? ?? ?? B9 05 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 48 85 C0 74 0C 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_78_0 {
	meta:
		name = "__acrt_FlsSetValue"
		size = 81
		refs = "0010 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0019 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 002a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003a __guard_dispatch_icall_fptr 0042 __imp_TlsSetValue"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 4C 8D 0D ?? ?? ?? ?? 8B F9 48 8D 15 ?? ?? ?? ?? B9 06 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D3 8B CF 48 85 C0 74 08 FF 15 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_79_0 {
	meta:
		name = "__acrt_GetDateFormatEx"
		size = 182
		refs = "001f ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 006f __guard_dispatch_icall_fptr 007b __acrt_LocaleNameToLCID 009d __imp_GetDateFormatW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 32 4C 8B 84 24 80 00 00 00 4C 8B CB 8B 4C 24 78 8B D6 4C 89 44 24 30 4C 8B C7 89 4C 24 28 48 8B 4C 24 70 48 89 4C 24 20 48 8B CD FF 15 ?? ?? ?? ?? EB 2C 33 D2 48 8B CD E8 ?? ?? ?? ?? 8B C8 4C 8B CB 8B 44 24 78 4C 8B C7 89 44 24 28 8B D6 48 8B 44 24 70 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_706_80_0 {
	meta:
		name = "__acrt_GetEnabledXStateFeatures"
		size = 57
		refs = "0007 ?candidate_modules@?1??try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ@4QBW4module_id@?A0x391cf84c@@B 001a ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 001f ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 002f __guard_dispatch_icall_fptr 0034 abort"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? B9 09 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_81_0 {
	meta:
		name = "__acrt_GetLocaleInfoEx"
		size = 130
		refs = "001f ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0050 __guard_dispatch_icall_fptr 0059 __acrt_LocaleNameToLCID 0069 __imp_GetLocaleInfoW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 0B 00 00 00 E8 ?? ?? ?? ?? 48 8B CD 48 85 C0 74 10 44 8B CB 4C 8B C7 8B D6 FF 15 ?? ?? ?? ?? EB 17 33 D2 E8 ?? ?? ?? ?? 8B C8 44 8B CB 4C 8B C7 8B D6 FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_706_82_0 {
	meta:
		name = "__acrt_GetSystemTimePreciseAsFileTime"
		size = 72
		refs = "000c ?candidate_modules@?1??try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPEAU_FILETIME@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0038 __guard_dispatch_icall_fptr 0044 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 0D 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 85 C0 74 0C 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_83_0 {
	meta:
		name = "__acrt_GetTimeFormatEx"
		size = 171
		refs = "001f ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0064 __guard_dispatch_icall_fptr 0070 __acrt_LocaleNameToLCID 0092 __imp_GetTimeFormatW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 27 44 8B 44 24 78 4C 8B CB 48 8B 4C 24 70 8B D6 44 89 44 24 28 4C 8B C7 48 89 4C 24 20 48 8B CD FF 15 ?? ?? ?? ?? EB 2C 33 D2 48 8B CD E8 ?? ?? ?? ?? 8B C8 4C 8B CB 8B 44 24 78 4C 8B C7 89 44 24 28 8B D6 48 8B 44 24 70 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_706_84_0 {
	meta:
		name = "__acrt_GetUserDefaultLocaleName"
		size = 97
		refs = "000f ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0019 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 002a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003a __guard_dispatch_icall_fptr 0042 __imp_GetUserDefaultLCID 0052 __acrt_LCIDToLocaleName"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 4C 8D 0D ?? ?? ?? ?? 48 8B F9 48 8D 15 ?? ?? ?? ?? B9 0F 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0D 8B D3 48 8B CF FF 15 ?? ?? ?? ?? EB 16 FF 15 ?? ?? ?? ?? 45 33 C9 44 8B C3 8B C8 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_85_0 {
	meta:
		name = "__acrt_GetXStateFeaturesMask"
		size = 81
		refs = "0010 ?candidate_modules@?1??try_get_GetXStateFeaturesMask@@YAP6AHPEAU_CONTEXT@@PEA_K@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001a ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 002b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0047 __guard_dispatch_icall_fptr 004c abort"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 4C 8D 0D ?? ?? ?? ?? 48 8B F9 48 8D 15 ?? ?? ?? ?? B9 11 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 17 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_86_0 {
	meta:
		name = "__acrt_InitializeCriticalSectionEx"
		size = 97
		refs = "0015 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0028 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 0032 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0045 __guard_dispatch_icall_fptr 004d __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F0 4C 8D 0D ?? ?? ?? ?? 8B DA 4C 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 15 ?? ?? ?? ?? B9 12 00 00 00 E8 ?? ?? ?? ?? 8B D3 48 8B CF 48 85 C0 74 0B 44 8B C6 FF 15 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_87_0 {
	meta:
		name = "__acrt_IsValidLocaleName"
		size = 86
		refs = "000c ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0038 __guard_dispatch_icall_fptr 003f __acrt_LocaleNameToLCID 0052 __imp_IsValidLocale"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 13 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 85 C0 74 0C 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_88_0 {
	meta:
		name = "__acrt_LCIDToLocaleName"
		size = 112
		refs = "0020 ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0050 __guard_dispatch_icall_fptr 0057 __acrt_DownlevelLCIDToLocaleName"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B E9 41 8B D8 48 8B FA 4C 8D 0D ?? ?? ?? ?? 8B F1 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 15 00 00 00 E8 ?? ?? ?? ?? 44 8B C3 48 8B D7 8B CE 48 85 C0 74 0B 44 8B CD FF 15 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_706_89_0 {
	meta:
		name = "__acrt_LCMapStringEx"
		size = 220
		refs = "001f ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0030 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 003a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 008f __guard_dispatch_icall_fptr 009b __acrt_LocaleNameToLCID 00c3 __imp_LCMapStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 41 8B D9 49 8B F8 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 14 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 52 4C 8B 84 24 A0 00 00 00 44 8B CB 48 8B 8C 24 98 00 00 00 8B D6 4C 89 44 24 40 4C 8B C7 48 89 4C 24 38 48 8B 8C 24 90 00 00 00 48 89 4C 24 30 8B 8C 24 88 00 00 00 89 4C 24 28 48 8B 8C 24 80 00 00 00 48 89 4C 24 20 48 8B CD FF 15 ?? ?? ?? ?? EB 32 33 D2 48 8B CD E8 ?? ?? ?? ?? 8B C8 44 8B CB 8B 84 24 88 00 00 00 4C 8B C7 89 44 24 28 8B D6 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_706_90_0 {
	meta:
		name = "__acrt_LocaleNameToLCID"
		size = 80
		refs = "000f ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0019 ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@ 002a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003a __guard_dispatch_icall_fptr 0041 __acrt_DownlevelLocaleNameToLCID"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B FA 4C 8D 0D ?? ?? ?? ?? 48 8B D9 48 8D 15 ?? ?? ?? ?? B9 16 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 85 C0 74 0A 8B D7 FF 15 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_91_0 {
	meta:
		name = "__acrt_LocateXStateFeature"
		size = 95
		refs = "0015 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0028 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 0032 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0055 __guard_dispatch_icall_fptr 005a abort"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 4C 8D 0D ?? ?? ?? ?? 8B FA 4C 8D 05 ?? ?? ?? ?? 48 8B F1 48 8D 15 ?? ?? ?? ?? B9 17 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 1E 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_92_0 {
	meta:
		name = "__acrt_MessageBoxA"
		size = 113
		refs = "0020 ?candidate_modules@?1??try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0031 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 003b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0052 __guard_dispatch_icall_fptr 006c abort"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B D9 49 8B F8 48 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 27 44 8B CB 4C 8B C7 48 8B D6 48 8B CD FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_93_0 {
	meta:
		name = "__acrt_MessageBoxW"
		size = 113
		refs = "0020 ?candidate_modules@?1??try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0031 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 003b ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0052 __guard_dispatch_icall_fptr 006c abort"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 41 8B D9 49 8B F8 48 8B F2 4C 8D 0D ?? ?? ?? ?? 48 8B E9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 19 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 27 44 8B CB 4C 8B C7 48 8B D6 48 8B CD FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_94_0 {
	meta:
		name = "__acrt_RoInitialize"
		size = 64
		refs = "000b ?candidate_modules@?1??try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001e ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 0023 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0036 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 4C 8D 0D ?? ?? ?? ?? B9 1A 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0E 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_95_0 {
	meta:
		name = "__acrt_RoUninitialize"
		size = 51
		refs = "0007 ?candidate_modules@?1??try_get_RoUninitialize@@YAP6AXXZXZ@4QBW4module_id@?A0x391cf84c@@B 001a ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 001f ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 002a __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? B9 1B 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_706_96_0 {
	meta:
		name = "__acrt_RtlGenRandom"
		size = 79
		refs = "000f ?candidate_modules@?1??try_get_SystemFunction036@@YAP6AEPEAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0019 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 002a ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0045 __guard_dispatch_icall_fptr 004a abort"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 4C 8D 0D ?? ?? ?? ?? 48 8B F9 48 8D 15 ?? ?? ?? ?? B9 21 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 16 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_706_97_0 {
	meta:
		name = "__acrt_SetThreadStackGuarantee"
		size = 66
		refs = "000c ?candidate_modules@?1??try_get_SetThreadStackGuarantee@@YAP6AHPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001f ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 0024 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0038 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 8D 0D ?? ?? ?? ?? B9 20 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 0F 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_98_0 {
	meta:
		name = "__acrt_can_show_message_box"
		size = 109
		refs = "000d __acrt_get_windowing_model_policy 001b ?candidate_modules@?1??try_get_MessageBoxA@@YAP6AHPEAUHWND__@@PEBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0029 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 0031 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 003d ?candidate_modules@?1??try_get_MessageBoxW@@YAP6AHPEAUHWND__@@PEB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 004b ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB E8 ?? ?? ?? ?? 8D 7B 01 3B C7 75 48 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 8D 4B 18 E8 ?? ?? ?? ?? 48 85 C0 74 26 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 8D 4B 19 E8 ?? ?? ?? ?? 48 85 C0 0F B6 DB 0F 45 DF 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_99_0 {
	meta:
		name = "__acrt_can_use_vista_locale_apis"
		size = 46
		refs = "0007 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001a ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 001f ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? B9 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_706_100_0 {
	meta:
		name = "__acrt_can_use_xstate_apis"
		size = 46
		refs = "0007 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6APEAXPEAU_CONTEXT@@KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 001a ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 001f ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? B9 17 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_706_101_0 {
	meta:
		name = "__acrt_eagerly_load_locale_apis"
		size = 346
		refs = "0007 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6AHXZXZ@4QBW4module_id@?A0x391cf84c@@B 0017 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 001c ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0023 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPEB_WK0H0HPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0036 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 0042 ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6AHP6AHPEA_WK_J@ZK1PEAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0055 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 0061 ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0074 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 0080 ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6AHPEB_WKPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0093 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 009f ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6AHPEB_WKPEBU_SYSTEMTIME@@0PEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 00b2 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 00be ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6AHPEA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 00d1 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 00dd ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6AHPEB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B 00f0 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 00fc ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6AHPEB_WK0HPEA_WHPEAU_nlsversioninfo@@PEAX_J@ZXZ@4QBW4module_id@?A0x391cf84c@@B 010f ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 011b ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6AHKPEA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 012e ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 013a ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6AKPEB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 014d ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@"
	strings:
		$1 = { 48 83 EC 28 4C 8D 0D ?? ?? ?? ?? 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 02 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 08 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 0B 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 0E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 0F 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 13 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 14 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 15 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? B9 16 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_102_0 {
	meta:
		name = "__acrt_get_parent_window"
		size = 124
		refs = "0009 ?candidate_modules@?1??try_get_GetActiveWindow@@YAP6APEAUHWND__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 001c ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 0021 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0034 __guard_dispatch_icall_fptr 0043 ?candidate_modules@?1??try_get_GetLastActivePopup@@YAP6APEAUHWND__@@PEAU2@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0056 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? B9 07 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 08 33 C0 48 83 C4 20 5B C3 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 EA 4C 8D 0D ?? ?? ?? ?? B9 0A 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8B C3 48 83 C4 20 5B C3 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_706_103_0 {
	meta:
		name = "__acrt_initialize_winapi_thunks"
		size = 55
		refs = "0008 __security_cookie 000f ?encoded_function_pointers@@3PAPEAXA"
	strings:
		$1 = { 48 89 7C 24 08 48 8B 15 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 8B C2 B9 40 00 00 00 83 E0 3F 2B C8 33 C0 48 D3 C8 B9 22 00 00 00 48 33 C2 F3 48 AB 48 8B 7C 24 08 B0 01 C3 }
	condition:
		$1
}

rule file_706_104_0 {
	meta:
		name = "__acrt_is_interactive"
		size = 199
		refs = "000d __security_cookie 001c ?candidate_modules@?1??try_get_GetProcessWindowStation@@YAP6APEAUHWINSTA__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 002f ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0034 ?try_get_function@@YAPEAXW4function_id@?A0x391cf84c@@QEBDQEBW4module_id@2@2@Z 0047 ?candidate_modules@?1??try_get_GetUserObjectInformationW@@YAP6AHPEAXH0KPEAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 005a ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 0070 __guard_dispatch_icall_fptr 00b8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 4C 8D 0D ?? ?? ?? ?? B9 0C 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 04 B0 01 EB 6B 4C 8D 0D ?? ?? ?? ?? B9 10 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 D5 48 8B C3 FF 15 ?? ?? ?? ?? 48 85 C0 75 04 32 C0 EB 32 33 C9 4C 8D 44 24 30 48 21 4C 24 20 48 89 4C 24 30 89 4C 24 38 44 8D 49 0C 8D 51 01 48 8B C8 48 8B C7 FF 15 ?? ?? ?? ?? 85 C0 74 D0 8A 44 24 38 24 01 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_706_105_0 {
	meta:
		name = "__acrt_uninitialize_winapi_thunks"
		size = 65
		refs = "000d ?module_handles@@3PAPEAUHINSTANCE__@@A 0021 __imp_FreeLibrary"
	strings:
		$1 = { 40 53 48 83 EC 20 84 C9 75 2F 48 8D 1D ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 10 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 48 83 23 00 48 83 C3 08 48 8D 05 ?? ?? ?? ?? 48 3B D8 75 D8 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_707_0_0 {
	meta:
		name = "_d_inttype"
		size = 87
		refs = "000d _fpclass 0019 _frnd 0029 __real@3fe0000000000000"
	strings:
		$1 = { 48 83 EC 38 0F 29 74 24 20 0F 28 F0 E8 ?? ?? ?? ?? A8 90 75 36 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 28 75 26 F2 0F 59 35 ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 09 75 07 B8 02 00 00 00 EB 09 B8 01 00 00 00 EB 02 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_707_1_0 {
	meta:
		name = "_powhlp"
		size = 309
		refs = "0015 __xmm@7fffffffffffffff7fffffffffffffff 0043 __real@3ff0000000000000 0051 _d_inf 00f9 _d_inttype 0116 __xmm@80000000000000008000000000000000 012b _d_mzero"
	strings:
		$1 = { 48 8B C4 F2 0F 11 48 10 F2 0F 11 40 08 53 48 83 EC 30 0F 54 05 ?? ?? ?? ?? 33 D2 0F 29 70 E8 41 B9 00 00 F0 7F 48 8B 40 10 49 8B D8 48 8B C8 0F 28 F1 48 C1 E9 20 41 3B C9 75 3E 85 C0 75 3A F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 12 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 11 00 E9 80 00 00 00 66 0F 2F C8 76 05 49 89 10 EB 75 48 B8 00 00 00 00 00 00 F0 3F 49 89 00 EB 66 41 B8 00 00 F0 FF 41 3B C8 75 2A 85 C0 75 26 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 05 48 89 13 EB 44 66 0F 2F C8 76 31 F2 0F 10 05 ?? ?? ?? ?? E9 81 00 00 00 48 8B 4C 24 40 48 8B C1 48 C1 E8 20 41 3B C1 75 2D 85 C9 75 29 0F 57 C0 66 0F 2F C8 77 D5 66 0F 2F C1 77 C4 48 B8 00 00 00 00 00 00 F0 3F 48 89 03 33 C0 0F 28 74 24 20 48 83 C4 30 5B C3 41 3B C0 75 EE 85 C9 75 EA 0F 28 C1 E8 ?? ?? ?? ?? 0F 57 C0 66 0F 2F F0 76 16 F2 0F 10 05 ?? ?? ?? ?? 83 F8 01 75 1C 0F 57 05 ?? ?? ?? ?? EB 13 66 0F 2F C6 76 B0 83 F8 01 75 08 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 EB AA }
	condition:
		$1
}

rule file_708_0_0 {
	meta:
		name = "_lfind"
		size = 153
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0082 __guard_dispatch_icall_fptr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 41 8B F1 48 8B DA 4C 8B F1 48 85 C9 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 4D 85 C0 74 D3 48 85 D2 75 05 41 39 10 75 C9 45 85 C9 74 C4 48 83 7C 24 50 00 74 BC 41 8B 38 0F AF FE 48 03 FA 48 3B D7 74 BE 48 8B 44 24 50 48 8B D3 49 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 0A 48 03 DE 48 3B DF 75 E3 EB 9F 48 8B C3 EB 9C }
	condition:
		$1
}

rule file_709_4_0 {
	meta:
		name = "?get_drive_number_from_path@@YAHQEB_W@Z"
		size = 39
	strings:
		$1 = { 66 83 39 00 74 1E 66 83 79 02 3A 75 17 0F B7 01 66 83 E8 61 66 83 F8 19 0F B7 01 77 03 83 E8 20 83 C0 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_709_6_0 {
	meta:
		name = "_chdrive"
		size = 129
		refs = "0009 __security_cookie 001e __doserrno 0029 _errno 0034 _invalid_parameter_noinfo 0055 __imp_SetCurrentDirectoryW 005f __imp_GetLastError 0066 __acrt_errno_map_os_error 0077 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 8D 41 FF 83 F8 19 76 20 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 31 66 83 C1 40 C7 44 24 22 3A 00 00 00 66 89 4C 24 20 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB CC 33 C0 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_709_7_0 {
	meta:
		name = "_getdrive"
		size = 251
		refs = "0015 __security_cookie 0032 memset 0042 __imp_GetCurrentDirectoryW 0080 _calloc_base 009e _errno 00d0 _free_base 00e2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 D2 48 8D 4C 24 20 41 B8 0A 02 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 20 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 3D 04 01 00 00 77 28 48 8B 4C 24 20 33 FF 66 85 C9 74 7B 66 83 7C 24 22 3A 75 73 8D 41 9F 66 83 F8 19 0F B7 C1 77 03 83 E8 20 8D 78 C0 EB 5F 8D 70 01 BA 02 00 00 00 8B CE E8 ?? ?? ?? ?? 33 FF 48 8B D8 48 85 C0 74 0F 48 8B D0 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 22 66 39 3B 74 1D 66 83 7B 02 3A 75 16 0F B7 03 66 83 E8 61 66 83 F8 19 0F B7 03 77 03 83 E8 20 8D 78 C0 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 02 00 00 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_711_1_0 {
	meta:
		name = "??$common_gets@D@@YAPEADQEAD_K_N@Z"
		size = 387
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0058 __acrt_iob_func 0060 _lock_file 0070 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQEAU_iobuf@@@Z 0090 _getc_nolock 014e _local_unwind 0166 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 50 48 89 64 24 40 41 8A F0 48 8B DA 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 27 01 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DD 4C 8B F1 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 90 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 0D 45 33 F6 4C 89 74 24 20 E9 D6 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 89 44 24 60 83 F8 FF 75 11 45 33 F6 4C 89 74 24 20 40 84 F6 0F 85 AD 00 00 00 48 83 FB FF 75 33 48 89 7C 24 28 83 F8 0A 74 24 83 F8 FF 74 1F 88 07 48 FF C7 48 89 7C 24 28 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 89 44 24 60 EB D7 C6 07 00 EB 74 48 89 5C 24 30 48 8B F7 48 89 7C 24 38 83 F8 0A 74 31 83 F8 FF 74 2C 48 85 DB 74 12 48 FF CB 48 89 5C 24 30 88 06 48 FF C6 48 89 74 24 38 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 89 44 24 60 EB CA 48 85 DB 75 29 88 1F E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 40 E8 ?? ?? ?? ?? 90 90 33 C0 EB 15 C6 06 00 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B C6 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_711_2_0 {
	meta:
		name = "?fin$0@?0???$common_gets@D@@YAPEADQEAD_K_N@Z@4HA"
		size = 32
		refs = "000c __acrt_iob_func 0014 _unlock_file"
		altNames = "?fin$0@?0???$common_gets@_W@@YAPEA_WQEA_W_K_N@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_711_3_0 {
	meta:
		name = "??$common_gets@_W@@YAPEA_WQEA_W_K_N@Z"
		size = 383
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 0061 __acrt_iob_func 0069 _lock_file 0080 _getwc_nolock 0144 _local_unwind 015d _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 50 48 89 64 24 40 41 8A F0 48 8B DA 48 8B F9 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 16 01 00 00 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 DC 4C 8B F1 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 90 33 C9 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 41 BC FF FF 00 00 66 41 3B C4 75 11 4D 8B F7 4C 89 7C 24 38 40 84 F6 0F 85 B1 00 00 00 48 83 FB FF 75 34 48 89 7C 24 20 66 83 F8 0A 74 23 66 41 3B C4 74 1D 66 89 07 48 83 C7 02 48 89 7C 24 20 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB D7 66 44 89 3F EB 77 48 89 5C 24 28 48 8B F7 48 89 7C 24 30 66 83 F8 0A 74 30 66 41 3B C4 74 2A 48 85 DB 74 14 48 FF CB 48 89 5C 24 28 66 89 06 48 83 C6 02 48 89 74 24 30 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB CA 48 85 DB 75 2B 66 44 89 3F E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 40 E8 ?? ?? ?? ?? 90 90 33 C0 EB 16 66 44 89 3E 33 C9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B C6 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_713_0_0 {
	meta:
		name = "localeconv"
		size = 51
		refs = "0005 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B 88 90 00 00 00 48 89 4C 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 8B 80 F8 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_714_7_0 {
	meta:
		name = "?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ"
		size = 89
		refs = "0013 __acrt_lock 001e ?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ 004c __acrt_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 21 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 08 48 89 0B 48 85 C9 74 19 83 61 10 00 48 8B C1 48 83 61 28 00 48 83 21 00 48 83 61 08 00 83 49 18 FF B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_714_9_0 {
	meta:
		name = "?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
		size = 66
	strings:
		$1 = { 48 89 4C 24 08 4C 8B DC 33 D2 48 89 11 49 8B 43 08 48 89 50 08 49 8B 43 08 89 50 10 49 8B 43 08 83 48 18 FF 49 8B 43 08 89 50 1C 49 8B 43 08 89 50 20 49 8B 43 08 48 89 50 28 49 8B 43 08 87 50 14 C3 }
	condition:
		$1
}

rule file_714_13_0 {
	meta:
		name = "?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ"
		size = 234
		refs = "0017 __piob 0021 _nstream 0050 _lock_file 0075 _unlock_file 0088 _calloc_base 0092 _free_base 00b2 __acrt_InitializeCriticalSectionEx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 48 8B F1 48 63 2D ?? ?? ?? ?? 48 83 C7 18 48 83 C5 FD 48 8D 2C EF 48 3B FD 0F 84 94 00 00 00 48 8B 1F 48 85 DB 74 3D 8B 43 14 C1 E8 0D A8 01 75 2D 48 8B CB E8 ?? ?? ?? ?? 0F 0D 4B 14 8B 43 14 8B C8 0F BA E9 0D F0 0F B1 4B 14 75 F3 C1 E8 0D F6 D0 A8 01 75 58 48 8B CB E8 ?? ?? ?? ?? 48 83 C7 08 EB B2 BA 58 00 00 00 8D 4A A9 E8 ?? ?? ?? ?? 33 C9 48 89 07 E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 74 30 83 48 18 FF 45 33 C0 48 8B 0F BA A0 0F 00 00 48 83 C1 30 E8 ?? ?? ?? ?? 48 8B 1F F0 81 4B 14 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 48 89 1E EB 04 48 83 26 00 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_714_19_0 {
	meta:
		name = "?try_allocate@__crt_stdio_stream@@QEAA_NXZ"
		size = 32
	strings:
		$1 = { 48 8B 11 0F 0D 4A 14 8B 42 14 8B C8 0F BA E9 0D F0 0F B1 4A 14 75 F3 C1 E8 0D F7 D0 83 E0 01 C3 }
	condition:
		$1
}

rule file_715_0_0 {
	meta:
		name = "_hypotf"
		size = 306
		refs = "00ab __real@47efffffe0000000 00bc ??_C@_07HIGHJEEA@_hypotf?$AA@ 00ec _handle_errorf 011b _set_statfp"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 0F 28 D8 0F 28 E1 0F 57 D2 48 B8 FF FF FF FF FF FF FF 7F F3 0F 5A D3 41 B9 FF 07 00 00 49 BA FF FF FF FF FF FF 0F 00 0F 57 C9 0F 57 C0 F2 0F 11 94 24 80 00 00 00 0F 57 D2 4C 8B 84 24 80 00 00 00 4C 23 C0 F3 0F 5A D4 F3 0F 5A CB F2 0F 11 94 24 80 00 00 00 48 8B 94 24 80 00 00 00 48 23 D0 49 8B C0 48 8B CA 48 C1 E8 34 48 C1 E9 34 F3 0F 5A C4 49 3B C1 74 7A 49 3B C9 74 7F F2 0F 59 C0 F2 0F 59 C9 F2 0F 58 C1 F2 41 0F 11 43 20 F2 41 0F 51 53 20 F2 0F 11 54 24 50 F2 0F 10 44 24 50 66 0F 2F 05 ?? ?? ?? ?? 76 41 C7 44 24 40 02 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 64 24 38 BA 18 00 00 00 F3 0F 11 5C 24 30 41 B8 00 00 80 7F C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 44 8D 4A EB E8 ?? ?? ?? ?? EB 3B 66 0F 5A C0 EB 35 4D 85 C2 74 1B 49 3B C9 75 05 49 85 D2 74 11 F3 0F 59 DB F3 0F 59 E4 F3 0F 58 DC 0F 28 C3 EB 15 33 C9 E8 ?? ?? ?? ?? C7 44 24 70 00 00 80 7F F3 0F 10 44 24 70 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_716_0_0 {
	meta:
		name = "roundf"
		size = 101
		refs = "0015 _fd_int 004a __real@bf800000 0054 __real@3f800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 BA 01 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 74 26 F3 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 58 05 ?? ?? ?? ?? EB 10 F3 0F 58 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_718_0_0 {
	meta:
		name = "?GetTableIndexFromLcid@@YAHK@Z"
		size = 67
		refs = "0017 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 44 8B D1 45 33 C0 41 B9 E3 00 00 00 43 8D 04 01 41 8B CA 99 4C 8D 1D ?? ?? ?? ?? 2B C2 D1 F8 48 63 D0 48 C1 E2 04 42 2B 0C 1A 74 16 85 C9 79 06 44 8D 48 FF EB 04 44 8D 40 01 45 3B C1 7E CD 83 C8 FF C3 }
	condition:
		$1
}

rule file_718_1_0 {
	meta:
		name = "?GetTableIndexFromLocaleName@@YAHPEB_W@Z"
		size = 199
		refs = "001a ?LocaleNameToIndexTable@?A0x881e4c05@@3QBULocaleNameIndex@1@B"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 33 ED 4C 8D 35 ?? ?? ?? ?? 44 8B D5 48 8B F1 41 BB E3 00 00 00 43 8D 04 13 48 8B FE 99 BB 55 00 00 00 2B C2 D1 F8 4C 63 C0 49 8B C8 48 C1 E1 04 4E 8B 0C 31 49 2B F9 42 0F B7 14 0F 8D 4A BF 66 83 F9 19 77 04 66 83 C2 20 41 0F B7 09 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C1 02 48 83 EB 01 74 0A 66 85 D2 74 05 66 3B D1 74 C9 0F B7 C1 0F B7 CA 2B C8 74 18 85 C9 79 06 45 8D 58 FF EB 04 45 8D 50 01 45 3B D3 7E 8A 83 C8 FF EB 0B 49 8B C0 48 03 C0 41 8B 44 C6 08 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 5E C3 }
	condition:
		$1
}

rule file_718_2_0 {
	meta:
		name = "?__wcsnicmp_ascii@@YAHPEB_W0_K@Z"
		size = 86
	strings:
		$1 = { 45 33 C9 4C 8B D2 4C 8B D9 4D 85 C0 74 44 4C 2B DA 43 0F B7 0C 13 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 41 0F B7 12 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 49 83 C2 02 49 83 E8 01 74 0A 66 85 C9 74 05 66 3B CA 74 C9 0F B7 C2 44 0F B7 C9 44 2B C8 41 8B C1 C3 }
	condition:
		$1
}

rule file_718_3_0 {
	meta:
		name = "__acrt_DownlevelLCIDToLocaleName"
		size = 226
		refs = "0044 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B 0093 wcsnlen 00ac wcscpy_s 00dd _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 63 D8 44 8B C1 48 8B F2 F7 C1 FF F3 FF FF 75 08 81 F9 00 0C 00 00 75 0D 48 85 D2 75 04 85 DB 7F 04 85 DB 79 04 33 C0 EB 79 45 33 C9 48 8D 2D ?? ?? ?? ?? 41 BA E3 00 00 00 43 8D 04 0A 99 2B C2 41 8B D0 D1 F8 48 63 C8 48 C1 E1 04 2B 14 29 74 16 85 D2 79 06 44 8D 50 FF EB 04 44 8D 48 01 45 3B CA 7E D5 83 C8 FF 85 C0 78 BA 48 98 BA 55 00 00 00 48 03 C0 48 8B 6C C5 08 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 85 DB 7E 16 3B C3 7D 98 48 8B D3 4C 8B C5 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 18 8D 47 01 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_718_4_0 {
	meta:
		name = "__acrt_DownlevelLocaleNameToLCID"
		size = 50
		refs = "000a ?GetTableIndexFromLocaleName@@YAHPEB_W@Z 0022 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 22 E8 ?? ?? ?? ?? 85 C0 78 19 48 98 48 3D E4 00 00 00 73 0F 48 03 C0 48 8D 0D ?? ?? ?? ?? 8B 04 C1 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}